#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 5000
#define LARGE_STATE_COUNT 1094
#define SYMBOL_COUNT 386
#define ALIAS_COUNT 7
#define TOKEN_COUNT 164
#define EXTERNAL_TOKEN_COUNT 5
#define FIELD_COUNT 47
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 323

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_var = 16,
  anon_sym_let = 17,
  anon_sym_const = 18,
  anon_sym_BANG = 19,
  anon_sym_else = 20,
  anon_sym_if = 21,
  anon_sym_switch = 22,
  anon_sym_for = 23,
  anon_sym_LPAREN = 24,
  anon_sym_RPAREN = 25,
  anon_sym_await = 26,
  anon_sym_in = 27,
  anon_sym_of = 28,
  anon_sym_while = 29,
  anon_sym_do = 30,
  anon_sym_try = 31,
  anon_sym_with = 32,
  anon_sym_break = 33,
  anon_sym_continue = 34,
  anon_sym_debugger = 35,
  anon_sym_return = 36,
  anon_sym_throw = 37,
  anon_sym_SEMI = 38,
  anon_sym_COLON = 39,
  anon_sym_case = 40,
  anon_sym_catch = 41,
  anon_sym_finally = 42,
  anon_sym_yield = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  anon_sym_LT = 46,
  anon_sym_GT = 47,
  anon_sym_SLASH = 48,
  anon_sym_DOT = 49,
  anon_sym_class = 50,
  anon_sym_async = 51,
  anon_sym_function = 52,
  anon_sym_EQ_GT = 53,
  anon_sym_QMARK_DOT = 54,
  anon_sym_new = 55,
  anon_sym_PLUS_EQ = 56,
  anon_sym_DASH_EQ = 57,
  anon_sym_STAR_EQ = 58,
  anon_sym_SLASH_EQ = 59,
  anon_sym_PERCENT_EQ = 60,
  anon_sym_CARET_EQ = 61,
  anon_sym_AMP_EQ = 62,
  anon_sym_PIPE_EQ = 63,
  anon_sym_GT_GT_EQ = 64,
  anon_sym_GT_GT_GT_EQ = 65,
  anon_sym_LT_LT_EQ = 66,
  anon_sym_STAR_STAR_EQ = 67,
  anon_sym_AMP_AMP_EQ = 68,
  anon_sym_PIPE_PIPE_EQ = 69,
  anon_sym_QMARK_QMARK_EQ = 70,
  anon_sym_DOT_DOT_DOT = 71,
  anon_sym_AMP_AMP = 72,
  anon_sym_PIPE_PIPE = 73,
  anon_sym_GT_GT = 74,
  anon_sym_GT_GT_GT = 75,
  anon_sym_LT_LT = 76,
  anon_sym_AMP = 77,
  anon_sym_CARET = 78,
  anon_sym_PIPE = 79,
  anon_sym_PLUS = 80,
  anon_sym_DASH = 81,
  anon_sym_PERCENT = 82,
  anon_sym_STAR_STAR = 83,
  anon_sym_LT_EQ = 84,
  anon_sym_EQ_EQ = 85,
  anon_sym_EQ_EQ_EQ = 86,
  anon_sym_BANG_EQ = 87,
  anon_sym_BANG_EQ_EQ = 88,
  anon_sym_GT_EQ = 89,
  anon_sym_QMARK_QMARK = 90,
  anon_sym_instanceof = 91,
  anon_sym_TILDE = 92,
  anon_sym_void = 93,
  anon_sym_delete = 94,
  anon_sym_PLUS_PLUS = 95,
  anon_sym_DASH_DASH = 96,
  anon_sym_DQUOTE = 97,
  anon_sym_SQUOTE = 98,
  sym_unescaped_double_string_fragment = 99,
  sym_unescaped_single_string_fragment = 100,
  sym_escape_sequence = 101,
  sym_comment = 102,
  anon_sym_BQUOTE = 103,
  anon_sym_DOLLAR_LBRACE = 104,
  anon_sym_SLASH2 = 105,
  sym_regex_pattern = 106,
  sym_regex_flags = 107,
  sym_number = 108,
  sym_private_property_identifier = 109,
  anon_sym_target = 110,
  sym_this = 111,
  sym_super = 112,
  sym_true = 113,
  sym_false = 114,
  sym_null = 115,
  sym_undefined = 116,
  anon_sym_AT = 117,
  anon_sym_static = 118,
  anon_sym_readonly = 119,
  anon_sym_get = 120,
  anon_sym_set = 121,
  anon_sym_QMARK = 122,
  anon_sym_declare = 123,
  anon_sym_public = 124,
  anon_sym_private = 125,
  anon_sym_protected = 126,
  anon_sym_override = 127,
  anon_sym_module = 128,
  anon_sym_any = 129,
  anon_sym_number = 130,
  anon_sym_boolean = 131,
  anon_sym_string = 132,
  anon_sym_symbol = 133,
  anon_sym_property = 134,
  anon_sym_signal = 135,
  anon_sym_on = 136,
  anon_sym_required = 137,
  anon_sym_component = 138,
  anon_sym_abstract = 139,
  anon_sym_require = 140,
  anon_sym_extends = 141,
  anon_sym_implements = 142,
  anon_sym_global = 143,
  anon_sym_interface = 144,
  anon_sym_enum = 145,
  anon_sym_DASH_QMARK_COLON = 146,
  anon_sym_QMARK_COLON = 147,
  anon_sym_asserts = 148,
  anon_sym_infer = 149,
  anon_sym_is = 150,
  anon_sym_keyof = 151,
  anon_sym_unknown = 152,
  anon_sym_never = 153,
  anon_sym_object = 154,
  anon_sym_LBRACE_PIPE = 155,
  anon_sym_PIPE_RBRACE = 156,
  anon_sym_pragma = 157,
  aux_sym_ui_version_specifier_token1 = 158,
  anon_sym_list = 159,
  sym__automatic_semicolon = 160,
  sym__template_chars = 161,
  sym__ternary_qmark = 162,
  sym__function_signature_automatic_semicolon = 163,
  sym_program = 164,
  sym_export_statement = 165,
  sym_export_clause = 166,
  sym__import_export_specifier = 167,
  sym_declaration = 168,
  sym_import = 169,
  sym_import_statement = 170,
  sym_import_clause = 171,
  sym__from_clause = 172,
  sym_namespace_import_export = 173,
  sym_named_imports = 174,
  sym_expression_statement = 175,
  sym_variable_declaration = 176,
  sym_lexical_declaration = 177,
  sym_variable_declarator = 178,
  sym_statement_block = 179,
  sym_else_clause = 180,
  sym_if_statement = 181,
  sym_switch_statement = 182,
  sym_for_statement = 183,
  sym_for_in_statement = 184,
  sym__for_header = 185,
  sym_while_statement = 186,
  sym_do_statement = 187,
  sym_try_statement = 188,
  sym_with_statement = 189,
  sym_break_statement = 190,
  sym_continue_statement = 191,
  sym_debugger_statement = 192,
  sym_return_statement = 193,
  sym_throw_statement = 194,
  sym_empty_statement = 195,
  sym_labeled_statement = 196,
  sym_switch_body = 197,
  sym_switch_case = 198,
  sym_switch_default = 199,
  sym_catch_clause = 200,
  sym_finally_clause = 201,
  sym_parenthesized_expression = 202,
  sym_expression = 203,
  sym_primary_expression = 204,
  sym_yield_expression = 205,
  sym_object = 206,
  sym_object_pattern = 207,
  sym_assignment_pattern = 208,
  sym_object_assignment_pattern = 209,
  sym_array = 210,
  sym_array_pattern = 211,
  sym_nested_identifier = 212,
  sym_class = 213,
  sym_class_declaration = 214,
  sym_class_heritage = 215,
  sym_function = 216,
  sym_function_declaration = 217,
  sym_generator_function = 218,
  sym_generator_function_declaration = 219,
  sym_arrow_function = 220,
  sym__call_signature = 221,
  sym__formal_parameter = 222,
  sym_call_expression = 223,
  sym_new_expression = 224,
  sym_await_expression = 225,
  sym_member_expression = 226,
  sym_subscript_expression = 227,
  sym_assignment_expression = 228,
  sym__augmented_assignment_lhs = 229,
  sym_augmented_assignment_expression = 230,
  sym__initializer = 231,
  sym__destructuring_pattern = 232,
  sym_spread_element = 233,
  sym_ternary_expression = 234,
  sym_binary_expression = 235,
  sym_unary_expression = 236,
  sym_update_expression = 237,
  sym_sequence_expression = 238,
  sym_string = 239,
  sym_template_string = 240,
  sym_template_substitution = 241,
  sym_regex = 242,
  sym_meta_property = 243,
  sym_arguments = 244,
  sym_decorator = 245,
  sym_decorator_member_expression = 246,
  sym_decorator_call_expression = 247,
  sym_class_body = 248,
  sym_formal_parameters = 249,
  sym_pattern = 250,
  sym_rest_pattern = 251,
  sym_method_definition = 252,
  sym_pair = 253,
  sym_pair_pattern = 254,
  sym__property_name = 255,
  sym_computed_property_name = 256,
  sym_public_field_definition = 257,
  sym_non_null_expression = 258,
  sym_method_signature = 259,
  sym_abstract_method_signature = 260,
  sym_function_signature = 261,
  sym_type_assertion = 262,
  sym_as_expression = 263,
  sym_import_require_clause = 264,
  sym_extends_clause = 265,
  sym_implements_clause = 266,
  sym_ambient_declaration = 267,
  sym_abstract_class_declaration = 268,
  sym_module = 269,
  sym_internal_module = 270,
  sym__module = 271,
  sym_import_alias = 272,
  sym_nested_type_identifier = 273,
  sym_interface_declaration = 274,
  sym_extends_type_clause = 275,
  sym_enum_declaration = 276,
  sym_enum_body = 277,
  sym_enum_assignment = 278,
  sym_type_alias_declaration = 279,
  sym_accessibility_modifier = 280,
  sym_override_modifier = 281,
  sym_required_parameter = 282,
  sym_optional_parameter = 283,
  sym__parameter_name = 284,
  sym_omitting_type_annotation = 285,
  sym_opting_type_annotation = 286,
  sym_type_annotation = 287,
  sym_asserts = 288,
  sym__type = 289,
  sym_tuple_parameter = 290,
  sym_optional_tuple_parameter = 291,
  sym_optional_type = 292,
  sym_rest_type = 293,
  sym__tuple_type_member = 294,
  sym_constructor_type = 295,
  sym__primary_type = 296,
  sym_template_type = 297,
  sym_template_literal_type = 298,
  sym_infer_type = 299,
  sym_conditional_type = 300,
  sym_generic_type = 301,
  sym_type_predicate = 302,
  sym_type_predicate_annotation = 303,
  sym__type_query_member_expression = 304,
  sym__type_query_subscript_expression = 305,
  sym__type_query_call_expression = 306,
  sym_type_query = 307,
  sym_index_type_query = 308,
  sym_lookup_type = 309,
  sym_mapped_type_clause = 310,
  sym_literal_type = 311,
  sym__number = 312,
  sym_existential_type = 313,
  sym_flow_maybe_type = 314,
  sym_parenthesized_type = 315,
  sym_predefined_type = 316,
  sym_type_arguments = 317,
  sym_object_type = 318,
  sym_call_signature = 319,
  sym_property_signature = 320,
  sym_type_parameters = 321,
  sym_type_parameter = 322,
  sym_default_type = 323,
  sym_constraint = 324,
  sym_construct_signature = 325,
  sym_index_signature = 326,
  sym_array_type = 327,
  sym_tuple_type = 328,
  sym_readonly_type = 329,
  sym_union_type = 330,
  sym_intersection_type = 331,
  sym_function_type = 332,
  sym_ui_pragma = 333,
  sym_ui_import = 334,
  sym_ui_version_specifier = 335,
  sym_ui_object_definition = 336,
  sym_ui_annotated_object = 337,
  sym_ui_annotation = 338,
  sym_ui_object_initializer = 339,
  sym_ui_annotated_object_member = 340,
  sym_ui_object_definition_binding = 341,
  sym_ui_binding = 342,
  sym_ui_property = 343,
  sym_ui_list_property_type = 344,
  sym_ui_property_modifier = 345,
  sym_ui_object_array = 346,
  sym_ui_required = 347,
  sym_ui_signal = 348,
  sym_ui_signal_parameters = 349,
  sym_ui_signal_parameter = 350,
  sym_ui_inline_component = 351,
  sym__qml_enum_declaration = 352,
  sym__qml_enum_body = 353,
  sym__qml_enum_assignment = 354,
  sym_ui_nested_identifier = 355,
  aux_sym_program_repeat1 = 356,
  aux_sym_export_statement_repeat1 = 357,
  aux_sym_export_clause_repeat1 = 358,
  aux_sym_named_imports_repeat1 = 359,
  aux_sym_variable_declaration_repeat1 = 360,
  aux_sym_statement_block_repeat1 = 361,
  aux_sym_switch_body_repeat1 = 362,
  aux_sym_object_repeat1 = 363,
  aux_sym_object_pattern_repeat1 = 364,
  aux_sym_array_repeat1 = 365,
  aux_sym_array_pattern_repeat1 = 366,
  aux_sym_string_repeat1 = 367,
  aux_sym_string_repeat2 = 368,
  aux_sym_template_string_repeat1 = 369,
  aux_sym_class_body_repeat1 = 370,
  aux_sym_formal_parameters_repeat1 = 371,
  aux_sym_extends_clause_repeat1 = 372,
  aux_sym_implements_clause_repeat1 = 373,
  aux_sym_extends_type_clause_repeat1 = 374,
  aux_sym_enum_body_repeat1 = 375,
  aux_sym_template_literal_type_repeat1 = 376,
  aux_sym_object_type_repeat1 = 377,
  aux_sym_type_parameters_repeat1 = 378,
  aux_sym_tuple_type_repeat1 = 379,
  aux_sym_ui_annotated_object_repeat1 = 380,
  aux_sym_ui_object_initializer_repeat1 = 381,
  aux_sym_ui_property_repeat1 = 382,
  aux_sym_ui_object_array_repeat1 = 383,
  aux_sym_ui_signal_parameters_repeat1 = 384,
  aux_sym__qml_enum_body_repeat1 = 385,
  alias_sym_import_specifier = 386,
  alias_sym_namespace_export = 387,
  alias_sym_property_identifier = 388,
  alias_sym_shorthand_property_identifier = 389,
  alias_sym_shorthand_property_identifier_pattern = 390,
  alias_sym_statement_identifier = 391,
  alias_sym_this_type = 392,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_property] = "property",
  [anon_sym_signal] = "signal",
  [anon_sym_on] = "on",
  [anon_sym_required] = "required",
  [anon_sym_component] = "component",
  [anon_sym_abstract] = "abstract",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_object] = "object",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [anon_sym_pragma] = "pragma",
  [aux_sym_ui_version_specifier_token1] = "number",
  [anon_sym_list] = "type_identifier",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym__ternary_qmark] = "\?",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_export_clause] = "export_clause",
  [sym__import_export_specifier] = "export_specifier",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import_export] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_nested_identifier] = "nested_identifier",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_type_assertion] = "type_assertion",
  [sym_as_expression] = "as_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym_asserts] = "asserts",
  [sym__type] = "_type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym__primary_type] = "_primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [sym_ui_pragma] = "ui_pragma",
  [sym_ui_import] = "ui_import",
  [sym_ui_version_specifier] = "ui_version_specifier",
  [sym_ui_object_definition] = "ui_object_definition",
  [sym_ui_annotated_object] = "ui_annotated_object",
  [sym_ui_annotation] = "ui_annotation",
  [sym_ui_object_initializer] = "ui_object_initializer",
  [sym_ui_annotated_object_member] = "ui_annotated_object_member",
  [sym_ui_object_definition_binding] = "ui_object_definition_binding",
  [sym_ui_binding] = "ui_binding",
  [sym_ui_property] = "ui_property",
  [sym_ui_list_property_type] = "ui_list_property_type",
  [sym_ui_property_modifier] = "ui_property_modifier",
  [sym_ui_object_array] = "ui_object_array",
  [sym_ui_required] = "ui_required",
  [sym_ui_signal] = "ui_signal",
  [sym_ui_signal_parameters] = "ui_signal_parameters",
  [sym_ui_signal_parameter] = "ui_signal_parameter",
  [sym_ui_inline_component] = "ui_inline_component",
  [sym__qml_enum_declaration] = "enum_declaration",
  [sym__qml_enum_body] = "enum_body",
  [sym__qml_enum_assignment] = "enum_assignment",
  [sym_ui_nested_identifier] = "nested_identifier",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_statement_block_repeat1] = "statement_block_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_ui_annotated_object_repeat1] = "ui_annotated_object_repeat1",
  [aux_sym_ui_object_initializer_repeat1] = "ui_object_initializer_repeat1",
  [aux_sym_ui_property_repeat1] = "ui_property_repeat1",
  [aux_sym_ui_object_array_repeat1] = "ui_object_array_repeat1",
  [aux_sym_ui_signal_parameters_repeat1] = "ui_signal_parameters_repeat1",
  [aux_sym__qml_enum_body_repeat1] = "_qml_enum_body_repeat1",
  [alias_sym_import_specifier] = "import_specifier",
  [alias_sym_namespace_export] = "namespace_export",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_unescaped_single_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_property] = anon_sym_property,
  [anon_sym_signal] = anon_sym_signal,
  [anon_sym_on] = anon_sym_on,
  [anon_sym_required] = anon_sym_required,
  [anon_sym_component] = anon_sym_component,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [anon_sym_pragma] = anon_sym_pragma,
  [aux_sym_ui_version_specifier_token1] = sym_number,
  [anon_sym_list] = anon_sym_list,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_export_clause] = sym_export_clause,
  [sym__import_export_specifier] = sym__import_export_specifier,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import_export] = sym_namespace_import_export,
  [sym_named_imports] = sym_named_imports,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function] = sym_function,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_type_assertion] = sym_type_assertion,
  [sym_as_expression] = sym_as_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym_asserts] = sym_asserts,
  [sym__type] = sym__type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym__primary_type] = sym__primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [sym_ui_pragma] = sym_ui_pragma,
  [sym_ui_import] = sym_ui_import,
  [sym_ui_version_specifier] = sym_ui_version_specifier,
  [sym_ui_object_definition] = sym_ui_object_definition,
  [sym_ui_annotated_object] = sym_ui_annotated_object,
  [sym_ui_annotation] = sym_ui_annotation,
  [sym_ui_object_initializer] = sym_ui_object_initializer,
  [sym_ui_annotated_object_member] = sym_ui_annotated_object_member,
  [sym_ui_object_definition_binding] = sym_ui_object_definition_binding,
  [sym_ui_binding] = sym_ui_binding,
  [sym_ui_property] = sym_ui_property,
  [sym_ui_list_property_type] = sym_ui_list_property_type,
  [sym_ui_property_modifier] = sym_ui_property_modifier,
  [sym_ui_object_array] = sym_ui_object_array,
  [sym_ui_required] = sym_ui_required,
  [sym_ui_signal] = sym_ui_signal,
  [sym_ui_signal_parameters] = sym_ui_signal_parameters,
  [sym_ui_signal_parameter] = sym_ui_signal_parameter,
  [sym_ui_inline_component] = sym_ui_inline_component,
  [sym__qml_enum_declaration] = sym_enum_declaration,
  [sym__qml_enum_body] = sym_enum_body,
  [sym__qml_enum_assignment] = sym_enum_assignment,
  [sym_ui_nested_identifier] = sym_nested_identifier,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_statement_block_repeat1] = aux_sym_statement_block_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_ui_annotated_object_repeat1] = aux_sym_ui_annotated_object_repeat1,
  [aux_sym_ui_object_initializer_repeat1] = aux_sym_ui_object_initializer_repeat1,
  [aux_sym_ui_property_repeat1] = aux_sym_ui_property_repeat1,
  [aux_sym_ui_object_array_repeat1] = aux_sym_ui_object_array_repeat1,
  [aux_sym_ui_signal_parameters_repeat1] = aux_sym_ui_signal_parameters_repeat1,
  [aux_sym__qml_enum_body_repeat1] = aux_sym__qml_enum_body_repeat1,
  [alias_sym_import_specifier] = alias_sym_import_specifier,
  [alias_sym_namespace_export] = alias_sym_namespace_export,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_property] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_required] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_component] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pragma] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_ui_version_specifier_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__import_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import_export] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_pragma] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_import] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_version_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_object_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_annotated_object] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_object_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_annotated_object_member] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_object_definition_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_property] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_list_property_type] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_property_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_object_array] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_required] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_signal] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_signal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_signal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_inline_component] = {
    .visible = true,
    .named = true,
  },
  [sym__qml_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__qml_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym__qml_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_statement_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_annotated_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_object_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_property_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_object_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_signal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__qml_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_annotation = 3,
  field_argument = 4,
  field_arguments = 5,
  field_body = 6,
  field_component = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constraint = 10,
  field_constructor = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_definition = 14,
  field_finalizer = 15,
  field_flags = 16,
  field_function = 17,
  field_handler = 18,
  field_increment = 19,
  field_index = 20,
  field_index_type = 21,
  field_initializer = 22,
  field_key = 23,
  field_kind = 24,
  field_label = 25,
  field_left = 26,
  field_major = 27,
  field_minor = 28,
  field_module = 29,
  field_name = 30,
  field_object = 31,
  field_operator = 32,
  field_parameter = 33,
  field_parameters = 34,
  field_pattern = 35,
  field_property = 36,
  field_return_type = 37,
  field_right = 38,
  field_root = 39,
  field_sign = 40,
  field_source = 41,
  field_type = 42,
  field_type_arguments = 43,
  field_type_name = 44,
  field_type_parameters = 45,
  field_value = 46,
  field_version = 47,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_annotation] = "annotation",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_component] = "component",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_definition] = "definition",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_major] = "major",
  [field_minor] = "minor",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_root] = "root",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_name] = "type_name",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
  [field_version] = "version",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 3, .length = 2},
  [6] = {.index = 5, .length = 2},
  [7] = {.index = 7, .length = 2},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 2},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 1},
  [13] = {.index = 14, .length = 2},
  [14] = {.index = 16, .length = 1},
  [15] = {.index = 17, .length = 1},
  [16] = {.index = 18, .length = 4},
  [17] = {.index = 22, .length = 2},
  [18] = {.index = 24, .length = 2},
  [19] = {.index = 26, .length = 1},
  [20] = {.index = 27, .length = 1},
  [22] = {.index = 28, .length = 2},
  [23] = {.index = 30, .length = 2},
  [24] = {.index = 24, .length = 2},
  [25] = {.index = 16, .length = 1},
  [26] = {.index = 32, .length = 3},
  [27] = {.index = 35, .length = 2},
  [28] = {.index = 37, .length = 2},
  [29] = {.index = 39, .length = 2},
  [30] = {.index = 41, .length = 2},
  [31] = {.index = 43, .length = 2},
  [32] = {.index = 45, .length = 1},
  [33] = {.index = 46, .length = 2},
  [34] = {.index = 48, .length = 1},
  [36] = {.index = 17, .length = 1},
  [38] = {.index = 49, .length = 2},
  [39] = {.index = 51, .length = 1},
  [40] = {.index = 52, .length = 2},
  [41] = {.index = 54, .length = 2},
  [42] = {.index = 56, .length = 2},
  [43] = {.index = 58, .length = 2},
  [44] = {.index = 60, .length = 2},
  [45] = {.index = 62, .length = 3},
  [46] = {.index = 62, .length = 3},
  [49] = {.index = 65, .length = 1},
  [50] = {.index = 66, .length = 2},
  [51] = {.index = 68, .length = 3},
  [52] = {.index = 71, .length = 5},
  [53] = {.index = 62, .length = 3},
  [54] = {.index = 62, .length = 3},
  [55] = {.index = 76, .length = 2},
  [56] = {.index = 78, .length = 2},
  [57] = {.index = 76, .length = 2},
  [58] = {.index = 76, .length = 2},
  [59] = {.index = 76, .length = 2},
  [60] = {.index = 80, .length = 2},
  [61] = {.index = 82, .length = 2},
  [62] = {.index = 84, .length = 3},
  [63] = {.index = 87, .length = 2},
  [64] = {.index = 89, .length = 2},
  [65] = {.index = 91, .length = 2},
  [67] = {.index = 93, .length = 1},
  [68] = {.index = 94, .length = 2},
  [69] = {.index = 96, .length = 2},
  [70] = {.index = 98, .length = 1},
  [71] = {.index = 99, .length = 3},
  [72] = {.index = 102, .length = 3},
  [73] = {.index = 105, .length = 2},
  [74] = {.index = 107, .length = 2},
  [75] = {.index = 109, .length = 2},
  [76] = {.index = 111, .length = 2},
  [77] = {.index = 113, .length = 3},
  [78] = {.index = 116, .length = 2},
  [79] = {.index = 118, .length = 2},
  [80] = {.index = 120, .length = 2},
  [81] = {.index = 122, .length = 2},
  [82] = {.index = 124, .length = 2},
  [83] = {.index = 126, .length = 2},
  [85] = {.index = 122, .length = 2},
  [86] = {.index = 128, .length = 2},
  [87] = {.index = 130, .length = 1},
  [88] = {.index = 131, .length = 2},
  [89] = {.index = 133, .length = 4},
  [90] = {.index = 137, .length = 2},
  [91] = {.index = 139, .length = 2},
  [92] = {.index = 87, .length = 2},
  [93] = {.index = 89, .length = 2},
  [94] = {.index = 141, .length = 3},
  [95] = {.index = 144, .length = 2},
  [96] = {.index = 144, .length = 2},
  [97] = {.index = 146, .length = 3},
  [98] = {.index = 149, .length = 2},
  [99] = {.index = 151, .length = 4},
  [100] = {.index = 155, .length = 3},
  [101] = {.index = 158, .length = 2},
  [102] = {.index = 87, .length = 2},
  [103] = {.index = 160, .length = 2},
  [104] = {.index = 162, .length = 5},
  [105] = {.index = 167, .length = 3},
  [106] = {.index = 167, .length = 3},
  [108] = {.index = 167, .length = 3},
  [109] = {.index = 167, .length = 3},
  [110] = {.index = 170, .length = 2},
  [111] = {.index = 170, .length = 2},
  [112] = {.index = 172, .length = 2},
  [113] = {.index = 174, .length = 2},
  [114] = {.index = 174, .length = 2},
  [115] = {.index = 174, .length = 2},
  [116] = {.index = 174, .length = 2},
  [117] = {.index = 176, .length = 1},
  [118] = {.index = 177, .length = 2},
  [119] = {.index = 179, .length = 1},
  [120] = {.index = 180, .length = 6},
  [121] = {.index = 186, .length = 2},
  [122] = {.index = 188, .length = 1},
  [123] = {.index = 128, .length = 2},
  [124] = {.index = 189, .length = 5},
  [125] = {.index = 194, .length = 2},
  [126] = {.index = 196, .length = 3},
  [127] = {.index = 199, .length = 1},
  [128] = {.index = 200, .length = 1},
  [129] = {.index = 201, .length = 3},
  [130] = {.index = 204, .length = 3},
  [131] = {.index = 207, .length = 4},
  [132] = {.index = 211, .length = 2},
  [133] = {.index = 213, .length = 3},
  [134] = {.index = 216, .length = 1},
  [135] = {.index = 217, .length = 4},
  [136] = {.index = 221, .length = 4},
  [137] = {.index = 225, .length = 4},
  [138] = {.index = 229, .length = 3},
  [139] = {.index = 232, .length = 2},
  [140] = {.index = 234, .length = 2},
  [141] = {.index = 236, .length = 2},
  [142] = {.index = 238, .length = 3},
  [143] = {.index = 241, .length = 2},
  [144] = {.index = 243, .length = 3},
  [145] = {.index = 246, .length = 2},
  [146] = {.index = 248, .length = 2},
  [147] = {.index = 250, .length = 4},
  [148] = {.index = 248, .length = 2},
  [149] = {.index = 254, .length = 4},
  [150] = {.index = 258, .length = 3},
  [151] = {.index = 261, .length = 2},
  [152] = {.index = 263, .length = 3},
  [153] = {.index = 266, .length = 3},
  [154] = {.index = 269, .length = 2},
  [155] = {.index = 271, .length = 3},
  [156] = {.index = 274, .length = 5},
  [157] = {.index = 279, .length = 4},
  [158] = {.index = 279, .length = 4},
  [159] = {.index = 279, .length = 4},
  [160] = {.index = 279, .length = 4},
  [161] = {.index = 66, .length = 2},
  [162] = {.index = 283, .length = 2},
  [163] = {.index = 285, .length = 2},
  [164] = {.index = 287, .length = 3},
  [165] = {.index = 290, .length = 3},
  [166] = {.index = 290, .length = 3},
  [167] = {.index = 290, .length = 3},
  [168] = {.index = 290, .length = 3},
  [169] = {.index = 293, .length = 1},
  [170] = {.index = 294, .length = 1},
  [171] = {.index = 295, .length = 2},
  [172] = {.index = 293, .length = 1},
  [173] = {.index = 297, .length = 1},
  [174] = {.index = 295, .length = 2},
  [175] = {.index = 298, .length = 2},
  [176] = {.index = 300, .length = 6},
  [177] = {.index = 306, .length = 4},
  [178] = {.index = 298, .length = 2},
  [179] = {.index = 310, .length = 1},
  [180] = {.index = 310, .length = 1},
  [181] = {.index = 311, .length = 5},
  [182] = {.index = 316, .length = 2},
  [183] = {.index = 318, .length = 1},
  [184] = {.index = 319, .length = 4},
  [185] = {.index = 323, .length = 2},
  [186] = {.index = 325, .length = 2},
  [187] = {.index = 327, .length = 2},
  [188] = {.index = 329, .length = 1},
  [189] = {.index = 330, .length = 2},
  [190] = {.index = 332, .length = 1},
  [191] = {.index = 333, .length = 4},
  [192] = {.index = 337, .length = 4},
  [193] = {.index = 337, .length = 4},
  [194] = {.index = 341, .length = 4},
  [195] = {.index = 341, .length = 4},
  [196] = {.index = 345, .length = 4},
  [197] = {.index = 345, .length = 4},
  [198] = {.index = 349, .length = 2},
  [199] = {.index = 351, .length = 3},
  [200] = {.index = 354, .length = 2},
  [201] = {.index = 356, .length = 2},
  [202] = {.index = 358, .length = 3},
  [203] = {.index = 361, .length = 4},
  [204] = {.index = 365, .length = 4},
  [205] = {.index = 369, .length = 4},
  [206] = {.index = 373, .length = 3},
  [207] = {.index = 376, .length = 2},
  [208] = {.index = 378, .length = 3},
  [209] = {.index = 381, .length = 4},
  [210] = {.index = 385, .length = 3},
  [211] = {.index = 388, .length = 4},
  [212] = {.index = 388, .length = 4},
  [213] = {.index = 388, .length = 4},
  [214] = {.index = 388, .length = 4},
  [215] = {.index = 392, .length = 1},
  [216] = {.index = 393, .length = 2},
  [217] = {.index = 395, .length = 5},
  [218] = {.index = 39, .length = 2},
  [219] = {.index = 400, .length = 2},
  [220] = {.index = 402, .length = 4},
  [221] = {.index = 406, .length = 2},
  [222] = {.index = 408, .length = 3},
  [223] = {.index = 411, .length = 2},
  [224] = {.index = 411, .length = 2},
  [225] = {.index = 413, .length = 2},
  [226] = {.index = 415, .length = 3},
  [227] = {.index = 418, .length = 2},
  [228] = {.index = 420, .length = 4},
  [229] = {.index = 66, .length = 2},
  [230] = {.index = 424, .length = 1},
  [231] = {.index = 425, .length = 3},
  [232] = {.index = 428, .length = 2},
  [233] = {.index = 430, .length = 2},
  [234] = {.index = 432, .length = 1},
  [235] = {.index = 433, .length = 2},
  [236] = {.index = 435, .length = 2},
  [237] = {.index = 437, .length = 4},
  [238] = {.index = 441, .length = 4},
  [239] = {.index = 445, .length = 4},
  [240] = {.index = 449, .length = 3},
  [241] = {.index = 452, .length = 2},
  [242] = {.index = 454, .length = 2},
  [243] = {.index = 456, .length = 2},
  [244] = {.index = 458, .length = 3},
  [245] = {.index = 461, .length = 3},
  [246] = {.index = 464, .length = 4},
  [247] = {.index = 468, .length = 2},
  [248] = {.index = 470, .length = 3},
  [249] = {.index = 473, .length = 3},
  [250] = {.index = 473, .length = 3},
  [251] = {.index = 476, .length = 3},
  [252] = {.index = 479, .length = 5},
  [253] = {.index = 484, .length = 3},
  [254] = {.index = 487, .length = 2},
  [255] = {.index = 489, .length = 1},
  [256] = {.index = 490, .length = 3},
  [257] = {.index = 493, .length = 4},
  [258] = {.index = 497, .length = 2},
  [259] = {.index = 499, .length = 2},
  [260] = {.index = 501, .length = 4},
  [261] = {.index = 505, .length = 4},
  [262] = {.index = 509, .length = 2},
  [263] = {.index = 511, .length = 2},
  [264] = {.index = 513, .length = 1},
  [265] = {.index = 514, .length = 3},
  [266] = {.index = 517, .length = 1},
  [267] = {.index = 518, .length = 4},
  [268] = {.index = 522, .length = 4},
  [269] = {.index = 526, .length = 4},
  [270] = {.index = 530, .length = 3},
  [271] = {.index = 533, .length = 2},
  [272] = {.index = 535, .length = 3},
  [273] = {.index = 538, .length = 3},
  [274] = {.index = 541, .length = 2},
  [275] = {.index = 543, .length = 1},
  [276] = {.index = 544, .length = 4},
  [277] = {.index = 548, .length = 4},
  [278] = {.index = 552, .length = 5},
  [279] = {.index = 557, .length = 5},
  [281] = {.index = 562, .length = 4},
  [282] = {.index = 566, .length = 3},
  [283] = {.index = 569, .length = 3},
  [284] = {.index = 572, .length = 3},
  [285] = {.index = 569, .length = 3},
  [286] = {.index = 575, .length = 2},
  [287] = {.index = 577, .length = 4},
  [288] = {.index = 581, .length = 4},
  [289] = {.index = 585, .length = 2},
  [290] = {.index = 587, .length = 2},
  [291] = {.index = 589, .length = 4},
  [292] = {.index = 593, .length = 3},
  [293] = {.index = 596, .length = 2},
  [294] = {.index = 598, .length = 3},
  [295] = {.index = 601, .length = 2},
  [296] = {.index = 603, .length = 1},
  [297] = {.index = 604, .length = 5},
  [298] = {.index = 609, .length = 5},
  [299] = {.index = 614, .length = 5},
  [300] = {.index = 619, .length = 4},
  [301] = {.index = 623, .length = 4},
  [302] = {.index = 627, .length = 3},
  [303] = {.index = 627, .length = 3},
  [304] = {.index = 630, .length = 2},
  [305] = {.index = 632, .length = 3},
  [306] = {.index = 635, .length = 2},
  [307] = {.index = 637, .length = 3},
  [308] = {.index = 640, .length = 2},
  [309] = {.index = 642, .length = 2},
  [310] = {.index = 644, .length = 5},
  [311] = {.index = 649, .length = 5},
  [312] = {.index = 654, .length = 4},
  [313] = {.index = 654, .length = 4},
  [314] = {.index = 658, .length = 4},
  [315] = {.index = 662, .length = 4},
  [316] = {.index = 666, .length = 3},
  [317] = {.index = 669, .length = 2},
  [318] = {.index = 671, .length = 2},
  [319] = {.index = 673, .length = 3},
  [320] = {.index = 676, .length = 5},
  [321] = {.index = 681, .length = 4},
  [322] = {.index = 685, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_root, 0},
  [1] =
    {field_annotation, 0},
  [2] =
    {field_root, 1},
  [3] =
    {field_initializer, 1},
    {field_type_name, 0},
  [5] =
    {field_annotation, 0, .inherited = true},
    {field_definition, 1},
  [7] =
    {field_annotation, 0, .inherited = true},
    {field_annotation, 1, .inherited = true},
  [9] =
    {field_root, 2},
  [10] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [12] =
    {field_source, 1},
  [13] =
    {field_major, 0},
  [14] =
    {field_initializer, 2},
    {field_type_name, 1},
  [16] =
    {field_name, 1},
  [17] =
    {field_name, 0},
  [18] =
    {field_annotation, 0, .inherited = true},
    {field_body, 1, .inherited = true},
    {field_definition, 1},
    {field_name, 1, .inherited = true},
  [22] =
    {field_source, 1},
    {field_version, 2},
  [24] =
    {field_name, 0},
    {field_value, 2},
  [26] =
    {field_decorator, 0},
  [27] =
    {field_parameters, 0},
  [28] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [30] =
    {field_name, 0},
    {field_type, 1},
  [32] =
    {field_body, 2},
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [35] =
    {field_alias, 3},
    {field_source, 1},
  [37] =
    {field_major, 0},
    {field_minor, 2},
  [39] =
    {field_name, 1},
    {field_value, 3},
  [41] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [43] =
    {field_argument, 1},
    {field_operator, 0},
  [45] =
    {field_pattern, 0},
  [46] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [48] =
    {field_body, 1},
  [49] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [51] =
    {field_constructor, 1},
  [52] =
    {field_argument, 0},
    {field_operator, 1},
  [54] =
    {field_arguments, 1},
    {field_function, 0},
  [56] =
    {field_parameters, 0},
    {field_return_type, 1},
  [58] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [60] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [62] =
    {field_initializer, 3},
    {field_name, 2},
    {field_type_name, 0},
  [65] =
    {field_value, 1},
  [66] =
    {field_name, 0},
    {field_type, 2},
  [68] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [71] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [76] =
    {field_name, 2},
    {field_type, 1},
  [78] =
    {field_module, 0},
    {field_name, 2},
  [80] =
    {field_name, 1},
    {field_parameters, 2},
  [82] =
    {field_component, 3},
    {field_name, 1},
  [84] =
    {field_alias, 4},
    {field_source, 1},
    {field_version, 2},
  [87] =
    {field_left, 0},
    {field_right, 2},
  [89] =
    {field_body, 2},
    {field_parameter, 0},
  [91] =
    {field_body, 1},
    {field_name, 0},
  [93] =
    {field_declaration, 1},
  [94] =
    {field_condition, 1},
    {field_consequence, 2},
  [96] =
    {field_body, 2},
    {field_value, 1},
  [98] =
    {field_pattern, 1},
  [99] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [102] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [105] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [107] =
    {field_body, 1},
    {field_handler, 2},
  [109] =
    {field_body, 1},
    {field_finalizer, 2},
  [111] =
    {field_body, 2},
    {field_object, 1},
  [113] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [116] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [118] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [120] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [122] =
    {field_name, 0},
    {field_type_arguments, 1},
  [124] =
    {field_name, 0},
    {field_value, 1},
  [126] =
    {field_constraint, 1},
    {field_name, 0},
  [128] =
    {field_body, 2},
    {field_name, 1},
  [130] =
    {field_body, 2},
  [131] =
    {field_body, 2},
    {field_type_parameters, 1},
  [133] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [137] =
    {field_arguments, 2},
    {field_constructor, 1},
  [139] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [141] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [144] =
    {field_object, 0},
    {field_property, 2},
  [146] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [149] =
    {field_arguments, 2},
    {field_function, 0},
  [151] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [155] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [158] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [160] =
    {field_key, 0},
    {field_value, 2},
  [162] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [167] =
    {field_name, 2},
    {field_type, 1},
    {field_value, 4},
  [170] =
    {field_name, 1},
    {field_type, 0},
  [172] =
    {field_name, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [174] =
    {field_name, 3},
    {field_type, 2},
  [176] =
    {field_declaration, 2},
  [177] =
    {field_body, 2},
    {field_label, 0},
  [179] =
    {field_kind, 0},
  [180] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [186] =
    {field_body, 2},
    {field_condition, 1},
  [188] =
    {field_label, 1},
  [189] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [194] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [196] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [199] =
    {field_type, 2},
  [200] =
    {field_pattern, 2},
  [201] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [204] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [207] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [211] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [213] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [216] =
    {field_parameters, 1},
  [217] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [221] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [225] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [229] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [232] =
    {field_parameters, 0},
    {field_return_type, 2},
  [234] =
    {field_flags, 3},
    {field_pattern, 1},
  [236] =
    {field_body, 3},
    {field_name, 1},
  [238] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [241] =
    {field_type_arguments, 2},
    {field_value, 1},
  [243] =
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [246] =
    {field_body, 3},
    {field_type_parameters, 1},
  [248] =
    {field_body, 3},
    {field_parameter, 1},
  [250] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [254] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [258] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [261] =
    {field_index, 2},
    {field_object, 0},
  [263] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [266] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [269] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [271] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [274] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [279] =
    {field_name, 2},
    {field_type, 1},
    {field_value, 4},
    {field_value, 5},
  [283] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [285] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [287] =
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_value, 1, .inherited = true},
  [290] =
    {field_name, 3},
    {field_type, 2},
    {field_value, 5},
  [293] =
    {field_source, 2, .inherited = true},
  [294] =
    {field_value, 2},
  [295] =
    {field_alias, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [297] =
    {field_source, 2},
  [298] =
    {field_body, 3},
    {field_name, 2},
  [300] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [306] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [310] =
    {field_type, 1},
  [311] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [316] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [318] =
    {field_pattern, 3},
  [319] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [323] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [325] =
    {field_parameters, 1},
    {field_type, 2},
  [327] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [329] =
    {field_name, 2},
  [330] =
    {field_name, 1},
    {field_type, 2},
  [332] =
    {field_parameters, 2},
  [333] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [337] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [341] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [345] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [349] =
    {field_parameters, 1},
    {field_type, 3},
  [351] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [354] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [356] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [358] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [361] =
    {field_type_arguments, 2},
    {field_type_arguments, 3, .inherited = true},
    {field_value, 1},
    {field_value, 3, .inherited = true},
  [365] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [369] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [373] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [376] =
    {field_index, 3},
    {field_object, 0},
  [378] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [381] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [385] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [388] =
    {field_name, 3},
    {field_type, 2},
    {field_value, 5},
    {field_value, 6},
  [392] =
    {field_source, 3, .inherited = true},
  [393] =
    {field_alias, 2},
    {field_name, 0},
  [395] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [400] =
    {field_body, 1},
    {field_condition, 3},
  [402] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [406] =
    {field_body, 4},
    {field_name, 2},
  [408] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [411] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [413] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [415] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [418] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [420] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [424] =
    {field_type, 3},
  [425] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [428] =
    {field_name, 2},
    {field_type, 3},
  [430] =
    {field_name, 1},
    {field_type, 3},
  [432] =
    {field_name, 3},
  [433] =
    {field_parameters, 2},
    {field_type, 3},
  [435] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [437] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [441] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [445] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [449] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [452] =
    {field_parameters, 2},
    {field_type, 4},
  [454] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [456] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [458] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [461] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [464] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [468] =
    {field_alias, 3},
    {field_name, 1},
  [470] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [473] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [476] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [479] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [484] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [487] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [489] =
    {field_name, 2, .inherited = true},
  [490] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [493] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [497] =
    {field_body, 3},
    {field_value, 1},
  [499] =
    {field_body, 4},
    {field_parameter, 2},
  [501] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [505] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [509] =
    {field_name, 2},
    {field_type, 4},
  [511] =
    {field_name, 3},
    {field_type, 4},
  [513] =
    {field_type, 4},
  [514] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [517] =
    {field_name, 4},
  [518] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [522] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [526] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [530] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [533] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [535] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [538] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [541] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [543] =
    {field_source, 4},
  [544] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [548] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [552] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [557] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [562] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [566] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [569] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [572] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [575] =
    {field_sign, 0},
    {field_type, 5},
  [577] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [581] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [585] =
    {field_name, 3},
    {field_type, 5},
  [587] =
    {field_name, 4},
    {field_type, 5},
  [589] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [593] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [596] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [598] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [601] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [603] =
    {field_name, 5},
  [604] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [609] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [614] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [619] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [623] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [627] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [630] =
    {field_name, 4},
    {field_type, 6},
  [632] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [635] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [637] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [640] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [642] =
    {field_name, 5},
    {field_type, 6},
  [644] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [649] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [654] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [658] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [662] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [666] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [669] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [671] =
    {field_name, 5},
    {field_type, 7},
  [673] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [676] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [681] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [685] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [4] = {
    [0] = sym_identifier,
  },
  [10] = {
    [0] = sym_identifier,
  },
  [18] = {
    [0] = sym_identifier,
  },
  [21] = {
    [0] = alias_sym_property_identifier,
  },
  [25] = {
    [1] = sym_identifier,
  },
  [35] = {
    [0] = anon_sym_list,
  },
  [36] = {
    [0] = anon_sym_list,
  },
  [37] = {
    [0] = alias_sym_this_type,
  },
  [45] = {
    [0] = sym_identifier,
    [2] = sym_identifier,
  },
  [46] = {
    [0] = sym_identifier,
  },
  [47] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [48] = {
    [1] = sym_identifier,
  },
  [53] = {
    [2] = sym_identifier,
  },
  [55] = {
    [1] = anon_sym_list,
    [2] = sym_identifier,
  },
  [56] = {
    [2] = anon_sym_list,
  },
  [57] = {
    [1] = anon_sym_list,
  },
  [58] = {
    [2] = sym_identifier,
  },
  [63] = {
    [0] = sym_identifier,
  },
  [64] = {
    [0] = sym_identifier,
  },
  [66] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [81] = {
    [0] = anon_sym_list,
  },
  [82] = {
    [0] = anon_sym_list,
  },
  [83] = {
    [0] = anon_sym_list,
  },
  [84] = {
    [1] = anon_sym_list,
  },
  [86] = {
    [1] = anon_sym_list,
  },
  [95] = {
    [2] = alias_sym_property_identifier,
  },
  [102] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [105] = {
    [1] = anon_sym_list,
    [2] = sym_identifier,
  },
  [106] = {
    [1] = anon_sym_list,
  },
  [107] = {
    [2] = anon_sym_list,
  },
  [108] = {
    [2] = sym_identifier,
  },
  [110] = {
    [0] = anon_sym_list,
  },
  [113] = {
    [2] = anon_sym_list,
    [3] = sym_identifier,
  },
  [114] = {
    [2] = anon_sym_list,
  },
  [115] = {
    [3] = sym_identifier,
  },
  [118] = {
    [0] = alias_sym_statement_identifier,
  },
  [122] = {
    [1] = alias_sym_statement_identifier,
  },
  [138] = {
    [0] = anon_sym_list,
  },
  [141] = {
    [1] = anon_sym_list,
  },
  [142] = {
    [1] = anon_sym_list,
  },
  [146] = {
    [1] = sym_identifier,
  },
  [153] = {
    [2] = anon_sym_list,
  },
  [157] = {
    [1] = anon_sym_list,
    [2] = sym_identifier,
  },
  [158] = {
    [1] = anon_sym_list,
  },
  [159] = {
    [2] = sym_identifier,
  },
  [161] = {
    [2] = anon_sym_list,
  },
  [165] = {
    [2] = anon_sym_list,
    [3] = sym_identifier,
  },
  [166] = {
    [2] = anon_sym_list,
  },
  [167] = {
    [3] = sym_identifier,
  },
  [172] = {
    [1] = alias_sym_namespace_export,
  },
  [174] = {
    [1] = alias_sym_import_specifier,
  },
  [178] = {
    [2] = anon_sym_list,
  },
  [179] = {
    [1] = anon_sym_list,
  },
  [192] = {
    [2] = alias_sym_property_identifier,
  },
  [194] = {
    [2] = alias_sym_property_identifier,
  },
  [196] = {
    [2] = alias_sym_property_identifier,
  },
  [202] = {
    [1] = anon_sym_list,
  },
  [208] = {
    [2] = anon_sym_list,
  },
  [209] = {
    [2] = anon_sym_list,
  },
  [211] = {
    [2] = anon_sym_list,
    [3] = sym_identifier,
  },
  [212] = {
    [2] = anon_sym_list,
  },
  [213] = {
    [3] = sym_identifier,
  },
  [218] = {
    [1] = anon_sym_list,
  },
  [221] = {
    [2] = anon_sym_list,
  },
  [222] = {
    [2] = anon_sym_list,
  },
  [223] = {
    [1] = anon_sym_list,
  },
  [226] = {
    [3] = anon_sym_list,
  },
  [229] = {
    [0] = anon_sym_list,
  },
  [246] = {
    [2] = anon_sym_list,
  },
  [248] = {
    [1] = anon_sym_list,
  },
  [249] = {
    [1] = sym_identifier,
  },
  [253] = {
    [2] = anon_sym_list,
  },
  [256] = {
    [3] = anon_sym_list,
  },
  [257] = {
    [3] = anon_sym_list,
  },
  [280] = {
    [3] = alias_sym_property_identifier,
  },
  [281] = {
    [3] = anon_sym_list,
  },
  [283] = {
    [1] = sym_identifier,
  },
  [284] = {
    [0] = anon_sym_list,
  },
  [302] = {
    [2] = sym_identifier,
  },
  [312] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__import_export_specifier, 2,
    sym__import_export_specifier,
    alias_sym_import_specifier,
  sym_namespace_import_export, 2,
    sym_namespace_import_export,
    alias_sym_namespace_export,
  0,
};

static inline bool anon_sym_BANG_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < '\r'
        ? (c >= '\t' && c <= '\n')
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_regex_pattern_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < '\r'
        ? c == '\t'
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '{' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '|' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '^' || (c < '{'
        ? c == '`'
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(76);
      if (lookahead == '!') ADVANCE(89);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '#') ADVANCE(8);
      if (lookahead == '$') ADVANCE(204);
      if (lookahead == '%') ADVANCE(154);
      if (lookahead == '&') ADVANCE(136);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(91);
      if (lookahead == '*') ADVANCE(79);
      if (lookahead == '+') ADVANCE(148);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(152);
      if (lookahead == '.') ADVANCE(105);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead == '0') ADVANCE(195);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '<') ADVANCE(97);
      if (lookahead == '=') ADVANCE(82);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(207);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '^') ADVANCE(139);
      if (lookahead == '`') ADVANCE(188);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '}') ADVANCE(87);
      if (lookahead == '~') ADVANCE(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(196);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(74)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(205);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(27)
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '[') ADVANCE(33);
      if (lookahead == '\\') ADVANCE(73);
      if (sym_regex_pattern_character_set_1(lookahead)) ADVANCE(191);
      if (lookahead != 0) ADVANCE(192);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(89);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '%') ADVANCE(154);
      if (lookahead == '&') ADVANCE(136);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(91);
      if (lookahead == '*') ADVANCE(79);
      if (lookahead == '+') ADVANCE(148);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(151);
      if (lookahead == '.') ADVANCE(105);
      if (lookahead == '/') ADVANCE(103);
      if (lookahead == '0') ADVANCE(195);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '<') ADVANCE(97);
      if (lookahead == '=') ADVANCE(82);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(207);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == '^') ADVANCE(139);
      if (lookahead == '`') ADVANCE(188);
      if (lookahead == '{') ADVANCE(84);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '~') ADVANCE(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(196);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(2)
      if (lookahead != 0 &&
          lookahead > '#' &&
          lookahead != ';' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(205);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(89);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '%') ADVANCE(154);
      if (lookahead == '&') ADVANCE(136);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(91);
      if (lookahead == '*') ADVANCE(79);
      if (lookahead == '+') ADVANCE(148);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(151);
      if (lookahead == '.') ADVANCE(104);
      if (lookahead == '/') ADVANCE(103);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '<') ADVANCE(97);
      if (lookahead == '=') ADVANCE(82);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(207);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '^') ADVANCE(139);
      if (lookahead == '`') ADVANCE(188);
      if (lookahead == '{') ADVANCE(84);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '}') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(216);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(3)
      if (lookahead != 0 &&
          lookahead > '#' &&
          lookahead != '~') ADVANCE(205);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(89);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '%') ADVANCE(153);
      if (lookahead == '&') ADVANCE(137);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(91);
      if (lookahead == '*') ADVANCE(80);
      if (lookahead == '+') ADVANCE(147);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(150);
      if (lookahead == '.') ADVANCE(106);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '0') ADVANCE(195);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '<') ADVANCE(98);
      if (lookahead == '=') ADVANCE(81);
      if (lookahead == '>') ADVANCE(101);
      if (lookahead == '?') ADVANCE(25);
      if (lookahead == '@') ADVANCE(207);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '^') ADVANCE(138);
      if (lookahead == '`') ADVANCE(188);
      if (lookahead == '{') ADVANCE(84);
      if (lookahead == '|') ADVANCE(143);
      if (lookahead == '}') ADVANCE(87);
      if (lookahead == '~') ADVANCE(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(196);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(4)
      if (lookahead != 0 &&
          lookahead > '#') ADVANCE(205);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(89);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '%') ADVANCE(153);
      if (lookahead == '&') ADVANCE(137);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(91);
      if (lookahead == '*') ADVANCE(80);
      if (lookahead == '+') ADVANCE(147);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(150);
      if (lookahead == '.') ADVANCE(104);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '<') ADVANCE(98);
      if (lookahead == '=') ADVANCE(81);
      if (lookahead == '>') ADVANCE(101);
      if (lookahead == '?') ADVANCE(211);
      if (lookahead == '@') ADVANCE(207);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '^') ADVANCE(138);
      if (lookahead == '`') ADVANCE(188);
      if (lookahead == '{') ADVANCE(84);
      if (lookahead == '|') ADVANCE(144);
      if (lookahead == '}') ADVANCE(87);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(5)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != '~') ADVANCE(205);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(89);
      if (lookahead == '%') ADVANCE(153);
      if (lookahead == '&') ADVANCE(137);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(91);
      if (lookahead == '*') ADVANCE(80);
      if (lookahead == '+') ADVANCE(147);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(150);
      if (lookahead == '.') ADVANCE(104);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '<') ADVANCE(98);
      if (lookahead == '=') ADVANCE(30);
      if (lookahead == '>') ADVANCE(101);
      if (lookahead == '?') ADVANCE(25);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '^') ADVANCE(138);
      if (lookahead == '`') ADVANCE(188);
      if (lookahead == '{') ADVANCE(84);
      if (lookahead == '|') ADVANCE(143);
      if (lookahead == '}') ADVANCE(87);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(7)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(193);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(205);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(89);
      if (lookahead == '%') ADVANCE(153);
      if (lookahead == '&') ADVANCE(137);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(91);
      if (lookahead == '*') ADVANCE(80);
      if (lookahead == '+') ADVANCE(147);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(150);
      if (lookahead == '.') ADVANCE(104);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '<') ADVANCE(98);
      if (lookahead == '=') ADVANCE(30);
      if (lookahead == '>') ADVANCE(101);
      if (lookahead == '?') ADVANCE(25);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '^') ADVANCE(138);
      if (lookahead == '`') ADVANCE(188);
      if (lookahead == '{') ADVANCE(84);
      if (lookahead == '|') ADVANCE(143);
      if (lookahead == '}') ADVANCE(87);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(7)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(205);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(77);
      if (lookahead == '\\') ADVANCE(35);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(206);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(88);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(91);
      if (lookahead == '*') ADVANCE(78);
      if (lookahead == '+') ADVANCE(147);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(150);
      if (lookahead == '.') ADVANCE(105);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '0') ADVANCE(195);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '<') ADVANCE(96);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(99);
      if (lookahead == '?') ADVANCE(208);
      if (lookahead == '@') ADVANCE(207);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '`') ADVANCE(188);
      if (lookahead == '{') ADVANCE(84);
      if (lookahead == '|') ADVANCE(145);
      if (lookahead == '}') ADVANCE(87);
      if (lookahead == '~') ADVANCE(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(196);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != '%' &&
          lookahead != '^') ADVANCE(205);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(88);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(91);
      if (lookahead == '*') ADVANCE(78);
      if (lookahead == '+') ADVANCE(147);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(150);
      if (lookahead == '.') ADVANCE(24);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '0') ADVANCE(195);
      if (lookahead == '<') ADVANCE(96);
      if (lookahead == '?') ADVANCE(208);
      if (lookahead == '@') ADVANCE(207);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '`') ADVANCE(188);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(140);
      if (lookahead == '~') ADVANCE(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(196);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(10)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}') ADVANCE(205);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(88);
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(91);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '.') ADVANCE(104);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '<') ADVANCE(96);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(99);
      if (lookahead == '?') ADVANCE(208);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '{') ADVANCE(84);
      if (lookahead == '|') ADVANCE(145);
      if (lookahead == '}') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(216);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(11)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(205);
      END_STATE();
    case 12:
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == '*') ADVANCE(78);
      if (lookahead == '+') ADVANCE(146);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == '.') ADVANCE(105);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead == '0') ADVANCE(195);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '<') ADVANCE(96);
      if (lookahead == '>') ADVANCE(99);
      if (lookahead == '?') ADVANCE(208);
      if (lookahead == '@') ADVANCE(207);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '`') ADVANCE(188);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(145);
      if (lookahead == '}') ADVANCE(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(196);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(13)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '=' < lookahead) &&
          lookahead != '^' &&
          lookahead != '~') ADVANCE(205);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == '*') ADVANCE(78);
      if (lookahead == '+') ADVANCE(146);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == '.') ADVANCE(105);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '0') ADVANCE(195);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '<') ADVANCE(96);
      if (lookahead == '>') ADVANCE(99);
      if (lookahead == '?') ADVANCE(208);
      if (lookahead == '@') ADVANCE(207);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '`') ADVANCE(188);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(145);
      if (lookahead == '}') ADVANCE(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(196);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(13)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '=' < lookahead) &&
          lookahead != '^' &&
          lookahead != '~') ADVANCE(205);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == '*') ADVANCE(78);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == '.') ADVANCE(24);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '0') ADVANCE(195);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '<') ADVANCE(96);
      if (lookahead == '@') ADVANCE(207);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == '{') ADVANCE(84);
      if (lookahead == '|') ADVANCE(46);
      if (lookahead == '}') ADVANCE(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(196);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(205);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '/') ADVANCE(171);
      if (lookahead == '\\') ADVANCE(37);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(174);
      if (lookahead != 0) ADVANCE(175);
      END_STATE();
    case 16:
      if (lookahead == '$') ADVANCE(38);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '\\') ADVANCE(37);
      if (lookahead == '`') ADVANCE(188);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      END_STATE();
    case 17:
      if (lookahead == '$') ADVANCE(38);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '`') ADVANCE(188);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      END_STATE();
    case 18:
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(91);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '.') ADVANCE(104);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(99);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '{') ADVANCE(84);
      if (lookahead == '|') ADVANCE(145);
      if (lookahead == '}') ADVANCE(87);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(18)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(205);
      END_STATE();
    case 19:
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(31);
      if (lookahead == '.') ADVANCE(104);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '<') ADVANCE(96);
      if (lookahead == '?') ADVANCE(29);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(140);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(19)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(205);
      END_STATE();
    case 20:
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == '\\') ADVANCE(37);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(180);
      if (lookahead != 0) ADVANCE(181);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(187);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(186);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(202);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '?') ADVANCE(163);
      END_STATE();
    case 26:
      if (lookahead == '.') ADVANCE(124);
      END_STATE();
    case 27:
      if (lookahead == '/') ADVANCE(21);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(27)
      END_STATE();
    case 28:
      if (lookahead == ':') ADVANCE(212);
      END_STATE();
    case 29:
      if (lookahead == ':') ADVANCE(213);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 31:
      if (lookahead == '?') ADVANCE(28);
      END_STATE();
    case 32:
      if (lookahead == '\\') ADVANCE(35);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(206);
      END_STATE();
    case 33:
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == ']') ADVANCE(192);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(33);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(39);
      if (lookahead == 'x') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(185);
      if (lookahead != 0) ADVANCE(182);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 37:
      if (lookahead == 'u') ADVANCE(42);
      if (lookahead == 'x') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(185);
      if (lookahead != 0) ADVANCE(182);
      END_STATE();
    case 38:
      if (lookahead == '{') ADVANCE(189);
      END_STATE();
    case 39:
      if (lookahead == '{') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 40:
      if (lookahead == '{') ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 41:
      if (lookahead == '{') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(71);
      END_STATE();
    case 42:
      if (lookahead == '{') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      END_STATE();
    case 43:
      if (lookahead == '}') ADVANCE(205);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 44:
      if (lookahead == '}') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 45:
      if (lookahead == '}') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 46:
      if (lookahead == '}') ADVANCE(215);
      END_STATE();
    case 47:
      if (lookahead == '}') ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 48:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      END_STATE();
    case 49:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(197);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(198);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(196);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(202);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(200);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(205);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(206);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(182);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(199);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(183);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(64);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 67:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 68:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(55);
      END_STATE();
    case 69:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 70:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      END_STATE();
    case 72:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(33);
      END_STATE();
    case 73:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(192);
      END_STATE();
    case 74:
      if (eof) ADVANCE(76);
      if (lookahead == '!') ADVANCE(89);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '#') ADVANCE(8);
      if (lookahead == '$') ADVANCE(204);
      if (lookahead == '%') ADVANCE(154);
      if (lookahead == '&') ADVANCE(136);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(91);
      if (lookahead == '*') ADVANCE(79);
      if (lookahead == '+') ADVANCE(148);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(152);
      if (lookahead == '.') ADVANCE(105);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '0') ADVANCE(195);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '<') ADVANCE(97);
      if (lookahead == '=') ADVANCE(82);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(207);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '^') ADVANCE(139);
      if (lookahead == '`') ADVANCE(188);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '}') ADVANCE(87);
      if (lookahead == '~') ADVANCE(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(196);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(74)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(205);
      END_STATE();
    case 75:
      if (eof) ADVANCE(76);
      if (lookahead == '!') ADVANCE(89);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '#') ADVANCE(8);
      if (lookahead == '%') ADVANCE(154);
      if (lookahead == '&') ADVANCE(136);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(91);
      if (lookahead == '*') ADVANCE(79);
      if (lookahead == '+') ADVANCE(148);
      if (lookahead == ',') ADVANCE(86);
      if (lookahead == '-') ADVANCE(151);
      if (lookahead == '.') ADVANCE(105);
      if (lookahead == '/') ADVANCE(103);
      if (lookahead == '0') ADVANCE(195);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(92);
      if (lookahead == '<') ADVANCE(97);
      if (lookahead == '=') ADVANCE(82);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(207);
      if (lookahead == '[') ADVANCE(94);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(95);
      if (lookahead == '^') ADVANCE(139);
      if (lookahead == '`') ADVANCE(188);
      if (lookahead == '{') ADVANCE(85);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '}') ADVANCE(87);
      if (lookahead == '~') ADVANCE(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(196);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(75)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(205);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(77);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(156);
      if (lookahead == '=') ADVANCE(111);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(155);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(158);
      if (lookahead == '>') ADVANCE(107);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(107);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(214);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(160);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(134);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(133);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '>') ADVANCE(129);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '>') ADVANCE(130);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(187);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(187);
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(202);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(202);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(117);
      if (lookahead == '>') ADVANCE(132);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(131);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(126);
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(125);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(116);
      if (lookahead == '|') ADVANCE(128);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(116);
      if (lookahead == '|') ADVANCE(128);
      if (lookahead == '}') ADVANCE(215);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(127);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(127);
      if (lookahead == '}') ADVANCE(215);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(215);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(166);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(166);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(167);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(167);
      if (lookahead == '=') ADVANCE(110);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(167);
      if (lookahead == '=') ADVANCE(110);
      if (lookahead == '?') ADVANCE(28);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(159);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(161);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '\n') ADVANCE(175);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(173);
      if (lookahead == '/') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(172);
      if (lookahead == '/') ADVANCE(175);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(173);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(172);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(171);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '\n') ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(176);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(179);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(181);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(178);
      if (lookahead == '/') ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(177);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(181);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(181);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(36);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(205);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(182);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(184);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(187);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(187);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(27)
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '[') ADVANCE(33);
      if (lookahead == '\\') ADVANCE(73);
      if (sym_regex_pattern_character_set_1(lookahead)) ADVANCE(191);
      if (lookahead != 0) ADVANCE(192);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(33);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(192);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(36);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(193);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(205);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(203);
      if (lookahead == '0') ADVANCE(200);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(49);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(48);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(50);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(58);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'n') ADVANCE(194);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(196);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(203);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(48);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(196);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(49);
      if (lookahead == 'n') ADVANCE(194);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(197);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(198);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(58);
      if (lookahead == 'n') ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(199);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'n') ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(200);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(48);
      if (lookahead == '_') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(202);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(202);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == '{') ADVANCE(189);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(205);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(36);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(205);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(35);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(108);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '?') ADVANCE(164);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '?') ADVANCE(163);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(aux_sym_ui_version_specifier_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(216);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'k') ADVANCE(9);
      if (lookahead == 'l') ADVANCE(10);
      if (lookahead == 'm') ADVANCE(11);
      if (lookahead == 'n') ADVANCE(12);
      if (lookahead == 'o') ADVANCE(13);
      if (lookahead == 'p') ADVANCE(14);
      if (lookahead == 'r') ADVANCE(15);
      if (lookahead == 's') ADVANCE(16);
      if (lookahead == 't') ADVANCE(17);
      if (lookahead == 'u') ADVANCE(18);
      if (lookahead == 'v') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8203) ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 8288 ||
          lookahead == 12288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 'n') ADVANCE(23);
      if (lookahead == 's') ADVANCE(24);
      if (lookahead == 'w') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(26);
      if (lookahead == 'r') ADVANCE(27);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(28);
      if (lookahead == 'l') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(33);
      if (lookahead == 'n') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(37);
      if (lookahead == 'o') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(43);
      if (lookahead == 'm') ADVANCE(44);
      if (lookahead == 'n') ADVANCE(45);
      if (lookahead == 's') ADVANCE(46);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(48);
      if (lookahead == 'i') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'o') ADVANCE(50);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(51);
      if (lookahead == 'e') ADVANCE(52);
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 13:
      if (lookahead == 'b') ADVANCE(54);
      if (lookahead == 'f') ADVANCE(55);
      if (lookahead == 'n') ADVANCE(56);
      if (lookahead == 'v') ADVANCE(57);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(58);
      if (lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(62);
      if (lookahead == 't') ADVANCE(63);
      if (lookahead == 'u') ADVANCE(64);
      if (lookahead == 'w') ADVANCE(65);
      if (lookahead == 'y') ADVANCE(66);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(67);
      if (lookahead == 'h') ADVANCE(68);
      if (lookahead == 'r') ADVANCE(69);
      if (lookahead == 'y') ADVANCE(70);
      END_STATE();
    case 18:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(72);
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(74);
      if (lookahead == 'i') ADVANCE(75);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 23:
      if (lookahead == 'y') ADVANCE(78);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(79);
      if (lookahead == 'y') ADVANCE(80);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(81);
      END_STATE();
    case 26:
      if (lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(84);
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(86);
      END_STATE();
    case 30:
      if (lookahead == 'm') ADVANCE(87);
      if (lookahead == 'n') ADVANCE(88);
      END_STATE();
    case 31:
      if (lookahead == 'b') ADVANCE(89);
      if (lookahead == 'c') ADVANCE(90);
      if (lookahead == 'f') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 33:
      if (lookahead == 's') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'p') ADVANCE(95);
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 38:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(100);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(101);
      END_STATE();
    case 41:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 42:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 44:
      if (lookahead == 'p') ADVANCE(104);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'f') ADVANCE(105);
      if (lookahead == 's') ADVANCE(106);
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 47:
      if (lookahead == 'y') ADVANCE(108);
      END_STATE();
    case 48:
      if (lookahead == 't') ADVANCE(109);
      END_STATE();
    case 49:
      if (lookahead == 's') ADVANCE(110);
      END_STATE();
    case 50:
      if (lookahead == 'd') ADVANCE(111);
      END_STATE();
    case 51:
      if (lookahead == 'm') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'v') ADVANCE(113);
      if (lookahead == 'w') ADVANCE(114);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(115);
      if (lookahead == 'm') ADVANCE(116);
      END_STATE();
    case 54:
      if (lookahead == 'j') ADVANCE(117);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(118);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(119);
      if (lookahead == 'i') ADVANCE(120);
      if (lookahead == 'o') ADVANCE(121);
      END_STATE();
    case 59:
      if (lookahead == 'b') ADVANCE(122);
      END_STATE();
    case 60:
      if (lookahead == 'a') ADVANCE(123);
      if (lookahead == 'q') ADVANCE(124);
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 62:
      if (lookahead == 'g') ADVANCE(127);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(128);
      if (lookahead == 'r') ADVANCE(129);
      END_STATE();
    case 64:
      if (lookahead == 'p') ADVANCE(130);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(131);
      END_STATE();
    case 66:
      if (lookahead == 'm') ADVANCE(132);
      END_STATE();
    case 67:
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(134);
      if (lookahead == 'r') ADVANCE(135);
      END_STATE();
    case 69:
      if (lookahead == 'u') ADVANCE(136);
      if (lookahead == 'y') ADVANCE(137);
      END_STATE();
    case 70:
      if (lookahead == 'p') ADVANCE(138);
      END_STATE();
    case 71:
      if (lookahead == 'd') ADVANCE(139);
      if (lookahead == 'k') ADVANCE(140);
      END_STATE();
    case 72:
      if (lookahead == 'r') ADVANCE(141);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(143);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 80:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 81:
      if (lookahead == 'i') ADVANCE(149);
      END_STATE();
    case 82:
      if (lookahead == 'l') ADVANCE(150);
      END_STATE();
    case 83:
      if (lookahead == 'a') ADVANCE(151);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 85:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 86:
      if (lookahead == 's') ADVANCE(154);
      END_STATE();
    case 87:
      if (lookahead == 'p') ADVANCE(155);
      END_STATE();
    case 88:
      if (lookahead == 's') ADVANCE(156);
      if (lookahead == 't') ADVANCE(157);
      END_STATE();
    case 89:
      if (lookahead == 'u') ADVANCE(158);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(159);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(160);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 94:
      if (lookahead == 'm') ADVANCE(163);
      END_STATE();
    case 95:
      if (lookahead == 'o') ADVANCE(164);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 97:
      if (lookahead == 's') ADVANCE(166);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(167);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 100:
      if (lookahead == 'm') ADVANCE(168);
      END_STATE();
    case 101:
      if (lookahead == 'c') ADVANCE(169);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 103:
      if (lookahead == 'b') ADVANCE(170);
      END_STATE();
    case 104:
      if (lookahead == 'l') ADVANCE(171);
      if (lookahead == 'o') ADVANCE(172);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 106:
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 108:
      if (lookahead == 'o') ADVANCE(176);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 110:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 111:
      if (lookahead == 'u') ADVANCE(178);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(179);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 115:
      if (lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 116:
      if (lookahead == 'b') ADVANCE(182);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 118:
      if (lookahead == 'r') ADVANCE(184);
      END_STATE();
    case 119:
      if (lookahead == 'g') ADVANCE(185);
      END_STATE();
    case 120:
      if (lookahead == 'v') ADVANCE(186);
      END_STATE();
    case 121:
      if (lookahead == 'p') ADVANCE(187);
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 123:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 124:
      if (lookahead == 'u') ADVANCE(191);
      END_STATE();
    case 125:
      if (lookahead == 'u') ADVANCE(192);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 127:
      if (lookahead == 'n') ADVANCE(193);
      END_STATE();
    case 128:
      if (lookahead == 't') ADVANCE(194);
      END_STATE();
    case 129:
      if (lookahead == 'i') ADVANCE(195);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 132:
      if (lookahead == 'b') ADVANCE(198);
      END_STATE();
    case 133:
      if (lookahead == 'g') ADVANCE(199);
      END_STATE();
    case 134:
      if (lookahead == 's') ADVANCE(200);
      END_STATE();
    case 135:
      if (lookahead == 'o') ADVANCE(201);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 140:
      if (lookahead == 'n') ADVANCE(205);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(206);
      END_STATE();
    case 143:
      if (lookahead == 'l') ADVANCE(207);
      END_STATE();
    case 144:
      if (lookahead == 'h') ADVANCE(208);
      END_STATE();
    case 145:
      if (lookahead == 'l') ADVANCE(209);
      END_STATE();
    case 146:
      if (lookahead == 'r') ADVANCE(210);
      END_STATE();
    case 147:
      if (lookahead == 'r') ADVANCE(211);
      END_STATE();
    case 148:
      if (lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 149:
      if (lookahead == 't') ADVANCE(213);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(214);
      END_STATE();
    case 151:
      if (lookahead == 'k') ADVANCE(215);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 153:
      if (lookahead == 'h') ADVANCE(216);
      END_STATE();
    case 154:
      if (lookahead == 's') ADVANCE(217);
      END_STATE();
    case 155:
      if (lookahead == 'o') ADVANCE(218);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(220);
      END_STATE();
    case 158:
      if (lookahead == 'g') ADVANCE(221);
      END_STATE();
    case 159:
      if (lookahead == 'a') ADVANCE(222);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(223);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(224);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 165:
      if (lookahead == 'n') ADVANCE(226);
      END_STATE();
    case 166:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 167:
      if (lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 169:
      if (lookahead == 't') ADVANCE(229);
      END_STATE();
    case 170:
      if (lookahead == 'a') ADVANCE(230);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(231);
      END_STATE();
    case 172:
      if (lookahead == 'r') ADVANCE(232);
      END_STATE();
    case 173:
      if (lookahead == 'r') ADVANCE(233);
      END_STATE();
    case 174:
      if (lookahead == 'a') ADVANCE(234);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 176:
      if (lookahead == 'f') ADVANCE(236);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_list);
      END_STATE();
    case 178:
      if (lookahead == 'l') ADVANCE(237);
      END_STATE();
    case 179:
      if (lookahead == 's') ADVANCE(238);
      END_STATE();
    case 180:
      if (lookahead == 'r') ADVANCE(239);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(240);
      END_STATE();
    case 183:
      if (lookahead == 'c') ADVANCE(241);
      END_STATE();
    case 184:
      if (lookahead == 'r') ADVANCE(242);
      END_STATE();
    case 185:
      if (lookahead == 'm') ADVANCE(243);
      END_STATE();
    case 186:
      if (lookahead == 'a') ADVANCE(244);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(245);
      END_STATE();
    case 188:
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 189:
      if (lookahead == 'i') ADVANCE(247);
      END_STATE();
    case 190:
      if (lookahead == 'o') ADVANCE(248);
      END_STATE();
    case 191:
      if (lookahead == 'i') ADVANCE(249);
      END_STATE();
    case 192:
      if (lookahead == 'r') ADVANCE(250);
      END_STATE();
    case 193:
      if (lookahead == 'a') ADVANCE(251);
      END_STATE();
    case 194:
      if (lookahead == 'i') ADVANCE(252);
      END_STATE();
    case 195:
      if (lookahead == 'n') ADVANCE(253);
      END_STATE();
    case 196:
      if (lookahead == 'r') ADVANCE(254);
      END_STATE();
    case 197:
      if (lookahead == 'c') ADVANCE(255);
      END_STATE();
    case 198:
      if (lookahead == 'o') ADVANCE(256);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 201:
      if (lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == 'o') ADVANCE(259);
      END_STATE();
    case 204:
      if (lookahead == 'f') ADVANCE(260);
      END_STATE();
    case 205:
      if (lookahead == 'o') ADVANCE(261);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 207:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 209:
      if (lookahead == 'd') ADVANCE(263);
      END_STATE();
    case 210:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 211:
      if (lookahead == 't') ADVANCE(265);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 214:
      if (lookahead == 'a') ADVANCE(266);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 218:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(268);
      END_STATE();
    case 221:
      if (lookahead == 'g') ADVANCE(269);
      END_STATE();
    case 222:
      if (lookahead == 'r') ADVANCE(270);
      END_STATE();
    case 223:
      if (lookahead == 'l') ADVANCE(271);
      END_STATE();
    case 224:
      if (lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 225:
      if (lookahead == 't') ADVANCE(273);
      END_STATE();
    case 226:
      if (lookahead == 'd') ADVANCE(274);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 228:
      if (lookahead == 'l') ADVANCE(275);
      END_STATE();
    case 229:
      if (lookahead == 'i') ADVANCE(276);
      END_STATE();
    case 230:
      if (lookahead == 'l') ADVANCE(277);
      END_STATE();
    case 231:
      if (lookahead == 'm') ADVANCE(278);
      END_STATE();
    case 232:
      if (lookahead == 't') ADVANCE(279);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 234:
      if (lookahead == 'n') ADVANCE(280);
      END_STATE();
    case 235:
      if (lookahead == 'f') ADVANCE(281);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 238:
      if (lookahead == 'p') ADVANCE(283);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 240:
      if (lookahead == 'r') ADVANCE(284);
      END_STATE();
    case 241:
      if (lookahead == 't') ADVANCE(285);
      END_STATE();
    case 242:
      if (lookahead == 'i') ADVANCE(286);
      END_STATE();
    case 243:
      if (lookahead == 'a') ADVANCE(287);
      END_STATE();
    case 244:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 245:
      if (lookahead == 'r') ADVANCE(289);
      END_STATE();
    case 246:
      if (lookahead == 'c') ADVANCE(290);
      END_STATE();
    case 247:
      if (lookahead == 'c') ADVANCE(291);
      END_STATE();
    case 248:
      if (lookahead == 'n') ADVANCE(292);
      END_STATE();
    case 249:
      if (lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 250:
      if (lookahead == 'n') ADVANCE(294);
      END_STATE();
    case 251:
      if (lookahead == 'l') ADVANCE(295);
      END_STATE();
    case 252:
      if (lookahead == 'c') ADVANCE(296);
      END_STATE();
    case 253:
      if (lookahead == 'g') ADVANCE(297);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 255:
      if (lookahead == 'h') ADVANCE(298);
      END_STATE();
    case 256:
      if (lookahead == 'l') ADVANCE(299);
      END_STATE();
    case 257:
      if (lookahead == 't') ADVANCE(300);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 259:
      if (lookahead == 'f') ADVANCE(301);
      END_STATE();
    case 260:
      if (lookahead == 'i') ADVANCE(302);
      END_STATE();
    case 261:
      if (lookahead == 'w') ADVANCE(303);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 264:
      if (lookahead == 'c') ADVANCE(304);
      END_STATE();
    case 265:
      if (lookahead == 's') ADVANCE(305);
      END_STATE();
    case 266:
      if (lookahead == 'n') ADVANCE(306);
      END_STATE();
    case 267:
      if (lookahead == 'e') ADVANCE(307);
      END_STATE();
    case 268:
      if (lookahead == 'u') ADVANCE(308);
      END_STATE();
    case 269:
      if (lookahead == 'e') ADVANCE(309);
      END_STATE();
    case 270:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 271:
      if (lookahead == 't') ADVANCE(311);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 274:
      if (lookahead == 's') ADVANCE(312);
      END_STATE();
    case 275:
      if (lookahead == 'y') ADVANCE(313);
      END_STATE();
    case 276:
      if (lookahead == 'o') ADVANCE(314);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 278:
      if (lookahead == 'e') ADVANCE(315);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 280:
      if (lookahead == 'c') ADVANCE(316);
      END_STATE();
    case 281:
      if (lookahead == 'a') ADVANCE(317);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 283:
      if (lookahead == 'a') ADVANCE(318);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(319);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_pragma);
      END_STATE();
    case 288:
      if (lookahead == 'e') ADVANCE(320);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(321);
      END_STATE();
    case 290:
      if (lookahead == 't') ADVANCE(322);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 292:
      if (lookahead == 'l') ADVANCE(323);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(324);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_signal);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(325);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 304:
      if (lookahead == 't') ADVANCE(327);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(329);
      END_STATE();
    case 309:
      if (lookahead == 'r') ADVANCE(330);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 314:
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 315:
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 316:
      if (lookahead == 'e') ADVANCE(333);
      END_STATE();
    case 317:
      if (lookahead == 'c') ADVANCE(334);
      END_STATE();
    case 318:
      if (lookahead == 'c') ADVANCE(335);
      END_STATE();
    case 319:
      if (lookahead == 'e') ADVANCE(336);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 321:
      if (lookahead == 'y') ADVANCE(337);
      END_STATE();
    case 322:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 323:
      if (lookahead == 'y') ADVANCE(339);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_require);
      if (lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 325:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 328:
      if (lookahead == 't') ADVANCE(342);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(343);
      END_STATE();
    case 333:
      if (lookahead == 'o') ADVANCE(344);
      END_STATE();
    case 334:
      if (lookahead == 'e') ADVANCE(345);
      END_STATE();
    case 335:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_property);
      END_STATE();
    case 338:
      if (lookahead == 'd') ADVANCE(347);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_required);
      END_STATE();
    case 341:
      if (lookahead == 'd') ADVANCE(348);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_component);
      END_STATE();
    case 343:
      if (lookahead == 's') ADVANCE(349);
      END_STATE();
    case 344:
      if (lookahead == 'f') ADVANCE(350);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 75},
  [2] = {.lex_state = 75, .external_lex_state = 2},
  [3] = {.lex_state = 75, .external_lex_state = 2},
  [4] = {.lex_state = 9},
  [5] = {.lex_state = 9},
  [6] = {.lex_state = 9},
  [7] = {.lex_state = 9},
  [8] = {.lex_state = 9},
  [9] = {.lex_state = 9},
  [10] = {.lex_state = 9},
  [11] = {.lex_state = 9},
  [12] = {.lex_state = 9},
  [13] = {.lex_state = 9},
  [14] = {.lex_state = 9},
  [15] = {.lex_state = 9},
  [16] = {.lex_state = 9},
  [17] = {.lex_state = 9},
  [18] = {.lex_state = 9},
  [19] = {.lex_state = 9},
  [20] = {.lex_state = 9},
  [21] = {.lex_state = 9},
  [22] = {.lex_state = 9},
  [23] = {.lex_state = 9},
  [24] = {.lex_state = 9},
  [25] = {.lex_state = 9},
  [26] = {.lex_state = 9},
  [27] = {.lex_state = 9},
  [28] = {.lex_state = 9},
  [29] = {.lex_state = 9},
  [30] = {.lex_state = 9},
  [31] = {.lex_state = 9},
  [32] = {.lex_state = 9},
  [33] = {.lex_state = 9},
  [34] = {.lex_state = 9},
  [35] = {.lex_state = 9},
  [36] = {.lex_state = 9},
  [37] = {.lex_state = 9},
  [38] = {.lex_state = 9},
  [39] = {.lex_state = 9},
  [40] = {.lex_state = 9},
  [41] = {.lex_state = 9},
  [42] = {.lex_state = 9},
  [43] = {.lex_state = 9},
  [44] = {.lex_state = 9},
  [45] = {.lex_state = 9},
  [46] = {.lex_state = 9},
  [47] = {.lex_state = 9},
  [48] = {.lex_state = 9},
  [49] = {.lex_state = 9},
  [50] = {.lex_state = 9},
  [51] = {.lex_state = 9},
  [52] = {.lex_state = 9},
  [53] = {.lex_state = 9},
  [54] = {.lex_state = 9},
  [55] = {.lex_state = 9},
  [56] = {.lex_state = 9},
  [57] = {.lex_state = 9},
  [58] = {.lex_state = 9},
  [59] = {.lex_state = 9},
  [60] = {.lex_state = 9},
  [61] = {.lex_state = 10},
  [62] = {.lex_state = 10},
  [63] = {.lex_state = 10},
  [64] = {.lex_state = 10},
  [65] = {.lex_state = 10},
  [66] = {.lex_state = 10},
  [67] = {.lex_state = 10},
  [68] = {.lex_state = 10},
  [69] = {.lex_state = 10},
  [70] = {.lex_state = 10},
  [71] = {.lex_state = 2, .external_lex_state = 2},
  [72] = {.lex_state = 2, .external_lex_state = 2},
  [73] = {.lex_state = 2, .external_lex_state = 2},
  [74] = {.lex_state = 2, .external_lex_state = 2},
  [75] = {.lex_state = 2, .external_lex_state = 2},
  [76] = {.lex_state = 2, .external_lex_state = 2},
  [77] = {.lex_state = 2, .external_lex_state = 2},
  [78] = {.lex_state = 2, .external_lex_state = 2},
  [79] = {.lex_state = 10},
  [80] = {.lex_state = 10},
  [81] = {.lex_state = 10},
  [82] = {.lex_state = 10},
  [83] = {.lex_state = 10},
  [84] = {.lex_state = 10},
  [85] = {.lex_state = 10},
  [86] = {.lex_state = 10},
  [87] = {.lex_state = 10},
  [88] = {.lex_state = 10},
  [89] = {.lex_state = 10},
  [90] = {.lex_state = 10},
  [91] = {.lex_state = 10},
  [92] = {.lex_state = 10},
  [93] = {.lex_state = 10},
  [94] = {.lex_state = 10},
  [95] = {.lex_state = 10},
  [96] = {.lex_state = 10},
  [97] = {.lex_state = 10},
  [98] = {.lex_state = 10},
  [99] = {.lex_state = 10},
  [100] = {.lex_state = 4, .external_lex_state = 2},
  [101] = {.lex_state = 4, .external_lex_state = 3},
  [102] = {.lex_state = 4, .external_lex_state = 3},
  [103] = {.lex_state = 4, .external_lex_state = 3},
  [104] = {.lex_state = 4, .external_lex_state = 2},
  [105] = {.lex_state = 4, .external_lex_state = 2},
  [106] = {.lex_state = 4, .external_lex_state = 2},
  [107] = {.lex_state = 4, .external_lex_state = 2},
  [108] = {.lex_state = 4, .external_lex_state = 2},
  [109] = {.lex_state = 9},
  [110] = {.lex_state = 9},
  [111] = {.lex_state = 9},
  [112] = {.lex_state = 9},
  [113] = {.lex_state = 9},
  [114] = {.lex_state = 9},
  [115] = {.lex_state = 9},
  [116] = {.lex_state = 9},
  [117] = {.lex_state = 9},
  [118] = {.lex_state = 9},
  [119] = {.lex_state = 9},
  [120] = {.lex_state = 9},
  [121] = {.lex_state = 9},
  [122] = {.lex_state = 9},
  [123] = {.lex_state = 9},
  [124] = {.lex_state = 9},
  [125] = {.lex_state = 9},
  [126] = {.lex_state = 9},
  [127] = {.lex_state = 75, .external_lex_state = 2},
  [128] = {.lex_state = 75, .external_lex_state = 3},
  [129] = {.lex_state = 75, .external_lex_state = 3},
  [130] = {.lex_state = 75, .external_lex_state = 2},
  [131] = {.lex_state = 75, .external_lex_state = 2},
  [132] = {.lex_state = 4, .external_lex_state = 3},
  [133] = {.lex_state = 75, .external_lex_state = 3},
  [134] = {.lex_state = 75, .external_lex_state = 2},
  [135] = {.lex_state = 9},
  [136] = {.lex_state = 9},
  [137] = {.lex_state = 75, .external_lex_state = 2},
  [138] = {.lex_state = 9},
  [139] = {.lex_state = 9},
  [140] = {.lex_state = 4, .external_lex_state = 3},
  [141] = {.lex_state = 4, .external_lex_state = 3},
  [142] = {.lex_state = 75, .external_lex_state = 2},
  [143] = {.lex_state = 4, .external_lex_state = 3},
  [144] = {.lex_state = 4, .external_lex_state = 3},
  [145] = {.lex_state = 4, .external_lex_state = 3},
  [146] = {.lex_state = 9},
  [147] = {.lex_state = 4, .external_lex_state = 3},
  [148] = {.lex_state = 4, .external_lex_state = 3},
  [149] = {.lex_state = 4, .external_lex_state = 3},
  [150] = {.lex_state = 4, .external_lex_state = 3},
  [151] = {.lex_state = 4, .external_lex_state = 3},
  [152] = {.lex_state = 4, .external_lex_state = 3},
  [153] = {.lex_state = 9},
  [154] = {.lex_state = 4, .external_lex_state = 3},
  [155] = {.lex_state = 75, .external_lex_state = 2},
  [156] = {.lex_state = 4, .external_lex_state = 3},
  [157] = {.lex_state = 9},
  [158] = {.lex_state = 4, .external_lex_state = 3},
  [159] = {.lex_state = 4, .external_lex_state = 3},
  [160] = {.lex_state = 9},
  [161] = {.lex_state = 4, .external_lex_state = 3},
  [162] = {.lex_state = 75, .external_lex_state = 2},
  [163] = {.lex_state = 4, .external_lex_state = 3},
  [164] = {.lex_state = 75, .external_lex_state = 2},
  [165] = {.lex_state = 9},
  [166] = {.lex_state = 4, .external_lex_state = 3},
  [167] = {.lex_state = 9},
  [168] = {.lex_state = 9},
  [169] = {.lex_state = 9},
  [170] = {.lex_state = 4, .external_lex_state = 3},
  [171] = {.lex_state = 9},
  [172] = {.lex_state = 4, .external_lex_state = 3},
  [173] = {.lex_state = 75, .external_lex_state = 2},
  [174] = {.lex_state = 4, .external_lex_state = 3},
  [175] = {.lex_state = 4, .external_lex_state = 3},
  [176] = {.lex_state = 4, .external_lex_state = 3},
  [177] = {.lex_state = 4, .external_lex_state = 3},
  [178] = {.lex_state = 4, .external_lex_state = 3},
  [179] = {.lex_state = 4, .external_lex_state = 3},
  [180] = {.lex_state = 9},
  [181] = {.lex_state = 9},
  [182] = {.lex_state = 9},
  [183] = {.lex_state = 9},
  [184] = {.lex_state = 9},
  [185] = {.lex_state = 9},
  [186] = {.lex_state = 9},
  [187] = {.lex_state = 9},
  [188] = {.lex_state = 75, .external_lex_state = 2},
  [189] = {.lex_state = 9},
  [190] = {.lex_state = 9},
  [191] = {.lex_state = 9},
  [192] = {.lex_state = 9},
  [193] = {.lex_state = 9},
  [194] = {.lex_state = 9, .external_lex_state = 4},
  [195] = {.lex_state = 9},
  [196] = {.lex_state = 2, .external_lex_state = 2},
  [197] = {.lex_state = 9},
  [198] = {.lex_state = 9},
  [199] = {.lex_state = 9},
  [200] = {.lex_state = 9},
  [201] = {.lex_state = 9},
  [202] = {.lex_state = 9},
  [203] = {.lex_state = 2, .external_lex_state = 2},
  [204] = {.lex_state = 9},
  [205] = {.lex_state = 2, .external_lex_state = 2},
  [206] = {.lex_state = 2, .external_lex_state = 2},
  [207] = {.lex_state = 9},
  [208] = {.lex_state = 9},
  [209] = {.lex_state = 9},
  [210] = {.lex_state = 9},
  [211] = {.lex_state = 9},
  [212] = {.lex_state = 9},
  [213] = {.lex_state = 9},
  [214] = {.lex_state = 9},
  [215] = {.lex_state = 9},
  [216] = {.lex_state = 9},
  [217] = {.lex_state = 9},
  [218] = {.lex_state = 9},
  [219] = {.lex_state = 9},
  [220] = {.lex_state = 9},
  [221] = {.lex_state = 9},
  [222] = {.lex_state = 9},
  [223] = {.lex_state = 9},
  [224] = {.lex_state = 9},
  [225] = {.lex_state = 9},
  [226] = {.lex_state = 9},
  [227] = {.lex_state = 9},
  [228] = {.lex_state = 9},
  [229] = {.lex_state = 9},
  [230] = {.lex_state = 9},
  [231] = {.lex_state = 9},
  [232] = {.lex_state = 9, .external_lex_state = 4},
  [233] = {.lex_state = 9},
  [234] = {.lex_state = 9},
  [235] = {.lex_state = 9},
  [236] = {.lex_state = 9},
  [237] = {.lex_state = 9},
  [238] = {.lex_state = 9, .external_lex_state = 4},
  [239] = {.lex_state = 9},
  [240] = {.lex_state = 9},
  [241] = {.lex_state = 9},
  [242] = {.lex_state = 9},
  [243] = {.lex_state = 9},
  [244] = {.lex_state = 9},
  [245] = {.lex_state = 9},
  [246] = {.lex_state = 9},
  [247] = {.lex_state = 9},
  [248] = {.lex_state = 9},
  [249] = {.lex_state = 9},
  [250] = {.lex_state = 9},
  [251] = {.lex_state = 9},
  [252] = {.lex_state = 9},
  [253] = {.lex_state = 9},
  [254] = {.lex_state = 9},
  [255] = {.lex_state = 9},
  [256] = {.lex_state = 9},
  [257] = {.lex_state = 9},
  [258] = {.lex_state = 9},
  [259] = {.lex_state = 9},
  [260] = {.lex_state = 9},
  [261] = {.lex_state = 9},
  [262] = {.lex_state = 9},
  [263] = {.lex_state = 9},
  [264] = {.lex_state = 9},
  [265] = {.lex_state = 9},
  [266] = {.lex_state = 9},
  [267] = {.lex_state = 9},
  [268] = {.lex_state = 9},
  [269] = {.lex_state = 9},
  [270] = {.lex_state = 9},
  [271] = {.lex_state = 9},
  [272] = {.lex_state = 9},
  [273] = {.lex_state = 9},
  [274] = {.lex_state = 9},
  [275] = {.lex_state = 9},
  [276] = {.lex_state = 9},
  [277] = {.lex_state = 9},
  [278] = {.lex_state = 9},
  [279] = {.lex_state = 9},
  [280] = {.lex_state = 9},
  [281] = {.lex_state = 9},
  [282] = {.lex_state = 9},
  [283] = {.lex_state = 9},
  [284] = {.lex_state = 9},
  [285] = {.lex_state = 9},
  [286] = {.lex_state = 9},
  [287] = {.lex_state = 9},
  [288] = {.lex_state = 9},
  [289] = {.lex_state = 9},
  [290] = {.lex_state = 9},
  [291] = {.lex_state = 9},
  [292] = {.lex_state = 9},
  [293] = {.lex_state = 9},
  [294] = {.lex_state = 9},
  [295] = {.lex_state = 9},
  [296] = {.lex_state = 9},
  [297] = {.lex_state = 9},
  [298] = {.lex_state = 9},
  [299] = {.lex_state = 9},
  [300] = {.lex_state = 9},
  [301] = {.lex_state = 9},
  [302] = {.lex_state = 9},
  [303] = {.lex_state = 9},
  [304] = {.lex_state = 9},
  [305] = {.lex_state = 9},
  [306] = {.lex_state = 9},
  [307] = {.lex_state = 9},
  [308] = {.lex_state = 9},
  [309] = {.lex_state = 9},
  [310] = {.lex_state = 9},
  [311] = {.lex_state = 9},
  [312] = {.lex_state = 9},
  [313] = {.lex_state = 9},
  [314] = {.lex_state = 9},
  [315] = {.lex_state = 9},
  [316] = {.lex_state = 9},
  [317] = {.lex_state = 9},
  [318] = {.lex_state = 9},
  [319] = {.lex_state = 9},
  [320] = {.lex_state = 9},
  [321] = {.lex_state = 9},
  [322] = {.lex_state = 9},
  [323] = {.lex_state = 9},
  [324] = {.lex_state = 9},
  [325] = {.lex_state = 9},
  [326] = {.lex_state = 9},
  [327] = {.lex_state = 9},
  [328] = {.lex_state = 9},
  [329] = {.lex_state = 9},
  [330] = {.lex_state = 9},
  [331] = {.lex_state = 9},
  [332] = {.lex_state = 9},
  [333] = {.lex_state = 9},
  [334] = {.lex_state = 9},
  [335] = {.lex_state = 9},
  [336] = {.lex_state = 9},
  [337] = {.lex_state = 9},
  [338] = {.lex_state = 9},
  [339] = {.lex_state = 9},
  [340] = {.lex_state = 9},
  [341] = {.lex_state = 9},
  [342] = {.lex_state = 9},
  [343] = {.lex_state = 9},
  [344] = {.lex_state = 9},
  [345] = {.lex_state = 9},
  [346] = {.lex_state = 9},
  [347] = {.lex_state = 9},
  [348] = {.lex_state = 9},
  [349] = {.lex_state = 9},
  [350] = {.lex_state = 9},
  [351] = {.lex_state = 9},
  [352] = {.lex_state = 9},
  [353] = {.lex_state = 9},
  [354] = {.lex_state = 9},
  [355] = {.lex_state = 9},
  [356] = {.lex_state = 9},
  [357] = {.lex_state = 9},
  [358] = {.lex_state = 9},
  [359] = {.lex_state = 9},
  [360] = {.lex_state = 9},
  [361] = {.lex_state = 9},
  [362] = {.lex_state = 9},
  [363] = {.lex_state = 9},
  [364] = {.lex_state = 9},
  [365] = {.lex_state = 9},
  [366] = {.lex_state = 9},
  [367] = {.lex_state = 9},
  [368] = {.lex_state = 9},
  [369] = {.lex_state = 9},
  [370] = {.lex_state = 9},
  [371] = {.lex_state = 9},
  [372] = {.lex_state = 9},
  [373] = {.lex_state = 9},
  [374] = {.lex_state = 9},
  [375] = {.lex_state = 9},
  [376] = {.lex_state = 9},
  [377] = {.lex_state = 9},
  [378] = {.lex_state = 9},
  [379] = {.lex_state = 9},
  [380] = {.lex_state = 9},
  [381] = {.lex_state = 9},
  [382] = {.lex_state = 9},
  [383] = {.lex_state = 9},
  [384] = {.lex_state = 9},
  [385] = {.lex_state = 9},
  [386] = {.lex_state = 9},
  [387] = {.lex_state = 9},
  [388] = {.lex_state = 9},
  [389] = {.lex_state = 9},
  [390] = {.lex_state = 9},
  [391] = {.lex_state = 9},
  [392] = {.lex_state = 9},
  [393] = {.lex_state = 9},
  [394] = {.lex_state = 9},
  [395] = {.lex_state = 9},
  [396] = {.lex_state = 9},
  [397] = {.lex_state = 9},
  [398] = {.lex_state = 9},
  [399] = {.lex_state = 9},
  [400] = {.lex_state = 9},
  [401] = {.lex_state = 9},
  [402] = {.lex_state = 9},
  [403] = {.lex_state = 9},
  [404] = {.lex_state = 9},
  [405] = {.lex_state = 9},
  [406] = {.lex_state = 9},
  [407] = {.lex_state = 9},
  [408] = {.lex_state = 9},
  [409] = {.lex_state = 9},
  [410] = {.lex_state = 9},
  [411] = {.lex_state = 9},
  [412] = {.lex_state = 9},
  [413] = {.lex_state = 9},
  [414] = {.lex_state = 9},
  [415] = {.lex_state = 9},
  [416] = {.lex_state = 9},
  [417] = {.lex_state = 9},
  [418] = {.lex_state = 9},
  [419] = {.lex_state = 9},
  [420] = {.lex_state = 9},
  [421] = {.lex_state = 9},
  [422] = {.lex_state = 9},
  [423] = {.lex_state = 9},
  [424] = {.lex_state = 9},
  [425] = {.lex_state = 9},
  [426] = {.lex_state = 9},
  [427] = {.lex_state = 9},
  [428] = {.lex_state = 9},
  [429] = {.lex_state = 9},
  [430] = {.lex_state = 9},
  [431] = {.lex_state = 9},
  [432] = {.lex_state = 9},
  [433] = {.lex_state = 9},
  [434] = {.lex_state = 9},
  [435] = {.lex_state = 9},
  [436] = {.lex_state = 9},
  [437] = {.lex_state = 9},
  [438] = {.lex_state = 9},
  [439] = {.lex_state = 9},
  [440] = {.lex_state = 9},
  [441] = {.lex_state = 9},
  [442] = {.lex_state = 9},
  [443] = {.lex_state = 9},
  [444] = {.lex_state = 9},
  [445] = {.lex_state = 9},
  [446] = {.lex_state = 9},
  [447] = {.lex_state = 9},
  [448] = {.lex_state = 9},
  [449] = {.lex_state = 9},
  [450] = {.lex_state = 9},
  [451] = {.lex_state = 9},
  [452] = {.lex_state = 9},
  [453] = {.lex_state = 9},
  [454] = {.lex_state = 9},
  [455] = {.lex_state = 9},
  [456] = {.lex_state = 9},
  [457] = {.lex_state = 9},
  [458] = {.lex_state = 9},
  [459] = {.lex_state = 9},
  [460] = {.lex_state = 9},
  [461] = {.lex_state = 9},
  [462] = {.lex_state = 9},
  [463] = {.lex_state = 75, .external_lex_state = 3},
  [464] = {.lex_state = 9},
  [465] = {.lex_state = 9},
  [466] = {.lex_state = 9},
  [467] = {.lex_state = 9},
  [468] = {.lex_state = 9},
  [469] = {.lex_state = 9},
  [470] = {.lex_state = 9},
  [471] = {.lex_state = 9},
  [472] = {.lex_state = 9},
  [473] = {.lex_state = 9},
  [474] = {.lex_state = 9},
  [475] = {.lex_state = 9},
  [476] = {.lex_state = 9},
  [477] = {.lex_state = 9},
  [478] = {.lex_state = 9},
  [479] = {.lex_state = 9},
  [480] = {.lex_state = 9},
  [481] = {.lex_state = 75, .external_lex_state = 3},
  [482] = {.lex_state = 9},
  [483] = {.lex_state = 9},
  [484] = {.lex_state = 9},
  [485] = {.lex_state = 9},
  [486] = {.lex_state = 9},
  [487] = {.lex_state = 9},
  [488] = {.lex_state = 9},
  [489] = {.lex_state = 9},
  [490] = {.lex_state = 9},
  [491] = {.lex_state = 9},
  [492] = {.lex_state = 9},
  [493] = {.lex_state = 9},
  [494] = {.lex_state = 9},
  [495] = {.lex_state = 9},
  [496] = {.lex_state = 9},
  [497] = {.lex_state = 9},
  [498] = {.lex_state = 9},
  [499] = {.lex_state = 9},
  [500] = {.lex_state = 9},
  [501] = {.lex_state = 9},
  [502] = {.lex_state = 9},
  [503] = {.lex_state = 9},
  [504] = {.lex_state = 9},
  [505] = {.lex_state = 9},
  [506] = {.lex_state = 9},
  [507] = {.lex_state = 9},
  [508] = {.lex_state = 9},
  [509] = {.lex_state = 9},
  [510] = {.lex_state = 9},
  [511] = {.lex_state = 9},
  [512] = {.lex_state = 9},
  [513] = {.lex_state = 9},
  [514] = {.lex_state = 9},
  [515] = {.lex_state = 9},
  [516] = {.lex_state = 9},
  [517] = {.lex_state = 9},
  [518] = {.lex_state = 9},
  [519] = {.lex_state = 9},
  [520] = {.lex_state = 9},
  [521] = {.lex_state = 9},
  [522] = {.lex_state = 9},
  [523] = {.lex_state = 9},
  [524] = {.lex_state = 75, .external_lex_state = 3},
  [525] = {.lex_state = 9},
  [526] = {.lex_state = 9},
  [527] = {.lex_state = 9},
  [528] = {.lex_state = 9},
  [529] = {.lex_state = 9},
  [530] = {.lex_state = 9},
  [531] = {.lex_state = 9},
  [532] = {.lex_state = 9},
  [533] = {.lex_state = 9},
  [534] = {.lex_state = 9},
  [535] = {.lex_state = 9},
  [536] = {.lex_state = 9},
  [537] = {.lex_state = 9},
  [538] = {.lex_state = 9},
  [539] = {.lex_state = 9},
  [540] = {.lex_state = 9},
  [541] = {.lex_state = 9},
  [542] = {.lex_state = 9},
  [543] = {.lex_state = 9},
  [544] = {.lex_state = 9},
  [545] = {.lex_state = 9},
  [546] = {.lex_state = 9},
  [547] = {.lex_state = 9},
  [548] = {.lex_state = 9},
  [549] = {.lex_state = 9},
  [550] = {.lex_state = 9},
  [551] = {.lex_state = 9},
  [552] = {.lex_state = 9},
  [553] = {.lex_state = 75, .external_lex_state = 3},
  [554] = {.lex_state = 9},
  [555] = {.lex_state = 9},
  [556] = {.lex_state = 9},
  [557] = {.lex_state = 9},
  [558] = {.lex_state = 9},
  [559] = {.lex_state = 9},
  [560] = {.lex_state = 9},
  [561] = {.lex_state = 9},
  [562] = {.lex_state = 9},
  [563] = {.lex_state = 9},
  [564] = {.lex_state = 9},
  [565] = {.lex_state = 9},
  [566] = {.lex_state = 9},
  [567] = {.lex_state = 9},
  [568] = {.lex_state = 9},
  [569] = {.lex_state = 9},
  [570] = {.lex_state = 9},
  [571] = {.lex_state = 9},
  [572] = {.lex_state = 9},
  [573] = {.lex_state = 9},
  [574] = {.lex_state = 9},
  [575] = {.lex_state = 9},
  [576] = {.lex_state = 9},
  [577] = {.lex_state = 9},
  [578] = {.lex_state = 9},
  [579] = {.lex_state = 9},
  [580] = {.lex_state = 9},
  [581] = {.lex_state = 9},
  [582] = {.lex_state = 9},
  [583] = {.lex_state = 9},
  [584] = {.lex_state = 9},
  [585] = {.lex_state = 9},
  [586] = {.lex_state = 9},
  [587] = {.lex_state = 9},
  [588] = {.lex_state = 9},
  [589] = {.lex_state = 9},
  [590] = {.lex_state = 9},
  [591] = {.lex_state = 3, .external_lex_state = 3},
  [592] = {.lex_state = 3, .external_lex_state = 3},
  [593] = {.lex_state = 3, .external_lex_state = 3},
  [594] = {.lex_state = 3, .external_lex_state = 3},
  [595] = {.lex_state = 75, .external_lex_state = 3},
  [596] = {.lex_state = 75, .external_lex_state = 3},
  [597] = {.lex_state = 75, .external_lex_state = 3},
  [598] = {.lex_state = 75, .external_lex_state = 3},
  [599] = {.lex_state = 75, .external_lex_state = 3},
  [600] = {.lex_state = 75, .external_lex_state = 3},
  [601] = {.lex_state = 75, .external_lex_state = 3},
  [602] = {.lex_state = 75, .external_lex_state = 3},
  [603] = {.lex_state = 75, .external_lex_state = 3},
  [604] = {.lex_state = 75, .external_lex_state = 3},
  [605] = {.lex_state = 75, .external_lex_state = 3},
  [606] = {.lex_state = 75, .external_lex_state = 3},
  [607] = {.lex_state = 3, .external_lex_state = 3},
  [608] = {.lex_state = 3, .external_lex_state = 3},
  [609] = {.lex_state = 3, .external_lex_state = 3},
  [610] = {.lex_state = 3, .external_lex_state = 3},
  [611] = {.lex_state = 3, .external_lex_state = 3},
  [612] = {.lex_state = 3, .external_lex_state = 3},
  [613] = {.lex_state = 9},
  [614] = {.lex_state = 9},
  [615] = {.lex_state = 9},
  [616] = {.lex_state = 9},
  [617] = {.lex_state = 3, .external_lex_state = 3},
  [618] = {.lex_state = 9},
  [619] = {.lex_state = 9},
  [620] = {.lex_state = 9},
  [621] = {.lex_state = 75, .external_lex_state = 3},
  [622] = {.lex_state = 75, .external_lex_state = 3},
  [623] = {.lex_state = 75, .external_lex_state = 3},
  [624] = {.lex_state = 75, .external_lex_state = 3},
  [625] = {.lex_state = 75, .external_lex_state = 3},
  [626] = {.lex_state = 75, .external_lex_state = 3},
  [627] = {.lex_state = 75, .external_lex_state = 3},
  [628] = {.lex_state = 75, .external_lex_state = 3},
  [629] = {.lex_state = 3, .external_lex_state = 3},
  [630] = {.lex_state = 3, .external_lex_state = 3},
  [631] = {.lex_state = 3, .external_lex_state = 2},
  [632] = {.lex_state = 3, .external_lex_state = 3},
  [633] = {.lex_state = 3, .external_lex_state = 2},
  [634] = {.lex_state = 3, .external_lex_state = 2},
  [635] = {.lex_state = 3, .external_lex_state = 3},
  [636] = {.lex_state = 3, .external_lex_state = 3},
  [637] = {.lex_state = 3, .external_lex_state = 2},
  [638] = {.lex_state = 3, .external_lex_state = 2},
  [639] = {.lex_state = 3, .external_lex_state = 3},
  [640] = {.lex_state = 3, .external_lex_state = 3},
  [641] = {.lex_state = 3, .external_lex_state = 3},
  [642] = {.lex_state = 3, .external_lex_state = 2},
  [643] = {.lex_state = 3, .external_lex_state = 3},
  [644] = {.lex_state = 3, .external_lex_state = 2},
  [645] = {.lex_state = 3, .external_lex_state = 3},
  [646] = {.lex_state = 3, .external_lex_state = 3},
  [647] = {.lex_state = 3, .external_lex_state = 3},
  [648] = {.lex_state = 3, .external_lex_state = 3},
  [649] = {.lex_state = 3, .external_lex_state = 3},
  [650] = {.lex_state = 3, .external_lex_state = 2},
  [651] = {.lex_state = 3, .external_lex_state = 2},
  [652] = {.lex_state = 3, .external_lex_state = 3},
  [653] = {.lex_state = 3, .external_lex_state = 2},
  [654] = {.lex_state = 3, .external_lex_state = 3},
  [655] = {.lex_state = 3, .external_lex_state = 3},
  [656] = {.lex_state = 3, .external_lex_state = 2},
  [657] = {.lex_state = 3, .external_lex_state = 3},
  [658] = {.lex_state = 3, .external_lex_state = 3},
  [659] = {.lex_state = 3, .external_lex_state = 2},
  [660] = {.lex_state = 3, .external_lex_state = 3},
  [661] = {.lex_state = 3, .external_lex_state = 2},
  [662] = {.lex_state = 3, .external_lex_state = 3},
  [663] = {.lex_state = 3, .external_lex_state = 3},
  [664] = {.lex_state = 3, .external_lex_state = 3},
  [665] = {.lex_state = 9},
  [666] = {.lex_state = 3, .external_lex_state = 2},
  [667] = {.lex_state = 3, .external_lex_state = 2},
  [668] = {.lex_state = 3, .external_lex_state = 2},
  [669] = {.lex_state = 9, .external_lex_state = 4},
  [670] = {.lex_state = 9, .external_lex_state = 4},
  [671] = {.lex_state = 3, .external_lex_state = 2},
  [672] = {.lex_state = 9, .external_lex_state = 4},
  [673] = {.lex_state = 9, .external_lex_state = 4},
  [674] = {.lex_state = 9},
  [675] = {.lex_state = 3, .external_lex_state = 2},
  [676] = {.lex_state = 3, .external_lex_state = 2},
  [677] = {.lex_state = 9},
  [678] = {.lex_state = 3, .external_lex_state = 2},
  [679] = {.lex_state = 9},
  [680] = {.lex_state = 9},
  [681] = {.lex_state = 3, .external_lex_state = 2},
  [682] = {.lex_state = 9},
  [683] = {.lex_state = 9, .external_lex_state = 4},
  [684] = {.lex_state = 9, .external_lex_state = 4},
  [685] = {.lex_state = 9, .external_lex_state = 4},
  [686] = {.lex_state = 9},
  [687] = {.lex_state = 9, .external_lex_state = 4},
  [688] = {.lex_state = 9, .external_lex_state = 4},
  [689] = {.lex_state = 9, .external_lex_state = 4},
  [690] = {.lex_state = 9, .external_lex_state = 4},
  [691] = {.lex_state = 9},
  [692] = {.lex_state = 9},
  [693] = {.lex_state = 9, .external_lex_state = 4},
  [694] = {.lex_state = 9},
  [695] = {.lex_state = 9, .external_lex_state = 4},
  [696] = {.lex_state = 9},
  [697] = {.lex_state = 9, .external_lex_state = 4},
  [698] = {.lex_state = 9, .external_lex_state = 4},
  [699] = {.lex_state = 9, .external_lex_state = 4},
  [700] = {.lex_state = 9},
  [701] = {.lex_state = 9, .external_lex_state = 4},
  [702] = {.lex_state = 9},
  [703] = {.lex_state = 9, .external_lex_state = 4},
  [704] = {.lex_state = 9, .external_lex_state = 4},
  [705] = {.lex_state = 9, .external_lex_state = 4},
  [706] = {.lex_state = 9},
  [707] = {.lex_state = 9},
  [708] = {.lex_state = 9},
  [709] = {.lex_state = 9},
  [710] = {.lex_state = 9},
  [711] = {.lex_state = 9},
  [712] = {.lex_state = 9},
  [713] = {.lex_state = 9},
  [714] = {.lex_state = 9},
  [715] = {.lex_state = 9},
  [716] = {.lex_state = 9},
  [717] = {.lex_state = 9},
  [718] = {.lex_state = 9},
  [719] = {.lex_state = 9},
  [720] = {.lex_state = 9},
  [721] = {.lex_state = 9},
  [722] = {.lex_state = 9},
  [723] = {.lex_state = 9},
  [724] = {.lex_state = 9},
  [725] = {.lex_state = 9},
  [726] = {.lex_state = 9},
  [727] = {.lex_state = 9},
  [728] = {.lex_state = 9},
  [729] = {.lex_state = 9},
  [730] = {.lex_state = 9},
  [731] = {.lex_state = 9},
  [732] = {.lex_state = 9},
  [733] = {.lex_state = 9},
  [734] = {.lex_state = 9},
  [735] = {.lex_state = 9},
  [736] = {.lex_state = 9},
  [737] = {.lex_state = 9},
  [738] = {.lex_state = 9},
  [739] = {.lex_state = 9},
  [740] = {.lex_state = 9},
  [741] = {.lex_state = 9},
  [742] = {.lex_state = 9},
  [743] = {.lex_state = 9},
  [744] = {.lex_state = 9},
  [745] = {.lex_state = 9},
  [746] = {.lex_state = 9},
  [747] = {.lex_state = 9},
  [748] = {.lex_state = 9},
  [749] = {.lex_state = 9},
  [750] = {.lex_state = 9},
  [751] = {.lex_state = 9},
  [752] = {.lex_state = 9},
  [753] = {.lex_state = 9},
  [754] = {.lex_state = 9},
  [755] = {.lex_state = 9},
  [756] = {.lex_state = 9},
  [757] = {.lex_state = 9},
  [758] = {.lex_state = 9},
  [759] = {.lex_state = 9},
  [760] = {.lex_state = 9},
  [761] = {.lex_state = 9},
  [762] = {.lex_state = 9},
  [763] = {.lex_state = 9},
  [764] = {.lex_state = 9},
  [765] = {.lex_state = 9},
  [766] = {.lex_state = 9},
  [767] = {.lex_state = 9},
  [768] = {.lex_state = 9},
  [769] = {.lex_state = 9},
  [770] = {.lex_state = 9},
  [771] = {.lex_state = 9},
  [772] = {.lex_state = 9},
  [773] = {.lex_state = 9},
  [774] = {.lex_state = 9},
  [775] = {.lex_state = 9},
  [776] = {.lex_state = 9},
  [777] = {.lex_state = 9},
  [778] = {.lex_state = 9},
  [779] = {.lex_state = 9},
  [780] = {.lex_state = 9},
  [781] = {.lex_state = 9},
  [782] = {.lex_state = 9},
  [783] = {.lex_state = 9},
  [784] = {.lex_state = 9},
  [785] = {.lex_state = 9},
  [786] = {.lex_state = 9},
  [787] = {.lex_state = 9},
  [788] = {.lex_state = 9},
  [789] = {.lex_state = 9},
  [790] = {.lex_state = 9},
  [791] = {.lex_state = 9},
  [792] = {.lex_state = 9},
  [793] = {.lex_state = 9},
  [794] = {.lex_state = 9},
  [795] = {.lex_state = 9},
  [796] = {.lex_state = 9},
  [797] = {.lex_state = 9},
  [798] = {.lex_state = 9},
  [799] = {.lex_state = 9},
  [800] = {.lex_state = 9},
  [801] = {.lex_state = 9},
  [802] = {.lex_state = 9},
  [803] = {.lex_state = 9},
  [804] = {.lex_state = 9},
  [805] = {.lex_state = 9},
  [806] = {.lex_state = 9},
  [807] = {.lex_state = 9},
  [808] = {.lex_state = 9},
  [809] = {.lex_state = 9},
  [810] = {.lex_state = 9},
  [811] = {.lex_state = 9},
  [812] = {.lex_state = 9},
  [813] = {.lex_state = 9},
  [814] = {.lex_state = 9},
  [815] = {.lex_state = 9},
  [816] = {.lex_state = 9},
  [817] = {.lex_state = 9},
  [818] = {.lex_state = 9},
  [819] = {.lex_state = 9},
  [820] = {.lex_state = 9},
  [821] = {.lex_state = 9},
  [822] = {.lex_state = 9},
  [823] = {.lex_state = 9},
  [824] = {.lex_state = 9},
  [825] = {.lex_state = 9},
  [826] = {.lex_state = 9},
  [827] = {.lex_state = 9},
  [828] = {.lex_state = 9},
  [829] = {.lex_state = 9},
  [830] = {.lex_state = 9},
  [831] = {.lex_state = 9},
  [832] = {.lex_state = 9},
  [833] = {.lex_state = 9},
  [834] = {.lex_state = 9},
  [835] = {.lex_state = 9},
  [836] = {.lex_state = 9},
  [837] = {.lex_state = 9},
  [838] = {.lex_state = 9},
  [839] = {.lex_state = 9},
  [840] = {.lex_state = 9},
  [841] = {.lex_state = 9},
  [842] = {.lex_state = 9},
  [843] = {.lex_state = 9},
  [844] = {.lex_state = 9},
  [845] = {.lex_state = 9},
  [846] = {.lex_state = 9},
  [847] = {.lex_state = 9},
  [848] = {.lex_state = 9},
  [849] = {.lex_state = 9},
  [850] = {.lex_state = 9},
  [851] = {.lex_state = 9},
  [852] = {.lex_state = 9},
  [853] = {.lex_state = 9},
  [854] = {.lex_state = 9},
  [855] = {.lex_state = 9},
  [856] = {.lex_state = 9},
  [857] = {.lex_state = 9},
  [858] = {.lex_state = 9},
  [859] = {.lex_state = 9},
  [860] = {.lex_state = 9},
  [861] = {.lex_state = 9},
  [862] = {.lex_state = 9},
  [863] = {.lex_state = 9},
  [864] = {.lex_state = 9},
  [865] = {.lex_state = 5, .external_lex_state = 3},
  [866] = {.lex_state = 5, .external_lex_state = 3},
  [867] = {.lex_state = 5, .external_lex_state = 3},
  [868] = {.lex_state = 12},
  [869] = {.lex_state = 12},
  [870] = {.lex_state = 5, .external_lex_state = 3},
  [871] = {.lex_state = 5, .external_lex_state = 3},
  [872] = {.lex_state = 12},
  [873] = {.lex_state = 5, .external_lex_state = 3},
  [874] = {.lex_state = 12},
  [875] = {.lex_state = 12},
  [876] = {.lex_state = 5, .external_lex_state = 3},
  [877] = {.lex_state = 5, .external_lex_state = 3},
  [878] = {.lex_state = 14},
  [879] = {.lex_state = 5, .external_lex_state = 3},
  [880] = {.lex_state = 5, .external_lex_state = 3},
  [881] = {.lex_state = 14},
  [882] = {.lex_state = 14},
  [883] = {.lex_state = 14},
  [884] = {.lex_state = 5, .external_lex_state = 3},
  [885] = {.lex_state = 14},
  [886] = {.lex_state = 5, .external_lex_state = 3},
  [887] = {.lex_state = 14},
  [888] = {.lex_state = 5, .external_lex_state = 3},
  [889] = {.lex_state = 14},
  [890] = {.lex_state = 5, .external_lex_state = 3},
  [891] = {.lex_state = 12},
  [892] = {.lex_state = 5, .external_lex_state = 3},
  [893] = {.lex_state = 12},
  [894] = {.lex_state = 5, .external_lex_state = 3},
  [895] = {.lex_state = 14},
  [896] = {.lex_state = 5, .external_lex_state = 3},
  [897] = {.lex_state = 12},
  [898] = {.lex_state = 14},
  [899] = {.lex_state = 5, .external_lex_state = 3},
  [900] = {.lex_state = 5, .external_lex_state = 3},
  [901] = {.lex_state = 5, .external_lex_state = 3},
  [902] = {.lex_state = 12},
  [903] = {.lex_state = 5, .external_lex_state = 3},
  [904] = {.lex_state = 12},
  [905] = {.lex_state = 12},
  [906] = {.lex_state = 5, .external_lex_state = 3},
  [907] = {.lex_state = 12},
  [908] = {.lex_state = 5, .external_lex_state = 3},
  [909] = {.lex_state = 14},
  [910] = {.lex_state = 12},
  [911] = {.lex_state = 14},
  [912] = {.lex_state = 5, .external_lex_state = 3},
  [913] = {.lex_state = 5, .external_lex_state = 3},
  [914] = {.lex_state = 5, .external_lex_state = 3},
  [915] = {.lex_state = 14},
  [916] = {.lex_state = 12},
  [917] = {.lex_state = 5, .external_lex_state = 3},
  [918] = {.lex_state = 14},
  [919] = {.lex_state = 12},
  [920] = {.lex_state = 9},
  [921] = {.lex_state = 9},
  [922] = {.lex_state = 9},
  [923] = {.lex_state = 12},
  [924] = {.lex_state = 14},
  [925] = {.lex_state = 14},
  [926] = {.lex_state = 3, .external_lex_state = 3},
  [927] = {.lex_state = 12},
  [928] = {.lex_state = 3, .external_lex_state = 3},
  [929] = {.lex_state = 3, .external_lex_state = 3},
  [930] = {.lex_state = 12},
  [931] = {.lex_state = 3, .external_lex_state = 3},
  [932] = {.lex_state = 12},
  [933] = {.lex_state = 3, .external_lex_state = 3},
  [934] = {.lex_state = 3, .external_lex_state = 3},
  [935] = {.lex_state = 3, .external_lex_state = 3},
  [936] = {.lex_state = 3, .external_lex_state = 3},
  [937] = {.lex_state = 12},
  [938] = {.lex_state = 12},
  [939] = {.lex_state = 12},
  [940] = {.lex_state = 12},
  [941] = {.lex_state = 12},
  [942] = {.lex_state = 12},
  [943] = {.lex_state = 12},
  [944] = {.lex_state = 12},
  [945] = {.lex_state = 12},
  [946] = {.lex_state = 12},
  [947] = {.lex_state = 12},
  [948] = {.lex_state = 12},
  [949] = {.lex_state = 12},
  [950] = {.lex_state = 12},
  [951] = {.lex_state = 12},
  [952] = {.lex_state = 12},
  [953] = {.lex_state = 12},
  [954] = {.lex_state = 12},
  [955] = {.lex_state = 12},
  [956] = {.lex_state = 12},
  [957] = {.lex_state = 12},
  [958] = {.lex_state = 12},
  [959] = {.lex_state = 12},
  [960] = {.lex_state = 12},
  [961] = {.lex_state = 12},
  [962] = {.lex_state = 12},
  [963] = {.lex_state = 12},
  [964] = {.lex_state = 12},
  [965] = {.lex_state = 12},
  [966] = {.lex_state = 12},
  [967] = {.lex_state = 12},
  [968] = {.lex_state = 12},
  [969] = {.lex_state = 12},
  [970] = {.lex_state = 12},
  [971] = {.lex_state = 12},
  [972] = {.lex_state = 12},
  [973] = {.lex_state = 12},
  [974] = {.lex_state = 12},
  [975] = {.lex_state = 12},
  [976] = {.lex_state = 12},
  [977] = {.lex_state = 12},
  [978] = {.lex_state = 12},
  [979] = {.lex_state = 12},
  [980] = {.lex_state = 12},
  [981] = {.lex_state = 12},
  [982] = {.lex_state = 12},
  [983] = {.lex_state = 12},
  [984] = {.lex_state = 12},
  [985] = {.lex_state = 12},
  [986] = {.lex_state = 12},
  [987] = {.lex_state = 12},
  [988] = {.lex_state = 12},
  [989] = {.lex_state = 12},
  [990] = {.lex_state = 12},
  [991] = {.lex_state = 12},
  [992] = {.lex_state = 12},
  [993] = {.lex_state = 12},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 12},
  [996] = {.lex_state = 12},
  [997] = {.lex_state = 12},
  [998] = {.lex_state = 12},
  [999] = {.lex_state = 12},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 12},
  [1006] = {.lex_state = 12},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 12},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12},
  [1044] = {.lex_state = 12},
  [1045] = {.lex_state = 12},
  [1046] = {.lex_state = 12},
  [1047] = {.lex_state = 12},
  [1048] = {.lex_state = 12},
  [1049] = {.lex_state = 12},
  [1050] = {.lex_state = 12},
  [1051] = {.lex_state = 12},
  [1052] = {.lex_state = 12},
  [1053] = {.lex_state = 12},
  [1054] = {.lex_state = 12},
  [1055] = {.lex_state = 12},
  [1056] = {.lex_state = 12},
  [1057] = {.lex_state = 12},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12},
  [1060] = {.lex_state = 12},
  [1061] = {.lex_state = 12},
  [1062] = {.lex_state = 12},
  [1063] = {.lex_state = 12},
  [1064] = {.lex_state = 3, .external_lex_state = 2},
  [1065] = {.lex_state = 12},
  [1066] = {.lex_state = 12},
  [1067] = {.lex_state = 12},
  [1068] = {.lex_state = 12},
  [1069] = {.lex_state = 12},
  [1070] = {.lex_state = 12},
  [1071] = {.lex_state = 12},
  [1072] = {.lex_state = 12},
  [1073] = {.lex_state = 12},
  [1074] = {.lex_state = 12},
  [1075] = {.lex_state = 12},
  [1076] = {.lex_state = 12},
  [1077] = {.lex_state = 12},
  [1078] = {.lex_state = 12},
  [1079] = {.lex_state = 12},
  [1080] = {.lex_state = 12},
  [1081] = {.lex_state = 12},
  [1082] = {.lex_state = 12},
  [1083] = {.lex_state = 12},
  [1084] = {.lex_state = 3, .external_lex_state = 2},
  [1085] = {.lex_state = 12},
  [1086] = {.lex_state = 12},
  [1087] = {.lex_state = 12},
  [1088] = {.lex_state = 12},
  [1089] = {.lex_state = 3, .external_lex_state = 2},
  [1090] = {.lex_state = 12},
  [1091] = {.lex_state = 12},
  [1092] = {.lex_state = 12},
  [1093] = {.lex_state = 12},
  [1094] = {.lex_state = 3, .external_lex_state = 2},
  [1095] = {.lex_state = 3, .external_lex_state = 3},
  [1096] = {.lex_state = 3, .external_lex_state = 2},
  [1097] = {.lex_state = 3, .external_lex_state = 3},
  [1098] = {.lex_state = 3, .external_lex_state = 3},
  [1099] = {.lex_state = 3, .external_lex_state = 2},
  [1100] = {.lex_state = 3, .external_lex_state = 2},
  [1101] = {.lex_state = 3, .external_lex_state = 3},
  [1102] = {.lex_state = 3, .external_lex_state = 3},
  [1103] = {.lex_state = 3, .external_lex_state = 3},
  [1104] = {.lex_state = 3, .external_lex_state = 3},
  [1105] = {.lex_state = 3, .external_lex_state = 3},
  [1106] = {.lex_state = 3, .external_lex_state = 3},
  [1107] = {.lex_state = 3, .external_lex_state = 3},
  [1108] = {.lex_state = 3, .external_lex_state = 3},
  [1109] = {.lex_state = 3, .external_lex_state = 3},
  [1110] = {.lex_state = 3, .external_lex_state = 3},
  [1111] = {.lex_state = 3, .external_lex_state = 3},
  [1112] = {.lex_state = 3, .external_lex_state = 2},
  [1113] = {.lex_state = 9},
  [1114] = {.lex_state = 3, .external_lex_state = 3},
  [1115] = {.lex_state = 9},
  [1116] = {.lex_state = 3, .external_lex_state = 2},
  [1117] = {.lex_state = 3, .external_lex_state = 2},
  [1118] = {.lex_state = 3, .external_lex_state = 3},
  [1119] = {.lex_state = 3, .external_lex_state = 3},
  [1120] = {.lex_state = 9},
  [1121] = {.lex_state = 3, .external_lex_state = 3},
  [1122] = {.lex_state = 9},
  [1123] = {.lex_state = 9},
  [1124] = {.lex_state = 3, .external_lex_state = 3},
  [1125] = {.lex_state = 3, .external_lex_state = 3},
  [1126] = {.lex_state = 3, .external_lex_state = 2},
  [1127] = {.lex_state = 3, .external_lex_state = 2},
  [1128] = {.lex_state = 3, .external_lex_state = 2},
  [1129] = {.lex_state = 3, .external_lex_state = 3},
  [1130] = {.lex_state = 3, .external_lex_state = 2},
  [1131] = {.lex_state = 3, .external_lex_state = 3},
  [1132] = {.lex_state = 3, .external_lex_state = 3},
  [1133] = {.lex_state = 9},
  [1134] = {.lex_state = 3, .external_lex_state = 3},
  [1135] = {.lex_state = 9},
  [1136] = {.lex_state = 3, .external_lex_state = 3},
  [1137] = {.lex_state = 3, .external_lex_state = 2},
  [1138] = {.lex_state = 3, .external_lex_state = 3},
  [1139] = {.lex_state = 3, .external_lex_state = 3},
  [1140] = {.lex_state = 9},
  [1141] = {.lex_state = 3, .external_lex_state = 3},
  [1142] = {.lex_state = 9},
  [1143] = {.lex_state = 3, .external_lex_state = 2},
  [1144] = {.lex_state = 3, .external_lex_state = 2},
  [1145] = {.lex_state = 3, .external_lex_state = 3},
  [1146] = {.lex_state = 3, .external_lex_state = 3},
  [1147] = {.lex_state = 9},
  [1148] = {.lex_state = 3, .external_lex_state = 3},
  [1149] = {.lex_state = 3, .external_lex_state = 3},
  [1150] = {.lex_state = 3, .external_lex_state = 2},
  [1151] = {.lex_state = 3, .external_lex_state = 3},
  [1152] = {.lex_state = 3, .external_lex_state = 2},
  [1153] = {.lex_state = 12},
  [1154] = {.lex_state = 3, .external_lex_state = 2},
  [1155] = {.lex_state = 12},
  [1156] = {.lex_state = 12},
  [1157] = {.lex_state = 12},
  [1158] = {.lex_state = 3, .external_lex_state = 2},
  [1159] = {.lex_state = 12},
  [1160] = {.lex_state = 12},
  [1161] = {.lex_state = 3, .external_lex_state = 3},
  [1162] = {.lex_state = 3, .external_lex_state = 2},
  [1163] = {.lex_state = 3, .external_lex_state = 2},
  [1164] = {.lex_state = 3, .external_lex_state = 2},
  [1165] = {.lex_state = 3, .external_lex_state = 2},
  [1166] = {.lex_state = 3, .external_lex_state = 2},
  [1167] = {.lex_state = 3, .external_lex_state = 2},
  [1168] = {.lex_state = 3, .external_lex_state = 2},
  [1169] = {.lex_state = 3, .external_lex_state = 2},
  [1170] = {.lex_state = 3, .external_lex_state = 3},
  [1171] = {.lex_state = 3, .external_lex_state = 2},
  [1172] = {.lex_state = 3, .external_lex_state = 2},
  [1173] = {.lex_state = 12},
  [1174] = {.lex_state = 3, .external_lex_state = 3},
  [1175] = {.lex_state = 3, .external_lex_state = 2},
  [1176] = {.lex_state = 3, .external_lex_state = 3},
  [1177] = {.lex_state = 3, .external_lex_state = 3},
  [1178] = {.lex_state = 3, .external_lex_state = 2},
  [1179] = {.lex_state = 3, .external_lex_state = 2},
  [1180] = {.lex_state = 3, .external_lex_state = 2},
  [1181] = {.lex_state = 3, .external_lex_state = 3},
  [1182] = {.lex_state = 3, .external_lex_state = 2},
  [1183] = {.lex_state = 3, .external_lex_state = 2},
  [1184] = {.lex_state = 3, .external_lex_state = 2},
  [1185] = {.lex_state = 3, .external_lex_state = 2},
  [1186] = {.lex_state = 3, .external_lex_state = 3},
  [1187] = {.lex_state = 3, .external_lex_state = 2},
  [1188] = {.lex_state = 3, .external_lex_state = 2},
  [1189] = {.lex_state = 3, .external_lex_state = 2},
  [1190] = {.lex_state = 3, .external_lex_state = 3},
  [1191] = {.lex_state = 12},
  [1192] = {.lex_state = 3, .external_lex_state = 3},
  [1193] = {.lex_state = 12},
  [1194] = {.lex_state = 3, .external_lex_state = 2},
  [1195] = {.lex_state = 12},
  [1196] = {.lex_state = 12},
  [1197] = {.lex_state = 12},
  [1198] = {.lex_state = 3, .external_lex_state = 2},
  [1199] = {.lex_state = 12},
  [1200] = {.lex_state = 3, .external_lex_state = 2},
  [1201] = {.lex_state = 12},
  [1202] = {.lex_state = 3, .external_lex_state = 3},
  [1203] = {.lex_state = 3, .external_lex_state = 3},
  [1204] = {.lex_state = 3, .external_lex_state = 2},
  [1205] = {.lex_state = 3, .external_lex_state = 3},
  [1206] = {.lex_state = 12},
  [1207] = {.lex_state = 3, .external_lex_state = 2},
  [1208] = {.lex_state = 3, .external_lex_state = 3},
  [1209] = {.lex_state = 12},
  [1210] = {.lex_state = 12},
  [1211] = {.lex_state = 12},
  [1212] = {.lex_state = 12},
  [1213] = {.lex_state = 12},
  [1214] = {.lex_state = 12},
  [1215] = {.lex_state = 3, .external_lex_state = 2},
  [1216] = {.lex_state = 3, .external_lex_state = 2},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 3, .external_lex_state = 3},
  [1219] = {.lex_state = 12},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 3, .external_lex_state = 2},
  [1222] = {.lex_state = 3, .external_lex_state = 3},
  [1223] = {.lex_state = 3, .external_lex_state = 2},
  [1224] = {.lex_state = 12},
  [1225] = {.lex_state = 3, .external_lex_state = 3},
  [1226] = {.lex_state = 3, .external_lex_state = 2},
  [1227] = {.lex_state = 3, .external_lex_state = 2},
  [1228] = {.lex_state = 3, .external_lex_state = 2},
  [1229] = {.lex_state = 12},
  [1230] = {.lex_state = 3, .external_lex_state = 3},
  [1231] = {.lex_state = 12},
  [1232] = {.lex_state = 3, .external_lex_state = 3},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 3, .external_lex_state = 2},
  [1235] = {.lex_state = 3, .external_lex_state = 2},
  [1236] = {.lex_state = 3, .external_lex_state = 3},
  [1237] = {.lex_state = 3, .external_lex_state = 2},
  [1238] = {.lex_state = 3, .external_lex_state = 3},
  [1239] = {.lex_state = 3, .external_lex_state = 3},
  [1240] = {.lex_state = 3, .external_lex_state = 3},
  [1241] = {.lex_state = 3, .external_lex_state = 2},
  [1242] = {.lex_state = 3, .external_lex_state = 2},
  [1243] = {.lex_state = 3, .external_lex_state = 2},
  [1244] = {.lex_state = 3, .external_lex_state = 2},
  [1245] = {.lex_state = 3, .external_lex_state = 2},
  [1246] = {.lex_state = 3, .external_lex_state = 3},
  [1247] = {.lex_state = 3, .external_lex_state = 3},
  [1248] = {.lex_state = 3, .external_lex_state = 3},
  [1249] = {.lex_state = 3, .external_lex_state = 3},
  [1250] = {.lex_state = 3, .external_lex_state = 3},
  [1251] = {.lex_state = 3, .external_lex_state = 2},
  [1252] = {.lex_state = 3, .external_lex_state = 3},
  [1253] = {.lex_state = 3, .external_lex_state = 3},
  [1254] = {.lex_state = 3, .external_lex_state = 3},
  [1255] = {.lex_state = 3, .external_lex_state = 2},
  [1256] = {.lex_state = 3, .external_lex_state = 3},
  [1257] = {.lex_state = 3, .external_lex_state = 2},
  [1258] = {.lex_state = 3, .external_lex_state = 3},
  [1259] = {.lex_state = 3, .external_lex_state = 3},
  [1260] = {.lex_state = 3, .external_lex_state = 2},
  [1261] = {.lex_state = 3, .external_lex_state = 3},
  [1262] = {.lex_state = 3, .external_lex_state = 3},
  [1263] = {.lex_state = 3, .external_lex_state = 3},
  [1264] = {.lex_state = 3, .external_lex_state = 3},
  [1265] = {.lex_state = 3, .external_lex_state = 3},
  [1266] = {.lex_state = 3, .external_lex_state = 2},
  [1267] = {.lex_state = 3, .external_lex_state = 3},
  [1268] = {.lex_state = 3, .external_lex_state = 3},
  [1269] = {.lex_state = 3, .external_lex_state = 2},
  [1270] = {.lex_state = 3, .external_lex_state = 2},
  [1271] = {.lex_state = 3, .external_lex_state = 3},
  [1272] = {.lex_state = 3, .external_lex_state = 3},
  [1273] = {.lex_state = 3, .external_lex_state = 2},
  [1274] = {.lex_state = 3, .external_lex_state = 2},
  [1275] = {.lex_state = 3, .external_lex_state = 3},
  [1276] = {.lex_state = 3, .external_lex_state = 2},
  [1277] = {.lex_state = 3, .external_lex_state = 2},
  [1278] = {.lex_state = 3, .external_lex_state = 3},
  [1279] = {.lex_state = 3, .external_lex_state = 3},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 3, .external_lex_state = 3},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 3, .external_lex_state = 2},
  [1284] = {.lex_state = 3, .external_lex_state = 2},
  [1285] = {.lex_state = 3, .external_lex_state = 2},
  [1286] = {.lex_state = 3, .external_lex_state = 2},
  [1287] = {.lex_state = 3, .external_lex_state = 2},
  [1288] = {.lex_state = 3, .external_lex_state = 3},
  [1289] = {.lex_state = 3, .external_lex_state = 2},
  [1290] = {.lex_state = 3, .external_lex_state = 3},
  [1291] = {.lex_state = 3, .external_lex_state = 2},
  [1292] = {.lex_state = 3, .external_lex_state = 2},
  [1293] = {.lex_state = 3, .external_lex_state = 2},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 3, .external_lex_state = 2},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 3, .external_lex_state = 2},
  [1298] = {.lex_state = 3, .external_lex_state = 2},
  [1299] = {.lex_state = 12},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 3, .external_lex_state = 2},
  [1304] = {.lex_state = 3, .external_lex_state = 3},
  [1305] = {.lex_state = 3, .external_lex_state = 2},
  [1306] = {.lex_state = 3, .external_lex_state = 3},
  [1307] = {.lex_state = 3, .external_lex_state = 2},
  [1308] = {.lex_state = 3, .external_lex_state = 3},
  [1309] = {.lex_state = 3, .external_lex_state = 2},
  [1310] = {.lex_state = 3, .external_lex_state = 2},
  [1311] = {.lex_state = 3, .external_lex_state = 2},
  [1312] = {.lex_state = 3, .external_lex_state = 2},
  [1313] = {.lex_state = 3, .external_lex_state = 3},
  [1314] = {.lex_state = 3, .external_lex_state = 2},
  [1315] = {.lex_state = 3, .external_lex_state = 3},
  [1316] = {.lex_state = 3, .external_lex_state = 2},
  [1317] = {.lex_state = 3, .external_lex_state = 2},
  [1318] = {.lex_state = 9},
  [1319] = {.lex_state = 3, .external_lex_state = 2},
  [1320] = {.lex_state = 3, .external_lex_state = 2},
  [1321] = {.lex_state = 3, .external_lex_state = 2},
  [1322] = {.lex_state = 9},
  [1323] = {.lex_state = 3, .external_lex_state = 2},
  [1324] = {.lex_state = 9},
  [1325] = {.lex_state = 9},
  [1326] = {.lex_state = 3, .external_lex_state = 2},
  [1327] = {.lex_state = 3, .external_lex_state = 2},
  [1328] = {.lex_state = 9},
  [1329] = {.lex_state = 9},
  [1330] = {.lex_state = 3, .external_lex_state = 2},
  [1331] = {.lex_state = 3, .external_lex_state = 2},
  [1332] = {.lex_state = 3, .external_lex_state = 3},
  [1333] = {.lex_state = 3, .external_lex_state = 2},
  [1334] = {.lex_state = 3, .external_lex_state = 2},
  [1335] = {.lex_state = 3, .external_lex_state = 2},
  [1336] = {.lex_state = 3, .external_lex_state = 2},
  [1337] = {.lex_state = 3, .external_lex_state = 2},
  [1338] = {.lex_state = 3, .external_lex_state = 2},
  [1339] = {.lex_state = 3, .external_lex_state = 2},
  [1340] = {.lex_state = 9},
  [1341] = {.lex_state = 3, .external_lex_state = 2},
  [1342] = {.lex_state = 3, .external_lex_state = 2},
  [1343] = {.lex_state = 3, .external_lex_state = 2},
  [1344] = {.lex_state = 3, .external_lex_state = 2},
  [1345] = {.lex_state = 3, .external_lex_state = 2},
  [1346] = {.lex_state = 3, .external_lex_state = 2},
  [1347] = {.lex_state = 75},
  [1348] = {.lex_state = 75},
  [1349] = {.lex_state = 75},
  [1350] = {.lex_state = 75},
  [1351] = {.lex_state = 75},
  [1352] = {.lex_state = 9},
  [1353] = {.lex_state = 9, .external_lex_state = 4},
  [1354] = {.lex_state = 9, .external_lex_state = 4},
  [1355] = {.lex_state = 9, .external_lex_state = 4},
  [1356] = {.lex_state = 9, .external_lex_state = 4},
  [1357] = {.lex_state = 9, .external_lex_state = 4},
  [1358] = {.lex_state = 9, .external_lex_state = 4},
  [1359] = {.lex_state = 12},
  [1360] = {.lex_state = 12},
  [1361] = {.lex_state = 12},
  [1362] = {.lex_state = 9, .external_lex_state = 4},
  [1363] = {.lex_state = 12},
  [1364] = {.lex_state = 12},
  [1365] = {.lex_state = 12},
  [1366] = {.lex_state = 9, .external_lex_state = 4},
  [1367] = {.lex_state = 12},
  [1368] = {.lex_state = 12},
  [1369] = {.lex_state = 5, .external_lex_state = 3},
  [1370] = {.lex_state = 9, .external_lex_state = 4},
  [1371] = {.lex_state = 12},
  [1372] = {.lex_state = 12},
  [1373] = {.lex_state = 9, .external_lex_state = 4},
  [1374] = {.lex_state = 12},
  [1375] = {.lex_state = 9, .external_lex_state = 4},
  [1376] = {.lex_state = 12},
  [1377] = {.lex_state = 5, .external_lex_state = 3},
  [1378] = {.lex_state = 12},
  [1379] = {.lex_state = 12},
  [1380] = {.lex_state = 9, .external_lex_state = 4},
  [1381] = {.lex_state = 12},
  [1382] = {.lex_state = 12},
  [1383] = {.lex_state = 12},
  [1384] = {.lex_state = 9, .external_lex_state = 4},
  [1385] = {.lex_state = 9, .external_lex_state = 4},
  [1386] = {.lex_state = 9, .external_lex_state = 4},
  [1387] = {.lex_state = 9, .external_lex_state = 4},
  [1388] = {.lex_state = 9, .external_lex_state = 4},
  [1389] = {.lex_state = 9, .external_lex_state = 4},
  [1390] = {.lex_state = 75},
  [1391] = {.lex_state = 9, .external_lex_state = 4},
  [1392] = {.lex_state = 9, .external_lex_state = 4},
  [1393] = {.lex_state = 9, .external_lex_state = 4},
  [1394] = {.lex_state = 9, .external_lex_state = 4},
  [1395] = {.lex_state = 9, .external_lex_state = 4},
  [1396] = {.lex_state = 9, .external_lex_state = 4},
  [1397] = {.lex_state = 9, .external_lex_state = 4},
  [1398] = {.lex_state = 9, .external_lex_state = 4},
  [1399] = {.lex_state = 5, .external_lex_state = 3},
  [1400] = {.lex_state = 9, .external_lex_state = 4},
  [1401] = {.lex_state = 9, .external_lex_state = 4},
  [1402] = {.lex_state = 12, .external_lex_state = 4},
  [1403] = {.lex_state = 9, .external_lex_state = 4},
  [1404] = {.lex_state = 12, .external_lex_state = 4},
  [1405] = {.lex_state = 12, .external_lex_state = 4},
  [1406] = {.lex_state = 9, .external_lex_state = 4},
  [1407] = {.lex_state = 9, .external_lex_state = 4},
  [1408] = {.lex_state = 5, .external_lex_state = 3},
  [1409] = {.lex_state = 9, .external_lex_state = 4},
  [1410] = {.lex_state = 9, .external_lex_state = 4},
  [1411] = {.lex_state = 12, .external_lex_state = 4},
  [1412] = {.lex_state = 9, .external_lex_state = 4},
  [1413] = {.lex_state = 9, .external_lex_state = 4},
  [1414] = {.lex_state = 9, .external_lex_state = 4},
  [1415] = {.lex_state = 9, .external_lex_state = 4},
  [1416] = {.lex_state = 5, .external_lex_state = 2},
  [1417] = {.lex_state = 9},
  [1418] = {.lex_state = 9, .external_lex_state = 4},
  [1419] = {.lex_state = 9},
  [1420] = {.lex_state = 9, .external_lex_state = 4},
  [1421] = {.lex_state = 9, .external_lex_state = 4},
  [1422] = {.lex_state = 9, .external_lex_state = 4},
  [1423] = {.lex_state = 9},
  [1424] = {.lex_state = 9},
  [1425] = {.lex_state = 9},
  [1426] = {.lex_state = 9},
  [1427] = {.lex_state = 9, .external_lex_state = 4},
  [1428] = {.lex_state = 9},
  [1429] = {.lex_state = 9, .external_lex_state = 4},
  [1430] = {.lex_state = 9},
  [1431] = {.lex_state = 9},
  [1432] = {.lex_state = 9, .external_lex_state = 4},
  [1433] = {.lex_state = 5, .external_lex_state = 3},
  [1434] = {.lex_state = 9},
  [1435] = {.lex_state = 9, .external_lex_state = 4},
  [1436] = {.lex_state = 9},
  [1437] = {.lex_state = 9, .external_lex_state = 4},
  [1438] = {.lex_state = 9},
  [1439] = {.lex_state = 5, .external_lex_state = 2},
  [1440] = {.lex_state = 5, .external_lex_state = 3},
  [1441] = {.lex_state = 9},
  [1442] = {.lex_state = 9, .external_lex_state = 4},
  [1443] = {.lex_state = 9},
  [1444] = {.lex_state = 9, .external_lex_state = 4},
  [1445] = {.lex_state = 9},
  [1446] = {.lex_state = 9},
  [1447] = {.lex_state = 9},
  [1448] = {.lex_state = 9, .external_lex_state = 4},
  [1449] = {.lex_state = 9, .external_lex_state = 4},
  [1450] = {.lex_state = 9, .external_lex_state = 4},
  [1451] = {.lex_state = 9, .external_lex_state = 4},
  [1452] = {.lex_state = 9, .external_lex_state = 4},
  [1453] = {.lex_state = 9, .external_lex_state = 4},
  [1454] = {.lex_state = 9, .external_lex_state = 4},
  [1455] = {.lex_state = 9, .external_lex_state = 4},
  [1456] = {.lex_state = 9, .external_lex_state = 4},
  [1457] = {.lex_state = 9, .external_lex_state = 4},
  [1458] = {.lex_state = 9, .external_lex_state = 4},
  [1459] = {.lex_state = 9, .external_lex_state = 4},
  [1460] = {.lex_state = 9, .external_lex_state = 4},
  [1461] = {.lex_state = 9, .external_lex_state = 4},
  [1462] = {.lex_state = 9, .external_lex_state = 4},
  [1463] = {.lex_state = 5, .external_lex_state = 3},
  [1464] = {.lex_state = 9, .external_lex_state = 4},
  [1465] = {.lex_state = 5, .external_lex_state = 2},
  [1466] = {.lex_state = 9, .external_lex_state = 4},
  [1467] = {.lex_state = 9, .external_lex_state = 4},
  [1468] = {.lex_state = 5, .external_lex_state = 2},
  [1469] = {.lex_state = 9, .external_lex_state = 4},
  [1470] = {.lex_state = 9, .external_lex_state = 4},
  [1471] = {.lex_state = 9, .external_lex_state = 4},
  [1472] = {.lex_state = 9},
  [1473] = {.lex_state = 9, .external_lex_state = 4},
  [1474] = {.lex_state = 5, .external_lex_state = 2},
  [1475] = {.lex_state = 5, .external_lex_state = 2},
  [1476] = {.lex_state = 9},
  [1477] = {.lex_state = 5, .external_lex_state = 2},
  [1478] = {.lex_state = 9, .external_lex_state = 4},
  [1479] = {.lex_state = 9, .external_lex_state = 4},
  [1480] = {.lex_state = 9},
  [1481] = {.lex_state = 9},
  [1482] = {.lex_state = 9, .external_lex_state = 4},
  [1483] = {.lex_state = 9, .external_lex_state = 4},
  [1484] = {.lex_state = 5, .external_lex_state = 2},
  [1485] = {.lex_state = 5, .external_lex_state = 2},
  [1486] = {.lex_state = 5, .external_lex_state = 2},
  [1487] = {.lex_state = 9},
  [1488] = {.lex_state = 9, .external_lex_state = 4},
  [1489] = {.lex_state = 9, .external_lex_state = 4},
  [1490] = {.lex_state = 9, .external_lex_state = 4},
  [1491] = {.lex_state = 9, .external_lex_state = 4},
  [1492] = {.lex_state = 9, .external_lex_state = 4},
  [1493] = {.lex_state = 9},
  [1494] = {.lex_state = 9},
  [1495] = {.lex_state = 9, .external_lex_state = 4},
  [1496] = {.lex_state = 9, .external_lex_state = 4},
  [1497] = {.lex_state = 9, .external_lex_state = 4},
  [1498] = {.lex_state = 5, .external_lex_state = 2},
  [1499] = {.lex_state = 5, .external_lex_state = 2},
  [1500] = {.lex_state = 5, .external_lex_state = 2},
  [1501] = {.lex_state = 5, .external_lex_state = 2},
  [1502] = {.lex_state = 5, .external_lex_state = 2},
  [1503] = {.lex_state = 5, .external_lex_state = 2},
  [1504] = {.lex_state = 5, .external_lex_state = 2},
  [1505] = {.lex_state = 9, .external_lex_state = 4},
  [1506] = {.lex_state = 9, .external_lex_state = 4},
  [1507] = {.lex_state = 5, .external_lex_state = 2},
  [1508] = {.lex_state = 5, .external_lex_state = 2},
  [1509] = {.lex_state = 5, .external_lex_state = 2},
  [1510] = {.lex_state = 5, .external_lex_state = 2},
  [1511] = {.lex_state = 5, .external_lex_state = 2},
  [1512] = {.lex_state = 5, .external_lex_state = 2},
  [1513] = {.lex_state = 9, .external_lex_state = 4},
  [1514] = {.lex_state = 5, .external_lex_state = 2},
  [1515] = {.lex_state = 9, .external_lex_state = 4},
  [1516] = {.lex_state = 5, .external_lex_state = 2},
  [1517] = {.lex_state = 9, .external_lex_state = 4},
  [1518] = {.lex_state = 9, .external_lex_state = 4},
  [1519] = {.lex_state = 9, .external_lex_state = 4},
  [1520] = {.lex_state = 5, .external_lex_state = 2},
  [1521] = {.lex_state = 9, .external_lex_state = 4},
  [1522] = {.lex_state = 5, .external_lex_state = 2},
  [1523] = {.lex_state = 5, .external_lex_state = 3},
  [1524] = {.lex_state = 5, .external_lex_state = 3},
  [1525] = {.lex_state = 5, .external_lex_state = 2},
  [1526] = {.lex_state = 5, .external_lex_state = 2},
  [1527] = {.lex_state = 5, .external_lex_state = 2},
  [1528] = {.lex_state = 5, .external_lex_state = 2},
  [1529] = {.lex_state = 5, .external_lex_state = 2},
  [1530] = {.lex_state = 5, .external_lex_state = 2},
  [1531] = {.lex_state = 5, .external_lex_state = 2},
  [1532] = {.lex_state = 5, .external_lex_state = 2},
  [1533] = {.lex_state = 5, .external_lex_state = 2},
  [1534] = {.lex_state = 5, .external_lex_state = 2},
  [1535] = {.lex_state = 5, .external_lex_state = 2},
  [1536] = {.lex_state = 9},
  [1537] = {.lex_state = 5, .external_lex_state = 2},
  [1538] = {.lex_state = 5, .external_lex_state = 2},
  [1539] = {.lex_state = 5, .external_lex_state = 2},
  [1540] = {.lex_state = 5, .external_lex_state = 2},
  [1541] = {.lex_state = 5, .external_lex_state = 2},
  [1542] = {.lex_state = 5, .external_lex_state = 2},
  [1543] = {.lex_state = 5, .external_lex_state = 2},
  [1544] = {.lex_state = 5, .external_lex_state = 2},
  [1545] = {.lex_state = 9, .external_lex_state = 4},
  [1546] = {.lex_state = 5, .external_lex_state = 2},
  [1547] = {.lex_state = 5, .external_lex_state = 2},
  [1548] = {.lex_state = 5, .external_lex_state = 2},
  [1549] = {.lex_state = 5, .external_lex_state = 2},
  [1550] = {.lex_state = 9, .external_lex_state = 4},
  [1551] = {.lex_state = 5, .external_lex_state = 2},
  [1552] = {.lex_state = 9, .external_lex_state = 4},
  [1553] = {.lex_state = 5, .external_lex_state = 2},
  [1554] = {.lex_state = 5, .external_lex_state = 2},
  [1555] = {.lex_state = 5, .external_lex_state = 2},
  [1556] = {.lex_state = 5, .external_lex_state = 2},
  [1557] = {.lex_state = 5, .external_lex_state = 2},
  [1558] = {.lex_state = 5, .external_lex_state = 2},
  [1559] = {.lex_state = 9, .external_lex_state = 4},
  [1560] = {.lex_state = 5, .external_lex_state = 2},
  [1561] = {.lex_state = 5, .external_lex_state = 2},
  [1562] = {.lex_state = 5, .external_lex_state = 2},
  [1563] = {.lex_state = 5, .external_lex_state = 2},
  [1564] = {.lex_state = 5, .external_lex_state = 2},
  [1565] = {.lex_state = 5, .external_lex_state = 2},
  [1566] = {.lex_state = 5, .external_lex_state = 2},
  [1567] = {.lex_state = 5, .external_lex_state = 2},
  [1568] = {.lex_state = 5, .external_lex_state = 2},
  [1569] = {.lex_state = 9, .external_lex_state = 4},
  [1570] = {.lex_state = 5, .external_lex_state = 2},
  [1571] = {.lex_state = 5, .external_lex_state = 2},
  [1572] = {.lex_state = 9, .external_lex_state = 4},
  [1573] = {.lex_state = 5, .external_lex_state = 2},
  [1574] = {.lex_state = 5, .external_lex_state = 2},
  [1575] = {.lex_state = 9, .external_lex_state = 4},
  [1576] = {.lex_state = 5, .external_lex_state = 2},
  [1577] = {.lex_state = 5, .external_lex_state = 2},
  [1578] = {.lex_state = 9},
  [1579] = {.lex_state = 5, .external_lex_state = 2},
  [1580] = {.lex_state = 5, .external_lex_state = 2},
  [1581] = {.lex_state = 5, .external_lex_state = 2},
  [1582] = {.lex_state = 5, .external_lex_state = 2},
  [1583] = {.lex_state = 5, .external_lex_state = 2},
  [1584] = {.lex_state = 9},
  [1585] = {.lex_state = 5, .external_lex_state = 2},
  [1586] = {.lex_state = 5, .external_lex_state = 2},
  [1587] = {.lex_state = 5, .external_lex_state = 2},
  [1588] = {.lex_state = 5, .external_lex_state = 2},
  [1589] = {.lex_state = 9, .external_lex_state = 4},
  [1590] = {.lex_state = 5, .external_lex_state = 2},
  [1591] = {.lex_state = 9, .external_lex_state = 4},
  [1592] = {.lex_state = 9},
  [1593] = {.lex_state = 5, .external_lex_state = 2},
  [1594] = {.lex_state = 5, .external_lex_state = 2},
  [1595] = {.lex_state = 5, .external_lex_state = 2},
  [1596] = {.lex_state = 9},
  [1597] = {.lex_state = 5, .external_lex_state = 2},
  [1598] = {.lex_state = 5, .external_lex_state = 2},
  [1599] = {.lex_state = 5, .external_lex_state = 2},
  [1600] = {.lex_state = 5, .external_lex_state = 2},
  [1601] = {.lex_state = 9},
  [1602] = {.lex_state = 5, .external_lex_state = 2},
  [1603] = {.lex_state = 5, .external_lex_state = 2},
  [1604] = {.lex_state = 5, .external_lex_state = 2},
  [1605] = {.lex_state = 5, .external_lex_state = 2},
  [1606] = {.lex_state = 5, .external_lex_state = 2},
  [1607] = {.lex_state = 5, .external_lex_state = 2},
  [1608] = {.lex_state = 5, .external_lex_state = 2},
  [1609] = {.lex_state = 5, .external_lex_state = 3},
  [1610] = {.lex_state = 9},
  [1611] = {.lex_state = 5, .external_lex_state = 2},
  [1612] = {.lex_state = 5, .external_lex_state = 2},
  [1613] = {.lex_state = 5, .external_lex_state = 2},
  [1614] = {.lex_state = 5, .external_lex_state = 2},
  [1615] = {.lex_state = 9},
  [1616] = {.lex_state = 5, .external_lex_state = 2},
  [1617] = {.lex_state = 9},
  [1618] = {.lex_state = 5, .external_lex_state = 2},
  [1619] = {.lex_state = 5, .external_lex_state = 2},
  [1620] = {.lex_state = 5, .external_lex_state = 2},
  [1621] = {.lex_state = 5, .external_lex_state = 2},
  [1622] = {.lex_state = 5, .external_lex_state = 2},
  [1623] = {.lex_state = 5, .external_lex_state = 2},
  [1624] = {.lex_state = 9, .external_lex_state = 4},
  [1625] = {.lex_state = 5, .external_lex_state = 2},
  [1626] = {.lex_state = 5, .external_lex_state = 2},
  [1627] = {.lex_state = 9, .external_lex_state = 4},
  [1628] = {.lex_state = 5, .external_lex_state = 2},
  [1629] = {.lex_state = 5, .external_lex_state = 2},
  [1630] = {.lex_state = 5, .external_lex_state = 3},
  [1631] = {.lex_state = 5, .external_lex_state = 2},
  [1632] = {.lex_state = 9},
  [1633] = {.lex_state = 5, .external_lex_state = 2},
  [1634] = {.lex_state = 5, .external_lex_state = 2},
  [1635] = {.lex_state = 5, .external_lex_state = 2},
  [1636] = {.lex_state = 5, .external_lex_state = 2},
  [1637] = {.lex_state = 5, .external_lex_state = 2},
  [1638] = {.lex_state = 9},
  [1639] = {.lex_state = 5, .external_lex_state = 2},
  [1640] = {.lex_state = 5, .external_lex_state = 2},
  [1641] = {.lex_state = 5, .external_lex_state = 2},
  [1642] = {.lex_state = 5, .external_lex_state = 2},
  [1643] = {.lex_state = 5, .external_lex_state = 2},
  [1644] = {.lex_state = 5, .external_lex_state = 2},
  [1645] = {.lex_state = 5, .external_lex_state = 2},
  [1646] = {.lex_state = 5, .external_lex_state = 2},
  [1647] = {.lex_state = 5, .external_lex_state = 2},
  [1648] = {.lex_state = 5, .external_lex_state = 2},
  [1649] = {.lex_state = 5, .external_lex_state = 2},
  [1650] = {.lex_state = 5, .external_lex_state = 2},
  [1651] = {.lex_state = 5, .external_lex_state = 2},
  [1652] = {.lex_state = 5, .external_lex_state = 2},
  [1653] = {.lex_state = 5, .external_lex_state = 2},
  [1654] = {.lex_state = 5, .external_lex_state = 2},
  [1655] = {.lex_state = 5, .external_lex_state = 2},
  [1656] = {.lex_state = 5, .external_lex_state = 2},
  [1657] = {.lex_state = 5, .external_lex_state = 2},
  [1658] = {.lex_state = 5, .external_lex_state = 3},
  [1659] = {.lex_state = 9, .external_lex_state = 4},
  [1660] = {.lex_state = 5, .external_lex_state = 2},
  [1661] = {.lex_state = 5, .external_lex_state = 2},
  [1662] = {.lex_state = 5, .external_lex_state = 2},
  [1663] = {.lex_state = 9, .external_lex_state = 4},
  [1664] = {.lex_state = 5, .external_lex_state = 2},
  [1665] = {.lex_state = 5, .external_lex_state = 2},
  [1666] = {.lex_state = 5, .external_lex_state = 2},
  [1667] = {.lex_state = 5, .external_lex_state = 2},
  [1668] = {.lex_state = 5, .external_lex_state = 2},
  [1669] = {.lex_state = 5, .external_lex_state = 3},
  [1670] = {.lex_state = 5, .external_lex_state = 2},
  [1671] = {.lex_state = 5, .external_lex_state = 2},
  [1672] = {.lex_state = 9},
  [1673] = {.lex_state = 5, .external_lex_state = 2},
  [1674] = {.lex_state = 5, .external_lex_state = 2},
  [1675] = {.lex_state = 5, .external_lex_state = 2},
  [1676] = {.lex_state = 5, .external_lex_state = 2},
  [1677] = {.lex_state = 5, .external_lex_state = 2},
  [1678] = {.lex_state = 5, .external_lex_state = 2},
  [1679] = {.lex_state = 5, .external_lex_state = 2},
  [1680] = {.lex_state = 5, .external_lex_state = 2},
  [1681] = {.lex_state = 5, .external_lex_state = 2},
  [1682] = {.lex_state = 5, .external_lex_state = 2},
  [1683] = {.lex_state = 5, .external_lex_state = 2},
  [1684] = {.lex_state = 5, .external_lex_state = 2},
  [1685] = {.lex_state = 5, .external_lex_state = 2},
  [1686] = {.lex_state = 5, .external_lex_state = 2},
  [1687] = {.lex_state = 5, .external_lex_state = 2},
  [1688] = {.lex_state = 5, .external_lex_state = 2},
  [1689] = {.lex_state = 5, .external_lex_state = 2},
  [1690] = {.lex_state = 5, .external_lex_state = 2},
  [1691] = {.lex_state = 5, .external_lex_state = 2},
  [1692] = {.lex_state = 5, .external_lex_state = 2},
  [1693] = {.lex_state = 5, .external_lex_state = 2},
  [1694] = {.lex_state = 5, .external_lex_state = 2},
  [1695] = {.lex_state = 5, .external_lex_state = 2},
  [1696] = {.lex_state = 5, .external_lex_state = 2},
  [1697] = {.lex_state = 9, .external_lex_state = 4},
  [1698] = {.lex_state = 5, .external_lex_state = 2},
  [1699] = {.lex_state = 5, .external_lex_state = 2},
  [1700] = {.lex_state = 5, .external_lex_state = 2},
  [1701] = {.lex_state = 5, .external_lex_state = 3},
  [1702] = {.lex_state = 5, .external_lex_state = 2},
  [1703] = {.lex_state = 5, .external_lex_state = 2},
  [1704] = {.lex_state = 5, .external_lex_state = 2},
  [1705] = {.lex_state = 5, .external_lex_state = 2},
  [1706] = {.lex_state = 5, .external_lex_state = 2},
  [1707] = {.lex_state = 5, .external_lex_state = 2},
  [1708] = {.lex_state = 5, .external_lex_state = 3},
  [1709] = {.lex_state = 5, .external_lex_state = 2},
  [1710] = {.lex_state = 5, .external_lex_state = 3},
  [1711] = {.lex_state = 5, .external_lex_state = 2},
  [1712] = {.lex_state = 5, .external_lex_state = 2},
  [1713] = {.lex_state = 5, .external_lex_state = 2},
  [1714] = {.lex_state = 5, .external_lex_state = 2},
  [1715] = {.lex_state = 5, .external_lex_state = 2},
  [1716] = {.lex_state = 5, .external_lex_state = 2},
  [1717] = {.lex_state = 5, .external_lex_state = 2},
  [1718] = {.lex_state = 9, .external_lex_state = 4},
  [1719] = {.lex_state = 9, .external_lex_state = 4},
  [1720] = {.lex_state = 5, .external_lex_state = 2},
  [1721] = {.lex_state = 5, .external_lex_state = 3},
  [1722] = {.lex_state = 5, .external_lex_state = 2},
  [1723] = {.lex_state = 5, .external_lex_state = 2},
  [1724] = {.lex_state = 5, .external_lex_state = 2},
  [1725] = {.lex_state = 5, .external_lex_state = 2},
  [1726] = {.lex_state = 5, .external_lex_state = 2},
  [1727] = {.lex_state = 11},
  [1728] = {.lex_state = 5, .external_lex_state = 3},
  [1729] = {.lex_state = 5, .external_lex_state = 2},
  [1730] = {.lex_state = 5, .external_lex_state = 2},
  [1731] = {.lex_state = 5, .external_lex_state = 2},
  [1732] = {.lex_state = 5, .external_lex_state = 2},
  [1733] = {.lex_state = 5, .external_lex_state = 2},
  [1734] = {.lex_state = 5, .external_lex_state = 2},
  [1735] = {.lex_state = 5, .external_lex_state = 2},
  [1736] = {.lex_state = 5, .external_lex_state = 3},
  [1737] = {.lex_state = 5, .external_lex_state = 2},
  [1738] = {.lex_state = 5, .external_lex_state = 2},
  [1739] = {.lex_state = 5, .external_lex_state = 3},
  [1740] = {.lex_state = 5, .external_lex_state = 3},
  [1741] = {.lex_state = 5, .external_lex_state = 3},
  [1742] = {.lex_state = 5, .external_lex_state = 3},
  [1743] = {.lex_state = 5, .external_lex_state = 3},
  [1744] = {.lex_state = 5, .external_lex_state = 2},
  [1745] = {.lex_state = 5, .external_lex_state = 3},
  [1746] = {.lex_state = 5, .external_lex_state = 3},
  [1747] = {.lex_state = 5, .external_lex_state = 3},
  [1748] = {.lex_state = 5, .external_lex_state = 3},
  [1749] = {.lex_state = 5, .external_lex_state = 3},
  [1750] = {.lex_state = 9},
  [1751] = {.lex_state = 5, .external_lex_state = 3},
  [1752] = {.lex_state = 5, .external_lex_state = 3},
  [1753] = {.lex_state = 5, .external_lex_state = 3},
  [1754] = {.lex_state = 5, .external_lex_state = 3},
  [1755] = {.lex_state = 5, .external_lex_state = 3},
  [1756] = {.lex_state = 5, .external_lex_state = 3},
  [1757] = {.lex_state = 5, .external_lex_state = 3},
  [1758] = {.lex_state = 5, .external_lex_state = 3},
  [1759] = {.lex_state = 5, .external_lex_state = 3},
  [1760] = {.lex_state = 5, .external_lex_state = 3},
  [1761] = {.lex_state = 5, .external_lex_state = 3},
  [1762] = {.lex_state = 9},
  [1763] = {.lex_state = 5, .external_lex_state = 3},
  [1764] = {.lex_state = 5, .external_lex_state = 3},
  [1765] = {.lex_state = 5, .external_lex_state = 2},
  [1766] = {.lex_state = 5, .external_lex_state = 3},
  [1767] = {.lex_state = 5, .external_lex_state = 2},
  [1768] = {.lex_state = 9},
  [1769] = {.lex_state = 5, .external_lex_state = 2},
  [1770] = {.lex_state = 5, .external_lex_state = 3},
  [1771] = {.lex_state = 5, .external_lex_state = 3},
  [1772] = {.lex_state = 5, .external_lex_state = 3},
  [1773] = {.lex_state = 5, .external_lex_state = 3},
  [1774] = {.lex_state = 5, .external_lex_state = 2},
  [1775] = {.lex_state = 5, .external_lex_state = 3},
  [1776] = {.lex_state = 5, .external_lex_state = 3},
  [1777] = {.lex_state = 5, .external_lex_state = 3},
  [1778] = {.lex_state = 5, .external_lex_state = 3},
  [1779] = {.lex_state = 5, .external_lex_state = 3},
  [1780] = {.lex_state = 5, .external_lex_state = 3},
  [1781] = {.lex_state = 9},
  [1782] = {.lex_state = 5, .external_lex_state = 2},
  [1783] = {.lex_state = 5, .external_lex_state = 3},
  [1784] = {.lex_state = 5, .external_lex_state = 3},
  [1785] = {.lex_state = 5, .external_lex_state = 3},
  [1786] = {.lex_state = 9},
  [1787] = {.lex_state = 5, .external_lex_state = 3},
  [1788] = {.lex_state = 9},
  [1789] = {.lex_state = 9},
  [1790] = {.lex_state = 9},
  [1791] = {.lex_state = 5, .external_lex_state = 3},
  [1792] = {.lex_state = 5, .external_lex_state = 2},
  [1793] = {.lex_state = 9, .external_lex_state = 4},
  [1794] = {.lex_state = 5, .external_lex_state = 2},
  [1795] = {.lex_state = 5, .external_lex_state = 2},
  [1796] = {.lex_state = 5, .external_lex_state = 3},
  [1797] = {.lex_state = 9},
  [1798] = {.lex_state = 9},
  [1799] = {.lex_state = 5, .external_lex_state = 3},
  [1800] = {.lex_state = 5, .external_lex_state = 3},
  [1801] = {.lex_state = 5, .external_lex_state = 3},
  [1802] = {.lex_state = 5, .external_lex_state = 2},
  [1803] = {.lex_state = 5, .external_lex_state = 3},
  [1804] = {.lex_state = 5, .external_lex_state = 3},
  [1805] = {.lex_state = 5, .external_lex_state = 3},
  [1806] = {.lex_state = 5, .external_lex_state = 3},
  [1807] = {.lex_state = 5, .external_lex_state = 3},
  [1808] = {.lex_state = 5, .external_lex_state = 3},
  [1809] = {.lex_state = 5, .external_lex_state = 3},
  [1810] = {.lex_state = 5, .external_lex_state = 3},
  [1811] = {.lex_state = 5, .external_lex_state = 3},
  [1812] = {.lex_state = 5, .external_lex_state = 3},
  [1813] = {.lex_state = 9},
  [1814] = {.lex_state = 5, .external_lex_state = 3},
  [1815] = {.lex_state = 5, .external_lex_state = 3},
  [1816] = {.lex_state = 9},
  [1817] = {.lex_state = 9},
  [1818] = {.lex_state = 9, .external_lex_state = 4},
  [1819] = {.lex_state = 5, .external_lex_state = 3},
  [1820] = {.lex_state = 5, .external_lex_state = 3},
  [1821] = {.lex_state = 5, .external_lex_state = 3},
  [1822] = {.lex_state = 5, .external_lex_state = 3},
  [1823] = {.lex_state = 5, .external_lex_state = 2},
  [1824] = {.lex_state = 5, .external_lex_state = 3},
  [1825] = {.lex_state = 9},
  [1826] = {.lex_state = 5, .external_lex_state = 2},
  [1827] = {.lex_state = 5, .external_lex_state = 3},
  [1828] = {.lex_state = 9},
  [1829] = {.lex_state = 9},
  [1830] = {.lex_state = 5, .external_lex_state = 3},
  [1831] = {.lex_state = 5, .external_lex_state = 3},
  [1832] = {.lex_state = 5, .external_lex_state = 3},
  [1833] = {.lex_state = 5, .external_lex_state = 3},
  [1834] = {.lex_state = 5, .external_lex_state = 2},
  [1835] = {.lex_state = 5, .external_lex_state = 3},
  [1836] = {.lex_state = 5, .external_lex_state = 3},
  [1837] = {.lex_state = 5, .external_lex_state = 3},
  [1838] = {.lex_state = 5, .external_lex_state = 3},
  [1839] = {.lex_state = 5, .external_lex_state = 3},
  [1840] = {.lex_state = 9},
  [1841] = {.lex_state = 5, .external_lex_state = 3},
  [1842] = {.lex_state = 5, .external_lex_state = 3},
  [1843] = {.lex_state = 5, .external_lex_state = 3},
  [1844] = {.lex_state = 5, .external_lex_state = 3},
  [1845] = {.lex_state = 5, .external_lex_state = 3},
  [1846] = {.lex_state = 5, .external_lex_state = 2},
  [1847] = {.lex_state = 5, .external_lex_state = 3},
  [1848] = {.lex_state = 5, .external_lex_state = 3},
  [1849] = {.lex_state = 5, .external_lex_state = 3},
  [1850] = {.lex_state = 5, .external_lex_state = 3},
  [1851] = {.lex_state = 5, .external_lex_state = 3},
  [1852] = {.lex_state = 5, .external_lex_state = 3},
  [1853] = {.lex_state = 5, .external_lex_state = 2},
  [1854] = {.lex_state = 5, .external_lex_state = 3},
  [1855] = {.lex_state = 5, .external_lex_state = 3},
  [1856] = {.lex_state = 5, .external_lex_state = 3},
  [1857] = {.lex_state = 5, .external_lex_state = 3},
  [1858] = {.lex_state = 5, .external_lex_state = 3},
  [1859] = {.lex_state = 5, .external_lex_state = 3},
  [1860] = {.lex_state = 5, .external_lex_state = 3},
  [1861] = {.lex_state = 5, .external_lex_state = 3},
  [1862] = {.lex_state = 5, .external_lex_state = 2},
  [1863] = {.lex_state = 5, .external_lex_state = 3},
  [1864] = {.lex_state = 5, .external_lex_state = 3},
  [1865] = {.lex_state = 5, .external_lex_state = 2},
  [1866] = {.lex_state = 5, .external_lex_state = 2},
  [1867] = {.lex_state = 5, .external_lex_state = 2},
  [1868] = {.lex_state = 5, .external_lex_state = 2},
  [1869] = {.lex_state = 5, .external_lex_state = 2},
  [1870] = {.lex_state = 5, .external_lex_state = 2},
  [1871] = {.lex_state = 5, .external_lex_state = 2},
  [1872] = {.lex_state = 5, .external_lex_state = 2},
  [1873] = {.lex_state = 5, .external_lex_state = 2},
  [1874] = {.lex_state = 5, .external_lex_state = 3},
  [1875] = {.lex_state = 5, .external_lex_state = 3},
  [1876] = {.lex_state = 5, .external_lex_state = 3},
  [1877] = {.lex_state = 5, .external_lex_state = 3},
  [1878] = {.lex_state = 5, .external_lex_state = 3},
  [1879] = {.lex_state = 5, .external_lex_state = 3},
  [1880] = {.lex_state = 5, .external_lex_state = 3},
  [1881] = {.lex_state = 5, .external_lex_state = 3},
  [1882] = {.lex_state = 5, .external_lex_state = 3},
  [1883] = {.lex_state = 5, .external_lex_state = 3},
  [1884] = {.lex_state = 5, .external_lex_state = 3},
  [1885] = {.lex_state = 5, .external_lex_state = 3},
  [1886] = {.lex_state = 9},
  [1887] = {.lex_state = 5, .external_lex_state = 2},
  [1888] = {.lex_state = 5, .external_lex_state = 3},
  [1889] = {.lex_state = 5, .external_lex_state = 3},
  [1890] = {.lex_state = 5, .external_lex_state = 3},
  [1891] = {.lex_state = 5, .external_lex_state = 3},
  [1892] = {.lex_state = 5, .external_lex_state = 3},
  [1893] = {.lex_state = 5, .external_lex_state = 3},
  [1894] = {.lex_state = 5, .external_lex_state = 3},
  [1895] = {.lex_state = 5, .external_lex_state = 3},
  [1896] = {.lex_state = 5, .external_lex_state = 3},
  [1897] = {.lex_state = 5, .external_lex_state = 3},
  [1898] = {.lex_state = 5, .external_lex_state = 3},
  [1899] = {.lex_state = 5, .external_lex_state = 3},
  [1900] = {.lex_state = 5, .external_lex_state = 3},
  [1901] = {.lex_state = 5, .external_lex_state = 3},
  [1902] = {.lex_state = 5, .external_lex_state = 3},
  [1903] = {.lex_state = 5, .external_lex_state = 3},
  [1904] = {.lex_state = 5, .external_lex_state = 3},
  [1905] = {.lex_state = 5, .external_lex_state = 3},
  [1906] = {.lex_state = 5, .external_lex_state = 3},
  [1907] = {.lex_state = 5, .external_lex_state = 3},
  [1908] = {.lex_state = 5, .external_lex_state = 3},
  [1909] = {.lex_state = 5, .external_lex_state = 2},
  [1910] = {.lex_state = 5, .external_lex_state = 2},
  [1911] = {.lex_state = 5, .external_lex_state = 2},
  [1912] = {.lex_state = 5, .external_lex_state = 2},
  [1913] = {.lex_state = 5, .external_lex_state = 2},
  [1914] = {.lex_state = 5, .external_lex_state = 2},
  [1915] = {.lex_state = 5, .external_lex_state = 2},
  [1916] = {.lex_state = 5, .external_lex_state = 2},
  [1917] = {.lex_state = 5, .external_lex_state = 2},
  [1918] = {.lex_state = 5, .external_lex_state = 2},
  [1919] = {.lex_state = 5, .external_lex_state = 3},
  [1920] = {.lex_state = 5, .external_lex_state = 3},
  [1921] = {.lex_state = 5, .external_lex_state = 3},
  [1922] = {.lex_state = 5, .external_lex_state = 3},
  [1923] = {.lex_state = 5, .external_lex_state = 3},
  [1924] = {.lex_state = 5, .external_lex_state = 3},
  [1925] = {.lex_state = 5, .external_lex_state = 3},
  [1926] = {.lex_state = 5, .external_lex_state = 3},
  [1927] = {.lex_state = 5, .external_lex_state = 3},
  [1928] = {.lex_state = 5, .external_lex_state = 3},
  [1929] = {.lex_state = 5, .external_lex_state = 3},
  [1930] = {.lex_state = 5, .external_lex_state = 3},
  [1931] = {.lex_state = 5, .external_lex_state = 2},
  [1932] = {.lex_state = 5, .external_lex_state = 2},
  [1933] = {.lex_state = 5, .external_lex_state = 2},
  [1934] = {.lex_state = 5, .external_lex_state = 3},
  [1935] = {.lex_state = 5, .external_lex_state = 3},
  [1936] = {.lex_state = 5, .external_lex_state = 3},
  [1937] = {.lex_state = 5, .external_lex_state = 3},
  [1938] = {.lex_state = 5, .external_lex_state = 2},
  [1939] = {.lex_state = 5, .external_lex_state = 3},
  [1940] = {.lex_state = 5, .external_lex_state = 3},
  [1941] = {.lex_state = 5, .external_lex_state = 3},
  [1942] = {.lex_state = 5, .external_lex_state = 2},
  [1943] = {.lex_state = 5, .external_lex_state = 3},
  [1944] = {.lex_state = 5, .external_lex_state = 2},
  [1945] = {.lex_state = 5, .external_lex_state = 3},
  [1946] = {.lex_state = 5, .external_lex_state = 2},
  [1947] = {.lex_state = 5, .external_lex_state = 2},
  [1948] = {.lex_state = 5, .external_lex_state = 2},
  [1949] = {.lex_state = 5, .external_lex_state = 3},
  [1950] = {.lex_state = 5, .external_lex_state = 2},
  [1951] = {.lex_state = 5, .external_lex_state = 2},
  [1952] = {.lex_state = 5, .external_lex_state = 3},
  [1953] = {.lex_state = 5, .external_lex_state = 3},
  [1954] = {.lex_state = 5, .external_lex_state = 3},
  [1955] = {.lex_state = 5, .external_lex_state = 2},
  [1956] = {.lex_state = 5, .external_lex_state = 3},
  [1957] = {.lex_state = 5, .external_lex_state = 3},
  [1958] = {.lex_state = 5, .external_lex_state = 3},
  [1959] = {.lex_state = 5, .external_lex_state = 3},
  [1960] = {.lex_state = 5, .external_lex_state = 3},
  [1961] = {.lex_state = 5, .external_lex_state = 3},
  [1962] = {.lex_state = 5, .external_lex_state = 3},
  [1963] = {.lex_state = 5, .external_lex_state = 3},
  [1964] = {.lex_state = 5, .external_lex_state = 3},
  [1965] = {.lex_state = 5, .external_lex_state = 3},
  [1966] = {.lex_state = 5, .external_lex_state = 3},
  [1967] = {.lex_state = 5, .external_lex_state = 3},
  [1968] = {.lex_state = 5, .external_lex_state = 3},
  [1969] = {.lex_state = 5, .external_lex_state = 2},
  [1970] = {.lex_state = 5, .external_lex_state = 2},
  [1971] = {.lex_state = 5, .external_lex_state = 3},
  [1972] = {.lex_state = 6, .external_lex_state = 2},
  [1973] = {.lex_state = 5, .external_lex_state = 3},
  [1974] = {.lex_state = 5, .external_lex_state = 2},
  [1975] = {.lex_state = 5, .external_lex_state = 2},
  [1976] = {.lex_state = 5, .external_lex_state = 3},
  [1977] = {.lex_state = 5, .external_lex_state = 3},
  [1978] = {.lex_state = 5, .external_lex_state = 3},
  [1979] = {.lex_state = 5, .external_lex_state = 3},
  [1980] = {.lex_state = 5, .external_lex_state = 2},
  [1981] = {.lex_state = 5, .external_lex_state = 2},
  [1982] = {.lex_state = 5, .external_lex_state = 2},
  [1983] = {.lex_state = 5, .external_lex_state = 2},
  [1984] = {.lex_state = 5, .external_lex_state = 3},
  [1985] = {.lex_state = 5, .external_lex_state = 2},
  [1986] = {.lex_state = 5, .external_lex_state = 2},
  [1987] = {.lex_state = 5, .external_lex_state = 2},
  [1988] = {.lex_state = 5, .external_lex_state = 3},
  [1989] = {.lex_state = 5, .external_lex_state = 3},
  [1990] = {.lex_state = 5, .external_lex_state = 3},
  [1991] = {.lex_state = 5, .external_lex_state = 3},
  [1992] = {.lex_state = 5, .external_lex_state = 3},
  [1993] = {.lex_state = 5, .external_lex_state = 3},
  [1994] = {.lex_state = 5, .external_lex_state = 3},
  [1995] = {.lex_state = 5, .external_lex_state = 3},
  [1996] = {.lex_state = 5, .external_lex_state = 3},
  [1997] = {.lex_state = 5, .external_lex_state = 3},
  [1998] = {.lex_state = 5, .external_lex_state = 3},
  [1999] = {.lex_state = 5, .external_lex_state = 2},
  [2000] = {.lex_state = 5, .external_lex_state = 2},
  [2001] = {.lex_state = 5, .external_lex_state = 3},
  [2002] = {.lex_state = 5, .external_lex_state = 3},
  [2003] = {.lex_state = 5, .external_lex_state = 2},
  [2004] = {.lex_state = 5, .external_lex_state = 3},
  [2005] = {.lex_state = 5, .external_lex_state = 3},
  [2006] = {.lex_state = 5, .external_lex_state = 3},
  [2007] = {.lex_state = 5, .external_lex_state = 2},
  [2008] = {.lex_state = 5, .external_lex_state = 3},
  [2009] = {.lex_state = 5, .external_lex_state = 3},
  [2010] = {.lex_state = 5, .external_lex_state = 2},
  [2011] = {.lex_state = 5, .external_lex_state = 3},
  [2012] = {.lex_state = 5, .external_lex_state = 3},
  [2013] = {.lex_state = 5, .external_lex_state = 3},
  [2014] = {.lex_state = 5, .external_lex_state = 3},
  [2015] = {.lex_state = 5, .external_lex_state = 2},
  [2016] = {.lex_state = 5, .external_lex_state = 2},
  [2017] = {.lex_state = 5, .external_lex_state = 2},
  [2018] = {.lex_state = 5, .external_lex_state = 2},
  [2019] = {.lex_state = 5, .external_lex_state = 2},
  [2020] = {.lex_state = 5, .external_lex_state = 2},
  [2021] = {.lex_state = 5, .external_lex_state = 3},
  [2022] = {.lex_state = 5, .external_lex_state = 2},
  [2023] = {.lex_state = 5, .external_lex_state = 3},
  [2024] = {.lex_state = 5, .external_lex_state = 2},
  [2025] = {.lex_state = 5, .external_lex_state = 2},
  [2026] = {.lex_state = 5, .external_lex_state = 2},
  [2027] = {.lex_state = 5, .external_lex_state = 2},
  [2028] = {.lex_state = 5, .external_lex_state = 2},
  [2029] = {.lex_state = 5, .external_lex_state = 2},
  [2030] = {.lex_state = 5, .external_lex_state = 3},
  [2031] = {.lex_state = 5, .external_lex_state = 3},
  [2032] = {.lex_state = 12},
  [2033] = {.lex_state = 5, .external_lex_state = 3},
  [2034] = {.lex_state = 5, .external_lex_state = 3},
  [2035] = {.lex_state = 5, .external_lex_state = 2},
  [2036] = {.lex_state = 5, .external_lex_state = 3},
  [2037] = {.lex_state = 5, .external_lex_state = 3},
  [2038] = {.lex_state = 5, .external_lex_state = 3},
  [2039] = {.lex_state = 5, .external_lex_state = 3},
  [2040] = {.lex_state = 5, .external_lex_state = 3},
  [2041] = {.lex_state = 5, .external_lex_state = 3},
  [2042] = {.lex_state = 5, .external_lex_state = 2},
  [2043] = {.lex_state = 5, .external_lex_state = 3},
  [2044] = {.lex_state = 5, .external_lex_state = 3},
  [2045] = {.lex_state = 5, .external_lex_state = 3},
  [2046] = {.lex_state = 5, .external_lex_state = 3},
  [2047] = {.lex_state = 5, .external_lex_state = 2},
  [2048] = {.lex_state = 5, .external_lex_state = 3},
  [2049] = {.lex_state = 5, .external_lex_state = 3},
  [2050] = {.lex_state = 5, .external_lex_state = 3},
  [2051] = {.lex_state = 9},
  [2052] = {.lex_state = 5, .external_lex_state = 3},
  [2053] = {.lex_state = 5, .external_lex_state = 2},
  [2054] = {.lex_state = 5, .external_lex_state = 3},
  [2055] = {.lex_state = 5, .external_lex_state = 2},
  [2056] = {.lex_state = 5, .external_lex_state = 3},
  [2057] = {.lex_state = 5, .external_lex_state = 2},
  [2058] = {.lex_state = 5, .external_lex_state = 3},
  [2059] = {.lex_state = 5, .external_lex_state = 2},
  [2060] = {.lex_state = 5, .external_lex_state = 3},
  [2061] = {.lex_state = 5, .external_lex_state = 3},
  [2062] = {.lex_state = 5, .external_lex_state = 3},
  [2063] = {.lex_state = 5, .external_lex_state = 2},
  [2064] = {.lex_state = 5, .external_lex_state = 3},
  [2065] = {.lex_state = 5, .external_lex_state = 3},
  [2066] = {.lex_state = 5, .external_lex_state = 3},
  [2067] = {.lex_state = 5, .external_lex_state = 3},
  [2068] = {.lex_state = 5, .external_lex_state = 3},
  [2069] = {.lex_state = 5, .external_lex_state = 3},
  [2070] = {.lex_state = 5, .external_lex_state = 2},
  [2071] = {.lex_state = 5, .external_lex_state = 3},
  [2072] = {.lex_state = 5, .external_lex_state = 3},
  [2073] = {.lex_state = 5, .external_lex_state = 3},
  [2074] = {.lex_state = 5, .external_lex_state = 3},
  [2075] = {.lex_state = 5, .external_lex_state = 3},
  [2076] = {.lex_state = 5, .external_lex_state = 3},
  [2077] = {.lex_state = 5, .external_lex_state = 2},
  [2078] = {.lex_state = 5, .external_lex_state = 3},
  [2079] = {.lex_state = 5, .external_lex_state = 3},
  [2080] = {.lex_state = 5, .external_lex_state = 3},
  [2081] = {.lex_state = 5, .external_lex_state = 2},
  [2082] = {.lex_state = 5, .external_lex_state = 3},
  [2083] = {.lex_state = 5, .external_lex_state = 3},
  [2084] = {.lex_state = 5, .external_lex_state = 3},
  [2085] = {.lex_state = 5, .external_lex_state = 3},
  [2086] = {.lex_state = 5, .external_lex_state = 3},
  [2087] = {.lex_state = 5, .external_lex_state = 3},
  [2088] = {.lex_state = 5, .external_lex_state = 3},
  [2089] = {.lex_state = 5, .external_lex_state = 3},
  [2090] = {.lex_state = 5, .external_lex_state = 2},
  [2091] = {.lex_state = 5, .external_lex_state = 2},
  [2092] = {.lex_state = 5, .external_lex_state = 3},
  [2093] = {.lex_state = 5, .external_lex_state = 3},
  [2094] = {.lex_state = 5, .external_lex_state = 2},
  [2095] = {.lex_state = 5, .external_lex_state = 2},
  [2096] = {.lex_state = 5, .external_lex_state = 3},
  [2097] = {.lex_state = 5, .external_lex_state = 3},
  [2098] = {.lex_state = 5, .external_lex_state = 3},
  [2099] = {.lex_state = 5, .external_lex_state = 3},
  [2100] = {.lex_state = 5, .external_lex_state = 3},
  [2101] = {.lex_state = 5, .external_lex_state = 3},
  [2102] = {.lex_state = 5, .external_lex_state = 2},
  [2103] = {.lex_state = 9},
  [2104] = {.lex_state = 5, .external_lex_state = 3},
  [2105] = {.lex_state = 5, .external_lex_state = 3},
  [2106] = {.lex_state = 5, .external_lex_state = 3},
  [2107] = {.lex_state = 5, .external_lex_state = 2},
  [2108] = {.lex_state = 5, .external_lex_state = 3},
  [2109] = {.lex_state = 5, .external_lex_state = 3},
  [2110] = {.lex_state = 5, .external_lex_state = 3},
  [2111] = {.lex_state = 5, .external_lex_state = 2},
  [2112] = {.lex_state = 5, .external_lex_state = 3},
  [2113] = {.lex_state = 5, .external_lex_state = 3},
  [2114] = {.lex_state = 5, .external_lex_state = 2},
  [2115] = {.lex_state = 5, .external_lex_state = 2},
  [2116] = {.lex_state = 5, .external_lex_state = 2},
  [2117] = {.lex_state = 5, .external_lex_state = 3},
  [2118] = {.lex_state = 5, .external_lex_state = 2},
  [2119] = {.lex_state = 5, .external_lex_state = 3},
  [2120] = {.lex_state = 5, .external_lex_state = 2},
  [2121] = {.lex_state = 5, .external_lex_state = 3},
  [2122] = {.lex_state = 5, .external_lex_state = 2},
  [2123] = {.lex_state = 5, .external_lex_state = 3},
  [2124] = {.lex_state = 5, .external_lex_state = 2},
  [2125] = {.lex_state = 9},
  [2126] = {.lex_state = 5, .external_lex_state = 3},
  [2127] = {.lex_state = 5, .external_lex_state = 3},
  [2128] = {.lex_state = 5, .external_lex_state = 2},
  [2129] = {.lex_state = 5, .external_lex_state = 2},
  [2130] = {.lex_state = 5, .external_lex_state = 3},
  [2131] = {.lex_state = 5, .external_lex_state = 2},
  [2132] = {.lex_state = 5, .external_lex_state = 3},
  [2133] = {.lex_state = 5, .external_lex_state = 3},
  [2134] = {.lex_state = 5, .external_lex_state = 2},
  [2135] = {.lex_state = 5, .external_lex_state = 3},
  [2136] = {.lex_state = 5, .external_lex_state = 2},
  [2137] = {.lex_state = 5, .external_lex_state = 2},
  [2138] = {.lex_state = 5, .external_lex_state = 2},
  [2139] = {.lex_state = 5, .external_lex_state = 3},
  [2140] = {.lex_state = 5, .external_lex_state = 3},
  [2141] = {.lex_state = 5, .external_lex_state = 3},
  [2142] = {.lex_state = 5, .external_lex_state = 3},
  [2143] = {.lex_state = 5, .external_lex_state = 3},
  [2144] = {.lex_state = 5, .external_lex_state = 2},
  [2145] = {.lex_state = 5, .external_lex_state = 3},
  [2146] = {.lex_state = 5, .external_lex_state = 3},
  [2147] = {.lex_state = 5, .external_lex_state = 3},
  [2148] = {.lex_state = 5, .external_lex_state = 3},
  [2149] = {.lex_state = 5, .external_lex_state = 3},
  [2150] = {.lex_state = 5, .external_lex_state = 3},
  [2151] = {.lex_state = 5, .external_lex_state = 3},
  [2152] = {.lex_state = 5, .external_lex_state = 3},
  [2153] = {.lex_state = 5, .external_lex_state = 3},
  [2154] = {.lex_state = 5, .external_lex_state = 2},
  [2155] = {.lex_state = 5, .external_lex_state = 2},
  [2156] = {.lex_state = 5, .external_lex_state = 3},
  [2157] = {.lex_state = 5, .external_lex_state = 3},
  [2158] = {.lex_state = 5, .external_lex_state = 3},
  [2159] = {.lex_state = 5, .external_lex_state = 3},
  [2160] = {.lex_state = 5, .external_lex_state = 3},
  [2161] = {.lex_state = 5, .external_lex_state = 3},
  [2162] = {.lex_state = 5, .external_lex_state = 3},
  [2163] = {.lex_state = 5, .external_lex_state = 3},
  [2164] = {.lex_state = 5, .external_lex_state = 3},
  [2165] = {.lex_state = 5, .external_lex_state = 3},
  [2166] = {.lex_state = 6, .external_lex_state = 3},
  [2167] = {.lex_state = 5, .external_lex_state = 3},
  [2168] = {.lex_state = 5, .external_lex_state = 3},
  [2169] = {.lex_state = 5, .external_lex_state = 3},
  [2170] = {.lex_state = 5, .external_lex_state = 3},
  [2171] = {.lex_state = 5, .external_lex_state = 3},
  [2172] = {.lex_state = 5, .external_lex_state = 3},
  [2173] = {.lex_state = 5, .external_lex_state = 2},
  [2174] = {.lex_state = 5, .external_lex_state = 3},
  [2175] = {.lex_state = 5, .external_lex_state = 3},
  [2176] = {.lex_state = 5, .external_lex_state = 3},
  [2177] = {.lex_state = 5, .external_lex_state = 3},
  [2178] = {.lex_state = 6, .external_lex_state = 3},
  [2179] = {.lex_state = 5, .external_lex_state = 3},
  [2180] = {.lex_state = 5, .external_lex_state = 3},
  [2181] = {.lex_state = 5, .external_lex_state = 3},
  [2182] = {.lex_state = 5, .external_lex_state = 3},
  [2183] = {.lex_state = 5, .external_lex_state = 3},
  [2184] = {.lex_state = 5, .external_lex_state = 3},
  [2185] = {.lex_state = 5, .external_lex_state = 3},
  [2186] = {.lex_state = 5, .external_lex_state = 2},
  [2187] = {.lex_state = 5, .external_lex_state = 3},
  [2188] = {.lex_state = 5, .external_lex_state = 3},
  [2189] = {.lex_state = 5, .external_lex_state = 3},
  [2190] = {.lex_state = 5, .external_lex_state = 3},
  [2191] = {.lex_state = 5, .external_lex_state = 3},
  [2192] = {.lex_state = 5, .external_lex_state = 3},
  [2193] = {.lex_state = 5, .external_lex_state = 2},
  [2194] = {.lex_state = 5, .external_lex_state = 2},
  [2195] = {.lex_state = 5, .external_lex_state = 2},
  [2196] = {.lex_state = 5, .external_lex_state = 2},
  [2197] = {.lex_state = 5, .external_lex_state = 2},
  [2198] = {.lex_state = 5, .external_lex_state = 2},
  [2199] = {.lex_state = 5, .external_lex_state = 2},
  [2200] = {.lex_state = 5, .external_lex_state = 2},
  [2201] = {.lex_state = 5, .external_lex_state = 2},
  [2202] = {.lex_state = 5, .external_lex_state = 2},
  [2203] = {.lex_state = 5, .external_lex_state = 2},
  [2204] = {.lex_state = 5, .external_lex_state = 2},
  [2205] = {.lex_state = 5, .external_lex_state = 2},
  [2206] = {.lex_state = 5, .external_lex_state = 2},
  [2207] = {.lex_state = 5, .external_lex_state = 2},
  [2208] = {.lex_state = 5, .external_lex_state = 2},
  [2209] = {.lex_state = 5, .external_lex_state = 2},
  [2210] = {.lex_state = 12},
  [2211] = {.lex_state = 9},
  [2212] = {.lex_state = 5, .external_lex_state = 2},
  [2213] = {.lex_state = 5, .external_lex_state = 2},
  [2214] = {.lex_state = 5, .external_lex_state = 2},
  [2215] = {.lex_state = 9},
  [2216] = {.lex_state = 5, .external_lex_state = 2},
  [2217] = {.lex_state = 5, .external_lex_state = 2},
  [2218] = {.lex_state = 12, .external_lex_state = 4},
  [2219] = {.lex_state = 5, .external_lex_state = 2},
  [2220] = {.lex_state = 12, .external_lex_state = 4},
  [2221] = {.lex_state = 5, .external_lex_state = 2},
  [2222] = {.lex_state = 5, .external_lex_state = 2},
  [2223] = {.lex_state = 9},
  [2224] = {.lex_state = 5, .external_lex_state = 2},
  [2225] = {.lex_state = 5, .external_lex_state = 2},
  [2226] = {.lex_state = 5, .external_lex_state = 2},
  [2227] = {.lex_state = 5, .external_lex_state = 2},
  [2228] = {.lex_state = 5, .external_lex_state = 2},
  [2229] = {.lex_state = 5, .external_lex_state = 2},
  [2230] = {.lex_state = 5, .external_lex_state = 2},
  [2231] = {.lex_state = 5, .external_lex_state = 2},
  [2232] = {.lex_state = 5, .external_lex_state = 2},
  [2233] = {.lex_state = 12, .external_lex_state = 4},
  [2234] = {.lex_state = 5, .external_lex_state = 2},
  [2235] = {.lex_state = 5, .external_lex_state = 2},
  [2236] = {.lex_state = 12, .external_lex_state = 4},
  [2237] = {.lex_state = 5, .external_lex_state = 3},
  [2238] = {.lex_state = 5, .external_lex_state = 2},
  [2239] = {.lex_state = 5, .external_lex_state = 2},
  [2240] = {.lex_state = 9},
  [2241] = {.lex_state = 5, .external_lex_state = 2},
  [2242] = {.lex_state = 5, .external_lex_state = 2},
  [2243] = {.lex_state = 9},
  [2244] = {.lex_state = 9},
  [2245] = {.lex_state = 5, .external_lex_state = 2},
  [2246] = {.lex_state = 5, .external_lex_state = 2},
  [2247] = {.lex_state = 5, .external_lex_state = 2},
  [2248] = {.lex_state = 12, .external_lex_state = 4},
  [2249] = {.lex_state = 5, .external_lex_state = 2},
  [2250] = {.lex_state = 5, .external_lex_state = 2},
  [2251] = {.lex_state = 5, .external_lex_state = 2},
  [2252] = {.lex_state = 12, .external_lex_state = 4},
  [2253] = {.lex_state = 5, .external_lex_state = 2},
  [2254] = {.lex_state = 12, .external_lex_state = 4},
  [2255] = {.lex_state = 5, .external_lex_state = 2},
  [2256] = {.lex_state = 5, .external_lex_state = 2},
  [2257] = {.lex_state = 9},
  [2258] = {.lex_state = 12, .external_lex_state = 4},
  [2259] = {.lex_state = 12, .external_lex_state = 4},
  [2260] = {.lex_state = 5, .external_lex_state = 2},
  [2261] = {.lex_state = 5, .external_lex_state = 3},
  [2262] = {.lex_state = 5, .external_lex_state = 2},
  [2263] = {.lex_state = 12, .external_lex_state = 4},
  [2264] = {.lex_state = 5, .external_lex_state = 2},
  [2265] = {.lex_state = 5, .external_lex_state = 2},
  [2266] = {.lex_state = 5, .external_lex_state = 2},
  [2267] = {.lex_state = 12, .external_lex_state = 4},
  [2268] = {.lex_state = 5, .external_lex_state = 2},
  [2269] = {.lex_state = 5, .external_lex_state = 2},
  [2270] = {.lex_state = 12, .external_lex_state = 4},
  [2271] = {.lex_state = 5, .external_lex_state = 2},
  [2272] = {.lex_state = 12, .external_lex_state = 4},
  [2273] = {.lex_state = 12, .external_lex_state = 4},
  [2274] = {.lex_state = 9},
  [2275] = {.lex_state = 5, .external_lex_state = 2},
  [2276] = {.lex_state = 9},
  [2277] = {.lex_state = 5, .external_lex_state = 2},
  [2278] = {.lex_state = 75},
  [2279] = {.lex_state = 12, .external_lex_state = 4},
  [2280] = {.lex_state = 12, .external_lex_state = 4},
  [2281] = {.lex_state = 5, .external_lex_state = 2},
  [2282] = {.lex_state = 5, .external_lex_state = 2},
  [2283] = {.lex_state = 5, .external_lex_state = 2},
  [2284] = {.lex_state = 12, .external_lex_state = 4},
  [2285] = {.lex_state = 5, .external_lex_state = 2},
  [2286] = {.lex_state = 9},
  [2287] = {.lex_state = 5, .external_lex_state = 2},
  [2288] = {.lex_state = 5, .external_lex_state = 2},
  [2289] = {.lex_state = 5, .external_lex_state = 2},
  [2290] = {.lex_state = 5, .external_lex_state = 2},
  [2291] = {.lex_state = 5, .external_lex_state = 3},
  [2292] = {.lex_state = 5, .external_lex_state = 2},
  [2293] = {.lex_state = 5, .external_lex_state = 2},
  [2294] = {.lex_state = 5, .external_lex_state = 2},
  [2295] = {.lex_state = 5, .external_lex_state = 2},
  [2296] = {.lex_state = 5, .external_lex_state = 2},
  [2297] = {.lex_state = 5, .external_lex_state = 2},
  [2298] = {.lex_state = 5, .external_lex_state = 2},
  [2299] = {.lex_state = 5, .external_lex_state = 2},
  [2300] = {.lex_state = 5, .external_lex_state = 2},
  [2301] = {.lex_state = 5, .external_lex_state = 2},
  [2302] = {.lex_state = 5, .external_lex_state = 2},
  [2303] = {.lex_state = 5, .external_lex_state = 2},
  [2304] = {.lex_state = 5, .external_lex_state = 2},
  [2305] = {.lex_state = 5, .external_lex_state = 2},
  [2306] = {.lex_state = 5, .external_lex_state = 2},
  [2307] = {.lex_state = 75, .external_lex_state = 4},
  [2308] = {.lex_state = 12, .external_lex_state = 4},
  [2309] = {.lex_state = 5, .external_lex_state = 2},
  [2310] = {.lex_state = 5, .external_lex_state = 2},
  [2311] = {.lex_state = 5, .external_lex_state = 2},
  [2312] = {.lex_state = 12, .external_lex_state = 4},
  [2313] = {.lex_state = 5, .external_lex_state = 2},
  [2314] = {.lex_state = 12, .external_lex_state = 4},
  [2315] = {.lex_state = 5, .external_lex_state = 2},
  [2316] = {.lex_state = 5, .external_lex_state = 2},
  [2317] = {.lex_state = 5, .external_lex_state = 2},
  [2318] = {.lex_state = 5, .external_lex_state = 2},
  [2319] = {.lex_state = 5, .external_lex_state = 2},
  [2320] = {.lex_state = 5, .external_lex_state = 2},
  [2321] = {.lex_state = 5, .external_lex_state = 2},
  [2322] = {.lex_state = 5, .external_lex_state = 2},
  [2323] = {.lex_state = 5, .external_lex_state = 2},
  [2324] = {.lex_state = 6, .external_lex_state = 2},
  [2325] = {.lex_state = 5, .external_lex_state = 2},
  [2326] = {.lex_state = 5, .external_lex_state = 2},
  [2327] = {.lex_state = 5, .external_lex_state = 2},
  [2328] = {.lex_state = 5, .external_lex_state = 2},
  [2329] = {.lex_state = 5, .external_lex_state = 2},
  [2330] = {.lex_state = 5, .external_lex_state = 2},
  [2331] = {.lex_state = 12, .external_lex_state = 4},
  [2332] = {.lex_state = 12, .external_lex_state = 4},
  [2333] = {.lex_state = 5, .external_lex_state = 2},
  [2334] = {.lex_state = 5, .external_lex_state = 2},
  [2335] = {.lex_state = 5, .external_lex_state = 2},
  [2336] = {.lex_state = 12, .external_lex_state = 4},
  [2337] = {.lex_state = 5, .external_lex_state = 2},
  [2338] = {.lex_state = 5, .external_lex_state = 2},
  [2339] = {.lex_state = 5, .external_lex_state = 2},
  [2340] = {.lex_state = 75, .external_lex_state = 4},
  [2341] = {.lex_state = 5, .external_lex_state = 2},
  [2342] = {.lex_state = 5, .external_lex_state = 2},
  [2343] = {.lex_state = 5, .external_lex_state = 2},
  [2344] = {.lex_state = 5, .external_lex_state = 2},
  [2345] = {.lex_state = 9},
  [2346] = {.lex_state = 5, .external_lex_state = 2},
  [2347] = {.lex_state = 5, .external_lex_state = 2},
  [2348] = {.lex_state = 9},
  [2349] = {.lex_state = 5, .external_lex_state = 2},
  [2350] = {.lex_state = 5, .external_lex_state = 2},
  [2351] = {.lex_state = 5, .external_lex_state = 3},
  [2352] = {.lex_state = 5, .external_lex_state = 2},
  [2353] = {.lex_state = 5, .external_lex_state = 2},
  [2354] = {.lex_state = 5, .external_lex_state = 2},
  [2355] = {.lex_state = 9},
  [2356] = {.lex_state = 9},
  [2357] = {.lex_state = 9},
  [2358] = {.lex_state = 5, .external_lex_state = 2},
  [2359] = {.lex_state = 9},
  [2360] = {.lex_state = 75},
  [2361] = {.lex_state = 5, .external_lex_state = 2},
  [2362] = {.lex_state = 5, .external_lex_state = 2},
  [2363] = {.lex_state = 75},
  [2364] = {.lex_state = 5, .external_lex_state = 2},
  [2365] = {.lex_state = 5, .external_lex_state = 3},
  [2366] = {.lex_state = 5, .external_lex_state = 2},
  [2367] = {.lex_state = 5, .external_lex_state = 2},
  [2368] = {.lex_state = 5, .external_lex_state = 2},
  [2369] = {.lex_state = 5, .external_lex_state = 2},
  [2370] = {.lex_state = 5, .external_lex_state = 2},
  [2371] = {.lex_state = 9},
  [2372] = {.lex_state = 9},
  [2373] = {.lex_state = 5, .external_lex_state = 2},
  [2374] = {.lex_state = 9},
  [2375] = {.lex_state = 5, .external_lex_state = 2},
  [2376] = {.lex_state = 5, .external_lex_state = 2},
  [2377] = {.lex_state = 75},
  [2378] = {.lex_state = 9},
  [2379] = {.lex_state = 9},
  [2380] = {.lex_state = 5, .external_lex_state = 2},
  [2381] = {.lex_state = 5, .external_lex_state = 2},
  [2382] = {.lex_state = 5, .external_lex_state = 2},
  [2383] = {.lex_state = 9},
  [2384] = {.lex_state = 5, .external_lex_state = 2},
  [2385] = {.lex_state = 9},
  [2386] = {.lex_state = 9},
  [2387] = {.lex_state = 5, .external_lex_state = 2},
  [2388] = {.lex_state = 5, .external_lex_state = 2},
  [2389] = {.lex_state = 5, .external_lex_state = 2},
  [2390] = {.lex_state = 5, .external_lex_state = 2},
  [2391] = {.lex_state = 5, .external_lex_state = 2},
  [2392] = {.lex_state = 9},
  [2393] = {.lex_state = 5, .external_lex_state = 2},
  [2394] = {.lex_state = 9},
  [2395] = {.lex_state = 75},
  [2396] = {.lex_state = 5, .external_lex_state = 2},
  [2397] = {.lex_state = 5, .external_lex_state = 2},
  [2398] = {.lex_state = 5, .external_lex_state = 2},
  [2399] = {.lex_state = 5, .external_lex_state = 2},
  [2400] = {.lex_state = 5, .external_lex_state = 2},
  [2401] = {.lex_state = 5, .external_lex_state = 2},
  [2402] = {.lex_state = 9},
  [2403] = {.lex_state = 5, .external_lex_state = 2},
  [2404] = {.lex_state = 9},
  [2405] = {.lex_state = 5, .external_lex_state = 2},
  [2406] = {.lex_state = 5, .external_lex_state = 2},
  [2407] = {.lex_state = 9},
  [2408] = {.lex_state = 5, .external_lex_state = 3},
  [2409] = {.lex_state = 5, .external_lex_state = 2},
  [2410] = {.lex_state = 5, .external_lex_state = 2},
  [2411] = {.lex_state = 5, .external_lex_state = 2},
  [2412] = {.lex_state = 5, .external_lex_state = 2},
  [2413] = {.lex_state = 9},
  [2414] = {.lex_state = 5, .external_lex_state = 2},
  [2415] = {.lex_state = 5, .external_lex_state = 3},
  [2416] = {.lex_state = 5, .external_lex_state = 2},
  [2417] = {.lex_state = 5, .external_lex_state = 2},
  [2418] = {.lex_state = 75},
  [2419] = {.lex_state = 9},
  [2420] = {.lex_state = 75},
  [2421] = {.lex_state = 75},
  [2422] = {.lex_state = 75},
  [2423] = {.lex_state = 3},
  [2424] = {.lex_state = 75},
  [2425] = {.lex_state = 9},
  [2426] = {.lex_state = 12},
  [2427] = {.lex_state = 75},
  [2428] = {.lex_state = 3},
  [2429] = {.lex_state = 5, .external_lex_state = 2},
  [2430] = {.lex_state = 75},
  [2431] = {.lex_state = 5, .external_lex_state = 2},
  [2432] = {.lex_state = 5, .external_lex_state = 2},
  [2433] = {.lex_state = 5, .external_lex_state = 2},
  [2434] = {.lex_state = 12},
  [2435] = {.lex_state = 75},
  [2436] = {.lex_state = 75},
  [2437] = {.lex_state = 75},
  [2438] = {.lex_state = 75},
  [2439] = {.lex_state = 6, .external_lex_state = 2},
  [2440] = {.lex_state = 5, .external_lex_state = 2},
  [2441] = {.lex_state = 75},
  [2442] = {.lex_state = 75},
  [2443] = {.lex_state = 5, .external_lex_state = 2},
  [2444] = {.lex_state = 75},
  [2445] = {.lex_state = 5, .external_lex_state = 2},
  [2446] = {.lex_state = 75},
  [2447] = {.lex_state = 9},
  [2448] = {.lex_state = 9},
  [2449] = {.lex_state = 12},
  [2450] = {.lex_state = 75},
  [2451] = {.lex_state = 75},
  [2452] = {.lex_state = 12},
  [2453] = {.lex_state = 12},
  [2454] = {.lex_state = 75},
  [2455] = {.lex_state = 12},
  [2456] = {.lex_state = 9},
  [2457] = {.lex_state = 9},
  [2458] = {.lex_state = 9},
  [2459] = {.lex_state = 75},
  [2460] = {.lex_state = 9},
  [2461] = {.lex_state = 9},
  [2462] = {.lex_state = 9},
  [2463] = {.lex_state = 9},
  [2464] = {.lex_state = 75},
  [2465] = {.lex_state = 9},
  [2466] = {.lex_state = 9},
  [2467] = {.lex_state = 9},
  [2468] = {.lex_state = 9},
  [2469] = {.lex_state = 75, .external_lex_state = 4},
  [2470] = {.lex_state = 75},
  [2471] = {.lex_state = 75},
  [2472] = {.lex_state = 75, .external_lex_state = 4},
  [2473] = {.lex_state = 9},
  [2474] = {.lex_state = 75},
  [2475] = {.lex_state = 75, .external_lex_state = 4},
  [2476] = {.lex_state = 9},
  [2477] = {.lex_state = 9},
  [2478] = {.lex_state = 75},
  [2479] = {.lex_state = 75},
  [2480] = {.lex_state = 75},
  [2481] = {.lex_state = 9},
  [2482] = {.lex_state = 75, .external_lex_state = 4},
  [2483] = {.lex_state = 9},
  [2484] = {.lex_state = 75},
  [2485] = {.lex_state = 75},
  [2486] = {.lex_state = 75},
  [2487] = {.lex_state = 75},
  [2488] = {.lex_state = 75},
  [2489] = {.lex_state = 75},
  [2490] = {.lex_state = 75, .external_lex_state = 4},
  [2491] = {.lex_state = 75},
  [2492] = {.lex_state = 75, .external_lex_state = 4},
  [2493] = {.lex_state = 75},
  [2494] = {.lex_state = 75},
  [2495] = {.lex_state = 75},
  [2496] = {.lex_state = 75},
  [2497] = {.lex_state = 75},
  [2498] = {.lex_state = 75},
  [2499] = {.lex_state = 75},
  [2500] = {.lex_state = 75},
  [2501] = {.lex_state = 75},
  [2502] = {.lex_state = 75},
  [2503] = {.lex_state = 75},
  [2504] = {.lex_state = 75},
  [2505] = {.lex_state = 75},
  [2506] = {.lex_state = 75},
  [2507] = {.lex_state = 75},
  [2508] = {.lex_state = 75},
  [2509] = {.lex_state = 75},
  [2510] = {.lex_state = 75, .external_lex_state = 4},
  [2511] = {.lex_state = 75, .external_lex_state = 4},
  [2512] = {.lex_state = 75},
  [2513] = {.lex_state = 75},
  [2514] = {.lex_state = 75, .external_lex_state = 4},
  [2515] = {.lex_state = 75},
  [2516] = {.lex_state = 75},
  [2517] = {.lex_state = 75},
  [2518] = {.lex_state = 75},
  [2519] = {.lex_state = 75, .external_lex_state = 4},
  [2520] = {.lex_state = 75},
  [2521] = {.lex_state = 75, .external_lex_state = 4},
  [2522] = {.lex_state = 75, .external_lex_state = 4},
  [2523] = {.lex_state = 75},
  [2524] = {.lex_state = 75},
  [2525] = {.lex_state = 75},
  [2526] = {.lex_state = 9},
  [2527] = {.lex_state = 75},
  [2528] = {.lex_state = 75},
  [2529] = {.lex_state = 75},
  [2530] = {.lex_state = 9},
  [2531] = {.lex_state = 75},
  [2532] = {.lex_state = 75},
  [2533] = {.lex_state = 75},
  [2534] = {.lex_state = 75},
  [2535] = {.lex_state = 75, .external_lex_state = 4},
  [2536] = {.lex_state = 75},
  [2537] = {.lex_state = 75},
  [2538] = {.lex_state = 75},
  [2539] = {.lex_state = 75},
  [2540] = {.lex_state = 75},
  [2541] = {.lex_state = 75},
  [2542] = {.lex_state = 75},
  [2543] = {.lex_state = 75},
  [2544] = {.lex_state = 75, .external_lex_state = 4},
  [2545] = {.lex_state = 75},
  [2546] = {.lex_state = 75},
  [2547] = {.lex_state = 75},
  [2548] = {.lex_state = 75},
  [2549] = {.lex_state = 75},
  [2550] = {.lex_state = 75},
  [2551] = {.lex_state = 75},
  [2552] = {.lex_state = 75},
  [2553] = {.lex_state = 75},
  [2554] = {.lex_state = 75},
  [2555] = {.lex_state = 75},
  [2556] = {.lex_state = 75},
  [2557] = {.lex_state = 75},
  [2558] = {.lex_state = 75},
  [2559] = {.lex_state = 75},
  [2560] = {.lex_state = 75},
  [2561] = {.lex_state = 75},
  [2562] = {.lex_state = 75},
  [2563] = {.lex_state = 75},
  [2564] = {.lex_state = 75},
  [2565] = {.lex_state = 75},
  [2566] = {.lex_state = 75},
  [2567] = {.lex_state = 75},
  [2568] = {.lex_state = 75},
  [2569] = {.lex_state = 75},
  [2570] = {.lex_state = 75},
  [2571] = {.lex_state = 75},
  [2572] = {.lex_state = 75},
  [2573] = {.lex_state = 75},
  [2574] = {.lex_state = 75},
  [2575] = {.lex_state = 75},
  [2576] = {.lex_state = 75},
  [2577] = {.lex_state = 75},
  [2578] = {.lex_state = 75},
  [2579] = {.lex_state = 75},
  [2580] = {.lex_state = 75},
  [2581] = {.lex_state = 75},
  [2582] = {.lex_state = 75},
  [2583] = {.lex_state = 75},
  [2584] = {.lex_state = 75},
  [2585] = {.lex_state = 75},
  [2586] = {.lex_state = 75},
  [2587] = {.lex_state = 75},
  [2588] = {.lex_state = 75},
  [2589] = {.lex_state = 75},
  [2590] = {.lex_state = 75},
  [2591] = {.lex_state = 75},
  [2592] = {.lex_state = 75},
  [2593] = {.lex_state = 75},
  [2594] = {.lex_state = 75},
  [2595] = {.lex_state = 75},
  [2596] = {.lex_state = 75},
  [2597] = {.lex_state = 75},
  [2598] = {.lex_state = 75},
  [2599] = {.lex_state = 75},
  [2600] = {.lex_state = 75},
  [2601] = {.lex_state = 75},
  [2602] = {.lex_state = 75},
  [2603] = {.lex_state = 75},
  [2604] = {.lex_state = 75},
  [2605] = {.lex_state = 75},
  [2606] = {.lex_state = 75},
  [2607] = {.lex_state = 75},
  [2608] = {.lex_state = 75},
  [2609] = {.lex_state = 75},
  [2610] = {.lex_state = 75},
  [2611] = {.lex_state = 75},
  [2612] = {.lex_state = 75},
  [2613] = {.lex_state = 75},
  [2614] = {.lex_state = 75},
  [2615] = {.lex_state = 75},
  [2616] = {.lex_state = 75},
  [2617] = {.lex_state = 75},
  [2618] = {.lex_state = 75},
  [2619] = {.lex_state = 75},
  [2620] = {.lex_state = 75},
  [2621] = {.lex_state = 75},
  [2622] = {.lex_state = 75},
  [2623] = {.lex_state = 75},
  [2624] = {.lex_state = 75},
  [2625] = {.lex_state = 75},
  [2626] = {.lex_state = 75},
  [2627] = {.lex_state = 75},
  [2628] = {.lex_state = 75},
  [2629] = {.lex_state = 75},
  [2630] = {.lex_state = 75},
  [2631] = {.lex_state = 75},
  [2632] = {.lex_state = 75},
  [2633] = {.lex_state = 75},
  [2634] = {.lex_state = 75},
  [2635] = {.lex_state = 75},
  [2636] = {.lex_state = 75},
  [2637] = {.lex_state = 75},
  [2638] = {.lex_state = 75},
  [2639] = {.lex_state = 75},
  [2640] = {.lex_state = 75},
  [2641] = {.lex_state = 75},
  [2642] = {.lex_state = 75},
  [2643] = {.lex_state = 75},
  [2644] = {.lex_state = 75},
  [2645] = {.lex_state = 75},
  [2646] = {.lex_state = 75},
  [2647] = {.lex_state = 75},
  [2648] = {.lex_state = 75},
  [2649] = {.lex_state = 75},
  [2650] = {.lex_state = 75},
  [2651] = {.lex_state = 75},
  [2652] = {.lex_state = 75},
  [2653] = {.lex_state = 75},
  [2654] = {.lex_state = 75},
  [2655] = {.lex_state = 75},
  [2656] = {.lex_state = 75},
  [2657] = {.lex_state = 75},
  [2658] = {.lex_state = 75},
  [2659] = {.lex_state = 75},
  [2660] = {.lex_state = 75},
  [2661] = {.lex_state = 75},
  [2662] = {.lex_state = 75},
  [2663] = {.lex_state = 75},
  [2664] = {.lex_state = 75},
  [2665] = {.lex_state = 75},
  [2666] = {.lex_state = 75},
  [2667] = {.lex_state = 75},
  [2668] = {.lex_state = 75},
  [2669] = {.lex_state = 75},
  [2670] = {.lex_state = 75},
  [2671] = {.lex_state = 75},
  [2672] = {.lex_state = 75},
  [2673] = {.lex_state = 75},
  [2674] = {.lex_state = 75},
  [2675] = {.lex_state = 75},
  [2676] = {.lex_state = 75},
  [2677] = {.lex_state = 75},
  [2678] = {.lex_state = 75},
  [2679] = {.lex_state = 75},
  [2680] = {.lex_state = 75},
  [2681] = {.lex_state = 75},
  [2682] = {.lex_state = 75},
  [2683] = {.lex_state = 75},
  [2684] = {.lex_state = 75},
  [2685] = {.lex_state = 75},
  [2686] = {.lex_state = 75},
  [2687] = {.lex_state = 75},
  [2688] = {.lex_state = 75},
  [2689] = {.lex_state = 75},
  [2690] = {.lex_state = 75},
  [2691] = {.lex_state = 75},
  [2692] = {.lex_state = 75},
  [2693] = {.lex_state = 75},
  [2694] = {.lex_state = 75},
  [2695] = {.lex_state = 75},
  [2696] = {.lex_state = 75},
  [2697] = {.lex_state = 75},
  [2698] = {.lex_state = 75},
  [2699] = {.lex_state = 75},
  [2700] = {.lex_state = 75},
  [2701] = {.lex_state = 75},
  [2702] = {.lex_state = 75},
  [2703] = {.lex_state = 75},
  [2704] = {.lex_state = 75},
  [2705] = {.lex_state = 75},
  [2706] = {.lex_state = 75},
  [2707] = {.lex_state = 75},
  [2708] = {.lex_state = 75},
  [2709] = {.lex_state = 75},
  [2710] = {.lex_state = 75},
  [2711] = {.lex_state = 75},
  [2712] = {.lex_state = 75},
  [2713] = {.lex_state = 75},
  [2714] = {.lex_state = 75},
  [2715] = {.lex_state = 75},
  [2716] = {.lex_state = 75},
  [2717] = {.lex_state = 75},
  [2718] = {.lex_state = 75},
  [2719] = {.lex_state = 75},
  [2720] = {.lex_state = 75},
  [2721] = {.lex_state = 75},
  [2722] = {.lex_state = 75},
  [2723] = {.lex_state = 75},
  [2724] = {.lex_state = 75},
  [2725] = {.lex_state = 75},
  [2726] = {.lex_state = 75},
  [2727] = {.lex_state = 75},
  [2728] = {.lex_state = 75},
  [2729] = {.lex_state = 75},
  [2730] = {.lex_state = 75},
  [2731] = {.lex_state = 75},
  [2732] = {.lex_state = 75},
  [2733] = {.lex_state = 75},
  [2734] = {.lex_state = 75},
  [2735] = {.lex_state = 75},
  [2736] = {.lex_state = 75},
  [2737] = {.lex_state = 75},
  [2738] = {.lex_state = 75},
  [2739] = {.lex_state = 75},
  [2740] = {.lex_state = 75},
  [2741] = {.lex_state = 75},
  [2742] = {.lex_state = 75},
  [2743] = {.lex_state = 75},
  [2744] = {.lex_state = 75},
  [2745] = {.lex_state = 75},
  [2746] = {.lex_state = 75},
  [2747] = {.lex_state = 3},
  [2748] = {.lex_state = 75},
  [2749] = {.lex_state = 75},
  [2750] = {.lex_state = 75},
  [2751] = {.lex_state = 75},
  [2752] = {.lex_state = 75},
  [2753] = {.lex_state = 75},
  [2754] = {.lex_state = 75},
  [2755] = {.lex_state = 75, .external_lex_state = 4},
  [2756] = {.lex_state = 75},
  [2757] = {.lex_state = 75},
  [2758] = {.lex_state = 75},
  [2759] = {.lex_state = 75},
  [2760] = {.lex_state = 75},
  [2761] = {.lex_state = 75},
  [2762] = {.lex_state = 3},
  [2763] = {.lex_state = 3},
  [2764] = {.lex_state = 75},
  [2765] = {.lex_state = 75},
  [2766] = {.lex_state = 75},
  [2767] = {.lex_state = 75},
  [2768] = {.lex_state = 18},
  [2769] = {.lex_state = 18},
  [2770] = {.lex_state = 18},
  [2771] = {.lex_state = 18},
  [2772] = {.lex_state = 18},
  [2773] = {.lex_state = 18},
  [2774] = {.lex_state = 18},
  [2775] = {.lex_state = 18},
  [2776] = {.lex_state = 18},
  [2777] = {.lex_state = 18},
  [2778] = {.lex_state = 18},
  [2779] = {.lex_state = 18},
  [2780] = {.lex_state = 18},
  [2781] = {.lex_state = 18},
  [2782] = {.lex_state = 18},
  [2783] = {.lex_state = 18},
  [2784] = {.lex_state = 18},
  [2785] = {.lex_state = 18},
  [2786] = {.lex_state = 18},
  [2787] = {.lex_state = 18},
  [2788] = {.lex_state = 18},
  [2789] = {.lex_state = 18},
  [2790] = {.lex_state = 18},
  [2791] = {.lex_state = 18},
  [2792] = {.lex_state = 18},
  [2793] = {.lex_state = 11, .external_lex_state = 4},
  [2794] = {.lex_state = 18},
  [2795] = {.lex_state = 18},
  [2796] = {.lex_state = 18},
  [2797] = {.lex_state = 18},
  [2798] = {.lex_state = 18},
  [2799] = {.lex_state = 18},
  [2800] = {.lex_state = 18},
  [2801] = {.lex_state = 11},
  [2802] = {.lex_state = 18},
  [2803] = {.lex_state = 18},
  [2804] = {.lex_state = 18},
  [2805] = {.lex_state = 18},
  [2806] = {.lex_state = 11, .external_lex_state = 4},
  [2807] = {.lex_state = 18},
  [2808] = {.lex_state = 18},
  [2809] = {.lex_state = 18},
  [2810] = {.lex_state = 18},
  [2811] = {.lex_state = 18},
  [2812] = {.lex_state = 18},
  [2813] = {.lex_state = 18},
  [2814] = {.lex_state = 18},
  [2815] = {.lex_state = 11},
  [2816] = {.lex_state = 9},
  [2817] = {.lex_state = 9},
  [2818] = {.lex_state = 75},
  [2819] = {.lex_state = 75},
  [2820] = {.lex_state = 9},
  [2821] = {.lex_state = 9},
  [2822] = {.lex_state = 75},
  [2823] = {.lex_state = 9},
  [2824] = {.lex_state = 9},
  [2825] = {.lex_state = 9},
  [2826] = {.lex_state = 9},
  [2827] = {.lex_state = 9},
  [2828] = {.lex_state = 9},
  [2829] = {.lex_state = 9},
  [2830] = {.lex_state = 9},
  [2831] = {.lex_state = 9},
  [2832] = {.lex_state = 9},
  [2833] = {.lex_state = 9},
  [2834] = {.lex_state = 9},
  [2835] = {.lex_state = 9},
  [2836] = {.lex_state = 9},
  [2837] = {.lex_state = 9},
  [2838] = {.lex_state = 75},
  [2839] = {.lex_state = 9},
  [2840] = {.lex_state = 9},
  [2841] = {.lex_state = 9},
  [2842] = {.lex_state = 9},
  [2843] = {.lex_state = 9},
  [2844] = {.lex_state = 9},
  [2845] = {.lex_state = 9},
  [2846] = {.lex_state = 9},
  [2847] = {.lex_state = 9},
  [2848] = {.lex_state = 75},
  [2849] = {.lex_state = 75},
  [2850] = {.lex_state = 75},
  [2851] = {.lex_state = 18, .external_lex_state = 4},
  [2852] = {.lex_state = 18, .external_lex_state = 4},
  [2853] = {.lex_state = 9},
  [2854] = {.lex_state = 9},
  [2855] = {.lex_state = 18, .external_lex_state = 4},
  [2856] = {.lex_state = 9},
  [2857] = {.lex_state = 75},
  [2858] = {.lex_state = 9},
  [2859] = {.lex_state = 75},
  [2860] = {.lex_state = 11, .external_lex_state = 4},
  [2861] = {.lex_state = 18, .external_lex_state = 4},
  [2862] = {.lex_state = 75},
  [2863] = {.lex_state = 75},
  [2864] = {.lex_state = 75},
  [2865] = {.lex_state = 75},
  [2866] = {.lex_state = 75},
  [2867] = {.lex_state = 75},
  [2868] = {.lex_state = 11, .external_lex_state = 4},
  [2869] = {.lex_state = 75},
  [2870] = {.lex_state = 75},
  [2871] = {.lex_state = 9},
  [2872] = {.lex_state = 9, .external_lex_state = 4},
  [2873] = {.lex_state = 75},
  [2874] = {.lex_state = 18, .external_lex_state = 4},
  [2875] = {.lex_state = 75},
  [2876] = {.lex_state = 9, .external_lex_state = 4},
  [2877] = {.lex_state = 9},
  [2878] = {.lex_state = 75},
  [2879] = {.lex_state = 75},
  [2880] = {.lex_state = 75},
  [2881] = {.lex_state = 18, .external_lex_state = 4},
  [2882] = {.lex_state = 18, .external_lex_state = 4},
  [2883] = {.lex_state = 75},
  [2884] = {.lex_state = 75},
  [2885] = {.lex_state = 75},
  [2886] = {.lex_state = 18, .external_lex_state = 4},
  [2887] = {.lex_state = 75},
  [2888] = {.lex_state = 18, .external_lex_state = 4},
  [2889] = {.lex_state = 75},
  [2890] = {.lex_state = 75},
  [2891] = {.lex_state = 75},
  [2892] = {.lex_state = 18, .external_lex_state = 4},
  [2893] = {.lex_state = 18, .external_lex_state = 4},
  [2894] = {.lex_state = 75},
  [2895] = {.lex_state = 18, .external_lex_state = 4},
  [2896] = {.lex_state = 18, .external_lex_state = 4},
  [2897] = {.lex_state = 18, .external_lex_state = 4},
  [2898] = {.lex_state = 18, .external_lex_state = 4},
  [2899] = {.lex_state = 18, .external_lex_state = 4},
  [2900] = {.lex_state = 18, .external_lex_state = 4},
  [2901] = {.lex_state = 18, .external_lex_state = 4},
  [2902] = {.lex_state = 9},
  [2903] = {.lex_state = 9, .external_lex_state = 4},
  [2904] = {.lex_state = 9},
  [2905] = {.lex_state = 9},
  [2906] = {.lex_state = 9, .external_lex_state = 4},
  [2907] = {.lex_state = 18, .external_lex_state = 4},
  [2908] = {.lex_state = 75},
  [2909] = {.lex_state = 18, .external_lex_state = 4},
  [2910] = {.lex_state = 18, .external_lex_state = 4},
  [2911] = {.lex_state = 18, .external_lex_state = 4},
  [2912] = {.lex_state = 18, .external_lex_state = 4},
  [2913] = {.lex_state = 18, .external_lex_state = 4},
  [2914] = {.lex_state = 18, .external_lex_state = 4},
  [2915] = {.lex_state = 18, .external_lex_state = 4},
  [2916] = {.lex_state = 18, .external_lex_state = 4},
  [2917] = {.lex_state = 18, .external_lex_state = 4},
  [2918] = {.lex_state = 18, .external_lex_state = 4},
  [2919] = {.lex_state = 18, .external_lex_state = 4},
  [2920] = {.lex_state = 18, .external_lex_state = 4},
  [2921] = {.lex_state = 18, .external_lex_state = 4},
  [2922] = {.lex_state = 75},
  [2923] = {.lex_state = 18, .external_lex_state = 4},
  [2924] = {.lex_state = 18, .external_lex_state = 4},
  [2925] = {.lex_state = 9, .external_lex_state = 4},
  [2926] = {.lex_state = 75},
  [2927] = {.lex_state = 9, .external_lex_state = 4},
  [2928] = {.lex_state = 75},
  [2929] = {.lex_state = 75},
  [2930] = {.lex_state = 9},
  [2931] = {.lex_state = 75},
  [2932] = {.lex_state = 75},
  [2933] = {.lex_state = 9},
  [2934] = {.lex_state = 75},
  [2935] = {.lex_state = 18, .external_lex_state = 4},
  [2936] = {.lex_state = 75},
  [2937] = {.lex_state = 75},
  [2938] = {.lex_state = 75},
  [2939] = {.lex_state = 9, .external_lex_state = 4},
  [2940] = {.lex_state = 75},
  [2941] = {.lex_state = 18, .external_lex_state = 4},
  [2942] = {.lex_state = 18, .external_lex_state = 4},
  [2943] = {.lex_state = 75},
  [2944] = {.lex_state = 75},
  [2945] = {.lex_state = 75},
  [2946] = {.lex_state = 75},
  [2947] = {.lex_state = 75},
  [2948] = {.lex_state = 75},
  [2949] = {.lex_state = 75},
  [2950] = {.lex_state = 11, .external_lex_state = 5},
  [2951] = {.lex_state = 18, .external_lex_state = 4},
  [2952] = {.lex_state = 18, .external_lex_state = 4},
  [2953] = {.lex_state = 9, .external_lex_state = 4},
  [2954] = {.lex_state = 11},
  [2955] = {.lex_state = 9, .external_lex_state = 4},
  [2956] = {.lex_state = 9, .external_lex_state = 4},
  [2957] = {.lex_state = 18, .external_lex_state = 5},
  [2958] = {.lex_state = 18, .external_lex_state = 4},
  [2959] = {.lex_state = 9, .external_lex_state = 4},
  [2960] = {.lex_state = 9, .external_lex_state = 4},
  [2961] = {.lex_state = 18, .external_lex_state = 4},
  [2962] = {.lex_state = 18, .external_lex_state = 5},
  [2963] = {.lex_state = 18, .external_lex_state = 5},
  [2964] = {.lex_state = 9, .external_lex_state = 4},
  [2965] = {.lex_state = 9, .external_lex_state = 4},
  [2966] = {.lex_state = 9, .external_lex_state = 4},
  [2967] = {.lex_state = 18, .external_lex_state = 4},
  [2968] = {.lex_state = 9, .external_lex_state = 4},
  [2969] = {.lex_state = 9, .external_lex_state = 4},
  [2970] = {.lex_state = 18, .external_lex_state = 4},
  [2971] = {.lex_state = 9, .external_lex_state = 4},
  [2972] = {.lex_state = 18, .external_lex_state = 4},
  [2973] = {.lex_state = 11, .external_lex_state = 4},
  [2974] = {.lex_state = 9, .external_lex_state = 4},
  [2975] = {.lex_state = 18, .external_lex_state = 5},
  [2976] = {.lex_state = 18, .external_lex_state = 5},
  [2977] = {.lex_state = 18, .external_lex_state = 5},
  [2978] = {.lex_state = 18, .external_lex_state = 5},
  [2979] = {.lex_state = 18, .external_lex_state = 5},
  [2980] = {.lex_state = 9, .external_lex_state = 4},
  [2981] = {.lex_state = 9, .external_lex_state = 4},
  [2982] = {.lex_state = 9, .external_lex_state = 4},
  [2983] = {.lex_state = 9, .external_lex_state = 4},
  [2984] = {.lex_state = 18, .external_lex_state = 5},
  [2985] = {.lex_state = 11},
  [2986] = {.lex_state = 9, .external_lex_state = 4},
  [2987] = {.lex_state = 18, .external_lex_state = 5},
  [2988] = {.lex_state = 18, .external_lex_state = 5},
  [2989] = {.lex_state = 9, .external_lex_state = 4},
  [2990] = {.lex_state = 9, .external_lex_state = 4},
  [2991] = {.lex_state = 9, .external_lex_state = 4},
  [2992] = {.lex_state = 18, .external_lex_state = 5},
  [2993] = {.lex_state = 18, .external_lex_state = 5},
  [2994] = {.lex_state = 9, .external_lex_state = 4},
  [2995] = {.lex_state = 18, .external_lex_state = 5},
  [2996] = {.lex_state = 9, .external_lex_state = 4},
  [2997] = {.lex_state = 18, .external_lex_state = 5},
  [2998] = {.lex_state = 9, .external_lex_state = 4},
  [2999] = {.lex_state = 9, .external_lex_state = 4},
  [3000] = {.lex_state = 9, .external_lex_state = 4},
  [3001] = {.lex_state = 9, .external_lex_state = 4},
  [3002] = {.lex_state = 18, .external_lex_state = 5},
  [3003] = {.lex_state = 18, .external_lex_state = 5},
  [3004] = {.lex_state = 18, .external_lex_state = 5},
  [3005] = {.lex_state = 18, .external_lex_state = 5},
  [3006] = {.lex_state = 18, .external_lex_state = 5},
  [3007] = {.lex_state = 18, .external_lex_state = 5},
  [3008] = {.lex_state = 18, .external_lex_state = 5},
  [3009] = {.lex_state = 18, .external_lex_state = 5},
  [3010] = {.lex_state = 9, .external_lex_state = 4},
  [3011] = {.lex_state = 9, .external_lex_state = 4},
  [3012] = {.lex_state = 18, .external_lex_state = 5},
  [3013] = {.lex_state = 18, .external_lex_state = 5},
  [3014] = {.lex_state = 18, .external_lex_state = 5},
  [3015] = {.lex_state = 18, .external_lex_state = 5},
  [3016] = {.lex_state = 18, .external_lex_state = 5},
  [3017] = {.lex_state = 18, .external_lex_state = 5},
  [3018] = {.lex_state = 18, .external_lex_state = 5},
  [3019] = {.lex_state = 18, .external_lex_state = 5},
  [3020] = {.lex_state = 18, .external_lex_state = 5},
  [3021] = {.lex_state = 18, .external_lex_state = 5},
  [3022] = {.lex_state = 18, .external_lex_state = 5},
  [3023] = {.lex_state = 18, .external_lex_state = 5},
  [3024] = {.lex_state = 9, .external_lex_state = 4},
  [3025] = {.lex_state = 9, .external_lex_state = 4},
  [3026] = {.lex_state = 18, .external_lex_state = 5},
  [3027] = {.lex_state = 18, .external_lex_state = 5},
  [3028] = {.lex_state = 9, .external_lex_state = 4},
  [3029] = {.lex_state = 9, .external_lex_state = 4},
  [3030] = {.lex_state = 11, .external_lex_state = 5},
  [3031] = {.lex_state = 9, .external_lex_state = 4},
  [3032] = {.lex_state = 9, .external_lex_state = 4},
  [3033] = {.lex_state = 9, .external_lex_state = 4},
  [3034] = {.lex_state = 9, .external_lex_state = 4},
  [3035] = {.lex_state = 9, .external_lex_state = 5},
  [3036] = {.lex_state = 9, .external_lex_state = 4},
  [3037] = {.lex_state = 9, .external_lex_state = 4},
  [3038] = {.lex_state = 9, .external_lex_state = 4},
  [3039] = {.lex_state = 11, .external_lex_state = 5},
  [3040] = {.lex_state = 9, .external_lex_state = 4},
  [3041] = {.lex_state = 9, .external_lex_state = 4},
  [3042] = {.lex_state = 9, .external_lex_state = 4},
  [3043] = {.lex_state = 9, .external_lex_state = 4},
  [3044] = {.lex_state = 18, .external_lex_state = 5},
  [3045] = {.lex_state = 9, .external_lex_state = 4},
  [3046] = {.lex_state = 9, .external_lex_state = 4},
  [3047] = {.lex_state = 9, .external_lex_state = 4},
  [3048] = {.lex_state = 9, .external_lex_state = 4},
  [3049] = {.lex_state = 9, .external_lex_state = 4},
  [3050] = {.lex_state = 9, .external_lex_state = 4},
  [3051] = {.lex_state = 9, .external_lex_state = 4},
  [3052] = {.lex_state = 9, .external_lex_state = 4},
  [3053] = {.lex_state = 9, .external_lex_state = 4},
  [3054] = {.lex_state = 9, .external_lex_state = 4},
  [3055] = {.lex_state = 18, .external_lex_state = 5},
  [3056] = {.lex_state = 9, .external_lex_state = 4},
  [3057] = {.lex_state = 9, .external_lex_state = 4},
  [3058] = {.lex_state = 9, .external_lex_state = 4},
  [3059] = {.lex_state = 9, .external_lex_state = 4},
  [3060] = {.lex_state = 9, .external_lex_state = 4},
  [3061] = {.lex_state = 9, .external_lex_state = 4},
  [3062] = {.lex_state = 9, .external_lex_state = 4},
  [3063] = {.lex_state = 18, .external_lex_state = 5},
  [3064] = {.lex_state = 9, .external_lex_state = 4},
  [3065] = {.lex_state = 9, .external_lex_state = 4},
  [3066] = {.lex_state = 9, .external_lex_state = 4},
  [3067] = {.lex_state = 9, .external_lex_state = 4},
  [3068] = {.lex_state = 9, .external_lex_state = 4},
  [3069] = {.lex_state = 9, .external_lex_state = 4},
  [3070] = {.lex_state = 9, .external_lex_state = 4},
  [3071] = {.lex_state = 9, .external_lex_state = 4},
  [3072] = {.lex_state = 18, .external_lex_state = 5},
  [3073] = {.lex_state = 18, .external_lex_state = 5},
  [3074] = {.lex_state = 18, .external_lex_state = 5},
  [3075] = {.lex_state = 9, .external_lex_state = 4},
  [3076] = {.lex_state = 18, .external_lex_state = 5},
  [3077] = {.lex_state = 9, .external_lex_state = 4},
  [3078] = {.lex_state = 9, .external_lex_state = 4},
  [3079] = {.lex_state = 9, .external_lex_state = 4},
  [3080] = {.lex_state = 9, .external_lex_state = 4},
  [3081] = {.lex_state = 9, .external_lex_state = 4},
  [3082] = {.lex_state = 9, .external_lex_state = 4},
  [3083] = {.lex_state = 9, .external_lex_state = 4},
  [3084] = {.lex_state = 9, .external_lex_state = 4},
  [3085] = {.lex_state = 9, .external_lex_state = 4},
  [3086] = {.lex_state = 9, .external_lex_state = 4},
  [3087] = {.lex_state = 9, .external_lex_state = 4},
  [3088] = {.lex_state = 9, .external_lex_state = 4},
  [3089] = {.lex_state = 9, .external_lex_state = 4},
  [3090] = {.lex_state = 19},
  [3091] = {.lex_state = 9},
  [3092] = {.lex_state = 9},
  [3093] = {.lex_state = 9},
  [3094] = {.lex_state = 9},
  [3095] = {.lex_state = 3},
  [3096] = {.lex_state = 9},
  [3097] = {.lex_state = 9, .external_lex_state = 4},
  [3098] = {.lex_state = 9, .external_lex_state = 4},
  [3099] = {.lex_state = 9, .external_lex_state = 4},
  [3100] = {.lex_state = 11},
  [3101] = {.lex_state = 9},
  [3102] = {.lex_state = 9},
  [3103] = {.lex_state = 9},
  [3104] = {.lex_state = 9, .external_lex_state = 4},
  [3105] = {.lex_state = 9, .external_lex_state = 5},
  [3106] = {.lex_state = 9, .external_lex_state = 4},
  [3107] = {.lex_state = 9},
  [3108] = {.lex_state = 9},
  [3109] = {.lex_state = 9},
  [3110] = {.lex_state = 9},
  [3111] = {.lex_state = 9, .external_lex_state = 4},
  [3112] = {.lex_state = 9},
  [3113] = {.lex_state = 9},
  [3114] = {.lex_state = 9},
  [3115] = {.lex_state = 9, .external_lex_state = 4},
  [3116] = {.lex_state = 9},
  [3117] = {.lex_state = 9, .external_lex_state = 5},
  [3118] = {.lex_state = 9, .external_lex_state = 5},
  [3119] = {.lex_state = 10},
  [3120] = {.lex_state = 10},
  [3121] = {.lex_state = 9, .external_lex_state = 5},
  [3122] = {.lex_state = 9, .external_lex_state = 5},
  [3123] = {.lex_state = 9, .external_lex_state = 5},
  [3124] = {.lex_state = 9, .external_lex_state = 5},
  [3125] = {.lex_state = 9, .external_lex_state = 5},
  [3126] = {.lex_state = 9, .external_lex_state = 5},
  [3127] = {.lex_state = 9, .external_lex_state = 5},
  [3128] = {.lex_state = 9, .external_lex_state = 5},
  [3129] = {.lex_state = 9, .external_lex_state = 5},
  [3130] = {.lex_state = 9, .external_lex_state = 5},
  [3131] = {.lex_state = 9, .external_lex_state = 5},
  [3132] = {.lex_state = 9, .external_lex_state = 5},
  [3133] = {.lex_state = 9, .external_lex_state = 5},
  [3134] = {.lex_state = 9, .external_lex_state = 5},
  [3135] = {.lex_state = 9, .external_lex_state = 5},
  [3136] = {.lex_state = 9, .external_lex_state = 5},
  [3137] = {.lex_state = 9, .external_lex_state = 5},
  [3138] = {.lex_state = 9, .external_lex_state = 5},
  [3139] = {.lex_state = 9, .external_lex_state = 5},
  [3140] = {.lex_state = 9, .external_lex_state = 5},
  [3141] = {.lex_state = 9, .external_lex_state = 5},
  [3142] = {.lex_state = 9, .external_lex_state = 5},
  [3143] = {.lex_state = 9, .external_lex_state = 5},
  [3144] = {.lex_state = 9, .external_lex_state = 5},
  [3145] = {.lex_state = 9, .external_lex_state = 5},
  [3146] = {.lex_state = 9, .external_lex_state = 5},
  [3147] = {.lex_state = 9, .external_lex_state = 5},
  [3148] = {.lex_state = 9, .external_lex_state = 5},
  [3149] = {.lex_state = 9, .external_lex_state = 5},
  [3150] = {.lex_state = 9},
  [3151] = {.lex_state = 9, .external_lex_state = 5},
  [3152] = {.lex_state = 9},
  [3153] = {.lex_state = 9},
  [3154] = {.lex_state = 9},
  [3155] = {.lex_state = 9},
  [3156] = {.lex_state = 9},
  [3157] = {.lex_state = 3},
  [3158] = {.lex_state = 9, .external_lex_state = 5},
  [3159] = {.lex_state = 9},
  [3160] = {.lex_state = 9},
  [3161] = {.lex_state = 9, .external_lex_state = 5},
  [3162] = {.lex_state = 9},
  [3163] = {.lex_state = 9, .external_lex_state = 5},
  [3164] = {.lex_state = 9},
  [3165] = {.lex_state = 9},
  [3166] = {.lex_state = 9, .external_lex_state = 5},
  [3167] = {.lex_state = 9},
  [3168] = {.lex_state = 9, .external_lex_state = 4},
  [3169] = {.lex_state = 9},
  [3170] = {.lex_state = 9},
  [3171] = {.lex_state = 9, .external_lex_state = 5},
  [3172] = {.lex_state = 9},
  [3173] = {.lex_state = 9},
  [3174] = {.lex_state = 9},
  [3175] = {.lex_state = 9},
  [3176] = {.lex_state = 75, .external_lex_state = 4},
  [3177] = {.lex_state = 9, .external_lex_state = 5},
  [3178] = {.lex_state = 9, .external_lex_state = 5},
  [3179] = {.lex_state = 75, .external_lex_state = 4},
  [3180] = {.lex_state = 9},
  [3181] = {.lex_state = 9},
  [3182] = {.lex_state = 9, .external_lex_state = 5},
  [3183] = {.lex_state = 9},
  [3184] = {.lex_state = 9},
  [3185] = {.lex_state = 9},
  [3186] = {.lex_state = 9, .external_lex_state = 5},
  [3187] = {.lex_state = 9, .external_lex_state = 5},
  [3188] = {.lex_state = 9, .external_lex_state = 4},
  [3189] = {.lex_state = 9},
  [3190] = {.lex_state = 9},
  [3191] = {.lex_state = 9, .external_lex_state = 5},
  [3192] = {.lex_state = 9},
  [3193] = {.lex_state = 9},
  [3194] = {.lex_state = 9},
  [3195] = {.lex_state = 9},
  [3196] = {.lex_state = 9, .external_lex_state = 5},
  [3197] = {.lex_state = 9, .external_lex_state = 5},
  [3198] = {.lex_state = 9, .external_lex_state = 5},
  [3199] = {.lex_state = 9},
  [3200] = {.lex_state = 3, .external_lex_state = 4},
  [3201] = {.lex_state = 9},
  [3202] = {.lex_state = 9, .external_lex_state = 5},
  [3203] = {.lex_state = 9, .external_lex_state = 5},
  [3204] = {.lex_state = 9, .external_lex_state = 4},
  [3205] = {.lex_state = 11},
  [3206] = {.lex_state = 9, .external_lex_state = 4},
  [3207] = {.lex_state = 9},
  [3208] = {.lex_state = 9},
  [3209] = {.lex_state = 10},
  [3210] = {.lex_state = 9},
  [3211] = {.lex_state = 9},
  [3212] = {.lex_state = 9},
  [3213] = {.lex_state = 9},
  [3214] = {.lex_state = 9, .external_lex_state = 5},
  [3215] = {.lex_state = 16, .external_lex_state = 6},
  [3216] = {.lex_state = 9, .external_lex_state = 4},
  [3217] = {.lex_state = 16, .external_lex_state = 6},
  [3218] = {.lex_state = 3, .external_lex_state = 4},
  [3219] = {.lex_state = 9, .external_lex_state = 4},
  [3220] = {.lex_state = 16, .external_lex_state = 6},
  [3221] = {.lex_state = 9},
  [3222] = {.lex_state = 16, .external_lex_state = 6},
  [3223] = {.lex_state = 9},
  [3224] = {.lex_state = 16, .external_lex_state = 6},
  [3225] = {.lex_state = 9, .external_lex_state = 4},
  [3226] = {.lex_state = 16, .external_lex_state = 6},
  [3227] = {.lex_state = 16, .external_lex_state = 6},
  [3228] = {.lex_state = 9},
  [3229] = {.lex_state = 9},
  [3230] = {.lex_state = 9, .external_lex_state = 5},
  [3231] = {.lex_state = 16, .external_lex_state = 6},
  [3232] = {.lex_state = 9},
  [3233] = {.lex_state = 9, .external_lex_state = 4},
  [3234] = {.lex_state = 9},
  [3235] = {.lex_state = 9},
  [3236] = {.lex_state = 9},
  [3237] = {.lex_state = 9},
  [3238] = {.lex_state = 9},
  [3239] = {.lex_state = 9},
  [3240] = {.lex_state = 9},
  [3241] = {.lex_state = 9},
  [3242] = {.lex_state = 10},
  [3243] = {.lex_state = 3},
  [3244] = {.lex_state = 9},
  [3245] = {.lex_state = 9},
  [3246] = {.lex_state = 9},
  [3247] = {.lex_state = 75, .external_lex_state = 4},
  [3248] = {.lex_state = 0, .external_lex_state = 4},
  [3249] = {.lex_state = 9, .external_lex_state = 4},
  [3250] = {.lex_state = 9},
  [3251] = {.lex_state = 9},
  [3252] = {.lex_state = 75, .external_lex_state = 4},
  [3253] = {.lex_state = 9},
  [3254] = {.lex_state = 9, .external_lex_state = 4},
  [3255] = {.lex_state = 9, .external_lex_state = 4},
  [3256] = {.lex_state = 9},
  [3257] = {.lex_state = 75, .external_lex_state = 4},
  [3258] = {.lex_state = 9},
  [3259] = {.lex_state = 9, .external_lex_state = 4},
  [3260] = {.lex_state = 75, .external_lex_state = 4},
  [3261] = {.lex_state = 75, .external_lex_state = 4},
  [3262] = {.lex_state = 9},
  [3263] = {.lex_state = 75, .external_lex_state = 4},
  [3264] = {.lex_state = 9},
  [3265] = {.lex_state = 3},
  [3266] = {.lex_state = 0, .external_lex_state = 4},
  [3267] = {.lex_state = 9},
  [3268] = {.lex_state = 9},
  [3269] = {.lex_state = 9},
  [3270] = {.lex_state = 9},
  [3271] = {.lex_state = 0, .external_lex_state = 4},
  [3272] = {.lex_state = 0, .external_lex_state = 4},
  [3273] = {.lex_state = 9, .external_lex_state = 4},
  [3274] = {.lex_state = 9},
  [3275] = {.lex_state = 9, .external_lex_state = 4},
  [3276] = {.lex_state = 9, .external_lex_state = 4},
  [3277] = {.lex_state = 9, .external_lex_state = 4},
  [3278] = {.lex_state = 9},
  [3279] = {.lex_state = 9, .external_lex_state = 4},
  [3280] = {.lex_state = 9, .external_lex_state = 4},
  [3281] = {.lex_state = 9, .external_lex_state = 4},
  [3282] = {.lex_state = 9, .external_lex_state = 4},
  [3283] = {.lex_state = 9},
  [3284] = {.lex_state = 9, .external_lex_state = 4},
  [3285] = {.lex_state = 9},
  [3286] = {.lex_state = 9},
  [3287] = {.lex_state = 9},
  [3288] = {.lex_state = 9},
  [3289] = {.lex_state = 9},
  [3290] = {.lex_state = 9},
  [3291] = {.lex_state = 9},
  [3292] = {.lex_state = 9, .external_lex_state = 4},
  [3293] = {.lex_state = 9, .external_lex_state = 4},
  [3294] = {.lex_state = 9},
  [3295] = {.lex_state = 9},
  [3296] = {.lex_state = 19},
  [3297] = {.lex_state = 9},
  [3298] = {.lex_state = 9},
  [3299] = {.lex_state = 9, .external_lex_state = 4},
  [3300] = {.lex_state = 9, .external_lex_state = 4},
  [3301] = {.lex_state = 9, .external_lex_state = 4},
  [3302] = {.lex_state = 9, .external_lex_state = 4},
  [3303] = {.lex_state = 3},
  [3304] = {.lex_state = 9},
  [3305] = {.lex_state = 9},
  [3306] = {.lex_state = 9},
  [3307] = {.lex_state = 0, .external_lex_state = 4},
  [3308] = {.lex_state = 9},
  [3309] = {.lex_state = 9},
  [3310] = {.lex_state = 9},
  [3311] = {.lex_state = 9},
  [3312] = {.lex_state = 9, .external_lex_state = 4},
  [3313] = {.lex_state = 0, .external_lex_state = 4},
  [3314] = {.lex_state = 9, .external_lex_state = 4},
  [3315] = {.lex_state = 9, .external_lex_state = 4},
  [3316] = {.lex_state = 9, .external_lex_state = 4},
  [3317] = {.lex_state = 9},
  [3318] = {.lex_state = 9},
  [3319] = {.lex_state = 9},
  [3320] = {.lex_state = 9},
  [3321] = {.lex_state = 9},
  [3322] = {.lex_state = 9, .external_lex_state = 4},
  [3323] = {.lex_state = 9, .external_lex_state = 4},
  [3324] = {.lex_state = 9, .external_lex_state = 4},
  [3325] = {.lex_state = 9},
  [3326] = {.lex_state = 0, .external_lex_state = 4},
  [3327] = {.lex_state = 9},
  [3328] = {.lex_state = 0, .external_lex_state = 4},
  [3329] = {.lex_state = 9},
  [3330] = {.lex_state = 10},
  [3331] = {.lex_state = 3},
  [3332] = {.lex_state = 9, .external_lex_state = 4},
  [3333] = {.lex_state = 9},
  [3334] = {.lex_state = 9},
  [3335] = {.lex_state = 10},
  [3336] = {.lex_state = 0, .external_lex_state = 4},
  [3337] = {.lex_state = 3},
  [3338] = {.lex_state = 9},
  [3339] = {.lex_state = 9},
  [3340] = {.lex_state = 9},
  [3341] = {.lex_state = 9},
  [3342] = {.lex_state = 9},
  [3343] = {.lex_state = 9},
  [3344] = {.lex_state = 9},
  [3345] = {.lex_state = 9},
  [3346] = {.lex_state = 9},
  [3347] = {.lex_state = 0, .external_lex_state = 4},
  [3348] = {.lex_state = 9},
  [3349] = {.lex_state = 9},
  [3350] = {.lex_state = 0, .external_lex_state = 4},
  [3351] = {.lex_state = 75, .external_lex_state = 4},
  [3352] = {.lex_state = 9},
  [3353] = {.lex_state = 75, .external_lex_state = 4},
  [3354] = {.lex_state = 0, .external_lex_state = 4},
  [3355] = {.lex_state = 0, .external_lex_state = 4},
  [3356] = {.lex_state = 19},
  [3357] = {.lex_state = 19},
  [3358] = {.lex_state = 19},
  [3359] = {.lex_state = 19},
  [3360] = {.lex_state = 75},
  [3361] = {.lex_state = 9},
  [3362] = {.lex_state = 9},
  [3363] = {.lex_state = 0, .external_lex_state = 4},
  [3364] = {.lex_state = 0, .external_lex_state = 4},
  [3365] = {.lex_state = 0, .external_lex_state = 4},
  [3366] = {.lex_state = 0, .external_lex_state = 4},
  [3367] = {.lex_state = 9},
  [3368] = {.lex_state = 9, .external_lex_state = 5},
  [3369] = {.lex_state = 9, .external_lex_state = 5},
  [3370] = {.lex_state = 16, .external_lex_state = 6},
  [3371] = {.lex_state = 9, .external_lex_state = 5},
  [3372] = {.lex_state = 9},
  [3373] = {.lex_state = 9, .external_lex_state = 5},
  [3374] = {.lex_state = 9},
  [3375] = {.lex_state = 75},
  [3376] = {.lex_state = 9},
  [3377] = {.lex_state = 75},
  [3378] = {.lex_state = 9, .external_lex_state = 5},
  [3379] = {.lex_state = 0, .external_lex_state = 4},
  [3380] = {.lex_state = 9},
  [3381] = {.lex_state = 16, .external_lex_state = 6},
  [3382] = {.lex_state = 75},
  [3383] = {.lex_state = 0, .external_lex_state = 4},
  [3384] = {.lex_state = 9},
  [3385] = {.lex_state = 9},
  [3386] = {.lex_state = 19},
  [3387] = {.lex_state = 19},
  [3388] = {.lex_state = 9, .external_lex_state = 5},
  [3389] = {.lex_state = 9, .external_lex_state = 5},
  [3390] = {.lex_state = 0, .external_lex_state = 4},
  [3391] = {.lex_state = 9},
  [3392] = {.lex_state = 9, .external_lex_state = 5},
  [3393] = {.lex_state = 9, .external_lex_state = 5},
  [3394] = {.lex_state = 9},
  [3395] = {.lex_state = 9},
  [3396] = {.lex_state = 9},
  [3397] = {.lex_state = 9, .external_lex_state = 5},
  [3398] = {.lex_state = 75},
  [3399] = {.lex_state = 75},
  [3400] = {.lex_state = 9},
  [3401] = {.lex_state = 9},
  [3402] = {.lex_state = 9},
  [3403] = {.lex_state = 9, .external_lex_state = 5},
  [3404] = {.lex_state = 75},
  [3405] = {.lex_state = 75},
  [3406] = {.lex_state = 75},
  [3407] = {.lex_state = 19},
  [3408] = {.lex_state = 19},
  [3409] = {.lex_state = 9},
  [3410] = {.lex_state = 9, .external_lex_state = 5},
  [3411] = {.lex_state = 9},
  [3412] = {.lex_state = 0, .external_lex_state = 4},
  [3413] = {.lex_state = 9, .external_lex_state = 5},
  [3414] = {.lex_state = 9},
  [3415] = {.lex_state = 0, .external_lex_state = 4},
  [3416] = {.lex_state = 0, .external_lex_state = 4},
  [3417] = {.lex_state = 9, .external_lex_state = 5},
  [3418] = {.lex_state = 9},
  [3419] = {.lex_state = 9},
  [3420] = {.lex_state = 9},
  [3421] = {.lex_state = 75},
  [3422] = {.lex_state = 75},
  [3423] = {.lex_state = 9, .external_lex_state = 5},
  [3424] = {.lex_state = 9, .external_lex_state = 5},
  [3425] = {.lex_state = 9},
  [3426] = {.lex_state = 9},
  [3427] = {.lex_state = 9},
  [3428] = {.lex_state = 9},
  [3429] = {.lex_state = 75},
  [3430] = {.lex_state = 9},
  [3431] = {.lex_state = 3},
  [3432] = {.lex_state = 0, .external_lex_state = 4},
  [3433] = {.lex_state = 0, .external_lex_state = 4},
  [3434] = {.lex_state = 9},
  [3435] = {.lex_state = 0, .external_lex_state = 4},
  [3436] = {.lex_state = 0, .external_lex_state = 4},
  [3437] = {.lex_state = 9},
  [3438] = {.lex_state = 9, .external_lex_state = 5},
  [3439] = {.lex_state = 9},
  [3440] = {.lex_state = 75},
  [3441] = {.lex_state = 9, .external_lex_state = 5},
  [3442] = {.lex_state = 9},
  [3443] = {.lex_state = 9},
  [3444] = {.lex_state = 0, .external_lex_state = 4},
  [3445] = {.lex_state = 75},
  [3446] = {.lex_state = 9},
  [3447] = {.lex_state = 16, .external_lex_state = 6},
  [3448] = {.lex_state = 3},
  [3449] = {.lex_state = 0, .external_lex_state = 4},
  [3450] = {.lex_state = 9},
  [3451] = {.lex_state = 9},
  [3452] = {.lex_state = 9},
  [3453] = {.lex_state = 9},
  [3454] = {.lex_state = 9, .external_lex_state = 5},
  [3455] = {.lex_state = 9, .external_lex_state = 5},
  [3456] = {.lex_state = 9},
  [3457] = {.lex_state = 9},
  [3458] = {.lex_state = 9, .external_lex_state = 5},
  [3459] = {.lex_state = 10},
  [3460] = {.lex_state = 75},
  [3461] = {.lex_state = 3},
  [3462] = {.lex_state = 0, .external_lex_state = 4},
  [3463] = {.lex_state = 9},
  [3464] = {.lex_state = 0, .external_lex_state = 4},
  [3465] = {.lex_state = 9},
  [3466] = {.lex_state = 0, .external_lex_state = 4},
  [3467] = {.lex_state = 0, .external_lex_state = 4},
  [3468] = {.lex_state = 0, .external_lex_state = 4},
  [3469] = {.lex_state = 3},
  [3470] = {.lex_state = 9},
  [3471] = {.lex_state = 9, .external_lex_state = 4},
  [3472] = {.lex_state = 75},
  [3473] = {.lex_state = 9, .external_lex_state = 4},
  [3474] = {.lex_state = 19},
  [3475] = {.lex_state = 9},
  [3476] = {.lex_state = 9},
  [3477] = {.lex_state = 9},
  [3478] = {.lex_state = 0, .external_lex_state = 4},
  [3479] = {.lex_state = 0, .external_lex_state = 4},
  [3480] = {.lex_state = 75},
  [3481] = {.lex_state = 9},
  [3482] = {.lex_state = 9},
  [3483] = {.lex_state = 9},
  [3484] = {.lex_state = 9},
  [3485] = {.lex_state = 75},
  [3486] = {.lex_state = 19},
  [3487] = {.lex_state = 16, .external_lex_state = 6},
  [3488] = {.lex_state = 9},
  [3489] = {.lex_state = 75},
  [3490] = {.lex_state = 9, .external_lex_state = 5},
  [3491] = {.lex_state = 75},
  [3492] = {.lex_state = 75},
  [3493] = {.lex_state = 75},
  [3494] = {.lex_state = 9, .external_lex_state = 4},
  [3495] = {.lex_state = 9},
  [3496] = {.lex_state = 9},
  [3497] = {.lex_state = 9},
  [3498] = {.lex_state = 9, .external_lex_state = 5},
  [3499] = {.lex_state = 75},
  [3500] = {.lex_state = 0, .external_lex_state = 4},
  [3501] = {.lex_state = 9, .external_lex_state = 4},
  [3502] = {.lex_state = 0, .external_lex_state = 4},
  [3503] = {.lex_state = 9},
  [3504] = {.lex_state = 75},
  [3505] = {.lex_state = 3, .external_lex_state = 4},
  [3506] = {.lex_state = 75},
  [3507] = {.lex_state = 9, .external_lex_state = 5},
  [3508] = {.lex_state = 9, .external_lex_state = 5},
  [3509] = {.lex_state = 9},
  [3510] = {.lex_state = 9},
  [3511] = {.lex_state = 9},
  [3512] = {.lex_state = 9},
  [3513] = {.lex_state = 9},
  [3514] = {.lex_state = 9, .external_lex_state = 5},
  [3515] = {.lex_state = 9},
  [3516] = {.lex_state = 9},
  [3517] = {.lex_state = 9},
  [3518] = {.lex_state = 9},
  [3519] = {.lex_state = 75},
  [3520] = {.lex_state = 0},
  [3521] = {.lex_state = 9},
  [3522] = {.lex_state = 0, .external_lex_state = 4},
  [3523] = {.lex_state = 9},
  [3524] = {.lex_state = 9},
  [3525] = {.lex_state = 9, .external_lex_state = 5},
  [3526] = {.lex_state = 9},
  [3527] = {.lex_state = 9},
  [3528] = {.lex_state = 0, .external_lex_state = 4},
  [3529] = {.lex_state = 9},
  [3530] = {.lex_state = 9},
  [3531] = {.lex_state = 16, .external_lex_state = 6},
  [3532] = {.lex_state = 9},
  [3533] = {.lex_state = 9},
  [3534] = {.lex_state = 75},
  [3535] = {.lex_state = 9},
  [3536] = {.lex_state = 9},
  [3537] = {.lex_state = 75},
  [3538] = {.lex_state = 9},
  [3539] = {.lex_state = 75, .external_lex_state = 4},
  [3540] = {.lex_state = 9},
  [3541] = {.lex_state = 9},
  [3542] = {.lex_state = 9},
  [3543] = {.lex_state = 9},
  [3544] = {.lex_state = 75},
  [3545] = {.lex_state = 0},
  [3546] = {.lex_state = 0, .external_lex_state = 4},
  [3547] = {.lex_state = 9},
  [3548] = {.lex_state = 9},
  [3549] = {.lex_state = 9},
  [3550] = {.lex_state = 75},
  [3551] = {.lex_state = 75, .external_lex_state = 4},
  [3552] = {.lex_state = 9},
  [3553] = {.lex_state = 75},
  [3554] = {.lex_state = 75},
  [3555] = {.lex_state = 0, .external_lex_state = 4},
  [3556] = {.lex_state = 9, .external_lex_state = 5},
  [3557] = {.lex_state = 9},
  [3558] = {.lex_state = 0, .external_lex_state = 4},
  [3559] = {.lex_state = 75},
  [3560] = {.lex_state = 9, .external_lex_state = 5},
  [3561] = {.lex_state = 0, .external_lex_state = 4},
  [3562] = {.lex_state = 9, .external_lex_state = 4},
  [3563] = {.lex_state = 9},
  [3564] = {.lex_state = 0, .external_lex_state = 4},
  [3565] = {.lex_state = 0, .external_lex_state = 4},
  [3566] = {.lex_state = 9},
  [3567] = {.lex_state = 16, .external_lex_state = 6},
  [3568] = {.lex_state = 9, .external_lex_state = 5},
  [3569] = {.lex_state = 0, .external_lex_state = 4},
  [3570] = {.lex_state = 9},
  [3571] = {.lex_state = 9, .external_lex_state = 5},
  [3572] = {.lex_state = 9},
  [3573] = {.lex_state = 0},
  [3574] = {.lex_state = 0, .external_lex_state = 4},
  [3575] = {.lex_state = 9},
  [3576] = {.lex_state = 75},
  [3577] = {.lex_state = 0},
  [3578] = {.lex_state = 0, .external_lex_state = 4},
  [3579] = {.lex_state = 0, .external_lex_state = 4},
  [3580] = {.lex_state = 0},
  [3581] = {.lex_state = 0, .external_lex_state = 4},
  [3582] = {.lex_state = 0, .external_lex_state = 4},
  [3583] = {.lex_state = 9},
  [3584] = {.lex_state = 9},
  [3585] = {.lex_state = 0, .external_lex_state = 4},
  [3586] = {.lex_state = 0},
  [3587] = {.lex_state = 75},
  [3588] = {.lex_state = 0, .external_lex_state = 4},
  [3589] = {.lex_state = 0, .external_lex_state = 4},
  [3590] = {.lex_state = 0, .external_lex_state = 4},
  [3591] = {.lex_state = 0},
  [3592] = {.lex_state = 0, .external_lex_state = 4},
  [3593] = {.lex_state = 9},
  [3594] = {.lex_state = 9},
  [3595] = {.lex_state = 9, .external_lex_state = 4},
  [3596] = {.lex_state = 0, .external_lex_state = 4},
  [3597] = {.lex_state = 9},
  [3598] = {.lex_state = 0, .external_lex_state = 4},
  [3599] = {.lex_state = 9},
  [3600] = {.lex_state = 9},
  [3601] = {.lex_state = 0, .external_lex_state = 4},
  [3602] = {.lex_state = 75},
  [3603] = {.lex_state = 9},
  [3604] = {.lex_state = 9, .external_lex_state = 5},
  [3605] = {.lex_state = 9, .external_lex_state = 4},
  [3606] = {.lex_state = 0, .external_lex_state = 4},
  [3607] = {.lex_state = 9, .external_lex_state = 4},
  [3608] = {.lex_state = 3, .external_lex_state = 4},
  [3609] = {.lex_state = 9},
  [3610] = {.lex_state = 75},
  [3611] = {.lex_state = 0, .external_lex_state = 4},
  [3612] = {.lex_state = 9},
  [3613] = {.lex_state = 9},
  [3614] = {.lex_state = 0, .external_lex_state = 4},
  [3615] = {.lex_state = 9},
  [3616] = {.lex_state = 9},
  [3617] = {.lex_state = 9},
  [3618] = {.lex_state = 75},
  [3619] = {.lex_state = 9},
  [3620] = {.lex_state = 0, .external_lex_state = 4},
  [3621] = {.lex_state = 9},
  [3622] = {.lex_state = 9},
  [3623] = {.lex_state = 9},
  [3624] = {.lex_state = 9},
  [3625] = {.lex_state = 0},
  [3626] = {.lex_state = 9},
  [3627] = {.lex_state = 16, .external_lex_state = 6},
  [3628] = {.lex_state = 3},
  [3629] = {.lex_state = 9},
  [3630] = {.lex_state = 9},
  [3631] = {.lex_state = 9},
  [3632] = {.lex_state = 9},
  [3633] = {.lex_state = 9},
  [3634] = {.lex_state = 9},
  [3635] = {.lex_state = 9},
  [3636] = {.lex_state = 9, .external_lex_state = 4},
  [3637] = {.lex_state = 0, .external_lex_state = 4},
  [3638] = {.lex_state = 0, .external_lex_state = 4},
  [3639] = {.lex_state = 3},
  [3640] = {.lex_state = 16, .external_lex_state = 6},
  [3641] = {.lex_state = 0, .external_lex_state = 4},
  [3642] = {.lex_state = 9},
  [3643] = {.lex_state = 0, .external_lex_state = 4},
  [3644] = {.lex_state = 16, .external_lex_state = 6},
  [3645] = {.lex_state = 9},
  [3646] = {.lex_state = 9},
  [3647] = {.lex_state = 9},
  [3648] = {.lex_state = 0, .external_lex_state = 4},
  [3649] = {.lex_state = 9},
  [3650] = {.lex_state = 0},
  [3651] = {.lex_state = 0, .external_lex_state = 4},
  [3652] = {.lex_state = 0, .external_lex_state = 4},
  [3653] = {.lex_state = 9},
  [3654] = {.lex_state = 9},
  [3655] = {.lex_state = 0, .external_lex_state = 4},
  [3656] = {.lex_state = 0, .external_lex_state = 4},
  [3657] = {.lex_state = 0, .external_lex_state = 4},
  [3658] = {.lex_state = 0, .external_lex_state = 4},
  [3659] = {.lex_state = 0, .external_lex_state = 4},
  [3660] = {.lex_state = 0, .external_lex_state = 4},
  [3661] = {.lex_state = 9},
  [3662] = {.lex_state = 0, .external_lex_state = 4},
  [3663] = {.lex_state = 9},
  [3664] = {.lex_state = 0, .external_lex_state = 4},
  [3665] = {.lex_state = 9},
  [3666] = {.lex_state = 9},
  [3667] = {.lex_state = 9},
  [3668] = {.lex_state = 9, .external_lex_state = 5},
  [3669] = {.lex_state = 0},
  [3670] = {.lex_state = 75},
  [3671] = {.lex_state = 75},
  [3672] = {.lex_state = 0, .external_lex_state = 4},
  [3673] = {.lex_state = 0, .external_lex_state = 4},
  [3674] = {.lex_state = 0, .external_lex_state = 4},
  [3675] = {.lex_state = 0, .external_lex_state = 4},
  [3676] = {.lex_state = 75},
  [3677] = {.lex_state = 0, .external_lex_state = 4},
  [3678] = {.lex_state = 0, .external_lex_state = 4},
  [3679] = {.lex_state = 0, .external_lex_state = 4},
  [3680] = {.lex_state = 9},
  [3681] = {.lex_state = 0, .external_lex_state = 4},
  [3682] = {.lex_state = 9},
  [3683] = {.lex_state = 9, .external_lex_state = 5},
  [3684] = {.lex_state = 9},
  [3685] = {.lex_state = 9, .external_lex_state = 5},
  [3686] = {.lex_state = 0, .external_lex_state = 4},
  [3687] = {.lex_state = 0, .external_lex_state = 4},
  [3688] = {.lex_state = 0, .external_lex_state = 4},
  [3689] = {.lex_state = 0, .external_lex_state = 4},
  [3690] = {.lex_state = 0, .external_lex_state = 4},
  [3691] = {.lex_state = 0, .external_lex_state = 4},
  [3692] = {.lex_state = 0, .external_lex_state = 4},
  [3693] = {.lex_state = 0, .external_lex_state = 4},
  [3694] = {.lex_state = 9},
  [3695] = {.lex_state = 0, .external_lex_state = 4},
  [3696] = {.lex_state = 0, .external_lex_state = 4},
  [3697] = {.lex_state = 9, .external_lex_state = 4},
  [3698] = {.lex_state = 0, .external_lex_state = 4},
  [3699] = {.lex_state = 0, .external_lex_state = 4},
  [3700] = {.lex_state = 0, .external_lex_state = 4},
  [3701] = {.lex_state = 0, .external_lex_state = 4},
  [3702] = {.lex_state = 0, .external_lex_state = 4},
  [3703] = {.lex_state = 9, .external_lex_state = 5},
  [3704] = {.lex_state = 9},
  [3705] = {.lex_state = 9},
  [3706] = {.lex_state = 16, .external_lex_state = 6},
  [3707] = {.lex_state = 0, .external_lex_state = 4},
  [3708] = {.lex_state = 9},
  [3709] = {.lex_state = 0, .external_lex_state = 4},
  [3710] = {.lex_state = 0, .external_lex_state = 4},
  [3711] = {.lex_state = 0, .external_lex_state = 4},
  [3712] = {.lex_state = 0, .external_lex_state = 4},
  [3713] = {.lex_state = 0, .external_lex_state = 4},
  [3714] = {.lex_state = 0, .external_lex_state = 4},
  [3715] = {.lex_state = 9},
  [3716] = {.lex_state = 9},
  [3717] = {.lex_state = 9},
  [3718] = {.lex_state = 9},
  [3719] = {.lex_state = 0, .external_lex_state = 4},
  [3720] = {.lex_state = 9},
  [3721] = {.lex_state = 0, .external_lex_state = 4},
  [3722] = {.lex_state = 0, .external_lex_state = 4},
  [3723] = {.lex_state = 0, .external_lex_state = 4},
  [3724] = {.lex_state = 9, .external_lex_state = 5},
  [3725] = {.lex_state = 9},
  [3726] = {.lex_state = 0, .external_lex_state = 4},
  [3727] = {.lex_state = 0, .external_lex_state = 4},
  [3728] = {.lex_state = 0, .external_lex_state = 4},
  [3729] = {.lex_state = 0, .external_lex_state = 4},
  [3730] = {.lex_state = 0, .external_lex_state = 4},
  [3731] = {.lex_state = 9, .external_lex_state = 5},
  [3732] = {.lex_state = 0, .external_lex_state = 4},
  [3733] = {.lex_state = 0, .external_lex_state = 4},
  [3734] = {.lex_state = 0, .external_lex_state = 4},
  [3735] = {.lex_state = 9},
  [3736] = {.lex_state = 9},
  [3737] = {.lex_state = 0},
  [3738] = {.lex_state = 9},
  [3739] = {.lex_state = 0, .external_lex_state = 4},
  [3740] = {.lex_state = 0, .external_lex_state = 4},
  [3741] = {.lex_state = 0, .external_lex_state = 4},
  [3742] = {.lex_state = 0, .external_lex_state = 4},
  [3743] = {.lex_state = 9, .external_lex_state = 5},
  [3744] = {.lex_state = 0, .external_lex_state = 4},
  [3745] = {.lex_state = 0, .external_lex_state = 4},
  [3746] = {.lex_state = 0, .external_lex_state = 4},
  [3747] = {.lex_state = 9, .external_lex_state = 5},
  [3748] = {.lex_state = 0, .external_lex_state = 4},
  [3749] = {.lex_state = 9, .external_lex_state = 5},
  [3750] = {.lex_state = 0, .external_lex_state = 4},
  [3751] = {.lex_state = 0, .external_lex_state = 4},
  [3752] = {.lex_state = 0, .external_lex_state = 4},
  [3753] = {.lex_state = 0, .external_lex_state = 4},
  [3754] = {.lex_state = 0, .external_lex_state = 4},
  [3755] = {.lex_state = 0, .external_lex_state = 4},
  [3756] = {.lex_state = 0, .external_lex_state = 4},
  [3757] = {.lex_state = 9, .external_lex_state = 5},
  [3758] = {.lex_state = 75},
  [3759] = {.lex_state = 0, .external_lex_state = 4},
  [3760] = {.lex_state = 0, .external_lex_state = 4},
  [3761] = {.lex_state = 0, .external_lex_state = 4},
  [3762] = {.lex_state = 0, .external_lex_state = 4},
  [3763] = {.lex_state = 0, .external_lex_state = 4},
  [3764] = {.lex_state = 0, .external_lex_state = 4},
  [3765] = {.lex_state = 0, .external_lex_state = 4},
  [3766] = {.lex_state = 9, .external_lex_state = 4},
  [3767] = {.lex_state = 9},
  [3768] = {.lex_state = 9, .external_lex_state = 5},
  [3769] = {.lex_state = 0},
  [3770] = {.lex_state = 0},
  [3771] = {.lex_state = 3},
  [3772] = {.lex_state = 10},
  [3773] = {.lex_state = 0},
  [3774] = {.lex_state = 0, .external_lex_state = 4},
  [3775] = {.lex_state = 9, .external_lex_state = 4},
  [3776] = {.lex_state = 0},
  [3777] = {.lex_state = 16, .external_lex_state = 6},
  [3778] = {.lex_state = 9},
  [3779] = {.lex_state = 0, .external_lex_state = 4},
  [3780] = {.lex_state = 0, .external_lex_state = 4},
  [3781] = {.lex_state = 9, .external_lex_state = 5},
  [3782] = {.lex_state = 0, .external_lex_state = 4},
  [3783] = {.lex_state = 0, .external_lex_state = 4},
  [3784] = {.lex_state = 0, .external_lex_state = 4},
  [3785] = {.lex_state = 0, .external_lex_state = 4},
  [3786] = {.lex_state = 0},
  [3787] = {.lex_state = 9},
  [3788] = {.lex_state = 0, .external_lex_state = 4},
  [3789] = {.lex_state = 9},
  [3790] = {.lex_state = 0, .external_lex_state = 4},
  [3791] = {.lex_state = 16, .external_lex_state = 6},
  [3792] = {.lex_state = 9},
  [3793] = {.lex_state = 0, .external_lex_state = 4},
  [3794] = {.lex_state = 0, .external_lex_state = 4},
  [3795] = {.lex_state = 0, .external_lex_state = 4},
  [3796] = {.lex_state = 75},
  [3797] = {.lex_state = 9},
  [3798] = {.lex_state = 0, .external_lex_state = 4},
  [3799] = {.lex_state = 9, .external_lex_state = 5},
  [3800] = {.lex_state = 0, .external_lex_state = 4},
  [3801] = {.lex_state = 9},
  [3802] = {.lex_state = 9},
  [3803] = {.lex_state = 0, .external_lex_state = 4},
  [3804] = {.lex_state = 9},
  [3805] = {.lex_state = 0, .external_lex_state = 4},
  [3806] = {.lex_state = 9},
  [3807] = {.lex_state = 0, .external_lex_state = 4},
  [3808] = {.lex_state = 0, .external_lex_state = 4},
  [3809] = {.lex_state = 16, .external_lex_state = 6},
  [3810] = {.lex_state = 0, .external_lex_state = 4},
  [3811] = {.lex_state = 0, .external_lex_state = 4},
  [3812] = {.lex_state = 0, .external_lex_state = 4},
  [3813] = {.lex_state = 75},
  [3814] = {.lex_state = 0, .external_lex_state = 4},
  [3815] = {.lex_state = 0, .external_lex_state = 4},
  [3816] = {.lex_state = 0, .external_lex_state = 4},
  [3817] = {.lex_state = 0, .external_lex_state = 4},
  [3818] = {.lex_state = 0, .external_lex_state = 4},
  [3819] = {.lex_state = 75},
  [3820] = {.lex_state = 9, .external_lex_state = 4},
  [3821] = {.lex_state = 9, .external_lex_state = 5},
  [3822] = {.lex_state = 16, .external_lex_state = 6},
  [3823] = {.lex_state = 9},
  [3824] = {.lex_state = 0, .external_lex_state = 4},
  [3825] = {.lex_state = 9, .external_lex_state = 5},
  [3826] = {.lex_state = 9},
  [3827] = {.lex_state = 0, .external_lex_state = 4},
  [3828] = {.lex_state = 0, .external_lex_state = 4},
  [3829] = {.lex_state = 0, .external_lex_state = 4},
  [3830] = {.lex_state = 0, .external_lex_state = 4},
  [3831] = {.lex_state = 0, .external_lex_state = 4},
  [3832] = {.lex_state = 0, .external_lex_state = 4},
  [3833] = {.lex_state = 16, .external_lex_state = 6},
  [3834] = {.lex_state = 16, .external_lex_state = 6},
  [3835] = {.lex_state = 0, .external_lex_state = 4},
  [3836] = {.lex_state = 75},
  [3837] = {.lex_state = 0, .external_lex_state = 4},
  [3838] = {.lex_state = 15},
  [3839] = {.lex_state = 9},
  [3840] = {.lex_state = 75, .external_lex_state = 4},
  [3841] = {.lex_state = 9},
  [3842] = {.lex_state = 9},
  [3843] = {.lex_state = 3},
  [3844] = {.lex_state = 0, .external_lex_state = 4},
  [3845] = {.lex_state = 3, .external_lex_state = 4},
  [3846] = {.lex_state = 9},
  [3847] = {.lex_state = 15},
  [3848] = {.lex_state = 15},
  [3849] = {.lex_state = 20},
  [3850] = {.lex_state = 20},
  [3851] = {.lex_state = 15},
  [3852] = {.lex_state = 15},
  [3853] = {.lex_state = 20},
  [3854] = {.lex_state = 9},
  [3855] = {.lex_state = 20},
  [3856] = {.lex_state = 3},
  [3857] = {.lex_state = 9},
  [3858] = {.lex_state = 20},
  [3859] = {.lex_state = 15},
  [3860] = {.lex_state = 0, .external_lex_state = 4},
  [3861] = {.lex_state = 75},
  [3862] = {.lex_state = 9},
  [3863] = {.lex_state = 9},
  [3864] = {.lex_state = 9},
  [3865] = {.lex_state = 0, .external_lex_state = 4},
  [3866] = {.lex_state = 0, .external_lex_state = 4},
  [3867] = {.lex_state = 75, .external_lex_state = 4},
  [3868] = {.lex_state = 75},
  [3869] = {.lex_state = 9},
  [3870] = {.lex_state = 15},
  [3871] = {.lex_state = 9},
  [3872] = {.lex_state = 20},
  [3873] = {.lex_state = 0},
  [3874] = {.lex_state = 75},
  [3875] = {.lex_state = 15},
  [3876] = {.lex_state = 9},
  [3877] = {.lex_state = 9},
  [3878] = {.lex_state = 20},
  [3879] = {.lex_state = 15},
  [3880] = {.lex_state = 20},
  [3881] = {.lex_state = 16, .external_lex_state = 6},
  [3882] = {.lex_state = 0},
  [3883] = {.lex_state = 0},
  [3884] = {.lex_state = 0},
  [3885] = {.lex_state = 9},
  [3886] = {.lex_state = 9},
  [3887] = {.lex_state = 0, .external_lex_state = 4},
  [3888] = {.lex_state = 9},
  [3889] = {.lex_state = 9},
  [3890] = {.lex_state = 15},
  [3891] = {.lex_state = 9},
  [3892] = {.lex_state = 0},
  [3893] = {.lex_state = 0, .external_lex_state = 4},
  [3894] = {.lex_state = 15},
  [3895] = {.lex_state = 20},
  [3896] = {.lex_state = 15},
  [3897] = {.lex_state = 20},
  [3898] = {.lex_state = 15},
  [3899] = {.lex_state = 20},
  [3900] = {.lex_state = 9},
  [3901] = {.lex_state = 15},
  [3902] = {.lex_state = 20},
  [3903] = {.lex_state = 0, .external_lex_state = 4},
  [3904] = {.lex_state = 75, .external_lex_state = 4},
  [3905] = {.lex_state = 15},
  [3906] = {.lex_state = 20},
  [3907] = {.lex_state = 0},
  [3908] = {.lex_state = 16, .external_lex_state = 6},
  [3909] = {.lex_state = 20},
  [3910] = {.lex_state = 9},
  [3911] = {.lex_state = 0, .external_lex_state = 4},
  [3912] = {.lex_state = 0, .external_lex_state = 4},
  [3913] = {.lex_state = 9},
  [3914] = {.lex_state = 75},
  [3915] = {.lex_state = 9},
  [3916] = {.lex_state = 9},
  [3917] = {.lex_state = 9},
  [3918] = {.lex_state = 9},
  [3919] = {.lex_state = 9},
  [3920] = {.lex_state = 9},
  [3921] = {.lex_state = 75},
  [3922] = {.lex_state = 75},
  [3923] = {.lex_state = 20},
  [3924] = {.lex_state = 9},
  [3925] = {.lex_state = 9},
  [3926] = {.lex_state = 9},
  [3927] = {.lex_state = 9},
  [3928] = {.lex_state = 9},
  [3929] = {.lex_state = 9},
  [3930] = {.lex_state = 0},
  [3931] = {.lex_state = 0, .external_lex_state = 4},
  [3932] = {.lex_state = 9},
  [3933] = {.lex_state = 9},
  [3934] = {.lex_state = 9},
  [3935] = {.lex_state = 9},
  [3936] = {.lex_state = 0},
  [3937] = {.lex_state = 9},
  [3938] = {.lex_state = 75, .external_lex_state = 4},
  [3939] = {.lex_state = 20},
  [3940] = {.lex_state = 9},
  [3941] = {.lex_state = 0},
  [3942] = {.lex_state = 75},
  [3943] = {.lex_state = 9},
  [3944] = {.lex_state = 75, .external_lex_state = 4},
  [3945] = {.lex_state = 15},
  [3946] = {.lex_state = 0},
  [3947] = {.lex_state = 0, .external_lex_state = 4},
  [3948] = {.lex_state = 9},
  [3949] = {.lex_state = 0, .external_lex_state = 4},
  [3950] = {.lex_state = 0, .external_lex_state = 4},
  [3951] = {.lex_state = 9},
  [3952] = {.lex_state = 0},
  [3953] = {.lex_state = 0, .external_lex_state = 5},
  [3954] = {.lex_state = 9},
  [3955] = {.lex_state = 9},
  [3956] = {.lex_state = 9},
  [3957] = {.lex_state = 9},
  [3958] = {.lex_state = 9},
  [3959] = {.lex_state = 9},
  [3960] = {.lex_state = 20},
  [3961] = {.lex_state = 15},
  [3962] = {.lex_state = 75},
  [3963] = {.lex_state = 20},
  [3964] = {.lex_state = 0, .external_lex_state = 4},
  [3965] = {.lex_state = 15},
  [3966] = {.lex_state = 9},
  [3967] = {.lex_state = 75},
  [3968] = {.lex_state = 9},
  [3969] = {.lex_state = 0},
  [3970] = {.lex_state = 0},
  [3971] = {.lex_state = 0},
  [3972] = {.lex_state = 0},
  [3973] = {.lex_state = 75},
  [3974] = {.lex_state = 0},
  [3975] = {.lex_state = 20},
  [3976] = {.lex_state = 75, .external_lex_state = 4},
  [3977] = {.lex_state = 9},
  [3978] = {.lex_state = 9},
  [3979] = {.lex_state = 15},
  [3980] = {.lex_state = 9},
  [3981] = {.lex_state = 0},
  [3982] = {.lex_state = 0},
  [3983] = {.lex_state = 0},
  [3984] = {.lex_state = 3},
  [3985] = {.lex_state = 3},
  [3986] = {.lex_state = 0},
  [3987] = {.lex_state = 0},
  [3988] = {.lex_state = 75},
  [3989] = {.lex_state = 3},
  [3990] = {.lex_state = 0, .external_lex_state = 4},
  [3991] = {.lex_state = 0},
  [3992] = {.lex_state = 0},
  [3993] = {.lex_state = 0},
  [3994] = {.lex_state = 0},
  [3995] = {.lex_state = 0},
  [3996] = {.lex_state = 0},
  [3997] = {.lex_state = 75},
  [3998] = {.lex_state = 9},
  [3999] = {.lex_state = 75, .external_lex_state = 4},
  [4000] = {.lex_state = 75, .external_lex_state = 4},
  [4001] = {.lex_state = 0},
  [4002] = {.lex_state = 75, .external_lex_state = 4},
  [4003] = {.lex_state = 0},
  [4004] = {.lex_state = 75, .external_lex_state = 4},
  [4005] = {.lex_state = 0},
  [4006] = {.lex_state = 0},
  [4007] = {.lex_state = 0},
  [4008] = {.lex_state = 0},
  [4009] = {.lex_state = 75, .external_lex_state = 4},
  [4010] = {.lex_state = 0},
  [4011] = {.lex_state = 9},
  [4012] = {.lex_state = 3},
  [4013] = {.lex_state = 3},
  [4014] = {.lex_state = 3},
  [4015] = {.lex_state = 75},
  [4016] = {.lex_state = 0, .external_lex_state = 4},
  [4017] = {.lex_state = 0},
  [4018] = {.lex_state = 0, .external_lex_state = 4},
  [4019] = {.lex_state = 0},
  [4020] = {.lex_state = 0},
  [4021] = {.lex_state = 0},
  [4022] = {.lex_state = 0},
  [4023] = {.lex_state = 0, .external_lex_state = 4},
  [4024] = {.lex_state = 0, .external_lex_state = 4},
  [4025] = {.lex_state = 0, .external_lex_state = 4},
  [4026] = {.lex_state = 0},
  [4027] = {.lex_state = 0, .external_lex_state = 4},
  [4028] = {.lex_state = 0},
  [4029] = {.lex_state = 0, .external_lex_state = 4},
  [4030] = {.lex_state = 75},
  [4031] = {.lex_state = 0, .external_lex_state = 4},
  [4032] = {.lex_state = 0, .external_lex_state = 4},
  [4033] = {.lex_state = 3},
  [4034] = {.lex_state = 3},
  [4035] = {.lex_state = 0, .external_lex_state = 4},
  [4036] = {.lex_state = 0, .external_lex_state = 4},
  [4037] = {.lex_state = 75},
  [4038] = {.lex_state = 16, .external_lex_state = 6},
  [4039] = {.lex_state = 0, .external_lex_state = 4},
  [4040] = {.lex_state = 0},
  [4041] = {.lex_state = 0, .external_lex_state = 4},
  [4042] = {.lex_state = 0},
  [4043] = {.lex_state = 75},
  [4044] = {.lex_state = 75, .external_lex_state = 4},
  [4045] = {.lex_state = 75},
  [4046] = {.lex_state = 9},
  [4047] = {.lex_state = 0},
  [4048] = {.lex_state = 9},
  [4049] = {.lex_state = 0},
  [4050] = {.lex_state = 0},
  [4051] = {.lex_state = 75},
  [4052] = {.lex_state = 75, .external_lex_state = 4},
  [4053] = {.lex_state = 75, .external_lex_state = 4},
  [4054] = {.lex_state = 0},
  [4055] = {.lex_state = 9},
  [4056] = {.lex_state = 0},
  [4057] = {.lex_state = 0},
  [4058] = {.lex_state = 0},
  [4059] = {.lex_state = 0},
  [4060] = {.lex_state = 0},
  [4061] = {.lex_state = 9},
  [4062] = {.lex_state = 9},
  [4063] = {.lex_state = 9},
  [4064] = {.lex_state = 9},
  [4065] = {.lex_state = 9},
  [4066] = {.lex_state = 9},
  [4067] = {.lex_state = 75},
  [4068] = {.lex_state = 0},
  [4069] = {.lex_state = 0},
  [4070] = {.lex_state = 0},
  [4071] = {.lex_state = 0},
  [4072] = {.lex_state = 0},
  [4073] = {.lex_state = 0},
  [4074] = {.lex_state = 75},
  [4075] = {.lex_state = 75},
  [4076] = {.lex_state = 75},
  [4077] = {.lex_state = 0},
  [4078] = {.lex_state = 0},
  [4079] = {.lex_state = 0},
  [4080] = {.lex_state = 0},
  [4081] = {.lex_state = 0},
  [4082] = {.lex_state = 0},
  [4083] = {.lex_state = 0},
  [4084] = {.lex_state = 9},
  [4085] = {.lex_state = 0, .external_lex_state = 4},
  [4086] = {.lex_state = 9},
  [4087] = {.lex_state = 0, .external_lex_state = 4},
  [4088] = {.lex_state = 0, .external_lex_state = 4},
  [4089] = {.lex_state = 75},
  [4090] = {.lex_state = 3},
  [4091] = {.lex_state = 0},
  [4092] = {.lex_state = 0},
  [4093] = {.lex_state = 0},
  [4094] = {.lex_state = 0},
  [4095] = {.lex_state = 0, .external_lex_state = 4},
  [4096] = {.lex_state = 0, .external_lex_state = 4},
  [4097] = {.lex_state = 0, .external_lex_state = 4},
  [4098] = {.lex_state = 0, .external_lex_state = 4},
  [4099] = {.lex_state = 75},
  [4100] = {.lex_state = 9},
  [4101] = {.lex_state = 0},
  [4102] = {.lex_state = 0},
  [4103] = {.lex_state = 0},
  [4104] = {.lex_state = 75},
  [4105] = {.lex_state = 75},
  [4106] = {.lex_state = 75},
  [4107] = {.lex_state = 9},
  [4108] = {.lex_state = 75},
  [4109] = {.lex_state = 75},
  [4110] = {.lex_state = 75},
  [4111] = {.lex_state = 75},
  [4112] = {.lex_state = 75},
  [4113] = {.lex_state = 75},
  [4114] = {.lex_state = 75},
  [4115] = {.lex_state = 0},
  [4116] = {.lex_state = 9},
  [4117] = {.lex_state = 0},
  [4118] = {.lex_state = 75},
  [4119] = {.lex_state = 0, .external_lex_state = 4},
  [4120] = {.lex_state = 0},
  [4121] = {.lex_state = 0},
  [4122] = {.lex_state = 0},
  [4123] = {.lex_state = 9},
  [4124] = {.lex_state = 0, .external_lex_state = 4},
  [4125] = {.lex_state = 0},
  [4126] = {.lex_state = 0},
  [4127] = {.lex_state = 0},
  [4128] = {.lex_state = 0, .external_lex_state = 4},
  [4129] = {.lex_state = 3, .external_lex_state = 4},
  [4130] = {.lex_state = 9},
  [4131] = {.lex_state = 0},
  [4132] = {.lex_state = 0, .external_lex_state = 4},
  [4133] = {.lex_state = 9},
  [4134] = {.lex_state = 0},
  [4135] = {.lex_state = 0},
  [4136] = {.lex_state = 0},
  [4137] = {.lex_state = 3, .external_lex_state = 4},
  [4138] = {.lex_state = 0},
  [4139] = {.lex_state = 9},
  [4140] = {.lex_state = 0},
  [4141] = {.lex_state = 9},
  [4142] = {.lex_state = 9},
  [4143] = {.lex_state = 9},
  [4144] = {.lex_state = 0},
  [4145] = {.lex_state = 9},
  [4146] = {.lex_state = 75},
  [4147] = {.lex_state = 0, .external_lex_state = 4},
  [4148] = {.lex_state = 0},
  [4149] = {.lex_state = 0},
  [4150] = {.lex_state = 0, .external_lex_state = 4},
  [4151] = {.lex_state = 0},
  [4152] = {.lex_state = 75},
  [4153] = {.lex_state = 0},
  [4154] = {.lex_state = 0},
  [4155] = {.lex_state = 0},
  [4156] = {.lex_state = 0},
  [4157] = {.lex_state = 0},
  [4158] = {.lex_state = 0, .external_lex_state = 4},
  [4159] = {.lex_state = 0},
  [4160] = {.lex_state = 75},
  [4161] = {.lex_state = 0},
  [4162] = {.lex_state = 0},
  [4163] = {.lex_state = 0},
  [4164] = {.lex_state = 0},
  [4165] = {.lex_state = 75, .external_lex_state = 4},
  [4166] = {.lex_state = 75},
  [4167] = {.lex_state = 0},
  [4168] = {.lex_state = 75},
  [4169] = {.lex_state = 9},
  [4170] = {.lex_state = 9},
  [4171] = {.lex_state = 0},
  [4172] = {.lex_state = 75},
  [4173] = {.lex_state = 75},
  [4174] = {.lex_state = 75},
  [4175] = {.lex_state = 0},
  [4176] = {.lex_state = 75},
  [4177] = {.lex_state = 0, .external_lex_state = 4},
  [4178] = {.lex_state = 75},
  [4179] = {.lex_state = 75},
  [4180] = {.lex_state = 0, .external_lex_state = 4},
  [4181] = {.lex_state = 0},
  [4182] = {.lex_state = 0, .external_lex_state = 4},
  [4183] = {.lex_state = 3, .external_lex_state = 4},
  [4184] = {.lex_state = 0},
  [4185] = {.lex_state = 0, .external_lex_state = 4},
  [4186] = {.lex_state = 75},
  [4187] = {.lex_state = 0, .external_lex_state = 4},
  [4188] = {.lex_state = 0},
  [4189] = {.lex_state = 0, .external_lex_state = 4},
  [4190] = {.lex_state = 75},
  [4191] = {.lex_state = 0, .external_lex_state = 4},
  [4192] = {.lex_state = 0, .external_lex_state = 4},
  [4193] = {.lex_state = 0, .external_lex_state = 4},
  [4194] = {.lex_state = 0, .external_lex_state = 4},
  [4195] = {.lex_state = 0},
  [4196] = {.lex_state = 0, .external_lex_state = 4},
  [4197] = {.lex_state = 0, .external_lex_state = 4},
  [4198] = {.lex_state = 9},
  [4199] = {.lex_state = 0},
  [4200] = {.lex_state = 0, .external_lex_state = 4},
  [4201] = {.lex_state = 0, .external_lex_state = 4},
  [4202] = {.lex_state = 0, .external_lex_state = 4},
  [4203] = {.lex_state = 0, .external_lex_state = 4},
  [4204] = {.lex_state = 0, .external_lex_state = 4},
  [4205] = {.lex_state = 0, .external_lex_state = 4},
  [4206] = {.lex_state = 0, .external_lex_state = 4},
  [4207] = {.lex_state = 0},
  [4208] = {.lex_state = 0, .external_lex_state = 4},
  [4209] = {.lex_state = 0, .external_lex_state = 4},
  [4210] = {.lex_state = 75},
  [4211] = {.lex_state = 0, .external_lex_state = 4},
  [4212] = {.lex_state = 0},
  [4213] = {.lex_state = 0},
  [4214] = {.lex_state = 75},
  [4215] = {.lex_state = 0},
  [4216] = {.lex_state = 0},
  [4217] = {.lex_state = 75, .external_lex_state = 4},
  [4218] = {.lex_state = 0, .external_lex_state = 4},
  [4219] = {.lex_state = 0},
  [4220] = {.lex_state = 75, .external_lex_state = 4},
  [4221] = {.lex_state = 75},
  [4222] = {.lex_state = 75},
  [4223] = {.lex_state = 75},
  [4224] = {.lex_state = 75},
  [4225] = {.lex_state = 75},
  [4226] = {.lex_state = 0},
  [4227] = {.lex_state = 0},
  [4228] = {.lex_state = 0},
  [4229] = {.lex_state = 0},
  [4230] = {.lex_state = 0},
  [4231] = {.lex_state = 9},
  [4232] = {.lex_state = 0},
  [4233] = {.lex_state = 0},
  [4234] = {.lex_state = 0},
  [4235] = {.lex_state = 9},
  [4236] = {.lex_state = 0},
  [4237] = {.lex_state = 0},
  [4238] = {.lex_state = 9},
  [4239] = {.lex_state = 9},
  [4240] = {.lex_state = 9},
  [4241] = {.lex_state = 0},
  [4242] = {.lex_state = 75, .external_lex_state = 4},
  [4243] = {.lex_state = 0, .external_lex_state = 4},
  [4244] = {.lex_state = 0},
  [4245] = {.lex_state = 0, .external_lex_state = 4},
  [4246] = {.lex_state = 0},
  [4247] = {.lex_state = 0},
  [4248] = {.lex_state = 0},
  [4249] = {.lex_state = 0, .external_lex_state = 4},
  [4250] = {.lex_state = 0, .external_lex_state = 4},
  [4251] = {.lex_state = 0, .external_lex_state = 4},
  [4252] = {.lex_state = 75},
  [4253] = {.lex_state = 9},
  [4254] = {.lex_state = 75},
  [4255] = {.lex_state = 0},
  [4256] = {.lex_state = 75},
  [4257] = {.lex_state = 0, .external_lex_state = 4},
  [4258] = {.lex_state = 75},
  [4259] = {.lex_state = 9},
  [4260] = {.lex_state = 3},
  [4261] = {.lex_state = 0, .external_lex_state = 4},
  [4262] = {.lex_state = 0, .external_lex_state = 4},
  [4263] = {.lex_state = 9},
  [4264] = {.lex_state = 0, .external_lex_state = 4},
  [4265] = {.lex_state = 0},
  [4266] = {.lex_state = 0},
  [4267] = {.lex_state = 9},
  [4268] = {.lex_state = 0},
  [4269] = {.lex_state = 9},
  [4270] = {.lex_state = 0},
  [4271] = {.lex_state = 9},
  [4272] = {.lex_state = 75},
  [4273] = {.lex_state = 0},
  [4274] = {.lex_state = 9},
  [4275] = {.lex_state = 9},
  [4276] = {.lex_state = 0},
  [4277] = {.lex_state = 0},
  [4278] = {.lex_state = 9},
  [4279] = {.lex_state = 0, .external_lex_state = 4},
  [4280] = {.lex_state = 0, .external_lex_state = 4},
  [4281] = {.lex_state = 9},
  [4282] = {.lex_state = 9},
  [4283] = {.lex_state = 75},
  [4284] = {.lex_state = 0, .external_lex_state = 4},
  [4285] = {.lex_state = 9},
  [4286] = {.lex_state = 75},
  [4287] = {.lex_state = 0},
  [4288] = {.lex_state = 9},
  [4289] = {.lex_state = 0},
  [4290] = {.lex_state = 0},
  [4291] = {.lex_state = 9},
  [4292] = {.lex_state = 0},
  [4293] = {.lex_state = 9},
  [4294] = {.lex_state = 9},
  [4295] = {.lex_state = 9},
  [4296] = {.lex_state = 9},
  [4297] = {.lex_state = 9},
  [4298] = {.lex_state = 9},
  [4299] = {.lex_state = 9},
  [4300] = {.lex_state = 9},
  [4301] = {.lex_state = 0},
  [4302] = {.lex_state = 75},
  [4303] = {.lex_state = 0, .external_lex_state = 4},
  [4304] = {.lex_state = 75},
  [4305] = {.lex_state = 0},
  [4306] = {.lex_state = 0},
  [4307] = {.lex_state = 75},
  [4308] = {.lex_state = 75},
  [4309] = {.lex_state = 9},
  [4310] = {.lex_state = 9},
  [4311] = {.lex_state = 0},
  [4312] = {.lex_state = 0, .external_lex_state = 4},
  [4313] = {.lex_state = 0},
  [4314] = {.lex_state = 0},
  [4315] = {.lex_state = 9},
  [4316] = {.lex_state = 0},
  [4317] = {.lex_state = 0},
  [4318] = {.lex_state = 9},
  [4319] = {.lex_state = 9},
  [4320] = {.lex_state = 9},
  [4321] = {.lex_state = 9},
  [4322] = {.lex_state = 9},
  [4323] = {.lex_state = 9},
  [4324] = {.lex_state = 9},
  [4325] = {.lex_state = 9},
  [4326] = {.lex_state = 0},
  [4327] = {.lex_state = 0, .external_lex_state = 4},
  [4328] = {.lex_state = 9},
  [4329] = {.lex_state = 0},
  [4330] = {.lex_state = 0, .external_lex_state = 4},
  [4331] = {.lex_state = 9},
  [4332] = {.lex_state = 0, .external_lex_state = 4},
  [4333] = {.lex_state = 75},
  [4334] = {.lex_state = 0},
  [4335] = {.lex_state = 0, .external_lex_state = 4},
  [4336] = {.lex_state = 0, .external_lex_state = 4},
  [4337] = {.lex_state = 9},
  [4338] = {.lex_state = 9},
  [4339] = {.lex_state = 0},
  [4340] = {.lex_state = 0, .external_lex_state = 4},
  [4341] = {.lex_state = 0, .external_lex_state = 4},
  [4342] = {.lex_state = 0},
  [4343] = {.lex_state = 9},
  [4344] = {.lex_state = 0},
  [4345] = {.lex_state = 0, .external_lex_state = 4},
  [4346] = {.lex_state = 0},
  [4347] = {.lex_state = 0},
  [4348] = {.lex_state = 9},
  [4349] = {.lex_state = 0},
  [4350] = {.lex_state = 0},
  [4351] = {.lex_state = 9},
  [4352] = {.lex_state = 9},
  [4353] = {.lex_state = 0, .external_lex_state = 4},
  [4354] = {.lex_state = 0},
  [4355] = {.lex_state = 0},
  [4356] = {.lex_state = 0},
  [4357] = {.lex_state = 0, .external_lex_state = 4},
  [4358] = {.lex_state = 75},
  [4359] = {.lex_state = 0, .external_lex_state = 4},
  [4360] = {.lex_state = 0},
  [4361] = {.lex_state = 0, .external_lex_state = 4},
  [4362] = {.lex_state = 75},
  [4363] = {.lex_state = 0, .external_lex_state = 4},
  [4364] = {.lex_state = 75},
  [4365] = {.lex_state = 75},
  [4366] = {.lex_state = 0},
  [4367] = {.lex_state = 9},
  [4368] = {.lex_state = 9},
  [4369] = {.lex_state = 9},
  [4370] = {.lex_state = 75},
  [4371] = {.lex_state = 0},
  [4372] = {.lex_state = 0},
  [4373] = {.lex_state = 9},
  [4374] = {.lex_state = 9},
  [4375] = {.lex_state = 9},
  [4376] = {.lex_state = 0, .external_lex_state = 4},
  [4377] = {.lex_state = 0, .external_lex_state = 4},
  [4378] = {.lex_state = 0},
  [4379] = {.lex_state = 0},
  [4380] = {.lex_state = 0, .external_lex_state = 4},
  [4381] = {.lex_state = 0, .external_lex_state = 4},
  [4382] = {.lex_state = 75},
  [4383] = {.lex_state = 9},
  [4384] = {.lex_state = 75},
  [4385] = {.lex_state = 0, .external_lex_state = 4},
  [4386] = {.lex_state = 0},
  [4387] = {.lex_state = 0},
  [4388] = {.lex_state = 75},
  [4389] = {.lex_state = 0, .external_lex_state = 4},
  [4390] = {.lex_state = 9},
  [4391] = {.lex_state = 9},
  [4392] = {.lex_state = 9},
  [4393] = {.lex_state = 9},
  [4394] = {.lex_state = 0, .external_lex_state = 4},
  [4395] = {.lex_state = 9},
  [4396] = {.lex_state = 0, .external_lex_state = 4},
  [4397] = {.lex_state = 0},
  [4398] = {.lex_state = 0},
  [4399] = {.lex_state = 0, .external_lex_state = 4},
  [4400] = {.lex_state = 0},
  [4401] = {.lex_state = 9},
  [4402] = {.lex_state = 9},
  [4403] = {.lex_state = 0},
  [4404] = {.lex_state = 9},
  [4405] = {.lex_state = 9},
  [4406] = {.lex_state = 0},
  [4407] = {.lex_state = 0},
  [4408] = {.lex_state = 0, .external_lex_state = 4},
  [4409] = {.lex_state = 0},
  [4410] = {.lex_state = 0},
  [4411] = {.lex_state = 75},
  [4412] = {.lex_state = 9},
  [4413] = {.lex_state = 0},
  [4414] = {.lex_state = 0},
  [4415] = {.lex_state = 9},
  [4416] = {.lex_state = 0},
  [4417] = {.lex_state = 75},
  [4418] = {.lex_state = 0},
  [4419] = {.lex_state = 0},
  [4420] = {.lex_state = 9},
  [4421] = {.lex_state = 9},
  [4422] = {.lex_state = 0},
  [4423] = {.lex_state = 9},
  [4424] = {.lex_state = 75},
  [4425] = {.lex_state = 0, .external_lex_state = 4},
  [4426] = {.lex_state = 0},
  [4427] = {.lex_state = 75},
  [4428] = {.lex_state = 0, .external_lex_state = 4},
  [4429] = {.lex_state = 0},
  [4430] = {.lex_state = 0, .external_lex_state = 4},
  [4431] = {.lex_state = 0},
  [4432] = {.lex_state = 9},
  [4433] = {.lex_state = 0},
  [4434] = {.lex_state = 9},
  [4435] = {.lex_state = 0},
  [4436] = {.lex_state = 0},
  [4437] = {.lex_state = 9},
  [4438] = {.lex_state = 9},
  [4439] = {.lex_state = 9},
  [4440] = {.lex_state = 0},
  [4441] = {.lex_state = 0},
  [4442] = {.lex_state = 9},
  [4443] = {.lex_state = 75},
  [4444] = {.lex_state = 9},
  [4445] = {.lex_state = 0, .external_lex_state = 4},
  [4446] = {.lex_state = 9},
  [4447] = {.lex_state = 0},
  [4448] = {.lex_state = 9},
  [4449] = {.lex_state = 0},
  [4450] = {.lex_state = 0, .external_lex_state = 4},
  [4451] = {.lex_state = 0},
  [4452] = {.lex_state = 75},
  [4453] = {.lex_state = 9},
  [4454] = {.lex_state = 0},
  [4455] = {.lex_state = 0},
  [4456] = {.lex_state = 0, .external_lex_state = 4},
  [4457] = {.lex_state = 0, .external_lex_state = 4},
  [4458] = {.lex_state = 75},
  [4459] = {.lex_state = 9},
  [4460] = {.lex_state = 9},
  [4461] = {.lex_state = 9},
  [4462] = {.lex_state = 9},
  [4463] = {.lex_state = 0},
  [4464] = {.lex_state = 9},
  [4465] = {.lex_state = 9},
  [4466] = {.lex_state = 9},
  [4467] = {.lex_state = 9},
  [4468] = {.lex_state = 9},
  [4469] = {.lex_state = 9},
  [4470] = {.lex_state = 75},
  [4471] = {.lex_state = 0, .external_lex_state = 4},
  [4472] = {.lex_state = 75},
  [4473] = {.lex_state = 9},
  [4474] = {.lex_state = 0},
  [4475] = {.lex_state = 9},
  [4476] = {.lex_state = 0, .external_lex_state = 4},
  [4477] = {.lex_state = 9},
  [4478] = {.lex_state = 9},
  [4479] = {.lex_state = 0},
  [4480] = {.lex_state = 9},
  [4481] = {.lex_state = 0},
  [4482] = {.lex_state = 0},
  [4483] = {.lex_state = 75},
  [4484] = {.lex_state = 9},
  [4485] = {.lex_state = 9},
  [4486] = {.lex_state = 9},
  [4487] = {.lex_state = 0},
  [4488] = {.lex_state = 0},
  [4489] = {.lex_state = 0},
  [4490] = {.lex_state = 9},
  [4491] = {.lex_state = 0},
  [4492] = {.lex_state = 9},
  [4493] = {.lex_state = 9},
  [4494] = {.lex_state = 9},
  [4495] = {.lex_state = 9},
  [4496] = {.lex_state = 0},
  [4497] = {.lex_state = 9},
  [4498] = {.lex_state = 9},
  [4499] = {.lex_state = 0},
  [4500] = {.lex_state = 9},
  [4501] = {.lex_state = 0},
  [4502] = {.lex_state = 0},
  [4503] = {.lex_state = 75},
  [4504] = {.lex_state = 9},
  [4505] = {.lex_state = 9},
  [4506] = {.lex_state = 0},
  [4507] = {.lex_state = 0},
  [4508] = {.lex_state = 9},
  [4509] = {.lex_state = 9},
  [4510] = {.lex_state = 9},
  [4511] = {.lex_state = 0, .external_lex_state = 4},
  [4512] = {.lex_state = 0, .external_lex_state = 4},
  [4513] = {.lex_state = 0, .external_lex_state = 4},
  [4514] = {.lex_state = 9},
  [4515] = {.lex_state = 0},
  [4516] = {.lex_state = 0},
  [4517] = {.lex_state = 0, .external_lex_state = 4},
  [4518] = {.lex_state = 9},
  [4519] = {.lex_state = 0},
  [4520] = {.lex_state = 75},
  [4521] = {.lex_state = 0, .external_lex_state = 4},
  [4522] = {.lex_state = 9},
  [4523] = {.lex_state = 9},
  [4524] = {.lex_state = 0, .external_lex_state = 4},
  [4525] = {.lex_state = 75},
  [4526] = {.lex_state = 0},
  [4527] = {.lex_state = 9},
  [4528] = {.lex_state = 9},
  [4529] = {.lex_state = 0, .external_lex_state = 4},
  [4530] = {.lex_state = 0},
  [4531] = {.lex_state = 0},
  [4532] = {.lex_state = 11},
  [4533] = {.lex_state = 0, .external_lex_state = 4},
  [4534] = {.lex_state = 0, .external_lex_state = 4},
  [4535] = {.lex_state = 0, .external_lex_state = 4},
  [4536] = {.lex_state = 0, .external_lex_state = 4},
  [4537] = {.lex_state = 0, .external_lex_state = 4},
  [4538] = {.lex_state = 9},
  [4539] = {.lex_state = 9},
  [4540] = {.lex_state = 0, .external_lex_state = 4},
  [4541] = {.lex_state = 0},
  [4542] = {.lex_state = 9},
  [4543] = {.lex_state = 0},
  [4544] = {.lex_state = 0, .external_lex_state = 4},
  [4545] = {.lex_state = 0, .external_lex_state = 4},
  [4546] = {.lex_state = 9},
  [4547] = {.lex_state = 0},
  [4548] = {.lex_state = 9},
  [4549] = {.lex_state = 9},
  [4550] = {.lex_state = 9},
  [4551] = {.lex_state = 9},
  [4552] = {.lex_state = 0},
  [4553] = {.lex_state = 75},
  [4554] = {.lex_state = 75},
  [4555] = {.lex_state = 75},
  [4556] = {.lex_state = 0, .external_lex_state = 4},
  [4557] = {.lex_state = 75},
  [4558] = {.lex_state = 75},
  [4559] = {.lex_state = 75},
  [4560] = {.lex_state = 9},
  [4561] = {.lex_state = 9},
  [4562] = {.lex_state = 75},
  [4563] = {.lex_state = 9},
  [4564] = {.lex_state = 75},
  [4565] = {.lex_state = 0},
  [4566] = {.lex_state = 9},
  [4567] = {.lex_state = 0},
  [4568] = {.lex_state = 0, .external_lex_state = 4},
  [4569] = {.lex_state = 9},
  [4570] = {.lex_state = 9},
  [4571] = {.lex_state = 9},
  [4572] = {.lex_state = 75},
  [4573] = {.lex_state = 9},
  [4574] = {.lex_state = 9},
  [4575] = {.lex_state = 9},
  [4576] = {.lex_state = 75},
  [4577] = {.lex_state = 75},
  [4578] = {.lex_state = 9},
  [4579] = {.lex_state = 0, .external_lex_state = 4},
  [4580] = {.lex_state = 9},
  [4581] = {.lex_state = 9},
  [4582] = {.lex_state = 9},
  [4583] = {.lex_state = 0},
  [4584] = {.lex_state = 0},
  [4585] = {.lex_state = 0, .external_lex_state = 4},
  [4586] = {.lex_state = 9},
  [4587] = {.lex_state = 0},
  [4588] = {.lex_state = 0, .external_lex_state = 4},
  [4589] = {.lex_state = 0},
  [4590] = {.lex_state = 0, .external_lex_state = 4},
  [4591] = {.lex_state = 0, .external_lex_state = 4},
  [4592] = {.lex_state = 0},
  [4593] = {.lex_state = 75},
  [4594] = {.lex_state = 0, .external_lex_state = 4},
  [4595] = {.lex_state = 9},
  [4596] = {.lex_state = 9},
  [4597] = {.lex_state = 0, .external_lex_state = 4},
  [4598] = {.lex_state = 0, .external_lex_state = 4},
  [4599] = {.lex_state = 0, .external_lex_state = 4},
  [4600] = {.lex_state = 0},
  [4601] = {.lex_state = 0, .external_lex_state = 4},
  [4602] = {.lex_state = 0},
  [4603] = {.lex_state = 0},
  [4604] = {.lex_state = 9},
  [4605] = {.lex_state = 0, .external_lex_state = 4},
  [4606] = {.lex_state = 0, .external_lex_state = 4},
  [4607] = {.lex_state = 0, .external_lex_state = 4},
  [4608] = {.lex_state = 9},
  [4609] = {.lex_state = 0, .external_lex_state = 4},
  [4610] = {.lex_state = 9},
  [4611] = {.lex_state = 9},
  [4612] = {.lex_state = 0},
  [4613] = {.lex_state = 0, .external_lex_state = 4},
  [4614] = {.lex_state = 9},
  [4615] = {.lex_state = 9},
  [4616] = {.lex_state = 9},
  [4617] = {.lex_state = 9},
  [4618] = {.lex_state = 9},
  [4619] = {.lex_state = 9},
  [4620] = {.lex_state = 9},
  [4621] = {.lex_state = 9},
  [4622] = {.lex_state = 9},
  [4623] = {.lex_state = 9},
  [4624] = {.lex_state = 0},
  [4625] = {.lex_state = 0},
  [4626] = {.lex_state = 75},
  [4627] = {.lex_state = 75},
  [4628] = {.lex_state = 0},
  [4629] = {.lex_state = 75},
  [4630] = {.lex_state = 0},
  [4631] = {.lex_state = 0},
  [4632] = {.lex_state = 75},
  [4633] = {.lex_state = 0},
  [4634] = {.lex_state = 0},
  [4635] = {.lex_state = 0},
  [4636] = {.lex_state = 0},
  [4637] = {.lex_state = 0},
  [4638] = {.lex_state = 0},
  [4639] = {.lex_state = 0},
  [4640] = {.lex_state = 3},
  [4641] = {.lex_state = 1},
  [4642] = {.lex_state = 0},
  [4643] = {.lex_state = 0},
  [4644] = {.lex_state = 0},
  [4645] = {.lex_state = 0},
  [4646] = {.lex_state = 75},
  [4647] = {.lex_state = 75},
  [4648] = {.lex_state = 0},
  [4649] = {.lex_state = 75},
  [4650] = {.lex_state = 0},
  [4651] = {.lex_state = 0},
  [4652] = {.lex_state = 0},
  [4653] = {.lex_state = 0},
  [4654] = {.lex_state = 75},
  [4655] = {.lex_state = 75},
  [4656] = {.lex_state = 75},
  [4657] = {.lex_state = 75},
  [4658] = {.lex_state = 0},
  [4659] = {.lex_state = 75},
  [4660] = {.lex_state = 0},
  [4661] = {.lex_state = 0},
  [4662] = {.lex_state = 0},
  [4663] = {.lex_state = 0},
  [4664] = {.lex_state = 0},
  [4665] = {.lex_state = 75},
  [4666] = {.lex_state = 0},
  [4667] = {.lex_state = 75},
  [4668] = {.lex_state = 75},
  [4669] = {.lex_state = 0},
  [4670] = {.lex_state = 0},
  [4671] = {.lex_state = 0},
  [4672] = {.lex_state = 75},
  [4673] = {.lex_state = 0},
  [4674] = {.lex_state = 0},
  [4675] = {.lex_state = 75},
  [4676] = {.lex_state = 0},
  [4677] = {.lex_state = 9},
  [4678] = {.lex_state = 0},
  [4679] = {.lex_state = 0},
  [4680] = {.lex_state = 0},
  [4681] = {.lex_state = 0},
  [4682] = {.lex_state = 0},
  [4683] = {.lex_state = 75},
  [4684] = {.lex_state = 0},
  [4685] = {.lex_state = 0},
  [4686] = {.lex_state = 0},
  [4687] = {.lex_state = 0},
  [4688] = {.lex_state = 0},
  [4689] = {.lex_state = 0},
  [4690] = {.lex_state = 0},
  [4691] = {.lex_state = 75},
  [4692] = {.lex_state = 75},
  [4693] = {.lex_state = 75},
  [4694] = {.lex_state = 0},
  [4695] = {.lex_state = 0},
  [4696] = {.lex_state = 75},
  [4697] = {.lex_state = 0},
  [4698] = {.lex_state = 0},
  [4699] = {.lex_state = 0},
  [4700] = {.lex_state = 0},
  [4701] = {.lex_state = 0},
  [4702] = {.lex_state = 0},
  [4703] = {.lex_state = 0},
  [4704] = {.lex_state = 0},
  [4705] = {.lex_state = 0},
  [4706] = {.lex_state = 75},
  [4707] = {.lex_state = 0},
  [4708] = {.lex_state = 0},
  [4709] = {.lex_state = 9},
  [4710] = {.lex_state = 0},
  [4711] = {.lex_state = 0},
  [4712] = {.lex_state = 0},
  [4713] = {.lex_state = 75},
  [4714] = {.lex_state = 0},
  [4715] = {.lex_state = 0},
  [4716] = {.lex_state = 0},
  [4717] = {.lex_state = 0},
  [4718] = {.lex_state = 0},
  [4719] = {.lex_state = 0},
  [4720] = {.lex_state = 75},
  [4721] = {.lex_state = 0},
  [4722] = {.lex_state = 0},
  [4723] = {.lex_state = 0},
  [4724] = {.lex_state = 0},
  [4725] = {.lex_state = 0},
  [4726] = {.lex_state = 0},
  [4727] = {.lex_state = 0},
  [4728] = {.lex_state = 0},
  [4729] = {.lex_state = 0},
  [4730] = {.lex_state = 0},
  [4731] = {.lex_state = 0},
  [4732] = {.lex_state = 75},
  [4733] = {.lex_state = 75},
  [4734] = {.lex_state = 0},
  [4735] = {.lex_state = 0},
  [4736] = {.lex_state = 0},
  [4737] = {.lex_state = 3},
  [4738] = {.lex_state = 1},
  [4739] = {.lex_state = 0},
  [4740] = {.lex_state = 75},
  [4741] = {.lex_state = 0},
  [4742] = {.lex_state = 75},
  [4743] = {.lex_state = 75},
  [4744] = {.lex_state = 0},
  [4745] = {.lex_state = 0},
  [4746] = {.lex_state = 0},
  [4747] = {.lex_state = 0},
  [4748] = {.lex_state = 0},
  [4749] = {.lex_state = 0},
  [4750] = {.lex_state = 0},
  [4751] = {.lex_state = 0},
  [4752] = {.lex_state = 75},
  [4753] = {.lex_state = 0},
  [4754] = {.lex_state = 0},
  [4755] = {.lex_state = 0},
  [4756] = {.lex_state = 0},
  [4757] = {.lex_state = 75},
  [4758] = {.lex_state = 0},
  [4759] = {.lex_state = 75},
  [4760] = {.lex_state = 75},
  [4761] = {.lex_state = 75},
  [4762] = {.lex_state = 0},
  [4763] = {.lex_state = 0},
  [4764] = {.lex_state = 0},
  [4765] = {.lex_state = 0},
  [4766] = {.lex_state = 0},
  [4767] = {.lex_state = 0},
  [4768] = {.lex_state = 75},
  [4769] = {.lex_state = 9},
  [4770] = {.lex_state = 0},
  [4771] = {.lex_state = 0},
  [4772] = {.lex_state = 3},
  [4773] = {.lex_state = 1},
  [4774] = {.lex_state = 12},
  [4775] = {.lex_state = 0},
  [4776] = {.lex_state = 0},
  [4777] = {.lex_state = 0},
  [4778] = {.lex_state = 0},
  [4779] = {.lex_state = 75},
  [4780] = {.lex_state = 0},
  [4781] = {.lex_state = 0},
  [4782] = {.lex_state = 0},
  [4783] = {.lex_state = 75},
  [4784] = {.lex_state = 75},
  [4785] = {.lex_state = 0},
  [4786] = {.lex_state = 0},
  [4787] = {.lex_state = 75},
  [4788] = {.lex_state = 0},
  [4789] = {.lex_state = 0},
  [4790] = {.lex_state = 0},
  [4791] = {.lex_state = 0},
  [4792] = {.lex_state = 0},
  [4793] = {.lex_state = 0},
  [4794] = {.lex_state = 0},
  [4795] = {.lex_state = 0},
  [4796] = {.lex_state = 0},
  [4797] = {.lex_state = 0},
  [4798] = {.lex_state = 3},
  [4799] = {.lex_state = 75},
  [4800] = {.lex_state = 0},
  [4801] = {.lex_state = 0},
  [4802] = {.lex_state = 0},
  [4803] = {.lex_state = 0},
  [4804] = {.lex_state = 0},
  [4805] = {.lex_state = 75},
  [4806] = {.lex_state = 75},
  [4807] = {.lex_state = 75},
  [4808] = {.lex_state = 75},
  [4809] = {.lex_state = 0},
  [4810] = {.lex_state = 75},
  [4811] = {.lex_state = 75},
  [4812] = {.lex_state = 0},
  [4813] = {.lex_state = 75},
  [4814] = {.lex_state = 0},
  [4815] = {.lex_state = 0},
  [4816] = {.lex_state = 75},
  [4817] = {.lex_state = 0},
  [4818] = {.lex_state = 75},
  [4819] = {.lex_state = 0},
  [4820] = {.lex_state = 12},
  [4821] = {.lex_state = 75},
  [4822] = {.lex_state = 75},
  [4823] = {.lex_state = 75},
  [4824] = {.lex_state = 75},
  [4825] = {.lex_state = 75},
  [4826] = {.lex_state = 0},
  [4827] = {.lex_state = 0},
  [4828] = {.lex_state = 0},
  [4829] = {.lex_state = 0},
  [4830] = {.lex_state = 75},
  [4831] = {.lex_state = 75},
  [4832] = {.lex_state = 0},
  [4833] = {.lex_state = 75},
  [4834] = {.lex_state = 0},
  [4835] = {.lex_state = 75},
  [4836] = {.lex_state = 75},
  [4837] = {.lex_state = 0},
  [4838] = {.lex_state = 0},
  [4839] = {.lex_state = 75},
  [4840] = {.lex_state = 75},
  [4841] = {.lex_state = 75},
  [4842] = {.lex_state = 0},
  [4843] = {.lex_state = 0},
  [4844] = {.lex_state = 1},
  [4845] = {.lex_state = 0},
  [4846] = {.lex_state = 0},
  [4847] = {.lex_state = 3},
  [4848] = {.lex_state = 0},
  [4849] = {.lex_state = 0},
  [4850] = {.lex_state = 0},
  [4851] = {.lex_state = 0},
  [4852] = {.lex_state = 0},
  [4853] = {.lex_state = 0},
  [4854] = {.lex_state = 75},
  [4855] = {.lex_state = 0},
  [4856] = {.lex_state = 0},
  [4857] = {.lex_state = 0},
  [4858] = {.lex_state = 75},
  [4859] = {.lex_state = 75},
  [4860] = {.lex_state = 0},
  [4861] = {.lex_state = 0},
  [4862] = {.lex_state = 75},
  [4863] = {.lex_state = 75},
  [4864] = {.lex_state = 0},
  [4865] = {.lex_state = 0},
  [4866] = {.lex_state = 75},
  [4867] = {.lex_state = 0},
  [4868] = {.lex_state = 0},
  [4869] = {.lex_state = 12},
  [4870] = {.lex_state = 0},
  [4871] = {.lex_state = 0},
  [4872] = {.lex_state = 0},
  [4873] = {.lex_state = 0},
  [4874] = {.lex_state = 0},
  [4875] = {.lex_state = 0},
  [4876] = {.lex_state = 75},
  [4877] = {.lex_state = 75},
  [4878] = {.lex_state = 0},
  [4879] = {.lex_state = 0},
  [4880] = {.lex_state = 0},
  [4881] = {.lex_state = 0},
  [4882] = {.lex_state = 0},
  [4883] = {.lex_state = 0},
  [4884] = {.lex_state = 0},
  [4885] = {.lex_state = 75},
  [4886] = {.lex_state = 0},
  [4887] = {.lex_state = 75},
  [4888] = {.lex_state = 75},
  [4889] = {.lex_state = 75},
  [4890] = {.lex_state = 0},
  [4891] = {.lex_state = 0},
  [4892] = {.lex_state = 0},
  [4893] = {.lex_state = 75},
  [4894] = {.lex_state = 75},
  [4895] = {.lex_state = 0},
  [4896] = {.lex_state = 1},
  [4897] = {.lex_state = 0},
  [4898] = {.lex_state = 75},
  [4899] = {.lex_state = 12},
  [4900] = {.lex_state = 0},
  [4901] = {.lex_state = 0},
  [4902] = {.lex_state = 75},
  [4903] = {.lex_state = 3},
  [4904] = {.lex_state = 0},
  [4905] = {.lex_state = 0},
  [4906] = {.lex_state = 0},
  [4907] = {.lex_state = 75},
  [4908] = {.lex_state = 12},
  [4909] = {.lex_state = 0},
  [4910] = {.lex_state = 0},
  [4911] = {.lex_state = 0},
  [4912] = {.lex_state = 0},
  [4913] = {.lex_state = 0},
  [4914] = {.lex_state = 3},
  [4915] = {.lex_state = 9},
  [4916] = {.lex_state = 0},
  [4917] = {.lex_state = 75},
  [4918] = {.lex_state = 75},
  [4919] = {.lex_state = 0},
  [4920] = {.lex_state = 75},
  [4921] = {.lex_state = 0},
  [4922] = {.lex_state = 0},
  [4923] = {.lex_state = 0},
  [4924] = {.lex_state = 0},
  [4925] = {.lex_state = 75},
  [4926] = {.lex_state = 75},
  [4927] = {.lex_state = 0},
  [4928] = {.lex_state = 0},
  [4929] = {.lex_state = 0},
  [4930] = {.lex_state = 75},
  [4931] = {.lex_state = 75},
  [4932] = {.lex_state = 0},
  [4933] = {.lex_state = 0},
  [4934] = {.lex_state = 75},
  [4935] = {.lex_state = 0},
  [4936] = {.lex_state = 75},
  [4937] = {.lex_state = 75},
  [4938] = {.lex_state = 75},
  [4939] = {.lex_state = 0},
  [4940] = {.lex_state = 0},
  [4941] = {.lex_state = 75},
  [4942] = {.lex_state = 75},
  [4943] = {.lex_state = 75},
  [4944] = {.lex_state = 0},
  [4945] = {.lex_state = 0},
  [4946] = {.lex_state = 0},
  [4947] = {.lex_state = 0},
  [4948] = {.lex_state = 0},
  [4949] = {.lex_state = 75},
  [4950] = {.lex_state = 75},
  [4951] = {.lex_state = 75},
  [4952] = {.lex_state = 75},
  [4953] = {.lex_state = 0},
  [4954] = {.lex_state = 0},
  [4955] = {.lex_state = 0},
  [4956] = {.lex_state = 0},
  [4957] = {.lex_state = 75},
  [4958] = {.lex_state = 0},
  [4959] = {.lex_state = 0},
  [4960] = {.lex_state = 0},
  [4961] = {.lex_state = 0},
  [4962] = {.lex_state = 0},
  [4963] = {.lex_state = 0},
  [4964] = {.lex_state = 0},
  [4965] = {.lex_state = 0},
  [4966] = {.lex_state = 0},
  [4967] = {.lex_state = 75},
  [4968] = {.lex_state = 0},
  [4969] = {.lex_state = 0},
  [4970] = {.lex_state = 0},
  [4971] = {.lex_state = 75},
  [4972] = {.lex_state = 0},
  [4973] = {.lex_state = 0},
  [4974] = {.lex_state = 0},
  [4975] = {.lex_state = 75},
  [4976] = {.lex_state = 0},
  [4977] = {.lex_state = 75},
  [4978] = {.lex_state = 75},
  [4979] = {.lex_state = 0},
  [4980] = {.lex_state = 75},
  [4981] = {.lex_state = 0},
  [4982] = {.lex_state = 75},
  [4983] = {.lex_state = 75},
  [4984] = {.lex_state = 0},
  [4985] = {.lex_state = 0},
  [4986] = {.lex_state = 75},
  [4987] = {.lex_state = 0},
  [4988] = {.lex_state = 75},
  [4989] = {.lex_state = 0},
  [4990] = {.lex_state = 0},
  [4991] = {.lex_state = 75},
  [4992] = {.lex_state = 75},
  [4993] = {.lex_state = 0},
  [4994] = {.lex_state = 75},
  [4995] = {.lex_state = 75},
  [4996] = {.lex_state = 75},
  [4997] = {.lex_state = 0},
  [4998] = {.lex_state = 0},
  [4999] = {.lex_state = 0},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_PIPE_PIPE = 3,
  ts_external_token__function_signature_automatic_semicolon = 4,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
};

static const bool ts_external_scanner_states[7][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [2] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [3] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_property] = ACTIONS(1),
    [anon_sym_signal] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_required] = ACTIONS(1),
    [anon_sym_component] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [anon_sym_pragma] = ACTIONS(1),
    [aux_sym_ui_version_specifier_token1] = ACTIONS(1),
    [anon_sym_list] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(4993),
    [sym_ui_pragma] = STATE(2360),
    [sym_ui_import] = STATE(2360),
    [sym_ui_object_definition] = STATE(4990),
    [sym_ui_annotated_object] = STATE(4990),
    [sym_ui_annotation] = STATE(2748),
    [sym_ui_nested_identifier] = STATE(3985),
    [aux_sym_program_repeat1] = STATE(2360),
    [aux_sym_ui_annotated_object_repeat1] = STATE(2749),
    [sym_identifier] = ACTIONS(5),
    [sym_hash_bang_line] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_type] = ACTIONS(9),
    [anon_sym_namespace] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_of] = ACTIONS(9),
    [anon_sym_async] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(9),
    [anon_sym_readonly] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(9),
    [anon_sym_set] = ACTIONS(9),
    [anon_sym_declare] = ACTIONS(9),
    [anon_sym_public] = ACTIONS(9),
    [anon_sym_private] = ACTIONS(9),
    [anon_sym_protected] = ACTIONS(9),
    [anon_sym_override] = ACTIONS(9),
    [anon_sym_module] = ACTIONS(9),
    [anon_sym_any] = ACTIONS(9),
    [anon_sym_number] = ACTIONS(9),
    [anon_sym_boolean] = ACTIONS(9),
    [anon_sym_string] = ACTIONS(9),
    [anon_sym_symbol] = ACTIONS(9),
    [anon_sym_property] = ACTIONS(9),
    [anon_sym_signal] = ACTIONS(9),
    [anon_sym_on] = ACTIONS(9),
    [anon_sym_required] = ACTIONS(9),
    [anon_sym_component] = ACTIONS(9),
    [anon_sym_pragma] = ACTIONS(15),
  },
  [2] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3549),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(422),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(17),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_EQ] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(30),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(34),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(38),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_RPAREN] = ACTIONS(32),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_COLON] = ACTIONS(32),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(64),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(74),
    [anon_sym_DASH] = ACTIONS(74),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(78),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(82),
    [anon_sym_DASH_DASH] = ACTIONS(82),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(99),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(103),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(107),
    [anon_sym_number] = ACTIONS(107),
    [anon_sym_boolean] = ACTIONS(107),
    [anon_sym_string] = ACTIONS(107),
    [anon_sym_symbol] = ACTIONS(107),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [3] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3549),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(422),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(17),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(30),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(34),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(38),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(64),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(74),
    [anon_sym_DASH] = ACTIONS(74),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(78),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(82),
    [anon_sym_DASH_DASH] = ACTIONS(82),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(99),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(103),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(107),
    [anon_sym_number] = ACTIONS(107),
    [anon_sym_boolean] = ACTIONS(107),
    [anon_sym_string] = ACTIONS(107),
    [anon_sym_symbol] = ACTIONS(107),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [4] = {
    [sym_export_statement] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_for_in_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_with_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_debugger_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_empty_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4804),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4804),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4804),
    [sym_spread_element] = STATE(4054),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2168),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4054),
    [sym_pair] = STATE(4054),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(3325),
    [sym_computed_property_name] = STATE(3325),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_accessibility_modifier] = STATE(2447),
    [sym_override_modifier] = STATE(2476),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(21),
    [aux_sym_object_repeat1] = STATE(3982),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_type] = ACTIONS(133),
    [anon_sym_namespace] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_COMMA] = ACTIONS(139),
    [anon_sym_RBRACE] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(147),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(213),
    [sym_private_property_identifier] = ACTIONS(215),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(221),
    [anon_sym_readonly] = ACTIONS(223),
    [anon_sym_get] = ACTIONS(225),
    [anon_sym_set] = ACTIONS(225),
    [anon_sym_declare] = ACTIONS(227),
    [anon_sym_public] = ACTIONS(229),
    [anon_sym_private] = ACTIONS(229),
    [anon_sym_protected] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_module] = ACTIONS(233),
    [anon_sym_any] = ACTIONS(147),
    [anon_sym_number] = ACTIONS(147),
    [anon_sym_boolean] = ACTIONS(147),
    [anon_sym_string] = ACTIONS(147),
    [anon_sym_symbol] = ACTIONS(147),
    [anon_sym_property] = ACTIONS(147),
    [anon_sym_signal] = ACTIONS(147),
    [anon_sym_on] = ACTIONS(147),
    [anon_sym_required] = ACTIONS(147),
    [anon_sym_component] = ACTIONS(147),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [5] = {
    [sym_export_statement] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4804),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4804),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4804),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2168),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(3325),
    [sym_computed_property_name] = STATE(3325),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_accessibility_modifier] = STATE(2447),
    [sym_override_modifier] = STATE(2476),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(23),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(241),
    [anon_sym_export] = ACTIONS(243),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_type] = ACTIONS(245),
    [anon_sym_namespace] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_COMMA] = ACTIONS(139),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(251),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(251),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(213),
    [sym_private_property_identifier] = ACTIONS(215),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_get] = ACTIONS(259),
    [anon_sym_set] = ACTIONS(259),
    [anon_sym_declare] = ACTIONS(261),
    [anon_sym_public] = ACTIONS(263),
    [anon_sym_private] = ACTIONS(263),
    [anon_sym_protected] = ACTIONS(263),
    [anon_sym_override] = ACTIONS(265),
    [anon_sym_module] = ACTIONS(267),
    [anon_sym_any] = ACTIONS(251),
    [anon_sym_number] = ACTIONS(251),
    [anon_sym_boolean] = ACTIONS(251),
    [anon_sym_string] = ACTIONS(251),
    [anon_sym_symbol] = ACTIONS(251),
    [anon_sym_property] = ACTIONS(251),
    [anon_sym_signal] = ACTIONS(251),
    [anon_sym_on] = ACTIONS(251),
    [anon_sym_required] = ACTIONS(251),
    [anon_sym_component] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [6] = {
    [sym_export_statement] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4804),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4804),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4804),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2168),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(3325),
    [sym_computed_property_name] = STATE(3325),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_accessibility_modifier] = STATE(2447),
    [sym_override_modifier] = STATE(2476),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(23),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_export] = ACTIONS(271),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_type] = ACTIONS(273),
    [anon_sym_namespace] = ACTIONS(275),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_COMMA] = ACTIONS(139),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(277),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(277),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(279),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(213),
    [sym_private_property_identifier] = ACTIONS(215),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(281),
    [anon_sym_readonly] = ACTIONS(283),
    [anon_sym_get] = ACTIONS(285),
    [anon_sym_set] = ACTIONS(285),
    [anon_sym_declare] = ACTIONS(287),
    [anon_sym_public] = ACTIONS(289),
    [anon_sym_private] = ACTIONS(289),
    [anon_sym_protected] = ACTIONS(289),
    [anon_sym_override] = ACTIONS(291),
    [anon_sym_module] = ACTIONS(293),
    [anon_sym_any] = ACTIONS(277),
    [anon_sym_number] = ACTIONS(277),
    [anon_sym_boolean] = ACTIONS(277),
    [anon_sym_string] = ACTIONS(277),
    [anon_sym_symbol] = ACTIONS(277),
    [anon_sym_property] = ACTIONS(277),
    [anon_sym_signal] = ACTIONS(277),
    [anon_sym_on] = ACTIONS(277),
    [anon_sym_required] = ACTIONS(277),
    [anon_sym_component] = ACTIONS(277),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [7] = {
    [sym_export_statement] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_for_in_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_try_statement] = STATE(31),
    [sym_with_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_debugger_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_throw_statement] = STATE(31),
    [sym_empty_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4804),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4804),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4804),
    [sym_spread_element] = STATE(4054),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2168),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4054),
    [sym_pair] = STATE(4054),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(3325),
    [sym_computed_property_name] = STATE(3325),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_accessibility_modifier] = STATE(2447),
    [sym_override_modifier] = STATE(2476),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(31),
    [aux_sym_object_repeat1] = STATE(3982),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_type] = ACTIONS(133),
    [anon_sym_namespace] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_COMMA] = ACTIONS(139),
    [anon_sym_RBRACE] = ACTIONS(295),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(147),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(213),
    [sym_private_property_identifier] = ACTIONS(215),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(221),
    [anon_sym_readonly] = ACTIONS(223),
    [anon_sym_get] = ACTIONS(225),
    [anon_sym_set] = ACTIONS(225),
    [anon_sym_declare] = ACTIONS(227),
    [anon_sym_public] = ACTIONS(229),
    [anon_sym_private] = ACTIONS(229),
    [anon_sym_protected] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_module] = ACTIONS(233),
    [anon_sym_any] = ACTIONS(147),
    [anon_sym_number] = ACTIONS(147),
    [anon_sym_boolean] = ACTIONS(147),
    [anon_sym_string] = ACTIONS(147),
    [anon_sym_symbol] = ACTIONS(147),
    [anon_sym_property] = ACTIONS(147),
    [anon_sym_signal] = ACTIONS(147),
    [anon_sym_on] = ACTIONS(147),
    [anon_sym_required] = ACTIONS(147),
    [anon_sym_component] = ACTIONS(147),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [8] = {
    [sym_export_statement] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_for_in_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_with_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_debugger_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_empty_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4804),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4804),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4804),
    [sym_spread_element] = STATE(4054),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2168),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4054),
    [sym_pair] = STATE(4054),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(3325),
    [sym_computed_property_name] = STATE(3325),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_accessibility_modifier] = STATE(2447),
    [sym_override_modifier] = STATE(2476),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(17),
    [aux_sym_object_repeat1] = STATE(3982),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_type] = ACTIONS(133),
    [anon_sym_namespace] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_COMMA] = ACTIONS(139),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(147),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(213),
    [sym_private_property_identifier] = ACTIONS(215),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(221),
    [anon_sym_readonly] = ACTIONS(223),
    [anon_sym_get] = ACTIONS(225),
    [anon_sym_set] = ACTIONS(225),
    [anon_sym_declare] = ACTIONS(227),
    [anon_sym_public] = ACTIONS(229),
    [anon_sym_private] = ACTIONS(229),
    [anon_sym_protected] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_module] = ACTIONS(233),
    [anon_sym_any] = ACTIONS(147),
    [anon_sym_number] = ACTIONS(147),
    [anon_sym_boolean] = ACTIONS(147),
    [anon_sym_string] = ACTIONS(147),
    [anon_sym_symbol] = ACTIONS(147),
    [anon_sym_property] = ACTIONS(147),
    [anon_sym_signal] = ACTIONS(147),
    [anon_sym_on] = ACTIONS(147),
    [anon_sym_required] = ACTIONS(147),
    [anon_sym_component] = ACTIONS(147),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [9] = {
    [sym_export_statement] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4804),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4804),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4804),
    [sym_spread_element] = STATE(4003),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2168),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(3325),
    [sym_computed_property_name] = STATE(3325),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_accessibility_modifier] = STATE(2447),
    [sym_override_modifier] = STATE(2476),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(23),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_type] = ACTIONS(303),
    [anon_sym_namespace] = ACTIONS(305),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_COMMA] = ACTIONS(139),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(307),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(309),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(213),
    [sym_private_property_identifier] = ACTIONS(215),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(311),
    [anon_sym_readonly] = ACTIONS(313),
    [anon_sym_get] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(315),
    [anon_sym_declare] = ACTIONS(317),
    [anon_sym_public] = ACTIONS(319),
    [anon_sym_private] = ACTIONS(319),
    [anon_sym_protected] = ACTIONS(319),
    [anon_sym_override] = ACTIONS(321),
    [anon_sym_module] = ACTIONS(323),
    [anon_sym_any] = ACTIONS(307),
    [anon_sym_number] = ACTIONS(307),
    [anon_sym_boolean] = ACTIONS(307),
    [anon_sym_string] = ACTIONS(307),
    [anon_sym_symbol] = ACTIONS(307),
    [anon_sym_property] = ACTIONS(307),
    [anon_sym_signal] = ACTIONS(307),
    [anon_sym_on] = ACTIONS(307),
    [anon_sym_required] = ACTIONS(307),
    [anon_sym_component] = ACTIONS(307),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [10] = {
    [sym_export_statement] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_for_in_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_with_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_debugger_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_empty_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4804),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4804),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4804),
    [sym_spread_element] = STATE(4054),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2168),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4054),
    [sym_pair] = STATE(4054),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(3325),
    [sym_computed_property_name] = STATE(3325),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_accessibility_modifier] = STATE(2447),
    [sym_override_modifier] = STATE(2476),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(17),
    [aux_sym_object_repeat1] = STATE(3982),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_type] = ACTIONS(133),
    [anon_sym_namespace] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_COMMA] = ACTIONS(139),
    [anon_sym_RBRACE] = ACTIONS(325),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(147),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(213),
    [sym_private_property_identifier] = ACTIONS(215),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(221),
    [anon_sym_readonly] = ACTIONS(223),
    [anon_sym_get] = ACTIONS(225),
    [anon_sym_set] = ACTIONS(225),
    [anon_sym_declare] = ACTIONS(227),
    [anon_sym_public] = ACTIONS(229),
    [anon_sym_private] = ACTIONS(229),
    [anon_sym_protected] = ACTIONS(229),
    [anon_sym_override] = ACTIONS(231),
    [anon_sym_module] = ACTIONS(233),
    [anon_sym_any] = ACTIONS(147),
    [anon_sym_number] = ACTIONS(147),
    [anon_sym_boolean] = ACTIONS(147),
    [anon_sym_string] = ACTIONS(147),
    [anon_sym_symbol] = ACTIONS(147),
    [anon_sym_property] = ACTIONS(147),
    [anon_sym_signal] = ACTIONS(147),
    [anon_sym_on] = ACTIONS(147),
    [anon_sym_required] = ACTIONS(147),
    [anon_sym_component] = ACTIONS(147),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [11] = {
    [sym_export_statement] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_in_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_with_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_debugger_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(331),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_case] = ACTIONS(331),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [12] = {
    [sym_export_statement] = STATE(13),
    [sym_declaration] = STATE(13),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(13),
    [sym_expression_statement] = STATE(13),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_for_in_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_statement] = STATE(13),
    [sym_try_statement] = STATE(13),
    [sym_with_statement] = STATE(13),
    [sym_break_statement] = STATE(13),
    [sym_continue_statement] = STATE(13),
    [sym_debugger_statement] = STATE(13),
    [sym_return_statement] = STATE(13),
    [sym_throw_statement] = STATE(13),
    [sym_empty_statement] = STATE(13),
    [sym_labeled_statement] = STATE(13),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(351),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(353),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_case] = ACTIONS(351),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [13] = {
    [sym_export_statement] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_in_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_with_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_debugger_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(355),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_case] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [14] = {
    [sym_export_statement] = STATE(11),
    [sym_declaration] = STATE(11),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(11),
    [sym_expression_statement] = STATE(11),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_switch_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_for_in_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_do_statement] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_with_statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_debugger_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_throw_statement] = STATE(11),
    [sym_empty_statement] = STATE(11),
    [sym_labeled_statement] = STATE(11),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(11),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(359),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_case] = ACTIONS(359),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [15] = {
    [sym_export_statement] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_in_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_with_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_debugger_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(363),
    [anon_sym_export] = ACTIONS(366),
    [anon_sym_default] = ACTIONS(369),
    [anon_sym_type] = ACTIONS(371),
    [anon_sym_namespace] = ACTIONS(374),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_RBRACE] = ACTIONS(380),
    [anon_sym_typeof] = ACTIONS(382),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_from] = ACTIONS(388),
    [anon_sym_var] = ACTIONS(391),
    [anon_sym_let] = ACTIONS(394),
    [anon_sym_const] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(400),
    [anon_sym_if] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(406),
    [anon_sym_for] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(412),
    [anon_sym_await] = ACTIONS(415),
    [anon_sym_of] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(418),
    [anon_sym_do] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(424),
    [anon_sym_with] = ACTIONS(427),
    [anon_sym_break] = ACTIONS(430),
    [anon_sym_continue] = ACTIONS(433),
    [anon_sym_debugger] = ACTIONS(436),
    [anon_sym_return] = ACTIONS(439),
    [anon_sym_throw] = ACTIONS(442),
    [anon_sym_SEMI] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(369),
    [anon_sym_yield] = ACTIONS(448),
    [anon_sym_LBRACK] = ACTIONS(451),
    [anon_sym_LT] = ACTIONS(454),
    [anon_sym_SLASH] = ACTIONS(457),
    [anon_sym_class] = ACTIONS(460),
    [anon_sym_async] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_TILDE] = ACTIONS(400),
    [anon_sym_void] = ACTIONS(382),
    [anon_sym_delete] = ACTIONS(382),
    [anon_sym_PLUS_PLUS] = ACTIONS(472),
    [anon_sym_DASH_DASH] = ACTIONS(472),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [anon_sym_SQUOTE] = ACTIONS(478),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(481),
    [sym_number] = ACTIONS(484),
    [sym_this] = ACTIONS(487),
    [sym_super] = ACTIONS(487),
    [sym_true] = ACTIONS(487),
    [sym_false] = ACTIONS(487),
    [sym_null] = ACTIONS(487),
    [sym_undefined] = ACTIONS(490),
    [anon_sym_AT] = ACTIONS(493),
    [anon_sym_static] = ACTIONS(388),
    [anon_sym_readonly] = ACTIONS(388),
    [anon_sym_get] = ACTIONS(388),
    [anon_sym_set] = ACTIONS(388),
    [anon_sym_declare] = ACTIONS(496),
    [anon_sym_public] = ACTIONS(388),
    [anon_sym_private] = ACTIONS(388),
    [anon_sym_protected] = ACTIONS(388),
    [anon_sym_override] = ACTIONS(388),
    [anon_sym_module] = ACTIONS(499),
    [anon_sym_any] = ACTIONS(388),
    [anon_sym_number] = ACTIONS(388),
    [anon_sym_boolean] = ACTIONS(388),
    [anon_sym_string] = ACTIONS(388),
    [anon_sym_symbol] = ACTIONS(388),
    [anon_sym_property] = ACTIONS(388),
    [anon_sym_signal] = ACTIONS(388),
    [anon_sym_on] = ACTIONS(388),
    [anon_sym_required] = ACTIONS(388),
    [anon_sym_component] = ACTIONS(388),
    [anon_sym_abstract] = ACTIONS(502),
    [anon_sym_interface] = ACTIONS(505),
    [anon_sym_enum] = ACTIONS(508),
  },
  [16] = {
    [sym_export_statement] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_in_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_with_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_debugger_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(511),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [17] = {
    [sym_export_statement] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_in_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_with_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_debugger_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(513),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [18] = {
    [sym_export_statement] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_in_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_with_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_debugger_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(515),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [19] = {
    [sym_export_statement] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_for_in_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_with_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_debugger_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_empty_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(16),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(517),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [20] = {
    [sym_export_statement] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_in_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_with_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_debugger_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(18),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(519),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [21] = {
    [sym_export_statement] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_in_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_with_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_debugger_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(521),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [22] = {
    [sym_export_statement] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_for_in_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_try_statement] = STATE(31),
    [sym_with_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_debugger_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_throw_statement] = STATE(31),
    [sym_empty_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(31),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(523),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [23] = {
    [sym_export_statement] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_in_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_with_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_debugger_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(525),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [24] = {
    [sym_export_statement] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_in_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_with_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_debugger_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(527),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [25] = {
    [sym_export_statement] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_for_in_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_with_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_debugger_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_empty_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(17),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [26] = {
    [sym_export_statement] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_for_in_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_with_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_debugger_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_empty_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(21),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(531),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [27] = {
    [sym_export_statement] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_in_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_with_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_debugger_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(533),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [28] = {
    [sym_export_statement] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(23),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(535),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [29] = {
    [sym_export_statement] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_for_in_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_try_statement] = STATE(27),
    [sym_with_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_debugger_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_throw_statement] = STATE(27),
    [sym_empty_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(27),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(537),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [30] = {
    [sym_export_statement] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_for_in_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_with_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_debugger_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_empty_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(24),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(539),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [31] = {
    [sym_export_statement] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_in_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_with_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_debugger_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [aux_sym_statement_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_RBRACE] = ACTIONS(541),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [32] = {
    [sym_export_statement] = STATE(2568),
    [sym_declaration] = STATE(2568),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(2568),
    [sym_expression_statement] = STATE(2568),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_statement_block] = STATE(2568),
    [sym_if_statement] = STATE(2568),
    [sym_switch_statement] = STATE(2568),
    [sym_for_statement] = STATE(2568),
    [sym_for_in_statement] = STATE(2568),
    [sym_while_statement] = STATE(2568),
    [sym_do_statement] = STATE(2568),
    [sym_try_statement] = STATE(2568),
    [sym_with_statement] = STATE(2568),
    [sym_break_statement] = STATE(2568),
    [sym_continue_statement] = STATE(2568),
    [sym_debugger_statement] = STATE(2568),
    [sym_return_statement] = STATE(2568),
    [sym_throw_statement] = STATE(2568),
    [sym_empty_statement] = STATE(2568),
    [sym_labeled_statement] = STATE(2568),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(2559),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(2559),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(908),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3506),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_export] = ACTIONS(545),
    [anon_sym_type] = ACTIONS(547),
    [anon_sym_namespace] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(553),
    [anon_sym_from] = ACTIONS(555),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(559),
    [anon_sym_const] = ACTIONS(561),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_break] = ACTIONS(577),
    [anon_sym_continue] = ACTIONS(579),
    [anon_sym_debugger] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(589),
    [anon_sym_async] = ACTIONS(591),
    [anon_sym_function] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(555),
    [anon_sym_readonly] = ACTIONS(555),
    [anon_sym_get] = ACTIONS(555),
    [anon_sym_set] = ACTIONS(555),
    [anon_sym_declare] = ACTIONS(595),
    [anon_sym_public] = ACTIONS(555),
    [anon_sym_private] = ACTIONS(555),
    [anon_sym_protected] = ACTIONS(555),
    [anon_sym_override] = ACTIONS(555),
    [anon_sym_module] = ACTIONS(597),
    [anon_sym_any] = ACTIONS(555),
    [anon_sym_number] = ACTIONS(555),
    [anon_sym_boolean] = ACTIONS(555),
    [anon_sym_string] = ACTIONS(555),
    [anon_sym_symbol] = ACTIONS(555),
    [anon_sym_property] = ACTIONS(555),
    [anon_sym_signal] = ACTIONS(555),
    [anon_sym_on] = ACTIONS(555),
    [anon_sym_required] = ACTIONS(555),
    [anon_sym_component] = ACTIONS(555),
    [anon_sym_abstract] = ACTIONS(599),
    [anon_sym_interface] = ACTIONS(601),
    [anon_sym_enum] = ACTIONS(603),
  },
  [33] = {
    [sym_export_statement] = STATE(4836),
    [sym_declaration] = STATE(4836),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(4836),
    [sym_expression_statement] = STATE(4836),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(4836),
    [sym_if_statement] = STATE(4836),
    [sym_switch_statement] = STATE(4836),
    [sym_for_statement] = STATE(4836),
    [sym_for_in_statement] = STATE(4836),
    [sym_while_statement] = STATE(4836),
    [sym_do_statement] = STATE(4836),
    [sym_try_statement] = STATE(4836),
    [sym_with_statement] = STATE(4836),
    [sym_break_statement] = STATE(4836),
    [sym_continue_statement] = STATE(4836),
    [sym_debugger_statement] = STATE(4836),
    [sym_return_statement] = STATE(4836),
    [sym_throw_statement] = STATE(4836),
    [sym_empty_statement] = STATE(4836),
    [sym_labeled_statement] = STATE(4836),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(2151),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(605),
    [anon_sym_export] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(609),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(613),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(615),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(615),
    [anon_sym_readonly] = ACTIONS(615),
    [anon_sym_get] = ACTIONS(615),
    [anon_sym_set] = ACTIONS(615),
    [anon_sym_declare] = ACTIONS(631),
    [anon_sym_public] = ACTIONS(615),
    [anon_sym_private] = ACTIONS(615),
    [anon_sym_protected] = ACTIONS(615),
    [anon_sym_override] = ACTIONS(615),
    [anon_sym_module] = ACTIONS(633),
    [anon_sym_any] = ACTIONS(615),
    [anon_sym_number] = ACTIONS(615),
    [anon_sym_boolean] = ACTIONS(615),
    [anon_sym_string] = ACTIONS(615),
    [anon_sym_symbol] = ACTIONS(615),
    [anon_sym_property] = ACTIONS(615),
    [anon_sym_signal] = ACTIONS(615),
    [anon_sym_on] = ACTIONS(615),
    [anon_sym_required] = ACTIONS(615),
    [anon_sym_component] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [34] = {
    [sym_export_statement] = STATE(715),
    [sym_declaration] = STATE(715),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(715),
    [sym_expression_statement] = STATE(715),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(715),
    [sym_if_statement] = STATE(715),
    [sym_switch_statement] = STATE(715),
    [sym_for_statement] = STATE(715),
    [sym_for_in_statement] = STATE(715),
    [sym_while_statement] = STATE(715),
    [sym_do_statement] = STATE(715),
    [sym_try_statement] = STATE(715),
    [sym_with_statement] = STATE(715),
    [sym_break_statement] = STATE(715),
    [sym_continue_statement] = STATE(715),
    [sym_debugger_statement] = STATE(715),
    [sym_return_statement] = STATE(715),
    [sym_throw_statement] = STATE(715),
    [sym_empty_statement] = STATE(715),
    [sym_labeled_statement] = STATE(715),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [35] = {
    [sym_export_statement] = STATE(2571),
    [sym_declaration] = STATE(2571),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(2571),
    [sym_expression_statement] = STATE(2571),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_statement_block] = STATE(2571),
    [sym_if_statement] = STATE(2571),
    [sym_switch_statement] = STATE(2571),
    [sym_for_statement] = STATE(2571),
    [sym_for_in_statement] = STATE(2571),
    [sym_while_statement] = STATE(2571),
    [sym_do_statement] = STATE(2571),
    [sym_try_statement] = STATE(2571),
    [sym_with_statement] = STATE(2571),
    [sym_break_statement] = STATE(2571),
    [sym_continue_statement] = STATE(2571),
    [sym_debugger_statement] = STATE(2571),
    [sym_return_statement] = STATE(2571),
    [sym_throw_statement] = STATE(2571),
    [sym_empty_statement] = STATE(2571),
    [sym_labeled_statement] = STATE(2571),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(2559),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(2559),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(908),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3506),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_export] = ACTIONS(545),
    [anon_sym_type] = ACTIONS(547),
    [anon_sym_namespace] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(553),
    [anon_sym_from] = ACTIONS(555),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(559),
    [anon_sym_const] = ACTIONS(561),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_break] = ACTIONS(577),
    [anon_sym_continue] = ACTIONS(579),
    [anon_sym_debugger] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(589),
    [anon_sym_async] = ACTIONS(591),
    [anon_sym_function] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(555),
    [anon_sym_readonly] = ACTIONS(555),
    [anon_sym_get] = ACTIONS(555),
    [anon_sym_set] = ACTIONS(555),
    [anon_sym_declare] = ACTIONS(595),
    [anon_sym_public] = ACTIONS(555),
    [anon_sym_private] = ACTIONS(555),
    [anon_sym_protected] = ACTIONS(555),
    [anon_sym_override] = ACTIONS(555),
    [anon_sym_module] = ACTIONS(597),
    [anon_sym_any] = ACTIONS(555),
    [anon_sym_number] = ACTIONS(555),
    [anon_sym_boolean] = ACTIONS(555),
    [anon_sym_string] = ACTIONS(555),
    [anon_sym_symbol] = ACTIONS(555),
    [anon_sym_property] = ACTIONS(555),
    [anon_sym_signal] = ACTIONS(555),
    [anon_sym_on] = ACTIONS(555),
    [anon_sym_required] = ACTIONS(555),
    [anon_sym_component] = ACTIONS(555),
    [anon_sym_abstract] = ACTIONS(599),
    [anon_sym_interface] = ACTIONS(601),
    [anon_sym_enum] = ACTIONS(603),
  },
  [36] = {
    [sym_export_statement] = STATE(774),
    [sym_declaration] = STATE(774),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(774),
    [sym_expression_statement] = STATE(774),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(774),
    [sym_if_statement] = STATE(774),
    [sym_switch_statement] = STATE(774),
    [sym_for_statement] = STATE(774),
    [sym_for_in_statement] = STATE(774),
    [sym_while_statement] = STATE(774),
    [sym_do_statement] = STATE(774),
    [sym_try_statement] = STATE(774),
    [sym_with_statement] = STATE(774),
    [sym_break_statement] = STATE(774),
    [sym_continue_statement] = STATE(774),
    [sym_debugger_statement] = STATE(774),
    [sym_return_statement] = STATE(774),
    [sym_throw_statement] = STATE(774),
    [sym_empty_statement] = STATE(774),
    [sym_labeled_statement] = STATE(774),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(2151),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(605),
    [anon_sym_export] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(609),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(613),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(615),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(615),
    [anon_sym_readonly] = ACTIONS(615),
    [anon_sym_get] = ACTIONS(615),
    [anon_sym_set] = ACTIONS(615),
    [anon_sym_declare] = ACTIONS(631),
    [anon_sym_public] = ACTIONS(615),
    [anon_sym_private] = ACTIONS(615),
    [anon_sym_protected] = ACTIONS(615),
    [anon_sym_override] = ACTIONS(615),
    [anon_sym_module] = ACTIONS(633),
    [anon_sym_any] = ACTIONS(615),
    [anon_sym_number] = ACTIONS(615),
    [anon_sym_boolean] = ACTIONS(615),
    [anon_sym_string] = ACTIONS(615),
    [anon_sym_symbol] = ACTIONS(615),
    [anon_sym_property] = ACTIONS(615),
    [anon_sym_signal] = ACTIONS(615),
    [anon_sym_on] = ACTIONS(615),
    [anon_sym_required] = ACTIONS(615),
    [anon_sym_component] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [37] = {
    [sym_export_statement] = STATE(825),
    [sym_declaration] = STATE(823),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(821),
    [sym_expression_statement] = STATE(820),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(819),
    [sym_if_statement] = STATE(818),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(815),
    [sym_for_in_statement] = STATE(813),
    [sym_while_statement] = STATE(810),
    [sym_do_statement] = STATE(809),
    [sym_try_statement] = STATE(802),
    [sym_with_statement] = STATE(792),
    [sym_break_statement] = STATE(789),
    [sym_continue_statement] = STATE(785),
    [sym_debugger_statement] = STATE(782),
    [sym_return_statement] = STATE(778),
    [sym_throw_statement] = STATE(777),
    [sym_empty_statement] = STATE(776),
    [sym_labeled_statement] = STATE(775),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(2151),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(605),
    [anon_sym_export] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(609),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(613),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(615),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(615),
    [anon_sym_readonly] = ACTIONS(615),
    [anon_sym_get] = ACTIONS(615),
    [anon_sym_set] = ACTIONS(615),
    [anon_sym_declare] = ACTIONS(631),
    [anon_sym_public] = ACTIONS(615),
    [anon_sym_private] = ACTIONS(615),
    [anon_sym_protected] = ACTIONS(615),
    [anon_sym_override] = ACTIONS(615),
    [anon_sym_module] = ACTIONS(633),
    [anon_sym_any] = ACTIONS(615),
    [anon_sym_number] = ACTIONS(615),
    [anon_sym_boolean] = ACTIONS(615),
    [anon_sym_string] = ACTIONS(615),
    [anon_sym_symbol] = ACTIONS(615),
    [anon_sym_property] = ACTIONS(615),
    [anon_sym_signal] = ACTIONS(615),
    [anon_sym_on] = ACTIONS(615),
    [anon_sym_required] = ACTIONS(615),
    [anon_sym_component] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [38] = {
    [sym_export_statement] = STATE(694),
    [sym_declaration] = STATE(694),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(694),
    [sym_expression_statement] = STATE(694),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(694),
    [sym_if_statement] = STATE(694),
    [sym_switch_statement] = STATE(694),
    [sym_for_statement] = STATE(694),
    [sym_for_in_statement] = STATE(694),
    [sym_while_statement] = STATE(694),
    [sym_do_statement] = STATE(694),
    [sym_try_statement] = STATE(694),
    [sym_with_statement] = STATE(694),
    [sym_break_statement] = STATE(694),
    [sym_continue_statement] = STATE(694),
    [sym_debugger_statement] = STATE(694),
    [sym_return_statement] = STATE(694),
    [sym_throw_statement] = STATE(694),
    [sym_empty_statement] = STATE(694),
    [sym_labeled_statement] = STATE(694),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [39] = {
    [sym_export_statement] = STATE(842),
    [sym_declaration] = STATE(842),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(842),
    [sym_expression_statement] = STATE(842),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(842),
    [sym_if_statement] = STATE(842),
    [sym_switch_statement] = STATE(842),
    [sym_for_statement] = STATE(842),
    [sym_for_in_statement] = STATE(842),
    [sym_while_statement] = STATE(842),
    [sym_do_statement] = STATE(842),
    [sym_try_statement] = STATE(842),
    [sym_with_statement] = STATE(842),
    [sym_break_statement] = STATE(842),
    [sym_continue_statement] = STATE(842),
    [sym_debugger_statement] = STATE(842),
    [sym_return_statement] = STATE(842),
    [sym_throw_statement] = STATE(842),
    [sym_empty_statement] = STATE(842),
    [sym_labeled_statement] = STATE(842),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(2151),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(605),
    [anon_sym_export] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(609),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(613),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(615),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(615),
    [anon_sym_readonly] = ACTIONS(615),
    [anon_sym_get] = ACTIONS(615),
    [anon_sym_set] = ACTIONS(615),
    [anon_sym_declare] = ACTIONS(631),
    [anon_sym_public] = ACTIONS(615),
    [anon_sym_private] = ACTIONS(615),
    [anon_sym_protected] = ACTIONS(615),
    [anon_sym_override] = ACTIONS(615),
    [anon_sym_module] = ACTIONS(633),
    [anon_sym_any] = ACTIONS(615),
    [anon_sym_number] = ACTIONS(615),
    [anon_sym_boolean] = ACTIONS(615),
    [anon_sym_string] = ACTIONS(615),
    [anon_sym_symbol] = ACTIONS(615),
    [anon_sym_property] = ACTIONS(615),
    [anon_sym_signal] = ACTIONS(615),
    [anon_sym_on] = ACTIONS(615),
    [anon_sym_required] = ACTIONS(615),
    [anon_sym_component] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [40] = {
    [sym_export_statement] = STATE(822),
    [sym_declaration] = STATE(822),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(822),
    [sym_expression_statement] = STATE(822),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(822),
    [sym_if_statement] = STATE(822),
    [sym_switch_statement] = STATE(822),
    [sym_for_statement] = STATE(822),
    [sym_for_in_statement] = STATE(822),
    [sym_while_statement] = STATE(822),
    [sym_do_statement] = STATE(822),
    [sym_try_statement] = STATE(822),
    [sym_with_statement] = STATE(822),
    [sym_break_statement] = STATE(822),
    [sym_continue_statement] = STATE(822),
    [sym_debugger_statement] = STATE(822),
    [sym_return_statement] = STATE(822),
    [sym_throw_statement] = STATE(822),
    [sym_empty_statement] = STATE(822),
    [sym_labeled_statement] = STATE(822),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [41] = {
    [sym_export_statement] = STATE(2503),
    [sym_declaration] = STATE(2503),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(2503),
    [sym_expression_statement] = STATE(2503),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(2503),
    [sym_if_statement] = STATE(2503),
    [sym_switch_statement] = STATE(2503),
    [sym_for_statement] = STATE(2503),
    [sym_for_in_statement] = STATE(2503),
    [sym_while_statement] = STATE(2503),
    [sym_do_statement] = STATE(2503),
    [sym_try_statement] = STATE(2503),
    [sym_with_statement] = STATE(2503),
    [sym_break_statement] = STATE(2503),
    [sym_continue_statement] = STATE(2503),
    [sym_debugger_statement] = STATE(2503),
    [sym_return_statement] = STATE(2503),
    [sym_throw_statement] = STATE(2503),
    [sym_empty_statement] = STATE(2503),
    [sym_labeled_statement] = STATE(2503),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(2151),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(605),
    [anon_sym_export] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(609),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(613),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(615),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(615),
    [anon_sym_readonly] = ACTIONS(615),
    [anon_sym_get] = ACTIONS(615),
    [anon_sym_set] = ACTIONS(615),
    [anon_sym_declare] = ACTIONS(631),
    [anon_sym_public] = ACTIONS(615),
    [anon_sym_private] = ACTIONS(615),
    [anon_sym_protected] = ACTIONS(615),
    [anon_sym_override] = ACTIONS(615),
    [anon_sym_module] = ACTIONS(633),
    [anon_sym_any] = ACTIONS(615),
    [anon_sym_number] = ACTIONS(615),
    [anon_sym_boolean] = ACTIONS(615),
    [anon_sym_string] = ACTIONS(615),
    [anon_sym_symbol] = ACTIONS(615),
    [anon_sym_property] = ACTIONS(615),
    [anon_sym_signal] = ACTIONS(615),
    [anon_sym_on] = ACTIONS(615),
    [anon_sym_required] = ACTIONS(615),
    [anon_sym_component] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [42] = {
    [sym_export_statement] = STATE(4043),
    [sym_declaration] = STATE(4043),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(4043),
    [sym_expression_statement] = STATE(4043),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(4043),
    [sym_if_statement] = STATE(4043),
    [sym_switch_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_for_in_statement] = STATE(4043),
    [sym_while_statement] = STATE(4043),
    [sym_do_statement] = STATE(4043),
    [sym_try_statement] = STATE(4043),
    [sym_with_statement] = STATE(4043),
    [sym_break_statement] = STATE(4043),
    [sym_continue_statement] = STATE(4043),
    [sym_debugger_statement] = STATE(4043),
    [sym_return_statement] = STATE(4043),
    [sym_throw_statement] = STATE(4043),
    [sym_empty_statement] = STATE(4043),
    [sym_labeled_statement] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(2151),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(605),
    [anon_sym_export] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(609),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(613),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(615),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(615),
    [anon_sym_readonly] = ACTIONS(615),
    [anon_sym_get] = ACTIONS(615),
    [anon_sym_set] = ACTIONS(615),
    [anon_sym_declare] = ACTIONS(631),
    [anon_sym_public] = ACTIONS(615),
    [anon_sym_private] = ACTIONS(615),
    [anon_sym_protected] = ACTIONS(615),
    [anon_sym_override] = ACTIONS(615),
    [anon_sym_module] = ACTIONS(633),
    [anon_sym_any] = ACTIONS(615),
    [anon_sym_number] = ACTIONS(615),
    [anon_sym_boolean] = ACTIONS(615),
    [anon_sym_string] = ACTIONS(615),
    [anon_sym_symbol] = ACTIONS(615),
    [anon_sym_property] = ACTIONS(615),
    [anon_sym_signal] = ACTIONS(615),
    [anon_sym_on] = ACTIONS(615),
    [anon_sym_required] = ACTIONS(615),
    [anon_sym_component] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [43] = {
    [sym_export_statement] = STATE(715),
    [sym_declaration] = STATE(715),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(715),
    [sym_expression_statement] = STATE(715),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(715),
    [sym_if_statement] = STATE(715),
    [sym_switch_statement] = STATE(715),
    [sym_for_statement] = STATE(715),
    [sym_for_in_statement] = STATE(715),
    [sym_while_statement] = STATE(715),
    [sym_do_statement] = STATE(715),
    [sym_try_statement] = STATE(715),
    [sym_with_statement] = STATE(715),
    [sym_break_statement] = STATE(715),
    [sym_continue_statement] = STATE(715),
    [sym_debugger_statement] = STATE(715),
    [sym_return_statement] = STATE(715),
    [sym_throw_statement] = STATE(715),
    [sym_empty_statement] = STATE(715),
    [sym_labeled_statement] = STATE(715),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(2151),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(605),
    [anon_sym_export] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(609),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(613),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(615),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(615),
    [anon_sym_readonly] = ACTIONS(615),
    [anon_sym_get] = ACTIONS(615),
    [anon_sym_set] = ACTIONS(615),
    [anon_sym_declare] = ACTIONS(631),
    [anon_sym_public] = ACTIONS(615),
    [anon_sym_private] = ACTIONS(615),
    [anon_sym_protected] = ACTIONS(615),
    [anon_sym_override] = ACTIONS(615),
    [anon_sym_module] = ACTIONS(633),
    [anon_sym_any] = ACTIONS(615),
    [anon_sym_number] = ACTIONS(615),
    [anon_sym_boolean] = ACTIONS(615),
    [anon_sym_string] = ACTIONS(615),
    [anon_sym_symbol] = ACTIONS(615),
    [anon_sym_property] = ACTIONS(615),
    [anon_sym_signal] = ACTIONS(615),
    [anon_sym_on] = ACTIONS(615),
    [anon_sym_required] = ACTIONS(615),
    [anon_sym_component] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [44] = {
    [sym_export_statement] = STATE(830),
    [sym_declaration] = STATE(831),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(832),
    [sym_expression_statement] = STATE(834),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(835),
    [sym_if_statement] = STATE(836),
    [sym_switch_statement] = STATE(837),
    [sym_for_statement] = STATE(838),
    [sym_for_in_statement] = STATE(787),
    [sym_while_statement] = STATE(716),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(725),
    [sym_with_statement] = STATE(726),
    [sym_break_statement] = STATE(727),
    [sym_continue_statement] = STATE(728),
    [sym_debugger_statement] = STATE(730),
    [sym_return_statement] = STATE(731),
    [sym_throw_statement] = STATE(752),
    [sym_empty_statement] = STATE(755),
    [sym_labeled_statement] = STATE(756),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [45] = {
    [sym_export_statement] = STATE(2670),
    [sym_declaration] = STATE(2669),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(2668),
    [sym_expression_statement] = STATE(2667),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_statement_block] = STATE(2666),
    [sym_if_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2664),
    [sym_for_statement] = STATE(2663),
    [sym_for_in_statement] = STATE(2662),
    [sym_while_statement] = STATE(2661),
    [sym_do_statement] = STATE(2660),
    [sym_try_statement] = STATE(2659),
    [sym_with_statement] = STATE(2658),
    [sym_break_statement] = STATE(2657),
    [sym_continue_statement] = STATE(2656),
    [sym_debugger_statement] = STATE(2655),
    [sym_return_statement] = STATE(2654),
    [sym_throw_statement] = STATE(2653),
    [sym_empty_statement] = STATE(2652),
    [sym_labeled_statement] = STATE(2651),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(2559),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(2559),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(908),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3506),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_export] = ACTIONS(545),
    [anon_sym_type] = ACTIONS(547),
    [anon_sym_namespace] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(553),
    [anon_sym_from] = ACTIONS(555),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(559),
    [anon_sym_const] = ACTIONS(561),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_break] = ACTIONS(577),
    [anon_sym_continue] = ACTIONS(579),
    [anon_sym_debugger] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(589),
    [anon_sym_async] = ACTIONS(591),
    [anon_sym_function] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(555),
    [anon_sym_readonly] = ACTIONS(555),
    [anon_sym_get] = ACTIONS(555),
    [anon_sym_set] = ACTIONS(555),
    [anon_sym_declare] = ACTIONS(595),
    [anon_sym_public] = ACTIONS(555),
    [anon_sym_private] = ACTIONS(555),
    [anon_sym_protected] = ACTIONS(555),
    [anon_sym_override] = ACTIONS(555),
    [anon_sym_module] = ACTIONS(597),
    [anon_sym_any] = ACTIONS(555),
    [anon_sym_number] = ACTIONS(555),
    [anon_sym_boolean] = ACTIONS(555),
    [anon_sym_string] = ACTIONS(555),
    [anon_sym_symbol] = ACTIONS(555),
    [anon_sym_property] = ACTIONS(555),
    [anon_sym_signal] = ACTIONS(555),
    [anon_sym_on] = ACTIONS(555),
    [anon_sym_required] = ACTIONS(555),
    [anon_sym_component] = ACTIONS(555),
    [anon_sym_abstract] = ACTIONS(599),
    [anon_sym_interface] = ACTIONS(601),
    [anon_sym_enum] = ACTIONS(603),
  },
  [46] = {
    [sym_export_statement] = STATE(2497),
    [sym_declaration] = STATE(2497),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(2497),
    [sym_expression_statement] = STATE(2497),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(2497),
    [sym_if_statement] = STATE(2497),
    [sym_switch_statement] = STATE(2497),
    [sym_for_statement] = STATE(2497),
    [sym_for_in_statement] = STATE(2497),
    [sym_while_statement] = STATE(2497),
    [sym_do_statement] = STATE(2497),
    [sym_try_statement] = STATE(2497),
    [sym_with_statement] = STATE(2497),
    [sym_break_statement] = STATE(2497),
    [sym_continue_statement] = STATE(2497),
    [sym_debugger_statement] = STATE(2497),
    [sym_return_statement] = STATE(2497),
    [sym_throw_statement] = STATE(2497),
    [sym_empty_statement] = STATE(2497),
    [sym_labeled_statement] = STATE(2497),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(2151),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(605),
    [anon_sym_export] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(609),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(613),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(615),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(615),
    [anon_sym_readonly] = ACTIONS(615),
    [anon_sym_get] = ACTIONS(615),
    [anon_sym_set] = ACTIONS(615),
    [anon_sym_declare] = ACTIONS(631),
    [anon_sym_public] = ACTIONS(615),
    [anon_sym_private] = ACTIONS(615),
    [anon_sym_protected] = ACTIONS(615),
    [anon_sym_override] = ACTIONS(615),
    [anon_sym_module] = ACTIONS(633),
    [anon_sym_any] = ACTIONS(615),
    [anon_sym_number] = ACTIONS(615),
    [anon_sym_boolean] = ACTIONS(615),
    [anon_sym_string] = ACTIONS(615),
    [anon_sym_symbol] = ACTIONS(615),
    [anon_sym_property] = ACTIONS(615),
    [anon_sym_signal] = ACTIONS(615),
    [anon_sym_on] = ACTIONS(615),
    [anon_sym_required] = ACTIONS(615),
    [anon_sym_component] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [47] = {
    [sym_export_statement] = STATE(842),
    [sym_declaration] = STATE(842),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(842),
    [sym_expression_statement] = STATE(842),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(842),
    [sym_if_statement] = STATE(842),
    [sym_switch_statement] = STATE(842),
    [sym_for_statement] = STATE(842),
    [sym_for_in_statement] = STATE(842),
    [sym_while_statement] = STATE(842),
    [sym_do_statement] = STATE(842),
    [sym_try_statement] = STATE(842),
    [sym_with_statement] = STATE(842),
    [sym_break_statement] = STATE(842),
    [sym_continue_statement] = STATE(842),
    [sym_debugger_statement] = STATE(842),
    [sym_return_statement] = STATE(842),
    [sym_throw_statement] = STATE(842),
    [sym_empty_statement] = STATE(842),
    [sym_labeled_statement] = STATE(842),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [48] = {
    [sym_export_statement] = STATE(2503),
    [sym_declaration] = STATE(2503),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(2503),
    [sym_expression_statement] = STATE(2503),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_statement_block] = STATE(2503),
    [sym_if_statement] = STATE(2503),
    [sym_switch_statement] = STATE(2503),
    [sym_for_statement] = STATE(2503),
    [sym_for_in_statement] = STATE(2503),
    [sym_while_statement] = STATE(2503),
    [sym_do_statement] = STATE(2503),
    [sym_try_statement] = STATE(2503),
    [sym_with_statement] = STATE(2503),
    [sym_break_statement] = STATE(2503),
    [sym_continue_statement] = STATE(2503),
    [sym_debugger_statement] = STATE(2503),
    [sym_return_statement] = STATE(2503),
    [sym_throw_statement] = STATE(2503),
    [sym_empty_statement] = STATE(2503),
    [sym_labeled_statement] = STATE(2503),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(2559),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(2559),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(908),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3506),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_export] = ACTIONS(545),
    [anon_sym_type] = ACTIONS(547),
    [anon_sym_namespace] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(553),
    [anon_sym_from] = ACTIONS(555),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(559),
    [anon_sym_const] = ACTIONS(561),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_break] = ACTIONS(577),
    [anon_sym_continue] = ACTIONS(579),
    [anon_sym_debugger] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(589),
    [anon_sym_async] = ACTIONS(591),
    [anon_sym_function] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(555),
    [anon_sym_readonly] = ACTIONS(555),
    [anon_sym_get] = ACTIONS(555),
    [anon_sym_set] = ACTIONS(555),
    [anon_sym_declare] = ACTIONS(595),
    [anon_sym_public] = ACTIONS(555),
    [anon_sym_private] = ACTIONS(555),
    [anon_sym_protected] = ACTIONS(555),
    [anon_sym_override] = ACTIONS(555),
    [anon_sym_module] = ACTIONS(597),
    [anon_sym_any] = ACTIONS(555),
    [anon_sym_number] = ACTIONS(555),
    [anon_sym_boolean] = ACTIONS(555),
    [anon_sym_string] = ACTIONS(555),
    [anon_sym_symbol] = ACTIONS(555),
    [anon_sym_property] = ACTIONS(555),
    [anon_sym_signal] = ACTIONS(555),
    [anon_sym_on] = ACTIONS(555),
    [anon_sym_required] = ACTIONS(555),
    [anon_sym_component] = ACTIONS(555),
    [anon_sym_abstract] = ACTIONS(599),
    [anon_sym_interface] = ACTIONS(601),
    [anon_sym_enum] = ACTIONS(603),
  },
  [49] = {
    [sym_export_statement] = STATE(774),
    [sym_declaration] = STATE(774),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(774),
    [sym_expression_statement] = STATE(774),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(774),
    [sym_if_statement] = STATE(774),
    [sym_switch_statement] = STATE(774),
    [sym_for_statement] = STATE(774),
    [sym_for_in_statement] = STATE(774),
    [sym_while_statement] = STATE(774),
    [sym_do_statement] = STATE(774),
    [sym_try_statement] = STATE(774),
    [sym_with_statement] = STATE(774),
    [sym_break_statement] = STATE(774),
    [sym_continue_statement] = STATE(774),
    [sym_debugger_statement] = STATE(774),
    [sym_return_statement] = STATE(774),
    [sym_throw_statement] = STATE(774),
    [sym_empty_statement] = STATE(774),
    [sym_labeled_statement] = STATE(774),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [50] = {
    [sym_export_statement] = STATE(2493),
    [sym_declaration] = STATE(2493),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(2493),
    [sym_expression_statement] = STATE(2493),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_statement_block] = STATE(2493),
    [sym_if_statement] = STATE(2493),
    [sym_switch_statement] = STATE(2493),
    [sym_for_statement] = STATE(2493),
    [sym_for_in_statement] = STATE(2493),
    [sym_while_statement] = STATE(2493),
    [sym_do_statement] = STATE(2493),
    [sym_try_statement] = STATE(2493),
    [sym_with_statement] = STATE(2493),
    [sym_break_statement] = STATE(2493),
    [sym_continue_statement] = STATE(2493),
    [sym_debugger_statement] = STATE(2493),
    [sym_return_statement] = STATE(2493),
    [sym_throw_statement] = STATE(2493),
    [sym_empty_statement] = STATE(2493),
    [sym_labeled_statement] = STATE(2493),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(2559),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(2559),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(908),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3506),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_export] = ACTIONS(545),
    [anon_sym_type] = ACTIONS(547),
    [anon_sym_namespace] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(553),
    [anon_sym_from] = ACTIONS(555),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(559),
    [anon_sym_const] = ACTIONS(561),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_break] = ACTIONS(577),
    [anon_sym_continue] = ACTIONS(579),
    [anon_sym_debugger] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(589),
    [anon_sym_async] = ACTIONS(591),
    [anon_sym_function] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(555),
    [anon_sym_readonly] = ACTIONS(555),
    [anon_sym_get] = ACTIONS(555),
    [anon_sym_set] = ACTIONS(555),
    [anon_sym_declare] = ACTIONS(595),
    [anon_sym_public] = ACTIONS(555),
    [anon_sym_private] = ACTIONS(555),
    [anon_sym_protected] = ACTIONS(555),
    [anon_sym_override] = ACTIONS(555),
    [anon_sym_module] = ACTIONS(597),
    [anon_sym_any] = ACTIONS(555),
    [anon_sym_number] = ACTIONS(555),
    [anon_sym_boolean] = ACTIONS(555),
    [anon_sym_string] = ACTIONS(555),
    [anon_sym_symbol] = ACTIONS(555),
    [anon_sym_property] = ACTIONS(555),
    [anon_sym_signal] = ACTIONS(555),
    [anon_sym_on] = ACTIONS(555),
    [anon_sym_required] = ACTIONS(555),
    [anon_sym_component] = ACTIONS(555),
    [anon_sym_abstract] = ACTIONS(599),
    [anon_sym_interface] = ACTIONS(601),
    [anon_sym_enum] = ACTIONS(603),
  },
  [51] = {
    [sym_export_statement] = STATE(825),
    [sym_declaration] = STATE(823),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(821),
    [sym_expression_statement] = STATE(820),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(819),
    [sym_if_statement] = STATE(818),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(815),
    [sym_for_in_statement] = STATE(813),
    [sym_while_statement] = STATE(810),
    [sym_do_statement] = STATE(809),
    [sym_try_statement] = STATE(802),
    [sym_with_statement] = STATE(792),
    [sym_break_statement] = STATE(789),
    [sym_continue_statement] = STATE(785),
    [sym_debugger_statement] = STATE(782),
    [sym_return_statement] = STATE(778),
    [sym_throw_statement] = STATE(777),
    [sym_empty_statement] = STATE(776),
    [sym_labeled_statement] = STATE(775),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [52] = {
    [sym_export_statement] = STATE(709),
    [sym_declaration] = STATE(709),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(709),
    [sym_expression_statement] = STATE(709),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(709),
    [sym_if_statement] = STATE(709),
    [sym_switch_statement] = STATE(709),
    [sym_for_statement] = STATE(709),
    [sym_for_in_statement] = STATE(709),
    [sym_while_statement] = STATE(709),
    [sym_do_statement] = STATE(709),
    [sym_try_statement] = STATE(709),
    [sym_with_statement] = STATE(709),
    [sym_break_statement] = STATE(709),
    [sym_continue_statement] = STATE(709),
    [sym_debugger_statement] = STATE(709),
    [sym_return_statement] = STATE(709),
    [sym_throw_statement] = STATE(709),
    [sym_empty_statement] = STATE(709),
    [sym_labeled_statement] = STATE(709),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [53] = {
    [sym_export_statement] = STATE(4811),
    [sym_declaration] = STATE(4811),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(4811),
    [sym_expression_statement] = STATE(4811),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(4811),
    [sym_if_statement] = STATE(4811),
    [sym_switch_statement] = STATE(4811),
    [sym_for_statement] = STATE(4811),
    [sym_for_in_statement] = STATE(4811),
    [sym_while_statement] = STATE(4811),
    [sym_do_statement] = STATE(4811),
    [sym_try_statement] = STATE(4811),
    [sym_with_statement] = STATE(4811),
    [sym_break_statement] = STATE(4811),
    [sym_continue_statement] = STATE(4811),
    [sym_debugger_statement] = STATE(4811),
    [sym_return_statement] = STATE(4811),
    [sym_throw_statement] = STATE(4811),
    [sym_empty_statement] = STATE(4811),
    [sym_labeled_statement] = STATE(4811),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(2151),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(605),
    [anon_sym_export] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(609),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(613),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(615),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(615),
    [anon_sym_readonly] = ACTIONS(615),
    [anon_sym_get] = ACTIONS(615),
    [anon_sym_set] = ACTIONS(615),
    [anon_sym_declare] = ACTIONS(631),
    [anon_sym_public] = ACTIONS(615),
    [anon_sym_private] = ACTIONS(615),
    [anon_sym_protected] = ACTIONS(615),
    [anon_sym_override] = ACTIONS(615),
    [anon_sym_module] = ACTIONS(633),
    [anon_sym_any] = ACTIONS(615),
    [anon_sym_number] = ACTIONS(615),
    [anon_sym_boolean] = ACTIONS(615),
    [anon_sym_string] = ACTIONS(615),
    [anon_sym_symbol] = ACTIONS(615),
    [anon_sym_property] = ACTIONS(615),
    [anon_sym_signal] = ACTIONS(615),
    [anon_sym_on] = ACTIONS(615),
    [anon_sym_required] = ACTIONS(615),
    [anon_sym_component] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [54] = {
    [sym_export_statement] = STATE(2585),
    [sym_declaration] = STATE(2585),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(2585),
    [sym_expression_statement] = STATE(2585),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_statement_block] = STATE(2585),
    [sym_if_statement] = STATE(2585),
    [sym_switch_statement] = STATE(2585),
    [sym_for_statement] = STATE(2585),
    [sym_for_in_statement] = STATE(2585),
    [sym_while_statement] = STATE(2585),
    [sym_do_statement] = STATE(2585),
    [sym_try_statement] = STATE(2585),
    [sym_with_statement] = STATE(2585),
    [sym_break_statement] = STATE(2585),
    [sym_continue_statement] = STATE(2585),
    [sym_debugger_statement] = STATE(2585),
    [sym_return_statement] = STATE(2585),
    [sym_throw_statement] = STATE(2585),
    [sym_empty_statement] = STATE(2585),
    [sym_labeled_statement] = STATE(2585),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(2559),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(2559),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(908),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3506),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_export] = ACTIONS(545),
    [anon_sym_type] = ACTIONS(547),
    [anon_sym_namespace] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(553),
    [anon_sym_from] = ACTIONS(555),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(559),
    [anon_sym_const] = ACTIONS(561),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_break] = ACTIONS(577),
    [anon_sym_continue] = ACTIONS(579),
    [anon_sym_debugger] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(589),
    [anon_sym_async] = ACTIONS(591),
    [anon_sym_function] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(555),
    [anon_sym_readonly] = ACTIONS(555),
    [anon_sym_get] = ACTIONS(555),
    [anon_sym_set] = ACTIONS(555),
    [anon_sym_declare] = ACTIONS(595),
    [anon_sym_public] = ACTIONS(555),
    [anon_sym_private] = ACTIONS(555),
    [anon_sym_protected] = ACTIONS(555),
    [anon_sym_override] = ACTIONS(555),
    [anon_sym_module] = ACTIONS(597),
    [anon_sym_any] = ACTIONS(555),
    [anon_sym_number] = ACTIONS(555),
    [anon_sym_boolean] = ACTIONS(555),
    [anon_sym_string] = ACTIONS(555),
    [anon_sym_symbol] = ACTIONS(555),
    [anon_sym_property] = ACTIONS(555),
    [anon_sym_signal] = ACTIONS(555),
    [anon_sym_on] = ACTIONS(555),
    [anon_sym_required] = ACTIONS(555),
    [anon_sym_component] = ACTIONS(555),
    [anon_sym_abstract] = ACTIONS(599),
    [anon_sym_interface] = ACTIONS(601),
    [anon_sym_enum] = ACTIONS(603),
  },
  [55] = {
    [sym_export_statement] = STATE(2590),
    [sym_declaration] = STATE(2591),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(2592),
    [sym_expression_statement] = STATE(2594),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_statement_block] = STATE(2595),
    [sym_if_statement] = STATE(2596),
    [sym_switch_statement] = STATE(2601),
    [sym_for_statement] = STATE(2680),
    [sym_for_in_statement] = STATE(2610),
    [sym_while_statement] = STATE(2621),
    [sym_do_statement] = STATE(2622),
    [sym_try_statement] = STATE(2623),
    [sym_with_statement] = STATE(2624),
    [sym_break_statement] = STATE(2625),
    [sym_continue_statement] = STATE(2626),
    [sym_debugger_statement] = STATE(2627),
    [sym_return_statement] = STATE(2628),
    [sym_throw_statement] = STATE(2629),
    [sym_empty_statement] = STATE(2630),
    [sym_labeled_statement] = STATE(2631),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(2559),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(2559),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(908),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3506),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_export] = ACTIONS(545),
    [anon_sym_type] = ACTIONS(547),
    [anon_sym_namespace] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(553),
    [anon_sym_from] = ACTIONS(555),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(559),
    [anon_sym_const] = ACTIONS(561),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_break] = ACTIONS(577),
    [anon_sym_continue] = ACTIONS(579),
    [anon_sym_debugger] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(589),
    [anon_sym_async] = ACTIONS(591),
    [anon_sym_function] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(555),
    [anon_sym_readonly] = ACTIONS(555),
    [anon_sym_get] = ACTIONS(555),
    [anon_sym_set] = ACTIONS(555),
    [anon_sym_declare] = ACTIONS(595),
    [anon_sym_public] = ACTIONS(555),
    [anon_sym_private] = ACTIONS(555),
    [anon_sym_protected] = ACTIONS(555),
    [anon_sym_override] = ACTIONS(555),
    [anon_sym_module] = ACTIONS(597),
    [anon_sym_any] = ACTIONS(555),
    [anon_sym_number] = ACTIONS(555),
    [anon_sym_boolean] = ACTIONS(555),
    [anon_sym_string] = ACTIONS(555),
    [anon_sym_symbol] = ACTIONS(555),
    [anon_sym_property] = ACTIONS(555),
    [anon_sym_signal] = ACTIONS(555),
    [anon_sym_on] = ACTIONS(555),
    [anon_sym_required] = ACTIONS(555),
    [anon_sym_component] = ACTIONS(555),
    [anon_sym_abstract] = ACTIONS(599),
    [anon_sym_interface] = ACTIONS(601),
    [anon_sym_enum] = ACTIONS(603),
  },
  [56] = {
    [sym_export_statement] = STATE(830),
    [sym_declaration] = STATE(831),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(832),
    [sym_expression_statement] = STATE(834),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(835),
    [sym_if_statement] = STATE(836),
    [sym_switch_statement] = STATE(837),
    [sym_for_statement] = STATE(838),
    [sym_for_in_statement] = STATE(787),
    [sym_while_statement] = STATE(716),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(725),
    [sym_with_statement] = STATE(726),
    [sym_break_statement] = STATE(727),
    [sym_continue_statement] = STATE(728),
    [sym_debugger_statement] = STATE(730),
    [sym_return_statement] = STATE(731),
    [sym_throw_statement] = STATE(752),
    [sym_empty_statement] = STATE(755),
    [sym_labeled_statement] = STATE(756),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(2151),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(605),
    [anon_sym_export] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(609),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(613),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(615),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(615),
    [anon_sym_readonly] = ACTIONS(615),
    [anon_sym_get] = ACTIONS(615),
    [anon_sym_set] = ACTIONS(615),
    [anon_sym_declare] = ACTIONS(631),
    [anon_sym_public] = ACTIONS(615),
    [anon_sym_private] = ACTIONS(615),
    [anon_sym_protected] = ACTIONS(615),
    [anon_sym_override] = ACTIONS(615),
    [anon_sym_module] = ACTIONS(633),
    [anon_sym_any] = ACTIONS(615),
    [anon_sym_number] = ACTIONS(615),
    [anon_sym_boolean] = ACTIONS(615),
    [anon_sym_string] = ACTIONS(615),
    [anon_sym_symbol] = ACTIONS(615),
    [anon_sym_property] = ACTIONS(615),
    [anon_sym_signal] = ACTIONS(615),
    [anon_sym_on] = ACTIONS(615),
    [anon_sym_required] = ACTIONS(615),
    [anon_sym_component] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [57] = {
    [sym_export_statement] = STATE(751),
    [sym_declaration] = STATE(751),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(751),
    [sym_expression_statement] = STATE(751),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(751),
    [sym_if_statement] = STATE(751),
    [sym_switch_statement] = STATE(751),
    [sym_for_statement] = STATE(751),
    [sym_for_in_statement] = STATE(751),
    [sym_while_statement] = STATE(751),
    [sym_do_statement] = STATE(751),
    [sym_try_statement] = STATE(751),
    [sym_with_statement] = STATE(751),
    [sym_break_statement] = STATE(751),
    [sym_continue_statement] = STATE(751),
    [sym_debugger_statement] = STATE(751),
    [sym_return_statement] = STATE(751),
    [sym_throw_statement] = STATE(751),
    [sym_empty_statement] = STATE(751),
    [sym_labeled_statement] = STATE(751),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(2151),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(605),
    [anon_sym_export] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(609),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(613),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(615),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(615),
    [anon_sym_readonly] = ACTIONS(615),
    [anon_sym_get] = ACTIONS(615),
    [anon_sym_set] = ACTIONS(615),
    [anon_sym_declare] = ACTIONS(631),
    [anon_sym_public] = ACTIONS(615),
    [anon_sym_private] = ACTIONS(615),
    [anon_sym_protected] = ACTIONS(615),
    [anon_sym_override] = ACTIONS(615),
    [anon_sym_module] = ACTIONS(633),
    [anon_sym_any] = ACTIONS(615),
    [anon_sym_number] = ACTIONS(615),
    [anon_sym_boolean] = ACTIONS(615),
    [anon_sym_string] = ACTIONS(615),
    [anon_sym_symbol] = ACTIONS(615),
    [anon_sym_property] = ACTIONS(615),
    [anon_sym_signal] = ACTIONS(615),
    [anon_sym_on] = ACTIONS(615),
    [anon_sym_required] = ACTIONS(615),
    [anon_sym_component] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [58] = {
    [sym_export_statement] = STATE(2632),
    [sym_declaration] = STATE(2632),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(2632),
    [sym_expression_statement] = STATE(2632),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_statement_block] = STATE(2632),
    [sym_if_statement] = STATE(2632),
    [sym_switch_statement] = STATE(2632),
    [sym_for_statement] = STATE(2632),
    [sym_for_in_statement] = STATE(2632),
    [sym_while_statement] = STATE(2632),
    [sym_do_statement] = STATE(2632),
    [sym_try_statement] = STATE(2632),
    [sym_with_statement] = STATE(2632),
    [sym_break_statement] = STATE(2632),
    [sym_continue_statement] = STATE(2632),
    [sym_debugger_statement] = STATE(2632),
    [sym_return_statement] = STATE(2632),
    [sym_throw_statement] = STATE(2632),
    [sym_empty_statement] = STATE(2632),
    [sym_labeled_statement] = STATE(2632),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(2559),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(2559),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(908),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3506),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_export] = ACTIONS(545),
    [anon_sym_type] = ACTIONS(547),
    [anon_sym_namespace] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(553),
    [anon_sym_from] = ACTIONS(555),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(559),
    [anon_sym_const] = ACTIONS(561),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_break] = ACTIONS(577),
    [anon_sym_continue] = ACTIONS(579),
    [anon_sym_debugger] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(589),
    [anon_sym_async] = ACTIONS(591),
    [anon_sym_function] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(555),
    [anon_sym_readonly] = ACTIONS(555),
    [anon_sym_get] = ACTIONS(555),
    [anon_sym_set] = ACTIONS(555),
    [anon_sym_declare] = ACTIONS(595),
    [anon_sym_public] = ACTIONS(555),
    [anon_sym_private] = ACTIONS(555),
    [anon_sym_protected] = ACTIONS(555),
    [anon_sym_override] = ACTIONS(555),
    [anon_sym_module] = ACTIONS(597),
    [anon_sym_any] = ACTIONS(555),
    [anon_sym_number] = ACTIONS(555),
    [anon_sym_boolean] = ACTIONS(555),
    [anon_sym_string] = ACTIONS(555),
    [anon_sym_symbol] = ACTIONS(555),
    [anon_sym_property] = ACTIONS(555),
    [anon_sym_signal] = ACTIONS(555),
    [anon_sym_on] = ACTIONS(555),
    [anon_sym_required] = ACTIONS(555),
    [anon_sym_component] = ACTIONS(555),
    [anon_sym_abstract] = ACTIONS(599),
    [anon_sym_interface] = ACTIONS(601),
    [anon_sym_enum] = ACTIONS(603),
  },
  [59] = {
    [sym_export_statement] = STATE(2497),
    [sym_declaration] = STATE(2497),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(2497),
    [sym_expression_statement] = STATE(2497),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_statement_block] = STATE(2497),
    [sym_if_statement] = STATE(2497),
    [sym_switch_statement] = STATE(2497),
    [sym_for_statement] = STATE(2497),
    [sym_for_in_statement] = STATE(2497),
    [sym_while_statement] = STATE(2497),
    [sym_do_statement] = STATE(2497),
    [sym_try_statement] = STATE(2497),
    [sym_with_statement] = STATE(2497),
    [sym_break_statement] = STATE(2497),
    [sym_continue_statement] = STATE(2497),
    [sym_debugger_statement] = STATE(2497),
    [sym_return_statement] = STATE(2497),
    [sym_throw_statement] = STATE(2497),
    [sym_empty_statement] = STATE(2497),
    [sym_labeled_statement] = STATE(2497),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(2559),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(2559),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(908),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3506),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_export] = ACTIONS(545),
    [anon_sym_type] = ACTIONS(547),
    [anon_sym_namespace] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(553),
    [anon_sym_from] = ACTIONS(555),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(559),
    [anon_sym_const] = ACTIONS(561),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_break] = ACTIONS(577),
    [anon_sym_continue] = ACTIONS(579),
    [anon_sym_debugger] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(589),
    [anon_sym_async] = ACTIONS(591),
    [anon_sym_function] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(555),
    [anon_sym_readonly] = ACTIONS(555),
    [anon_sym_get] = ACTIONS(555),
    [anon_sym_set] = ACTIONS(555),
    [anon_sym_declare] = ACTIONS(595),
    [anon_sym_public] = ACTIONS(555),
    [anon_sym_private] = ACTIONS(555),
    [anon_sym_protected] = ACTIONS(555),
    [anon_sym_override] = ACTIONS(555),
    [anon_sym_module] = ACTIONS(597),
    [anon_sym_any] = ACTIONS(555),
    [anon_sym_number] = ACTIONS(555),
    [anon_sym_boolean] = ACTIONS(555),
    [anon_sym_string] = ACTIONS(555),
    [anon_sym_symbol] = ACTIONS(555),
    [anon_sym_property] = ACTIONS(555),
    [anon_sym_signal] = ACTIONS(555),
    [anon_sym_on] = ACTIONS(555),
    [anon_sym_required] = ACTIONS(555),
    [anon_sym_component] = ACTIONS(555),
    [anon_sym_abstract] = ACTIONS(599),
    [anon_sym_interface] = ACTIONS(601),
    [anon_sym_enum] = ACTIONS(603),
  },
  [60] = {
    [sym_export_statement] = STATE(751),
    [sym_declaration] = STATE(751),
    [sym_import] = STATE(2086),
    [sym_import_statement] = STATE(751),
    [sym_expression_statement] = STATE(751),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_statement_block] = STATE(751),
    [sym_if_statement] = STATE(751),
    [sym_switch_statement] = STATE(751),
    [sym_for_statement] = STATE(751),
    [sym_for_in_statement] = STATE(751),
    [sym_while_statement] = STATE(751),
    [sym_do_statement] = STATE(751),
    [sym_try_statement] = STATE(751),
    [sym_with_statement] = STATE(751),
    [sym_break_statement] = STATE(751),
    [sym_continue_statement] = STATE(751),
    [sym_debugger_statement] = STATE(751),
    [sym_return_statement] = STATE(751),
    [sym_throw_statement] = STATE(751),
    [sym_empty_statement] = STATE(751),
    [sym_labeled_statement] = STATE(751),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3422),
    [sym_identifier] = ACTIONS(327),
    [anon_sym_export] = ACTIONS(329),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_LBRACE] = ACTIONS(137),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(145),
    [anon_sym_from] = ACTIONS(339),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(167),
    [anon_sym_do] = ACTIONS(169),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_break] = ACTIONS(175),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(179),
    [anon_sym_return] = ACTIONS(181),
    [anon_sym_throw] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(339),
    [anon_sym_set] = ACTIONS(339),
    [anon_sym_declare] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_override] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_property] = ACTIONS(339),
    [anon_sym_signal] = ACTIONS(339),
    [anon_sym_on] = ACTIONS(339),
    [anon_sym_required] = ACTIONS(339),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [61] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4007),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3769),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4138),
    [sym_optional_tuple_parameter] = STATE(4138),
    [sym_optional_type] = STATE(4138),
    [sym_rest_type] = STATE(4138),
    [sym__tuple_type_member] = STATE(4138),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4010),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(645),
    [anon_sym_typeof] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(657),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(679),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(687),
    [anon_sym_number] = ACTIONS(687),
    [anon_sym_boolean] = ACTIONS(687),
    [anon_sym_string] = ACTIONS(687),
    [anon_sym_symbol] = ACTIONS(687),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [62] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4007),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3769),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4138),
    [sym_optional_tuple_parameter] = STATE(4138),
    [sym_optional_type] = STATE(4138),
    [sym_rest_type] = STATE(4138),
    [sym__tuple_type_member] = STATE(4138),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4010),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(645),
    [anon_sym_typeof] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(689),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(679),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(687),
    [anon_sym_number] = ACTIONS(687),
    [anon_sym_boolean] = ACTIONS(687),
    [anon_sym_string] = ACTIONS(687),
    [anon_sym_symbol] = ACTIONS(687),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [63] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4007),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3769),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4138),
    [sym_optional_tuple_parameter] = STATE(4138),
    [sym_optional_type] = STATE(4138),
    [sym_rest_type] = STATE(4138),
    [sym__tuple_type_member] = STATE(4138),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4010),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(645),
    [anon_sym_typeof] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(679),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(687),
    [anon_sym_number] = ACTIONS(687),
    [anon_sym_boolean] = ACTIONS(687),
    [anon_sym_string] = ACTIONS(687),
    [anon_sym_symbol] = ACTIONS(687),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [64] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4007),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3769),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4138),
    [sym_optional_tuple_parameter] = STATE(4138),
    [sym_optional_type] = STATE(4138),
    [sym_rest_type] = STATE(4138),
    [sym__tuple_type_member] = STATE(4138),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4010),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(645),
    [anon_sym_typeof] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(693),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(679),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(687),
    [anon_sym_number] = ACTIONS(687),
    [anon_sym_boolean] = ACTIONS(687),
    [anon_sym_string] = ACTIONS(687),
    [anon_sym_symbol] = ACTIONS(687),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [65] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4007),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3769),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4138),
    [sym_optional_tuple_parameter] = STATE(4138),
    [sym_optional_type] = STATE(4138),
    [sym_rest_type] = STATE(4138),
    [sym__tuple_type_member] = STATE(4138),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4010),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(645),
    [anon_sym_typeof] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(695),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(679),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(687),
    [anon_sym_number] = ACTIONS(687),
    [anon_sym_boolean] = ACTIONS(687),
    [anon_sym_string] = ACTIONS(687),
    [anon_sym_symbol] = ACTIONS(687),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [66] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1853),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4058),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3769),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4138),
    [sym_optional_tuple_parameter] = STATE(4138),
    [sym_optional_type] = STATE(4138),
    [sym_rest_type] = STATE(4138),
    [sym__tuple_type_member] = STATE(4138),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4060),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(645),
    [anon_sym_typeof] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(697),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(679),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(687),
    [anon_sym_number] = ACTIONS(687),
    [anon_sym_boolean] = ACTIONS(687),
    [anon_sym_string] = ACTIONS(687),
    [anon_sym_symbol] = ACTIONS(687),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [67] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1853),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4058),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3769),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4138),
    [sym_optional_tuple_parameter] = STATE(4138),
    [sym_optional_type] = STATE(4138),
    [sym_rest_type] = STATE(4138),
    [sym__tuple_type_member] = STATE(4138),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4060),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(645),
    [anon_sym_typeof] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(679),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(687),
    [anon_sym_number] = ACTIONS(687),
    [anon_sym_boolean] = ACTIONS(687),
    [anon_sym_string] = ACTIONS(687),
    [anon_sym_symbol] = ACTIONS(687),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [68] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4007),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3769),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4138),
    [sym_optional_tuple_parameter] = STATE(4138),
    [sym_optional_type] = STATE(4138),
    [sym_rest_type] = STATE(4138),
    [sym__tuple_type_member] = STATE(4138),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4010),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(645),
    [anon_sym_typeof] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(701),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(679),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(687),
    [anon_sym_number] = ACTIONS(687),
    [anon_sym_boolean] = ACTIONS(687),
    [anon_sym_string] = ACTIONS(687),
    [anon_sym_symbol] = ACTIONS(687),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [69] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4007),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3769),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4057),
    [sym_optional_tuple_parameter] = STATE(4057),
    [sym_optional_type] = STATE(4057),
    [sym_rest_type] = STATE(4057),
    [sym__tuple_type_member] = STATE(4057),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4010),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(705),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(679),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(687),
    [anon_sym_number] = ACTIONS(687),
    [anon_sym_boolean] = ACTIONS(687),
    [anon_sym_string] = ACTIONS(687),
    [anon_sym_symbol] = ACTIONS(687),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [70] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4007),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3769),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4138),
    [sym_optional_tuple_parameter] = STATE(4138),
    [sym_optional_type] = STATE(4138),
    [sym_rest_type] = STATE(4138),
    [sym__tuple_type_member] = STATE(4138),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4010),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(645),
    [anon_sym_typeof] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(707),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(679),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(687),
    [anon_sym_number] = ACTIONS(687),
    [anon_sym_boolean] = ACTIONS(687),
    [anon_sym_string] = ACTIONS(687),
    [anon_sym_symbol] = ACTIONS(687),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [71] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3549),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(38),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(38),
    [anon_sym_DASH] = ACTIONS(38),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(82),
    [anon_sym_DASH_DASH] = ACTIONS(82),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(724),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(729),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(19),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [72] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3715),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_EQ] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(38),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(32),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_COLON] = ACTIONS(32),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(38),
    [anon_sym_DASH] = ACTIONS(38),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(82),
    [anon_sym_DASH_DASH] = ACTIONS(82),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(724),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(735),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(19),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [73] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3767),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_EQ] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(38),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(32),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_COLON] = ACTIONS(32),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(38),
    [anon_sym_DASH] = ACTIONS(38),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(82),
    [anon_sym_DASH_DASH] = ACTIONS(82),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(724),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(737),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(19),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [74] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3632),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_EQ] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(38),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(32),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_COLON] = ACTIONS(32),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(38),
    [anon_sym_DASH] = ACTIONS(38),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(82),
    [anon_sym_DASH_DASH] = ACTIONS(82),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(724),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(739),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(19),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [75] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3563),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_EQ] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(38),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(32),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_COLON] = ACTIONS(32),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(38),
    [anon_sym_DASH] = ACTIONS(38),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(82),
    [anon_sym_DASH_DASH] = ACTIONS(82),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(724),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(741),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(19),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [76] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3708),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_EQ] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(38),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(32),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_COLON] = ACTIONS(32),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(38),
    [anon_sym_DASH] = ACTIONS(38),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(82),
    [anon_sym_DASH_DASH] = ACTIONS(82),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(724),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(743),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(19),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [77] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3736),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_EQ] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(38),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(32),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_COLON] = ACTIONS(32),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(38),
    [anon_sym_DASH] = ACTIONS(38),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(82),
    [anon_sym_DASH_DASH] = ACTIONS(82),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(724),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(745),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(19),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [78] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3549),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_EQ] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(38),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(32),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_COLON] = ACTIONS(32),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(38),
    [anon_sym_DASH] = ACTIONS(38),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(82),
    [anon_sym_DASH_DASH] = ACTIONS(82),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(724),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(729),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(19),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [79] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1744),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym__formal_parameter] = STATE(4056),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4933),
    [sym_string] = STATE(2063),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4056),
    [sym_optional_parameter] = STATE(4056),
    [sym__parameter_name] = STATE(3320),
    [sym__type] = STATE(3924),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(747),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_typeof] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(757),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(759),
    [sym_number] = ACTIONS(761),
    [sym_this] = ACTIONS(763),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_undefined] = ACTIONS(767),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(773),
    [anon_sym_private] = ACTIONS(773),
    [anon_sym_protected] = ACTIONS(773),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(777),
    [anon_sym_number] = ACTIONS(777),
    [anon_sym_boolean] = ACTIONS(777),
    [anon_sym_string] = ACTIONS(777),
    [anon_sym_symbol] = ACTIONS(777),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [80] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1765),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym__formal_parameter] = STATE(4056),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4795),
    [sym_string] = STATE(2063),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4056),
    [sym_optional_parameter] = STATE(4056),
    [sym__parameter_name] = STATE(3320),
    [sym__type] = STATE(3959),
    [sym_constructor_type] = STATE(3959),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3959),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3959),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(747),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_typeof] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(757),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(759),
    [sym_number] = ACTIONS(761),
    [sym_this] = ACTIONS(763),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_undefined] = ACTIONS(767),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(773),
    [anon_sym_private] = ACTIONS(773),
    [anon_sym_protected] = ACTIONS(773),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(777),
    [anon_sym_number] = ACTIONS(777),
    [anon_sym_boolean] = ACTIONS(777),
    [anon_sym_string] = ACTIONS(777),
    [anon_sym_symbol] = ACTIONS(777),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [81] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1744),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym__formal_parameter] = STATE(4056),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4933),
    [sym_string] = STATE(2063),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4056),
    [sym_optional_parameter] = STATE(4056),
    [sym__parameter_name] = STATE(3320),
    [sym__type] = STATE(3959),
    [sym_constructor_type] = STATE(3959),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3959),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3959),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(747),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_typeof] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(757),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(759),
    [sym_number] = ACTIONS(761),
    [sym_this] = ACTIONS(763),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_undefined] = ACTIONS(767),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(773),
    [anon_sym_private] = ACTIONS(773),
    [anon_sym_protected] = ACTIONS(773),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(777),
    [anon_sym_number] = ACTIONS(777),
    [anon_sym_boolean] = ACTIONS(777),
    [anon_sym_string] = ACTIONS(777),
    [anon_sym_symbol] = ACTIONS(777),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [82] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4056),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4056),
    [sym_optional_parameter] = STATE(4056),
    [sym__parameter_name] = STATE(3320),
    [sym__type] = STATE(3854),
    [sym_constructor_type] = STATE(3854),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3854),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(422),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3854),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3854),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(17),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(30),
    [anon_sym_typeof] = ACTIONS(34),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(64),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(74),
    [anon_sym_DASH] = ACTIONS(74),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(78),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(781),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(99),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(783),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(107),
    [anon_sym_number] = ACTIONS(107),
    [anon_sym_boolean] = ACTIONS(107),
    [anon_sym_string] = ACTIONS(107),
    [anon_sym_symbol] = ACTIONS(107),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [83] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4056),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4056),
    [sym_optional_parameter] = STATE(4056),
    [sym__parameter_name] = STATE(3320),
    [sym__type] = STATE(3913),
    [sym_constructor_type] = STATE(3913),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3913),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(422),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3913),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3913),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(17),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(30),
    [anon_sym_typeof] = ACTIONS(34),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(64),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(74),
    [anon_sym_DASH] = ACTIONS(74),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(78),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(781),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(99),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(783),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(107),
    [anon_sym_number] = ACTIONS(107),
    [anon_sym_boolean] = ACTIONS(107),
    [anon_sym_string] = ACTIONS(107),
    [anon_sym_symbol] = ACTIONS(107),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [84] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4056),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4056),
    [sym_optional_parameter] = STATE(4056),
    [sym__parameter_name] = STATE(3320),
    [sym__type] = STATE(3841),
    [sym_constructor_type] = STATE(3841),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3841),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(422),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3841),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3841),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(17),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(30),
    [anon_sym_typeof] = ACTIONS(34),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(64),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(74),
    [anon_sym_DASH] = ACTIONS(74),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(78),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(781),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(99),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(783),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(107),
    [anon_sym_number] = ACTIONS(107),
    [anon_sym_boolean] = ACTIONS(107),
    [anon_sym_string] = ACTIONS(107),
    [anon_sym_symbol] = ACTIONS(107),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [85] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4056),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4056),
    [sym_optional_parameter] = STATE(4056),
    [sym__parameter_name] = STATE(3320),
    [sym__type] = STATE(3924),
    [sym_constructor_type] = STATE(3924),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3924),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(422),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3924),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3924),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(17),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(30),
    [anon_sym_typeof] = ACTIONS(34),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(64),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(74),
    [anon_sym_DASH] = ACTIONS(74),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(78),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(781),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(99),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(783),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(107),
    [anon_sym_number] = ACTIONS(107),
    [anon_sym_boolean] = ACTIONS(107),
    [anon_sym_string] = ACTIONS(107),
    [anon_sym_symbol] = ACTIONS(107),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [86] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4056),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4056),
    [sym_optional_parameter] = STATE(4056),
    [sym__parameter_name] = STATE(3320),
    [sym__type] = STATE(3959),
    [sym_constructor_type] = STATE(3959),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3959),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(422),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3959),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(17),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(30),
    [anon_sym_typeof] = ACTIONS(34),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(64),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(74),
    [anon_sym_DASH] = ACTIONS(74),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(78),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(781),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(99),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(783),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(107),
    [anon_sym_number] = ACTIONS(107),
    [anon_sym_boolean] = ACTIONS(107),
    [anon_sym_string] = ACTIONS(107),
    [anon_sym_symbol] = ACTIONS(107),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [87] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2090),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(4543),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_nested_identifier] = STATE(4847),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1965),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3650),
    [sym_pattern] = STATE(4151),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3111),
    [sym_constructor_type] = STATE(3111),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3111),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4479),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3111),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3111),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(789),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(793),
    [anon_sym_typeof] = ACTIONS(795),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(797),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(799),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(809),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(811),
    [sym_number] = ACTIONS(813),
    [sym_this] = ACTIONS(815),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(817),
    [sym_false] = ACTIONS(817),
    [sym_null] = ACTIONS(817),
    [sym_undefined] = ACTIONS(819),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(821),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(825),
    [anon_sym_number] = ACTIONS(825),
    [anon_sym_boolean] = ACTIONS(825),
    [anon_sym_string] = ACTIONS(825),
    [anon_sym_symbol] = ACTIONS(825),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [88] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2077),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4681),
    [sym_string] = STATE(2063),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(4139),
    [sym_constructor_type] = STATE(4139),
    [sym__primary_type] = STATE(3789),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3871),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(4139),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(4139),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(837),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(843),
    [anon_sym_typeof] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(845),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(757),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(759),
    [sym_number] = ACTIONS(761),
    [sym_this] = ACTIONS(849),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_undefined] = ACTIONS(851),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(853),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(855),
    [anon_sym_number] = ACTIONS(855),
    [anon_sym_boolean] = ACTIONS(855),
    [anon_sym_string] = ACTIONS(855),
    [anon_sym_symbol] = ACTIONS(855),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [89] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2262),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2027),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3434),
    [sym_constructor_type] = STATE(3434),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3434),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(394),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3434),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3434),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(857),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_typeof] = ACTIONS(865),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(881),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(883),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(889),
    [sym_number] = ACTIONS(891),
    [sym_this] = ACTIONS(893),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(895),
    [sym_false] = ACTIONS(895),
    [sym_null] = ACTIONS(895),
    [sym_undefined] = ACTIONS(897),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(899),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(901),
    [anon_sym_number] = ACTIONS(901),
    [anon_sym_boolean] = ACTIONS(901),
    [anon_sym_string] = ACTIONS(901),
    [anon_sym_symbol] = ACTIONS(901),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [90] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2306),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2027),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3434),
    [sym_constructor_type] = STATE(3434),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3434),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(467),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3434),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3434),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(903),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(923),
    [anon_sym_DASH] = ACTIONS(923),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(889),
    [sym_number] = ACTIONS(891),
    [sym_this] = ACTIONS(893),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(895),
    [sym_false] = ACTIONS(895),
    [sym_null] = ACTIONS(895),
    [sym_undefined] = ACTIONS(931),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(933),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(935),
    [anon_sym_number] = ACTIONS(935),
    [anon_sym_boolean] = ACTIONS(935),
    [anon_sym_string] = ACTIONS(935),
    [anon_sym_symbol] = ACTIONS(935),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [91] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1771),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(1984),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3434),
    [sym_constructor_type] = STATE(3434),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3434),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(522),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3434),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3434),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(937),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_typeof] = ACTIONS(945),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(963),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(965),
    [sym_number] = ACTIONS(967),
    [sym_this] = ACTIONS(969),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(971),
    [sym_false] = ACTIONS(971),
    [sym_null] = ACTIONS(971),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(975),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(977),
    [anon_sym_number] = ACTIONS(977),
    [anon_sym_boolean] = ACTIONS(977),
    [anon_sym_string] = ACTIONS(977),
    [anon_sym_symbol] = ACTIONS(977),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [92] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3268),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3268),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1227),
    [sym_subscript_expression] = STATE(1227),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3268),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2375),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_non_null_expression] = STATE(1227),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3778),
    [sym_constructor_type] = STATE(3778),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3778),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(422),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3778),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3778),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(981),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(981),
    [anon_sym_namespace] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_typeof] = ACTIONS(987),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(981),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(981),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(989),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(64),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(78),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(995),
    [sym_number] = ACTIONS(997),
    [sym_this] = ACTIONS(999),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1001),
    [sym_false] = ACTIONS(1001),
    [sym_null] = ACTIONS(1001),
    [sym_undefined] = ACTIONS(1003),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(981),
    [anon_sym_readonly] = ACTIONS(1005),
    [anon_sym_get] = ACTIONS(981),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(981),
    [anon_sym_public] = ACTIONS(981),
    [anon_sym_private] = ACTIONS(981),
    [anon_sym_protected] = ACTIONS(981),
    [anon_sym_override] = ACTIONS(981),
    [anon_sym_module] = ACTIONS(981),
    [anon_sym_any] = ACTIONS(1007),
    [anon_sym_number] = ACTIONS(1007),
    [anon_sym_boolean] = ACTIONS(1007),
    [anon_sym_string] = ACTIONS(1007),
    [anon_sym_symbol] = ACTIONS(1007),
    [anon_sym_property] = ACTIONS(981),
    [anon_sym_signal] = ACTIONS(981),
    [anon_sym_on] = ACTIONS(981),
    [anon_sym_required] = ACTIONS(981),
    [anon_sym_component] = ACTIONS(981),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [93] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1823),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3625),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3625),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1284),
    [sym_subscript_expression] = STATE(1284),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3625),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2193),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_non_null_expression] = STATE(1284),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3778),
    [sym_constructor_type] = STATE(3778),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3778),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3778),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3778),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1009),
    [anon_sym_export] = ACTIONS(1011),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(1011),
    [anon_sym_namespace] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_typeof] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(1011),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_this] = ACTIONS(679),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [sym_null] = ACTIONS(97),
    [sym_undefined] = ACTIONS(1019),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1011),
    [anon_sym_readonly] = ACTIONS(1021),
    [anon_sym_get] = ACTIONS(1011),
    [anon_sym_set] = ACTIONS(1011),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(1011),
    [anon_sym_public] = ACTIONS(1011),
    [anon_sym_private] = ACTIONS(1011),
    [anon_sym_protected] = ACTIONS(1011),
    [anon_sym_override] = ACTIONS(1011),
    [anon_sym_module] = ACTIONS(1011),
    [anon_sym_any] = ACTIONS(1023),
    [anon_sym_number] = ACTIONS(1023),
    [anon_sym_boolean] = ACTIONS(1023),
    [anon_sym_string] = ACTIONS(1023),
    [anon_sym_symbol] = ACTIONS(1023),
    [anon_sym_property] = ACTIONS(1011),
    [anon_sym_signal] = ACTIONS(1011),
    [anon_sym_on] = ACTIONS(1011),
    [anon_sym_required] = ACTIONS(1011),
    [anon_sym_component] = ACTIONS(1011),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [94] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1772),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(1984),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3434),
    [sym_constructor_type] = STATE(3434),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3434),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(387),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3434),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3434),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1025),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_typeof] = ACTIONS(1031),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1043),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(1045),
    [anon_sym_DASH] = ACTIONS(1045),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1047),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(965),
    [sym_number] = ACTIONS(967),
    [sym_this] = ACTIONS(969),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(971),
    [sym_false] = ACTIONS(971),
    [sym_null] = ACTIONS(971),
    [sym_undefined] = ACTIONS(1053),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1057),
    [anon_sym_number] = ACTIONS(1057),
    [anon_sym_boolean] = ACTIONS(1057),
    [anon_sym_string] = ACTIONS(1057),
    [anon_sym_symbol] = ACTIONS(1057),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [95] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2391),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2027),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3434),
    [sym_constructor_type] = STATE(3434),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3434),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(422),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3434),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3434),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_typeof] = ACTIONS(1065),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(64),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(1069),
    [anon_sym_DASH] = ACTIONS(1069),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(78),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(889),
    [sym_number] = ACTIONS(891),
    [sym_this] = ACTIONS(893),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(895),
    [sym_false] = ACTIONS(895),
    [sym_null] = ACTIONS(895),
    [sym_undefined] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1075),
    [anon_sym_number] = ACTIONS(1075),
    [anon_sym_boolean] = ACTIONS(1075),
    [anon_sym_string] = ACTIONS(1075),
    [anon_sym_symbol] = ACTIONS(1075),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [96] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2133),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2291),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3434),
    [sym_constructor_type] = STATE(3434),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3434),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(575),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3434),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3434),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1077),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_typeof] = ACTIONS(1085),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1101),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1107),
    [sym_number] = ACTIONS(1109),
    [sym_this] = ACTIONS(1111),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(1113),
    [sym_false] = ACTIONS(1113),
    [sym_null] = ACTIONS(1113),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1117),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [97] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2003),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1679),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3434),
    [sym_constructor_type] = STATE(3434),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3434),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(404),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3434),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3434),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1121),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1143),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1153),
    [sym_number] = ACTIONS(1155),
    [sym_this] = ACTIONS(1157),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [sym_null] = ACTIONS(1159),
    [sym_undefined] = ACTIONS(1161),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1165),
    [anon_sym_number] = ACTIONS(1165),
    [anon_sym_boolean] = ACTIONS(1165),
    [anon_sym_string] = ACTIONS(1165),
    [anon_sym_symbol] = ACTIONS(1165),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [98] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2344),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2027),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3434),
    [sym_constructor_type] = STATE(3434),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3434),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(407),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3434),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3434),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1167),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1173),
    [anon_sym_typeof] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1189),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(889),
    [sym_number] = ACTIONS(891),
    [sym_this] = ACTIONS(893),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(895),
    [sym_false] = ACTIONS(895),
    [sym_null] = ACTIONS(895),
    [sym_undefined] = ACTIONS(1195),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1197),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1199),
    [anon_sym_number] = ACTIONS(1199),
    [anon_sym_boolean] = ACTIONS(1199),
    [anon_sym_string] = ACTIONS(1199),
    [anon_sym_symbol] = ACTIONS(1199),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [99] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1652),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_nested_identifier] = STATE(4914),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1679),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3586),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3434),
    [sym_constructor_type] = STATE(3434),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3434),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_type_arguments] = STATE(414),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4589),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3434),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3434),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_typeof] = ACTIONS(1203),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(673),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1153),
    [sym_number] = ACTIONS(1155),
    [sym_this] = ACTIONS(1157),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [sym_null] = ACTIONS(1159),
    [sym_undefined] = ACTIONS(1207),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(853),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(1209),
    [anon_sym_number] = ACTIONS(1209),
    [anon_sym_boolean] = ACTIONS(1209),
    [anon_sym_string] = ACTIONS(1209),
    [anon_sym_symbol] = ACTIONS(1209),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [100] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1723),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_as] = ACTIONS(1215),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1219),
    [anon_sym_RBRACE] = ACTIONS(1219),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1219),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_in] = ACTIONS(1215),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_COLON] = ACTIONS(1219),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_RBRACK] = ACTIONS(1219),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(1215),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_QMARK_DOT] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1215),
    [anon_sym_GT_GT_GT] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1215),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_PIPE] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_STAR_STAR] = ACTIONS(1219),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1219),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_QMARK_QMARK] = ACTIONS(1219),
    [anon_sym_instanceof] = ACTIONS(1215),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
    [sym__ternary_qmark] = ACTIONS(1219),
  },
  [101] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_as] = ACTIONS(1215),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1219),
    [anon_sym_RBRACE] = ACTIONS(1219),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(1215),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_SEMI] = ACTIONS(1219),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(1215),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_QMARK_DOT] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1215),
    [anon_sym_GT_GT_GT] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1215),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_PIPE] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_STAR_STAR] = ACTIONS(1219),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1219),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_QMARK_QMARK] = ACTIONS(1219),
    [anon_sym_instanceof] = ACTIONS(1215),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
    [sym__automatic_semicolon] = ACTIONS(1219),
    [sym__ternary_qmark] = ACTIONS(1219),
  },
  [102] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1814),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_as] = ACTIONS(1215),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1219),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_in] = ACTIONS(1215),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1219),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(1215),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_QMARK_DOT] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1215),
    [anon_sym_GT_GT_GT] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1215),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_PIPE] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_STAR_STAR] = ACTIONS(1219),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1219),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_QMARK_QMARK] = ACTIONS(1219),
    [anon_sym_instanceof] = ACTIONS(1215),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
    [sym__automatic_semicolon] = ACTIONS(1219),
    [sym__ternary_qmark] = ACTIONS(1219),
  },
  [103] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2180),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_as] = ACTIONS(1215),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_in] = ACTIONS(1215),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(1219),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(1215),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_QMARK_DOT] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1215),
    [anon_sym_GT_GT_GT] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1215),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_PIPE] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_STAR_STAR] = ACTIONS(1219),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1219),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_QMARK_QMARK] = ACTIONS(1219),
    [anon_sym_instanceof] = ACTIONS(1215),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
    [sym__automatic_semicolon] = ACTIONS(1219),
    [sym__ternary_qmark] = ACTIONS(1219),
  },
  [104] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1870),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(1255),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_as] = ACTIONS(1215),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1219),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_in] = ACTIONS(1215),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(1215),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_QMARK_DOT] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1215),
    [anon_sym_GT_GT_GT] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1215),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_PIPE] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_STAR_STAR] = ACTIONS(1219),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1219),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_QMARK_QMARK] = ACTIONS(1219),
    [anon_sym_instanceof] = ACTIONS(1215),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
    [anon_sym_implements] = ACTIONS(1215),
    [sym__ternary_qmark] = ACTIONS(1219),
  },
  [105] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2329),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_STAR] = ACTIONS(1263),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_as] = ACTIONS(1215),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_in] = ACTIONS(1215),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_RBRACK] = ACTIONS(1219),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(1215),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_QMARK_DOT] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1215),
    [anon_sym_GT_GT_GT] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1215),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_PIPE] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_STAR_STAR] = ACTIONS(1219),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1219),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_QMARK_QMARK] = ACTIONS(1219),
    [anon_sym_instanceof] = ACTIONS(1215),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
    [sym__ternary_qmark] = ACTIONS(1219),
  },
  [106] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2338),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_STAR] = ACTIONS(1271),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_as] = ACTIONS(1215),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_in] = ACTIONS(1215),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(1219),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(1215),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_QMARK_DOT] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1215),
    [anon_sym_GT_GT_GT] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1215),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_PIPE] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_STAR_STAR] = ACTIONS(1219),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1219),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_QMARK_QMARK] = ACTIONS(1219),
    [anon_sym_instanceof] = ACTIONS(1215),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
    [sym__ternary_qmark] = ACTIONS(1219),
  },
  [107] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2241),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_STAR] = ACTIONS(1283),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(1215),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_in] = ACTIONS(1215),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(1215),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_QMARK_DOT] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1215),
    [anon_sym_GT_GT_GT] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1215),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_PIPE] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_STAR_STAR] = ACTIONS(1219),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1219),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_QMARK_QMARK] = ACTIONS(1219),
    [anon_sym_instanceof] = ACTIONS(1215),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
    [sym__ternary_qmark] = ACTIONS(1219),
  },
  [108] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_as] = ACTIONS(1215),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(80),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_in] = ACTIONS(1215),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(49),
    [anon_sym_GT] = ACTIONS(1215),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_QMARK_DOT] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1215),
    [anon_sym_GT_GT_GT] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1215),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_PIPE] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_STAR_STAR] = ACTIONS(1219),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1219),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_QMARK_QMARK] = ACTIONS(1219),
    [anon_sym_instanceof] = ACTIONS(1215),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
    [sym__ternary_qmark] = ACTIONS(1219),
  },
  [109] = {
    [sym_declaration] = STATE(841),
    [sym_import] = STATE(2086),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2140),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3602),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1297),
    [anon_sym_namespace] = ACTIONS(1299),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(1301),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1305),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1307),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [110] = {
    [sym_declaration] = STATE(2609),
    [sym_import] = STATE(2086),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2179),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(2559),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_function_signature] = STATE(2559),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(908),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3544),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1309),
    [anon_sym_namespace] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(1313),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(559),
    [anon_sym_const] = ACTIONS(561),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(589),
    [anon_sym_async] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1319),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
    [anon_sym_abstract] = ACTIONS(599),
    [anon_sym_interface] = ACTIONS(601),
    [anon_sym_enum] = ACTIONS(603),
  },
  [111] = {
    [sym_declaration] = STATE(833),
    [sym_import] = STATE(2086),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2169),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(172),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3602),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1297),
    [anon_sym_namespace] = ACTIONS(1299),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(1301),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(195),
    [anon_sym_async] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1305),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1307),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [112] = {
    [sym_declaration] = STATE(3689),
    [sym_import] = STATE(2086),
    [sym_variable_declaration] = STATE(3652),
    [sym_lexical_declaration] = STATE(3652),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2183),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(3652),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(3652),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(3652),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_function_signature] = STATE(3652),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(3652),
    [sym_abstract_class_declaration] = STATE(3652),
    [sym_module] = STATE(3652),
    [sym_internal_module] = STATE(2083),
    [sym_import_alias] = STATE(3652),
    [sym_interface_declaration] = STATE(3652),
    [sym_enum_declaration] = STATE(3652),
    [sym_type_alias_declaration] = STATE(3652),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3618),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1321),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(1325),
    [anon_sym_let] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(1331),
    [anon_sym_async] = ACTIONS(1333),
    [anon_sym_function] = ACTIONS(1335),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1337),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1339),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
    [anon_sym_abstract] = ACTIONS(1341),
    [anon_sym_interface] = ACTIONS(1343),
    [anon_sym_enum] = ACTIONS(1345),
  },
  [113] = {
    [sym_declaration] = STATE(3812),
    [sym_import] = STATE(2086),
    [sym_variable_declaration] = STATE(3652),
    [sym_lexical_declaration] = STATE(3652),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2188),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(3652),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(3652),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(3652),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_function_signature] = STATE(3652),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(3652),
    [sym_abstract_class_declaration] = STATE(3652),
    [sym_module] = STATE(3652),
    [sym_internal_module] = STATE(2083),
    [sym_import_alias] = STATE(3652),
    [sym_interface_declaration] = STATE(3652),
    [sym_enum_declaration] = STATE(3652),
    [sym_type_alias_declaration] = STATE(3652),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3618),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1321),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(1325),
    [anon_sym_let] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(1331),
    [anon_sym_async] = ACTIONS(1333),
    [anon_sym_function] = ACTIONS(1335),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1337),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1339),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
    [anon_sym_abstract] = ACTIONS(1341),
    [anon_sym_interface] = ACTIONS(1343),
    [anon_sym_enum] = ACTIONS(1345),
  },
  [114] = {
    [sym_declaration] = STATE(833),
    [sym_import] = STATE(2086),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2169),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(2151),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3610),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1297),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(1301),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(1347),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1349),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1351),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [115] = {
    [sym_declaration] = STATE(2642),
    [sym_import] = STATE(2086),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2157),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(2559),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_function_signature] = STATE(2559),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(908),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3544),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1309),
    [anon_sym_namespace] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(1313),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(559),
    [anon_sym_const] = ACTIONS(561),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(589),
    [anon_sym_async] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1319),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
    [anon_sym_abstract] = ACTIONS(599),
    [anon_sym_interface] = ACTIONS(601),
    [anon_sym_enum] = ACTIONS(603),
  },
  [116] = {
    [sym_declaration] = STATE(841),
    [sym_import] = STATE(2086),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2140),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_class_declaration] = STATE(735),
    [sym_function] = STATE(2086),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function] = STATE(2086),
    [sym_generator_function_declaration] = STATE(735),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_function_signature] = STATE(735),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(2151),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3610),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1297),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(1301),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(557),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(1347),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1349),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1351),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
    [anon_sym_abstract] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(237),
    [anon_sym_enum] = ACTIONS(239),
  },
  [117] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(2704),
    [sym_statement_block] = STATE(2704),
    [sym_if_statement] = STATE(2704),
    [sym_switch_statement] = STATE(2704),
    [sym_try_statement] = STATE(2704),
    [sym_with_statement] = STATE(2704),
    [sym_empty_statement] = STATE(2704),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_definition] = STATE(2704),
    [sym_ui_object_array] = STATE(2704),
    [sym_ui_nested_identifier] = STATE(3985),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1353),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(1355),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_property] = ACTIONS(1355),
    [anon_sym_signal] = ACTIONS(1355),
    [anon_sym_on] = ACTIONS(1355),
    [anon_sym_required] = ACTIONS(1355),
    [anon_sym_component] = ACTIONS(1355),
  },
  [118] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(2712),
    [sym_statement_block] = STATE(2712),
    [sym_if_statement] = STATE(2712),
    [sym_switch_statement] = STATE(2712),
    [sym_try_statement] = STATE(2712),
    [sym_with_statement] = STATE(2712),
    [sym_empty_statement] = STATE(2712),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_definition] = STATE(4535),
    [sym_ui_object_array] = STATE(4535),
    [sym_ui_nested_identifier] = STATE(3984),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1365),
    [anon_sym_type] = ACTIONS(1365),
    [anon_sym_namespace] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1371),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_readonly] = ACTIONS(1365),
    [anon_sym_get] = ACTIONS(1365),
    [anon_sym_set] = ACTIONS(1365),
    [anon_sym_declare] = ACTIONS(1365),
    [anon_sym_public] = ACTIONS(1365),
    [anon_sym_private] = ACTIONS(1365),
    [anon_sym_protected] = ACTIONS(1365),
    [anon_sym_override] = ACTIONS(1365),
    [anon_sym_module] = ACTIONS(1365),
    [anon_sym_any] = ACTIONS(1365),
    [anon_sym_number] = ACTIONS(1365),
    [anon_sym_boolean] = ACTIONS(1365),
    [anon_sym_string] = ACTIONS(1365),
    [anon_sym_symbol] = ACTIONS(1365),
    [anon_sym_property] = ACTIONS(1365),
    [anon_sym_signal] = ACTIONS(1365),
    [anon_sym_on] = ACTIONS(1365),
    [anon_sym_required] = ACTIONS(1365),
    [anon_sym_component] = ACTIONS(1365),
  },
  [119] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(2708),
    [sym_statement_block] = STATE(2708),
    [sym_if_statement] = STATE(2708),
    [sym_switch_statement] = STATE(2708),
    [sym_try_statement] = STATE(2708),
    [sym_with_statement] = STATE(2708),
    [sym_empty_statement] = STATE(2708),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_definition] = STATE(4537),
    [sym_ui_object_array] = STATE(4537),
    [sym_ui_nested_identifier] = STATE(3984),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1365),
    [anon_sym_type] = ACTIONS(1365),
    [anon_sym_namespace] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1371),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_readonly] = ACTIONS(1365),
    [anon_sym_get] = ACTIONS(1365),
    [anon_sym_set] = ACTIONS(1365),
    [anon_sym_declare] = ACTIONS(1365),
    [anon_sym_public] = ACTIONS(1365),
    [anon_sym_private] = ACTIONS(1365),
    [anon_sym_protected] = ACTIONS(1365),
    [anon_sym_override] = ACTIONS(1365),
    [anon_sym_module] = ACTIONS(1365),
    [anon_sym_any] = ACTIONS(1365),
    [anon_sym_number] = ACTIONS(1365),
    [anon_sym_boolean] = ACTIONS(1365),
    [anon_sym_string] = ACTIONS(1365),
    [anon_sym_symbol] = ACTIONS(1365),
    [anon_sym_property] = ACTIONS(1365),
    [anon_sym_signal] = ACTIONS(1365),
    [anon_sym_on] = ACTIONS(1365),
    [anon_sym_required] = ACTIONS(1365),
    [anon_sym_component] = ACTIONS(1365),
  },
  [120] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(2735),
    [sym_statement_block] = STATE(2735),
    [sym_if_statement] = STATE(2735),
    [sym_switch_statement] = STATE(2735),
    [sym_try_statement] = STATE(2735),
    [sym_with_statement] = STATE(2735),
    [sym_empty_statement] = STATE(2735),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_definition] = STATE(4332),
    [sym_ui_object_array] = STATE(4332),
    [sym_ui_nested_identifier] = STATE(3984),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1365),
    [anon_sym_type] = ACTIONS(1365),
    [anon_sym_namespace] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1371),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_readonly] = ACTIONS(1365),
    [anon_sym_get] = ACTIONS(1365),
    [anon_sym_set] = ACTIONS(1365),
    [anon_sym_declare] = ACTIONS(1365),
    [anon_sym_public] = ACTIONS(1365),
    [anon_sym_private] = ACTIONS(1365),
    [anon_sym_protected] = ACTIONS(1365),
    [anon_sym_override] = ACTIONS(1365),
    [anon_sym_module] = ACTIONS(1365),
    [anon_sym_any] = ACTIONS(1365),
    [anon_sym_number] = ACTIONS(1365),
    [anon_sym_boolean] = ACTIONS(1365),
    [anon_sym_string] = ACTIONS(1365),
    [anon_sym_symbol] = ACTIONS(1365),
    [anon_sym_property] = ACTIONS(1365),
    [anon_sym_signal] = ACTIONS(1365),
    [anon_sym_on] = ACTIONS(1365),
    [anon_sym_required] = ACTIONS(1365),
    [anon_sym_component] = ACTIONS(1365),
  },
  [121] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(2709),
    [sym_statement_block] = STATE(2709),
    [sym_if_statement] = STATE(2709),
    [sym_switch_statement] = STATE(2709),
    [sym_try_statement] = STATE(2709),
    [sym_with_statement] = STATE(2709),
    [sym_empty_statement] = STATE(2709),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_definition] = STATE(4536),
    [sym_ui_object_array] = STATE(4536),
    [sym_ui_nested_identifier] = STATE(3984),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1365),
    [anon_sym_type] = ACTIONS(1365),
    [anon_sym_namespace] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1371),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_readonly] = ACTIONS(1365),
    [anon_sym_get] = ACTIONS(1365),
    [anon_sym_set] = ACTIONS(1365),
    [anon_sym_declare] = ACTIONS(1365),
    [anon_sym_public] = ACTIONS(1365),
    [anon_sym_private] = ACTIONS(1365),
    [anon_sym_protected] = ACTIONS(1365),
    [anon_sym_override] = ACTIONS(1365),
    [anon_sym_module] = ACTIONS(1365),
    [anon_sym_any] = ACTIONS(1365),
    [anon_sym_number] = ACTIONS(1365),
    [anon_sym_boolean] = ACTIONS(1365),
    [anon_sym_string] = ACTIONS(1365),
    [anon_sym_symbol] = ACTIONS(1365),
    [anon_sym_property] = ACTIONS(1365),
    [anon_sym_signal] = ACTIONS(1365),
    [anon_sym_on] = ACTIONS(1365),
    [anon_sym_required] = ACTIONS(1365),
    [anon_sym_component] = ACTIONS(1365),
  },
  [122] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(2736),
    [sym_statement_block] = STATE(2736),
    [sym_if_statement] = STATE(2736),
    [sym_switch_statement] = STATE(2736),
    [sym_try_statement] = STATE(2736),
    [sym_with_statement] = STATE(2736),
    [sym_empty_statement] = STATE(2736),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_definition] = STATE(4335),
    [sym_ui_object_array] = STATE(4335),
    [sym_ui_nested_identifier] = STATE(3984),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1365),
    [anon_sym_type] = ACTIONS(1365),
    [anon_sym_namespace] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1371),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_readonly] = ACTIONS(1365),
    [anon_sym_get] = ACTIONS(1365),
    [anon_sym_set] = ACTIONS(1365),
    [anon_sym_declare] = ACTIONS(1365),
    [anon_sym_public] = ACTIONS(1365),
    [anon_sym_private] = ACTIONS(1365),
    [anon_sym_protected] = ACTIONS(1365),
    [anon_sym_override] = ACTIONS(1365),
    [anon_sym_module] = ACTIONS(1365),
    [anon_sym_any] = ACTIONS(1365),
    [anon_sym_number] = ACTIONS(1365),
    [anon_sym_boolean] = ACTIONS(1365),
    [anon_sym_string] = ACTIONS(1365),
    [anon_sym_symbol] = ACTIONS(1365),
    [anon_sym_property] = ACTIONS(1365),
    [anon_sym_signal] = ACTIONS(1365),
    [anon_sym_on] = ACTIONS(1365),
    [anon_sym_required] = ACTIONS(1365),
    [anon_sym_component] = ACTIONS(1365),
  },
  [123] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(2713),
    [sym_statement_block] = STATE(2713),
    [sym_if_statement] = STATE(2713),
    [sym_switch_statement] = STATE(2713),
    [sym_try_statement] = STATE(2713),
    [sym_with_statement] = STATE(2713),
    [sym_empty_statement] = STATE(2713),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_definition] = STATE(4533),
    [sym_ui_object_array] = STATE(4533),
    [sym_ui_nested_identifier] = STATE(3984),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1365),
    [anon_sym_type] = ACTIONS(1365),
    [anon_sym_namespace] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1371),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_readonly] = ACTIONS(1365),
    [anon_sym_get] = ACTIONS(1365),
    [anon_sym_set] = ACTIONS(1365),
    [anon_sym_declare] = ACTIONS(1365),
    [anon_sym_public] = ACTIONS(1365),
    [anon_sym_private] = ACTIONS(1365),
    [anon_sym_protected] = ACTIONS(1365),
    [anon_sym_override] = ACTIONS(1365),
    [anon_sym_module] = ACTIONS(1365),
    [anon_sym_any] = ACTIONS(1365),
    [anon_sym_number] = ACTIONS(1365),
    [anon_sym_boolean] = ACTIONS(1365),
    [anon_sym_string] = ACTIONS(1365),
    [anon_sym_symbol] = ACTIONS(1365),
    [anon_sym_property] = ACTIONS(1365),
    [anon_sym_signal] = ACTIONS(1365),
    [anon_sym_on] = ACTIONS(1365),
    [anon_sym_required] = ACTIONS(1365),
    [anon_sym_component] = ACTIONS(1365),
  },
  [124] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(2738),
    [sym_statement_block] = STATE(2738),
    [sym_if_statement] = STATE(2738),
    [sym_switch_statement] = STATE(2738),
    [sym_try_statement] = STATE(2738),
    [sym_with_statement] = STATE(2738),
    [sym_empty_statement] = STATE(2738),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_definition] = STATE(4336),
    [sym_ui_object_array] = STATE(4336),
    [sym_ui_nested_identifier] = STATE(3984),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1365),
    [anon_sym_type] = ACTIONS(1365),
    [anon_sym_namespace] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1371),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_readonly] = ACTIONS(1365),
    [anon_sym_get] = ACTIONS(1365),
    [anon_sym_set] = ACTIONS(1365),
    [anon_sym_declare] = ACTIONS(1365),
    [anon_sym_public] = ACTIONS(1365),
    [anon_sym_private] = ACTIONS(1365),
    [anon_sym_protected] = ACTIONS(1365),
    [anon_sym_override] = ACTIONS(1365),
    [anon_sym_module] = ACTIONS(1365),
    [anon_sym_any] = ACTIONS(1365),
    [anon_sym_number] = ACTIONS(1365),
    [anon_sym_boolean] = ACTIONS(1365),
    [anon_sym_string] = ACTIONS(1365),
    [anon_sym_symbol] = ACTIONS(1365),
    [anon_sym_property] = ACTIONS(1365),
    [anon_sym_signal] = ACTIONS(1365),
    [anon_sym_on] = ACTIONS(1365),
    [anon_sym_required] = ACTIONS(1365),
    [anon_sym_component] = ACTIONS(1365),
  },
  [125] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(2740),
    [sym_statement_block] = STATE(2740),
    [sym_if_statement] = STATE(2740),
    [sym_switch_statement] = STATE(2740),
    [sym_try_statement] = STATE(2740),
    [sym_with_statement] = STATE(2740),
    [sym_empty_statement] = STATE(2740),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_definition] = STATE(4340),
    [sym_ui_object_array] = STATE(4340),
    [sym_ui_nested_identifier] = STATE(3984),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1365),
    [anon_sym_type] = ACTIONS(1365),
    [anon_sym_namespace] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1371),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_readonly] = ACTIONS(1365),
    [anon_sym_get] = ACTIONS(1365),
    [anon_sym_set] = ACTIONS(1365),
    [anon_sym_declare] = ACTIONS(1365),
    [anon_sym_public] = ACTIONS(1365),
    [anon_sym_private] = ACTIONS(1365),
    [anon_sym_protected] = ACTIONS(1365),
    [anon_sym_override] = ACTIONS(1365),
    [anon_sym_module] = ACTIONS(1365),
    [anon_sym_any] = ACTIONS(1365),
    [anon_sym_number] = ACTIONS(1365),
    [anon_sym_boolean] = ACTIONS(1365),
    [anon_sym_string] = ACTIONS(1365),
    [anon_sym_symbol] = ACTIONS(1365),
    [anon_sym_property] = ACTIONS(1365),
    [anon_sym_signal] = ACTIONS(1365),
    [anon_sym_on] = ACTIONS(1365),
    [anon_sym_required] = ACTIONS(1365),
    [anon_sym_component] = ACTIONS(1365),
  },
  [126] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(2710),
    [sym_statement_block] = STATE(2710),
    [sym_if_statement] = STATE(2710),
    [sym_switch_statement] = STATE(2710),
    [sym_try_statement] = STATE(2710),
    [sym_with_statement] = STATE(2710),
    [sym_empty_statement] = STATE(2710),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4353),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_definition] = STATE(2710),
    [sym_ui_object_array] = STATE(2710),
    [sym_ui_nested_identifier] = STATE(3985),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1353),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_switch] = ACTIONS(565),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(1355),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_property] = ACTIONS(1355),
    [anon_sym_signal] = ACTIONS(1355),
    [anon_sym_on] = ACTIONS(1355),
    [anon_sym_required] = ACTIONS(1355),
    [anon_sym_component] = ACTIONS(1355),
  },
  [127] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(1375),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(62),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_RPAREN] = ACTIONS(62),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_COLON] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [128] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(1405),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(1407),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [129] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(62),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [130] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_RPAREN] = ACTIONS(32),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_COLON] = ACTIONS(32),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [131] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(1375),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1413),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_COLON] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [132] = {
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_export] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1422),
    [anon_sym_as] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_typeof] = ACTIONS(1418),
    [anon_sym_import] = ACTIONS(1418),
    [anon_sym_from] = ACTIONS(1418),
    [anon_sym_var] = ACTIONS(1418),
    [anon_sym_let] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_in] = ACTIONS(1420),
    [anon_sym_of] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_try] = ACTIONS(1418),
    [anon_sym_with] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_debugger] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1420),
    [anon_sym_SLASH] = ACTIONS(1418),
    [anon_sym_DOT] = ACTIONS(1420),
    [anon_sym_class] = ACTIONS(1418),
    [anon_sym_async] = ACTIONS(1418),
    [anon_sym_function] = ACTIONS(1418),
    [anon_sym_QMARK_DOT] = ACTIONS(1426),
    [anon_sym_new] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1420),
    [anon_sym_GT_GT_GT] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PERCENT] = ACTIONS(1426),
    [anon_sym_STAR_STAR] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_EQ_EQ] = ACTIONS(1420),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1420),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_QMARK_QMARK] = ACTIONS(1426),
    [anon_sym_instanceof] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_void] = ACTIONS(1418),
    [anon_sym_delete] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [sym_number] = ACTIONS(1424),
    [sym_this] = ACTIONS(1418),
    [sym_super] = ACTIONS(1418),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [sym_null] = ACTIONS(1418),
    [sym_undefined] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_readonly] = ACTIONS(1418),
    [anon_sym_get] = ACTIONS(1418),
    [anon_sym_set] = ACTIONS(1418),
    [anon_sym_declare] = ACTIONS(1418),
    [anon_sym_public] = ACTIONS(1418),
    [anon_sym_private] = ACTIONS(1418),
    [anon_sym_protected] = ACTIONS(1418),
    [anon_sym_override] = ACTIONS(1418),
    [anon_sym_module] = ACTIONS(1418),
    [anon_sym_any] = ACTIONS(1418),
    [anon_sym_number] = ACTIONS(1418),
    [anon_sym_boolean] = ACTIONS(1418),
    [anon_sym_string] = ACTIONS(1418),
    [anon_sym_symbol] = ACTIONS(1418),
    [anon_sym_property] = ACTIONS(1418),
    [anon_sym_signal] = ACTIONS(1418),
    [anon_sym_on] = ACTIONS(1418),
    [anon_sym_required] = ACTIONS(1418),
    [anon_sym_component] = ACTIONS(1418),
    [anon_sym_abstract] = ACTIONS(1418),
    [anon_sym_interface] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [sym__automatic_semicolon] = ACTIONS(1428),
    [sym__ternary_qmark] = ACTIONS(1426),
  },
  [133] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(1430),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(1432),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [134] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3051),
    [sym_constructor_type] = STATE(3051),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3051),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3051),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3051),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_RBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1468),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [135] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1853),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4058),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_definition] = STATE(4008),
    [sym_ui_nested_identifier] = STATE(3985),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4060),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1484),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
  },
  [136] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1744),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym__formal_parameter] = STATE(4056),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4933),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4056),
    [sym_optional_parameter] = STATE(4056),
    [sym__parameter_name] = STATE(3320),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1490),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(1492),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(773),
    [anon_sym_private] = ACTIONS(773),
    [anon_sym_protected] = ACTIONS(773),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [137] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(1494),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(1496),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_implements] = ACTIONS(26),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [138] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1853),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4058),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_definition] = STATE(4059),
    [sym_ui_nested_identifier] = STATE(3985),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4060),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1484),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
  },
  [139] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1765),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym__formal_parameter] = STATE(4056),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4795),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4056),
    [sym_optional_parameter] = STATE(4056),
    [sym__parameter_name] = STATE(3320),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1490),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(1492),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(773),
    [anon_sym_private] = ACTIONS(773),
    [anon_sym_protected] = ACTIONS(773),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [140] = {
    [sym_statement_block] = STATE(166),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_export] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_default] = ACTIONS(1498),
    [anon_sym_type] = ACTIONS(1498),
    [anon_sym_as] = ACTIONS(1498),
    [anon_sym_namespace] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_typeof] = ACTIONS(1498),
    [anon_sym_import] = ACTIONS(1498),
    [anon_sym_from] = ACTIONS(1498),
    [anon_sym_var] = ACTIONS(1498),
    [anon_sym_let] = ACTIONS(1498),
    [anon_sym_const] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_else] = ACTIONS(1498),
    [anon_sym_if] = ACTIONS(1498),
    [anon_sym_switch] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [anon_sym_await] = ACTIONS(1498),
    [anon_sym_in] = ACTIONS(1498),
    [anon_sym_of] = ACTIONS(1498),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_do] = ACTIONS(1498),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_with] = ACTIONS(1498),
    [anon_sym_break] = ACTIONS(1498),
    [anon_sym_continue] = ACTIONS(1498),
    [anon_sym_debugger] = ACTIONS(1498),
    [anon_sym_return] = ACTIONS(1498),
    [anon_sym_throw] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_case] = ACTIONS(1498),
    [anon_sym_yield] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_DOT] = ACTIONS(1504),
    [anon_sym_class] = ACTIONS(1498),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1498),
    [anon_sym_QMARK_DOT] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1498),
    [anon_sym_GT_GT_GT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_STAR_STAR] = ACTIONS(1502),
    [anon_sym_LT_EQ] = ACTIONS(1502),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1502),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1502),
    [anon_sym_GT_EQ] = ACTIONS(1502),
    [anon_sym_QMARK_QMARK] = ACTIONS(1502),
    [anon_sym_instanceof] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1498),
    [anon_sym_delete] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [sym_number] = ACTIONS(1502),
    [sym_this] = ACTIONS(1498),
    [sym_super] = ACTIONS(1498),
    [sym_true] = ACTIONS(1498),
    [sym_false] = ACTIONS(1498),
    [sym_null] = ACTIONS(1498),
    [sym_undefined] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1502),
    [anon_sym_static] = ACTIONS(1498),
    [anon_sym_readonly] = ACTIONS(1498),
    [anon_sym_get] = ACTIONS(1498),
    [anon_sym_set] = ACTIONS(1498),
    [anon_sym_declare] = ACTIONS(1498),
    [anon_sym_public] = ACTIONS(1498),
    [anon_sym_private] = ACTIONS(1498),
    [anon_sym_protected] = ACTIONS(1498),
    [anon_sym_override] = ACTIONS(1498),
    [anon_sym_module] = ACTIONS(1498),
    [anon_sym_any] = ACTIONS(1498),
    [anon_sym_number] = ACTIONS(1498),
    [anon_sym_boolean] = ACTIONS(1498),
    [anon_sym_string] = ACTIONS(1498),
    [anon_sym_symbol] = ACTIONS(1498),
    [anon_sym_property] = ACTIONS(1498),
    [anon_sym_signal] = ACTIONS(1498),
    [anon_sym_on] = ACTIONS(1498),
    [anon_sym_required] = ACTIONS(1498),
    [anon_sym_component] = ACTIONS(1498),
    [anon_sym_abstract] = ACTIONS(1498),
    [anon_sym_interface] = ACTIONS(1498),
    [anon_sym_enum] = ACTIONS(1498),
    [sym__automatic_semicolon] = ACTIONS(1502),
    [sym__ternary_qmark] = ACTIONS(1502),
  },
  [141] = {
    [sym_statement_block] = STATE(166),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_export] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_default] = ACTIONS(1498),
    [anon_sym_type] = ACTIONS(1498),
    [anon_sym_as] = ACTIONS(1498),
    [anon_sym_namespace] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_typeof] = ACTIONS(1498),
    [anon_sym_import] = ACTIONS(1498),
    [anon_sym_from] = ACTIONS(1498),
    [anon_sym_var] = ACTIONS(1498),
    [anon_sym_let] = ACTIONS(1498),
    [anon_sym_const] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_else] = ACTIONS(1498),
    [anon_sym_if] = ACTIONS(1498),
    [anon_sym_switch] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [anon_sym_await] = ACTIONS(1498),
    [anon_sym_in] = ACTIONS(1498),
    [anon_sym_of] = ACTIONS(1498),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_do] = ACTIONS(1498),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_with] = ACTIONS(1498),
    [anon_sym_break] = ACTIONS(1498),
    [anon_sym_continue] = ACTIONS(1498),
    [anon_sym_debugger] = ACTIONS(1498),
    [anon_sym_return] = ACTIONS(1498),
    [anon_sym_throw] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_case] = ACTIONS(1498),
    [anon_sym_yield] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_DOT] = ACTIONS(1498),
    [anon_sym_class] = ACTIONS(1498),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1498),
    [anon_sym_QMARK_DOT] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1498),
    [anon_sym_AMP_AMP] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1498),
    [anon_sym_GT_GT_GT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_STAR_STAR] = ACTIONS(1502),
    [anon_sym_LT_EQ] = ACTIONS(1502),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1502),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1502),
    [anon_sym_GT_EQ] = ACTIONS(1502),
    [anon_sym_QMARK_QMARK] = ACTIONS(1502),
    [anon_sym_instanceof] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1498),
    [anon_sym_delete] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [sym_number] = ACTIONS(1502),
    [sym_this] = ACTIONS(1498),
    [sym_super] = ACTIONS(1498),
    [sym_true] = ACTIONS(1498),
    [sym_false] = ACTIONS(1498),
    [sym_null] = ACTIONS(1498),
    [sym_undefined] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1502),
    [anon_sym_static] = ACTIONS(1498),
    [anon_sym_readonly] = ACTIONS(1498),
    [anon_sym_get] = ACTIONS(1498),
    [anon_sym_set] = ACTIONS(1498),
    [anon_sym_declare] = ACTIONS(1498),
    [anon_sym_public] = ACTIONS(1498),
    [anon_sym_private] = ACTIONS(1498),
    [anon_sym_protected] = ACTIONS(1498),
    [anon_sym_override] = ACTIONS(1498),
    [anon_sym_module] = ACTIONS(1498),
    [anon_sym_any] = ACTIONS(1498),
    [anon_sym_number] = ACTIONS(1498),
    [anon_sym_boolean] = ACTIONS(1498),
    [anon_sym_string] = ACTIONS(1498),
    [anon_sym_symbol] = ACTIONS(1498),
    [anon_sym_property] = ACTIONS(1498),
    [anon_sym_signal] = ACTIONS(1498),
    [anon_sym_on] = ACTIONS(1498),
    [anon_sym_required] = ACTIONS(1498),
    [anon_sym_component] = ACTIONS(1498),
    [anon_sym_abstract] = ACTIONS(1498),
    [anon_sym_interface] = ACTIONS(1498),
    [anon_sym_enum] = ACTIONS(1498),
    [sym__automatic_semicolon] = ACTIONS(1502),
    [sym__ternary_qmark] = ACTIONS(1502),
  },
  [142] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [143] = {
    [sym_identifier] = ACTIONS(1506),
    [anon_sym_export] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_default] = ACTIONS(1506),
    [anon_sym_type] = ACTIONS(1506),
    [anon_sym_as] = ACTIONS(1508),
    [anon_sym_namespace] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_typeof] = ACTIONS(1506),
    [anon_sym_import] = ACTIONS(1506),
    [anon_sym_from] = ACTIONS(1506),
    [anon_sym_var] = ACTIONS(1506),
    [anon_sym_let] = ACTIONS(1506),
    [anon_sym_const] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_else] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_switch] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_await] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(1508),
    [anon_sym_of] = ACTIONS(1506),
    [anon_sym_while] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1506),
    [anon_sym_try] = ACTIONS(1506),
    [anon_sym_with] = ACTIONS(1506),
    [anon_sym_break] = ACTIONS(1506),
    [anon_sym_continue] = ACTIONS(1506),
    [anon_sym_debugger] = ACTIONS(1506),
    [anon_sym_return] = ACTIONS(1506),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_case] = ACTIONS(1506),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_DOT] = ACTIONS(1508),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_async] = ACTIONS(1506),
    [anon_sym_function] = ACTIONS(1506),
    [anon_sym_QMARK_DOT] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_AMP_AMP] = ACTIONS(1512),
    [anon_sym_PIPE_PIPE] = ACTIONS(1512),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_GT_GT_GT] = ACTIONS(1512),
    [anon_sym_LT_LT] = ACTIONS(1512),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1512),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1512),
    [anon_sym_STAR_STAR] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1512),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1512),
    [anon_sym_QMARK_QMARK] = ACTIONS(1512),
    [anon_sym_instanceof] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_void] = ACTIONS(1506),
    [anon_sym_delete] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1510),
    [sym_number] = ACTIONS(1510),
    [sym_this] = ACTIONS(1506),
    [sym_super] = ACTIONS(1506),
    [sym_true] = ACTIONS(1506),
    [sym_false] = ACTIONS(1506),
    [sym_null] = ACTIONS(1506),
    [sym_undefined] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1510),
    [anon_sym_static] = ACTIONS(1506),
    [anon_sym_readonly] = ACTIONS(1506),
    [anon_sym_get] = ACTIONS(1506),
    [anon_sym_set] = ACTIONS(1506),
    [anon_sym_declare] = ACTIONS(1506),
    [anon_sym_public] = ACTIONS(1506),
    [anon_sym_private] = ACTIONS(1506),
    [anon_sym_protected] = ACTIONS(1506),
    [anon_sym_override] = ACTIONS(1506),
    [anon_sym_module] = ACTIONS(1506),
    [anon_sym_any] = ACTIONS(1506),
    [anon_sym_number] = ACTIONS(1506),
    [anon_sym_boolean] = ACTIONS(1506),
    [anon_sym_string] = ACTIONS(1506),
    [anon_sym_symbol] = ACTIONS(1506),
    [anon_sym_property] = ACTIONS(1506),
    [anon_sym_signal] = ACTIONS(1506),
    [anon_sym_on] = ACTIONS(1506),
    [anon_sym_required] = ACTIONS(1506),
    [anon_sym_component] = ACTIONS(1506),
    [anon_sym_abstract] = ACTIONS(1506),
    [anon_sym_interface] = ACTIONS(1506),
    [anon_sym_enum] = ACTIONS(1506),
    [sym__automatic_semicolon] = ACTIONS(1514),
    [sym__ternary_qmark] = ACTIONS(1512),
  },
  [144] = {
    [sym_identifier] = ACTIONS(1516),
    [anon_sym_export] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_type] = ACTIONS(1516),
    [anon_sym_as] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1520),
    [anon_sym_COMMA] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [anon_sym_typeof] = ACTIONS(1516),
    [anon_sym_import] = ACTIONS(1516),
    [anon_sym_from] = ACTIONS(1516),
    [anon_sym_var] = ACTIONS(1516),
    [anon_sym_let] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_else] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1520),
    [anon_sym_await] = ACTIONS(1516),
    [anon_sym_in] = ACTIONS(1518),
    [anon_sym_of] = ACTIONS(1516),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_do] = ACTIONS(1516),
    [anon_sym_try] = ACTIONS(1516),
    [anon_sym_with] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_debugger] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_throw] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1520),
    [anon_sym_case] = ACTIONS(1516),
    [anon_sym_yield] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_LT] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1518),
    [anon_sym_SLASH] = ACTIONS(1516),
    [anon_sym_DOT] = ACTIONS(1518),
    [anon_sym_class] = ACTIONS(1516),
    [anon_sym_async] = ACTIONS(1516),
    [anon_sym_function] = ACTIONS(1516),
    [anon_sym_QMARK_DOT] = ACTIONS(1522),
    [anon_sym_new] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1518),
    [anon_sym_GT_GT_GT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1518),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_STAR_STAR] = ACTIONS(1522),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_EQ_EQ] = ACTIONS(1518),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1522),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_QMARK_QMARK] = ACTIONS(1522),
    [anon_sym_instanceof] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_void] = ACTIONS(1516),
    [anon_sym_delete] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1520),
    [anon_sym_DQUOTE] = ACTIONS(1520),
    [anon_sym_SQUOTE] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1520),
    [sym_this] = ACTIONS(1516),
    [sym_super] = ACTIONS(1516),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [sym_null] = ACTIONS(1516),
    [sym_undefined] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1520),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_readonly] = ACTIONS(1516),
    [anon_sym_get] = ACTIONS(1516),
    [anon_sym_set] = ACTIONS(1516),
    [anon_sym_declare] = ACTIONS(1516),
    [anon_sym_public] = ACTIONS(1516),
    [anon_sym_private] = ACTIONS(1516),
    [anon_sym_protected] = ACTIONS(1516),
    [anon_sym_override] = ACTIONS(1516),
    [anon_sym_module] = ACTIONS(1516),
    [anon_sym_any] = ACTIONS(1516),
    [anon_sym_number] = ACTIONS(1516),
    [anon_sym_boolean] = ACTIONS(1516),
    [anon_sym_string] = ACTIONS(1516),
    [anon_sym_symbol] = ACTIONS(1516),
    [anon_sym_property] = ACTIONS(1516),
    [anon_sym_signal] = ACTIONS(1516),
    [anon_sym_on] = ACTIONS(1516),
    [anon_sym_required] = ACTIONS(1516),
    [anon_sym_component] = ACTIONS(1516),
    [anon_sym_abstract] = ACTIONS(1516),
    [anon_sym_interface] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [sym__automatic_semicolon] = ACTIONS(1524),
    [sym__ternary_qmark] = ACTIONS(1522),
  },
  [145] = {
    [sym_identifier] = ACTIONS(1526),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_default] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_as] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_COMMA] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(1526),
    [anon_sym_from] = ACTIONS(1526),
    [anon_sym_var] = ACTIONS(1526),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_const] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_else] = ACTIONS(1526),
    [anon_sym_if] = ACTIONS(1526),
    [anon_sym_switch] = ACTIONS(1526),
    [anon_sym_for] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_await] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1526),
    [anon_sym_of] = ACTIONS(1526),
    [anon_sym_while] = ACTIONS(1526),
    [anon_sym_do] = ACTIONS(1526),
    [anon_sym_try] = ACTIONS(1526),
    [anon_sym_with] = ACTIONS(1526),
    [anon_sym_break] = ACTIONS(1526),
    [anon_sym_continue] = ACTIONS(1526),
    [anon_sym_debugger] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(1526),
    [anon_sym_throw] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1528),
    [anon_sym_case] = ACTIONS(1526),
    [anon_sym_yield] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_DOT] = ACTIONS(1526),
    [anon_sym_class] = ACTIONS(1526),
    [anon_sym_async] = ACTIONS(1526),
    [anon_sym_function] = ACTIONS(1526),
    [anon_sym_QMARK_DOT] = ACTIONS(1528),
    [anon_sym_new] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1528),
    [anon_sym_PIPE_PIPE] = ACTIONS(1528),
    [anon_sym_GT_GT] = ACTIONS(1526),
    [anon_sym_GT_GT_GT] = ACTIONS(1528),
    [anon_sym_LT_LT] = ACTIONS(1528),
    [anon_sym_AMP] = ACTIONS(1526),
    [anon_sym_CARET] = ACTIONS(1528),
    [anon_sym_PIPE] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_PERCENT] = ACTIONS(1528),
    [anon_sym_STAR_STAR] = ACTIONS(1528),
    [anon_sym_LT_EQ] = ACTIONS(1528),
    [anon_sym_EQ_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1528),
    [anon_sym_BANG_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1528),
    [anon_sym_GT_EQ] = ACTIONS(1528),
    [anon_sym_QMARK_QMARK] = ACTIONS(1528),
    [anon_sym_instanceof] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1528),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [sym_number] = ACTIONS(1528),
    [sym_this] = ACTIONS(1526),
    [sym_super] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_AT] = ACTIONS(1528),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_property] = ACTIONS(1526),
    [anon_sym_signal] = ACTIONS(1526),
    [anon_sym_on] = ACTIONS(1526),
    [anon_sym_required] = ACTIONS(1526),
    [anon_sym_component] = ACTIONS(1526),
    [anon_sym_abstract] = ACTIONS(1526),
    [anon_sym_interface] = ACTIONS(1526),
    [anon_sym_enum] = ACTIONS(1526),
    [sym__automatic_semicolon] = ACTIONS(1528),
    [sym__ternary_qmark] = ACTIONS(1528),
  },
  [146] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4403),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4403),
    [sym_optional_parameter] = STATE(4403),
    [sym__parameter_name] = STATE(3320),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1530),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1532),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1534),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [147] = {
    [sym_identifier] = ACTIONS(1536),
    [anon_sym_export] = ACTIONS(1536),
    [anon_sym_STAR] = ACTIONS(1538),
    [anon_sym_default] = ACTIONS(1536),
    [anon_sym_type] = ACTIONS(1536),
    [anon_sym_as] = ACTIONS(1538),
    [anon_sym_namespace] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_COMMA] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(1536),
    [anon_sym_from] = ACTIONS(1536),
    [anon_sym_var] = ACTIONS(1536),
    [anon_sym_let] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_else] = ACTIONS(1536),
    [anon_sym_if] = ACTIONS(1536),
    [anon_sym_switch] = ACTIONS(1536),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_await] = ACTIONS(1536),
    [anon_sym_in] = ACTIONS(1538),
    [anon_sym_of] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1536),
    [anon_sym_do] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_with] = ACTIONS(1536),
    [anon_sym_break] = ACTIONS(1536),
    [anon_sym_continue] = ACTIONS(1536),
    [anon_sym_debugger] = ACTIONS(1536),
    [anon_sym_return] = ACTIONS(1536),
    [anon_sym_throw] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1540),
    [anon_sym_case] = ACTIONS(1536),
    [anon_sym_yield] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1536),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_SLASH] = ACTIONS(1536),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_class] = ACTIONS(1536),
    [anon_sym_async] = ACTIONS(1536),
    [anon_sym_function] = ACTIONS(1536),
    [anon_sym_QMARK_DOT] = ACTIONS(1542),
    [anon_sym_new] = ACTIONS(1536),
    [anon_sym_AMP_AMP] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1538),
    [anon_sym_GT_GT_GT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_STAR_STAR] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1538),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ] = ACTIONS(1538),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1542),
    [anon_sym_QMARK_QMARK] = ACTIONS(1542),
    [anon_sym_instanceof] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1540),
    [anon_sym_SQUOTE] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1540),
    [sym_number] = ACTIONS(1540),
    [sym_this] = ACTIONS(1536),
    [sym_super] = ACTIONS(1536),
    [sym_true] = ACTIONS(1536),
    [sym_false] = ACTIONS(1536),
    [sym_null] = ACTIONS(1536),
    [sym_undefined] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1540),
    [anon_sym_static] = ACTIONS(1536),
    [anon_sym_readonly] = ACTIONS(1536),
    [anon_sym_get] = ACTIONS(1536),
    [anon_sym_set] = ACTIONS(1536),
    [anon_sym_declare] = ACTIONS(1536),
    [anon_sym_public] = ACTIONS(1536),
    [anon_sym_private] = ACTIONS(1536),
    [anon_sym_protected] = ACTIONS(1536),
    [anon_sym_override] = ACTIONS(1536),
    [anon_sym_module] = ACTIONS(1536),
    [anon_sym_any] = ACTIONS(1536),
    [anon_sym_number] = ACTIONS(1536),
    [anon_sym_boolean] = ACTIONS(1536),
    [anon_sym_string] = ACTIONS(1536),
    [anon_sym_symbol] = ACTIONS(1536),
    [anon_sym_property] = ACTIONS(1536),
    [anon_sym_signal] = ACTIONS(1536),
    [anon_sym_on] = ACTIONS(1536),
    [anon_sym_required] = ACTIONS(1536),
    [anon_sym_component] = ACTIONS(1536),
    [anon_sym_abstract] = ACTIONS(1536),
    [anon_sym_interface] = ACTIONS(1536),
    [anon_sym_enum] = ACTIONS(1536),
    [sym__automatic_semicolon] = ACTIONS(1544),
    [sym__ternary_qmark] = ACTIONS(1542),
  },
  [148] = {
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_export] = ACTIONS(1546),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_default] = ACTIONS(1546),
    [anon_sym_type] = ACTIONS(1546),
    [anon_sym_as] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_COMMA] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(1546),
    [anon_sym_from] = ACTIONS(1546),
    [anon_sym_var] = ACTIONS(1546),
    [anon_sym_let] = ACTIONS(1546),
    [anon_sym_const] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_else] = ACTIONS(1546),
    [anon_sym_if] = ACTIONS(1546),
    [anon_sym_switch] = ACTIONS(1546),
    [anon_sym_for] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_await] = ACTIONS(1546),
    [anon_sym_in] = ACTIONS(1548),
    [anon_sym_of] = ACTIONS(1546),
    [anon_sym_while] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1546),
    [anon_sym_try] = ACTIONS(1546),
    [anon_sym_with] = ACTIONS(1546),
    [anon_sym_break] = ACTIONS(1546),
    [anon_sym_continue] = ACTIONS(1546),
    [anon_sym_debugger] = ACTIONS(1546),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1550),
    [anon_sym_case] = ACTIONS(1546),
    [anon_sym_yield] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_LT] = ACTIONS(1546),
    [anon_sym_GT] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1546),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_class] = ACTIONS(1546),
    [anon_sym_async] = ACTIONS(1546),
    [anon_sym_function] = ACTIONS(1546),
    [anon_sym_QMARK_DOT] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_AMP_AMP] = ACTIONS(1552),
    [anon_sym_PIPE_PIPE] = ACTIONS(1552),
    [anon_sym_GT_GT] = ACTIONS(1548),
    [anon_sym_GT_GT_GT] = ACTIONS(1552),
    [anon_sym_LT_LT] = ACTIONS(1552),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1552),
    [anon_sym_PIPE] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_PERCENT] = ACTIONS(1552),
    [anon_sym_STAR_STAR] = ACTIONS(1552),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1552),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_QMARK_QMARK] = ACTIONS(1552),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_void] = ACTIONS(1546),
    [anon_sym_delete] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1550),
    [anon_sym_SQUOTE] = ACTIONS(1550),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1550),
    [sym_number] = ACTIONS(1550),
    [sym_this] = ACTIONS(1546),
    [sym_super] = ACTIONS(1546),
    [sym_true] = ACTIONS(1546),
    [sym_false] = ACTIONS(1546),
    [sym_null] = ACTIONS(1546),
    [sym_undefined] = ACTIONS(1546),
    [anon_sym_AT] = ACTIONS(1550),
    [anon_sym_static] = ACTIONS(1546),
    [anon_sym_readonly] = ACTIONS(1546),
    [anon_sym_get] = ACTIONS(1546),
    [anon_sym_set] = ACTIONS(1546),
    [anon_sym_declare] = ACTIONS(1546),
    [anon_sym_public] = ACTIONS(1546),
    [anon_sym_private] = ACTIONS(1546),
    [anon_sym_protected] = ACTIONS(1546),
    [anon_sym_override] = ACTIONS(1546),
    [anon_sym_module] = ACTIONS(1546),
    [anon_sym_any] = ACTIONS(1546),
    [anon_sym_number] = ACTIONS(1546),
    [anon_sym_boolean] = ACTIONS(1546),
    [anon_sym_string] = ACTIONS(1546),
    [anon_sym_symbol] = ACTIONS(1546),
    [anon_sym_property] = ACTIONS(1546),
    [anon_sym_signal] = ACTIONS(1546),
    [anon_sym_on] = ACTIONS(1546),
    [anon_sym_required] = ACTIONS(1546),
    [anon_sym_component] = ACTIONS(1546),
    [anon_sym_abstract] = ACTIONS(1546),
    [anon_sym_interface] = ACTIONS(1546),
    [anon_sym_enum] = ACTIONS(1546),
    [sym__automatic_semicolon] = ACTIONS(1554),
    [sym__ternary_qmark] = ACTIONS(1552),
  },
  [149] = {
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_export] = ACTIONS(1556),
    [anon_sym_STAR] = ACTIONS(1558),
    [anon_sym_default] = ACTIONS(1556),
    [anon_sym_type] = ACTIONS(1556),
    [anon_sym_as] = ACTIONS(1558),
    [anon_sym_namespace] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_COMMA] = ACTIONS(1562),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(1556),
    [anon_sym_from] = ACTIONS(1556),
    [anon_sym_var] = ACTIONS(1556),
    [anon_sym_let] = ACTIONS(1556),
    [anon_sym_const] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_else] = ACTIONS(1556),
    [anon_sym_if] = ACTIONS(1556),
    [anon_sym_switch] = ACTIONS(1556),
    [anon_sym_for] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_await] = ACTIONS(1556),
    [anon_sym_in] = ACTIONS(1558),
    [anon_sym_of] = ACTIONS(1556),
    [anon_sym_while] = ACTIONS(1556),
    [anon_sym_do] = ACTIONS(1556),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_with] = ACTIONS(1556),
    [anon_sym_break] = ACTIONS(1556),
    [anon_sym_continue] = ACTIONS(1556),
    [anon_sym_debugger] = ACTIONS(1556),
    [anon_sym_return] = ACTIONS(1556),
    [anon_sym_throw] = ACTIONS(1556),
    [anon_sym_SEMI] = ACTIONS(1560),
    [anon_sym_case] = ACTIONS(1556),
    [anon_sym_yield] = ACTIONS(1556),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1556),
    [anon_sym_GT] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(1556),
    [anon_sym_DOT] = ACTIONS(1558),
    [anon_sym_class] = ACTIONS(1556),
    [anon_sym_async] = ACTIONS(1556),
    [anon_sym_function] = ACTIONS(1556),
    [anon_sym_QMARK_DOT] = ACTIONS(1562),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP_AMP] = ACTIONS(1562),
    [anon_sym_PIPE_PIPE] = ACTIONS(1562),
    [anon_sym_GT_GT] = ACTIONS(1558),
    [anon_sym_GT_GT_GT] = ACTIONS(1562),
    [anon_sym_LT_LT] = ACTIONS(1562),
    [anon_sym_AMP] = ACTIONS(1558),
    [anon_sym_CARET] = ACTIONS(1562),
    [anon_sym_PIPE] = ACTIONS(1558),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_PERCENT] = ACTIONS(1562),
    [anon_sym_STAR_STAR] = ACTIONS(1562),
    [anon_sym_LT_EQ] = ACTIONS(1562),
    [anon_sym_EQ_EQ] = ACTIONS(1558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1562),
    [anon_sym_BANG_EQ] = ACTIONS(1558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1562),
    [anon_sym_GT_EQ] = ACTIONS(1562),
    [anon_sym_QMARK_QMARK] = ACTIONS(1562),
    [anon_sym_instanceof] = ACTIONS(1558),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [anon_sym_DQUOTE] = ACTIONS(1560),
    [anon_sym_SQUOTE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1560),
    [sym_number] = ACTIONS(1560),
    [sym_this] = ACTIONS(1556),
    [sym_super] = ACTIONS(1556),
    [sym_true] = ACTIONS(1556),
    [sym_false] = ACTIONS(1556),
    [sym_null] = ACTIONS(1556),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(1560),
    [anon_sym_static] = ACTIONS(1556),
    [anon_sym_readonly] = ACTIONS(1556),
    [anon_sym_get] = ACTIONS(1556),
    [anon_sym_set] = ACTIONS(1556),
    [anon_sym_declare] = ACTIONS(1556),
    [anon_sym_public] = ACTIONS(1556),
    [anon_sym_private] = ACTIONS(1556),
    [anon_sym_protected] = ACTIONS(1556),
    [anon_sym_override] = ACTIONS(1556),
    [anon_sym_module] = ACTIONS(1556),
    [anon_sym_any] = ACTIONS(1556),
    [anon_sym_number] = ACTIONS(1556),
    [anon_sym_boolean] = ACTIONS(1556),
    [anon_sym_string] = ACTIONS(1556),
    [anon_sym_symbol] = ACTIONS(1556),
    [anon_sym_property] = ACTIONS(1556),
    [anon_sym_signal] = ACTIONS(1556),
    [anon_sym_on] = ACTIONS(1556),
    [anon_sym_required] = ACTIONS(1556),
    [anon_sym_component] = ACTIONS(1556),
    [anon_sym_abstract] = ACTIONS(1556),
    [anon_sym_interface] = ACTIONS(1556),
    [anon_sym_enum] = ACTIONS(1556),
    [sym__automatic_semicolon] = ACTIONS(1564),
    [sym__ternary_qmark] = ACTIONS(1562),
  },
  [150] = {
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1566),
    [anon_sym_STAR] = ACTIONS(1568),
    [anon_sym_default] = ACTIONS(1566),
    [anon_sym_type] = ACTIONS(1566),
    [anon_sym_as] = ACTIONS(1568),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [anon_sym_typeof] = ACTIONS(1566),
    [anon_sym_import] = ACTIONS(1566),
    [anon_sym_from] = ACTIONS(1566),
    [anon_sym_var] = ACTIONS(1566),
    [anon_sym_let] = ACTIONS(1566),
    [anon_sym_const] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_else] = ACTIONS(1566),
    [anon_sym_if] = ACTIONS(1566),
    [anon_sym_switch] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1570),
    [anon_sym_await] = ACTIONS(1566),
    [anon_sym_in] = ACTIONS(1568),
    [anon_sym_of] = ACTIONS(1566),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1566),
    [anon_sym_with] = ACTIONS(1566),
    [anon_sym_break] = ACTIONS(1566),
    [anon_sym_continue] = ACTIONS(1566),
    [anon_sym_debugger] = ACTIONS(1566),
    [anon_sym_return] = ACTIONS(1566),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_SEMI] = ACTIONS(1570),
    [anon_sym_case] = ACTIONS(1566),
    [anon_sym_yield] = ACTIONS(1566),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_LT] = ACTIONS(1566),
    [anon_sym_GT] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1566),
    [anon_sym_DOT] = ACTIONS(1568),
    [anon_sym_class] = ACTIONS(1566),
    [anon_sym_async] = ACTIONS(1566),
    [anon_sym_function] = ACTIONS(1566),
    [anon_sym_QMARK_DOT] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(1566),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [anon_sym_GT_GT] = ACTIONS(1568),
    [anon_sym_GT_GT_GT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_STAR_STAR] = ACTIONS(1572),
    [anon_sym_LT_EQ] = ACTIONS(1572),
    [anon_sym_EQ_EQ] = ACTIONS(1568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ] = ACTIONS(1568),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1572),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_QMARK_QMARK] = ACTIONS(1572),
    [anon_sym_instanceof] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1566),
    [anon_sym_delete] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1570),
    [anon_sym_DASH_DASH] = ACTIONS(1570),
    [anon_sym_DQUOTE] = ACTIONS(1570),
    [anon_sym_SQUOTE] = ACTIONS(1570),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1570),
    [sym_number] = ACTIONS(1570),
    [sym_this] = ACTIONS(1566),
    [sym_super] = ACTIONS(1566),
    [sym_true] = ACTIONS(1566),
    [sym_false] = ACTIONS(1566),
    [sym_null] = ACTIONS(1566),
    [sym_undefined] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1570),
    [anon_sym_static] = ACTIONS(1566),
    [anon_sym_readonly] = ACTIONS(1566),
    [anon_sym_get] = ACTIONS(1566),
    [anon_sym_set] = ACTIONS(1566),
    [anon_sym_declare] = ACTIONS(1566),
    [anon_sym_public] = ACTIONS(1566),
    [anon_sym_private] = ACTIONS(1566),
    [anon_sym_protected] = ACTIONS(1566),
    [anon_sym_override] = ACTIONS(1566),
    [anon_sym_module] = ACTIONS(1566),
    [anon_sym_any] = ACTIONS(1566),
    [anon_sym_number] = ACTIONS(1566),
    [anon_sym_boolean] = ACTIONS(1566),
    [anon_sym_string] = ACTIONS(1566),
    [anon_sym_symbol] = ACTIONS(1566),
    [anon_sym_property] = ACTIONS(1566),
    [anon_sym_signal] = ACTIONS(1566),
    [anon_sym_on] = ACTIONS(1566),
    [anon_sym_required] = ACTIONS(1566),
    [anon_sym_component] = ACTIONS(1566),
    [anon_sym_abstract] = ACTIONS(1566),
    [anon_sym_interface] = ACTIONS(1566),
    [anon_sym_enum] = ACTIONS(1566),
    [sym__automatic_semicolon] = ACTIONS(1574),
    [sym__ternary_qmark] = ACTIONS(1572),
  },
  [151] = {
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_type] = ACTIONS(1576),
    [anon_sym_as] = ACTIONS(1576),
    [anon_sym_namespace] = ACTIONS(1576),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [anon_sym_typeof] = ACTIONS(1576),
    [anon_sym_import] = ACTIONS(1576),
    [anon_sym_from] = ACTIONS(1576),
    [anon_sym_var] = ACTIONS(1576),
    [anon_sym_let] = ACTIONS(1576),
    [anon_sym_const] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_else] = ACTIONS(1576),
    [anon_sym_if] = ACTIONS(1576),
    [anon_sym_switch] = ACTIONS(1576),
    [anon_sym_for] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [anon_sym_await] = ACTIONS(1576),
    [anon_sym_in] = ACTIONS(1576),
    [anon_sym_of] = ACTIONS(1576),
    [anon_sym_while] = ACTIONS(1576),
    [anon_sym_do] = ACTIONS(1576),
    [anon_sym_try] = ACTIONS(1576),
    [anon_sym_with] = ACTIONS(1576),
    [anon_sym_break] = ACTIONS(1576),
    [anon_sym_continue] = ACTIONS(1576),
    [anon_sym_debugger] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1576),
    [anon_sym_SEMI] = ACTIONS(1578),
    [anon_sym_case] = ACTIONS(1576),
    [anon_sym_yield] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1576),
    [anon_sym_GT] = ACTIONS(1576),
    [anon_sym_SLASH] = ACTIONS(1576),
    [anon_sym_DOT] = ACTIONS(1576),
    [anon_sym_class] = ACTIONS(1576),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(1576),
    [anon_sym_QMARK_DOT] = ACTIONS(1578),
    [anon_sym_new] = ACTIONS(1576),
    [anon_sym_AMP_AMP] = ACTIONS(1578),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1576),
    [anon_sym_GT_GT_GT] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1576),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_PERCENT] = ACTIONS(1578),
    [anon_sym_STAR_STAR] = ACTIONS(1578),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_EQ_EQ] = ACTIONS(1576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1576),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1578),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_QMARK_QMARK] = ACTIONS(1578),
    [anon_sym_instanceof] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1578),
    [anon_sym_void] = ACTIONS(1576),
    [anon_sym_delete] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_DQUOTE] = ACTIONS(1578),
    [anon_sym_SQUOTE] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1578),
    [sym_number] = ACTIONS(1578),
    [sym_this] = ACTIONS(1576),
    [sym_super] = ACTIONS(1576),
    [sym_true] = ACTIONS(1576),
    [sym_false] = ACTIONS(1576),
    [sym_null] = ACTIONS(1576),
    [sym_undefined] = ACTIONS(1576),
    [anon_sym_AT] = ACTIONS(1578),
    [anon_sym_static] = ACTIONS(1576),
    [anon_sym_readonly] = ACTIONS(1576),
    [anon_sym_get] = ACTIONS(1576),
    [anon_sym_set] = ACTIONS(1576),
    [anon_sym_declare] = ACTIONS(1576),
    [anon_sym_public] = ACTIONS(1576),
    [anon_sym_private] = ACTIONS(1576),
    [anon_sym_protected] = ACTIONS(1576),
    [anon_sym_override] = ACTIONS(1576),
    [anon_sym_module] = ACTIONS(1576),
    [anon_sym_any] = ACTIONS(1576),
    [anon_sym_number] = ACTIONS(1576),
    [anon_sym_boolean] = ACTIONS(1576),
    [anon_sym_string] = ACTIONS(1576),
    [anon_sym_symbol] = ACTIONS(1576),
    [anon_sym_property] = ACTIONS(1576),
    [anon_sym_signal] = ACTIONS(1576),
    [anon_sym_on] = ACTIONS(1576),
    [anon_sym_required] = ACTIONS(1576),
    [anon_sym_component] = ACTIONS(1576),
    [anon_sym_abstract] = ACTIONS(1576),
    [anon_sym_interface] = ACTIONS(1576),
    [anon_sym_enum] = ACTIONS(1576),
    [sym__automatic_semicolon] = ACTIONS(1578),
    [sym__ternary_qmark] = ACTIONS(1578),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_export] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_default] = ACTIONS(1580),
    [anon_sym_type] = ACTIONS(1580),
    [anon_sym_as] = ACTIONS(1580),
    [anon_sym_namespace] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [anon_sym_typeof] = ACTIONS(1580),
    [anon_sym_import] = ACTIONS(1580),
    [anon_sym_from] = ACTIONS(1580),
    [anon_sym_var] = ACTIONS(1580),
    [anon_sym_let] = ACTIONS(1580),
    [anon_sym_const] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_else] = ACTIONS(1580),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_switch] = ACTIONS(1580),
    [anon_sym_for] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_await] = ACTIONS(1580),
    [anon_sym_in] = ACTIONS(1580),
    [anon_sym_of] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_try] = ACTIONS(1580),
    [anon_sym_with] = ACTIONS(1580),
    [anon_sym_break] = ACTIONS(1580),
    [anon_sym_continue] = ACTIONS(1580),
    [anon_sym_debugger] = ACTIONS(1580),
    [anon_sym_return] = ACTIONS(1580),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_SEMI] = ACTIONS(1582),
    [anon_sym_case] = ACTIONS(1580),
    [anon_sym_yield] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_class] = ACTIONS(1580),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_function] = ACTIONS(1580),
    [anon_sym_QMARK_DOT] = ACTIONS(1582),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_GT_GT_GT] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_PERCENT] = ACTIONS(1582),
    [anon_sym_STAR_STAR] = ACTIONS(1582),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_EQ_EQ] = ACTIONS(1580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1582),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_QMARK_QMARK] = ACTIONS(1582),
    [anon_sym_instanceof] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_void] = ACTIONS(1580),
    [anon_sym_delete] = ACTIONS(1580),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1582),
    [anon_sym_SQUOTE] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1582),
    [sym_number] = ACTIONS(1582),
    [sym_this] = ACTIONS(1580),
    [sym_super] = ACTIONS(1580),
    [sym_true] = ACTIONS(1580),
    [sym_false] = ACTIONS(1580),
    [sym_null] = ACTIONS(1580),
    [sym_undefined] = ACTIONS(1580),
    [anon_sym_AT] = ACTIONS(1582),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_readonly] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
    [anon_sym_declare] = ACTIONS(1580),
    [anon_sym_public] = ACTIONS(1580),
    [anon_sym_private] = ACTIONS(1580),
    [anon_sym_protected] = ACTIONS(1580),
    [anon_sym_override] = ACTIONS(1580),
    [anon_sym_module] = ACTIONS(1580),
    [anon_sym_any] = ACTIONS(1580),
    [anon_sym_number] = ACTIONS(1580),
    [anon_sym_boolean] = ACTIONS(1580),
    [anon_sym_string] = ACTIONS(1580),
    [anon_sym_symbol] = ACTIONS(1580),
    [anon_sym_property] = ACTIONS(1580),
    [anon_sym_signal] = ACTIONS(1580),
    [anon_sym_on] = ACTIONS(1580),
    [anon_sym_required] = ACTIONS(1580),
    [anon_sym_component] = ACTIONS(1580),
    [anon_sym_abstract] = ACTIONS(1580),
    [anon_sym_interface] = ACTIONS(1580),
    [anon_sym_enum] = ACTIONS(1580),
    [sym__automatic_semicolon] = ACTIONS(1582),
    [sym__ternary_qmark] = ACTIONS(1582),
  },
  [153] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4403),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4403),
    [sym_optional_parameter] = STATE(4403),
    [sym__parameter_name] = STATE(3320),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1584),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1532),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1534),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [154] = {
    [sym_identifier] = ACTIONS(1586),
    [anon_sym_export] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_default] = ACTIONS(1586),
    [anon_sym_type] = ACTIONS(1586),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1588),
    [anon_sym_RBRACE] = ACTIONS(1588),
    [anon_sym_typeof] = ACTIONS(1586),
    [anon_sym_import] = ACTIONS(1586),
    [anon_sym_from] = ACTIONS(1586),
    [anon_sym_var] = ACTIONS(1586),
    [anon_sym_let] = ACTIONS(1586),
    [anon_sym_const] = ACTIONS(1586),
    [anon_sym_BANG] = ACTIONS(1586),
    [anon_sym_else] = ACTIONS(1586),
    [anon_sym_if] = ACTIONS(1586),
    [anon_sym_switch] = ACTIONS(1586),
    [anon_sym_for] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1588),
    [anon_sym_await] = ACTIONS(1586),
    [anon_sym_in] = ACTIONS(1586),
    [anon_sym_of] = ACTIONS(1586),
    [anon_sym_while] = ACTIONS(1586),
    [anon_sym_do] = ACTIONS(1586),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_with] = ACTIONS(1586),
    [anon_sym_break] = ACTIONS(1586),
    [anon_sym_continue] = ACTIONS(1586),
    [anon_sym_debugger] = ACTIONS(1586),
    [anon_sym_return] = ACTIONS(1586),
    [anon_sym_throw] = ACTIONS(1586),
    [anon_sym_SEMI] = ACTIONS(1588),
    [anon_sym_case] = ACTIONS(1586),
    [anon_sym_yield] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1588),
    [anon_sym_LT] = ACTIONS(1586),
    [anon_sym_GT] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1586),
    [anon_sym_DOT] = ACTIONS(1586),
    [anon_sym_class] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(1586),
    [anon_sym_function] = ACTIONS(1586),
    [anon_sym_QMARK_DOT] = ACTIONS(1588),
    [anon_sym_new] = ACTIONS(1586),
    [anon_sym_AMP_AMP] = ACTIONS(1588),
    [anon_sym_PIPE_PIPE] = ACTIONS(1588),
    [anon_sym_GT_GT] = ACTIONS(1586),
    [anon_sym_GT_GT_GT] = ACTIONS(1588),
    [anon_sym_LT_LT] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1586),
    [anon_sym_PERCENT] = ACTIONS(1588),
    [anon_sym_STAR_STAR] = ACTIONS(1588),
    [anon_sym_LT_EQ] = ACTIONS(1588),
    [anon_sym_EQ_EQ] = ACTIONS(1586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1588),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1588),
    [anon_sym_GT_EQ] = ACTIONS(1588),
    [anon_sym_QMARK_QMARK] = ACTIONS(1588),
    [anon_sym_instanceof] = ACTIONS(1586),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_void] = ACTIONS(1586),
    [anon_sym_delete] = ACTIONS(1586),
    [anon_sym_PLUS_PLUS] = ACTIONS(1588),
    [anon_sym_DASH_DASH] = ACTIONS(1588),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1588),
    [sym_number] = ACTIONS(1588),
    [sym_this] = ACTIONS(1586),
    [sym_super] = ACTIONS(1586),
    [sym_true] = ACTIONS(1586),
    [sym_false] = ACTIONS(1586),
    [sym_null] = ACTIONS(1586),
    [sym_undefined] = ACTIONS(1586),
    [anon_sym_AT] = ACTIONS(1588),
    [anon_sym_static] = ACTIONS(1586),
    [anon_sym_readonly] = ACTIONS(1586),
    [anon_sym_get] = ACTIONS(1586),
    [anon_sym_set] = ACTIONS(1586),
    [anon_sym_declare] = ACTIONS(1586),
    [anon_sym_public] = ACTIONS(1586),
    [anon_sym_private] = ACTIONS(1586),
    [anon_sym_protected] = ACTIONS(1586),
    [anon_sym_override] = ACTIONS(1586),
    [anon_sym_module] = ACTIONS(1586),
    [anon_sym_any] = ACTIONS(1586),
    [anon_sym_number] = ACTIONS(1586),
    [anon_sym_boolean] = ACTIONS(1586),
    [anon_sym_string] = ACTIONS(1586),
    [anon_sym_symbol] = ACTIONS(1586),
    [anon_sym_property] = ACTIONS(1586),
    [anon_sym_signal] = ACTIONS(1586),
    [anon_sym_on] = ACTIONS(1586),
    [anon_sym_required] = ACTIONS(1586),
    [anon_sym_component] = ACTIONS(1586),
    [anon_sym_abstract] = ACTIONS(1586),
    [anon_sym_interface] = ACTIONS(1586),
    [anon_sym_enum] = ACTIONS(1586),
    [sym__automatic_semicolon] = ACTIONS(1588),
    [sym__ternary_qmark] = ACTIONS(1588),
  },
  [155] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_COLON] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [156] = {
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_export] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_default] = ACTIONS(1592),
    [anon_sym_type] = ACTIONS(1592),
    [anon_sym_as] = ACTIONS(1592),
    [anon_sym_namespace] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_COMMA] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_typeof] = ACTIONS(1592),
    [anon_sym_import] = ACTIONS(1592),
    [anon_sym_from] = ACTIONS(1592),
    [anon_sym_var] = ACTIONS(1592),
    [anon_sym_let] = ACTIONS(1592),
    [anon_sym_const] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_else] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_switch] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_in] = ACTIONS(1592),
    [anon_sym_of] = ACTIONS(1592),
    [anon_sym_while] = ACTIONS(1592),
    [anon_sym_do] = ACTIONS(1592),
    [anon_sym_try] = ACTIONS(1592),
    [anon_sym_with] = ACTIONS(1592),
    [anon_sym_break] = ACTIONS(1592),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_debugger] = ACTIONS(1592),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1594),
    [anon_sym_case] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_DOT] = ACTIONS(1592),
    [anon_sym_class] = ACTIONS(1592),
    [anon_sym_async] = ACTIONS(1592),
    [anon_sym_function] = ACTIONS(1592),
    [anon_sym_QMARK_DOT] = ACTIONS(1594),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP_AMP] = ACTIONS(1594),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1592),
    [anon_sym_GT_GT_GT] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1594),
    [anon_sym_STAR_STAR] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_EQ_EQ] = ACTIONS(1592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1592),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1594),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_QMARK_QMARK] = ACTIONS(1594),
    [anon_sym_instanceof] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_void] = ACTIONS(1592),
    [anon_sym_delete] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [anon_sym_DQUOTE] = ACTIONS(1594),
    [anon_sym_SQUOTE] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1594),
    [sym_number] = ACTIONS(1594),
    [sym_this] = ACTIONS(1592),
    [sym_super] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [sym_null] = ACTIONS(1592),
    [sym_undefined] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1594),
    [anon_sym_static] = ACTIONS(1592),
    [anon_sym_readonly] = ACTIONS(1592),
    [anon_sym_get] = ACTIONS(1592),
    [anon_sym_set] = ACTIONS(1592),
    [anon_sym_declare] = ACTIONS(1592),
    [anon_sym_public] = ACTIONS(1592),
    [anon_sym_private] = ACTIONS(1592),
    [anon_sym_protected] = ACTIONS(1592),
    [anon_sym_override] = ACTIONS(1592),
    [anon_sym_module] = ACTIONS(1592),
    [anon_sym_any] = ACTIONS(1592),
    [anon_sym_number] = ACTIONS(1592),
    [anon_sym_boolean] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_symbol] = ACTIONS(1592),
    [anon_sym_property] = ACTIONS(1592),
    [anon_sym_signal] = ACTIONS(1592),
    [anon_sym_on] = ACTIONS(1592),
    [anon_sym_required] = ACTIONS(1592),
    [anon_sym_component] = ACTIONS(1592),
    [anon_sym_abstract] = ACTIONS(1592),
    [anon_sym_interface] = ACTIONS(1592),
    [anon_sym_enum] = ACTIONS(1592),
    [sym__automatic_semicolon] = ACTIONS(1594),
    [sym__ternary_qmark] = ACTIONS(1594),
  },
  [157] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4226),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4226),
    [sym_optional_parameter] = STATE(4226),
    [sym__parameter_name] = STATE(3320),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1596),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1532),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1534),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [158] = {
    [sym_identifier] = ACTIONS(1598),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(1600),
    [anon_sym_default] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_as] = ACTIONS(1600),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_COMMA] = ACTIONS(1604),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_typeof] = ACTIONS(1598),
    [anon_sym_import] = ACTIONS(1598),
    [anon_sym_from] = ACTIONS(1598),
    [anon_sym_var] = ACTIONS(1598),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_const] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1598),
    [anon_sym_else] = ACTIONS(1598),
    [anon_sym_if] = ACTIONS(1598),
    [anon_sym_switch] = ACTIONS(1598),
    [anon_sym_for] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_await] = ACTIONS(1598),
    [anon_sym_in] = ACTIONS(1600),
    [anon_sym_of] = ACTIONS(1598),
    [anon_sym_while] = ACTIONS(1598),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_try] = ACTIONS(1598),
    [anon_sym_with] = ACTIONS(1598),
    [anon_sym_break] = ACTIONS(1598),
    [anon_sym_continue] = ACTIONS(1598),
    [anon_sym_debugger] = ACTIONS(1598),
    [anon_sym_return] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1602),
    [anon_sym_case] = ACTIONS(1598),
    [anon_sym_yield] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1598),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1598),
    [anon_sym_DOT] = ACTIONS(1600),
    [anon_sym_class] = ACTIONS(1598),
    [anon_sym_async] = ACTIONS(1598),
    [anon_sym_function] = ACTIONS(1598),
    [anon_sym_QMARK_DOT] = ACTIONS(1604),
    [anon_sym_new] = ACTIONS(1598),
    [anon_sym_AMP_AMP] = ACTIONS(1604),
    [anon_sym_PIPE_PIPE] = ACTIONS(1604),
    [anon_sym_GT_GT] = ACTIONS(1600),
    [anon_sym_GT_GT_GT] = ACTIONS(1604),
    [anon_sym_LT_LT] = ACTIONS(1604),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_CARET] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_PERCENT] = ACTIONS(1604),
    [anon_sym_STAR_STAR] = ACTIONS(1604),
    [anon_sym_LT_EQ] = ACTIONS(1604),
    [anon_sym_EQ_EQ] = ACTIONS(1600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1604),
    [anon_sym_BANG_EQ] = ACTIONS(1600),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1604),
    [anon_sym_QMARK_QMARK] = ACTIONS(1604),
    [anon_sym_instanceof] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1602),
    [anon_sym_void] = ACTIONS(1598),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_PLUS_PLUS] = ACTIONS(1602),
    [anon_sym_DASH_DASH] = ACTIONS(1602),
    [anon_sym_DQUOTE] = ACTIONS(1602),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1602),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1598),
    [sym_super] = ACTIONS(1598),
    [sym_true] = ACTIONS(1598),
    [sym_false] = ACTIONS(1598),
    [sym_null] = ACTIONS(1598),
    [sym_undefined] = ACTIONS(1598),
    [anon_sym_AT] = ACTIONS(1602),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_property] = ACTIONS(1598),
    [anon_sym_signal] = ACTIONS(1598),
    [anon_sym_on] = ACTIONS(1598),
    [anon_sym_required] = ACTIONS(1598),
    [anon_sym_component] = ACTIONS(1598),
    [anon_sym_abstract] = ACTIONS(1598),
    [anon_sym_interface] = ACTIONS(1598),
    [anon_sym_enum] = ACTIONS(1598),
    [sym__automatic_semicolon] = ACTIONS(1606),
    [sym__ternary_qmark] = ACTIONS(1604),
  },
  [159] = {
    [sym_identifier] = ACTIONS(1608),
    [anon_sym_export] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1608),
    [anon_sym_default] = ACTIONS(1608),
    [anon_sym_type] = ACTIONS(1608),
    [anon_sym_as] = ACTIONS(1608),
    [anon_sym_namespace] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_typeof] = ACTIONS(1608),
    [anon_sym_import] = ACTIONS(1608),
    [anon_sym_from] = ACTIONS(1608),
    [anon_sym_var] = ACTIONS(1608),
    [anon_sym_let] = ACTIONS(1608),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_else] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_await] = ACTIONS(1608),
    [anon_sym_in] = ACTIONS(1608),
    [anon_sym_of] = ACTIONS(1608),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_do] = ACTIONS(1608),
    [anon_sym_try] = ACTIONS(1608),
    [anon_sym_with] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_continue] = ACTIONS(1608),
    [anon_sym_debugger] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_throw] = ACTIONS(1608),
    [anon_sym_SEMI] = ACTIONS(1610),
    [anon_sym_case] = ACTIONS(1608),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_DOT] = ACTIONS(1608),
    [anon_sym_class] = ACTIONS(1608),
    [anon_sym_async] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_QMARK_DOT] = ACTIONS(1610),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP_AMP] = ACTIONS(1610),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1608),
    [anon_sym_GT_GT_GT] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PERCENT] = ACTIONS(1610),
    [anon_sym_STAR_STAR] = ACTIONS(1610),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_EQ_EQ] = ACTIONS(1608),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1608),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1610),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_QMARK_QMARK] = ACTIONS(1610),
    [anon_sym_instanceof] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1610),
    [anon_sym_void] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_PLUS_PLUS] = ACTIONS(1610),
    [anon_sym_DASH_DASH] = ACTIONS(1610),
    [anon_sym_DQUOTE] = ACTIONS(1610),
    [anon_sym_SQUOTE] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1610),
    [sym_number] = ACTIONS(1610),
    [sym_this] = ACTIONS(1608),
    [sym_super] = ACTIONS(1608),
    [sym_true] = ACTIONS(1608),
    [sym_false] = ACTIONS(1608),
    [sym_null] = ACTIONS(1608),
    [sym_undefined] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1610),
    [anon_sym_static] = ACTIONS(1608),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_get] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_declare] = ACTIONS(1608),
    [anon_sym_public] = ACTIONS(1608),
    [anon_sym_private] = ACTIONS(1608),
    [anon_sym_protected] = ACTIONS(1608),
    [anon_sym_override] = ACTIONS(1608),
    [anon_sym_module] = ACTIONS(1608),
    [anon_sym_any] = ACTIONS(1608),
    [anon_sym_number] = ACTIONS(1608),
    [anon_sym_boolean] = ACTIONS(1608),
    [anon_sym_string] = ACTIONS(1608),
    [anon_sym_symbol] = ACTIONS(1608),
    [anon_sym_property] = ACTIONS(1608),
    [anon_sym_signal] = ACTIONS(1608),
    [anon_sym_on] = ACTIONS(1608),
    [anon_sym_required] = ACTIONS(1608),
    [anon_sym_component] = ACTIONS(1608),
    [anon_sym_abstract] = ACTIONS(1608),
    [anon_sym_interface] = ACTIONS(1608),
    [anon_sym_enum] = ACTIONS(1608),
    [sym__automatic_semicolon] = ACTIONS(1610),
    [sym__ternary_qmark] = ACTIONS(1610),
  },
  [160] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4403),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4403),
    [sym_optional_parameter] = STATE(4403),
    [sym__parameter_name] = STATE(3320),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1612),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1532),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1534),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [161] = {
    [sym_identifier] = ACTIONS(1614),
    [anon_sym_export] = ACTIONS(1614),
    [anon_sym_STAR] = ACTIONS(1614),
    [anon_sym_default] = ACTIONS(1614),
    [anon_sym_type] = ACTIONS(1614),
    [anon_sym_as] = ACTIONS(1614),
    [anon_sym_namespace] = ACTIONS(1614),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [anon_sym_typeof] = ACTIONS(1614),
    [anon_sym_import] = ACTIONS(1614),
    [anon_sym_from] = ACTIONS(1614),
    [anon_sym_var] = ACTIONS(1614),
    [anon_sym_let] = ACTIONS(1614),
    [anon_sym_const] = ACTIONS(1614),
    [anon_sym_BANG] = ACTIONS(1614),
    [anon_sym_else] = ACTIONS(1614),
    [anon_sym_if] = ACTIONS(1614),
    [anon_sym_switch] = ACTIONS(1614),
    [anon_sym_for] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_await] = ACTIONS(1614),
    [anon_sym_in] = ACTIONS(1614),
    [anon_sym_of] = ACTIONS(1614),
    [anon_sym_while] = ACTIONS(1614),
    [anon_sym_do] = ACTIONS(1614),
    [anon_sym_try] = ACTIONS(1614),
    [anon_sym_with] = ACTIONS(1614),
    [anon_sym_break] = ACTIONS(1614),
    [anon_sym_continue] = ACTIONS(1614),
    [anon_sym_debugger] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1614),
    [anon_sym_throw] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1616),
    [anon_sym_case] = ACTIONS(1614),
    [anon_sym_yield] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1614),
    [anon_sym_GT] = ACTIONS(1614),
    [anon_sym_SLASH] = ACTIONS(1614),
    [anon_sym_DOT] = ACTIONS(1614),
    [anon_sym_class] = ACTIONS(1614),
    [anon_sym_async] = ACTIONS(1614),
    [anon_sym_function] = ACTIONS(1614),
    [anon_sym_QMARK_DOT] = ACTIONS(1616),
    [anon_sym_new] = ACTIONS(1614),
    [anon_sym_AMP_AMP] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1616),
    [anon_sym_GT_GT] = ACTIONS(1614),
    [anon_sym_GT_GT_GT] = ACTIONS(1616),
    [anon_sym_LT_LT] = ACTIONS(1616),
    [anon_sym_AMP] = ACTIONS(1614),
    [anon_sym_CARET] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_PERCENT] = ACTIONS(1616),
    [anon_sym_STAR_STAR] = ACTIONS(1616),
    [anon_sym_LT_EQ] = ACTIONS(1616),
    [anon_sym_EQ_EQ] = ACTIONS(1614),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1616),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1616),
    [anon_sym_GT_EQ] = ACTIONS(1616),
    [anon_sym_QMARK_QMARK] = ACTIONS(1616),
    [anon_sym_instanceof] = ACTIONS(1614),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_void] = ACTIONS(1614),
    [anon_sym_delete] = ACTIONS(1614),
    [anon_sym_PLUS_PLUS] = ACTIONS(1616),
    [anon_sym_DASH_DASH] = ACTIONS(1616),
    [anon_sym_DQUOTE] = ACTIONS(1616),
    [anon_sym_SQUOTE] = ACTIONS(1616),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1616),
    [sym_number] = ACTIONS(1616),
    [sym_this] = ACTIONS(1614),
    [sym_super] = ACTIONS(1614),
    [sym_true] = ACTIONS(1614),
    [sym_false] = ACTIONS(1614),
    [sym_null] = ACTIONS(1614),
    [sym_undefined] = ACTIONS(1614),
    [anon_sym_AT] = ACTIONS(1616),
    [anon_sym_static] = ACTIONS(1614),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_get] = ACTIONS(1614),
    [anon_sym_set] = ACTIONS(1614),
    [anon_sym_declare] = ACTIONS(1614),
    [anon_sym_public] = ACTIONS(1614),
    [anon_sym_private] = ACTIONS(1614),
    [anon_sym_protected] = ACTIONS(1614),
    [anon_sym_override] = ACTIONS(1614),
    [anon_sym_module] = ACTIONS(1614),
    [anon_sym_any] = ACTIONS(1614),
    [anon_sym_number] = ACTIONS(1614),
    [anon_sym_boolean] = ACTIONS(1614),
    [anon_sym_string] = ACTIONS(1614),
    [anon_sym_symbol] = ACTIONS(1614),
    [anon_sym_property] = ACTIONS(1614),
    [anon_sym_signal] = ACTIONS(1614),
    [anon_sym_on] = ACTIONS(1614),
    [anon_sym_required] = ACTIONS(1614),
    [anon_sym_component] = ACTIONS(1614),
    [anon_sym_abstract] = ACTIONS(1614),
    [anon_sym_interface] = ACTIONS(1614),
    [anon_sym_enum] = ACTIONS(1614),
    [sym__automatic_semicolon] = ACTIONS(1616),
    [sym__ternary_qmark] = ACTIONS(1616),
  },
  [162] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(1618),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(1620),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [163] = {
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_export] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_default] = ACTIONS(1592),
    [anon_sym_type] = ACTIONS(1592),
    [anon_sym_as] = ACTIONS(1592),
    [anon_sym_namespace] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_COMMA] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_typeof] = ACTIONS(1592),
    [anon_sym_import] = ACTIONS(1592),
    [anon_sym_from] = ACTIONS(1592),
    [anon_sym_var] = ACTIONS(1592),
    [anon_sym_let] = ACTIONS(1592),
    [anon_sym_const] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_else] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_switch] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_in] = ACTIONS(1592),
    [anon_sym_of] = ACTIONS(1592),
    [anon_sym_while] = ACTIONS(1592),
    [anon_sym_do] = ACTIONS(1592),
    [anon_sym_try] = ACTIONS(1592),
    [anon_sym_with] = ACTIONS(1592),
    [anon_sym_break] = ACTIONS(1592),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_debugger] = ACTIONS(1592),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1594),
    [anon_sym_case] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_DOT] = ACTIONS(1592),
    [anon_sym_class] = ACTIONS(1592),
    [anon_sym_async] = ACTIONS(1592),
    [anon_sym_function] = ACTIONS(1592),
    [anon_sym_QMARK_DOT] = ACTIONS(1594),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP_AMP] = ACTIONS(1594),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1592),
    [anon_sym_GT_GT_GT] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1594),
    [anon_sym_STAR_STAR] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_EQ_EQ] = ACTIONS(1592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1592),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1594),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_QMARK_QMARK] = ACTIONS(1594),
    [anon_sym_instanceof] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_void] = ACTIONS(1592),
    [anon_sym_delete] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [anon_sym_DQUOTE] = ACTIONS(1594),
    [anon_sym_SQUOTE] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1594),
    [sym_number] = ACTIONS(1594),
    [sym_this] = ACTIONS(1592),
    [sym_super] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [sym_null] = ACTIONS(1592),
    [sym_undefined] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1594),
    [anon_sym_static] = ACTIONS(1592),
    [anon_sym_readonly] = ACTIONS(1592),
    [anon_sym_get] = ACTIONS(1592),
    [anon_sym_set] = ACTIONS(1592),
    [anon_sym_declare] = ACTIONS(1592),
    [anon_sym_public] = ACTIONS(1592),
    [anon_sym_private] = ACTIONS(1592),
    [anon_sym_protected] = ACTIONS(1592),
    [anon_sym_override] = ACTIONS(1592),
    [anon_sym_module] = ACTIONS(1592),
    [anon_sym_any] = ACTIONS(1592),
    [anon_sym_number] = ACTIONS(1592),
    [anon_sym_boolean] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_symbol] = ACTIONS(1592),
    [anon_sym_property] = ACTIONS(1592),
    [anon_sym_signal] = ACTIONS(1592),
    [anon_sym_on] = ACTIONS(1592),
    [anon_sym_required] = ACTIONS(1592),
    [anon_sym_component] = ACTIONS(1592),
    [anon_sym_abstract] = ACTIONS(1592),
    [anon_sym_interface] = ACTIONS(1592),
    [anon_sym_enum] = ACTIONS(1592),
    [sym__automatic_semicolon] = ACTIONS(1622),
    [sym__ternary_qmark] = ACTIONS(1594),
  },
  [164] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(1624),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_COLON] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(1626),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [165] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4006),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4006),
    [sym_optional_parameter] = STATE(4006),
    [sym__parameter_name] = STATE(3320),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1628),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1532),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1534),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [166] = {
    [sym_identifier] = ACTIONS(1630),
    [anon_sym_export] = ACTIONS(1630),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_type] = ACTIONS(1630),
    [anon_sym_as] = ACTIONS(1630),
    [anon_sym_namespace] = ACTIONS(1630),
    [anon_sym_LBRACE] = ACTIONS(1632),
    [anon_sym_COMMA] = ACTIONS(1632),
    [anon_sym_RBRACE] = ACTIONS(1632),
    [anon_sym_typeof] = ACTIONS(1630),
    [anon_sym_import] = ACTIONS(1630),
    [anon_sym_from] = ACTIONS(1630),
    [anon_sym_var] = ACTIONS(1630),
    [anon_sym_let] = ACTIONS(1630),
    [anon_sym_const] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1630),
    [anon_sym_else] = ACTIONS(1630),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_for] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [anon_sym_await] = ACTIONS(1630),
    [anon_sym_in] = ACTIONS(1630),
    [anon_sym_of] = ACTIONS(1630),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1630),
    [anon_sym_try] = ACTIONS(1630),
    [anon_sym_with] = ACTIONS(1630),
    [anon_sym_break] = ACTIONS(1630),
    [anon_sym_continue] = ACTIONS(1630),
    [anon_sym_debugger] = ACTIONS(1630),
    [anon_sym_return] = ACTIONS(1630),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_SEMI] = ACTIONS(1632),
    [anon_sym_case] = ACTIONS(1630),
    [anon_sym_yield] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [anon_sym_LT] = ACTIONS(1630),
    [anon_sym_GT] = ACTIONS(1630),
    [anon_sym_SLASH] = ACTIONS(1630),
    [anon_sym_DOT] = ACTIONS(1630),
    [anon_sym_class] = ACTIONS(1630),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(1630),
    [anon_sym_QMARK_DOT] = ACTIONS(1632),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_AMP_AMP] = ACTIONS(1632),
    [anon_sym_PIPE_PIPE] = ACTIONS(1632),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_GT_GT_GT] = ACTIONS(1632),
    [anon_sym_LT_LT] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1630),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1630),
    [anon_sym_PLUS] = ACTIONS(1630),
    [anon_sym_DASH] = ACTIONS(1630),
    [anon_sym_PERCENT] = ACTIONS(1632),
    [anon_sym_STAR_STAR] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1632),
    [anon_sym_EQ_EQ] = ACTIONS(1630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1632),
    [anon_sym_BANG_EQ] = ACTIONS(1630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1632),
    [anon_sym_QMARK_QMARK] = ACTIONS(1632),
    [anon_sym_instanceof] = ACTIONS(1630),
    [anon_sym_TILDE] = ACTIONS(1632),
    [anon_sym_void] = ACTIONS(1630),
    [anon_sym_delete] = ACTIONS(1630),
    [anon_sym_PLUS_PLUS] = ACTIONS(1632),
    [anon_sym_DASH_DASH] = ACTIONS(1632),
    [anon_sym_DQUOTE] = ACTIONS(1632),
    [anon_sym_SQUOTE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1632),
    [sym_number] = ACTIONS(1632),
    [sym_this] = ACTIONS(1630),
    [sym_super] = ACTIONS(1630),
    [sym_true] = ACTIONS(1630),
    [sym_false] = ACTIONS(1630),
    [sym_null] = ACTIONS(1630),
    [sym_undefined] = ACTIONS(1630),
    [anon_sym_AT] = ACTIONS(1632),
    [anon_sym_static] = ACTIONS(1630),
    [anon_sym_readonly] = ACTIONS(1630),
    [anon_sym_get] = ACTIONS(1630),
    [anon_sym_set] = ACTIONS(1630),
    [anon_sym_declare] = ACTIONS(1630),
    [anon_sym_public] = ACTIONS(1630),
    [anon_sym_private] = ACTIONS(1630),
    [anon_sym_protected] = ACTIONS(1630),
    [anon_sym_override] = ACTIONS(1630),
    [anon_sym_module] = ACTIONS(1630),
    [anon_sym_any] = ACTIONS(1630),
    [anon_sym_number] = ACTIONS(1630),
    [anon_sym_boolean] = ACTIONS(1630),
    [anon_sym_string] = ACTIONS(1630),
    [anon_sym_symbol] = ACTIONS(1630),
    [anon_sym_property] = ACTIONS(1630),
    [anon_sym_signal] = ACTIONS(1630),
    [anon_sym_on] = ACTIONS(1630),
    [anon_sym_required] = ACTIONS(1630),
    [anon_sym_component] = ACTIONS(1630),
    [anon_sym_abstract] = ACTIONS(1630),
    [anon_sym_interface] = ACTIONS(1630),
    [anon_sym_enum] = ACTIONS(1630),
    [sym__automatic_semicolon] = ACTIONS(1632),
    [sym__ternary_qmark] = ACTIONS(1632),
  },
  [167] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4403),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4403),
    [sym_optional_parameter] = STATE(4403),
    [sym__parameter_name] = STATE(3320),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1634),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1532),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1534),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [168] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4056),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4056),
    [sym_optional_parameter] = STATE(4056),
    [sym__parameter_name] = STATE(3320),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1532),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1534),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [169] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4403),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4403),
    [sym_optional_parameter] = STATE(4403),
    [sym__parameter_name] = STATE(3320),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1636),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1532),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1534),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [170] = {
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_export] = ACTIONS(1638),
    [anon_sym_STAR] = ACTIONS(1640),
    [anon_sym_default] = ACTIONS(1638),
    [anon_sym_type] = ACTIONS(1638),
    [anon_sym_as] = ACTIONS(1640),
    [anon_sym_namespace] = ACTIONS(1638),
    [anon_sym_LBRACE] = ACTIONS(1642),
    [anon_sym_COMMA] = ACTIONS(1644),
    [anon_sym_RBRACE] = ACTIONS(1642),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(1638),
    [anon_sym_from] = ACTIONS(1638),
    [anon_sym_var] = ACTIONS(1638),
    [anon_sym_let] = ACTIONS(1638),
    [anon_sym_const] = ACTIONS(1638),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_else] = ACTIONS(1638),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_switch] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1642),
    [anon_sym_await] = ACTIONS(1638),
    [anon_sym_in] = ACTIONS(1640),
    [anon_sym_of] = ACTIONS(1638),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_do] = ACTIONS(1638),
    [anon_sym_try] = ACTIONS(1638),
    [anon_sym_with] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1638),
    [anon_sym_debugger] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_throw] = ACTIONS(1638),
    [anon_sym_SEMI] = ACTIONS(1642),
    [anon_sym_case] = ACTIONS(1638),
    [anon_sym_yield] = ACTIONS(1638),
    [anon_sym_LBRACK] = ACTIONS(1642),
    [anon_sym_LT] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1640),
    [anon_sym_SLASH] = ACTIONS(1638),
    [anon_sym_DOT] = ACTIONS(1640),
    [anon_sym_class] = ACTIONS(1638),
    [anon_sym_async] = ACTIONS(1638),
    [anon_sym_function] = ACTIONS(1638),
    [anon_sym_QMARK_DOT] = ACTIONS(1644),
    [anon_sym_new] = ACTIONS(1638),
    [anon_sym_AMP_AMP] = ACTIONS(1644),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [anon_sym_GT_GT] = ACTIONS(1640),
    [anon_sym_GT_GT_GT] = ACTIONS(1644),
    [anon_sym_LT_LT] = ACTIONS(1644),
    [anon_sym_AMP] = ACTIONS(1640),
    [anon_sym_CARET] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_PERCENT] = ACTIONS(1644),
    [anon_sym_STAR_STAR] = ACTIONS(1644),
    [anon_sym_LT_EQ] = ACTIONS(1644),
    [anon_sym_EQ_EQ] = ACTIONS(1640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1644),
    [anon_sym_BANG_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1644),
    [anon_sym_GT_EQ] = ACTIONS(1644),
    [anon_sym_QMARK_QMARK] = ACTIONS(1644),
    [anon_sym_instanceof] = ACTIONS(1640),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1642),
    [anon_sym_DASH_DASH] = ACTIONS(1642),
    [anon_sym_DQUOTE] = ACTIONS(1642),
    [anon_sym_SQUOTE] = ACTIONS(1642),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1642),
    [sym_number] = ACTIONS(1642),
    [sym_this] = ACTIONS(1638),
    [sym_super] = ACTIONS(1638),
    [sym_true] = ACTIONS(1638),
    [sym_false] = ACTIONS(1638),
    [sym_null] = ACTIONS(1638),
    [sym_undefined] = ACTIONS(1638),
    [anon_sym_AT] = ACTIONS(1642),
    [anon_sym_static] = ACTIONS(1638),
    [anon_sym_readonly] = ACTIONS(1638),
    [anon_sym_get] = ACTIONS(1638),
    [anon_sym_set] = ACTIONS(1638),
    [anon_sym_declare] = ACTIONS(1638),
    [anon_sym_public] = ACTIONS(1638),
    [anon_sym_private] = ACTIONS(1638),
    [anon_sym_protected] = ACTIONS(1638),
    [anon_sym_override] = ACTIONS(1638),
    [anon_sym_module] = ACTIONS(1638),
    [anon_sym_any] = ACTIONS(1638),
    [anon_sym_number] = ACTIONS(1638),
    [anon_sym_boolean] = ACTIONS(1638),
    [anon_sym_string] = ACTIONS(1638),
    [anon_sym_symbol] = ACTIONS(1638),
    [anon_sym_property] = ACTIONS(1638),
    [anon_sym_signal] = ACTIONS(1638),
    [anon_sym_on] = ACTIONS(1638),
    [anon_sym_required] = ACTIONS(1638),
    [anon_sym_component] = ACTIONS(1638),
    [anon_sym_abstract] = ACTIONS(1638),
    [anon_sym_interface] = ACTIONS(1638),
    [anon_sym_enum] = ACTIONS(1638),
    [sym__automatic_semicolon] = ACTIONS(1646),
    [sym__ternary_qmark] = ACTIONS(1644),
  },
  [171] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4403),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4403),
    [sym_optional_parameter] = STATE(4403),
    [sym__parameter_name] = STATE(3320),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1648),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1532),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1534),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [172] = {
    [sym_identifier] = ACTIONS(1650),
    [anon_sym_export] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_default] = ACTIONS(1650),
    [anon_sym_type] = ACTIONS(1650),
    [anon_sym_as] = ACTIONS(1652),
    [anon_sym_namespace] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1654),
    [anon_sym_COMMA] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(1650),
    [anon_sym_import] = ACTIONS(1650),
    [anon_sym_from] = ACTIONS(1650),
    [anon_sym_var] = ACTIONS(1650),
    [anon_sym_let] = ACTIONS(1650),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_BANG] = ACTIONS(1650),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1654),
    [anon_sym_await] = ACTIONS(1650),
    [anon_sym_in] = ACTIONS(1652),
    [anon_sym_of] = ACTIONS(1650),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1650),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_with] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1650),
    [anon_sym_debugger] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1650),
    [anon_sym_yield] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_LT] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_DOT] = ACTIONS(1652),
    [anon_sym_class] = ACTIONS(1650),
    [anon_sym_async] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_QMARK_DOT] = ACTIONS(1656),
    [anon_sym_new] = ACTIONS(1650),
    [anon_sym_AMP_AMP] = ACTIONS(1656),
    [anon_sym_PIPE_PIPE] = ACTIONS(1656),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_GT_GT_GT] = ACTIONS(1656),
    [anon_sym_LT_LT] = ACTIONS(1656),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PERCENT] = ACTIONS(1656),
    [anon_sym_STAR_STAR] = ACTIONS(1656),
    [anon_sym_LT_EQ] = ACTIONS(1656),
    [anon_sym_EQ_EQ] = ACTIONS(1652),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1656),
    [anon_sym_BANG_EQ] = ACTIONS(1652),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1656),
    [anon_sym_GT_EQ] = ACTIONS(1656),
    [anon_sym_QMARK_QMARK] = ACTIONS(1656),
    [anon_sym_instanceof] = ACTIONS(1652),
    [anon_sym_TILDE] = ACTIONS(1654),
    [anon_sym_void] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1654),
    [sym_number] = ACTIONS(1654),
    [sym_this] = ACTIONS(1650),
    [sym_super] = ACTIONS(1650),
    [sym_true] = ACTIONS(1650),
    [sym_false] = ACTIONS(1650),
    [sym_null] = ACTIONS(1650),
    [sym_undefined] = ACTIONS(1650),
    [anon_sym_AT] = ACTIONS(1654),
    [anon_sym_static] = ACTIONS(1650),
    [anon_sym_readonly] = ACTIONS(1650),
    [anon_sym_get] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_declare] = ACTIONS(1650),
    [anon_sym_public] = ACTIONS(1650),
    [anon_sym_private] = ACTIONS(1650),
    [anon_sym_protected] = ACTIONS(1650),
    [anon_sym_override] = ACTIONS(1650),
    [anon_sym_module] = ACTIONS(1650),
    [anon_sym_any] = ACTIONS(1650),
    [anon_sym_number] = ACTIONS(1650),
    [anon_sym_boolean] = ACTIONS(1650),
    [anon_sym_string] = ACTIONS(1650),
    [anon_sym_symbol] = ACTIONS(1650),
    [anon_sym_property] = ACTIONS(1650),
    [anon_sym_signal] = ACTIONS(1650),
    [anon_sym_on] = ACTIONS(1650),
    [anon_sym_required] = ACTIONS(1650),
    [anon_sym_component] = ACTIONS(1650),
    [anon_sym_abstract] = ACTIONS(1650),
    [anon_sym_interface] = ACTIONS(1650),
    [anon_sym_enum] = ACTIONS(1650),
    [sym__automatic_semicolon] = ACTIONS(1656),
    [sym__ternary_qmark] = ACTIONS(1656),
  },
  [173] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(1658),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(26),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(1660),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [174] = {
    [sym_identifier] = ACTIONS(1662),
    [anon_sym_export] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1662),
    [anon_sym_default] = ACTIONS(1662),
    [anon_sym_type] = ACTIONS(1662),
    [anon_sym_as] = ACTIONS(1662),
    [anon_sym_namespace] = ACTIONS(1662),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_COMMA] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_typeof] = ACTIONS(1662),
    [anon_sym_import] = ACTIONS(1662),
    [anon_sym_from] = ACTIONS(1662),
    [anon_sym_var] = ACTIONS(1662),
    [anon_sym_let] = ACTIONS(1662),
    [anon_sym_const] = ACTIONS(1662),
    [anon_sym_BANG] = ACTIONS(1662),
    [anon_sym_else] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1662),
    [anon_sym_switch] = ACTIONS(1662),
    [anon_sym_for] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_await] = ACTIONS(1662),
    [anon_sym_in] = ACTIONS(1662),
    [anon_sym_of] = ACTIONS(1662),
    [anon_sym_while] = ACTIONS(1662),
    [anon_sym_do] = ACTIONS(1662),
    [anon_sym_try] = ACTIONS(1662),
    [anon_sym_with] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1662),
    [anon_sym_continue] = ACTIONS(1662),
    [anon_sym_debugger] = ACTIONS(1662),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_case] = ACTIONS(1662),
    [anon_sym_yield] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_GT] = ACTIONS(1662),
    [anon_sym_SLASH] = ACTIONS(1662),
    [anon_sym_DOT] = ACTIONS(1662),
    [anon_sym_class] = ACTIONS(1662),
    [anon_sym_async] = ACTIONS(1662),
    [anon_sym_function] = ACTIONS(1662),
    [anon_sym_QMARK_DOT] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1662),
    [anon_sym_AMP_AMP] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1664),
    [anon_sym_GT_GT] = ACTIONS(1662),
    [anon_sym_GT_GT_GT] = ACTIONS(1664),
    [anon_sym_LT_LT] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1664),
    [anon_sym_LT_EQ] = ACTIONS(1664),
    [anon_sym_EQ_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1664),
    [anon_sym_GT_EQ] = ACTIONS(1664),
    [anon_sym_QMARK_QMARK] = ACTIONS(1664),
    [anon_sym_instanceof] = ACTIONS(1662),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_void] = ACTIONS(1662),
    [anon_sym_delete] = ACTIONS(1662),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_DQUOTE] = ACTIONS(1664),
    [anon_sym_SQUOTE] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1664),
    [sym_number] = ACTIONS(1664),
    [sym_this] = ACTIONS(1662),
    [sym_super] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_null] = ACTIONS(1662),
    [sym_undefined] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1664),
    [anon_sym_static] = ACTIONS(1662),
    [anon_sym_readonly] = ACTIONS(1662),
    [anon_sym_get] = ACTIONS(1662),
    [anon_sym_set] = ACTIONS(1662),
    [anon_sym_declare] = ACTIONS(1662),
    [anon_sym_public] = ACTIONS(1662),
    [anon_sym_private] = ACTIONS(1662),
    [anon_sym_protected] = ACTIONS(1662),
    [anon_sym_override] = ACTIONS(1662),
    [anon_sym_module] = ACTIONS(1662),
    [anon_sym_any] = ACTIONS(1662),
    [anon_sym_number] = ACTIONS(1662),
    [anon_sym_boolean] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_symbol] = ACTIONS(1662),
    [anon_sym_property] = ACTIONS(1662),
    [anon_sym_signal] = ACTIONS(1662),
    [anon_sym_on] = ACTIONS(1662),
    [anon_sym_required] = ACTIONS(1662),
    [anon_sym_component] = ACTIONS(1662),
    [anon_sym_abstract] = ACTIONS(1662),
    [anon_sym_interface] = ACTIONS(1662),
    [anon_sym_enum] = ACTIONS(1662),
    [sym__automatic_semicolon] = ACTIONS(1664),
    [sym__ternary_qmark] = ACTIONS(1664),
  },
  [175] = {
    [sym_identifier] = ACTIONS(1666),
    [anon_sym_export] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1666),
    [anon_sym_type] = ACTIONS(1666),
    [anon_sym_as] = ACTIONS(1668),
    [anon_sym_namespace] = ACTIONS(1666),
    [anon_sym_LBRACE] = ACTIONS(1670),
    [anon_sym_COMMA] = ACTIONS(1672),
    [anon_sym_RBRACE] = ACTIONS(1670),
    [anon_sym_typeof] = ACTIONS(1666),
    [anon_sym_import] = ACTIONS(1666),
    [anon_sym_from] = ACTIONS(1666),
    [anon_sym_var] = ACTIONS(1666),
    [anon_sym_let] = ACTIONS(1666),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_BANG] = ACTIONS(1666),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1670),
    [anon_sym_await] = ACTIONS(1666),
    [anon_sym_in] = ACTIONS(1668),
    [anon_sym_of] = ACTIONS(1666),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_do] = ACTIONS(1666),
    [anon_sym_try] = ACTIONS(1666),
    [anon_sym_with] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_debugger] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_throw] = ACTIONS(1666),
    [anon_sym_SEMI] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1666),
    [anon_sym_yield] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_DOT] = ACTIONS(1668),
    [anon_sym_class] = ACTIONS(1666),
    [anon_sym_async] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_QMARK_DOT] = ACTIONS(1672),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP_AMP] = ACTIONS(1672),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1668),
    [anon_sym_GT_GT_GT] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PERCENT] = ACTIONS(1672),
    [anon_sym_STAR_STAR] = ACTIONS(1672),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1668),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_QMARK_QMARK] = ACTIONS(1672),
    [anon_sym_instanceof] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1670),
    [anon_sym_void] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_PLUS_PLUS] = ACTIONS(1670),
    [anon_sym_DASH_DASH] = ACTIONS(1670),
    [anon_sym_DQUOTE] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1670),
    [sym_number] = ACTIONS(1670),
    [sym_this] = ACTIONS(1666),
    [sym_super] = ACTIONS(1666),
    [sym_true] = ACTIONS(1666),
    [sym_false] = ACTIONS(1666),
    [sym_null] = ACTIONS(1666),
    [sym_undefined] = ACTIONS(1666),
    [anon_sym_AT] = ACTIONS(1670),
    [anon_sym_static] = ACTIONS(1666),
    [anon_sym_readonly] = ACTIONS(1666),
    [anon_sym_get] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_declare] = ACTIONS(1666),
    [anon_sym_public] = ACTIONS(1666),
    [anon_sym_private] = ACTIONS(1666),
    [anon_sym_protected] = ACTIONS(1666),
    [anon_sym_override] = ACTIONS(1666),
    [anon_sym_module] = ACTIONS(1666),
    [anon_sym_any] = ACTIONS(1666),
    [anon_sym_number] = ACTIONS(1666),
    [anon_sym_boolean] = ACTIONS(1666),
    [anon_sym_string] = ACTIONS(1666),
    [anon_sym_symbol] = ACTIONS(1666),
    [anon_sym_property] = ACTIONS(1666),
    [anon_sym_signal] = ACTIONS(1666),
    [anon_sym_on] = ACTIONS(1666),
    [anon_sym_required] = ACTIONS(1666),
    [anon_sym_component] = ACTIONS(1666),
    [anon_sym_abstract] = ACTIONS(1666),
    [anon_sym_interface] = ACTIONS(1666),
    [anon_sym_enum] = ACTIONS(1666),
    [sym__automatic_semicolon] = ACTIONS(1674),
    [sym__ternary_qmark] = ACTIONS(1672),
  },
  [176] = {
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_export] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(1418),
    [anon_sym_as] = ACTIONS(1418),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_typeof] = ACTIONS(1418),
    [anon_sym_import] = ACTIONS(1418),
    [anon_sym_from] = ACTIONS(1418),
    [anon_sym_var] = ACTIONS(1418),
    [anon_sym_let] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_in] = ACTIONS(1418),
    [anon_sym_of] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_try] = ACTIONS(1418),
    [anon_sym_with] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_debugger] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1418),
    [anon_sym_DOT] = ACTIONS(1418),
    [anon_sym_class] = ACTIONS(1418),
    [anon_sym_async] = ACTIONS(1418),
    [anon_sym_function] = ACTIONS(1418),
    [anon_sym_QMARK_DOT] = ACTIONS(1424),
    [anon_sym_new] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_GT_GT_GT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_STAR_STAR] = ACTIONS(1424),
    [anon_sym_LT_EQ] = ACTIONS(1424),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1424),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1424),
    [anon_sym_GT_EQ] = ACTIONS(1424),
    [anon_sym_QMARK_QMARK] = ACTIONS(1424),
    [anon_sym_instanceof] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_void] = ACTIONS(1418),
    [anon_sym_delete] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [sym_number] = ACTIONS(1424),
    [sym_this] = ACTIONS(1418),
    [sym_super] = ACTIONS(1418),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [sym_null] = ACTIONS(1418),
    [sym_undefined] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_readonly] = ACTIONS(1418),
    [anon_sym_get] = ACTIONS(1418),
    [anon_sym_set] = ACTIONS(1418),
    [anon_sym_declare] = ACTIONS(1418),
    [anon_sym_public] = ACTIONS(1418),
    [anon_sym_private] = ACTIONS(1418),
    [anon_sym_protected] = ACTIONS(1418),
    [anon_sym_override] = ACTIONS(1418),
    [anon_sym_module] = ACTIONS(1418),
    [anon_sym_any] = ACTIONS(1418),
    [anon_sym_number] = ACTIONS(1418),
    [anon_sym_boolean] = ACTIONS(1418),
    [anon_sym_string] = ACTIONS(1418),
    [anon_sym_symbol] = ACTIONS(1418),
    [anon_sym_property] = ACTIONS(1418),
    [anon_sym_signal] = ACTIONS(1418),
    [anon_sym_on] = ACTIONS(1418),
    [anon_sym_required] = ACTIONS(1418),
    [anon_sym_component] = ACTIONS(1418),
    [anon_sym_abstract] = ACTIONS(1418),
    [anon_sym_interface] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [sym__automatic_semicolon] = ACTIONS(1676),
    [sym__ternary_qmark] = ACTIONS(1424),
  },
  [177] = {
    [sym_identifier] = ACTIONS(1678),
    [anon_sym_export] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1678),
    [anon_sym_type] = ACTIONS(1678),
    [anon_sym_as] = ACTIONS(1680),
    [anon_sym_namespace] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_COMMA] = ACTIONS(1684),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_typeof] = ACTIONS(1678),
    [anon_sym_import] = ACTIONS(1678),
    [anon_sym_from] = ACTIONS(1678),
    [anon_sym_var] = ACTIONS(1678),
    [anon_sym_let] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1678),
    [anon_sym_for] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_await] = ACTIONS(1678),
    [anon_sym_in] = ACTIONS(1680),
    [anon_sym_of] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1678),
    [anon_sym_do] = ACTIONS(1678),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_with] = ACTIONS(1678),
    [anon_sym_break] = ACTIONS(1678),
    [anon_sym_continue] = ACTIONS(1678),
    [anon_sym_debugger] = ACTIONS(1678),
    [anon_sym_return] = ACTIONS(1678),
    [anon_sym_throw] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_yield] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1678),
    [anon_sym_GT] = ACTIONS(1680),
    [anon_sym_SLASH] = ACTIONS(1678),
    [anon_sym_DOT] = ACTIONS(1680),
    [anon_sym_class] = ACTIONS(1678),
    [anon_sym_async] = ACTIONS(1678),
    [anon_sym_function] = ACTIONS(1678),
    [anon_sym_QMARK_DOT] = ACTIONS(1684),
    [anon_sym_new] = ACTIONS(1678),
    [anon_sym_AMP_AMP] = ACTIONS(1684),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_GT_GT_GT] = ACTIONS(1684),
    [anon_sym_LT_LT] = ACTIONS(1684),
    [anon_sym_AMP] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1684),
    [anon_sym_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_PERCENT] = ACTIONS(1684),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_LT_EQ] = ACTIONS(1684),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1684),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1684),
    [anon_sym_GT_EQ] = ACTIONS(1684),
    [anon_sym_QMARK_QMARK] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1680),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_void] = ACTIONS(1678),
    [anon_sym_delete] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_DQUOTE] = ACTIONS(1682),
    [anon_sym_SQUOTE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1682),
    [sym_number] = ACTIONS(1682),
    [sym_this] = ACTIONS(1678),
    [sym_super] = ACTIONS(1678),
    [sym_true] = ACTIONS(1678),
    [sym_false] = ACTIONS(1678),
    [sym_null] = ACTIONS(1678),
    [sym_undefined] = ACTIONS(1678),
    [anon_sym_AT] = ACTIONS(1682),
    [anon_sym_static] = ACTIONS(1678),
    [anon_sym_readonly] = ACTIONS(1678),
    [anon_sym_get] = ACTIONS(1678),
    [anon_sym_set] = ACTIONS(1678),
    [anon_sym_declare] = ACTIONS(1678),
    [anon_sym_public] = ACTIONS(1678),
    [anon_sym_private] = ACTIONS(1678),
    [anon_sym_protected] = ACTIONS(1678),
    [anon_sym_override] = ACTIONS(1678),
    [anon_sym_module] = ACTIONS(1678),
    [anon_sym_any] = ACTIONS(1678),
    [anon_sym_number] = ACTIONS(1678),
    [anon_sym_boolean] = ACTIONS(1678),
    [anon_sym_string] = ACTIONS(1678),
    [anon_sym_symbol] = ACTIONS(1678),
    [anon_sym_property] = ACTIONS(1678),
    [anon_sym_signal] = ACTIONS(1678),
    [anon_sym_on] = ACTIONS(1678),
    [anon_sym_required] = ACTIONS(1678),
    [anon_sym_component] = ACTIONS(1678),
    [anon_sym_abstract] = ACTIONS(1678),
    [anon_sym_interface] = ACTIONS(1678),
    [anon_sym_enum] = ACTIONS(1678),
    [sym__automatic_semicolon] = ACTIONS(1686),
    [sym__ternary_qmark] = ACTIONS(1684),
  },
  [178] = {
    [sym_identifier] = ACTIONS(1688),
    [anon_sym_export] = ACTIONS(1688),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1688),
    [anon_sym_as] = ACTIONS(1690),
    [anon_sym_namespace] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_COMMA] = ACTIONS(1694),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_typeof] = ACTIONS(1688),
    [anon_sym_import] = ACTIONS(1688),
    [anon_sym_from] = ACTIONS(1688),
    [anon_sym_var] = ACTIONS(1688),
    [anon_sym_let] = ACTIONS(1688),
    [anon_sym_const] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(1688),
    [anon_sym_else] = ACTIONS(1688),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_switch] = ACTIONS(1688),
    [anon_sym_for] = ACTIONS(1688),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_await] = ACTIONS(1688),
    [anon_sym_in] = ACTIONS(1690),
    [anon_sym_of] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1688),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_try] = ACTIONS(1688),
    [anon_sym_with] = ACTIONS(1688),
    [anon_sym_break] = ACTIONS(1688),
    [anon_sym_continue] = ACTIONS(1688),
    [anon_sym_debugger] = ACTIONS(1688),
    [anon_sym_return] = ACTIONS(1688),
    [anon_sym_throw] = ACTIONS(1688),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1688),
    [anon_sym_yield] = ACTIONS(1688),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_LT] = ACTIONS(1688),
    [anon_sym_GT] = ACTIONS(1690),
    [anon_sym_SLASH] = ACTIONS(1688),
    [anon_sym_DOT] = ACTIONS(1690),
    [anon_sym_class] = ACTIONS(1688),
    [anon_sym_async] = ACTIONS(1688),
    [anon_sym_function] = ACTIONS(1688),
    [anon_sym_QMARK_DOT] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1688),
    [anon_sym_AMP_AMP] = ACTIONS(1694),
    [anon_sym_PIPE_PIPE] = ACTIONS(1694),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_GT_GT_GT] = ACTIONS(1694),
    [anon_sym_LT_LT] = ACTIONS(1694),
    [anon_sym_AMP] = ACTIONS(1690),
    [anon_sym_CARET] = ACTIONS(1694),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1688),
    [anon_sym_PERCENT] = ACTIONS(1694),
    [anon_sym_STAR_STAR] = ACTIONS(1694),
    [anon_sym_LT_EQ] = ACTIONS(1694),
    [anon_sym_EQ_EQ] = ACTIONS(1690),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1694),
    [anon_sym_BANG_EQ] = ACTIONS(1690),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1694),
    [anon_sym_GT_EQ] = ACTIONS(1694),
    [anon_sym_QMARK_QMARK] = ACTIONS(1694),
    [anon_sym_instanceof] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_void] = ACTIONS(1688),
    [anon_sym_delete] = ACTIONS(1688),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_DQUOTE] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1692),
    [sym_number] = ACTIONS(1692),
    [sym_this] = ACTIONS(1688),
    [sym_super] = ACTIONS(1688),
    [sym_true] = ACTIONS(1688),
    [sym_false] = ACTIONS(1688),
    [sym_null] = ACTIONS(1688),
    [sym_undefined] = ACTIONS(1688),
    [anon_sym_AT] = ACTIONS(1692),
    [anon_sym_static] = ACTIONS(1688),
    [anon_sym_readonly] = ACTIONS(1688),
    [anon_sym_get] = ACTIONS(1688),
    [anon_sym_set] = ACTIONS(1688),
    [anon_sym_declare] = ACTIONS(1688),
    [anon_sym_public] = ACTIONS(1688),
    [anon_sym_private] = ACTIONS(1688),
    [anon_sym_protected] = ACTIONS(1688),
    [anon_sym_override] = ACTIONS(1688),
    [anon_sym_module] = ACTIONS(1688),
    [anon_sym_any] = ACTIONS(1688),
    [anon_sym_number] = ACTIONS(1688),
    [anon_sym_boolean] = ACTIONS(1688),
    [anon_sym_string] = ACTIONS(1688),
    [anon_sym_symbol] = ACTIONS(1688),
    [anon_sym_property] = ACTIONS(1688),
    [anon_sym_signal] = ACTIONS(1688),
    [anon_sym_on] = ACTIONS(1688),
    [anon_sym_required] = ACTIONS(1688),
    [anon_sym_component] = ACTIONS(1688),
    [anon_sym_abstract] = ACTIONS(1688),
    [anon_sym_interface] = ACTIONS(1688),
    [anon_sym_enum] = ACTIONS(1688),
    [sym__automatic_semicolon] = ACTIONS(1696),
    [sym__ternary_qmark] = ACTIONS(1694),
  },
  [179] = {
    [sym_identifier] = ACTIONS(1698),
    [anon_sym_export] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_default] = ACTIONS(1698),
    [anon_sym_type] = ACTIONS(1698),
    [anon_sym_as] = ACTIONS(1700),
    [anon_sym_namespace] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_COMMA] = ACTIONS(1704),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_typeof] = ACTIONS(1698),
    [anon_sym_import] = ACTIONS(1698),
    [anon_sym_from] = ACTIONS(1698),
    [anon_sym_var] = ACTIONS(1698),
    [anon_sym_let] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_await] = ACTIONS(1698),
    [anon_sym_in] = ACTIONS(1700),
    [anon_sym_of] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_do] = ACTIONS(1698),
    [anon_sym_try] = ACTIONS(1698),
    [anon_sym_with] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_continue] = ACTIONS(1698),
    [anon_sym_debugger] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_throw] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_case] = ACTIONS(1698),
    [anon_sym_yield] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_GT] = ACTIONS(1700),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_DOT] = ACTIONS(1700),
    [anon_sym_class] = ACTIONS(1698),
    [anon_sym_async] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_QMARK_DOT] = ACTIONS(1704),
    [anon_sym_new] = ACTIONS(1698),
    [anon_sym_AMP_AMP] = ACTIONS(1704),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_GT_GT] = ACTIONS(1700),
    [anon_sym_GT_GT_GT] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1704),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1704),
    [anon_sym_STAR_STAR] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_EQ_EQ] = ACTIONS(1700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_QMARK_QMARK] = ACTIONS(1704),
    [anon_sym_instanceof] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_void] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_DQUOTE] = ACTIONS(1702),
    [anon_sym_SQUOTE] = ACTIONS(1702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1702),
    [sym_number] = ACTIONS(1702),
    [sym_this] = ACTIONS(1698),
    [sym_super] = ACTIONS(1698),
    [sym_true] = ACTIONS(1698),
    [sym_false] = ACTIONS(1698),
    [sym_null] = ACTIONS(1698),
    [sym_undefined] = ACTIONS(1698),
    [anon_sym_AT] = ACTIONS(1702),
    [anon_sym_static] = ACTIONS(1698),
    [anon_sym_readonly] = ACTIONS(1698),
    [anon_sym_get] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_declare] = ACTIONS(1698),
    [anon_sym_public] = ACTIONS(1698),
    [anon_sym_private] = ACTIONS(1698),
    [anon_sym_protected] = ACTIONS(1698),
    [anon_sym_override] = ACTIONS(1698),
    [anon_sym_module] = ACTIONS(1698),
    [anon_sym_any] = ACTIONS(1698),
    [anon_sym_number] = ACTIONS(1698),
    [anon_sym_boolean] = ACTIONS(1698),
    [anon_sym_string] = ACTIONS(1698),
    [anon_sym_symbol] = ACTIONS(1698),
    [anon_sym_property] = ACTIONS(1698),
    [anon_sym_signal] = ACTIONS(1698),
    [anon_sym_on] = ACTIONS(1698),
    [anon_sym_required] = ACTIONS(1698),
    [anon_sym_component] = ACTIONS(1698),
    [anon_sym_abstract] = ACTIONS(1698),
    [anon_sym_interface] = ACTIONS(1698),
    [anon_sym_enum] = ACTIONS(1698),
    [sym__automatic_semicolon] = ACTIONS(1706),
    [sym__ternary_qmark] = ACTIONS(1704),
  },
  [180] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1853),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4058),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4060),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1708),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [181] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(228),
    [sym_variable_declaration] = STATE(228),
    [sym_lexical_declaration] = STATE(228),
    [sym_empty_statement] = STATE(228),
    [sym_parenthesized_expression] = STATE(1290),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4178),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4178),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1290),
    [sym_subscript_expression] = STATE(1290),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4178),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1290),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1710),
    [anon_sym_export] = ACTIONS(1712),
    [anon_sym_type] = ACTIONS(1712),
    [anon_sym_namespace] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1712),
    [anon_sym_var] = ACTIONS(1718),
    [anon_sym_let] = ACTIONS(1720),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(1712),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1712),
    [anon_sym_readonly] = ACTIONS(1712),
    [anon_sym_get] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_declare] = ACTIONS(1712),
    [anon_sym_public] = ACTIONS(1712),
    [anon_sym_private] = ACTIONS(1712),
    [anon_sym_protected] = ACTIONS(1712),
    [anon_sym_override] = ACTIONS(1712),
    [anon_sym_module] = ACTIONS(1712),
    [anon_sym_any] = ACTIONS(1712),
    [anon_sym_number] = ACTIONS(1712),
    [anon_sym_boolean] = ACTIONS(1712),
    [anon_sym_string] = ACTIONS(1712),
    [anon_sym_symbol] = ACTIONS(1712),
    [anon_sym_property] = ACTIONS(1712),
    [anon_sym_signal] = ACTIONS(1712),
    [anon_sym_on] = ACTIONS(1712),
    [anon_sym_required] = ACTIONS(1712),
    [anon_sym_component] = ACTIONS(1712),
  },
  [182] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1733),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_RBRACE] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1728),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_RBRACK] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_QMARK] = ACTIONS(1728),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
    [anon_sym_extends] = ACTIONS(1730),
  },
  [183] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4007),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4010),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1732),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [184] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym__formal_parameter] = STATE(4403),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3646),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_accessibility_modifier] = STATE(230),
    [sym_override_modifier] = STATE(243),
    [sym_required_parameter] = STATE(4403),
    [sym_optional_parameter] = STATE(4403),
    [sym__parameter_name] = STATE(3320),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1532),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1534),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [185] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4007),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4010),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1734),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [186] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(227),
    [sym_variable_declaration] = STATE(227),
    [sym_lexical_declaration] = STATE(227),
    [sym_empty_statement] = STATE(227),
    [sym_parenthesized_expression] = STATE(1290),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4178),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4178),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1290),
    [sym_subscript_expression] = STATE(1290),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4178),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1290),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1710),
    [anon_sym_export] = ACTIONS(1712),
    [anon_sym_type] = ACTIONS(1712),
    [anon_sym_namespace] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1712),
    [anon_sym_var] = ACTIONS(1718),
    [anon_sym_let] = ACTIONS(1720),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(1712),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1712),
    [anon_sym_readonly] = ACTIONS(1712),
    [anon_sym_get] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_declare] = ACTIONS(1712),
    [anon_sym_public] = ACTIONS(1712),
    [anon_sym_private] = ACTIONS(1712),
    [anon_sym_protected] = ACTIONS(1712),
    [anon_sym_override] = ACTIONS(1712),
    [anon_sym_module] = ACTIONS(1712),
    [anon_sym_any] = ACTIONS(1712),
    [anon_sym_number] = ACTIONS(1712),
    [anon_sym_boolean] = ACTIONS(1712),
    [anon_sym_string] = ACTIONS(1712),
    [anon_sym_symbol] = ACTIONS(1712),
    [anon_sym_property] = ACTIONS(1712),
    [anon_sym_signal] = ACTIONS(1712),
    [anon_sym_on] = ACTIONS(1712),
    [anon_sym_required] = ACTIONS(1712),
    [anon_sym_component] = ACTIONS(1712),
  },
  [187] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(225),
    [sym_variable_declaration] = STATE(225),
    [sym_lexical_declaration] = STATE(225),
    [sym_empty_statement] = STATE(225),
    [sym_parenthesized_expression] = STATE(1290),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4178),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4178),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1290),
    [sym_subscript_expression] = STATE(1290),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4178),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1290),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1710),
    [anon_sym_export] = ACTIONS(1712),
    [anon_sym_type] = ACTIONS(1712),
    [anon_sym_namespace] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1712),
    [anon_sym_var] = ACTIONS(1718),
    [anon_sym_let] = ACTIONS(1720),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(1712),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1724),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1712),
    [anon_sym_readonly] = ACTIONS(1712),
    [anon_sym_get] = ACTIONS(1712),
    [anon_sym_set] = ACTIONS(1712),
    [anon_sym_declare] = ACTIONS(1712),
    [anon_sym_public] = ACTIONS(1712),
    [anon_sym_private] = ACTIONS(1712),
    [anon_sym_protected] = ACTIONS(1712),
    [anon_sym_override] = ACTIONS(1712),
    [anon_sym_module] = ACTIONS(1712),
    [anon_sym_any] = ACTIONS(1712),
    [anon_sym_number] = ACTIONS(1712),
    [anon_sym_boolean] = ACTIONS(1712),
    [anon_sym_string] = ACTIONS(1712),
    [anon_sym_symbol] = ACTIONS(1712),
    [anon_sym_property] = ACTIONS(1712),
    [anon_sym_signal] = ACTIONS(1712),
    [anon_sym_on] = ACTIONS(1712),
    [anon_sym_required] = ACTIONS(1712),
    [anon_sym_component] = ACTIONS(1712),
  },
  [188] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(72),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [189] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4007),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4010),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [190] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4007),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4010),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [191] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4007),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4010),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1740),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [192] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1853),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4058),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4060),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [193] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1948),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4058),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4060),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [194] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1733),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_RBRACE] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_SEMI] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
    [anon_sym_extends] = ACTIONS(1730),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1728),
    [sym__automatic_semicolon] = ACTIONS(1728),
  },
  [195] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2250),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4121),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4121),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1338),
    [sym_subscript_expression] = STATE(1338),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4121),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1338),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_mapped_type_clause] = STATE(4851),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1744),
    [anon_sym_type] = ACTIONS(1744),
    [anon_sym_namespace] = ACTIONS(1746),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_COMMA] = ACTIONS(1748),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1744),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1744),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_RBRACK] = ACTIONS(1750),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1752),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1754),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1744),
    [anon_sym_readonly] = ACTIONS(1744),
    [anon_sym_get] = ACTIONS(1744),
    [anon_sym_set] = ACTIONS(1744),
    [anon_sym_declare] = ACTIONS(1744),
    [anon_sym_public] = ACTIONS(1744),
    [anon_sym_private] = ACTIONS(1744),
    [anon_sym_protected] = ACTIONS(1744),
    [anon_sym_override] = ACTIONS(1744),
    [anon_sym_module] = ACTIONS(1744),
    [anon_sym_any] = ACTIONS(1744),
    [anon_sym_number] = ACTIONS(1744),
    [anon_sym_boolean] = ACTIONS(1744),
    [anon_sym_string] = ACTIONS(1744),
    [anon_sym_symbol] = ACTIONS(1744),
    [anon_sym_property] = ACTIONS(1744),
    [anon_sym_signal] = ACTIONS(1744),
    [anon_sym_on] = ACTIONS(1744),
    [anon_sym_required] = ACTIONS(1744),
    [anon_sym_component] = ACTIONS(1744),
  },
  [196] = {
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_export] = ACTIONS(1756),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(1756),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1756),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(1756),
    [anon_sym_import] = ACTIONS(1756),
    [anon_sym_from] = ACTIONS(1756),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_LPAREN] = ACTIONS(1758),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(1756),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1756),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(1756),
    [anon_sym_LBRACK] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(1756),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(1756),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(1756),
    [anon_sym_async] = ACTIONS(1756),
    [anon_sym_function] = ACTIONS(1756),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1756),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1758),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1756),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(1758),
    [anon_sym_void] = ACTIONS(1756),
    [anon_sym_delete] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1758),
    [anon_sym_DASH_DASH] = ACTIONS(1758),
    [anon_sym_DQUOTE] = ACTIONS(1758),
    [anon_sym_SQUOTE] = ACTIONS(1758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1758),
    [sym_number] = ACTIONS(1758),
    [sym_this] = ACTIONS(1756),
    [sym_super] = ACTIONS(1756),
    [sym_true] = ACTIONS(1756),
    [sym_false] = ACTIONS(1756),
    [sym_null] = ACTIONS(1756),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1758),
    [anon_sym_static] = ACTIONS(1756),
    [anon_sym_readonly] = ACTIONS(1756),
    [anon_sym_get] = ACTIONS(1756),
    [anon_sym_set] = ACTIONS(1756),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(1756),
    [anon_sym_public] = ACTIONS(1756),
    [anon_sym_private] = ACTIONS(1756),
    [anon_sym_protected] = ACTIONS(1756),
    [anon_sym_override] = ACTIONS(1756),
    [anon_sym_module] = ACTIONS(1756),
    [anon_sym_any] = ACTIONS(1756),
    [anon_sym_number] = ACTIONS(1756),
    [anon_sym_boolean] = ACTIONS(1756),
    [anon_sym_string] = ACTIONS(1756),
    [anon_sym_symbol] = ACTIONS(1756),
    [anon_sym_property] = ACTIONS(1756),
    [anon_sym_signal] = ACTIONS(1756),
    [anon_sym_on] = ACTIONS(1756),
    [anon_sym_required] = ACTIONS(1756),
    [anon_sym_component] = ACTIONS(1756),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [197] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1887),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(4516),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4134),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(4081),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1760),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [198] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1887),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(4516),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4134),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(4081),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1760),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1760),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [199] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2265),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4121),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4121),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1338),
    [sym_subscript_expression] = STATE(1338),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4121),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1338),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(1767),
    [anon_sym_export] = ACTIONS(1769),
    [anon_sym_type] = ACTIONS(1769),
    [anon_sym_namespace] = ACTIONS(1771),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_COMMA] = ACTIONS(1748),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1769),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_RBRACK] = ACTIONS(1750),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1773),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1754),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1769),
    [anon_sym_readonly] = ACTIONS(1769),
    [anon_sym_get] = ACTIONS(1769),
    [anon_sym_set] = ACTIONS(1769),
    [anon_sym_declare] = ACTIONS(1769),
    [anon_sym_public] = ACTIONS(1769),
    [anon_sym_private] = ACTIONS(1769),
    [anon_sym_protected] = ACTIONS(1769),
    [anon_sym_override] = ACTIONS(1769),
    [anon_sym_module] = ACTIONS(1769),
    [anon_sym_any] = ACTIONS(1769),
    [anon_sym_number] = ACTIONS(1769),
    [anon_sym_boolean] = ACTIONS(1769),
    [anon_sym_string] = ACTIONS(1769),
    [anon_sym_symbol] = ACTIONS(1769),
    [anon_sym_property] = ACTIONS(1769),
    [anon_sym_signal] = ACTIONS(1769),
    [anon_sym_on] = ACTIONS(1769),
    [anon_sym_required] = ACTIONS(1769),
    [anon_sym_component] = ACTIONS(1769),
  },
  [200] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_assignment_pattern] = STATE(3995),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3907),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_pattern_repeat1] = STATE(3996),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(1748),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_RBRACK] = ACTIONS(1750),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(19),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [201] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2376),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1728),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_RBRACK] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
    [anon_sym_extends] = ACTIONS(1730),
  },
  [202] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_assignment_pattern] = STATE(4022),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3892),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_pattern_repeat1] = STATE(4028),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(1748),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_RBRACK] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(19),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [203] = {
    [sym_identifier] = ACTIONS(1777),
    [anon_sym_export] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(1777),
    [anon_sym_import] = ACTIONS(1777),
    [anon_sym_from] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_await] = ACTIONS(1777),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1777),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(1777),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_function] = ACTIONS(1777),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1777),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1779),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(1779),
    [anon_sym_void] = ACTIONS(1777),
    [anon_sym_delete] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1779),
    [anon_sym_DASH_DASH] = ACTIONS(1779),
    [anon_sym_DQUOTE] = ACTIONS(1779),
    [anon_sym_SQUOTE] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1779),
    [sym_number] = ACTIONS(1779),
    [sym_this] = ACTIONS(1777),
    [sym_super] = ACTIONS(1777),
    [sym_true] = ACTIONS(1777),
    [sym_false] = ACTIONS(1777),
    [sym_null] = ACTIONS(1777),
    [sym_undefined] = ACTIONS(1777),
    [anon_sym_AT] = ACTIONS(1779),
    [anon_sym_static] = ACTIONS(1777),
    [anon_sym_readonly] = ACTIONS(1777),
    [anon_sym_get] = ACTIONS(1777),
    [anon_sym_set] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(1777),
    [anon_sym_public] = ACTIONS(1777),
    [anon_sym_private] = ACTIONS(1777),
    [anon_sym_protected] = ACTIONS(1777),
    [anon_sym_override] = ACTIONS(1777),
    [anon_sym_module] = ACTIONS(1777),
    [anon_sym_any] = ACTIONS(1777),
    [anon_sym_number] = ACTIONS(1777),
    [anon_sym_boolean] = ACTIONS(1777),
    [anon_sym_string] = ACTIONS(1777),
    [anon_sym_symbol] = ACTIONS(1777),
    [anon_sym_property] = ACTIONS(1777),
    [anon_sym_signal] = ACTIONS(1777),
    [anon_sym_on] = ACTIONS(1777),
    [anon_sym_required] = ACTIONS(1777),
    [anon_sym_component] = ACTIONS(1777),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [204] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1887),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(4516),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_spread_element] = STATE(4134),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(4081),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1760),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [205] = {
    [sym_identifier] = ACTIONS(1777),
    [anon_sym_export] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(1777),
    [anon_sym_import] = ACTIONS(1777),
    [anon_sym_from] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [anon_sym_RPAREN] = ACTIONS(32),
    [anon_sym_await] = ACTIONS(1777),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1777),
    [anon_sym_COLON] = ACTIONS(32),
    [anon_sym_yield] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(1777),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_function] = ACTIONS(1777),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1777),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1779),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(1779),
    [anon_sym_void] = ACTIONS(1777),
    [anon_sym_delete] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1779),
    [anon_sym_DASH_DASH] = ACTIONS(1779),
    [anon_sym_DQUOTE] = ACTIONS(1779),
    [anon_sym_SQUOTE] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1779),
    [sym_number] = ACTIONS(1779),
    [sym_this] = ACTIONS(1777),
    [sym_super] = ACTIONS(1777),
    [sym_true] = ACTIONS(1777),
    [sym_false] = ACTIONS(1777),
    [sym_null] = ACTIONS(1777),
    [sym_undefined] = ACTIONS(1777),
    [anon_sym_AT] = ACTIONS(1779),
    [anon_sym_static] = ACTIONS(1777),
    [anon_sym_readonly] = ACTIONS(1777),
    [anon_sym_get] = ACTIONS(1777),
    [anon_sym_set] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(1777),
    [anon_sym_public] = ACTIONS(1777),
    [anon_sym_private] = ACTIONS(1777),
    [anon_sym_protected] = ACTIONS(1777),
    [anon_sym_override] = ACTIONS(1777),
    [anon_sym_module] = ACTIONS(1777),
    [anon_sym_any] = ACTIONS(1777),
    [anon_sym_number] = ACTIONS(1777),
    [anon_sym_boolean] = ACTIONS(1777),
    [anon_sym_string] = ACTIONS(1777),
    [anon_sym_symbol] = ACTIONS(1777),
    [anon_sym_property] = ACTIONS(1777),
    [anon_sym_signal] = ACTIONS(1777),
    [anon_sym_on] = ACTIONS(1777),
    [anon_sym_required] = ACTIONS(1777),
    [anon_sym_component] = ACTIONS(1777),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [206] = {
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_export] = ACTIONS(1756),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(1756),
    [anon_sym_EQ] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1756),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(1756),
    [anon_sym_import] = ACTIONS(1756),
    [anon_sym_from] = ACTIONS(1756),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_LPAREN] = ACTIONS(1758),
    [anon_sym_RPAREN] = ACTIONS(32),
    [anon_sym_await] = ACTIONS(1756),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1756),
    [anon_sym_COLON] = ACTIONS(32),
    [anon_sym_yield] = ACTIONS(1756),
    [anon_sym_LBRACK] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(1756),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(1756),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_class] = ACTIONS(1756),
    [anon_sym_async] = ACTIONS(1756),
    [anon_sym_function] = ACTIONS(1756),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_new] = ACTIONS(1756),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1758),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1756),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_TILDE] = ACTIONS(1758),
    [anon_sym_void] = ACTIONS(1756),
    [anon_sym_delete] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1758),
    [anon_sym_DASH_DASH] = ACTIONS(1758),
    [anon_sym_DQUOTE] = ACTIONS(1758),
    [anon_sym_SQUOTE] = ACTIONS(1758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1758),
    [sym_number] = ACTIONS(1758),
    [sym_this] = ACTIONS(1756),
    [sym_super] = ACTIONS(1756),
    [sym_true] = ACTIONS(1756),
    [sym_false] = ACTIONS(1756),
    [sym_null] = ACTIONS(1756),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1758),
    [anon_sym_static] = ACTIONS(1756),
    [anon_sym_readonly] = ACTIONS(1756),
    [anon_sym_get] = ACTIONS(1756),
    [anon_sym_set] = ACTIONS(1756),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(1756),
    [anon_sym_public] = ACTIONS(1756),
    [anon_sym_private] = ACTIONS(1756),
    [anon_sym_protected] = ACTIONS(1756),
    [anon_sym_override] = ACTIONS(1756),
    [anon_sym_module] = ACTIONS(1756),
    [anon_sym_any] = ACTIONS(1756),
    [anon_sym_number] = ACTIONS(1756),
    [anon_sym_boolean] = ACTIONS(1756),
    [anon_sym_string] = ACTIONS(1756),
    [anon_sym_symbol] = ACTIONS(1756),
    [anon_sym_property] = ACTIONS(1756),
    [anon_sym_signal] = ACTIONS(1756),
    [anon_sym_on] = ACTIONS(1756),
    [anon_sym_required] = ACTIONS(1756),
    [anon_sym_component] = ACTIONS(1756),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [207] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_assignment_pattern] = STATE(4516),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(4081),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(1785),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_RBRACK] = ACTIONS(1785),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(19),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [208] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2171),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
    [anon_sym_extends] = ACTIONS(1730),
  },
  [209] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1909),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_spread_element] = STATE(4216),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4215),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1789),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [210] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1867),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_spread_element] = STATE(4069),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4071),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1793),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [211] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1757),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
    [anon_sym_extends] = ACTIONS(1730),
  },
  [212] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2310),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
    [anon_sym_extends] = ACTIONS(1730),
  },
  [213] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
    [anon_sym_extends] = ACTIONS(1730),
  },
  [214] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1872),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
    [anon_sym_extends] = ACTIONS(1730),
  },
  [215] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1974),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_spread_element] = STATE(4092),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4093),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1795),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [216] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1931),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_spread_element] = STATE(4246),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4247),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1797),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [217] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1942),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_spread_element] = STATE(4248),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4236),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1799),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [218] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3552),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_accessibility_modifier] = STATE(229),
    [sym_override_modifier] = STATE(244),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(1115),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(1801),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1803),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1805),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [219] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2297),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
    [anon_sym_extends] = ACTIONS(1730),
  },
  [220] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1918),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_spread_element] = STATE(4230),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4229),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1807),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [221] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1887),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_spread_element] = STATE(4134),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1809),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1809),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_RBRACK] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [222] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1862),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_spread_element] = STATE(4148),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [aux_sym_array_repeat1] = STATE(4149),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1811),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [223] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1764),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
    [anon_sym_extends] = ACTIONS(1730),
  },
  [224] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2090),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3340),
    [sym_assignment_pattern] = STATE(4543),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3340),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1204),
    [sym_subscript_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3340),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(4151),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1204),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_property] = ACTIONS(637),
    [anon_sym_signal] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
    [anon_sym_required] = ACTIONS(637),
    [anon_sym_component] = ACTIONS(637),
  },
  [225] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(253),
    [sym_empty_statement] = STATE(253),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [226] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_assignment_pattern] = STATE(4543),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(4151),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(19),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [227] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(256),
    [sym_empty_statement] = STATE(256),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [228] = {
    [sym_import] = STATE(2086),
    [sym_expression_statement] = STATE(252),
    [sym_empty_statement] = STATE(252),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4284),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [229] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3717),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_override_modifier] = STATE(241),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1813),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1815),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [230] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3549),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_override_modifier] = STATE(247),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(729),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1817),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [231] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1345),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4089),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4089),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1345),
    [sym_subscript_expression] = STATE(1345),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4089),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1345),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1819),
    [anon_sym_export] = ACTIONS(1821),
    [anon_sym_type] = ACTIONS(1821),
    [anon_sym_namespace] = ACTIONS(1823),
    [anon_sym_LBRACE] = ACTIONS(1825),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1821),
    [anon_sym_var] = ACTIONS(1827),
    [anon_sym_let] = ACTIONS(1829),
    [anon_sym_const] = ACTIONS(1829),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1821),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1831),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1833),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1821),
    [anon_sym_readonly] = ACTIONS(1821),
    [anon_sym_get] = ACTIONS(1821),
    [anon_sym_set] = ACTIONS(1821),
    [anon_sym_declare] = ACTIONS(1821),
    [anon_sym_public] = ACTIONS(1821),
    [anon_sym_private] = ACTIONS(1821),
    [anon_sym_protected] = ACTIONS(1821),
    [anon_sym_override] = ACTIONS(1821),
    [anon_sym_module] = ACTIONS(1821),
    [anon_sym_any] = ACTIONS(1821),
    [anon_sym_number] = ACTIONS(1821),
    [anon_sym_boolean] = ACTIONS(1821),
    [anon_sym_string] = ACTIONS(1821),
    [anon_sym_symbol] = ACTIONS(1821),
    [anon_sym_property] = ACTIONS(1821),
    [anon_sym_signal] = ACTIONS(1821),
    [anon_sym_on] = ACTIONS(1821),
    [anon_sym_required] = ACTIONS(1821),
    [anon_sym_component] = ACTIONS(1821),
  },
  [232] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1968),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4607),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_SEMI] = ACTIONS(1837),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
    [sym__automatic_semicolon] = ACTIONS(1837),
  },
  [233] = {
    [sym_import] = STATE(1560),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1733),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym__type_query_member_expression] = STATE(2769),
    [sym__type_query_subscript_expression] = STATE(2770),
    [sym__type_query_call_expression] = STATE(2808),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1839),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [234] = {
    [sym_import] = STATE(1560),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2376),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym__type_query_member_expression] = STATE(2769),
    [sym__type_query_subscript_expression] = STATE(2770),
    [sym__type_query_call_expression] = STATE(2808),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1841),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [235] = {
    [sym_import] = STATE(1925),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1764),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym__type_query_member_expression] = STATE(2769),
    [sym__type_query_subscript_expression] = STATE(2770),
    [sym__type_query_call_expression] = STATE(2808),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1843),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [236] = {
    [sym_import] = STATE(2416),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1733),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym__type_query_member_expression] = STATE(2852),
    [sym__type_query_subscript_expression] = STATE(2855),
    [sym__type_query_call_expression] = STATE(2958),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [237] = {
    [sym_import] = STATE(1560),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2310),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym__type_query_member_expression] = STATE(2769),
    [sym__type_query_subscript_expression] = STATE(2770),
    [sym__type_query_call_expression] = STATE(2808),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1847),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [238] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1885),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4394),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
    [sym__automatic_semicolon] = ACTIONS(1849),
  },
  [239] = {
    [sym_import] = STATE(1560),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2376),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym__type_query_member_expression] = STATE(2769),
    [sym__type_query_subscript_expression] = STATE(2770),
    [sym__type_query_call_expression] = STATE(2808),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1851),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [240] = {
    [sym_import] = STATE(1560),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1872),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym__type_query_member_expression] = STATE(2769),
    [sym__type_query_subscript_expression] = STATE(2770),
    [sym__type_query_call_expression] = STATE(2808),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [241] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3735),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1855),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1857),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [242] = {
    [sym_import] = STATE(1560),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1733),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym__type_query_member_expression] = STATE(2769),
    [sym__type_query_subscript_expression] = STATE(2770),
    [sym__type_query_call_expression] = STATE(2808),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1859),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [243] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3549),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(729),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1817),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [244] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3718),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(1861),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1863),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [245] = {
    [sym_import] = STATE(1925),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1757),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym__type_query_member_expression] = STATE(2769),
    [sym__type_query_subscript_expression] = STATE(2770),
    [sym__type_query_call_expression] = STATE(2808),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1865),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [246] = {
    [sym_import] = STATE(1560),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2297),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym__type_query_member_expression] = STATE(2769),
    [sym__type_query_subscript_expression] = STATE(2770),
    [sym__type_query_call_expression] = STATE(2808),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1867),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [247] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3349),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3349),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1221),
    [sym_subscript_expression] = STATE(1221),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3349),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_pattern] = STATE(3708),
    [sym_rest_pattern] = STATE(3348),
    [sym_non_null_expression] = STATE(1221),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_export] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_namespace] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(19),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(56),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(68),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(743),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(19),
    [anon_sym_readonly] = ACTIONS(1869),
    [anon_sym_get] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(19),
    [anon_sym_declare] = ACTIONS(19),
    [anon_sym_public] = ACTIONS(19),
    [anon_sym_private] = ACTIONS(19),
    [anon_sym_protected] = ACTIONS(19),
    [anon_sym_override] = ACTIONS(19),
    [anon_sym_module] = ACTIONS(19),
    [anon_sym_any] = ACTIONS(19),
    [anon_sym_number] = ACTIONS(19),
    [anon_sym_boolean] = ACTIONS(19),
    [anon_sym_string] = ACTIONS(19),
    [anon_sym_symbol] = ACTIONS(19),
    [anon_sym_property] = ACTIONS(19),
    [anon_sym_signal] = ACTIONS(19),
    [anon_sym_on] = ACTIONS(19),
    [anon_sym_required] = ACTIONS(19),
    [anon_sym_component] = ACTIONS(19),
  },
  [248] = {
    [sym_import] = STATE(1560),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym__type_query_member_expression] = STATE(2769),
    [sym__type_query_subscript_expression] = STATE(2770),
    [sym__type_query_call_expression] = STATE(2808),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1871),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [249] = {
    [sym_import] = STATE(1560),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2376),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym__type_query_member_expression] = STATE(2769),
    [sym__type_query_subscript_expression] = STATE(2770),
    [sym__type_query_call_expression] = STATE(2808),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1873),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [250] = {
    [sym_import] = STATE(1925),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2171),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym__type_query_member_expression] = STATE(2769),
    [sym__type_query_subscript_expression] = STATE(2770),
    [sym__type_query_call_expression] = STATE(2808),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [251] = {
    [sym_import] = STATE(1560),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1733),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym__type_query_member_expression] = STATE(2769),
    [sym__type_query_subscript_expression] = STATE(2770),
    [sym__type_query_call_expression] = STATE(2808),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1877),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [252] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2035),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4964),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1879),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [253] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2042),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4739),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1881),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [254] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2025),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4958),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(1883),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [255] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2025),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4958),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(1885),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [256] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2186),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4741),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_RPAREN] = ACTIONS(1887),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [257] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2048),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1836),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [258] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2021),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1779),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [259] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2113),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1742),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [260] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1646),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1635),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [261] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2085),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1785),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [262] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1893),
    [anon_sym_export] = ACTIONS(1895),
    [anon_sym_type] = ACTIONS(1895),
    [anon_sym_namespace] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1895),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1895),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1901),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1895),
    [anon_sym_readonly] = ACTIONS(1895),
    [anon_sym_get] = ACTIONS(1895),
    [anon_sym_set] = ACTIONS(1895),
    [anon_sym_declare] = ACTIONS(1895),
    [anon_sym_public] = ACTIONS(1895),
    [anon_sym_private] = ACTIONS(1895),
    [anon_sym_protected] = ACTIONS(1895),
    [anon_sym_override] = ACTIONS(1895),
    [anon_sym_module] = ACTIONS(1895),
    [anon_sym_any] = ACTIONS(1895),
    [anon_sym_number] = ACTIONS(1895),
    [anon_sym_boolean] = ACTIONS(1895),
    [anon_sym_string] = ACTIONS(1895),
    [anon_sym_symbol] = ACTIONS(1895),
    [anon_sym_property] = ACTIONS(1895),
    [anon_sym_signal] = ACTIONS(1895),
    [anon_sym_on] = ACTIONS(1895),
    [anon_sym_required] = ACTIONS(1895),
    [anon_sym_component] = ACTIONS(1895),
  },
  [263] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2108),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1756),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [264] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3770),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4354),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1893),
    [anon_sym_export] = ACTIONS(1895),
    [anon_sym_type] = ACTIONS(1895),
    [anon_sym_namespace] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1895),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1895),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1901),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1895),
    [anon_sym_readonly] = ACTIONS(1895),
    [anon_sym_get] = ACTIONS(1895),
    [anon_sym_set] = ACTIONS(1895),
    [anon_sym_declare] = ACTIONS(1895),
    [anon_sym_public] = ACTIONS(1895),
    [anon_sym_private] = ACTIONS(1895),
    [anon_sym_protected] = ACTIONS(1895),
    [anon_sym_override] = ACTIONS(1895),
    [anon_sym_module] = ACTIONS(1895),
    [anon_sym_any] = ACTIONS(1895),
    [anon_sym_number] = ACTIONS(1895),
    [anon_sym_boolean] = ACTIONS(1895),
    [anon_sym_string] = ACTIONS(1895),
    [anon_sym_symbol] = ACTIONS(1895),
    [anon_sym_property] = ACTIONS(1895),
    [anon_sym_signal] = ACTIONS(1895),
    [anon_sym_on] = ACTIONS(1895),
    [anon_sym_required] = ACTIONS(1895),
    [anon_sym_component] = ACTIONS(1895),
  },
  [265] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1707),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1650),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [266] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1246),
    [sym_expression] = STATE(2414),
    [sym_primary_expression] = STATE(1791),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1246),
    [sym_subscript_expression] = STATE(1246),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3770),
    [sym_non_null_expression] = STATE(1246),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4354),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1903),
    [anon_sym_export] = ACTIONS(1905),
    [anon_sym_type] = ACTIONS(1905),
    [anon_sym_namespace] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1905),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1905),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1911),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1915),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1905),
    [anon_sym_readonly] = ACTIONS(1905),
    [anon_sym_get] = ACTIONS(1905),
    [anon_sym_set] = ACTIONS(1905),
    [anon_sym_declare] = ACTIONS(1905),
    [anon_sym_public] = ACTIONS(1905),
    [anon_sym_private] = ACTIONS(1905),
    [anon_sym_protected] = ACTIONS(1905),
    [anon_sym_override] = ACTIONS(1905),
    [anon_sym_module] = ACTIONS(1905),
    [anon_sym_any] = ACTIONS(1905),
    [anon_sym_number] = ACTIONS(1905),
    [anon_sym_boolean] = ACTIONS(1905),
    [anon_sym_string] = ACTIONS(1905),
    [anon_sym_symbol] = ACTIONS(1905),
    [anon_sym_property] = ACTIONS(1905),
    [anon_sym_signal] = ACTIONS(1905),
    [anon_sym_on] = ACTIONS(1905),
    [anon_sym_required] = ACTIONS(1905),
    [anon_sym_component] = ACTIONS(1905),
  },
  [267] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2144),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4999),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [268] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1646),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2295),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [269] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3770),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4354),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_export] = ACTIONS(1919),
    [anon_sym_type] = ACTIONS(1919),
    [anon_sym_namespace] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1919),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1919),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1923),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1919),
    [anon_sym_readonly] = ACTIONS(1919),
    [anon_sym_get] = ACTIONS(1919),
    [anon_sym_set] = ACTIONS(1919),
    [anon_sym_declare] = ACTIONS(1919),
    [anon_sym_public] = ACTIONS(1919),
    [anon_sym_private] = ACTIONS(1919),
    [anon_sym_protected] = ACTIONS(1919),
    [anon_sym_override] = ACTIONS(1919),
    [anon_sym_module] = ACTIONS(1919),
    [anon_sym_any] = ACTIONS(1919),
    [anon_sym_number] = ACTIONS(1919),
    [anon_sym_boolean] = ACTIONS(1919),
    [anon_sym_string] = ACTIONS(1919),
    [anon_sym_symbol] = ACTIONS(1919),
    [anon_sym_property] = ACTIONS(1919),
    [anon_sym_signal] = ACTIONS(1919),
    [anon_sym_on] = ACTIONS(1919),
    [anon_sym_required] = ACTIONS(1919),
    [anon_sym_component] = ACTIONS(1919),
  },
  [270] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1774),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4890),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [271] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2120),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4749),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [272] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2021),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2123),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [273] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1707),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2318),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [274] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2113),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2126),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [275] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_export] = ACTIONS(1919),
    [anon_sym_type] = ACTIONS(1919),
    [anon_sym_namespace] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1919),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1919),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1923),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1919),
    [anon_sym_readonly] = ACTIONS(1919),
    [anon_sym_get] = ACTIONS(1919),
    [anon_sym_set] = ACTIONS(1919),
    [anon_sym_declare] = ACTIONS(1919),
    [anon_sym_public] = ACTIONS(1919),
    [anon_sym_private] = ACTIONS(1919),
    [anon_sym_protected] = ACTIONS(1919),
    [anon_sym_override] = ACTIONS(1919),
    [anon_sym_module] = ACTIONS(1919),
    [anon_sym_any] = ACTIONS(1919),
    [anon_sym_number] = ACTIONS(1919),
    [anon_sym_boolean] = ACTIONS(1919),
    [anon_sym_string] = ACTIONS(1919),
    [anon_sym_symbol] = ACTIONS(1919),
    [anon_sym_property] = ACTIONS(1919),
    [anon_sym_signal] = ACTIONS(1919),
    [anon_sym_on] = ACTIONS(1919),
    [anon_sym_required] = ACTIONS(1919),
    [anon_sym_component] = ACTIONS(1919),
  },
  [276] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2108),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2143),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [277] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2100),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2064),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [278] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1925),
    [anon_sym_export] = ACTIONS(1927),
    [anon_sym_type] = ACTIONS(1927),
    [anon_sym_namespace] = ACTIONS(1929),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1927),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1927),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1931),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1927),
    [anon_sym_readonly] = ACTIONS(1927),
    [anon_sym_get] = ACTIONS(1927),
    [anon_sym_set] = ACTIONS(1927),
    [anon_sym_declare] = ACTIONS(1927),
    [anon_sym_public] = ACTIONS(1927),
    [anon_sym_private] = ACTIONS(1927),
    [anon_sym_protected] = ACTIONS(1927),
    [anon_sym_override] = ACTIONS(1927),
    [anon_sym_module] = ACTIONS(1927),
    [anon_sym_any] = ACTIONS(1927),
    [anon_sym_number] = ACTIONS(1927),
    [anon_sym_boolean] = ACTIONS(1927),
    [anon_sym_string] = ACTIONS(1927),
    [anon_sym_symbol] = ACTIONS(1927),
    [anon_sym_property] = ACTIONS(1927),
    [anon_sym_signal] = ACTIONS(1927),
    [anon_sym_on] = ACTIONS(1927),
    [anon_sym_required] = ACTIONS(1927),
    [anon_sym_component] = ACTIONS(1927),
  },
  [279] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2305),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [280] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2137),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4746),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [281] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3770),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4354),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1925),
    [anon_sym_export] = ACTIONS(1927),
    [anon_sym_type] = ACTIONS(1927),
    [anon_sym_namespace] = ACTIONS(1929),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1927),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1927),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1931),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1927),
    [anon_sym_readonly] = ACTIONS(1927),
    [anon_sym_get] = ACTIONS(1927),
    [anon_sym_set] = ACTIONS(1927),
    [anon_sym_declare] = ACTIONS(1927),
    [anon_sym_public] = ACTIONS(1927),
    [anon_sym_private] = ACTIONS(1927),
    [anon_sym_protected] = ACTIONS(1927),
    [anon_sym_override] = ACTIONS(1927),
    [anon_sym_module] = ACTIONS(1927),
    [anon_sym_any] = ACTIONS(1927),
    [anon_sym_number] = ACTIONS(1927),
    [anon_sym_boolean] = ACTIONS(1927),
    [anon_sym_string] = ACTIONS(1927),
    [anon_sym_symbol] = ACTIONS(1927),
    [anon_sym_property] = ACTIONS(1927),
    [anon_sym_signal] = ACTIONS(1927),
    [anon_sym_on] = ACTIONS(1927),
    [anon_sym_required] = ACTIONS(1927),
    [anon_sym_component] = ACTIONS(1927),
  },
  [282] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3770),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4354),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [283] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2085),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2121),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [284] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1671),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2302),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [285] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1655),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2300),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [286] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1644),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2299),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [287] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1826),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4855),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [288] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1875),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4399),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [289] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2250),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_mapped_type_clause] = STATE(4851),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1933),
    [anon_sym_export] = ACTIONS(1935),
    [anon_sym_type] = ACTIONS(1935),
    [anon_sym_namespace] = ACTIONS(1937),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1935),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1939),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1935),
    [anon_sym_readonly] = ACTIONS(1935),
    [anon_sym_get] = ACTIONS(1935),
    [anon_sym_set] = ACTIONS(1935),
    [anon_sym_declare] = ACTIONS(1935),
    [anon_sym_public] = ACTIONS(1935),
    [anon_sym_private] = ACTIONS(1935),
    [anon_sym_protected] = ACTIONS(1935),
    [anon_sym_override] = ACTIONS(1935),
    [anon_sym_module] = ACTIONS(1935),
    [anon_sym_any] = ACTIONS(1935),
    [anon_sym_number] = ACTIONS(1935),
    [anon_sym_boolean] = ACTIONS(1935),
    [anon_sym_string] = ACTIONS(1935),
    [anon_sym_symbol] = ACTIONS(1935),
    [anon_sym_property] = ACTIONS(1935),
    [anon_sym_signal] = ACTIONS(1935),
    [anon_sym_on] = ACTIONS(1935),
    [anon_sym_required] = ACTIONS(1935),
    [anon_sym_component] = ACTIONS(1935),
  },
  [290] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2048),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2104),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [291] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1681),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [292] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2138),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4734),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [293] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2100),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1838),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [294] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1246),
    [sym_expression] = STATE(2414),
    [sym_primary_expression] = STATE(1791),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1246),
    [sym_subscript_expression] = STATE(1246),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3770),
    [sym_non_null_expression] = STATE(1246),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4354),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_export] = ACTIONS(1943),
    [anon_sym_type] = ACTIONS(1943),
    [anon_sym_namespace] = ACTIONS(1945),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1943),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1943),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1947),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1915),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1943),
    [anon_sym_readonly] = ACTIONS(1943),
    [anon_sym_get] = ACTIONS(1943),
    [anon_sym_set] = ACTIONS(1943),
    [anon_sym_declare] = ACTIONS(1943),
    [anon_sym_public] = ACTIONS(1943),
    [anon_sym_private] = ACTIONS(1943),
    [anon_sym_protected] = ACTIONS(1943),
    [anon_sym_override] = ACTIONS(1943),
    [anon_sym_module] = ACTIONS(1943),
    [anon_sym_any] = ACTIONS(1943),
    [anon_sym_number] = ACTIONS(1943),
    [anon_sym_boolean] = ACTIONS(1943),
    [anon_sym_string] = ACTIONS(1943),
    [anon_sym_symbol] = ACTIONS(1943),
    [anon_sym_property] = ACTIONS(1943),
    [anon_sym_signal] = ACTIONS(1943),
    [anon_sym_on] = ACTIONS(1943),
    [anon_sym_required] = ACTIONS(1943),
    [anon_sym_component] = ACTIONS(1943),
  },
  [295] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2108),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1777),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [296] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2113),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [297] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2021),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1830),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [298] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2250),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_mapped_type_clause] = STATE(4735),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1949),
    [anon_sym_export] = ACTIONS(1951),
    [anon_sym_type] = ACTIONS(1951),
    [anon_sym_namespace] = ACTIONS(1953),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1951),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1951),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1955),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_readonly] = ACTIONS(1951),
    [anon_sym_get] = ACTIONS(1951),
    [anon_sym_set] = ACTIONS(1951),
    [anon_sym_declare] = ACTIONS(1951),
    [anon_sym_public] = ACTIONS(1951),
    [anon_sym_private] = ACTIONS(1951),
    [anon_sym_protected] = ACTIONS(1951),
    [anon_sym_override] = ACTIONS(1951),
    [anon_sym_module] = ACTIONS(1951),
    [anon_sym_any] = ACTIONS(1951),
    [anon_sym_number] = ACTIONS(1951),
    [anon_sym_boolean] = ACTIONS(1951),
    [anon_sym_string] = ACTIONS(1951),
    [anon_sym_symbol] = ACTIONS(1951),
    [anon_sym_property] = ACTIONS(1951),
    [anon_sym_signal] = ACTIONS(1951),
    [anon_sym_on] = ACTIONS(1951),
    [anon_sym_required] = ACTIONS(1951),
    [anon_sym_component] = ACTIONS(1951),
  },
  [299] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1644),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2358),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [300] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1655),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2367),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [301] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1671),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1687),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [302] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1246),
    [sym_expression] = STATE(2414),
    [sym_primary_expression] = STATE(1791),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1246),
    [sym_subscript_expression] = STATE(1246),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1246),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_export] = ACTIONS(1943),
    [anon_sym_type] = ACTIONS(1943),
    [anon_sym_namespace] = ACTIONS(1945),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1943),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1943),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1947),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1915),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1943),
    [anon_sym_readonly] = ACTIONS(1943),
    [anon_sym_get] = ACTIONS(1943),
    [anon_sym_set] = ACTIONS(1943),
    [anon_sym_declare] = ACTIONS(1943),
    [anon_sym_public] = ACTIONS(1943),
    [anon_sym_private] = ACTIONS(1943),
    [anon_sym_protected] = ACTIONS(1943),
    [anon_sym_override] = ACTIONS(1943),
    [anon_sym_module] = ACTIONS(1943),
    [anon_sym_any] = ACTIONS(1943),
    [anon_sym_number] = ACTIONS(1943),
    [anon_sym_boolean] = ACTIONS(1943),
    [anon_sym_string] = ACTIONS(1943),
    [anon_sym_symbol] = ACTIONS(1943),
    [anon_sym_property] = ACTIONS(1943),
    [anon_sym_signal] = ACTIONS(1943),
    [anon_sym_on] = ACTIONS(1943),
    [anon_sym_required] = ACTIONS(1943),
    [anon_sym_component] = ACTIONS(1943),
  },
  [303] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1671),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2390),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [304] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1655),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1689),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [305] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1246),
    [sym_expression] = STATE(2414),
    [sym_primary_expression] = STATE(1791),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1246),
    [sym_subscript_expression] = STATE(1246),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3770),
    [sym_non_null_expression] = STATE(1246),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4354),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1961),
    [anon_sym_type] = ACTIONS(1961),
    [anon_sym_namespace] = ACTIONS(1963),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1961),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1965),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1915),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1961),
    [anon_sym_readonly] = ACTIONS(1961),
    [anon_sym_get] = ACTIONS(1961),
    [anon_sym_set] = ACTIONS(1961),
    [anon_sym_declare] = ACTIONS(1961),
    [anon_sym_public] = ACTIONS(1961),
    [anon_sym_private] = ACTIONS(1961),
    [anon_sym_protected] = ACTIONS(1961),
    [anon_sym_override] = ACTIONS(1961),
    [anon_sym_module] = ACTIONS(1961),
    [anon_sym_any] = ACTIONS(1961),
    [anon_sym_number] = ACTIONS(1961),
    [anon_sym_boolean] = ACTIONS(1961),
    [anon_sym_string] = ACTIONS(1961),
    [anon_sym_symbol] = ACTIONS(1961),
    [anon_sym_property] = ACTIONS(1961),
    [anon_sym_signal] = ACTIONS(1961),
    [anon_sym_on] = ACTIONS(1961),
    [anon_sym_required] = ACTIONS(1961),
    [anon_sym_component] = ACTIONS(1961),
  },
  [306] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1644),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1690),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [307] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1246),
    [sym_expression] = STATE(2414),
    [sym_primary_expression] = STATE(1791),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1246),
    [sym_subscript_expression] = STATE(1246),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1246),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1961),
    [anon_sym_type] = ACTIONS(1961),
    [anon_sym_namespace] = ACTIONS(1963),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1961),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1965),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1915),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1961),
    [anon_sym_readonly] = ACTIONS(1961),
    [anon_sym_get] = ACTIONS(1961),
    [anon_sym_set] = ACTIONS(1961),
    [anon_sym_declare] = ACTIONS(1961),
    [anon_sym_public] = ACTIONS(1961),
    [anon_sym_private] = ACTIONS(1961),
    [anon_sym_protected] = ACTIONS(1961),
    [anon_sym_override] = ACTIONS(1961),
    [anon_sym_module] = ACTIONS(1961),
    [anon_sym_any] = ACTIONS(1961),
    [anon_sym_number] = ACTIONS(1961),
    [anon_sym_boolean] = ACTIONS(1961),
    [anon_sym_string] = ACTIONS(1961),
    [anon_sym_symbol] = ACTIONS(1961),
    [anon_sym_property] = ACTIONS(1961),
    [anon_sym_signal] = ACTIONS(1961),
    [anon_sym_on] = ACTIONS(1961),
    [anon_sym_required] = ACTIONS(1961),
    [anon_sym_component] = ACTIONS(1961),
  },
  [308] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1949),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4609),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [309] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2025),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4958),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [310] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2022),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4960),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [311] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2411),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [312] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1644),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1911),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [313] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1246),
    [sym_expression] = STATE(2414),
    [sym_primary_expression] = STATE(1791),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1246),
    [sym_subscript_expression] = STATE(1246),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1246),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1903),
    [anon_sym_export] = ACTIONS(1905),
    [anon_sym_type] = ACTIONS(1905),
    [anon_sym_namespace] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1905),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1905),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1911),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1915),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1905),
    [anon_sym_readonly] = ACTIONS(1905),
    [anon_sym_get] = ACTIONS(1905),
    [anon_sym_set] = ACTIONS(1905),
    [anon_sym_declare] = ACTIONS(1905),
    [anon_sym_public] = ACTIONS(1905),
    [anon_sym_private] = ACTIONS(1905),
    [anon_sym_protected] = ACTIONS(1905),
    [anon_sym_override] = ACTIONS(1905),
    [anon_sym_module] = ACTIONS(1905),
    [anon_sym_any] = ACTIONS(1905),
    [anon_sym_number] = ACTIONS(1905),
    [anon_sym_boolean] = ACTIONS(1905),
    [anon_sym_string] = ACTIONS(1905),
    [anon_sym_symbol] = ACTIONS(1905),
    [anon_sym_property] = ACTIONS(1905),
    [anon_sym_signal] = ACTIONS(1905),
    [anon_sym_on] = ACTIONS(1905),
    [anon_sym_required] = ACTIONS(1905),
    [anon_sym_component] = ACTIONS(1905),
  },
  [314] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1655),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1913),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [315] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1967),
    [anon_sym_export] = ACTIONS(1969),
    [anon_sym_type] = ACTIONS(1969),
    [anon_sym_namespace] = ACTIONS(1971),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1969),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1969),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1973),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_readonly] = ACTIONS(1969),
    [anon_sym_get] = ACTIONS(1969),
    [anon_sym_set] = ACTIONS(1969),
    [anon_sym_declare] = ACTIONS(1969),
    [anon_sym_public] = ACTIONS(1969),
    [anon_sym_private] = ACTIONS(1969),
    [anon_sym_protected] = ACTIONS(1969),
    [anon_sym_override] = ACTIONS(1969),
    [anon_sym_module] = ACTIONS(1969),
    [anon_sym_any] = ACTIONS(1969),
    [anon_sym_number] = ACTIONS(1969),
    [anon_sym_boolean] = ACTIONS(1969),
    [anon_sym_string] = ACTIONS(1969),
    [anon_sym_symbol] = ACTIONS(1969),
    [anon_sym_property] = ACTIONS(1969),
    [anon_sym_signal] = ACTIONS(1969),
    [anon_sym_on] = ACTIONS(1969),
    [anon_sym_required] = ACTIONS(1969),
    [anon_sym_component] = ACTIONS(1969),
  },
  [316] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1671),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1915),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [317] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3770),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4354),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1967),
    [anon_sym_export] = ACTIONS(1969),
    [anon_sym_type] = ACTIONS(1969),
    [anon_sym_namespace] = ACTIONS(1971),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1969),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1969),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1973),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_readonly] = ACTIONS(1969),
    [anon_sym_get] = ACTIONS(1969),
    [anon_sym_set] = ACTIONS(1969),
    [anon_sym_declare] = ACTIONS(1969),
    [anon_sym_public] = ACTIONS(1969),
    [anon_sym_private] = ACTIONS(1969),
    [anon_sym_protected] = ACTIONS(1969),
    [anon_sym_override] = ACTIONS(1969),
    [anon_sym_module] = ACTIONS(1969),
    [anon_sym_any] = ACTIONS(1969),
    [anon_sym_number] = ACTIONS(1969),
    [anon_sym_boolean] = ACTIONS(1969),
    [anon_sym_string] = ACTIONS(1969),
    [anon_sym_symbol] = ACTIONS(1969),
    [anon_sym_property] = ACTIONS(1969),
    [anon_sym_signal] = ACTIONS(1969),
    [anon_sym_on] = ACTIONS(1969),
    [anon_sym_required] = ACTIONS(1969),
    [anon_sym_component] = ACTIONS(1969),
  },
  [318] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1944),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [319] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1702),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(3952),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [320] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1646),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2205),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [321] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2057),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4911),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [322] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1644),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2204),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [323] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1707),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2311),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [324] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1655),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2203),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [325] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [326] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1671),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2201),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [327] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2198),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [328] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2212),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [329] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1671),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2207),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [330] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1655),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2269),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [331] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1707),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2015),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [332] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1644),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2197),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [333] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1646),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2017),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [334] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1707),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2245),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [335] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1646),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2251),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [336] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [337] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1977),
    [anon_sym_export] = ACTIONS(1979),
    [anon_sym_type] = ACTIONS(1979),
    [anon_sym_namespace] = ACTIONS(1981),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1979),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1979),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1983),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1979),
    [anon_sym_readonly] = ACTIONS(1979),
    [anon_sym_get] = ACTIONS(1979),
    [anon_sym_set] = ACTIONS(1979),
    [anon_sym_declare] = ACTIONS(1979),
    [anon_sym_public] = ACTIONS(1979),
    [anon_sym_private] = ACTIONS(1979),
    [anon_sym_protected] = ACTIONS(1979),
    [anon_sym_override] = ACTIONS(1979),
    [anon_sym_module] = ACTIONS(1979),
    [anon_sym_any] = ACTIONS(1979),
    [anon_sym_number] = ACTIONS(1979),
    [anon_sym_boolean] = ACTIONS(1979),
    [anon_sym_string] = ACTIONS(1979),
    [anon_sym_symbol] = ACTIONS(1979),
    [anon_sym_property] = ACTIONS(1979),
    [anon_sym_signal] = ACTIONS(1979),
    [anon_sym_on] = ACTIONS(1979),
    [anon_sym_required] = ACTIONS(1979),
    [anon_sym_component] = ACTIONS(1979),
  },
  [338] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1646),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2353),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [339] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2134),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4849),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [340] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2102),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4850),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [341] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2094),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4744),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [342] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2091),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4852),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [343] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3770),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4354),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1977),
    [anon_sym_export] = ACTIONS(1979),
    [anon_sym_type] = ACTIONS(1979),
    [anon_sym_namespace] = ACTIONS(1981),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1979),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1979),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1983),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1979),
    [anon_sym_readonly] = ACTIONS(1979),
    [anon_sym_get] = ACTIONS(1979),
    [anon_sym_set] = ACTIONS(1979),
    [anon_sym_declare] = ACTIONS(1979),
    [anon_sym_public] = ACTIONS(1979),
    [anon_sym_private] = ACTIONS(1979),
    [anon_sym_protected] = ACTIONS(1979),
    [anon_sym_override] = ACTIONS(1979),
    [anon_sym_module] = ACTIONS(1979),
    [anon_sym_any] = ACTIONS(1979),
    [anon_sym_number] = ACTIONS(1979),
    [anon_sym_boolean] = ACTIONS(1979),
    [anon_sym_string] = ACTIONS(1979),
    [anon_sym_symbol] = ACTIONS(1979),
    [anon_sym_property] = ACTIONS(1979),
    [anon_sym_signal] = ACTIONS(1979),
    [anon_sym_on] = ACTIONS(1979),
    [anon_sym_required] = ACTIONS(1979),
    [anon_sym_component] = ACTIONS(1979),
  },
  [344] = {
    [sym_import] = STATE(1648),
    [sym_statement_block] = STATE(1707),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2388),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [345] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2095),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4688),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [346] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2077),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_sequence_expression] = STATE(4681),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [347] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1475),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3577),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4515),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_export] = ACTIONS(1919),
    [anon_sym_type] = ACTIONS(1919),
    [anon_sym_namespace] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1919),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1919),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1923),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1919),
    [anon_sym_readonly] = ACTIONS(1919),
    [anon_sym_get] = ACTIONS(1919),
    [anon_sym_set] = ACTIONS(1919),
    [anon_sym_declare] = ACTIONS(1919),
    [anon_sym_public] = ACTIONS(1919),
    [anon_sym_private] = ACTIONS(1919),
    [anon_sym_protected] = ACTIONS(1919),
    [anon_sym_override] = ACTIONS(1919),
    [anon_sym_module] = ACTIONS(1919),
    [anon_sym_any] = ACTIONS(1919),
    [anon_sym_number] = ACTIONS(1919),
    [anon_sym_boolean] = ACTIONS(1919),
    [anon_sym_string] = ACTIONS(1919),
    [anon_sym_symbol] = ACTIONS(1919),
    [anon_sym_property] = ACTIONS(1919),
    [anon_sym_signal] = ACTIONS(1919),
    [anon_sym_on] = ACTIONS(1919),
    [anon_sym_required] = ACTIONS(1919),
    [anon_sym_component] = ACTIONS(1919),
  },
  [348] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1859),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_sequence_expression] = STATE(4613),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [349] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2085),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1746),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [350] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2048),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1835),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [351] = {
    [sym_import] = STATE(2086),
    [sym_statement_block] = STATE(2100),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1839),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [352] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1757),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(1985),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [353] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1694),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [354] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1633),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [355] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1784),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [356] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [357] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1775),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [358] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1641),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [359] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2285),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [360] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1753),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [361] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2171),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(1985),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [362] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2361),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [363] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1771),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [364] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1647),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [365] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1733),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(1987),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [366] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2387),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [367] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1796),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [368] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [369] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1803),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [370] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1739),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [371] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1806),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [372] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1808),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [373] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1810),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [374] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1811),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [375] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1815),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [376] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1819),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [377] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1754),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [378] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2239),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [379] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2327),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [380] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1805),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [381] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2260),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [382] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1841),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [383] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1787),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [384] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1823),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [385] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1651),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [386] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2315),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [387] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1751),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [388] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2118),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [389] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2202),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [390] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1827),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [391] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2352),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [392] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2310),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(1987),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [393] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2249),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [394] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2256),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [395] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2253),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [396] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1652),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [397] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2010),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [398] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2268),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [399] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2247),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [400] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2342),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [401] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2050),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [402] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2310),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [403] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2124),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [404] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2018),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [405] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2242),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [406] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2262),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [407] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2287),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [408] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1846),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [409] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2228),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [410] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2226),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [411] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2225),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [412] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2224),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [413] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2292),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [414] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1628),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [415] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2019),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [416] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2219),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [417] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2255),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [418] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1868),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [419] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2016),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [420] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2217),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [421] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2313),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [422] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2350),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [423] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2216),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [424] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2317),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [425] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2354),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [426] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2007),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [427] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2208),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [428] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1792),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [429] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2213),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [430] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2275),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [431] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2277),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [432] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2209),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [433] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2206),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [434] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [435] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1714),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [436] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2003),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [437] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2200),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [438] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2289),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [439] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1987),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [440] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2283),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [441] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2290),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [442] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2389),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [443] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1986),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [444] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1992),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [445] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1980),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [446] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2293),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [447] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2294),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [448] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2298),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [449] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2301),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [450] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1823),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3625),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3625),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1284),
    [sym_subscript_expression] = STATE(1284),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3625),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1284),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1011),
    [anon_sym_type] = ACTIONS(1011),
    [anon_sym_namespace] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(1011),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1991),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1011),
    [anon_sym_readonly] = ACTIONS(1011),
    [anon_sym_get] = ACTIONS(1011),
    [anon_sym_set] = ACTIONS(1011),
    [anon_sym_declare] = ACTIONS(1011),
    [anon_sym_public] = ACTIONS(1011),
    [anon_sym_private] = ACTIONS(1011),
    [anon_sym_protected] = ACTIONS(1011),
    [anon_sym_override] = ACTIONS(1011),
    [anon_sym_module] = ACTIONS(1011),
    [anon_sym_any] = ACTIONS(1011),
    [anon_sym_number] = ACTIONS(1011),
    [anon_sym_boolean] = ACTIONS(1011),
    [anon_sym_string] = ACTIONS(1011),
    [anon_sym_symbol] = ACTIONS(1011),
    [anon_sym_property] = ACTIONS(1011),
    [anon_sym_signal] = ACTIONS(1011),
    [anon_sym_on] = ACTIONS(1011),
    [anon_sym_required] = ACTIONS(1011),
    [anon_sym_component] = ACTIONS(1011),
  },
  [451] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1656),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [452] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2303),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [453] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2306),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [454] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2309),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [455] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2264),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [456] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2319),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [457] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2320),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [458] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1869),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [459] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1661),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [460] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1969),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [461] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1970),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [462] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2000),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [463] = {
    [sym__call_signature] = STATE(4764),
    [sym_string] = STATE(3497),
    [sym_formal_parameters] = STATE(3380),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(1993),
    [anon_sym_export] = ACTIONS(1995),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(1995),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1995),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2004),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1995),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2014),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(2018),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(1995),
    [anon_sym_readonly] = ACTIONS(1995),
    [anon_sym_get] = ACTIONS(2022),
    [anon_sym_set] = ACTIONS(2022),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(1995),
    [anon_sym_public] = ACTIONS(1995),
    [anon_sym_private] = ACTIONS(1995),
    [anon_sym_protected] = ACTIONS(1995),
    [anon_sym_override] = ACTIONS(1995),
    [anon_sym_module] = ACTIONS(1995),
    [anon_sym_any] = ACTIONS(1995),
    [anon_sym_number] = ACTIONS(1995),
    [anon_sym_boolean] = ACTIONS(1995),
    [anon_sym_string] = ACTIONS(1995),
    [anon_sym_symbol] = ACTIONS(1995),
    [anon_sym_property] = ACTIONS(1995),
    [anon_sym_signal] = ACTIONS(1995),
    [anon_sym_on] = ACTIONS(1995),
    [anon_sym_required] = ACTIONS(1995),
    [anon_sym_component] = ACTIONS(1995),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [464] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1666),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [465] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2321),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [466] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1761),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [467] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2325),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [468] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [469] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2234),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [470] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2344),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [471] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2230),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [472] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1955),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [473] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2341),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [474] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2376),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(1987),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [475] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2092),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [476] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2391),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [477] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1757),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [478] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2396),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [479] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1667),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [480] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2062),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [481] = {
    [sym__call_signature] = STATE(4764),
    [sym_string] = STATE(3497),
    [sym_formal_parameters] = STATE(3380),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(1993),
    [anon_sym_export] = ACTIONS(1995),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(1995),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1995),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2026),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2004),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1995),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2014),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(2018),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(1995),
    [anon_sym_readonly] = ACTIONS(1995),
    [anon_sym_get] = ACTIONS(2022),
    [anon_sym_set] = ACTIONS(2022),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(1995),
    [anon_sym_public] = ACTIONS(1995),
    [anon_sym_private] = ACTIONS(1995),
    [anon_sym_protected] = ACTIONS(1995),
    [anon_sym_override] = ACTIONS(1995),
    [anon_sym_module] = ACTIONS(1995),
    [anon_sym_any] = ACTIONS(1995),
    [anon_sym_number] = ACTIONS(1995),
    [anon_sym_boolean] = ACTIONS(1995),
    [anon_sym_string] = ACTIONS(1995),
    [anon_sym_symbol] = ACTIONS(1995),
    [anon_sym_property] = ACTIONS(1995),
    [anon_sym_signal] = ACTIONS(1995),
    [anon_sym_on] = ACTIONS(1995),
    [anon_sym_required] = ACTIONS(1995),
    [anon_sym_component] = ACTIONS(1995),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [482] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2339),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [483] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2031),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [484] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2078),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [485] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2265),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [486] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2084),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [487] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1812),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [488] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2087),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [489] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2089),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [490] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2337),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [491] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1950),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [492] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [493] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2335),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [494] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1837),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [495] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2399),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [496] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2400),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [497] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2214),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [498] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1947),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [499] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2334),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [500] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1946),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [501] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2330),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [502] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1917),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [503] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2346),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [504] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1733),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(2028),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [505] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2221),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [506] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(3268),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(3268),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1227),
    [sym_subscript_expression] = STATE(1227),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(3268),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1227),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(2030),
    [anon_sym_export] = ACTIONS(981),
    [anon_sym_type] = ACTIONS(981),
    [anon_sym_namespace] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(981),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(981),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(2032),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(981),
    [anon_sym_readonly] = ACTIONS(981),
    [anon_sym_get] = ACTIONS(981),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_declare] = ACTIONS(981),
    [anon_sym_public] = ACTIONS(981),
    [anon_sym_private] = ACTIONS(981),
    [anon_sym_protected] = ACTIONS(981),
    [anon_sym_override] = ACTIONS(981),
    [anon_sym_module] = ACTIONS(981),
    [anon_sym_any] = ACTIONS(981),
    [anon_sym_number] = ACTIONS(981),
    [anon_sym_boolean] = ACTIONS(981),
    [anon_sym_string] = ACTIONS(981),
    [anon_sym_symbol] = ACTIONS(981),
    [anon_sym_property] = ACTIONS(981),
    [anon_sym_signal] = ACTIONS(981),
    [anon_sym_on] = ACTIONS(981),
    [anon_sym_required] = ACTIONS(981),
    [anon_sym_component] = ACTIONS(981),
  },
  [507] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2162),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [508] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [509] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1668),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [510] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2403),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [511] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2405),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [512] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2161),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [513] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2326),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [514] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2406),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [515] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2409),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [516] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2322),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [517] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2192),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [518] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2316),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [519] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1733),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [520] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1670),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [521] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2159),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [522] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1822),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [523] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2090),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [524] = {
    [sym__call_signature] = STATE(4764),
    [sym_string] = STATE(3497),
    [sym_formal_parameters] = STATE(3380),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(1993),
    [anon_sym_export] = ACTIONS(1995),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(1995),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1995),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2004),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1995),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2014),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(2018),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(1995),
    [anon_sym_readonly] = ACTIONS(1995),
    [anon_sym_get] = ACTIONS(2022),
    [anon_sym_set] = ACTIONS(2022),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(1995),
    [anon_sym_public] = ACTIONS(1995),
    [anon_sym_private] = ACTIONS(1995),
    [anon_sym_protected] = ACTIONS(1995),
    [anon_sym_override] = ACTIONS(1995),
    [anon_sym_module] = ACTIONS(1995),
    [anon_sym_any] = ACTIONS(1995),
    [anon_sym_number] = ACTIONS(1995),
    [anon_sym_boolean] = ACTIONS(1995),
    [anon_sym_string] = ACTIONS(1995),
    [anon_sym_symbol] = ACTIONS(1995),
    [anon_sym_property] = ACTIONS(1995),
    [anon_sym_signal] = ACTIONS(1995),
    [anon_sym_on] = ACTIONS(1995),
    [anon_sym_required] = ACTIONS(1995),
    [anon_sym_component] = ACTIONS(1995),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [525] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2410),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [526] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1763),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [527] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1871),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [528] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2333),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [529] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2156),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [530] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1673),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [531] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [532] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2412),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [533] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2133),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [534] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [535] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2132),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [536] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2195),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [537] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2376),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(2028),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [538] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2222),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [539] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1674),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [540] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2119),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [541] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1809),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [542] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2304),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [543] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1759),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [544] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1733),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(2036),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [545] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1740),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [546] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1801),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [547] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1999),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [548] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1755),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [549] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1967),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [550] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1752),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [551] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1677),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [552] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1743),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [553] = {
    [sym__call_signature] = STATE(4764),
    [sym_string] = STATE(3497),
    [sym_formal_parameters] = STATE(3380),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_object_repeat1] = STATE(4103),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(1993),
    [anon_sym_export] = ACTIONS(1995),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(1995),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1995),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2038),
    [anon_sym_from] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2004),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1995),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2014),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(2018),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(1995),
    [anon_sym_readonly] = ACTIONS(1995),
    [anon_sym_get] = ACTIONS(2022),
    [anon_sym_set] = ACTIONS(2022),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(1995),
    [anon_sym_public] = ACTIONS(1995),
    [anon_sym_private] = ACTIONS(1995),
    [anon_sym_protected] = ACTIONS(1995),
    [anon_sym_override] = ACTIONS(1995),
    [anon_sym_module] = ACTIONS(1995),
    [anon_sym_any] = ACTIONS(1995),
    [anon_sym_number] = ACTIONS(1995),
    [anon_sym_boolean] = ACTIONS(1995),
    [anon_sym_string] = ACTIONS(1995),
    [anon_sym_symbol] = ACTIONS(1995),
    [anon_sym_property] = ACTIONS(1995),
    [anon_sym_signal] = ACTIONS(1995),
    [anon_sym_on] = ACTIONS(1995),
    [anon_sym_required] = ACTIONS(1995),
    [anon_sym_component] = ACTIONS(1995),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [554] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2376),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(2036),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [555] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1747),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [556] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1843),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [557] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1764),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(1985),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [558] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1764),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [559] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1766),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [560] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2171),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [561] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1741),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [562] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1908),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [563] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1745),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [564] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2080),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [565] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1680),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [566] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2296),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [567] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1820),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [568] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1749),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [569] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2376),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [570] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_expression] = STATE(1807),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4891),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4891),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4892),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1288),
    [sym_subscript_expression] = STATE(1288),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2859),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4891),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1288),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(522),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(939),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(165),
    [anon_sym_of] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_delete] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_readonly] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [anon_sym_declare] = ACTIONS(939),
    [anon_sym_public] = ACTIONS(939),
    [anon_sym_private] = ACTIONS(939),
    [anon_sym_protected] = ACTIONS(939),
    [anon_sym_override] = ACTIONS(939),
    [anon_sym_module] = ACTIONS(939),
    [anon_sym_any] = ACTIONS(939),
    [anon_sym_number] = ACTIONS(939),
    [anon_sym_boolean] = ACTIONS(939),
    [anon_sym_string] = ACTIONS(939),
    [anon_sym_symbol] = ACTIONS(939),
    [anon_sym_property] = ACTIONS(939),
    [anon_sym_signal] = ACTIONS(939),
    [anon_sym_on] = ACTIONS(939),
    [anon_sym_required] = ACTIONS(939),
    [anon_sym_component] = ACTIONS(939),
  },
  [571] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1626),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [572] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2105),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [573] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1758),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [574] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2250),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [575] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2190),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [576] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2398),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4969),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4969),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4970),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2849),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4969),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1163),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(422),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1291),
    [anon_sym_export] = ACTIONS(1061),
    [anon_sym_type] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(80),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(76),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_of] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1067),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_TILDE] = ACTIONS(76),
    [anon_sym_void] = ACTIONS(80),
    [anon_sym_delete] = ACTIONS(80),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_readonly] = ACTIONS(1061),
    [anon_sym_get] = ACTIONS(1061),
    [anon_sym_set] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_override] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_any] = ACTIONS(1061),
    [anon_sym_number] = ACTIONS(1061),
    [anon_sym_boolean] = ACTIONS(1061),
    [anon_sym_string] = ACTIONS(1061),
    [anon_sym_symbol] = ACTIONS(1061),
    [anon_sym_property] = ACTIONS(1061),
    [anon_sym_signal] = ACTIONS(1061),
    [anon_sym_on] = ACTIONS(1061),
    [anon_sym_required] = ACTIONS(1061),
    [anon_sym_component] = ACTIONS(1061),
  },
  [577] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(1733),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4868),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4868),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4865),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2838),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4868),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1255),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(414),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(651),
    [anon_sym_of] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(653),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_void] = ACTIONS(675),
    [anon_sym_delete] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(2040),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_property] = ACTIONS(839),
    [anon_sym_signal] = ACTIONS(839),
    [anon_sym_on] = ACTIONS(839),
    [anon_sym_required] = ACTIONS(839),
    [anon_sym_component] = ACTIONS(839),
  },
  [578] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1760),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [579] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1772),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [580] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1770),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [581] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_expression] = STATE(2127),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4817),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4817),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4815),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2848),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4817),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1332),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(575),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1089),
    [anon_sym_of] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(193),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1095),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_void] = ACTIONS(1103),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_property] = ACTIONS(1079),
    [anon_sym_signal] = ACTIONS(1079),
    [anon_sym_on] = ACTIONS(1079),
    [anon_sym_required] = ACTIONS(1079),
    [anon_sym_component] = ACTIONS(1079),
  },
  [582] = {
    [sym_import] = STATE(2086),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_expression] = STATE(1776),
    [sym_primary_expression] = STATE(2060),
    [sym_yield_expression] = STATE(2058),
    [sym_object] = STATE(2086),
    [sym_object_pattern] = STATE(4882),
    [sym_array] = STATE(2086),
    [sym_array_pattern] = STATE(4882),
    [sym_class] = STATE(2086),
    [sym_function] = STATE(2086),
    [sym_generator_function] = STATE(2086),
    [sym_arrow_function] = STATE(2086),
    [sym__call_signature] = STATE(4883),
    [sym_call_expression] = STATE(2086),
    [sym_new_expression] = STATE(2058),
    [sym_await_expression] = STATE(2058),
    [sym_member_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(2058),
    [sym__augmented_assignment_lhs] = STATE(2818),
    [sym_augmented_assignment_expression] = STATE(2058),
    [sym__destructuring_pattern] = STATE(4882),
    [sym_ternary_expression] = STATE(2058),
    [sym_binary_expression] = STATE(2058),
    [sym_unary_expression] = STATE(2058),
    [sym_update_expression] = STATE(2058),
    [sym_string] = STATE(2086),
    [sym_template_string] = STATE(2086),
    [sym_regex] = STATE(2086),
    [sym_meta_property] = STATE(2086),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1304),
    [sym_type_assertion] = STATE(2058),
    [sym_as_expression] = STATE(2058),
    [sym_internal_module] = STATE(2058),
    [sym_type_arguments] = STATE(387),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3874),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1027),
    [anon_sym_type] = ACTIONS(1027),
    [anon_sym_namespace] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(947),
    [anon_sym_from] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_await] = ACTIONS(1035),
    [anon_sym_of] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_async] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_void] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [sym_number] = ACTIONS(345),
    [sym_this] = ACTIONS(217),
    [sym_super] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1027),
    [anon_sym_readonly] = ACTIONS(1027),
    [anon_sym_get] = ACTIONS(1027),
    [anon_sym_set] = ACTIONS(1027),
    [anon_sym_declare] = ACTIONS(1027),
    [anon_sym_public] = ACTIONS(1027),
    [anon_sym_private] = ACTIONS(1027),
    [anon_sym_protected] = ACTIONS(1027),
    [anon_sym_override] = ACTIONS(1027),
    [anon_sym_module] = ACTIONS(1027),
    [anon_sym_any] = ACTIONS(1027),
    [anon_sym_number] = ACTIONS(1027),
    [anon_sym_boolean] = ACTIONS(1027),
    [anon_sym_string] = ACTIONS(1027),
    [anon_sym_symbol] = ACTIONS(1027),
    [anon_sym_property] = ACTIONS(1027),
    [anon_sym_signal] = ACTIONS(1027),
    [anon_sym_on] = ACTIONS(1027),
    [anon_sym_required] = ACTIONS(1027),
    [anon_sym_component] = ACTIONS(1027),
  },
  [583] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1341),
    [sym_expression] = STATE(2238),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4644),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4644),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4725),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1341),
    [sym_subscript_expression] = STATE(1341),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2819),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4644),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1341),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(467),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1269),
    [anon_sym_export] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_typeof] = ACTIONS(927),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_of] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_void] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_readonly] = ACTIONS(905),
    [anon_sym_get] = ACTIONS(905),
    [anon_sym_set] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_override] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_any] = ACTIONS(905),
    [anon_sym_number] = ACTIONS(905),
    [anon_sym_boolean] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_symbol] = ACTIONS(905),
    [anon_sym_property] = ACTIONS(905),
    [anon_sym_signal] = ACTIONS(905),
    [anon_sym_on] = ACTIONS(905),
    [anon_sym_required] = ACTIONS(905),
    [anon_sym_component] = ACTIONS(905),
  },
  [584] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1910),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [585] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2297),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [586] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1872),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(1987),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [587] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1343),
    [sym_expression] = STATE(2297),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4727),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4727),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4650),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1343),
    [sym_subscript_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2822),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4727),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1343),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(407),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1179),
    [anon_sym_of] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1183),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(1987),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [anon_sym_declare] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_override] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_property] = ACTIONS(1169),
    [anon_sym_signal] = ACTIONS(1169),
    [anon_sym_on] = ACTIONS(1169),
    [anon_sym_required] = ACTIONS(1169),
    [anon_sym_component] = ACTIONS(1169),
  },
  [588] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(1987),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [589] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(1872),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4921),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4921),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4919),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2850),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4921),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1317),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(404),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1123),
    [anon_sym_type] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_of] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_void] = ACTIONS(1149),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1123),
    [anon_sym_set] = ACTIONS(1123),
    [anon_sym_declare] = ACTIONS(1123),
    [anon_sym_public] = ACTIONS(1123),
    [anon_sym_private] = ACTIONS(1123),
    [anon_sym_protected] = ACTIONS(1123),
    [anon_sym_override] = ACTIONS(1123),
    [anon_sym_module] = ACTIONS(1123),
    [anon_sym_any] = ACTIONS(1123),
    [anon_sym_number] = ACTIONS(1123),
    [anon_sym_boolean] = ACTIONS(1123),
    [anon_sym_string] = ACTIONS(1123),
    [anon_sym_symbol] = ACTIONS(1123),
    [anon_sym_property] = ACTIONS(1123),
    [anon_sym_signal] = ACTIONS(1123),
    [anon_sym_on] = ACTIONS(1123),
    [anon_sym_required] = ACTIONS(1123),
    [anon_sym_component] = ACTIONS(1123),
  },
  [590] = {
    [sym_import] = STATE(1648),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2194),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1639),
    [sym_object] = STATE(1648),
    [sym_object_pattern] = STATE(4845),
    [sym_array] = STATE(1648),
    [sym_array_pattern] = STATE(4845),
    [sym_class] = STATE(1648),
    [sym_function] = STATE(1648),
    [sym_generator_function] = STATE(1648),
    [sym_arrow_function] = STATE(1648),
    [sym__call_signature] = STATE(4838),
    [sym_call_expression] = STATE(1648),
    [sym_new_expression] = STATE(1639),
    [sym_await_expression] = STATE(1639),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1639),
    [sym__augmented_assignment_lhs] = STATE(2857),
    [sym_augmented_assignment_expression] = STATE(1639),
    [sym__destructuring_pattern] = STATE(4845),
    [sym_ternary_expression] = STATE(1639),
    [sym_binary_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1639),
    [sym_update_expression] = STATE(1639),
    [sym_string] = STATE(1648),
    [sym_template_string] = STATE(1648),
    [sym_regex] = STATE(1648),
    [sym_meta_property] = STATE(1648),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3380),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1639),
    [sym_as_expression] = STATE(1639),
    [sym_internal_module] = STATE(1639),
    [sym_type_arguments] = STATE(394),
    [sym_type_parameters] = STATE(4355),
    [aux_sym_export_statement_repeat1] = STATE(3914),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(859),
    [anon_sym_namespace] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_typeof] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(36),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(869),
    [anon_sym_of] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(54),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_void] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_number] = ACTIONS(727),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(859),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(859),
    [anon_sym_set] = ACTIONS(859),
    [anon_sym_declare] = ACTIONS(859),
    [anon_sym_public] = ACTIONS(859),
    [anon_sym_private] = ACTIONS(859),
    [anon_sym_protected] = ACTIONS(859),
    [anon_sym_override] = ACTIONS(859),
    [anon_sym_module] = ACTIONS(859),
    [anon_sym_any] = ACTIONS(859),
    [anon_sym_number] = ACTIONS(859),
    [anon_sym_boolean] = ACTIONS(859),
    [anon_sym_string] = ACTIONS(859),
    [anon_sym_symbol] = ACTIONS(859),
    [anon_sym_property] = ACTIONS(859),
    [anon_sym_signal] = ACTIONS(859),
    [anon_sym_on] = ACTIONS(859),
    [anon_sym_required] = ACTIONS(859),
    [anon_sym_component] = ACTIONS(859),
  },
  [591] = {
    [sym_export_clause] = STATE(3976),
    [sym_declaration] = STATE(811),
    [sym_namespace_import_export] = STATE(4553),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [anon_sym_STAR] = ACTIONS(2042),
    [anon_sym_default] = ACTIONS(2044),
    [anon_sym_type] = ACTIONS(2046),
    [anon_sym_EQ] = ACTIONS(2048),
    [anon_sym_as] = ACTIONS(2050),
    [anon_sym_namespace] = ACTIONS(2052),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_function] = ACTIONS(2074),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2076),
    [anon_sym_module] = ACTIONS(2078),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [592] = {
    [sym_export_clause] = STATE(3976),
    [sym_declaration] = STATE(811),
    [sym_namespace_import_export] = STATE(4553),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [anon_sym_STAR] = ACTIONS(2042),
    [anon_sym_default] = ACTIONS(2044),
    [anon_sym_type] = ACTIONS(2046),
    [anon_sym_EQ] = ACTIONS(2048),
    [anon_sym_as] = ACTIONS(2050),
    [anon_sym_namespace] = ACTIONS(2052),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2026),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_function] = ACTIONS(2074),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2076),
    [anon_sym_module] = ACTIONS(2078),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [593] = {
    [sym_export_clause] = STATE(3976),
    [sym_declaration] = STATE(811),
    [sym_namespace_import_export] = STATE(4553),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [anon_sym_STAR] = ACTIONS(2042),
    [anon_sym_default] = ACTIONS(2044),
    [anon_sym_type] = ACTIONS(2046),
    [anon_sym_EQ] = ACTIONS(2048),
    [anon_sym_as] = ACTIONS(2050),
    [anon_sym_namespace] = ACTIONS(2052),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_function] = ACTIONS(2074),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2076),
    [anon_sym_module] = ACTIONS(2078),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [594] = {
    [sym_export_clause] = STATE(3976),
    [sym_declaration] = STATE(811),
    [sym_namespace_import_export] = STATE(4553),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [aux_sym_object_repeat1] = STATE(4103),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [anon_sym_STAR] = ACTIONS(2042),
    [anon_sym_default] = ACTIONS(2044),
    [anon_sym_type] = ACTIONS(2046),
    [anon_sym_EQ] = ACTIONS(2048),
    [anon_sym_as] = ACTIONS(2050),
    [anon_sym_namespace] = ACTIONS(2052),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2038),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_function] = ACTIONS(2074),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2076),
    [anon_sym_module] = ACTIONS(2078),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [595] = {
    [sym_string] = STATE(3497),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [sym_override_modifier] = STATE(2473),
    [aux_sym_object_repeat1] = STATE(4103),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(2086),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2038),
    [anon_sym_from] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2090),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2094),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_any] = ACTIONS(2086),
    [anon_sym_number] = ACTIONS(2086),
    [anon_sym_boolean] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_symbol] = ACTIONS(2086),
    [anon_sym_property] = ACTIONS(2086),
    [anon_sym_signal] = ACTIONS(2086),
    [anon_sym_on] = ACTIONS(2086),
    [anon_sym_required] = ACTIONS(2086),
    [anon_sym_component] = ACTIONS(2086),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [596] = {
    [sym_string] = STATE(3497),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [sym_override_modifier] = STATE(2473),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(2086),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2026),
    [anon_sym_from] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2090),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2094),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_any] = ACTIONS(2086),
    [anon_sym_number] = ACTIONS(2086),
    [anon_sym_boolean] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_symbol] = ACTIONS(2086),
    [anon_sym_property] = ACTIONS(2086),
    [anon_sym_signal] = ACTIONS(2086),
    [anon_sym_on] = ACTIONS(2086),
    [anon_sym_required] = ACTIONS(2086),
    [anon_sym_component] = ACTIONS(2086),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [597] = {
    [sym_string] = STATE(3497),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [sym_override_modifier] = STATE(2473),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(2086),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [anon_sym_from] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2090),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2094),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_any] = ACTIONS(2086),
    [anon_sym_number] = ACTIONS(2086),
    [anon_sym_boolean] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_symbol] = ACTIONS(2086),
    [anon_sym_property] = ACTIONS(2086),
    [anon_sym_signal] = ACTIONS(2086),
    [anon_sym_on] = ACTIONS(2086),
    [anon_sym_required] = ACTIONS(2086),
    [anon_sym_component] = ACTIONS(2086),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [598] = {
    [sym_string] = STATE(3497),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [sym_override_modifier] = STATE(2473),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(2086),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_from] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2090),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2094),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_any] = ACTIONS(2086),
    [anon_sym_number] = ACTIONS(2086),
    [anon_sym_boolean] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_symbol] = ACTIONS(2086),
    [anon_sym_property] = ACTIONS(2086),
    [anon_sym_signal] = ACTIONS(2086),
    [anon_sym_on] = ACTIONS(2086),
    [anon_sym_required] = ACTIONS(2086),
    [anon_sym_component] = ACTIONS(2086),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [599] = {
    [sym_string] = STATE(3497),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2086),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2026),
    [anon_sym_from] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(2086),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2086),
    [anon_sym_get] = ACTIONS(2086),
    [anon_sym_set] = ACTIONS(2086),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2086),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_any] = ACTIONS(2086),
    [anon_sym_number] = ACTIONS(2086),
    [anon_sym_boolean] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_symbol] = ACTIONS(2086),
    [anon_sym_property] = ACTIONS(2086),
    [anon_sym_signal] = ACTIONS(2086),
    [anon_sym_on] = ACTIONS(2086),
    [anon_sym_required] = ACTIONS(2086),
    [anon_sym_component] = ACTIONS(2086),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [600] = {
    [sym_string] = STATE(3497),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(2086),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2026),
    [anon_sym_from] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2086),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2086),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_any] = ACTIONS(2086),
    [anon_sym_number] = ACTIONS(2086),
    [anon_sym_boolean] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_symbol] = ACTIONS(2086),
    [anon_sym_property] = ACTIONS(2086),
    [anon_sym_signal] = ACTIONS(2086),
    [anon_sym_on] = ACTIONS(2086),
    [anon_sym_required] = ACTIONS(2086),
    [anon_sym_component] = ACTIONS(2086),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [601] = {
    [sym_string] = STATE(3497),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [aux_sym_object_repeat1] = STATE(4103),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2086),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2038),
    [anon_sym_from] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(2086),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2086),
    [anon_sym_get] = ACTIONS(2086),
    [anon_sym_set] = ACTIONS(2086),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2086),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_any] = ACTIONS(2086),
    [anon_sym_number] = ACTIONS(2086),
    [anon_sym_boolean] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_symbol] = ACTIONS(2086),
    [anon_sym_property] = ACTIONS(2086),
    [anon_sym_signal] = ACTIONS(2086),
    [anon_sym_on] = ACTIONS(2086),
    [anon_sym_required] = ACTIONS(2086),
    [anon_sym_component] = ACTIONS(2086),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [602] = {
    [sym_string] = STATE(3497),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [aux_sym_object_repeat1] = STATE(4103),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(2086),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2038),
    [anon_sym_from] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2086),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2086),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_any] = ACTIONS(2086),
    [anon_sym_number] = ACTIONS(2086),
    [anon_sym_boolean] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_symbol] = ACTIONS(2086),
    [anon_sym_property] = ACTIONS(2086),
    [anon_sym_signal] = ACTIONS(2086),
    [anon_sym_on] = ACTIONS(2086),
    [anon_sym_required] = ACTIONS(2086),
    [anon_sym_component] = ACTIONS(2086),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [603] = {
    [sym_string] = STATE(3497),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(2086),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [anon_sym_from] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2086),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2086),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_any] = ACTIONS(2086),
    [anon_sym_number] = ACTIONS(2086),
    [anon_sym_boolean] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_symbol] = ACTIONS(2086),
    [anon_sym_property] = ACTIONS(2086),
    [anon_sym_signal] = ACTIONS(2086),
    [anon_sym_on] = ACTIONS(2086),
    [anon_sym_required] = ACTIONS(2086),
    [anon_sym_component] = ACTIONS(2086),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [604] = {
    [sym_string] = STATE(3497),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2086),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [anon_sym_from] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(2086),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2086),
    [anon_sym_get] = ACTIONS(2086),
    [anon_sym_set] = ACTIONS(2086),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2086),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_any] = ACTIONS(2086),
    [anon_sym_number] = ACTIONS(2086),
    [anon_sym_boolean] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_symbol] = ACTIONS(2086),
    [anon_sym_property] = ACTIONS(2086),
    [anon_sym_signal] = ACTIONS(2086),
    [anon_sym_on] = ACTIONS(2086),
    [anon_sym_required] = ACTIONS(2086),
    [anon_sym_component] = ACTIONS(2086),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [605] = {
    [sym_string] = STATE(3497),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2086),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_from] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(2086),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2086),
    [anon_sym_get] = ACTIONS(2086),
    [anon_sym_set] = ACTIONS(2086),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2086),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_any] = ACTIONS(2086),
    [anon_sym_number] = ACTIONS(2086),
    [anon_sym_boolean] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_symbol] = ACTIONS(2086),
    [anon_sym_property] = ACTIONS(2086),
    [anon_sym_signal] = ACTIONS(2086),
    [anon_sym_on] = ACTIONS(2086),
    [anon_sym_required] = ACTIONS(2086),
    [anon_sym_component] = ACTIONS(2086),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [606] = {
    [sym_string] = STATE(3497),
    [sym__property_name] = STATE(3497),
    [sym_computed_property_name] = STATE(3497),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(2086),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_from] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(2020),
    [sym_private_property_identifier] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2086),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2086),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_any] = ACTIONS(2086),
    [anon_sym_number] = ACTIONS(2086),
    [anon_sym_boolean] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_symbol] = ACTIONS(2086),
    [anon_sym_property] = ACTIONS(2086),
    [anon_sym_signal] = ACTIONS(2086),
    [anon_sym_on] = ACTIONS(2086),
    [anon_sym_required] = ACTIONS(2086),
    [anon_sym_component] = ACTIONS(2086),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [607] = {
    [sym_declaration] = STATE(729),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2096),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2052),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_function] = ACTIONS(2074),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2076),
    [anon_sym_module] = ACTIONS(2098),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_global] = ACTIONS(2100),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [608] = {
    [sym_declaration] = STATE(729),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [aux_sym_object_repeat1] = STATE(4103),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2096),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2052),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2038),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_function] = ACTIONS(2074),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2076),
    [anon_sym_module] = ACTIONS(2098),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_global] = ACTIONS(2100),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [609] = {
    [sym_declaration] = STATE(729),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2096),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2052),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2026),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_function] = ACTIONS(2074),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2076),
    [anon_sym_module] = ACTIONS(2098),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_global] = ACTIONS(2100),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [610] = {
    [sym_declaration] = STATE(729),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2096),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2052),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_function] = ACTIONS(2074),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(2076),
    [anon_sym_module] = ACTIONS(2098),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_global] = ACTIONS(2100),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [611] = {
    [sym_export_clause] = STATE(3904),
    [sym_declaration] = STATE(2584),
    [sym_namespace_import_export] = STATE(4470),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_class_declaration] = STATE(2559),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(2559),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(2560),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [aux_sym_export_statement_repeat1] = STATE(3670),
    [anon_sym_STAR] = ACTIONS(2102),
    [anon_sym_default] = ACTIONS(2104),
    [anon_sym_type] = ACTIONS(2106),
    [anon_sym_EQ] = ACTIONS(2108),
    [anon_sym_as] = ACTIONS(2110),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_import] = ACTIONS(2114),
    [anon_sym_var] = ACTIONS(2116),
    [anon_sym_let] = ACTIONS(2118),
    [anon_sym_const] = ACTIONS(2120),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2122),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(26),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2126),
    [anon_sym_function] = ACTIONS(2128),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(2130),
    [anon_sym_module] = ACTIONS(2132),
    [anon_sym_abstract] = ACTIONS(2134),
    [anon_sym_interface] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2138),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [612] = {
    [sym_export_clause] = STATE(3976),
    [sym_declaration] = STATE(811),
    [sym_namespace_import_export] = STATE(4553),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [anon_sym_STAR] = ACTIONS(2042),
    [anon_sym_default] = ACTIONS(2044),
    [anon_sym_type] = ACTIONS(2046),
    [anon_sym_EQ] = ACTIONS(2140),
    [anon_sym_as] = ACTIONS(2050),
    [anon_sym_namespace] = ACTIONS(2052),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(26),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_function] = ACTIONS(2074),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(2076),
    [anon_sym_module] = ACTIONS(2078),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [613] = {
    [sym_identifier] = ACTIONS(1586),
    [anon_sym_export] = ACTIONS(1586),
    [anon_sym_default] = ACTIONS(1586),
    [anon_sym_type] = ACTIONS(1586),
    [anon_sym_EQ] = ACTIONS(1586),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1588),
    [anon_sym_RBRACE] = ACTIONS(1588),
    [anon_sym_typeof] = ACTIONS(1586),
    [anon_sym_import] = ACTIONS(1586),
    [anon_sym_from] = ACTIONS(1586),
    [anon_sym_var] = ACTIONS(1586),
    [anon_sym_let] = ACTIONS(1586),
    [anon_sym_const] = ACTIONS(1586),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_else] = ACTIONS(1586),
    [anon_sym_if] = ACTIONS(1586),
    [anon_sym_switch] = ACTIONS(1586),
    [anon_sym_for] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1588),
    [anon_sym_RPAREN] = ACTIONS(1588),
    [anon_sym_await] = ACTIONS(1586),
    [anon_sym_of] = ACTIONS(1586),
    [anon_sym_while] = ACTIONS(1586),
    [anon_sym_do] = ACTIONS(1586),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_with] = ACTIONS(1586),
    [anon_sym_break] = ACTIONS(1586),
    [anon_sym_continue] = ACTIONS(1586),
    [anon_sym_debugger] = ACTIONS(1586),
    [anon_sym_return] = ACTIONS(1586),
    [anon_sym_throw] = ACTIONS(1586),
    [anon_sym_SEMI] = ACTIONS(1588),
    [anon_sym_COLON] = ACTIONS(1588),
    [anon_sym_case] = ACTIONS(1586),
    [anon_sym_yield] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1588),
    [anon_sym_RBRACK] = ACTIONS(1588),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [anon_sym_SLASH] = ACTIONS(1586),
    [anon_sym_class] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(1586),
    [anon_sym_function] = ACTIONS(1586),
    [anon_sym_EQ_GT] = ACTIONS(1588),
    [anon_sym_new] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1586),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_void] = ACTIONS(1586),
    [anon_sym_delete] = ACTIONS(1586),
    [anon_sym_PLUS_PLUS] = ACTIONS(1588),
    [anon_sym_DASH_DASH] = ACTIONS(1588),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1588),
    [sym_number] = ACTIONS(1588),
    [sym_this] = ACTIONS(1586),
    [sym_super] = ACTIONS(1586),
    [sym_true] = ACTIONS(1586),
    [sym_false] = ACTIONS(1586),
    [sym_null] = ACTIONS(1586),
    [sym_undefined] = ACTIONS(1586),
    [anon_sym_AT] = ACTIONS(1588),
    [anon_sym_static] = ACTIONS(1586),
    [anon_sym_readonly] = ACTIONS(1586),
    [anon_sym_get] = ACTIONS(1586),
    [anon_sym_set] = ACTIONS(1586),
    [anon_sym_QMARK] = ACTIONS(1588),
    [anon_sym_declare] = ACTIONS(1586),
    [anon_sym_public] = ACTIONS(1586),
    [anon_sym_private] = ACTIONS(1586),
    [anon_sym_protected] = ACTIONS(1586),
    [anon_sym_override] = ACTIONS(1586),
    [anon_sym_module] = ACTIONS(1586),
    [anon_sym_any] = ACTIONS(1586),
    [anon_sym_number] = ACTIONS(1586),
    [anon_sym_boolean] = ACTIONS(1586),
    [anon_sym_string] = ACTIONS(1586),
    [anon_sym_symbol] = ACTIONS(1586),
    [anon_sym_property] = ACTIONS(1586),
    [anon_sym_signal] = ACTIONS(1586),
    [anon_sym_on] = ACTIONS(1586),
    [anon_sym_required] = ACTIONS(1586),
    [anon_sym_component] = ACTIONS(1586),
    [anon_sym_abstract] = ACTIONS(1586),
    [anon_sym_extends] = ACTIONS(1586),
    [anon_sym_interface] = ACTIONS(1586),
    [anon_sym_enum] = ACTIONS(1586),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2144),
    [anon_sym_export] = ACTIONS(2144),
    [anon_sym_default] = ACTIONS(2144),
    [anon_sym_type] = ACTIONS(2144),
    [anon_sym_EQ] = ACTIONS(2144),
    [anon_sym_namespace] = ACTIONS(2144),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_COMMA] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(2146),
    [anon_sym_typeof] = ACTIONS(2144),
    [anon_sym_import] = ACTIONS(2144),
    [anon_sym_from] = ACTIONS(2144),
    [anon_sym_var] = ACTIONS(2144),
    [anon_sym_let] = ACTIONS(2144),
    [anon_sym_const] = ACTIONS(2144),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_else] = ACTIONS(2144),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_switch] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_LPAREN] = ACTIONS(2146),
    [anon_sym_RPAREN] = ACTIONS(2146),
    [anon_sym_await] = ACTIONS(2144),
    [anon_sym_of] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_do] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2144),
    [anon_sym_with] = ACTIONS(2144),
    [anon_sym_break] = ACTIONS(2144),
    [anon_sym_continue] = ACTIONS(2144),
    [anon_sym_debugger] = ACTIONS(2144),
    [anon_sym_return] = ACTIONS(2144),
    [anon_sym_throw] = ACTIONS(2144),
    [anon_sym_SEMI] = ACTIONS(2146),
    [anon_sym_COLON] = ACTIONS(2146),
    [anon_sym_case] = ACTIONS(2144),
    [anon_sym_yield] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2146),
    [anon_sym_RBRACK] = ACTIONS(2146),
    [anon_sym_LT] = ACTIONS(2146),
    [anon_sym_GT] = ACTIONS(2146),
    [anon_sym_SLASH] = ACTIONS(2144),
    [anon_sym_class] = ACTIONS(2144),
    [anon_sym_async] = ACTIONS(2144),
    [anon_sym_function] = ACTIONS(2144),
    [anon_sym_EQ_GT] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(2144),
    [anon_sym_AMP] = ACTIONS(2146),
    [anon_sym_PIPE] = ACTIONS(2146),
    [anon_sym_PLUS] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2146),
    [anon_sym_void] = ACTIONS(2144),
    [anon_sym_delete] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2146),
    [anon_sym_DASH_DASH] = ACTIONS(2146),
    [anon_sym_DQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2146),
    [sym_number] = ACTIONS(2146),
    [sym_this] = ACTIONS(2144),
    [sym_super] = ACTIONS(2144),
    [sym_true] = ACTIONS(2144),
    [sym_false] = ACTIONS(2144),
    [sym_null] = ACTIONS(2144),
    [sym_undefined] = ACTIONS(2144),
    [anon_sym_AT] = ACTIONS(2146),
    [anon_sym_static] = ACTIONS(2144),
    [anon_sym_readonly] = ACTIONS(2144),
    [anon_sym_get] = ACTIONS(2144),
    [anon_sym_set] = ACTIONS(2144),
    [anon_sym_QMARK] = ACTIONS(2146),
    [anon_sym_declare] = ACTIONS(2144),
    [anon_sym_public] = ACTIONS(2144),
    [anon_sym_private] = ACTIONS(2144),
    [anon_sym_protected] = ACTIONS(2144),
    [anon_sym_override] = ACTIONS(2144),
    [anon_sym_module] = ACTIONS(2144),
    [anon_sym_any] = ACTIONS(2144),
    [anon_sym_number] = ACTIONS(2144),
    [anon_sym_boolean] = ACTIONS(2144),
    [anon_sym_string] = ACTIONS(2144),
    [anon_sym_symbol] = ACTIONS(2144),
    [anon_sym_property] = ACTIONS(2144),
    [anon_sym_signal] = ACTIONS(2144),
    [anon_sym_on] = ACTIONS(2144),
    [anon_sym_required] = ACTIONS(2144),
    [anon_sym_component] = ACTIONS(2144),
    [anon_sym_abstract] = ACTIONS(2144),
    [anon_sym_extends] = ACTIONS(2144),
    [anon_sym_interface] = ACTIONS(2144),
    [anon_sym_enum] = ACTIONS(2144),
  },
  [615] = {
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1576),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_type] = ACTIONS(1576),
    [anon_sym_EQ] = ACTIONS(1576),
    [anon_sym_namespace] = ACTIONS(1576),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [anon_sym_typeof] = ACTIONS(1576),
    [anon_sym_import] = ACTIONS(1576),
    [anon_sym_from] = ACTIONS(1576),
    [anon_sym_var] = ACTIONS(1576),
    [anon_sym_let] = ACTIONS(1576),
    [anon_sym_const] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1578),
    [anon_sym_else] = ACTIONS(1576),
    [anon_sym_if] = ACTIONS(1576),
    [anon_sym_switch] = ACTIONS(1576),
    [anon_sym_for] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [anon_sym_RPAREN] = ACTIONS(1578),
    [anon_sym_await] = ACTIONS(1576),
    [anon_sym_of] = ACTIONS(1576),
    [anon_sym_while] = ACTIONS(1576),
    [anon_sym_do] = ACTIONS(1576),
    [anon_sym_try] = ACTIONS(1576),
    [anon_sym_with] = ACTIONS(1576),
    [anon_sym_break] = ACTIONS(1576),
    [anon_sym_continue] = ACTIONS(1576),
    [anon_sym_debugger] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1576),
    [anon_sym_SEMI] = ACTIONS(1578),
    [anon_sym_COLON] = ACTIONS(1578),
    [anon_sym_case] = ACTIONS(1576),
    [anon_sym_yield] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_RBRACK] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1578),
    [anon_sym_GT] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1576),
    [anon_sym_class] = ACTIONS(1576),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(1576),
    [anon_sym_EQ_GT] = ACTIONS(1578),
    [anon_sym_new] = ACTIONS(1576),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1578),
    [anon_sym_void] = ACTIONS(1576),
    [anon_sym_delete] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_DQUOTE] = ACTIONS(1578),
    [anon_sym_SQUOTE] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1578),
    [sym_number] = ACTIONS(1578),
    [sym_this] = ACTIONS(1576),
    [sym_super] = ACTIONS(1576),
    [sym_true] = ACTIONS(1576),
    [sym_false] = ACTIONS(1576),
    [sym_null] = ACTIONS(1576),
    [sym_undefined] = ACTIONS(1576),
    [anon_sym_AT] = ACTIONS(1578),
    [anon_sym_static] = ACTIONS(1576),
    [anon_sym_readonly] = ACTIONS(1576),
    [anon_sym_get] = ACTIONS(1576),
    [anon_sym_set] = ACTIONS(1576),
    [anon_sym_QMARK] = ACTIONS(1578),
    [anon_sym_declare] = ACTIONS(1576),
    [anon_sym_public] = ACTIONS(1576),
    [anon_sym_private] = ACTIONS(1576),
    [anon_sym_protected] = ACTIONS(1576),
    [anon_sym_override] = ACTIONS(1576),
    [anon_sym_module] = ACTIONS(1576),
    [anon_sym_any] = ACTIONS(1576),
    [anon_sym_number] = ACTIONS(1576),
    [anon_sym_boolean] = ACTIONS(1576),
    [anon_sym_string] = ACTIONS(1576),
    [anon_sym_symbol] = ACTIONS(1576),
    [anon_sym_property] = ACTIONS(1576),
    [anon_sym_signal] = ACTIONS(1576),
    [anon_sym_on] = ACTIONS(1576),
    [anon_sym_required] = ACTIONS(1576),
    [anon_sym_component] = ACTIONS(1576),
    [anon_sym_abstract] = ACTIONS(1576),
    [anon_sym_extends] = ACTIONS(1576),
    [anon_sym_interface] = ACTIONS(1576),
    [anon_sym_enum] = ACTIONS(1576),
  },
  [616] = {
    [sym_identifier] = ACTIONS(2148),
    [anon_sym_export] = ACTIONS(2148),
    [anon_sym_default] = ACTIONS(2148),
    [anon_sym_type] = ACTIONS(2148),
    [anon_sym_EQ] = ACTIONS(2148),
    [anon_sym_namespace] = ACTIONS(2148),
    [anon_sym_LBRACE] = ACTIONS(2150),
    [anon_sym_COMMA] = ACTIONS(2150),
    [anon_sym_RBRACE] = ACTIONS(2150),
    [anon_sym_typeof] = ACTIONS(2148),
    [anon_sym_import] = ACTIONS(2148),
    [anon_sym_from] = ACTIONS(2148),
    [anon_sym_var] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_const] = ACTIONS(2148),
    [anon_sym_BANG] = ACTIONS(2150),
    [anon_sym_else] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_switch] = ACTIONS(2148),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2150),
    [anon_sym_RPAREN] = ACTIONS(2150),
    [anon_sym_await] = ACTIONS(2148),
    [anon_sym_of] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_with] = ACTIONS(2148),
    [anon_sym_break] = ACTIONS(2148),
    [anon_sym_continue] = ACTIONS(2148),
    [anon_sym_debugger] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_throw] = ACTIONS(2148),
    [anon_sym_SEMI] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2150),
    [anon_sym_case] = ACTIONS(2148),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2150),
    [anon_sym_RBRACK] = ACTIONS(2150),
    [anon_sym_LT] = ACTIONS(2150),
    [anon_sym_GT] = ACTIONS(2150),
    [anon_sym_SLASH] = ACTIONS(2148),
    [anon_sym_class] = ACTIONS(2148),
    [anon_sym_async] = ACTIONS(2148),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_EQ_GT] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_AMP] = ACTIONS(2150),
    [anon_sym_PIPE] = ACTIONS(2150),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2150),
    [anon_sym_void] = ACTIONS(2148),
    [anon_sym_delete] = ACTIONS(2148),
    [anon_sym_PLUS_PLUS] = ACTIONS(2150),
    [anon_sym_DASH_DASH] = ACTIONS(2150),
    [anon_sym_DQUOTE] = ACTIONS(2150),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2150),
    [sym_number] = ACTIONS(2150),
    [sym_this] = ACTIONS(2148),
    [sym_super] = ACTIONS(2148),
    [sym_true] = ACTIONS(2148),
    [sym_false] = ACTIONS(2148),
    [sym_null] = ACTIONS(2148),
    [sym_undefined] = ACTIONS(2148),
    [anon_sym_AT] = ACTIONS(2150),
    [anon_sym_static] = ACTIONS(2148),
    [anon_sym_readonly] = ACTIONS(2148),
    [anon_sym_get] = ACTIONS(2148),
    [anon_sym_set] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2150),
    [anon_sym_declare] = ACTIONS(2148),
    [anon_sym_public] = ACTIONS(2148),
    [anon_sym_private] = ACTIONS(2148),
    [anon_sym_protected] = ACTIONS(2148),
    [anon_sym_override] = ACTIONS(2148),
    [anon_sym_module] = ACTIONS(2148),
    [anon_sym_any] = ACTIONS(2148),
    [anon_sym_number] = ACTIONS(2148),
    [anon_sym_boolean] = ACTIONS(2148),
    [anon_sym_string] = ACTIONS(2148),
    [anon_sym_symbol] = ACTIONS(2148),
    [anon_sym_property] = ACTIONS(2148),
    [anon_sym_signal] = ACTIONS(2148),
    [anon_sym_on] = ACTIONS(2148),
    [anon_sym_required] = ACTIONS(2148),
    [anon_sym_component] = ACTIONS(2148),
    [anon_sym_abstract] = ACTIONS(2148),
    [anon_sym_extends] = ACTIONS(2148),
    [anon_sym_interface] = ACTIONS(2148),
    [anon_sym_enum] = ACTIONS(2148),
  },
  [617] = {
    [sym_export_clause] = STATE(3976),
    [sym_declaration] = STATE(811),
    [sym_namespace_import_export] = STATE(4553),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [anon_sym_STAR] = ACTIONS(2042),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2046),
    [anon_sym_EQ] = ACTIONS(2140),
    [anon_sym_as] = ACTIONS(2050),
    [anon_sym_namespace] = ACTIONS(2154),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2116),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2156),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(26),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2158),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(2162),
    [anon_sym_module] = ACTIONS(2164),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2166),
    [anon_sym_export] = ACTIONS(2166),
    [anon_sym_default] = ACTIONS(2166),
    [anon_sym_type] = ACTIONS(2166),
    [anon_sym_EQ] = ACTIONS(2166),
    [anon_sym_namespace] = ACTIONS(2166),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_COMMA] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2166),
    [anon_sym_import] = ACTIONS(2166),
    [anon_sym_from] = ACTIONS(2166),
    [anon_sym_var] = ACTIONS(2166),
    [anon_sym_let] = ACTIONS(2166),
    [anon_sym_const] = ACTIONS(2166),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_else] = ACTIONS(2166),
    [anon_sym_if] = ACTIONS(2166),
    [anon_sym_switch] = ACTIONS(2166),
    [anon_sym_for] = ACTIONS(2166),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_RPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2166),
    [anon_sym_of] = ACTIONS(2166),
    [anon_sym_while] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(2166),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_with] = ACTIONS(2166),
    [anon_sym_break] = ACTIONS(2166),
    [anon_sym_continue] = ACTIONS(2166),
    [anon_sym_debugger] = ACTIONS(2166),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_COLON] = ACTIONS(2168),
    [anon_sym_case] = ACTIONS(2166),
    [anon_sym_yield] = ACTIONS(2166),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_RBRACK] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_GT] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2166),
    [anon_sym_class] = ACTIONS(2166),
    [anon_sym_async] = ACTIONS(2166),
    [anon_sym_function] = ACTIONS(2166),
    [anon_sym_EQ_GT] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2166),
    [anon_sym_AMP] = ACTIONS(2168),
    [anon_sym_PIPE] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_DASH] = ACTIONS(2166),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2166),
    [anon_sym_delete] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_this] = ACTIONS(2166),
    [sym_super] = ACTIONS(2166),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [sym_null] = ACTIONS(2166),
    [sym_undefined] = ACTIONS(2166),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2166),
    [anon_sym_readonly] = ACTIONS(2166),
    [anon_sym_get] = ACTIONS(2166),
    [anon_sym_set] = ACTIONS(2166),
    [anon_sym_QMARK] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2166),
    [anon_sym_public] = ACTIONS(2166),
    [anon_sym_private] = ACTIONS(2166),
    [anon_sym_protected] = ACTIONS(2166),
    [anon_sym_override] = ACTIONS(2166),
    [anon_sym_module] = ACTIONS(2166),
    [anon_sym_any] = ACTIONS(2166),
    [anon_sym_number] = ACTIONS(2166),
    [anon_sym_boolean] = ACTIONS(2166),
    [anon_sym_string] = ACTIONS(2166),
    [anon_sym_symbol] = ACTIONS(2166),
    [anon_sym_property] = ACTIONS(2166),
    [anon_sym_signal] = ACTIONS(2166),
    [anon_sym_on] = ACTIONS(2166),
    [anon_sym_required] = ACTIONS(2166),
    [anon_sym_component] = ACTIONS(2166),
    [anon_sym_abstract] = ACTIONS(2166),
    [anon_sym_extends] = ACTIONS(2166),
    [anon_sym_interface] = ACTIONS(2166),
    [anon_sym_enum] = ACTIONS(2166),
  },
  [619] = {
    [sym_identifier] = ACTIONS(2170),
    [anon_sym_export] = ACTIONS(2170),
    [anon_sym_default] = ACTIONS(2170),
    [anon_sym_type] = ACTIONS(2170),
    [anon_sym_EQ] = ACTIONS(2170),
    [anon_sym_namespace] = ACTIONS(2170),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_COMMA] = ACTIONS(2172),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [anon_sym_typeof] = ACTIONS(2170),
    [anon_sym_import] = ACTIONS(2170),
    [anon_sym_from] = ACTIONS(2170),
    [anon_sym_var] = ACTIONS(2170),
    [anon_sym_let] = ACTIONS(2170),
    [anon_sym_const] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_else] = ACTIONS(2170),
    [anon_sym_if] = ACTIONS(2170),
    [anon_sym_switch] = ACTIONS(2170),
    [anon_sym_for] = ACTIONS(2170),
    [anon_sym_LPAREN] = ACTIONS(2172),
    [anon_sym_RPAREN] = ACTIONS(2172),
    [anon_sym_await] = ACTIONS(2170),
    [anon_sym_of] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2170),
    [anon_sym_do] = ACTIONS(2170),
    [anon_sym_try] = ACTIONS(2170),
    [anon_sym_with] = ACTIONS(2170),
    [anon_sym_break] = ACTIONS(2170),
    [anon_sym_continue] = ACTIONS(2170),
    [anon_sym_debugger] = ACTIONS(2170),
    [anon_sym_return] = ACTIONS(2170),
    [anon_sym_throw] = ACTIONS(2170),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym_COLON] = ACTIONS(2172),
    [anon_sym_case] = ACTIONS(2170),
    [anon_sym_yield] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(2172),
    [anon_sym_RBRACK] = ACTIONS(2172),
    [anon_sym_LT] = ACTIONS(2172),
    [anon_sym_GT] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2170),
    [anon_sym_class] = ACTIONS(2170),
    [anon_sym_async] = ACTIONS(2170),
    [anon_sym_function] = ACTIONS(2170),
    [anon_sym_EQ_GT] = ACTIONS(2172),
    [anon_sym_new] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2172),
    [anon_sym_PIPE] = ACTIONS(2172),
    [anon_sym_PLUS] = ACTIONS(2170),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_void] = ACTIONS(2170),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2172),
    [sym_number] = ACTIONS(2172),
    [sym_this] = ACTIONS(2170),
    [sym_super] = ACTIONS(2170),
    [sym_true] = ACTIONS(2170),
    [sym_false] = ACTIONS(2170),
    [sym_null] = ACTIONS(2170),
    [sym_undefined] = ACTIONS(2170),
    [anon_sym_AT] = ACTIONS(2172),
    [anon_sym_static] = ACTIONS(2170),
    [anon_sym_readonly] = ACTIONS(2170),
    [anon_sym_get] = ACTIONS(2170),
    [anon_sym_set] = ACTIONS(2170),
    [anon_sym_QMARK] = ACTIONS(2172),
    [anon_sym_declare] = ACTIONS(2170),
    [anon_sym_public] = ACTIONS(2170),
    [anon_sym_private] = ACTIONS(2170),
    [anon_sym_protected] = ACTIONS(2170),
    [anon_sym_override] = ACTIONS(2170),
    [anon_sym_module] = ACTIONS(2170),
    [anon_sym_any] = ACTIONS(2170),
    [anon_sym_number] = ACTIONS(2170),
    [anon_sym_boolean] = ACTIONS(2170),
    [anon_sym_string] = ACTIONS(2170),
    [anon_sym_symbol] = ACTIONS(2170),
    [anon_sym_property] = ACTIONS(2170),
    [anon_sym_signal] = ACTIONS(2170),
    [anon_sym_on] = ACTIONS(2170),
    [anon_sym_required] = ACTIONS(2170),
    [anon_sym_component] = ACTIONS(2170),
    [anon_sym_abstract] = ACTIONS(2170),
    [anon_sym_extends] = ACTIONS(2170),
    [anon_sym_interface] = ACTIONS(2170),
    [anon_sym_enum] = ACTIONS(2170),
  },
  [620] = {
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_export] = ACTIONS(2174),
    [anon_sym_default] = ACTIONS(2174),
    [anon_sym_type] = ACTIONS(2174),
    [anon_sym_EQ] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_COMMA] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_typeof] = ACTIONS(2174),
    [anon_sym_import] = ACTIONS(2174),
    [anon_sym_from] = ACTIONS(2174),
    [anon_sym_var] = ACTIONS(2174),
    [anon_sym_let] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_else] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_RPAREN] = ACTIONS(2176),
    [anon_sym_await] = ACTIONS(2174),
    [anon_sym_of] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_with] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_debugger] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_COLON] = ACTIONS(2176),
    [anon_sym_case] = ACTIONS(2174),
    [anon_sym_yield] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_RBRACK] = ACTIONS(2176),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_GT] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_async] = ACTIONS(2174),
    [anon_sym_function] = ACTIONS(2174),
    [anon_sym_EQ_GT] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_AMP] = ACTIONS(2176),
    [anon_sym_PIPE] = ACTIONS(2176),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_void] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym_number] = ACTIONS(2176),
    [sym_this] = ACTIONS(2174),
    [sym_super] = ACTIONS(2174),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [sym_null] = ACTIONS(2174),
    [sym_undefined] = ACTIONS(2174),
    [anon_sym_AT] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_readonly] = ACTIONS(2174),
    [anon_sym_get] = ACTIONS(2174),
    [anon_sym_set] = ACTIONS(2174),
    [anon_sym_QMARK] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2174),
    [anon_sym_public] = ACTIONS(2174),
    [anon_sym_private] = ACTIONS(2174),
    [anon_sym_protected] = ACTIONS(2174),
    [anon_sym_override] = ACTIONS(2174),
    [anon_sym_module] = ACTIONS(2174),
    [anon_sym_any] = ACTIONS(2174),
    [anon_sym_number] = ACTIONS(2174),
    [anon_sym_boolean] = ACTIONS(2174),
    [anon_sym_string] = ACTIONS(2174),
    [anon_sym_symbol] = ACTIONS(2174),
    [anon_sym_property] = ACTIONS(2174),
    [anon_sym_signal] = ACTIONS(2174),
    [anon_sym_on] = ACTIONS(2174),
    [anon_sym_required] = ACTIONS(2174),
    [anon_sym_component] = ACTIONS(2174),
    [anon_sym_abstract] = ACTIONS(2174),
    [anon_sym_extends] = ACTIONS(2174),
    [anon_sym_interface] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
  },
  [621] = {
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_export] = ACTIONS(1756),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(1756),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1756),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_from] = ACTIONS(1756),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1756),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(1756),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1758),
    [anon_sym_SQUOTE] = ACTIONS(1758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(1758),
    [sym_private_property_identifier] = ACTIONS(1758),
    [anon_sym_static] = ACTIONS(1756),
    [anon_sym_readonly] = ACTIONS(1756),
    [anon_sym_get] = ACTIONS(1756),
    [anon_sym_set] = ACTIONS(1756),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(1756),
    [anon_sym_public] = ACTIONS(1756),
    [anon_sym_private] = ACTIONS(1756),
    [anon_sym_protected] = ACTIONS(1756),
    [anon_sym_override] = ACTIONS(1756),
    [anon_sym_module] = ACTIONS(1756),
    [anon_sym_any] = ACTIONS(1756),
    [anon_sym_number] = ACTIONS(1756),
    [anon_sym_boolean] = ACTIONS(1756),
    [anon_sym_string] = ACTIONS(1756),
    [anon_sym_symbol] = ACTIONS(1756),
    [anon_sym_property] = ACTIONS(1756),
    [anon_sym_signal] = ACTIONS(1756),
    [anon_sym_on] = ACTIONS(1756),
    [anon_sym_required] = ACTIONS(1756),
    [anon_sym_component] = ACTIONS(1756),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [622] = {
    [aux_sym_object_repeat1] = STATE(4103),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_export] = ACTIONS(1756),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(1756),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1756),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2038),
    [anon_sym_from] = ACTIONS(1756),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1756),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(1756),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1758),
    [anon_sym_SQUOTE] = ACTIONS(1758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(1758),
    [sym_private_property_identifier] = ACTIONS(1758),
    [anon_sym_static] = ACTIONS(1756),
    [anon_sym_readonly] = ACTIONS(1756),
    [anon_sym_get] = ACTIONS(1756),
    [anon_sym_set] = ACTIONS(1756),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(1756),
    [anon_sym_public] = ACTIONS(1756),
    [anon_sym_private] = ACTIONS(1756),
    [anon_sym_protected] = ACTIONS(1756),
    [anon_sym_override] = ACTIONS(1756),
    [anon_sym_module] = ACTIONS(1756),
    [anon_sym_any] = ACTIONS(1756),
    [anon_sym_number] = ACTIONS(1756),
    [anon_sym_boolean] = ACTIONS(1756),
    [anon_sym_string] = ACTIONS(1756),
    [anon_sym_symbol] = ACTIONS(1756),
    [anon_sym_property] = ACTIONS(1756),
    [anon_sym_signal] = ACTIONS(1756),
    [anon_sym_on] = ACTIONS(1756),
    [anon_sym_required] = ACTIONS(1756),
    [anon_sym_component] = ACTIONS(1756),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [623] = {
    [aux_sym_object_repeat1] = STATE(4103),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(1777),
    [anon_sym_export] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_type] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2038),
    [anon_sym_from] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1779),
    [anon_sym_SQUOTE] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(1779),
    [sym_private_property_identifier] = ACTIONS(1779),
    [anon_sym_static] = ACTIONS(1777),
    [anon_sym_readonly] = ACTIONS(1777),
    [anon_sym_get] = ACTIONS(1777),
    [anon_sym_set] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(1777),
    [anon_sym_public] = ACTIONS(1777),
    [anon_sym_private] = ACTIONS(1777),
    [anon_sym_protected] = ACTIONS(1777),
    [anon_sym_override] = ACTIONS(1777),
    [anon_sym_module] = ACTIONS(1777),
    [anon_sym_any] = ACTIONS(1777),
    [anon_sym_number] = ACTIONS(1777),
    [anon_sym_boolean] = ACTIONS(1777),
    [anon_sym_string] = ACTIONS(1777),
    [anon_sym_symbol] = ACTIONS(1777),
    [anon_sym_property] = ACTIONS(1777),
    [anon_sym_signal] = ACTIONS(1777),
    [anon_sym_on] = ACTIONS(1777),
    [anon_sym_required] = ACTIONS(1777),
    [anon_sym_component] = ACTIONS(1777),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [624] = {
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_export] = ACTIONS(1756),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(1756),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1756),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [anon_sym_from] = ACTIONS(1756),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1756),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(1756),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1758),
    [anon_sym_SQUOTE] = ACTIONS(1758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(1758),
    [sym_private_property_identifier] = ACTIONS(1758),
    [anon_sym_static] = ACTIONS(1756),
    [anon_sym_readonly] = ACTIONS(1756),
    [anon_sym_get] = ACTIONS(1756),
    [anon_sym_set] = ACTIONS(1756),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(1756),
    [anon_sym_public] = ACTIONS(1756),
    [anon_sym_private] = ACTIONS(1756),
    [anon_sym_protected] = ACTIONS(1756),
    [anon_sym_override] = ACTIONS(1756),
    [anon_sym_module] = ACTIONS(1756),
    [anon_sym_any] = ACTIONS(1756),
    [anon_sym_number] = ACTIONS(1756),
    [anon_sym_boolean] = ACTIONS(1756),
    [anon_sym_string] = ACTIONS(1756),
    [anon_sym_symbol] = ACTIONS(1756),
    [anon_sym_property] = ACTIONS(1756),
    [anon_sym_signal] = ACTIONS(1756),
    [anon_sym_on] = ACTIONS(1756),
    [anon_sym_required] = ACTIONS(1756),
    [anon_sym_component] = ACTIONS(1756),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [625] = {
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(1777),
    [anon_sym_export] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_type] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [anon_sym_from] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1779),
    [anon_sym_SQUOTE] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(1779),
    [sym_private_property_identifier] = ACTIONS(1779),
    [anon_sym_static] = ACTIONS(1777),
    [anon_sym_readonly] = ACTIONS(1777),
    [anon_sym_get] = ACTIONS(1777),
    [anon_sym_set] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(1777),
    [anon_sym_public] = ACTIONS(1777),
    [anon_sym_private] = ACTIONS(1777),
    [anon_sym_protected] = ACTIONS(1777),
    [anon_sym_override] = ACTIONS(1777),
    [anon_sym_module] = ACTIONS(1777),
    [anon_sym_any] = ACTIONS(1777),
    [anon_sym_number] = ACTIONS(1777),
    [anon_sym_boolean] = ACTIONS(1777),
    [anon_sym_string] = ACTIONS(1777),
    [anon_sym_symbol] = ACTIONS(1777),
    [anon_sym_property] = ACTIONS(1777),
    [anon_sym_signal] = ACTIONS(1777),
    [anon_sym_on] = ACTIONS(1777),
    [anon_sym_required] = ACTIONS(1777),
    [anon_sym_component] = ACTIONS(1777),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [626] = {
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(1777),
    [anon_sym_export] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_type] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_from] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1779),
    [anon_sym_SQUOTE] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(1779),
    [sym_private_property_identifier] = ACTIONS(1779),
    [anon_sym_static] = ACTIONS(1777),
    [anon_sym_readonly] = ACTIONS(1777),
    [anon_sym_get] = ACTIONS(1777),
    [anon_sym_set] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(1777),
    [anon_sym_public] = ACTIONS(1777),
    [anon_sym_private] = ACTIONS(1777),
    [anon_sym_protected] = ACTIONS(1777),
    [anon_sym_override] = ACTIONS(1777),
    [anon_sym_module] = ACTIONS(1777),
    [anon_sym_any] = ACTIONS(1777),
    [anon_sym_number] = ACTIONS(1777),
    [anon_sym_boolean] = ACTIONS(1777),
    [anon_sym_string] = ACTIONS(1777),
    [anon_sym_symbol] = ACTIONS(1777),
    [anon_sym_property] = ACTIONS(1777),
    [anon_sym_signal] = ACTIONS(1777),
    [anon_sym_on] = ACTIONS(1777),
    [anon_sym_required] = ACTIONS(1777),
    [anon_sym_component] = ACTIONS(1777),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [627] = {
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_export] = ACTIONS(1756),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(1756),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1756),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2026),
    [anon_sym_from] = ACTIONS(1756),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1756),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(1756),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1758),
    [anon_sym_SQUOTE] = ACTIONS(1758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(1758),
    [sym_private_property_identifier] = ACTIONS(1758),
    [anon_sym_static] = ACTIONS(1756),
    [anon_sym_readonly] = ACTIONS(1756),
    [anon_sym_get] = ACTIONS(1756),
    [anon_sym_set] = ACTIONS(1756),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(1756),
    [anon_sym_public] = ACTIONS(1756),
    [anon_sym_private] = ACTIONS(1756),
    [anon_sym_protected] = ACTIONS(1756),
    [anon_sym_override] = ACTIONS(1756),
    [anon_sym_module] = ACTIONS(1756),
    [anon_sym_any] = ACTIONS(1756),
    [anon_sym_number] = ACTIONS(1756),
    [anon_sym_boolean] = ACTIONS(1756),
    [anon_sym_string] = ACTIONS(1756),
    [anon_sym_symbol] = ACTIONS(1756),
    [anon_sym_property] = ACTIONS(1756),
    [anon_sym_signal] = ACTIONS(1756),
    [anon_sym_on] = ACTIONS(1756),
    [anon_sym_required] = ACTIONS(1756),
    [anon_sym_component] = ACTIONS(1756),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [628] = {
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(1777),
    [anon_sym_export] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_type] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2026),
    [anon_sym_from] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(26),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1779),
    [anon_sym_SQUOTE] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [sym_number] = ACTIONS(1779),
    [sym_private_property_identifier] = ACTIONS(1779),
    [anon_sym_static] = ACTIONS(1777),
    [anon_sym_readonly] = ACTIONS(1777),
    [anon_sym_get] = ACTIONS(1777),
    [anon_sym_set] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_declare] = ACTIONS(1777),
    [anon_sym_public] = ACTIONS(1777),
    [anon_sym_private] = ACTIONS(1777),
    [anon_sym_protected] = ACTIONS(1777),
    [anon_sym_override] = ACTIONS(1777),
    [anon_sym_module] = ACTIONS(1777),
    [anon_sym_any] = ACTIONS(1777),
    [anon_sym_number] = ACTIONS(1777),
    [anon_sym_boolean] = ACTIONS(1777),
    [anon_sym_string] = ACTIONS(1777),
    [anon_sym_symbol] = ACTIONS(1777),
    [anon_sym_property] = ACTIONS(1777),
    [anon_sym_signal] = ACTIONS(1777),
    [anon_sym_on] = ACTIONS(1777),
    [anon_sym_required] = ACTIONS(1777),
    [anon_sym_component] = ACTIONS(1777),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [629] = {
    [sym_declaration] = STATE(2582),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_class_declaration] = STATE(2559),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(2559),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(2560),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [aux_sym_export_statement_repeat1] = STATE(3670),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_import] = ACTIONS(2114),
    [anon_sym_var] = ACTIONS(2116),
    [anon_sym_let] = ACTIONS(2118),
    [anon_sym_const] = ACTIONS(2120),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2122),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(26),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2126),
    [anon_sym_function] = ACTIONS(2128),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(2130),
    [anon_sym_module] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(2134),
    [anon_sym_global] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2138),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [630] = {
    [sym_declaration] = STATE(729),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2096),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2052),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(26),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_function] = ACTIONS(2074),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(2076),
    [anon_sym_module] = ACTIONS(2098),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_global] = ACTIONS(2100),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [631] = {
    [sym__call_signature] = STATE(4895),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_export] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2186),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [anon_sym_from] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_readonly] = ACTIONS(2186),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2196),
    [anon_sym_declare] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2186),
    [anon_sym_any] = ACTIONS(2186),
    [anon_sym_number] = ACTIONS(2186),
    [anon_sym_boolean] = ACTIONS(2186),
    [anon_sym_string] = ACTIONS(2186),
    [anon_sym_symbol] = ACTIONS(2186),
    [anon_sym_property] = ACTIONS(2186),
    [anon_sym_signal] = ACTIONS(2186),
    [anon_sym_on] = ACTIONS(2186),
    [anon_sym_required] = ACTIONS(2186),
    [anon_sym_component] = ACTIONS(2186),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [632] = {
    [sym_declaration] = STATE(729),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2096),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2154),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2116),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2156),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(26),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2158),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(2162),
    [anon_sym_module] = ACTIONS(2198),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_global] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [633] = {
    [sym__call_signature] = STATE(4895),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_export] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2186),
    [anon_sym_EQ] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_RBRACE] = ACTIONS(32),
    [anon_sym_from] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(32),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(32),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(32),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_readonly] = ACTIONS(2186),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2186),
    [anon_sym_any] = ACTIONS(2186),
    [anon_sym_number] = ACTIONS(2186),
    [anon_sym_boolean] = ACTIONS(2186),
    [anon_sym_string] = ACTIONS(2186),
    [anon_sym_symbol] = ACTIONS(2186),
    [anon_sym_property] = ACTIONS(2186),
    [anon_sym_signal] = ACTIONS(2186),
    [anon_sym_on] = ACTIONS(2186),
    [anon_sym_required] = ACTIONS(2186),
    [anon_sym_component] = ACTIONS(2186),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [634] = {
    [sym__call_signature] = STATE(4904),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_RBRACE] = ACTIONS(122),
    [anon_sym_from] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2204),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_property] = ACTIONS(2204),
    [anon_sym_signal] = ACTIONS(2204),
    [anon_sym_on] = ACTIONS(2204),
    [anon_sym_required] = ACTIONS(2204),
    [anon_sym_component] = ACTIONS(2204),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [635] = {
    [sym__call_signature] = STATE(4764),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_initializer] = STATE(4601),
    [sym_identifier] = ACTIONS(2206),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_property] = ACTIONS(2208),
    [anon_sym_signal] = ACTIONS(2208),
    [anon_sym_on] = ACTIONS(2208),
    [anon_sym_required] = ACTIONS(2208),
    [anon_sym_component] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [636] = {
    [sym__call_signature] = STATE(4764),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_initializer] = STATE(2474),
    [sym_identifier] = ACTIONS(2206),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2217),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_property] = ACTIONS(2208),
    [anon_sym_signal] = ACTIONS(2208),
    [anon_sym_on] = ACTIONS(2208),
    [anon_sym_required] = ACTIONS(2208),
    [anon_sym_component] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [637] = {
    [sym__call_signature] = STATE(4904),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(62),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2204),
    [anon_sym_COLON] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_property] = ACTIONS(2204),
    [anon_sym_signal] = ACTIONS(2204),
    [anon_sym_on] = ACTIONS(2204),
    [anon_sym_required] = ACTIONS(2204),
    [anon_sym_component] = ACTIONS(2204),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [638] = {
    [sym__call_signature] = STATE(4904),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_EQ] = ACTIONS(1375),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(62),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2204),
    [anon_sym_COLON] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_property] = ACTIONS(2204),
    [anon_sym_signal] = ACTIONS(2204),
    [anon_sym_on] = ACTIONS(2204),
    [anon_sym_required] = ACTIONS(2204),
    [anon_sym_component] = ACTIONS(2204),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [639] = {
    [sym__call_signature] = STATE(4764),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2206),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2156),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2219),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_property] = ACTIONS(2208),
    [anon_sym_signal] = ACTIONS(2208),
    [anon_sym_on] = ACTIONS(2208),
    [anon_sym_required] = ACTIONS(2208),
    [anon_sym_component] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [640] = {
    [sym__call_signature] = STATE(4764),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2206),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2018),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_property] = ACTIONS(2208),
    [anon_sym_signal] = ACTIONS(2208),
    [anon_sym_on] = ACTIONS(2208),
    [anon_sym_required] = ACTIONS(2208),
    [anon_sym_component] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [641] = {
    [sym_declaration] = STATE(729),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2096),
    [anon_sym_EQ] = ACTIONS(1430),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2052),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(26),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_function] = ACTIONS(2074),
    [anon_sym_EQ_GT] = ACTIONS(1432),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(2076),
    [anon_sym_module] = ACTIONS(2098),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_global] = ACTIONS(2100),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [642] = {
    [sym__call_signature] = STATE(4904),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_EQ] = ACTIONS(1375),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(1413),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [anon_sym_from] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2204),
    [anon_sym_COLON] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_property] = ACTIONS(2204),
    [anon_sym_signal] = ACTIONS(2204),
    [anon_sym_on] = ACTIONS(2204),
    [anon_sym_required] = ACTIONS(2204),
    [anon_sym_component] = ACTIONS(2204),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [643] = {
    [sym__call_signature] = STATE(4764),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2206),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_property] = ACTIONS(2208),
    [anon_sym_signal] = ACTIONS(2208),
    [anon_sym_on] = ACTIONS(2208),
    [anon_sym_required] = ACTIONS(2208),
    [anon_sym_component] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [644] = {
    [sym__call_signature] = STATE(4904),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_ui_object_initializer] = STATE(2474),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2217),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_from] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_property] = ACTIONS(2204),
    [anon_sym_signal] = ACTIONS(2204),
    [anon_sym_on] = ACTIONS(2204),
    [anon_sym_required] = ACTIONS(2204),
    [anon_sym_component] = ACTIONS(2204),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [645] = {
    [sym_declaration] = STATE(729),
    [sym_variable_declaration] = STATE(735),
    [sym_lexical_declaration] = STATE(735),
    [sym_class_declaration] = STATE(735),
    [sym_function_declaration] = STATE(735),
    [sym_generator_function_declaration] = STATE(735),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(735),
    [sym_ambient_declaration] = STATE(735),
    [sym_abstract_class_declaration] = STATE(735),
    [sym_module] = STATE(735),
    [sym_internal_module] = STATE(812),
    [sym_import_alias] = STATE(735),
    [sym_interface_declaration] = STATE(735),
    [sym_enum_declaration] = STATE(735),
    [sym_type_alias_declaration] = STATE(735),
    [aux_sym_export_statement_repeat1] = STATE(3534),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2096),
    [anon_sym_EQ] = ACTIONS(1430),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2154),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2116),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(26),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2158),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_EQ_GT] = ACTIONS(1432),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(2162),
    [anon_sym_module] = ACTIONS(2198),
    [anon_sym_abstract] = ACTIONS(2080),
    [anon_sym_global] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2084),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [646] = {
    [sym__call_signature] = STATE(4764),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2206),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_property] = ACTIONS(2208),
    [anon_sym_signal] = ACTIONS(2208),
    [anon_sym_on] = ACTIONS(2208),
    [anon_sym_required] = ACTIONS(2208),
    [anon_sym_component] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [647] = {
    [sym__call_signature] = STATE(4764),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2206),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2122),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2221),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_property] = ACTIONS(2208),
    [anon_sym_signal] = ACTIONS(2208),
    [anon_sym_on] = ACTIONS(2208),
    [anon_sym_required] = ACTIONS(2208),
    [anon_sym_component] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [648] = {
    [sym_declaration] = STATE(3677),
    [sym_variable_declaration] = STATE(3652),
    [sym_lexical_declaration] = STATE(3652),
    [sym_class_declaration] = STATE(3652),
    [sym_function_declaration] = STATE(3652),
    [sym_generator_function_declaration] = STATE(3652),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(3652),
    [sym_ambient_declaration] = STATE(3652),
    [sym_abstract_class_declaration] = STATE(3652),
    [sym_module] = STATE(3652),
    [sym_internal_module] = STATE(3674),
    [sym_import_alias] = STATE(3652),
    [sym_interface_declaration] = STATE(3652),
    [sym_enum_declaration] = STATE(3652),
    [sym_type_alias_declaration] = STATE(3652),
    [aux_sym_export_statement_repeat1] = STATE(3758),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2223),
    [anon_sym_EQ] = ACTIONS(1430),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2227),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2231),
    [anon_sym_const] = ACTIONS(2233),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(26),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2235),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_function] = ACTIONS(2239),
    [anon_sym_EQ_GT] = ACTIONS(1432),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(2241),
    [anon_sym_module] = ACTIONS(2243),
    [anon_sym_abstract] = ACTIONS(2245),
    [anon_sym_global] = ACTIONS(2247),
    [anon_sym_interface] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2251),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [649] = {
    [sym_declaration] = STATE(2582),
    [sym_variable_declaration] = STATE(2559),
    [sym_lexical_declaration] = STATE(2559),
    [sym_class_declaration] = STATE(2559),
    [sym_function_declaration] = STATE(2559),
    [sym_generator_function_declaration] = STATE(2559),
    [sym_decorator] = STATE(1140),
    [sym_function_signature] = STATE(2559),
    [sym_ambient_declaration] = STATE(2559),
    [sym_abstract_class_declaration] = STATE(2559),
    [sym_module] = STATE(2559),
    [sym_internal_module] = STATE(2560),
    [sym_import_alias] = STATE(2559),
    [sym_interface_declaration] = STATE(2559),
    [sym_enum_declaration] = STATE(2559),
    [sym_type_alias_declaration] = STATE(2559),
    [aux_sym_export_statement_repeat1] = STATE(3670),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_EQ] = ACTIONS(1430),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2114),
    [anon_sym_var] = ACTIONS(2116),
    [anon_sym_let] = ACTIONS(2118),
    [anon_sym_const] = ACTIONS(2120),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(26),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2126),
    [anon_sym_function] = ACTIONS(2128),
    [anon_sym_EQ_GT] = ACTIONS(1432),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(62),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(2130),
    [anon_sym_module] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(2134),
    [anon_sym_global] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2138),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [650] = {
    [sym__call_signature] = STATE(4924),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2255),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2255),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2255),
    [anon_sym_LBRACE] = ACTIONS(62),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2255),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2255),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(1496),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2255),
    [anon_sym_readonly] = ACTIONS(2255),
    [anon_sym_get] = ACTIONS(2255),
    [anon_sym_set] = ACTIONS(2255),
    [anon_sym_declare] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2255),
    [anon_sym_private] = ACTIONS(2255),
    [anon_sym_protected] = ACTIONS(2255),
    [anon_sym_override] = ACTIONS(2255),
    [anon_sym_module] = ACTIONS(2255),
    [anon_sym_any] = ACTIONS(2255),
    [anon_sym_number] = ACTIONS(2255),
    [anon_sym_boolean] = ACTIONS(2255),
    [anon_sym_string] = ACTIONS(2255),
    [anon_sym_symbol] = ACTIONS(2255),
    [anon_sym_property] = ACTIONS(2255),
    [anon_sym_signal] = ACTIONS(2255),
    [anon_sym_on] = ACTIONS(2255),
    [anon_sym_required] = ACTIONS(2255),
    [anon_sym_component] = ACTIONS(2255),
    [anon_sym_implements] = ACTIONS(26),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [651] = {
    [sym__call_signature] = STATE(4924),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2255),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2255),
    [anon_sym_EQ] = ACTIONS(1494),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2255),
    [anon_sym_LBRACE] = ACTIONS(62),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2255),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2255),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(1496),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2255),
    [anon_sym_readonly] = ACTIONS(2255),
    [anon_sym_get] = ACTIONS(2255),
    [anon_sym_set] = ACTIONS(2255),
    [anon_sym_declare] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2255),
    [anon_sym_private] = ACTIONS(2255),
    [anon_sym_protected] = ACTIONS(2255),
    [anon_sym_override] = ACTIONS(2255),
    [anon_sym_module] = ACTIONS(2255),
    [anon_sym_any] = ACTIONS(2255),
    [anon_sym_number] = ACTIONS(2255),
    [anon_sym_boolean] = ACTIONS(2255),
    [anon_sym_string] = ACTIONS(2255),
    [anon_sym_symbol] = ACTIONS(2255),
    [anon_sym_property] = ACTIONS(2255),
    [anon_sym_signal] = ACTIONS(2255),
    [anon_sym_on] = ACTIONS(2255),
    [anon_sym_required] = ACTIONS(2255),
    [anon_sym_component] = ACTIONS(2255),
    [anon_sym_implements] = ACTIONS(26),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [652] = {
    [sym__call_signature] = STATE(4625),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2257),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_EQ_GT] = ACTIONS(1407),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_property] = ACTIONS(2259),
    [anon_sym_signal] = ACTIONS(2259),
    [anon_sym_on] = ACTIONS(2259),
    [anon_sym_required] = ACTIONS(2259),
    [anon_sym_component] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [653] = {
    [sym__call_signature] = STATE(4637),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_EQ] = ACTIONS(2268),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_from] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2266),
    [anon_sym_COLON] = ACTIONS(2271),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(1620),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_property] = ACTIONS(2266),
    [anon_sym_signal] = ACTIONS(2266),
    [anon_sym_on] = ACTIONS(2266),
    [anon_sym_required] = ACTIONS(2266),
    [anon_sym_component] = ACTIONS(2266),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [654] = {
    [sym__call_signature] = STATE(4764),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2206),
    [anon_sym_export] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(1409),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(2273),
    [anon_sym_of] = ACTIONS(2276),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_readonly] = ACTIONS(2208),
    [anon_sym_get] = ACTIONS(2208),
    [anon_sym_set] = ACTIONS(2208),
    [anon_sym_declare] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_any] = ACTIONS(2208),
    [anon_sym_number] = ACTIONS(2208),
    [anon_sym_boolean] = ACTIONS(2208),
    [anon_sym_string] = ACTIONS(2208),
    [anon_sym_symbol] = ACTIONS(2208),
    [anon_sym_property] = ACTIONS(2208),
    [anon_sym_signal] = ACTIONS(2208),
    [anon_sym_on] = ACTIONS(2208),
    [anon_sym_required] = ACTIONS(2208),
    [anon_sym_component] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [655] = {
    [sym__call_signature] = STATE(4625),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2257),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_EQ] = ACTIONS(1405),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_from] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_EQ_GT] = ACTIONS(1407),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_property] = ACTIONS(2259),
    [anon_sym_signal] = ACTIONS(2259),
    [anon_sym_on] = ACTIONS(2259),
    [anon_sym_required] = ACTIONS(2259),
    [anon_sym_component] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [656] = {
    [sym__call_signature] = STATE(4637),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_EQ] = ACTIONS(1618),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_from] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2266),
    [anon_sym_COLON] = ACTIONS(2278),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(1620),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_property] = ACTIONS(2266),
    [anon_sym_signal] = ACTIONS(2266),
    [anon_sym_on] = ACTIONS(2266),
    [anon_sym_required] = ACTIONS(2266),
    [anon_sym_component] = ACTIONS(2266),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [657] = {
    [sym__call_signature] = STATE(4828),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2282),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2282),
    [anon_sym_from] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2282),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2282),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_EQ_GT] = ACTIONS(1432),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2282),
    [anon_sym_readonly] = ACTIONS(2282),
    [anon_sym_get] = ACTIONS(2282),
    [anon_sym_set] = ACTIONS(2282),
    [anon_sym_declare] = ACTIONS(2282),
    [anon_sym_public] = ACTIONS(2282),
    [anon_sym_private] = ACTIONS(2282),
    [anon_sym_protected] = ACTIONS(2282),
    [anon_sym_override] = ACTIONS(2282),
    [anon_sym_module] = ACTIONS(2282),
    [anon_sym_any] = ACTIONS(2282),
    [anon_sym_number] = ACTIONS(2282),
    [anon_sym_boolean] = ACTIONS(2282),
    [anon_sym_string] = ACTIONS(2282),
    [anon_sym_symbol] = ACTIONS(2282),
    [anon_sym_property] = ACTIONS(2282),
    [anon_sym_signal] = ACTIONS(2282),
    [anon_sym_on] = ACTIONS(2282),
    [anon_sym_required] = ACTIONS(2282),
    [anon_sym_component] = ACTIONS(2282),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [658] = {
    [sym__call_signature] = STATE(4828),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2282),
    [anon_sym_EQ] = ACTIONS(1430),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2282),
    [anon_sym_from] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2282),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2282),
    [anon_sym_function] = ACTIONS(2221),
    [anon_sym_EQ_GT] = ACTIONS(1432),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2282),
    [anon_sym_readonly] = ACTIONS(2282),
    [anon_sym_get] = ACTIONS(2282),
    [anon_sym_set] = ACTIONS(2282),
    [anon_sym_declare] = ACTIONS(2282),
    [anon_sym_public] = ACTIONS(2282),
    [anon_sym_private] = ACTIONS(2282),
    [anon_sym_protected] = ACTIONS(2282),
    [anon_sym_override] = ACTIONS(2282),
    [anon_sym_module] = ACTIONS(2282),
    [anon_sym_any] = ACTIONS(2282),
    [anon_sym_number] = ACTIONS(2282),
    [anon_sym_boolean] = ACTIONS(2282),
    [anon_sym_string] = ACTIONS(2282),
    [anon_sym_symbol] = ACTIONS(2282),
    [anon_sym_property] = ACTIONS(2282),
    [anon_sym_signal] = ACTIONS(2282),
    [anon_sym_on] = ACTIONS(2282),
    [anon_sym_required] = ACTIONS(2282),
    [anon_sym_component] = ACTIONS(2282),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [659] = {
    [sym__call_signature] = STATE(4637),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_EQ] = ACTIONS(1618),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_from] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2266),
    [anon_sym_COLON] = ACTIONS(2271),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(1620),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_property] = ACTIONS(2266),
    [anon_sym_signal] = ACTIONS(2266),
    [anon_sym_on] = ACTIONS(2266),
    [anon_sym_required] = ACTIONS(2266),
    [anon_sym_component] = ACTIONS(2266),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [660] = {
    [sym__call_signature] = STATE(4828),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2282),
    [anon_sym_EQ] = ACTIONS(1430),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2282),
    [anon_sym_from] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2282),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2282),
    [anon_sym_function] = ACTIONS(2284),
    [anon_sym_EQ_GT] = ACTIONS(1432),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2282),
    [anon_sym_readonly] = ACTIONS(2282),
    [anon_sym_get] = ACTIONS(2282),
    [anon_sym_set] = ACTIONS(2282),
    [anon_sym_declare] = ACTIONS(2282),
    [anon_sym_public] = ACTIONS(2282),
    [anon_sym_private] = ACTIONS(2282),
    [anon_sym_protected] = ACTIONS(2282),
    [anon_sym_override] = ACTIONS(2282),
    [anon_sym_module] = ACTIONS(2282),
    [anon_sym_any] = ACTIONS(2282),
    [anon_sym_number] = ACTIONS(2282),
    [anon_sym_boolean] = ACTIONS(2282),
    [anon_sym_string] = ACTIONS(2282),
    [anon_sym_symbol] = ACTIONS(2282),
    [anon_sym_property] = ACTIONS(2282),
    [anon_sym_signal] = ACTIONS(2282),
    [anon_sym_on] = ACTIONS(2282),
    [anon_sym_required] = ACTIONS(2282),
    [anon_sym_component] = ACTIONS(2282),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [661] = {
    [sym__call_signature] = STATE(4637),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_EQ] = ACTIONS(2268),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_from] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(1620),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_property] = ACTIONS(2266),
    [anon_sym_signal] = ACTIONS(2266),
    [anon_sym_on] = ACTIONS(2266),
    [anon_sym_required] = ACTIONS(2266),
    [anon_sym_component] = ACTIONS(2266),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [662] = {
    [sym__call_signature] = STATE(4828),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2282),
    [anon_sym_EQ] = ACTIONS(1430),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2282),
    [anon_sym_from] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2282),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2282),
    [anon_sym_function] = ACTIONS(2219),
    [anon_sym_EQ_GT] = ACTIONS(1432),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2282),
    [anon_sym_readonly] = ACTIONS(2282),
    [anon_sym_get] = ACTIONS(2282),
    [anon_sym_set] = ACTIONS(2282),
    [anon_sym_declare] = ACTIONS(2282),
    [anon_sym_public] = ACTIONS(2282),
    [anon_sym_private] = ACTIONS(2282),
    [anon_sym_protected] = ACTIONS(2282),
    [anon_sym_override] = ACTIONS(2282),
    [anon_sym_module] = ACTIONS(2282),
    [anon_sym_any] = ACTIONS(2282),
    [anon_sym_number] = ACTIONS(2282),
    [anon_sym_boolean] = ACTIONS(2282),
    [anon_sym_string] = ACTIONS(2282),
    [anon_sym_symbol] = ACTIONS(2282),
    [anon_sym_property] = ACTIONS(2282),
    [anon_sym_signal] = ACTIONS(2282),
    [anon_sym_on] = ACTIONS(2282),
    [anon_sym_required] = ACTIONS(2282),
    [anon_sym_component] = ACTIONS(2282),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [663] = {
    [sym__call_signature] = STATE(4828),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2282),
    [anon_sym_EQ] = ACTIONS(1430),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2282),
    [anon_sym_from] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2282),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2282),
    [anon_sym_function] = ACTIONS(2215),
    [anon_sym_EQ_GT] = ACTIONS(1432),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2282),
    [anon_sym_readonly] = ACTIONS(2282),
    [anon_sym_get] = ACTIONS(2282),
    [anon_sym_set] = ACTIONS(2282),
    [anon_sym_declare] = ACTIONS(2282),
    [anon_sym_public] = ACTIONS(2282),
    [anon_sym_private] = ACTIONS(2282),
    [anon_sym_protected] = ACTIONS(2282),
    [anon_sym_override] = ACTIONS(2282),
    [anon_sym_module] = ACTIONS(2282),
    [anon_sym_any] = ACTIONS(2282),
    [anon_sym_number] = ACTIONS(2282),
    [anon_sym_boolean] = ACTIONS(2282),
    [anon_sym_string] = ACTIONS(2282),
    [anon_sym_symbol] = ACTIONS(2282),
    [anon_sym_property] = ACTIONS(2282),
    [anon_sym_signal] = ACTIONS(2282),
    [anon_sym_on] = ACTIONS(2282),
    [anon_sym_required] = ACTIONS(2282),
    [anon_sym_component] = ACTIONS(2282),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [664] = {
    [sym__call_signature] = STATE(4828),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2282),
    [anon_sym_EQ] = ACTIONS(1430),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2282),
    [anon_sym_from] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2282),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2282),
    [anon_sym_function] = ACTIONS(2018),
    [anon_sym_EQ_GT] = ACTIONS(1432),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2282),
    [anon_sym_readonly] = ACTIONS(2282),
    [anon_sym_get] = ACTIONS(2282),
    [anon_sym_set] = ACTIONS(2282),
    [anon_sym_declare] = ACTIONS(2282),
    [anon_sym_public] = ACTIONS(2282),
    [anon_sym_private] = ACTIONS(2282),
    [anon_sym_protected] = ACTIONS(2282),
    [anon_sym_override] = ACTIONS(2282),
    [anon_sym_module] = ACTIONS(2282),
    [anon_sym_any] = ACTIONS(2282),
    [anon_sym_number] = ACTIONS(2282),
    [anon_sym_boolean] = ACTIONS(2282),
    [anon_sym_string] = ACTIONS(2282),
    [anon_sym_symbol] = ACTIONS(2282),
    [anon_sym_property] = ACTIONS(2282),
    [anon_sym_signal] = ACTIONS(2282),
    [anon_sym_on] = ACTIONS(2282),
    [anon_sym_required] = ACTIONS(2282),
    [anon_sym_component] = ACTIONS(2282),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [665] = {
    [sym_catch_clause] = STATE(680),
    [sym_finally_clause] = STATE(816),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_export] = ACTIONS(2286),
    [anon_sym_default] = ACTIONS(2286),
    [anon_sym_type] = ACTIONS(2286),
    [anon_sym_namespace] = ACTIONS(2286),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2286),
    [anon_sym_import] = ACTIONS(2286),
    [anon_sym_from] = ACTIONS(2286),
    [anon_sym_var] = ACTIONS(2286),
    [anon_sym_let] = ACTIONS(2286),
    [anon_sym_const] = ACTIONS(2286),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2286),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_switch] = ACTIONS(2286),
    [anon_sym_for] = ACTIONS(2286),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2286),
    [anon_sym_of] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2286),
    [anon_sym_do] = ACTIONS(2286),
    [anon_sym_try] = ACTIONS(2286),
    [anon_sym_with] = ACTIONS(2286),
    [anon_sym_break] = ACTIONS(2286),
    [anon_sym_continue] = ACTIONS(2286),
    [anon_sym_debugger] = ACTIONS(2286),
    [anon_sym_return] = ACTIONS(2286),
    [anon_sym_throw] = ACTIONS(2286),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2286),
    [anon_sym_catch] = ACTIONS(2290),
    [anon_sym_finally] = ACTIONS(2292),
    [anon_sym_yield] = ACTIONS(2286),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2286),
    [anon_sym_class] = ACTIONS(2286),
    [anon_sym_async] = ACTIONS(2286),
    [anon_sym_function] = ACTIONS(2286),
    [anon_sym_new] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2286),
    [anon_sym_DASH] = ACTIONS(2286),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2286),
    [anon_sym_delete] = ACTIONS(2286),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_this] = ACTIONS(2286),
    [sym_super] = ACTIONS(2286),
    [sym_true] = ACTIONS(2286),
    [sym_false] = ACTIONS(2286),
    [sym_null] = ACTIONS(2286),
    [sym_undefined] = ACTIONS(2286),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2286),
    [anon_sym_readonly] = ACTIONS(2286),
    [anon_sym_get] = ACTIONS(2286),
    [anon_sym_set] = ACTIONS(2286),
    [anon_sym_declare] = ACTIONS(2286),
    [anon_sym_public] = ACTIONS(2286),
    [anon_sym_private] = ACTIONS(2286),
    [anon_sym_protected] = ACTIONS(2286),
    [anon_sym_override] = ACTIONS(2286),
    [anon_sym_module] = ACTIONS(2286),
    [anon_sym_any] = ACTIONS(2286),
    [anon_sym_number] = ACTIONS(2286),
    [anon_sym_boolean] = ACTIONS(2286),
    [anon_sym_string] = ACTIONS(2286),
    [anon_sym_symbol] = ACTIONS(2286),
    [anon_sym_property] = ACTIONS(2286),
    [anon_sym_signal] = ACTIONS(2286),
    [anon_sym_on] = ACTIONS(2286),
    [anon_sym_required] = ACTIONS(2286),
    [anon_sym_component] = ACTIONS(2286),
    [anon_sym_abstract] = ACTIONS(2286),
    [anon_sym_interface] = ACTIONS(2286),
    [anon_sym_enum] = ACTIONS(2286),
  },
  [666] = {
    [sym__call_signature] = STATE(4730),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2294),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_EQ] = ACTIONS(1624),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_from] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2296),
    [anon_sym_COLON] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(1626),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_property] = ACTIONS(2296),
    [anon_sym_signal] = ACTIONS(2296),
    [anon_sym_on] = ACTIONS(2296),
    [anon_sym_required] = ACTIONS(2296),
    [anon_sym_component] = ACTIONS(2296),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [667] = {
    [sym__call_signature] = STATE(4730),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2294),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_from] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2296),
    [anon_sym_COLON] = ACTIONS(62),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(1626),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_property] = ACTIONS(2296),
    [anon_sym_signal] = ACTIONS(2296),
    [anon_sym_on] = ACTIONS(2296),
    [anon_sym_required] = ACTIONS(2296),
    [anon_sym_component] = ACTIONS(2296),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [668] = {
    [sym__call_signature] = STATE(4637),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_from] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(1620),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_property] = ACTIONS(2266),
    [anon_sym_signal] = ACTIONS(2266),
    [anon_sym_on] = ACTIONS(2266),
    [anon_sym_required] = ACTIONS(2266),
    [anon_sym_component] = ACTIONS(2266),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [669] = {
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_export] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(1418),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_typeof] = ACTIONS(1418),
    [anon_sym_import] = ACTIONS(1418),
    [anon_sym_from] = ACTIONS(1418),
    [anon_sym_var] = ACTIONS(1418),
    [anon_sym_let] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_of] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_try] = ACTIONS(1418),
    [anon_sym_with] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_debugger] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_catch] = ACTIONS(1418),
    [anon_sym_finally] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_SLASH] = ACTIONS(1418),
    [anon_sym_class] = ACTIONS(1418),
    [anon_sym_async] = ACTIONS(1418),
    [anon_sym_function] = ACTIONS(1418),
    [anon_sym_new] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_void] = ACTIONS(1418),
    [anon_sym_delete] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [sym_number] = ACTIONS(1424),
    [sym_this] = ACTIONS(1418),
    [sym_super] = ACTIONS(1418),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [sym_null] = ACTIONS(1418),
    [sym_undefined] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_readonly] = ACTIONS(1418),
    [anon_sym_get] = ACTIONS(1418),
    [anon_sym_set] = ACTIONS(1418),
    [anon_sym_declare] = ACTIONS(1418),
    [anon_sym_public] = ACTIONS(1418),
    [anon_sym_private] = ACTIONS(1418),
    [anon_sym_protected] = ACTIONS(1418),
    [anon_sym_override] = ACTIONS(1418),
    [anon_sym_module] = ACTIONS(1418),
    [anon_sym_any] = ACTIONS(1418),
    [anon_sym_number] = ACTIONS(1418),
    [anon_sym_boolean] = ACTIONS(1418),
    [anon_sym_string] = ACTIONS(1418),
    [anon_sym_symbol] = ACTIONS(1418),
    [anon_sym_property] = ACTIONS(1418),
    [anon_sym_signal] = ACTIONS(1418),
    [anon_sym_on] = ACTIONS(1418),
    [anon_sym_required] = ACTIONS(1418),
    [anon_sym_component] = ACTIONS(1418),
    [anon_sym_abstract] = ACTIONS(1418),
    [anon_sym_interface] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [sym__automatic_semicolon] = ACTIONS(1428),
  },
  [670] = {
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_export] = ACTIONS(1592),
    [anon_sym_default] = ACTIONS(1592),
    [anon_sym_type] = ACTIONS(1592),
    [anon_sym_namespace] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_typeof] = ACTIONS(1592),
    [anon_sym_import] = ACTIONS(1592),
    [anon_sym_from] = ACTIONS(1592),
    [anon_sym_var] = ACTIONS(1592),
    [anon_sym_let] = ACTIONS(1592),
    [anon_sym_const] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1594),
    [anon_sym_else] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_switch] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_of] = ACTIONS(1592),
    [anon_sym_while] = ACTIONS(1592),
    [anon_sym_do] = ACTIONS(1592),
    [anon_sym_try] = ACTIONS(1592),
    [anon_sym_with] = ACTIONS(1592),
    [anon_sym_break] = ACTIONS(1592),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_debugger] = ACTIONS(1592),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1594),
    [anon_sym_case] = ACTIONS(1592),
    [anon_sym_catch] = ACTIONS(1592),
    [anon_sym_finally] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_class] = ACTIONS(1592),
    [anon_sym_async] = ACTIONS(1592),
    [anon_sym_function] = ACTIONS(1592),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_void] = ACTIONS(1592),
    [anon_sym_delete] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [anon_sym_DQUOTE] = ACTIONS(1594),
    [anon_sym_SQUOTE] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1594),
    [sym_number] = ACTIONS(1594),
    [sym_this] = ACTIONS(1592),
    [sym_super] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [sym_null] = ACTIONS(1592),
    [sym_undefined] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1594),
    [anon_sym_static] = ACTIONS(1592),
    [anon_sym_readonly] = ACTIONS(1592),
    [anon_sym_get] = ACTIONS(1592),
    [anon_sym_set] = ACTIONS(1592),
    [anon_sym_declare] = ACTIONS(1592),
    [anon_sym_public] = ACTIONS(1592),
    [anon_sym_private] = ACTIONS(1592),
    [anon_sym_protected] = ACTIONS(1592),
    [anon_sym_override] = ACTIONS(1592),
    [anon_sym_module] = ACTIONS(1592),
    [anon_sym_any] = ACTIONS(1592),
    [anon_sym_number] = ACTIONS(1592),
    [anon_sym_boolean] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_symbol] = ACTIONS(1592),
    [anon_sym_property] = ACTIONS(1592),
    [anon_sym_signal] = ACTIONS(1592),
    [anon_sym_on] = ACTIONS(1592),
    [anon_sym_required] = ACTIONS(1592),
    [anon_sym_component] = ACTIONS(1592),
    [anon_sym_abstract] = ACTIONS(1592),
    [anon_sym_interface] = ACTIONS(1592),
    [anon_sym_enum] = ACTIONS(1592),
    [sym__automatic_semicolon] = ACTIONS(2298),
  },
  [671] = {
    [sym__call_signature] = STATE(4637),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2266),
    [anon_sym_EQ] = ACTIONS(1618),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2266),
    [anon_sym_from] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(1620),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_declare] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_override] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_any] = ACTIONS(2266),
    [anon_sym_number] = ACTIONS(2266),
    [anon_sym_boolean] = ACTIONS(2266),
    [anon_sym_string] = ACTIONS(2266),
    [anon_sym_symbol] = ACTIONS(2266),
    [anon_sym_property] = ACTIONS(2266),
    [anon_sym_signal] = ACTIONS(2266),
    [anon_sym_on] = ACTIONS(2266),
    [anon_sym_required] = ACTIONS(2266),
    [anon_sym_component] = ACTIONS(2266),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [672] = {
    [sym_identifier] = ACTIONS(1662),
    [anon_sym_export] = ACTIONS(1662),
    [anon_sym_default] = ACTIONS(1662),
    [anon_sym_type] = ACTIONS(1662),
    [anon_sym_namespace] = ACTIONS(1662),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_COMMA] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_typeof] = ACTIONS(1662),
    [anon_sym_import] = ACTIONS(1662),
    [anon_sym_from] = ACTIONS(1662),
    [anon_sym_var] = ACTIONS(1662),
    [anon_sym_let] = ACTIONS(1662),
    [anon_sym_const] = ACTIONS(1662),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1662),
    [anon_sym_switch] = ACTIONS(1662),
    [anon_sym_for] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_await] = ACTIONS(1662),
    [anon_sym_of] = ACTIONS(1662),
    [anon_sym_while] = ACTIONS(1662),
    [anon_sym_do] = ACTIONS(1662),
    [anon_sym_try] = ACTIONS(1662),
    [anon_sym_with] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1662),
    [anon_sym_continue] = ACTIONS(1662),
    [anon_sym_debugger] = ACTIONS(1662),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_case] = ACTIONS(1662),
    [anon_sym_yield] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_LT] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1662),
    [anon_sym_class] = ACTIONS(1662),
    [anon_sym_async] = ACTIONS(1662),
    [anon_sym_function] = ACTIONS(1662),
    [anon_sym_new] = ACTIONS(1662),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_void] = ACTIONS(1662),
    [anon_sym_delete] = ACTIONS(1662),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_DQUOTE] = ACTIONS(1664),
    [anon_sym_SQUOTE] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1664),
    [sym_number] = ACTIONS(1664),
    [sym_this] = ACTIONS(1662),
    [sym_super] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_null] = ACTIONS(1662),
    [sym_undefined] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1664),
    [anon_sym_static] = ACTIONS(1662),
    [anon_sym_readonly] = ACTIONS(1662),
    [anon_sym_get] = ACTIONS(1662),
    [anon_sym_set] = ACTIONS(1662),
    [anon_sym_declare] = ACTIONS(1662),
    [anon_sym_public] = ACTIONS(1662),
    [anon_sym_private] = ACTIONS(1662),
    [anon_sym_protected] = ACTIONS(1662),
    [anon_sym_override] = ACTIONS(1662),
    [anon_sym_module] = ACTIONS(1662),
    [anon_sym_any] = ACTIONS(1662),
    [anon_sym_number] = ACTIONS(1662),
    [anon_sym_boolean] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_symbol] = ACTIONS(1662),
    [anon_sym_property] = ACTIONS(1662),
    [anon_sym_signal] = ACTIONS(1662),
    [anon_sym_on] = ACTIONS(1662),
    [anon_sym_required] = ACTIONS(1662),
    [anon_sym_component] = ACTIONS(1662),
    [anon_sym_abstract] = ACTIONS(1662),
    [anon_sym_interface] = ACTIONS(1662),
    [anon_sym_enum] = ACTIONS(1662),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1664),
    [sym__automatic_semicolon] = ACTIONS(1664),
  },
  [673] = {
    [sym_identifier] = ACTIONS(1608),
    [anon_sym_export] = ACTIONS(1608),
    [anon_sym_default] = ACTIONS(1608),
    [anon_sym_type] = ACTIONS(1608),
    [anon_sym_namespace] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_typeof] = ACTIONS(1608),
    [anon_sym_import] = ACTIONS(1608),
    [anon_sym_from] = ACTIONS(1608),
    [anon_sym_var] = ACTIONS(1608),
    [anon_sym_let] = ACTIONS(1608),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1610),
    [anon_sym_else] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_await] = ACTIONS(1608),
    [anon_sym_of] = ACTIONS(1608),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_do] = ACTIONS(1608),
    [anon_sym_try] = ACTIONS(1608),
    [anon_sym_with] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_continue] = ACTIONS(1608),
    [anon_sym_debugger] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_throw] = ACTIONS(1608),
    [anon_sym_SEMI] = ACTIONS(1610),
    [anon_sym_case] = ACTIONS(1608),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_class] = ACTIONS(1608),
    [anon_sym_async] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1610),
    [anon_sym_void] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_PLUS_PLUS] = ACTIONS(1610),
    [anon_sym_DASH_DASH] = ACTIONS(1610),
    [anon_sym_DQUOTE] = ACTIONS(1610),
    [anon_sym_SQUOTE] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1610),
    [sym_number] = ACTIONS(1610),
    [sym_this] = ACTIONS(1608),
    [sym_super] = ACTIONS(1608),
    [sym_true] = ACTIONS(1608),
    [sym_false] = ACTIONS(1608),
    [sym_null] = ACTIONS(1608),
    [sym_undefined] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1610),
    [anon_sym_static] = ACTIONS(1608),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_get] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_declare] = ACTIONS(1608),
    [anon_sym_public] = ACTIONS(1608),
    [anon_sym_private] = ACTIONS(1608),
    [anon_sym_protected] = ACTIONS(1608),
    [anon_sym_override] = ACTIONS(1608),
    [anon_sym_module] = ACTIONS(1608),
    [anon_sym_any] = ACTIONS(1608),
    [anon_sym_number] = ACTIONS(1608),
    [anon_sym_boolean] = ACTIONS(1608),
    [anon_sym_string] = ACTIONS(1608),
    [anon_sym_symbol] = ACTIONS(1608),
    [anon_sym_property] = ACTIONS(1608),
    [anon_sym_signal] = ACTIONS(1608),
    [anon_sym_on] = ACTIONS(1608),
    [anon_sym_required] = ACTIONS(1608),
    [anon_sym_component] = ACTIONS(1608),
    [anon_sym_abstract] = ACTIONS(1608),
    [anon_sym_interface] = ACTIONS(1608),
    [anon_sym_enum] = ACTIONS(1608),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1610),
    [sym__automatic_semicolon] = ACTIONS(1610),
  },
  [674] = {
    [sym_identifier] = ACTIONS(1614),
    [anon_sym_export] = ACTIONS(1614),
    [anon_sym_default] = ACTIONS(1614),
    [anon_sym_type] = ACTIONS(1614),
    [anon_sym_namespace] = ACTIONS(1614),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [anon_sym_typeof] = ACTIONS(1614),
    [anon_sym_import] = ACTIONS(1614),
    [anon_sym_from] = ACTIONS(1614),
    [anon_sym_var] = ACTIONS(1614),
    [anon_sym_let] = ACTIONS(1614),
    [anon_sym_const] = ACTIONS(1614),
    [anon_sym_BANG] = ACTIONS(1616),
    [anon_sym_else] = ACTIONS(1614),
    [anon_sym_if] = ACTIONS(1614),
    [anon_sym_switch] = ACTIONS(1614),
    [anon_sym_for] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_await] = ACTIONS(1614),
    [anon_sym_of] = ACTIONS(1614),
    [anon_sym_while] = ACTIONS(1614),
    [anon_sym_do] = ACTIONS(1614),
    [anon_sym_try] = ACTIONS(1614),
    [anon_sym_with] = ACTIONS(1614),
    [anon_sym_break] = ACTIONS(1614),
    [anon_sym_continue] = ACTIONS(1614),
    [anon_sym_debugger] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1614),
    [anon_sym_throw] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1616),
    [anon_sym_case] = ACTIONS(1614),
    [anon_sym_catch] = ACTIONS(1614),
    [anon_sym_finally] = ACTIONS(1614),
    [anon_sym_yield] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_SLASH] = ACTIONS(1614),
    [anon_sym_class] = ACTIONS(1614),
    [anon_sym_async] = ACTIONS(1614),
    [anon_sym_function] = ACTIONS(1614),
    [anon_sym_new] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_void] = ACTIONS(1614),
    [anon_sym_delete] = ACTIONS(1614),
    [anon_sym_PLUS_PLUS] = ACTIONS(1616),
    [anon_sym_DASH_DASH] = ACTIONS(1616),
    [anon_sym_DQUOTE] = ACTIONS(1616),
    [anon_sym_SQUOTE] = ACTIONS(1616),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1616),
    [sym_number] = ACTIONS(1616),
    [sym_this] = ACTIONS(1614),
    [sym_super] = ACTIONS(1614),
    [sym_true] = ACTIONS(1614),
    [sym_false] = ACTIONS(1614),
    [sym_null] = ACTIONS(1614),
    [sym_undefined] = ACTIONS(1614),
    [anon_sym_AT] = ACTIONS(1616),
    [anon_sym_static] = ACTIONS(1614),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_get] = ACTIONS(1614),
    [anon_sym_set] = ACTIONS(1614),
    [anon_sym_declare] = ACTIONS(1614),
    [anon_sym_public] = ACTIONS(1614),
    [anon_sym_private] = ACTIONS(1614),
    [anon_sym_protected] = ACTIONS(1614),
    [anon_sym_override] = ACTIONS(1614),
    [anon_sym_module] = ACTIONS(1614),
    [anon_sym_any] = ACTIONS(1614),
    [anon_sym_number] = ACTIONS(1614),
    [anon_sym_boolean] = ACTIONS(1614),
    [anon_sym_string] = ACTIONS(1614),
    [anon_sym_symbol] = ACTIONS(1614),
    [anon_sym_property] = ACTIONS(1614),
    [anon_sym_signal] = ACTIONS(1614),
    [anon_sym_on] = ACTIONS(1614),
    [anon_sym_required] = ACTIONS(1614),
    [anon_sym_component] = ACTIONS(1614),
    [anon_sym_abstract] = ACTIONS(1614),
    [anon_sym_interface] = ACTIONS(1614),
    [anon_sym_enum] = ACTIONS(1614),
  },
  [675] = {
    [sym__call_signature] = STATE(4878),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2300),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_from] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(1660),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_property] = ACTIONS(2302),
    [anon_sym_signal] = ACTIONS(2302),
    [anon_sym_on] = ACTIONS(2302),
    [anon_sym_required] = ACTIONS(2302),
    [anon_sym_component] = ACTIONS(2302),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [676] = {
    [sym__call_signature] = STATE(4878),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2300),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_EQ] = ACTIONS(1658),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_from] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(1660),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_property] = ACTIONS(2302),
    [anon_sym_signal] = ACTIONS(2302),
    [anon_sym_on] = ACTIONS(2302),
    [anon_sym_required] = ACTIONS(2302),
    [anon_sym_component] = ACTIONS(2302),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [677] = {
    [sym_statement_block] = STATE(824),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_export] = ACTIONS(1498),
    [anon_sym_default] = ACTIONS(1498),
    [anon_sym_type] = ACTIONS(1498),
    [anon_sym_namespace] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(2307),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_typeof] = ACTIONS(1498),
    [anon_sym_import] = ACTIONS(1498),
    [anon_sym_from] = ACTIONS(1498),
    [anon_sym_var] = ACTIONS(1498),
    [anon_sym_let] = ACTIONS(1498),
    [anon_sym_const] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_else] = ACTIONS(1498),
    [anon_sym_if] = ACTIONS(1498),
    [anon_sym_switch] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [anon_sym_await] = ACTIONS(1498),
    [anon_sym_of] = ACTIONS(1498),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_do] = ACTIONS(1498),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_with] = ACTIONS(1498),
    [anon_sym_break] = ACTIONS(1498),
    [anon_sym_continue] = ACTIONS(1498),
    [anon_sym_debugger] = ACTIONS(1498),
    [anon_sym_return] = ACTIONS(1498),
    [anon_sym_throw] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_case] = ACTIONS(1498),
    [anon_sym_yield] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_DOT] = ACTIONS(2309),
    [anon_sym_class] = ACTIONS(1498),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1498),
    [anon_sym_delete] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [sym_number] = ACTIONS(1502),
    [sym_this] = ACTIONS(1498),
    [sym_super] = ACTIONS(1498),
    [sym_true] = ACTIONS(1498),
    [sym_false] = ACTIONS(1498),
    [sym_null] = ACTIONS(1498),
    [sym_undefined] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1502),
    [anon_sym_static] = ACTIONS(1498),
    [anon_sym_readonly] = ACTIONS(1498),
    [anon_sym_get] = ACTIONS(1498),
    [anon_sym_set] = ACTIONS(1498),
    [anon_sym_declare] = ACTIONS(1498),
    [anon_sym_public] = ACTIONS(1498),
    [anon_sym_private] = ACTIONS(1498),
    [anon_sym_protected] = ACTIONS(1498),
    [anon_sym_override] = ACTIONS(1498),
    [anon_sym_module] = ACTIONS(1498),
    [anon_sym_any] = ACTIONS(1498),
    [anon_sym_number] = ACTIONS(1498),
    [anon_sym_boolean] = ACTIONS(1498),
    [anon_sym_string] = ACTIONS(1498),
    [anon_sym_symbol] = ACTIONS(1498),
    [anon_sym_property] = ACTIONS(1498),
    [anon_sym_signal] = ACTIONS(1498),
    [anon_sym_on] = ACTIONS(1498),
    [anon_sym_required] = ACTIONS(1498),
    [anon_sym_component] = ACTIONS(1498),
    [anon_sym_abstract] = ACTIONS(1498),
    [anon_sym_interface] = ACTIONS(1498),
    [anon_sym_enum] = ACTIONS(1498),
  },
  [678] = {
    [sym__call_signature] = STATE(4895),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_export] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2186),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_from] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_of] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_readonly] = ACTIONS(2186),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
    [anon_sym_declare] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2186),
    [anon_sym_any] = ACTIONS(2186),
    [anon_sym_number] = ACTIONS(2186),
    [anon_sym_boolean] = ACTIONS(2186),
    [anon_sym_string] = ACTIONS(2186),
    [anon_sym_symbol] = ACTIONS(2186),
    [anon_sym_property] = ACTIONS(2186),
    [anon_sym_signal] = ACTIONS(2186),
    [anon_sym_on] = ACTIONS(2186),
    [anon_sym_required] = ACTIONS(2186),
    [anon_sym_component] = ACTIONS(2186),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [679] = {
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_export] = ACTIONS(1592),
    [anon_sym_default] = ACTIONS(1592),
    [anon_sym_type] = ACTIONS(1592),
    [anon_sym_namespace] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_typeof] = ACTIONS(1592),
    [anon_sym_import] = ACTIONS(1592),
    [anon_sym_from] = ACTIONS(1592),
    [anon_sym_var] = ACTIONS(1592),
    [anon_sym_let] = ACTIONS(1592),
    [anon_sym_const] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1594),
    [anon_sym_else] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_switch] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_of] = ACTIONS(1592),
    [anon_sym_while] = ACTIONS(1592),
    [anon_sym_do] = ACTIONS(1592),
    [anon_sym_try] = ACTIONS(1592),
    [anon_sym_with] = ACTIONS(1592),
    [anon_sym_break] = ACTIONS(1592),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_debugger] = ACTIONS(1592),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1594),
    [anon_sym_case] = ACTIONS(1592),
    [anon_sym_catch] = ACTIONS(1592),
    [anon_sym_finally] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_class] = ACTIONS(1592),
    [anon_sym_async] = ACTIONS(1592),
    [anon_sym_function] = ACTIONS(1592),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_void] = ACTIONS(1592),
    [anon_sym_delete] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [anon_sym_DQUOTE] = ACTIONS(1594),
    [anon_sym_SQUOTE] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1594),
    [sym_number] = ACTIONS(1594),
    [sym_this] = ACTIONS(1592),
    [sym_super] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [sym_null] = ACTIONS(1592),
    [sym_undefined] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1594),
    [anon_sym_static] = ACTIONS(1592),
    [anon_sym_readonly] = ACTIONS(1592),
    [anon_sym_get] = ACTIONS(1592),
    [anon_sym_set] = ACTIONS(1592),
    [anon_sym_declare] = ACTIONS(1592),
    [anon_sym_public] = ACTIONS(1592),
    [anon_sym_private] = ACTIONS(1592),
    [anon_sym_protected] = ACTIONS(1592),
    [anon_sym_override] = ACTIONS(1592),
    [anon_sym_module] = ACTIONS(1592),
    [anon_sym_any] = ACTIONS(1592),
    [anon_sym_number] = ACTIONS(1592),
    [anon_sym_boolean] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_symbol] = ACTIONS(1592),
    [anon_sym_property] = ACTIONS(1592),
    [anon_sym_signal] = ACTIONS(1592),
    [anon_sym_on] = ACTIONS(1592),
    [anon_sym_required] = ACTIONS(1592),
    [anon_sym_component] = ACTIONS(1592),
    [anon_sym_abstract] = ACTIONS(1592),
    [anon_sym_interface] = ACTIONS(1592),
    [anon_sym_enum] = ACTIONS(1592),
  },
  [680] = {
    [sym_finally_clause] = STATE(732),
    [sym_identifier] = ACTIONS(2311),
    [anon_sym_export] = ACTIONS(2311),
    [anon_sym_default] = ACTIONS(2311),
    [anon_sym_type] = ACTIONS(2311),
    [anon_sym_namespace] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(2313),
    [anon_sym_RBRACE] = ACTIONS(2313),
    [anon_sym_typeof] = ACTIONS(2311),
    [anon_sym_import] = ACTIONS(2311),
    [anon_sym_from] = ACTIONS(2311),
    [anon_sym_var] = ACTIONS(2311),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_const] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(2313),
    [anon_sym_else] = ACTIONS(2311),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_switch] = ACTIONS(2311),
    [anon_sym_for] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_await] = ACTIONS(2311),
    [anon_sym_of] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(2311),
    [anon_sym_do] = ACTIONS(2311),
    [anon_sym_try] = ACTIONS(2311),
    [anon_sym_with] = ACTIONS(2311),
    [anon_sym_break] = ACTIONS(2311),
    [anon_sym_continue] = ACTIONS(2311),
    [anon_sym_debugger] = ACTIONS(2311),
    [anon_sym_return] = ACTIONS(2311),
    [anon_sym_throw] = ACTIONS(2311),
    [anon_sym_SEMI] = ACTIONS(2313),
    [anon_sym_case] = ACTIONS(2311),
    [anon_sym_finally] = ACTIONS(2292),
    [anon_sym_yield] = ACTIONS(2311),
    [anon_sym_LBRACK] = ACTIONS(2313),
    [anon_sym_LT] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2311),
    [anon_sym_class] = ACTIONS(2311),
    [anon_sym_async] = ACTIONS(2311),
    [anon_sym_function] = ACTIONS(2311),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_TILDE] = ACTIONS(2313),
    [anon_sym_void] = ACTIONS(2311),
    [anon_sym_delete] = ACTIONS(2311),
    [anon_sym_PLUS_PLUS] = ACTIONS(2313),
    [anon_sym_DASH_DASH] = ACTIONS(2313),
    [anon_sym_DQUOTE] = ACTIONS(2313),
    [anon_sym_SQUOTE] = ACTIONS(2313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2313),
    [sym_number] = ACTIONS(2313),
    [sym_this] = ACTIONS(2311),
    [sym_super] = ACTIONS(2311),
    [sym_true] = ACTIONS(2311),
    [sym_false] = ACTIONS(2311),
    [sym_null] = ACTIONS(2311),
    [sym_undefined] = ACTIONS(2311),
    [anon_sym_AT] = ACTIONS(2313),
    [anon_sym_static] = ACTIONS(2311),
    [anon_sym_readonly] = ACTIONS(2311),
    [anon_sym_get] = ACTIONS(2311),
    [anon_sym_set] = ACTIONS(2311),
    [anon_sym_declare] = ACTIONS(2311),
    [anon_sym_public] = ACTIONS(2311),
    [anon_sym_private] = ACTIONS(2311),
    [anon_sym_protected] = ACTIONS(2311),
    [anon_sym_override] = ACTIONS(2311),
    [anon_sym_module] = ACTIONS(2311),
    [anon_sym_any] = ACTIONS(2311),
    [anon_sym_number] = ACTIONS(2311),
    [anon_sym_boolean] = ACTIONS(2311),
    [anon_sym_string] = ACTIONS(2311),
    [anon_sym_symbol] = ACTIONS(2311),
    [anon_sym_property] = ACTIONS(2311),
    [anon_sym_signal] = ACTIONS(2311),
    [anon_sym_on] = ACTIONS(2311),
    [anon_sym_required] = ACTIONS(2311),
    [anon_sym_component] = ACTIONS(2311),
    [anon_sym_abstract] = ACTIONS(2311),
    [anon_sym_interface] = ACTIONS(2311),
    [anon_sym_enum] = ACTIONS(2311),
  },
  [681] = {
    [sym__call_signature] = STATE(4895),
    [sym_formal_parameters] = STATE(3380),
    [sym_type_parameters] = STATE(4355),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_export] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_type] = ACTIONS(2186),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_from] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(2273),
    [anon_sym_of] = ACTIONS(2315),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_function] = ACTIONS(2194),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_readonly] = ACTIONS(2186),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
    [anon_sym_declare] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2186),
    [anon_sym_any] = ACTIONS(2186),
    [anon_sym_number] = ACTIONS(2186),
    [anon_sym_boolean] = ACTIONS(2186),
    [anon_sym_string] = ACTIONS(2186),
    [anon_sym_symbol] = ACTIONS(2186),
    [anon_sym_property] = ACTIONS(2186),
    [anon_sym_signal] = ACTIONS(2186),
    [anon_sym_on] = ACTIONS(2186),
    [anon_sym_required] = ACTIONS(2186),
    [anon_sym_component] = ACTIONS(2186),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [682] = {
    [sym_identifier] = ACTIONS(2317),
    [anon_sym_export] = ACTIONS(2317),
    [anon_sym_default] = ACTIONS(2317),
    [anon_sym_type] = ACTIONS(2317),
    [anon_sym_namespace] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_RBRACE] = ACTIONS(2319),
    [anon_sym_typeof] = ACTIONS(2317),
    [anon_sym_import] = ACTIONS(2317),
    [anon_sym_from] = ACTIONS(2317),
    [anon_sym_var] = ACTIONS(2317),
    [anon_sym_let] = ACTIONS(2317),
    [anon_sym_const] = ACTIONS(2317),
    [anon_sym_BANG] = ACTIONS(2319),
    [anon_sym_else] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2317),
    [anon_sym_switch] = ACTIONS(2317),
    [anon_sym_for] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(2319),
    [anon_sym_await] = ACTIONS(2317),
    [anon_sym_of] = ACTIONS(2317),
    [anon_sym_while] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(2317),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_with] = ACTIONS(2317),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_continue] = ACTIONS(2317),
    [anon_sym_debugger] = ACTIONS(2317),
    [anon_sym_return] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_SEMI] = ACTIONS(2319),
    [anon_sym_case] = ACTIONS(2317),
    [anon_sym_finally] = ACTIONS(2317),
    [anon_sym_yield] = ACTIONS(2317),
    [anon_sym_LBRACK] = ACTIONS(2319),
    [anon_sym_LT] = ACTIONS(2319),
    [anon_sym_SLASH] = ACTIONS(2317),
    [anon_sym_class] = ACTIONS(2317),
    [anon_sym_async] = ACTIONS(2317),
    [anon_sym_function] = ACTIONS(2317),
    [anon_sym_new] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_TILDE] = ACTIONS(2319),
    [anon_sym_void] = ACTIONS(2317),
    [anon_sym_delete] = ACTIONS(2317),
    [anon_sym_PLUS_PLUS] = ACTIONS(2319),
    [anon_sym_DASH_DASH] = ACTIONS(2319),
    [anon_sym_DQUOTE] = ACTIONS(2319),
    [anon_sym_SQUOTE] = ACTIONS(2319),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2319),
    [sym_number] = ACTIONS(2319),
    [sym_this] = ACTIONS(2317),
    [sym_super] = ACTIONS(2317),
    [sym_true] = ACTIONS(2317),
    [sym_false] = ACTIONS(2317),
    [sym_null] = ACTIONS(2317),
    [sym_undefined] = ACTIONS(2317),
    [anon_sym_AT] = ACTIONS(2319),
    [anon_sym_static] = ACTIONS(2317),
    [anon_sym_readonly] = ACTIONS(2317),
    [anon_sym_get] = ACTIONS(2317),
    [anon_sym_set] = ACTIONS(2317),
    [anon_sym_declare] = ACTIONS(2317),
    [anon_sym_public] = ACTIONS(2317),
    [anon_sym_private] = ACTIONS(2317),
    [anon_sym_protected] = ACTIONS(2317),
    [anon_sym_override] = ACTIONS(2317),
    [anon_sym_module] = ACTIONS(2317),
    [anon_sym_any] = ACTIONS(2317),
    [anon_sym_number] = ACTIONS(2317),
    [anon_sym_boolean] = ACTIONS(2317),
    [anon_sym_string] = ACTIONS(2317),
    [anon_sym_symbol] = ACTIONS(2317),
    [anon_sym_property] = ACTIONS(2317),
    [anon_sym_signal] = ACTIONS(2317),
    [anon_sym_on] = ACTIONS(2317),
    [anon_sym_required] = ACTIONS(2317),
    [anon_sym_component] = ACTIONS(2317),
    [anon_sym_abstract] = ACTIONS(2317),
    [anon_sym_interface] = ACTIONS(2317),
    [anon_sym_enum] = ACTIONS(2317),
  },
  [683] = {
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_export] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(1418),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_typeof] = ACTIONS(1418),
    [anon_sym_import] = ACTIONS(1418),
    [anon_sym_from] = ACTIONS(1418),
    [anon_sym_var] = ACTIONS(1418),
    [anon_sym_let] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [anon_sym_await] = ACTIONS(1418),
    [anon_sym_of] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_try] = ACTIONS(1418),
    [anon_sym_with] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_debugger] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_yield] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_SLASH] = ACTIONS(1418),
    [anon_sym_class] = ACTIONS(1418),
    [anon_sym_async] = ACTIONS(1418),
    [anon_sym_function] = ACTIONS(1418),
    [anon_sym_new] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_void] = ACTIONS(1418),
    [anon_sym_delete] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [sym_number] = ACTIONS(1424),
    [sym_this] = ACTIONS(1418),
    [sym_super] = ACTIONS(1418),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [sym_null] = ACTIONS(1418),
    [sym_undefined] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_readonly] = ACTIONS(1418),
    [anon_sym_get] = ACTIONS(1418),
    [anon_sym_set] = ACTIONS(1418),
    [anon_sym_declare] = ACTIONS(1418),
    [anon_sym_public] = ACTIONS(1418),
    [anon_sym_private] = ACTIONS(1418),
    [anon_sym_protected] = ACTIONS(1418),
    [anon_sym_override] = ACTIONS(1418),
    [anon_sym_module] = ACTIONS(1418),
    [anon_sym_any] = ACTIONS(1418),
    [anon_sym_number] = ACTIONS(1418),
    [anon_sym_boolean] = ACTIONS(1418),
    [anon_sym_string] = ACTIONS(1418),
    [anon_sym_symbol] = ACTIONS(1418),
    [anon_sym_property] = ACTIONS(1418),
    [anon_sym_signal] = ACTIONS(1418),
    [anon_sym_on] = ACTIONS(1418),
    [anon_sym_required] = ACTIONS(1418),
    [anon_sym_component] = ACTIONS(1418),
    [anon_sym_abstract] = ACTIONS(1418),
    [anon_sym_interface] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [sym__automatic_semicolon] = ACTIONS(2321),
  },
  [684] = {
    [sym_identifier] = ACTIONS(1678),
    [anon_sym_export] = ACTIONS(1678),
    [anon_sym_default] = ACTIONS(1678),
    [anon_sym_type] = ACTIONS(1678),
    [anon_sym_namespace] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_typeof] = ACTIONS(1678),
    [anon_sym_import] = ACTIONS(1678),
    [anon_sym_from] = ACTIONS(1678),
    [anon_sym_var] = ACTIONS(1678),
    [anon_sym_let] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1678),
    [anon_sym_for] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_await] = ACTIONS(1678),
    [anon_sym_of] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1678),
    [anon_sym_do] = ACTIONS(1678),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_with] = ACTIONS(1678),
    [anon_sym_break] = ACTIONS(1678),
    [anon_sym_continue] = ACTIONS(1678),
    [anon_sym_debugger] = ACTIONS(1678),
    [anon_sym_return] = ACTIONS(1678),
    [anon_sym_throw] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_yield] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_SLASH] = ACTIONS(1678),
    [anon_sym_class] = ACTIONS(1678),
    [anon_sym_async] = ACTIONS(1678),
    [anon_sym_function] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(1678),
    [anon_sym_PLUS] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_void] = ACTIONS(1678),
    [anon_sym_delete] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_DQUOTE] = ACTIONS(1682),
    [anon_sym_SQUOTE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1682),
    [sym_number] = ACTIONS(1682),
    [sym_this] = ACTIONS(1678),
    [sym_super] = ACTIONS(1678),
    [sym_true] = ACTIONS(1678),
    [sym_false] = ACTIONS(1678),
    [sym_null] = ACTIONS(1678),
    [sym_undefined] = ACTIONS(1678),
    [anon_sym_AT] = ACTIONS(1682),
    [anon_sym_static] = ACTIONS(1678),
    [anon_sym_readonly] = ACTIONS(1678),
    [anon_sym_get] = ACTIONS(1678),
    [anon_sym_set] = ACTIONS(1678),
    [anon_sym_declare] = ACTIONS(1678),
    [anon_sym_public] = ACTIONS(1678),
    [anon_sym_private] = ACTIONS(1678),
    [anon_sym_protected] = ACTIONS(1678),
    [anon_sym_override] = ACTIONS(1678),
    [anon_sym_module] = ACTIONS(1678),
    [anon_sym_any] = ACTIONS(1678),
    [anon_sym_number] = ACTIONS(1678),
    [anon_sym_boolean] = ACTIONS(1678),
    [anon_sym_string] = ACTIONS(1678),
    [anon_sym_symbol] = ACTIONS(1678),
    [anon_sym_property] = ACTIONS(1678),
    [anon_sym_signal] = ACTIONS(1678),
    [anon_sym_on] = ACTIONS(1678),
    [anon_sym_required] = ACTIONS(1678),
    [anon_sym_component] = ACTIONS(1678),
    [anon_sym_abstract] = ACTIONS(1678),
    [anon_sym_interface] = ACTIONS(1678),
    [anon_sym_enum] = ACTIONS(1678),
    [sym__automatic_semicolon] = ACTIONS(1686),
  },
  [685] = {
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1566),
    [anon_sym_default] = ACTIONS(1566),
    [anon_sym_type] = ACTIONS(1566),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [anon_sym_typeof] = ACTIONS(1566),
    [anon_sym_import] = ACTIONS(1566),
    [anon_sym_from] = ACTIONS(1566),
    [anon_sym_var] = ACTIONS(1566),
    [anon_sym_let] = ACTIONS(1566),
    [anon_sym_const] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_else] = ACTIONS(1566),
    [anon_sym_if] = ACTIONS(1566),
    [anon_sym_switch] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1570),
    [anon_sym_await] = ACTIONS(1566),
    [anon_sym_of] = ACTIONS(1566),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1566),
    [anon_sym_with] = ACTIONS(1566),
    [anon_sym_break] = ACTIONS(1566),
    [anon_sym_continue] = ACTIONS(1566),
    [anon_sym_debugger] = ACTIONS(1566),
    [anon_sym_return] = ACTIONS(1566),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_SEMI] = ACTIONS(1570),
    [anon_sym_case] = ACTIONS(1566),
    [anon_sym_yield] = ACTIONS(1566),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(1566),
    [anon_sym_class] = ACTIONS(1566),
    [anon_sym_async] = ACTIONS(1566),
    [anon_sym_function] = ACTIONS(1566),
    [anon_sym_new] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1566),
    [anon_sym_delete] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1570),
    [anon_sym_DASH_DASH] = ACTIONS(1570),
    [anon_sym_DQUOTE] = ACTIONS(1570),
    [anon_sym_SQUOTE] = ACTIONS(1570),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1570),
    [sym_number] = ACTIONS(1570),
    [sym_this] = ACTIONS(1566),
    [sym_super] = ACTIONS(1566),
    [sym_true] = ACTIONS(1566),
    [sym_false] = ACTIONS(1566),
    [sym_null] = ACTIONS(1566),
    [sym_undefined] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1570),
    [anon_sym_static] = ACTIONS(1566),
    [anon_sym_readonly] = ACTIONS(1566),
    [anon_sym_get] = ACTIONS(1566),
    [anon_sym_set] = ACTIONS(1566),
    [anon_sym_declare] = ACTIONS(1566),
    [anon_sym_public] = ACTIONS(1566),
    [anon_sym_private] = ACTIONS(1566),
    [anon_sym_protected] = ACTIONS(1566),
    [anon_sym_override] = ACTIONS(1566),
    [anon_sym_module] = ACTIONS(1566),
    [anon_sym_any] = ACTIONS(1566),
    [anon_sym_number] = ACTIONS(1566),
    [anon_sym_boolean] = ACTIONS(1566),
    [anon_sym_string] = ACTIONS(1566),
    [anon_sym_symbol] = ACTIONS(1566),
    [anon_sym_property] = ACTIONS(1566),
    [anon_sym_signal] = ACTIONS(1566),
    [anon_sym_on] = ACTIONS(1566),
    [anon_sym_required] = ACTIONS(1566),
    [anon_sym_component] = ACTIONS(1566),
    [anon_sym_abstract] = ACTIONS(1566),
    [anon_sym_interface] = ACTIONS(1566),
    [anon_sym_enum] = ACTIONS(1566),
    [sym__automatic_semicolon] = ACTIONS(1574),
  },
  [686] = {
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_default] = ACTIONS(2323),
    [anon_sym_type] = ACTIONS(2323),
    [anon_sym_namespace] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(2325),
    [anon_sym_RBRACE] = ACTIONS(2325),
    [anon_sym_typeof] = ACTIONS(2323),
    [anon_sym_import] = ACTIONS(2323),
    [anon_sym_from] = ACTIONS(2323),
    [anon_sym_var] = ACTIONS(2323),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_const] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(2325),
    [anon_sym_else] = ACTIONS(2323),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_switch] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_await] = ACTIONS(2323),
    [anon_sym_of] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_do] = ACTIONS(2323),
    [anon_sym_try] = ACTIONS(2323),
    [anon_sym_with] = ACTIONS(2323),
    [anon_sym_break] = ACTIONS(2323),
    [anon_sym_continue] = ACTIONS(2323),
    [anon_sym_debugger] = ACTIONS(2323),
    [anon_sym_return] = ACTIONS(2323),
    [anon_sym_throw] = ACTIONS(2323),
    [anon_sym_SEMI] = ACTIONS(2325),
    [anon_sym_case] = ACTIONS(2323),
    [anon_sym_finally] = ACTIONS(2323),
    [anon_sym_yield] = ACTIONS(2323),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_LT] = ACTIONS(2325),
    [anon_sym_SLASH] = ACTIONS(2323),
    [anon_sym_class] = ACTIONS(2323),
    [anon_sym_async] = ACTIONS(2323),
    [anon_sym_function] = ACTIONS(2323),
    [anon_sym_new] = ACTIONS(2323),
    [anon_sym_PLUS] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2325),
    [anon_sym_void] = ACTIONS(2323),
    [anon_sym_delete] = ACTIONS(2323),
    [anon_sym_PLUS_PLUS] = ACTIONS(2325),
    [anon_sym_DASH_DASH] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2325),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2325),
    [sym_number] = ACTIONS(2325),
    [sym_this] = ACTIONS(2323),
    [sym_super] = ACTIONS(2323),
    [sym_true] = ACTIONS(2323),
    [sym_false] = ACTIONS(2323),
    [sym_null] = ACTIONS(2323),
    [sym_undefined] = ACTIONS(2323),
    [anon_sym_AT] = ACTIONS(2325),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_readonly] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2323),
    [anon_sym_set] = ACTIONS(2323),
    [anon_sym_declare] = ACTIONS(2323),
    [anon_sym_public] = ACTIONS(2323),
    [anon_sym_private] = ACTIONS(2323),
    [anon_sym_protected] = ACTIONS(2323),
    [anon_sym_override] = ACTIONS(2323),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_any] = ACTIONS(2323),
    [anon_sym_number] = ACTIONS(2323),
    [anon_sym_boolean] = ACTIONS(2323),
    [anon_sym_string] = ACTIONS(2323),
    [anon_sym_symbol] = ACTIONS(2323),
    [anon_sym_property] = ACTIONS(2323),
    [anon_sym_signal] = ACTIONS(2323),
    [anon_sym_on] = ACTIONS(2323),
    [anon_sym_required] = ACTIONS(2323),
    [anon_sym_component] = ACTIONS(2323),
    [anon_sym_abstract] = ACTIONS(2323),
    [anon_sym_interface] = ACTIONS(2323),
    [anon_sym_enum] = ACTIONS(2323),
  },
  [687] = {
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_export] = ACTIONS(1592),
    [anon_sym_default] = ACTIONS(1592),
    [anon_sym_type] = ACTIONS(1592),
    [anon_sym_namespace] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_typeof] = ACTIONS(1592),
    [anon_sym_import] = ACTIONS(1592),
    [anon_sym_from] = ACTIONS(1592),
    [anon_sym_var] = ACTIONS(1592),
    [anon_sym_let] = ACTIONS(1592),
    [anon_sym_const] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1594),
    [anon_sym_else] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_switch] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_of] = ACTIONS(1592),
    [anon_sym_while] = ACTIONS(1592),
    [anon_sym_do] = ACTIONS(1592),
    [anon_sym_try] = ACTIONS(1592),
    [anon_sym_with] = ACTIONS(1592),
    [anon_sym_break] = ACTIONS(1592),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_debugger] = ACTIONS(1592),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1594),
    [anon_sym_case] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_class] = ACTIONS(1592),
    [anon_sym_async] = ACTIONS(1592),
    [anon_sym_function] = ACTIONS(1592),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_void] = ACTIONS(1592),
    [anon_sym_delete] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [anon_sym_DQUOTE] = ACTIONS(1594),
    [anon_sym_SQUOTE] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1594),
    [sym_number] = ACTIONS(1594),
    [sym_this] = ACTIONS(1592),
    [sym_super] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [sym_null] = ACTIONS(1592),
    [sym_undefined] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1594),
    [anon_sym_static] = ACTIONS(1592),
    [anon_sym_readonly] = ACTIONS(1592),
    [anon_sym_get] = ACTIONS(1592),
    [anon_sym_set] = ACTIONS(1592),
    [anon_sym_declare] = ACTIONS(1592),
    [anon_sym_public] = ACTIONS(1592),
    [anon_sym_private] = ACTIONS(1592),
    [anon_sym_protected] = ACTIONS(1592),
    [anon_sym_override] = ACTIONS(1592),
    [anon_sym_module] = ACTIONS(1592),
    [anon_sym_any] = ACTIONS(1592),
    [anon_sym_number] = ACTIONS(1592),
    [anon_sym_boolean] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_symbol] = ACTIONS(1592),
    [anon_sym_property] = ACTIONS(1592),
    [anon_sym_signal] = ACTIONS(1592),
    [anon_sym_on] = ACTIONS(1592),
    [anon_sym_required] = ACTIONS(1592),
    [anon_sym_component] = ACTIONS(1592),
    [anon_sym_abstract] = ACTIONS(1592),
    [anon_sym_interface] = ACTIONS(1592),
    [anon_sym_enum] = ACTIONS(1592),
    [sym__automatic_semicolon] = ACTIONS(2327),
  },
  [688] = {
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_export] = ACTIONS(1546),
    [anon_sym_default] = ACTIONS(1546),
    [anon_sym_type] = ACTIONS(1546),
    [anon_sym_namespace] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(1546),
    [anon_sym_from] = ACTIONS(1546),
    [anon_sym_var] = ACTIONS(1546),
    [anon_sym_let] = ACTIONS(1546),
    [anon_sym_const] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_else] = ACTIONS(1546),
    [anon_sym_if] = ACTIONS(1546),
    [anon_sym_switch] = ACTIONS(1546),
    [anon_sym_for] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_await] = ACTIONS(1546),
    [anon_sym_of] = ACTIONS(1546),
    [anon_sym_while] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1546),
    [anon_sym_try] = ACTIONS(1546),
    [anon_sym_with] = ACTIONS(1546),
    [anon_sym_break] = ACTIONS(1546),
    [anon_sym_continue] = ACTIONS(1546),
    [anon_sym_debugger] = ACTIONS(1546),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1550),
    [anon_sym_case] = ACTIONS(1546),
    [anon_sym_yield] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_LT] = ACTIONS(1550),
    [anon_sym_SLASH] = ACTIONS(1546),
    [anon_sym_class] = ACTIONS(1546),
    [anon_sym_async] = ACTIONS(1546),
    [anon_sym_function] = ACTIONS(1546),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_void] = ACTIONS(1546),
    [anon_sym_delete] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1550),
    [anon_sym_SQUOTE] = ACTIONS(1550),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1550),
    [sym_number] = ACTIONS(1550),
    [sym_this] = ACTIONS(1546),
    [sym_super] = ACTIONS(1546),
    [sym_true] = ACTIONS(1546),
    [sym_false] = ACTIONS(1546),
    [sym_null] = ACTIONS(1546),
    [sym_undefined] = ACTIONS(1546),
    [anon_sym_AT] = ACTIONS(1550),
    [anon_sym_static] = ACTIONS(1546),
    [anon_sym_readonly] = ACTIONS(1546),
    [anon_sym_get] = ACTIONS(1546),
    [anon_sym_set] = ACTIONS(1546),
    [anon_sym_declare] = ACTIONS(1546),
    [anon_sym_public] = ACTIONS(1546),
    [anon_sym_private] = ACTIONS(1546),
    [anon_sym_protected] = ACTIONS(1546),
    [anon_sym_override] = ACTIONS(1546),
    [anon_sym_module] = ACTIONS(1546),
    [anon_sym_any] = ACTIONS(1546),
    [anon_sym_number] = ACTIONS(1546),
    [anon_sym_boolean] = ACTIONS(1546),
    [anon_sym_string] = ACTIONS(1546),
    [anon_sym_symbol] = ACTIONS(1546),
    [anon_sym_property] = ACTIONS(1546),
    [anon_sym_signal] = ACTIONS(1546),
    [anon_sym_on] = ACTIONS(1546),
    [anon_sym_required] = ACTIONS(1546),
    [anon_sym_component] = ACTIONS(1546),
    [anon_sym_abstract] = ACTIONS(1546),
    [anon_sym_interface] = ACTIONS(1546),
    [anon_sym_enum] = ACTIONS(1546),
    [sym__automatic_semicolon] = ACTIONS(1554),
  },
  [689] = {
    [sym_identifier] = ACTIONS(1506),
    [anon_sym_export] = ACTIONS(1506),
    [anon_sym_default] = ACTIONS(1506),
    [anon_sym_type] = ACTIONS(1506),
    [anon_sym_namespace] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_typeof] = ACTIONS(1506),
    [anon_sym_import] = ACTIONS(1506),
    [anon_sym_from] = ACTIONS(1506),
    [anon_sym_var] = ACTIONS(1506),
    [anon_sym_let] = ACTIONS(1506),
    [anon_sym_const] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_else] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_switch] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_await] = ACTIONS(1506),
    [anon_sym_of] = ACTIONS(1506),
    [anon_sym_while] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1506),
    [anon_sym_try] = ACTIONS(1506),
    [anon_sym_with] = ACTIONS(1506),
    [anon_sym_break] = ACTIONS(1506),
    [anon_sym_continue] = ACTIONS(1506),
    [anon_sym_debugger] = ACTIONS(1506),
    [anon_sym_return] = ACTIONS(1506),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_case] = ACTIONS(1506),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_async] = ACTIONS(1506),
    [anon_sym_function] = ACTIONS(1506),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_void] = ACTIONS(1506),
    [anon_sym_delete] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1510),
    [sym_number] = ACTIONS(1510),
    [sym_this] = ACTIONS(1506),
    [sym_super] = ACTIONS(1506),
    [sym_true] = ACTIONS(1506),
    [sym_false] = ACTIONS(1506),
    [sym_null] = ACTIONS(1506),
    [sym_undefined] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1510),
    [anon_sym_static] = ACTIONS(1506),
    [anon_sym_readonly] = ACTIONS(1506),
    [anon_sym_get] = ACTIONS(1506),
    [anon_sym_set] = ACTIONS(1506),
    [anon_sym_declare] = ACTIONS(1506),
    [anon_sym_public] = ACTIONS(1506),
    [anon_sym_private] = ACTIONS(1506),
    [anon_sym_protected] = ACTIONS(1506),
    [anon_sym_override] = ACTIONS(1506),
    [anon_sym_module] = ACTIONS(1506),
    [anon_sym_any] = ACTIONS(1506),
    [anon_sym_number] = ACTIONS(1506),
    [anon_sym_boolean] = ACTIONS(1506),
    [anon_sym_string] = ACTIONS(1506),
    [anon_sym_symbol] = ACTIONS(1506),
    [anon_sym_property] = ACTIONS(1506),
    [anon_sym_signal] = ACTIONS(1506),
    [anon_sym_on] = ACTIONS(1506),
    [anon_sym_required] = ACTIONS(1506),
    [anon_sym_component] = ACTIONS(1506),
    [anon_sym_abstract] = ACTIONS(1506),
    [anon_sym_interface] = ACTIONS(1506),
    [anon_sym_enum] = ACTIONS(1506),
    [sym__automatic_semicolon] = ACTIONS(1514),
  },
  [690] = {
    [sym_identifier] = ACTIONS(1688),
    [anon_sym_export] = ACTIONS(1688),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1688),
    [anon_sym_namespace] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_typeof] = ACTIONS(1688),
    [anon_sym_import] = ACTIONS(1688),
    [anon_sym_from] = ACTIONS(1688),
    [anon_sym_var] = ACTIONS(1688),
    [anon_sym_let] = ACTIONS(1688),
    [anon_sym_const] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1688),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_switch] = ACTIONS(1688),
    [anon_sym_for] = ACTIONS(1688),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_await] = ACTIONS(1688),
    [anon_sym_of] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1688),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_try] = ACTIONS(1688),
    [anon_sym_with] = ACTIONS(1688),
    [anon_sym_break] = ACTIONS(1688),
    [anon_sym_continue] = ACTIONS(1688),
    [anon_sym_debugger] = ACTIONS(1688),
    [anon_sym_return] = ACTIONS(1688),
    [anon_sym_throw] = ACTIONS(1688),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1688),
    [anon_sym_yield] = ACTIONS(1688),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_LT] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(1688),
    [anon_sym_class] = ACTIONS(1688),
    [anon_sym_async] = ACTIONS(1688),
    [anon_sym_function] = ACTIONS(1688),
    [anon_sym_new] = ACTIONS(1688),
    [anon_sym_PLUS] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1688),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_void] = ACTIONS(1688),
    [anon_sym_delete] = ACTIONS(1688),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_DQUOTE] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1692),
    [sym_number] = ACTIONS(1692),
    [sym_this] = ACTIONS(1688),
    [sym_super] = ACTIONS(1688),
    [sym_true] = ACTIONS(1688),
    [sym_false] = ACTIONS(1688),
    [sym_null] = ACTIONS(1688),
    [sym_undefined] = ACTIONS(1688),
    [anon_sym_AT] = ACTIONS(1692),
    [anon_sym_static] = ACTIONS(1688),
    [anon_sym_readonly] = ACTIONS(1688),
    [anon_sym_get] = ACTIONS(1688),
    [anon_sym_set] = ACTIONS(1688),
    [anon_sym_declare] = ACTIONS(1688),
    [anon_sym_public] = ACTIONS(1688),
    [anon_sym_private] = ACTIONS(1688),
    [anon_sym_protected] = ACTIONS(1688),
    [anon_sym_override] = ACTIONS(1688),
    [anon_sym_module] = ACTIONS(1688),
    [anon_sym_any] = ACTIONS(1688),
    [anon_sym_number] = ACTIONS(1688),
    [anon_sym_boolean] = ACTIONS(1688),
    [anon_sym_string] = ACTIONS(1688),
    [anon_sym_symbol] = ACTIONS(1688),
    [anon_sym_property] = ACTIONS(1688),
    [anon_sym_signal] = ACTIONS(1688),
    [anon_sym_on] = ACTIONS(1688),
    [anon_sym_required] = ACTIONS(1688),
    [anon_sym_component] = ACTIONS(1688),
    [anon_sym_abstract] = ACTIONS(1688),
    [anon_sym_interface] = ACTIONS(1688),
    [anon_sym_enum] = ACTIONS(1688),
    [sym__automatic_semicolon] = ACTIONS(1696),
  },
  [691] = {
    [sym_identifier] = ACTIONS(2329),
    [anon_sym_export] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2329),
    [anon_sym_type] = ACTIONS(2329),
    [anon_sym_namespace] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_RBRACE] = ACTIONS(2331),
    [anon_sym_typeof] = ACTIONS(2329),
    [anon_sym_import] = ACTIONS(2329),
    [anon_sym_from] = ACTIONS(2329),
    [anon_sym_var] = ACTIONS(2329),
    [anon_sym_let] = ACTIONS(2329),
    [anon_sym_const] = ACTIONS(2329),
    [anon_sym_BANG] = ACTIONS(2331),
    [anon_sym_else] = ACTIONS(2329),
    [anon_sym_if] = ACTIONS(2329),
    [anon_sym_switch] = ACTIONS(2329),
    [anon_sym_for] = ACTIONS(2329),
    [anon_sym_LPAREN] = ACTIONS(2331),
    [anon_sym_await] = ACTIONS(2329),
    [anon_sym_of] = ACTIONS(2329),
    [anon_sym_while] = ACTIONS(2329),
    [anon_sym_do] = ACTIONS(2329),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_with] = ACTIONS(2329),
    [anon_sym_break] = ACTIONS(2329),
    [anon_sym_continue] = ACTIONS(2329),
    [anon_sym_debugger] = ACTIONS(2329),
    [anon_sym_return] = ACTIONS(2329),
    [anon_sym_throw] = ACTIONS(2329),
    [anon_sym_SEMI] = ACTIONS(2331),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_finally] = ACTIONS(2329),
    [anon_sym_yield] = ACTIONS(2329),
    [anon_sym_LBRACK] = ACTIONS(2331),
    [anon_sym_LT] = ACTIONS(2331),
    [anon_sym_SLASH] = ACTIONS(2329),
    [anon_sym_class] = ACTIONS(2329),
    [anon_sym_async] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2329),
    [anon_sym_new] = ACTIONS(2329),
    [anon_sym_PLUS] = ACTIONS(2329),
    [anon_sym_DASH] = ACTIONS(2329),
    [anon_sym_TILDE] = ACTIONS(2331),
    [anon_sym_void] = ACTIONS(2329),
    [anon_sym_delete] = ACTIONS(2329),
    [anon_sym_PLUS_PLUS] = ACTIONS(2331),
    [anon_sym_DASH_DASH] = ACTIONS(2331),
    [anon_sym_DQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2331),
    [sym_number] = ACTIONS(2331),
    [sym_this] = ACTIONS(2329),
    [sym_super] = ACTIONS(2329),
    [sym_true] = ACTIONS(2329),
    [sym_false] = ACTIONS(2329),
    [sym_null] = ACTIONS(2329),
    [sym_undefined] = ACTIONS(2329),
    [anon_sym_AT] = ACTIONS(2331),
    [anon_sym_static] = ACTIONS(2329),
    [anon_sym_readonly] = ACTIONS(2329),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_declare] = ACTIONS(2329),
    [anon_sym_public] = ACTIONS(2329),
    [anon_sym_private] = ACTIONS(2329),
    [anon_sym_protected] = ACTIONS(2329),
    [anon_sym_override] = ACTIONS(2329),
    [anon_sym_module] = ACTIONS(2329),
    [anon_sym_any] = ACTIONS(2329),
    [anon_sym_number] = ACTIONS(2329),
    [anon_sym_boolean] = ACTIONS(2329),
    [anon_sym_string] = ACTIONS(2329),
    [anon_sym_symbol] = ACTIONS(2329),
    [anon_sym_property] = ACTIONS(2329),
    [anon_sym_signal] = ACTIONS(2329),
    [anon_sym_on] = ACTIONS(2329),
    [anon_sym_required] = ACTIONS(2329),
    [anon_sym_component] = ACTIONS(2329),
    [anon_sym_abstract] = ACTIONS(2329),
    [anon_sym_interface] = ACTIONS(2329),
    [anon_sym_enum] = ACTIONS(2329),
  },
  [692] = {
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_export] = ACTIONS(2333),
    [anon_sym_default] = ACTIONS(2333),
    [anon_sym_type] = ACTIONS(2333),
    [anon_sym_namespace] = ACTIONS(2333),
    [anon_sym_LBRACE] = ACTIONS(2335),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_typeof] = ACTIONS(2333),
    [anon_sym_import] = ACTIONS(2333),
    [anon_sym_from] = ACTIONS(2333),
    [anon_sym_var] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_const] = ACTIONS(2333),
    [anon_sym_BANG] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_switch] = ACTIONS(2333),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [anon_sym_RPAREN] = ACTIONS(2335),
    [anon_sym_await] = ACTIONS(2333),
    [anon_sym_of] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_with] = ACTIONS(2333),
    [anon_sym_break] = ACTIONS(2333),
    [anon_sym_continue] = ACTIONS(2333),
    [anon_sym_debugger] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2333),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_case] = ACTIONS(2333),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_LT] = ACTIONS(2335),
    [anon_sym_SLASH] = ACTIONS(2333),
    [anon_sym_class] = ACTIONS(2333),
    [anon_sym_async] = ACTIONS(2333),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_TILDE] = ACTIONS(2335),
    [anon_sym_void] = ACTIONS(2333),
    [anon_sym_delete] = ACTIONS(2333),
    [anon_sym_PLUS_PLUS] = ACTIONS(2335),
    [anon_sym_DASH_DASH] = ACTIONS(2335),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2335),
    [sym_number] = ACTIONS(2335),
    [sym_this] = ACTIONS(2333),
    [sym_super] = ACTIONS(2333),
    [sym_true] = ACTIONS(2333),
    [sym_false] = ACTIONS(2333),
    [sym_null] = ACTIONS(2333),
    [sym_undefined] = ACTIONS(2333),
    [anon_sym_AT] = ACTIONS(2335),
    [anon_sym_static] = ACTIONS(2333),
    [anon_sym_readonly] = ACTIONS(2333),
    [anon_sym_get] = ACTIONS(2333),
    [anon_sym_set] = ACTIONS(2333),
    [anon_sym_declare] = ACTIONS(2333),
    [anon_sym_public] = ACTIONS(2333),
    [anon_sym_private] = ACTIONS(2333),
    [anon_sym_protected] = ACTIONS(2333),
    [anon_sym_override] = ACTIONS(2333),
    [anon_sym_module] = ACTIONS(2333),
    [anon_sym_any] = ACTIONS(2333),
    [anon_sym_number] = ACTIONS(2333),
    [anon_sym_boolean] = ACTIONS(2333),
    [anon_sym_string] = ACTIONS(2333),
    [anon_sym_symbol] = ACTIONS(2333),
    [anon_sym_property] = ACTIONS(2333),
    [anon_sym_signal] = ACTIONS(2333),
    [anon_sym_on] = ACTIONS(2333),
    [anon_sym_required] = ACTIONS(2333),
    [anon_sym_component] = ACTIONS(2333),
    [anon_sym_abstract] = ACTIONS(2333),
    [anon_sym_interface] = ACTIONS(2333),
    [anon_sym_enum] = ACTIONS(2333),
  },
  [693] = {
    [sym_identifier] = ACTIONS(1598),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_default] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_typeof] = ACTIONS(1598),
    [anon_sym_import] = ACTIONS(1598),
    [anon_sym_from] = ACTIONS(1598),
    [anon_sym_var] = ACTIONS(1598),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_const] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1602),
    [anon_sym_else] = ACTIONS(1598),
    [anon_sym_if] = ACTIONS(1598),
    [anon_sym_switch] = ACTIONS(1598),
    [anon_sym_for] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_await] = ACTIONS(1598),
    [anon_sym_of] = ACTIONS(1598),
    [anon_sym_while] = ACTIONS(1598),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_try] = ACTIONS(1598),
    [anon_sym_with] = ACTIONS(1598),
    [anon_sym_break] = ACTIONS(1598),
    [anon_sym_continue] = ACTIONS(1598),
    [anon_sym_debugger] = ACTIONS(1598),
    [anon_sym_return] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1602),
    [anon_sym_case] = ACTIONS(1598),
    [anon_sym_yield] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1598),
    [anon_sym_class] = ACTIONS(1598),
    [anon_sym_async] = ACTIONS(1598),
    [anon_sym_function] = ACTIONS(1598),
    [anon_sym_new] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_TILDE] = ACTIONS(1602),
    [anon_sym_void] = ACTIONS(1598),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_PLUS_PLUS] = ACTIONS(1602),
    [anon_sym_DASH_DASH] = ACTIONS(1602),
    [anon_sym_DQUOTE] = ACTIONS(1602),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1602),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1598),
    [sym_super] = ACTIONS(1598),
    [sym_true] = ACTIONS(1598),
    [sym_false] = ACTIONS(1598),
    [sym_null] = ACTIONS(1598),
    [sym_undefined] = ACTIONS(1598),
    [anon_sym_AT] = ACTIONS(1602),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_property] = ACTIONS(1598),
    [anon_sym_signal] = ACTIONS(1598),
    [anon_sym_on] = ACTIONS(1598),
    [anon_sym_required] = ACTIONS(1598),
    [anon_sym_component] = ACTIONS(1598),
    [anon_sym_abstract] = ACTIONS(1598),
    [anon_sym_interface] = ACTIONS(1598),
    [anon_sym_enum] = ACTIONS(1598),
    [sym__automatic_semicolon] = ACTIONS(1606),
  },
  [694] = {
    [sym_else_clause] = STATE(740),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_export] = ACTIONS(2337),
    [anon_sym_default] = ACTIONS(2337),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_LBRACE] = ACTIONS(2339),
    [anon_sym_RBRACE] = ACTIONS(2339),
    [anon_sym_typeof] = ACTIONS(2337),
    [anon_sym_import] = ACTIONS(2337),
    [anon_sym_from] = ACTIONS(2337),
    [anon_sym_var] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2337),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2341),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_switch] = ACTIONS(2337),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2339),
    [anon_sym_await] = ACTIONS(2337),
    [anon_sym_of] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_break] = ACTIONS(2337),
    [anon_sym_continue] = ACTIONS(2337),
    [anon_sym_debugger] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_throw] = ACTIONS(2337),
    [anon_sym_SEMI] = ACTIONS(2339),
    [anon_sym_case] = ACTIONS(2337),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_class] = ACTIONS(2337),
    [anon_sym_async] = ACTIONS(2337),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [anon_sym_void] = ACTIONS(2337),
    [anon_sym_delete] = ACTIONS(2337),
    [anon_sym_PLUS_PLUS] = ACTIONS(2339),
    [anon_sym_DASH_DASH] = ACTIONS(2339),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2339),
    [sym_number] = ACTIONS(2339),
    [sym_this] = ACTIONS(2337),
    [sym_super] = ACTIONS(2337),
    [sym_true] = ACTIONS(2337),
    [sym_false] = ACTIONS(2337),
    [sym_null] = ACTIONS(2337),
    [sym_undefined] = ACTIONS(2337),
    [anon_sym_AT] = ACTIONS(2339),
    [anon_sym_static] = ACTIONS(2337),
    [anon_sym_readonly] = ACTIONS(2337),
    [anon_sym_get] = ACTIONS(2337),
    [anon_sym_set] = ACTIONS(2337),
    [anon_sym_declare] = ACTIONS(2337),
    [anon_sym_public] = ACTIONS(2337),
    [anon_sym_private] = ACTIONS(2337),
    [anon_sym_protected] = ACTIONS(2337),
    [anon_sym_override] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_any] = ACTIONS(2337),
    [anon_sym_number] = ACTIONS(2337),
    [anon_sym_boolean] = ACTIONS(2337),
    [anon_sym_string] = ACTIONS(2337),
    [anon_sym_symbol] = ACTIONS(2337),
    [anon_sym_property] = ACTIONS(2337),
    [anon_sym_signal] = ACTIONS(2337),
    [anon_sym_on] = ACTIONS(2337),
    [anon_sym_required] = ACTIONS(2337),
    [anon_sym_component] = ACTIONS(2337),
    [anon_sym_abstract] = ACTIONS(2337),
    [anon_sym_interface] = ACTIONS(2337),
    [anon_sym_enum] = ACTIONS(2337),
  },
  [695] = {
    [sym_identifier] = ACTIONS(1516),
    [anon_sym_export] = ACTIONS(1516),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_type] = ACTIONS(1516),
    [anon_sym_namespace] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1520),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [anon_sym_typeof] = ACTIONS(1516),
    [anon_sym_import] = ACTIONS(1516),
    [anon_sym_from] = ACTIONS(1516),
    [anon_sym_var] = ACTIONS(1516),
    [anon_sym_let] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_else] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1520),
    [anon_sym_await] = ACTIONS(1516),
    [anon_sym_of] = ACTIONS(1516),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_do] = ACTIONS(1516),
    [anon_sym_try] = ACTIONS(1516),
    [anon_sym_with] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_debugger] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_throw] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1520),
    [anon_sym_case] = ACTIONS(1516),
    [anon_sym_yield] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1516),
    [anon_sym_class] = ACTIONS(1516),
    [anon_sym_async] = ACTIONS(1516),
    [anon_sym_function] = ACTIONS(1516),
    [anon_sym_new] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_void] = ACTIONS(1516),
    [anon_sym_delete] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1520),
    [anon_sym_DQUOTE] = ACTIONS(1520),
    [anon_sym_SQUOTE] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1520),
    [sym_this] = ACTIONS(1516),
    [sym_super] = ACTIONS(1516),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [sym_null] = ACTIONS(1516),
    [sym_undefined] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1520),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_readonly] = ACTIONS(1516),
    [anon_sym_get] = ACTIONS(1516),
    [anon_sym_set] = ACTIONS(1516),
    [anon_sym_declare] = ACTIONS(1516),
    [anon_sym_public] = ACTIONS(1516),
    [anon_sym_private] = ACTIONS(1516),
    [anon_sym_protected] = ACTIONS(1516),
    [anon_sym_override] = ACTIONS(1516),
    [anon_sym_module] = ACTIONS(1516),
    [anon_sym_any] = ACTIONS(1516),
    [anon_sym_number] = ACTIONS(1516),
    [anon_sym_boolean] = ACTIONS(1516),
    [anon_sym_string] = ACTIONS(1516),
    [anon_sym_symbol] = ACTIONS(1516),
    [anon_sym_property] = ACTIONS(1516),
    [anon_sym_signal] = ACTIONS(1516),
    [anon_sym_on] = ACTIONS(1516),
    [anon_sym_required] = ACTIONS(1516),
    [anon_sym_component] = ACTIONS(1516),
    [anon_sym_abstract] = ACTIONS(1516),
    [anon_sym_interface] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [sym__automatic_semicolon] = ACTIONS(1524),
  },
  [696] = {
    [sym_identifier] = ACTIONS(1526),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_default] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(1526),
    [anon_sym_from] = ACTIONS(1526),
    [anon_sym_var] = ACTIONS(1526),
    [anon_sym_let] = ACTIONS(1526),
    [anon_sym_const] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_else] = ACTIONS(1526),
    [anon_sym_if] = ACTIONS(1526),
    [anon_sym_switch] = ACTIONS(1526),
    [anon_sym_for] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_await] = ACTIONS(1526),
    [anon_sym_of] = ACTIONS(1526),
    [anon_sym_while] = ACTIONS(1526),
    [anon_sym_do] = ACTIONS(1526),
    [anon_sym_try] = ACTIONS(1526),
    [anon_sym_with] = ACTIONS(1526),
    [anon_sym_break] = ACTIONS(1526),
    [anon_sym_continue] = ACTIONS(1526),
    [anon_sym_debugger] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(1526),
    [anon_sym_throw] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1528),
    [anon_sym_case] = ACTIONS(1526),
    [anon_sym_yield] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_DOT] = ACTIONS(1526),
    [anon_sym_class] = ACTIONS(1526),
    [anon_sym_async] = ACTIONS(1526),
    [anon_sym_function] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_void] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1528),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [sym_number] = ACTIONS(1528),
    [sym_this] = ACTIONS(1526),
    [sym_super] = ACTIONS(1526),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_AT] = ACTIONS(1528),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_property] = ACTIONS(1526),
    [anon_sym_signal] = ACTIONS(1526),
    [anon_sym_on] = ACTIONS(1526),
    [anon_sym_required] = ACTIONS(1526),
    [anon_sym_component] = ACTIONS(1526),
    [anon_sym_abstract] = ACTIONS(1526),
    [anon_sym_interface] = ACTIONS(1526),
    [anon_sym_enum] = ACTIONS(1526),
  },
  [697] = {
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_export] = ACTIONS(1638),
    [anon_sym_default] = ACTIONS(1638),
    [anon_sym_type] = ACTIONS(1638),
    [anon_sym_namespace] = ACTIONS(1638),
    [anon_sym_LBRACE] = ACTIONS(1642),
    [anon_sym_RBRACE] = ACTIONS(1642),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(1638),
    [anon_sym_from] = ACTIONS(1638),
    [anon_sym_var] = ACTIONS(1638),
    [anon_sym_let] = ACTIONS(1638),
    [anon_sym_const] = ACTIONS(1638),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_else] = ACTIONS(1638),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_switch] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1642),
    [anon_sym_await] = ACTIONS(1638),
    [anon_sym_of] = ACTIONS(1638),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_do] = ACTIONS(1638),
    [anon_sym_try] = ACTIONS(1638),
    [anon_sym_with] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1638),
    [anon_sym_debugger] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_throw] = ACTIONS(1638),
    [anon_sym_SEMI] = ACTIONS(1642),
    [anon_sym_case] = ACTIONS(1638),
    [anon_sym_yield] = ACTIONS(1638),
    [anon_sym_LBRACK] = ACTIONS(1642),
    [anon_sym_LT] = ACTIONS(1642),
    [anon_sym_SLASH] = ACTIONS(1638),
    [anon_sym_class] = ACTIONS(1638),
    [anon_sym_async] = ACTIONS(1638),
    [anon_sym_function] = ACTIONS(1638),
    [anon_sym_new] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1642),
    [anon_sym_DASH_DASH] = ACTIONS(1642),
    [anon_sym_DQUOTE] = ACTIONS(1642),
    [anon_sym_SQUOTE] = ACTIONS(1642),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1642),
    [sym_number] = ACTIONS(1642),
    [sym_this] = ACTIONS(1638),
    [sym_super] = ACTIONS(1638),
    [sym_true] = ACTIONS(1638),
    [sym_false] = ACTIONS(1638),
    [sym_null] = ACTIONS(1638),
    [sym_undefined] = ACTIONS(1638),
    [anon_sym_AT] = ACTIONS(1642),
    [anon_sym_static] = ACTIONS(1638),
    [anon_sym_readonly] = ACTIONS(1638),
    [anon_sym_get] = ACTIONS(1638),
    [anon_sym_set] = ACTIONS(1638),
    [anon_sym_declare] = ACTIONS(1638),
    [anon_sym_public] = ACTIONS(1638),
    [anon_sym_private] = ACTIONS(1638),
    [anon_sym_protected] = ACTIONS(1638),
    [anon_sym_override] = ACTIONS(1638),
    [anon_sym_module] = ACTIONS(1638),
    [anon_sym_any] = ACTIONS(1638),
    [anon_sym_number] = ACTIONS(1638),
    [anon_sym_boolean] = ACTIONS(1638),
    [anon_sym_string] = ACTIONS(1638),
    [anon_sym_symbol] = ACTIONS(1638),
    [anon_sym_property] = ACTIONS(1638),
    [anon_sym_signal] = ACTIONS(1638),
    [anon_sym_on] = ACTIONS(1638),
    [anon_sym_required] = ACTIONS(1638),
    [anon_sym_component] = ACTIONS(1638),
    [anon_sym_abstract] = ACTIONS(1638),
    [anon_sym_interface] = ACTIONS(1638),
    [anon_sym_enum] = ACTIONS(1638),
    [sym__automatic_semicolon] = ACTIONS(1646),
  },
  [698] = {
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_export] = ACTIONS(1592),
    [anon_sym_default] = ACTIONS(1592),
    [anon_sym_type] = ACTIONS(1592),
    [anon_sym_namespace] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_typeof] = ACTIONS(1592),
    [anon_sym_import] = ACTIONS(1592),
    [anon_sym_from] = ACTIONS(1592),
    [anon_sym_var] = ACTIONS(1592),
    [anon_sym_let] = ACTIONS(1592),
    [anon_sym_const] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1594),
    [anon_sym_else] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_switch] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_of] = ACTIONS(1592),
    [anon_sym_while] = ACTIONS(1592),
    [anon_sym_do] = ACTIONS(1592),
    [anon_sym_try] = ACTIONS(1592),
    [anon_sym_with] = ACTIONS(1592),
    [anon_sym_break] = ACTIONS(1592),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_debugger] = ACTIONS(1592),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1594),
    [anon_sym_case] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_class] = ACTIONS(1592),
    [anon_sym_async] = ACTIONS(1592),
    [anon_sym_function] = ACTIONS(1592),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_void] = ACTIONS(1592),
    [anon_sym_delete] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [anon_sym_DQUOTE] = ACTIONS(1594),
    [anon_sym_SQUOTE] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1594),
    [sym_number] = ACTIONS(1594),
    [sym_this] = ACTIONS(1592),
    [sym_super] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [sym_null] = ACTIONS(1592),
    [sym_undefined] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1594),
    [anon_sym_static] = ACTIONS(1592),
    [anon_sym_readonly] = ACTIONS(1592),
    [anon_sym_get] = ACTIONS(1592),
    [anon_sym_set] = ACTIONS(1592),
    [anon_sym_declare] = ACTIONS(1592),
    [anon_sym_public] = ACTIONS(1592),
    [anon_sym_private] = ACTIONS(1592),
    [anon_sym_protected] = ACTIONS(1592),
    [anon_sym_override] = ACTIONS(1592),
    [anon_sym_module] = ACTIONS(1592),
    [anon_sym_any] = ACTIONS(1592),
    [anon_sym_number] = ACTIONS(1592),
    [anon_sym_boolean] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_symbol] = ACTIONS(1592),
    [anon_sym_property] = ACTIONS(1592),
    [anon_sym_signal] = ACTIONS(1592),
    [anon_sym_on] = ACTIONS(1592),
    [anon_sym_required] = ACTIONS(1592),
    [anon_sym_component] = ACTIONS(1592),
    [anon_sym_abstract] = ACTIONS(1592),
    [anon_sym_interface] = ACTIONS(1592),
    [anon_sym_enum] = ACTIONS(1592),
    [sym__automatic_semicolon] = ACTIONS(1594),
  },
  [699] = {
    [sym_identifier] = ACTIONS(1536),
    [anon_sym_export] = ACTIONS(1536),
    [anon_sym_default] = ACTIONS(1536),
    [anon_sym_type] = ACTIONS(1536),
    [anon_sym_namespace] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(1536),
    [anon_sym_from] = ACTIONS(1536),
    [anon_sym_var] = ACTIONS(1536),
    [anon_sym_let] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1540),
    [anon_sym_else] = ACTIONS(1536),
    [anon_sym_if] = ACTIONS(1536),
    [anon_sym_switch] = ACTIONS(1536),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_await] = ACTIONS(1536),
    [anon_sym_of] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1536),
    [anon_sym_do] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_with] = ACTIONS(1536),
    [anon_sym_break] = ACTIONS(1536),
    [anon_sym_continue] = ACTIONS(1536),
    [anon_sym_debugger] = ACTIONS(1536),
    [anon_sym_return] = ACTIONS(1536),
    [anon_sym_throw] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1540),
    [anon_sym_case] = ACTIONS(1536),
    [anon_sym_yield] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1536),
    [anon_sym_class] = ACTIONS(1536),
    [anon_sym_async] = ACTIONS(1536),
    [anon_sym_function] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1540),
    [anon_sym_SQUOTE] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1540),
    [sym_number] = ACTIONS(1540),
    [sym_this] = ACTIONS(1536),
    [sym_super] = ACTIONS(1536),
    [sym_true] = ACTIONS(1536),
    [sym_false] = ACTIONS(1536),
    [sym_null] = ACTIONS(1536),
    [sym_undefined] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1540),
    [anon_sym_static] = ACTIONS(1536),
    [anon_sym_readonly] = ACTIONS(1536),
    [anon_sym_get] = ACTIONS(1536),
    [anon_sym_set] = ACTIONS(1536),
    [anon_sym_declare] = ACTIONS(1536),
    [anon_sym_public] = ACTIONS(1536),
    [anon_sym_private] = ACTIONS(1536),
    [anon_sym_protected] = ACTIONS(1536),
    [anon_sym_override] = ACTIONS(1536),
    [anon_sym_module] = ACTIONS(1536),
    [anon_sym_any] = ACTIONS(1536),
    [anon_sym_number] = ACTIONS(1536),
    [anon_sym_boolean] = ACTIONS(1536),
    [anon_sym_string] = ACTIONS(1536),
    [anon_sym_symbol] = ACTIONS(1536),
    [anon_sym_property] = ACTIONS(1536),
    [anon_sym_signal] = ACTIONS(1536),
    [anon_sym_on] = ACTIONS(1536),
    [anon_sym_required] = ACTIONS(1536),
    [anon_sym_component] = ACTIONS(1536),
    [anon_sym_abstract] = ACTIONS(1536),
    [anon_sym_interface] = ACTIONS(1536),
    [anon_sym_enum] = ACTIONS(1536),
    [sym__automatic_semicolon] = ACTIONS(1544),
  },
  [700] = {
    [sym_identifier] = ACTIONS(2343),
    [anon_sym_export] = ACTIONS(2343),
    [anon_sym_default] = ACTIONS(2343),
    [anon_sym_type] = ACTIONS(2343),
    [anon_sym_namespace] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2345),
    [anon_sym_RBRACE] = ACTIONS(2345),
    [anon_sym_typeof] = ACTIONS(2343),
    [anon_sym_import] = ACTIONS(2343),
    [anon_sym_from] = ACTIONS(2343),
    [anon_sym_var] = ACTIONS(2343),
    [anon_sym_let] = ACTIONS(2343),
    [anon_sym_const] = ACTIONS(2343),
    [anon_sym_BANG] = ACTIONS(2345),
    [anon_sym_else] = ACTIONS(2343),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_switch] = ACTIONS(2343),
    [anon_sym_for] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(2345),
    [anon_sym_RPAREN] = ACTIONS(2345),
    [anon_sym_await] = ACTIONS(2343),
    [anon_sym_of] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2343),
    [anon_sym_do] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2343),
    [anon_sym_with] = ACTIONS(2343),
    [anon_sym_break] = ACTIONS(2343),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_debugger] = ACTIONS(2343),
    [anon_sym_return] = ACTIONS(2343),
    [anon_sym_throw] = ACTIONS(2343),
    [anon_sym_SEMI] = ACTIONS(2345),
    [anon_sym_case] = ACTIONS(2343),
    [anon_sym_yield] = ACTIONS(2343),
    [anon_sym_LBRACK] = ACTIONS(2345),
    [anon_sym_LT] = ACTIONS(2345),
    [anon_sym_SLASH] = ACTIONS(2343),
    [anon_sym_class] = ACTIONS(2343),
    [anon_sym_async] = ACTIONS(2343),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_new] = ACTIONS(2343),
    [anon_sym_PLUS] = ACTIONS(2343),
    [anon_sym_DASH] = ACTIONS(2343),
    [anon_sym_TILDE] = ACTIONS(2345),
    [anon_sym_void] = ACTIONS(2343),
    [anon_sym_delete] = ACTIONS(2343),
    [anon_sym_PLUS_PLUS] = ACTIONS(2345),
    [anon_sym_DASH_DASH] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2345),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2345),
    [sym_number] = ACTIONS(2345),
    [sym_this] = ACTIONS(2343),
    [sym_super] = ACTIONS(2343),
    [sym_true] = ACTIONS(2343),
    [sym_false] = ACTIONS(2343),
    [sym_null] = ACTIONS(2343),
    [sym_undefined] = ACTIONS(2343),
    [anon_sym_AT] = ACTIONS(2345),
    [anon_sym_static] = ACTIONS(2343),
    [anon_sym_readonly] = ACTIONS(2343),
    [anon_sym_get] = ACTIONS(2343),
    [anon_sym_set] = ACTIONS(2343),
    [anon_sym_declare] = ACTIONS(2343),
    [anon_sym_public] = ACTIONS(2343),
    [anon_sym_private] = ACTIONS(2343),
    [anon_sym_protected] = ACTIONS(2343),
    [anon_sym_override] = ACTIONS(2343),
    [anon_sym_module] = ACTIONS(2343),
    [anon_sym_any] = ACTIONS(2343),
    [anon_sym_number] = ACTIONS(2343),
    [anon_sym_boolean] = ACTIONS(2343),
    [anon_sym_string] = ACTIONS(2343),
    [anon_sym_symbol] = ACTIONS(2343),
    [anon_sym_property] = ACTIONS(2343),
    [anon_sym_signal] = ACTIONS(2343),
    [anon_sym_on] = ACTIONS(2343),
    [anon_sym_required] = ACTIONS(2343),
    [anon_sym_component] = ACTIONS(2343),
    [anon_sym_abstract] = ACTIONS(2343),
    [anon_sym_interface] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2343),
  },
  [701] = {
    [sym_identifier] = ACTIONS(1614),
    [anon_sym_export] = ACTIONS(1614),
    [anon_sym_default] = ACTIONS(1614),
    [anon_sym_type] = ACTIONS(1614),
    [anon_sym_namespace] = ACTIONS(1614),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [anon_sym_typeof] = ACTIONS(1614),
    [anon_sym_import] = ACTIONS(1614),
    [anon_sym_from] = ACTIONS(1614),
    [anon_sym_var] = ACTIONS(1614),
    [anon_sym_let] = ACTIONS(1614),
    [anon_sym_const] = ACTIONS(1614),
    [anon_sym_BANG] = ACTIONS(1616),
    [anon_sym_else] = ACTIONS(1614),
    [anon_sym_if] = ACTIONS(1614),
    [anon_sym_switch] = ACTIONS(1614),
    [anon_sym_for] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_await] = ACTIONS(1614),
    [anon_sym_of] = ACTIONS(1614),
    [anon_sym_while] = ACTIONS(1614),
    [anon_sym_do] = ACTIONS(1614),
    [anon_sym_try] = ACTIONS(1614),
    [anon_sym_with] = ACTIONS(1614),
    [anon_sym_break] = ACTIONS(1614),
    [anon_sym_continue] = ACTIONS(1614),
    [anon_sym_debugger] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1614),
    [anon_sym_throw] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1616),
    [anon_sym_case] = ACTIONS(1614),
    [anon_sym_yield] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_SLASH] = ACTIONS(1614),
    [anon_sym_class] = ACTIONS(1614),
    [anon_sym_async] = ACTIONS(1614),
    [anon_sym_function] = ACTIONS(1614),
    [anon_sym_new] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_void] = ACTIONS(1614),
    [anon_sym_delete] = ACTIONS(1614),
    [anon_sym_PLUS_PLUS] = ACTIONS(1616),
    [anon_sym_DASH_DASH] = ACTIONS(1616),
    [anon_sym_DQUOTE] = ACTIONS(1616),
    [anon_sym_SQUOTE] = ACTIONS(1616),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1616),
    [sym_number] = ACTIONS(1616),
    [sym_this] = ACTIONS(1614),
    [sym_super] = ACTIONS(1614),
    [sym_true] = ACTIONS(1614),
    [sym_false] = ACTIONS(1614),
    [sym_null] = ACTIONS(1614),
    [sym_undefined] = ACTIONS(1614),
    [anon_sym_AT] = ACTIONS(1616),
    [anon_sym_static] = ACTIONS(1614),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_get] = ACTIONS(1614),
    [anon_sym_set] = ACTIONS(1614),
    [anon_sym_declare] = ACTIONS(1614),
    [anon_sym_public] = ACTIONS(1614),
    [anon_sym_private] = ACTIONS(1614),
    [anon_sym_protected] = ACTIONS(1614),
    [anon_sym_override] = ACTIONS(1614),
    [anon_sym_module] = ACTIONS(1614),
    [anon_sym_any] = ACTIONS(1614),
    [anon_sym_number] = ACTIONS(1614),
    [anon_sym_boolean] = ACTIONS(1614),
    [anon_sym_string] = ACTIONS(1614),
    [anon_sym_symbol] = ACTIONS(1614),
    [anon_sym_property] = ACTIONS(1614),
    [anon_sym_signal] = ACTIONS(1614),
    [anon_sym_on] = ACTIONS(1614),
    [anon_sym_required] = ACTIONS(1614),
    [anon_sym_component] = ACTIONS(1614),
    [anon_sym_abstract] = ACTIONS(1614),
    [anon_sym_interface] = ACTIONS(1614),
    [anon_sym_enum] = ACTIONS(1614),
    [sym__automatic_semicolon] = ACTIONS(1616),
  },
  [702] = {
    [sym_statement_block] = STATE(824),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_export] = ACTIONS(1498),
    [anon_sym_default] = ACTIONS(1498),
    [anon_sym_type] = ACTIONS(1498),
    [anon_sym_namespace] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(2307),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_typeof] = ACTIONS(1498),
    [anon_sym_import] = ACTIONS(1498),
    [anon_sym_from] = ACTIONS(1498),
    [anon_sym_var] = ACTIONS(1498),
    [anon_sym_let] = ACTIONS(1498),
    [anon_sym_const] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_else] = ACTIONS(1498),
    [anon_sym_if] = ACTIONS(1498),
    [anon_sym_switch] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [anon_sym_await] = ACTIONS(1498),
    [anon_sym_of] = ACTIONS(1498),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_do] = ACTIONS(1498),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_with] = ACTIONS(1498),
    [anon_sym_break] = ACTIONS(1498),
    [anon_sym_continue] = ACTIONS(1498),
    [anon_sym_debugger] = ACTIONS(1498),
    [anon_sym_return] = ACTIONS(1498),
    [anon_sym_throw] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_case] = ACTIONS(1498),
    [anon_sym_yield] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_class] = ACTIONS(1498),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1498),
    [anon_sym_delete] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [sym_number] = ACTIONS(1502),
    [sym_this] = ACTIONS(1498),
    [sym_super] = ACTIONS(1498),
    [sym_true] = ACTIONS(1498),
    [sym_false] = ACTIONS(1498),
    [sym_null] = ACTIONS(1498),
    [sym_undefined] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1502),
    [anon_sym_static] = ACTIONS(1498),
    [anon_sym_readonly] = ACTIONS(1498),
    [anon_sym_get] = ACTIONS(1498),
    [anon_sym_set] = ACTIONS(1498),
    [anon_sym_declare] = ACTIONS(1498),
    [anon_sym_public] = ACTIONS(1498),
    [anon_sym_private] = ACTIONS(1498),
    [anon_sym_protected] = ACTIONS(1498),
    [anon_sym_override] = ACTIONS(1498),
    [anon_sym_module] = ACTIONS(1498),
    [anon_sym_any] = ACTIONS(1498),
    [anon_sym_number] = ACTIONS(1498),
    [anon_sym_boolean] = ACTIONS(1498),
    [anon_sym_string] = ACTIONS(1498),
    [anon_sym_symbol] = ACTIONS(1498),
    [anon_sym_property] = ACTIONS(1498),
    [anon_sym_signal] = ACTIONS(1498),
    [anon_sym_on] = ACTIONS(1498),
    [anon_sym_required] = ACTIONS(1498),
    [anon_sym_component] = ACTIONS(1498),
    [anon_sym_abstract] = ACTIONS(1498),
    [anon_sym_interface] = ACTIONS(1498),
    [anon_sym_enum] = ACTIONS(1498),
  },
  [703] = {
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_export] = ACTIONS(1556),
    [anon_sym_default] = ACTIONS(1556),
    [anon_sym_type] = ACTIONS(1556),
    [anon_sym_namespace] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [anon_sym_typeof] = ACTIONS(1556),
    [anon_sym_import] = ACTIONS(1556),
    [anon_sym_from] = ACTIONS(1556),
    [anon_sym_var] = ACTIONS(1556),
    [anon_sym_let] = ACTIONS(1556),
    [anon_sym_const] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_else] = ACTIONS(1556),
    [anon_sym_if] = ACTIONS(1556),
    [anon_sym_switch] = ACTIONS(1556),
    [anon_sym_for] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_await] = ACTIONS(1556),
    [anon_sym_of] = ACTIONS(1556),
    [anon_sym_while] = ACTIONS(1556),
    [anon_sym_do] = ACTIONS(1556),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_with] = ACTIONS(1556),
    [anon_sym_break] = ACTIONS(1556),
    [anon_sym_continue] = ACTIONS(1556),
    [anon_sym_debugger] = ACTIONS(1556),
    [anon_sym_return] = ACTIONS(1556),
    [anon_sym_throw] = ACTIONS(1556),
    [anon_sym_SEMI] = ACTIONS(1560),
    [anon_sym_case] = ACTIONS(1556),
    [anon_sym_yield] = ACTIONS(1556),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_SLASH] = ACTIONS(1556),
    [anon_sym_class] = ACTIONS(1556),
    [anon_sym_async] = ACTIONS(1556),
    [anon_sym_function] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_void] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [anon_sym_DQUOTE] = ACTIONS(1560),
    [anon_sym_SQUOTE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1560),
    [sym_number] = ACTIONS(1560),
    [sym_this] = ACTIONS(1556),
    [sym_super] = ACTIONS(1556),
    [sym_true] = ACTIONS(1556),
    [sym_false] = ACTIONS(1556),
    [sym_null] = ACTIONS(1556),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(1560),
    [anon_sym_static] = ACTIONS(1556),
    [anon_sym_readonly] = ACTIONS(1556),
    [anon_sym_get] = ACTIONS(1556),
    [anon_sym_set] = ACTIONS(1556),
    [anon_sym_declare] = ACTIONS(1556),
    [anon_sym_public] = ACTIONS(1556),
    [anon_sym_private] = ACTIONS(1556),
    [anon_sym_protected] = ACTIONS(1556),
    [anon_sym_override] = ACTIONS(1556),
    [anon_sym_module] = ACTIONS(1556),
    [anon_sym_any] = ACTIONS(1556),
    [anon_sym_number] = ACTIONS(1556),
    [anon_sym_boolean] = ACTIONS(1556),
    [anon_sym_string] = ACTIONS(1556),
    [anon_sym_symbol] = ACTIONS(1556),
    [anon_sym_property] = ACTIONS(1556),
    [anon_sym_signal] = ACTIONS(1556),
    [anon_sym_on] = ACTIONS(1556),
    [anon_sym_required] = ACTIONS(1556),
    [anon_sym_component] = ACTIONS(1556),
    [anon_sym_abstract] = ACTIONS(1556),
    [anon_sym_interface] = ACTIONS(1556),
    [anon_sym_enum] = ACTIONS(1556),
    [sym__automatic_semicolon] = ACTIONS(1564),
  },
  [704] = {
    [sym_identifier] = ACTIONS(1666),
    [anon_sym_export] = ACTIONS(1666),
    [anon_sym_default] = ACTIONS(1666),
    [anon_sym_type] = ACTIONS(1666),
    [anon_sym_namespace] = ACTIONS(1666),
    [anon_sym_LBRACE] = ACTIONS(1670),
    [anon_sym_RBRACE] = ACTIONS(1670),
    [anon_sym_typeof] = ACTIONS(1666),
    [anon_sym_import] = ACTIONS(1666),
    [anon_sym_from] = ACTIONS(1666),
    [anon_sym_var] = ACTIONS(1666),
    [anon_sym_let] = ACTIONS(1666),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_BANG] = ACTIONS(1670),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1670),
    [anon_sym_await] = ACTIONS(1666),
    [anon_sym_of] = ACTIONS(1666),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_do] = ACTIONS(1666),
    [anon_sym_try] = ACTIONS(1666),
    [anon_sym_with] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_debugger] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_throw] = ACTIONS(1666),
    [anon_sym_SEMI] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1666),
    [anon_sym_yield] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_class] = ACTIONS(1666),
    [anon_sym_async] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_TILDE] = ACTIONS(1670),
    [anon_sym_void] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_PLUS_PLUS] = ACTIONS(1670),
    [anon_sym_DASH_DASH] = ACTIONS(1670),
    [anon_sym_DQUOTE] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1670),
    [sym_number] = ACTIONS(1670),
    [sym_this] = ACTIONS(1666),
    [sym_super] = ACTIONS(1666),
    [sym_true] = ACTIONS(1666),
    [sym_false] = ACTIONS(1666),
    [sym_null] = ACTIONS(1666),
    [sym_undefined] = ACTIONS(1666),
    [anon_sym_AT] = ACTIONS(1670),
    [anon_sym_static] = ACTIONS(1666),
    [anon_sym_readonly] = ACTIONS(1666),
    [anon_sym_get] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_declare] = ACTIONS(1666),
    [anon_sym_public] = ACTIONS(1666),
    [anon_sym_private] = ACTIONS(1666),
    [anon_sym_protected] = ACTIONS(1666),
    [anon_sym_override] = ACTIONS(1666),
    [anon_sym_module] = ACTIONS(1666),
    [anon_sym_any] = ACTIONS(1666),
    [anon_sym_number] = ACTIONS(1666),
    [anon_sym_boolean] = ACTIONS(1666),
    [anon_sym_string] = ACTIONS(1666),
    [anon_sym_symbol] = ACTIONS(1666),
    [anon_sym_property] = ACTIONS(1666),
    [anon_sym_signal] = ACTIONS(1666),
    [anon_sym_on] = ACTIONS(1666),
    [anon_sym_required] = ACTIONS(1666),
    [anon_sym_component] = ACTIONS(1666),
    [anon_sym_abstract] = ACTIONS(1666),
    [anon_sym_interface] = ACTIONS(1666),
    [anon_sym_enum] = ACTIONS(1666),
    [sym__automatic_semicolon] = ACTIONS(1674),
  },
  [705] = {
    [sym_identifier] = ACTIONS(1698),
    [anon_sym_export] = ACTIONS(1698),
    [anon_sym_default] = ACTIONS(1698),
    [anon_sym_type] = ACTIONS(1698),
    [anon_sym_namespace] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_typeof] = ACTIONS(1698),
    [anon_sym_import] = ACTIONS(1698),
    [anon_sym_from] = ACTIONS(1698),
    [anon_sym_var] = ACTIONS(1698),
    [anon_sym_let] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_await] = ACTIONS(1698),
    [anon_sym_of] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_do] = ACTIONS(1698),
    [anon_sym_try] = ACTIONS(1698),
    [anon_sym_with] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_continue] = ACTIONS(1698),
    [anon_sym_debugger] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_throw] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_case] = ACTIONS(1698),
    [anon_sym_yield] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_class] = ACTIONS(1698),
    [anon_sym_async] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_new] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_void] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_DQUOTE] = ACTIONS(1702),
    [anon_sym_SQUOTE] = ACTIONS(1702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1702),
    [sym_number] = ACTIONS(1702),
    [sym_this] = ACTIONS(1698),
    [sym_super] = ACTIONS(1698),
    [sym_true] = ACTIONS(1698),
    [sym_false] = ACTIONS(1698),
    [sym_null] = ACTIONS(1698),
    [sym_undefined] = ACTIONS(1698),
    [anon_sym_AT] = ACTIONS(1702),
    [anon_sym_static] = ACTIONS(1698),
    [anon_sym_readonly] = ACTIONS(1698),
    [anon_sym_get] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_declare] = ACTIONS(1698),
    [anon_sym_public] = ACTIONS(1698),
    [anon_sym_private] = ACTIONS(1698),
    [anon_sym_protected] = ACTIONS(1698),
    [anon_sym_override] = ACTIONS(1698),
    [anon_sym_module] = ACTIONS(1698),
    [anon_sym_any] = ACTIONS(1698),
    [anon_sym_number] = ACTIONS(1698),
    [anon_sym_boolean] = ACTIONS(1698),
    [anon_sym_string] = ACTIONS(1698),
    [anon_sym_symbol] = ACTIONS(1698),
    [anon_sym_property] = ACTIONS(1698),
    [anon_sym_signal] = ACTIONS(1698),
    [anon_sym_on] = ACTIONS(1698),
    [anon_sym_required] = ACTIONS(1698),
    [anon_sym_component] = ACTIONS(1698),
    [anon_sym_abstract] = ACTIONS(1698),
    [anon_sym_interface] = ACTIONS(1698),
    [anon_sym_enum] = ACTIONS(1698),
    [sym__automatic_semicolon] = ACTIONS(1706),
  },
  [706] = {
    [sym_identifier] = ACTIONS(2347),
    [anon_sym_export] = ACTIONS(2347),
    [anon_sym_default] = ACTIONS(2347),
    [anon_sym_type] = ACTIONS(2347),
    [anon_sym_namespace] = ACTIONS(2347),
    [anon_sym_LBRACE] = ACTIONS(2349),
    [anon_sym_RBRACE] = ACTIONS(2349),
    [anon_sym_typeof] = ACTIONS(2347),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_from] = ACTIONS(2347),
    [anon_sym_var] = ACTIONS(2347),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_const] = ACTIONS(2347),
    [anon_sym_BANG] = ACTIONS(2349),
    [anon_sym_else] = ACTIONS(2347),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_switch] = ACTIONS(2347),
    [anon_sym_for] = ACTIONS(2347),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_await] = ACTIONS(2347),
    [anon_sym_of] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2347),
    [anon_sym_do] = ACTIONS(2347),
    [anon_sym_try] = ACTIONS(2347),
    [anon_sym_with] = ACTIONS(2347),
    [anon_sym_break] = ACTIONS(2347),
    [anon_sym_continue] = ACTIONS(2347),
    [anon_sym_debugger] = ACTIONS(2347),
    [anon_sym_return] = ACTIONS(2347),
    [anon_sym_throw] = ACTIONS(2347),
    [anon_sym_SEMI] = ACTIONS(2349),
    [anon_sym_case] = ACTIONS(2347),
    [anon_sym_yield] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [anon_sym_LT] = ACTIONS(2349),
    [anon_sym_SLASH] = ACTIONS(2347),
    [anon_sym_class] = ACTIONS(2347),
    [anon_sym_async] = ACTIONS(2347),
    [anon_sym_function] = ACTIONS(2347),
    [anon_sym_new] = ACTIONS(2347),
    [anon_sym_PLUS] = ACTIONS(2347),
    [anon_sym_DASH] = ACTIONS(2347),
    [anon_sym_TILDE] = ACTIONS(2349),
    [anon_sym_void] = ACTIONS(2347),
    [anon_sym_delete] = ACTIONS(2347),
    [anon_sym_PLUS_PLUS] = ACTIONS(2349),
    [anon_sym_DASH_DASH] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2349),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2349),
    [sym_number] = ACTIONS(2349),
    [sym_this] = ACTIONS(2347),
    [sym_super] = ACTIONS(2347),
    [sym_true] = ACTIONS(2347),
    [sym_false] = ACTIONS(2347),
    [sym_null] = ACTIONS(2347),
    [sym_undefined] = ACTIONS(2347),
    [anon_sym_AT] = ACTIONS(2349),
    [anon_sym_static] = ACTIONS(2347),
    [anon_sym_readonly] = ACTIONS(2347),
    [anon_sym_get] = ACTIONS(2347),
    [anon_sym_set] = ACTIONS(2347),
    [anon_sym_declare] = ACTIONS(2347),
    [anon_sym_public] = ACTIONS(2347),
    [anon_sym_private] = ACTIONS(2347),
    [anon_sym_protected] = ACTIONS(2347),
    [anon_sym_override] = ACTIONS(2347),
    [anon_sym_module] = ACTIONS(2347),
    [anon_sym_any] = ACTIONS(2347),
    [anon_sym_number] = ACTIONS(2347),
    [anon_sym_boolean] = ACTIONS(2347),
    [anon_sym_string] = ACTIONS(2347),
    [anon_sym_symbol] = ACTIONS(2347),
    [anon_sym_property] = ACTIONS(2347),
    [anon_sym_signal] = ACTIONS(2347),
    [anon_sym_on] = ACTIONS(2347),
    [anon_sym_required] = ACTIONS(2347),
    [anon_sym_component] = ACTIONS(2347),
    [anon_sym_abstract] = ACTIONS(2347),
    [anon_sym_interface] = ACTIONS(2347),
    [anon_sym_enum] = ACTIONS(2347),
  },
  [707] = {
    [sym_identifier] = ACTIONS(2351),
    [anon_sym_export] = ACTIONS(2351),
    [anon_sym_default] = ACTIONS(2351),
    [anon_sym_type] = ACTIONS(2351),
    [anon_sym_namespace] = ACTIONS(2351),
    [anon_sym_LBRACE] = ACTIONS(2353),
    [anon_sym_RBRACE] = ACTIONS(2353),
    [anon_sym_typeof] = ACTIONS(2351),
    [anon_sym_import] = ACTIONS(2351),
    [anon_sym_from] = ACTIONS(2351),
    [anon_sym_var] = ACTIONS(2351),
    [anon_sym_let] = ACTIONS(2351),
    [anon_sym_const] = ACTIONS(2351),
    [anon_sym_BANG] = ACTIONS(2353),
    [anon_sym_else] = ACTIONS(2351),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_LPAREN] = ACTIONS(2353),
    [anon_sym_await] = ACTIONS(2351),
    [anon_sym_of] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_do] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2351),
    [anon_sym_with] = ACTIONS(2351),
    [anon_sym_break] = ACTIONS(2351),
    [anon_sym_continue] = ACTIONS(2351),
    [anon_sym_debugger] = ACTIONS(2351),
    [anon_sym_return] = ACTIONS(2351),
    [anon_sym_throw] = ACTIONS(2351),
    [anon_sym_SEMI] = ACTIONS(2353),
    [anon_sym_case] = ACTIONS(2351),
    [anon_sym_yield] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [anon_sym_LT] = ACTIONS(2353),
    [anon_sym_SLASH] = ACTIONS(2351),
    [anon_sym_class] = ACTIONS(2351),
    [anon_sym_async] = ACTIONS(2351),
    [anon_sym_function] = ACTIONS(2351),
    [anon_sym_new] = ACTIONS(2351),
    [anon_sym_PLUS] = ACTIONS(2351),
    [anon_sym_DASH] = ACTIONS(2351),
    [anon_sym_TILDE] = ACTIONS(2353),
    [anon_sym_void] = ACTIONS(2351),
    [anon_sym_delete] = ACTIONS(2351),
    [anon_sym_PLUS_PLUS] = ACTIONS(2353),
    [anon_sym_DASH_DASH] = ACTIONS(2353),
    [anon_sym_DQUOTE] = ACTIONS(2353),
    [anon_sym_SQUOTE] = ACTIONS(2353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2353),
    [sym_number] = ACTIONS(2353),
    [sym_this] = ACTIONS(2351),
    [sym_super] = ACTIONS(2351),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [sym_null] = ACTIONS(2351),
    [sym_undefined] = ACTIONS(2351),
    [anon_sym_AT] = ACTIONS(2353),
    [anon_sym_static] = ACTIONS(2351),
    [anon_sym_readonly] = ACTIONS(2351),
    [anon_sym_get] = ACTIONS(2351),
    [anon_sym_set] = ACTIONS(2351),
    [anon_sym_declare] = ACTIONS(2351),
    [anon_sym_public] = ACTIONS(2351),
    [anon_sym_private] = ACTIONS(2351),
    [anon_sym_protected] = ACTIONS(2351),
    [anon_sym_override] = ACTIONS(2351),
    [anon_sym_module] = ACTIONS(2351),
    [anon_sym_any] = ACTIONS(2351),
    [anon_sym_number] = ACTIONS(2351),
    [anon_sym_boolean] = ACTIONS(2351),
    [anon_sym_string] = ACTIONS(2351),
    [anon_sym_symbol] = ACTIONS(2351),
    [anon_sym_property] = ACTIONS(2351),
    [anon_sym_signal] = ACTIONS(2351),
    [anon_sym_on] = ACTIONS(2351),
    [anon_sym_required] = ACTIONS(2351),
    [anon_sym_component] = ACTIONS(2351),
    [anon_sym_abstract] = ACTIONS(2351),
    [anon_sym_interface] = ACTIONS(2351),
    [anon_sym_enum] = ACTIONS(2351),
  },
  [708] = {
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_export] = ACTIONS(2355),
    [anon_sym_default] = ACTIONS(2355),
    [anon_sym_type] = ACTIONS(2355),
    [anon_sym_namespace] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_RBRACE] = ACTIONS(2357),
    [anon_sym_typeof] = ACTIONS(2355),
    [anon_sym_import] = ACTIONS(2355),
    [anon_sym_from] = ACTIONS(2355),
    [anon_sym_var] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2355),
    [anon_sym_const] = ACTIONS(2355),
    [anon_sym_BANG] = ACTIONS(2357),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_switch] = ACTIONS(2355),
    [anon_sym_for] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_await] = ACTIONS(2355),
    [anon_sym_of] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(2355),
    [anon_sym_do] = ACTIONS(2355),
    [anon_sym_try] = ACTIONS(2355),
    [anon_sym_with] = ACTIONS(2355),
    [anon_sym_break] = ACTIONS(2355),
    [anon_sym_continue] = ACTIONS(2355),
    [anon_sym_debugger] = ACTIONS(2355),
    [anon_sym_return] = ACTIONS(2355),
    [anon_sym_throw] = ACTIONS(2355),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_case] = ACTIONS(2355),
    [anon_sym_yield] = ACTIONS(2355),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_LT] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_class] = ACTIONS(2355),
    [anon_sym_async] = ACTIONS(2355),
    [anon_sym_function] = ACTIONS(2355),
    [anon_sym_new] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_TILDE] = ACTIONS(2357),
    [anon_sym_void] = ACTIONS(2355),
    [anon_sym_delete] = ACTIONS(2355),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_DQUOTE] = ACTIONS(2357),
    [anon_sym_SQUOTE] = ACTIONS(2357),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2357),
    [sym_number] = ACTIONS(2357),
    [sym_this] = ACTIONS(2355),
    [sym_super] = ACTIONS(2355),
    [sym_true] = ACTIONS(2355),
    [sym_false] = ACTIONS(2355),
    [sym_null] = ACTIONS(2355),
    [sym_undefined] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(2357),
    [anon_sym_static] = ACTIONS(2355),
    [anon_sym_readonly] = ACTIONS(2355),
    [anon_sym_get] = ACTIONS(2355),
    [anon_sym_set] = ACTIONS(2355),
    [anon_sym_declare] = ACTIONS(2355),
    [anon_sym_public] = ACTIONS(2355),
    [anon_sym_private] = ACTIONS(2355),
    [anon_sym_protected] = ACTIONS(2355),
    [anon_sym_override] = ACTIONS(2355),
    [anon_sym_module] = ACTIONS(2355),
    [anon_sym_any] = ACTIONS(2355),
    [anon_sym_number] = ACTIONS(2355),
    [anon_sym_boolean] = ACTIONS(2355),
    [anon_sym_string] = ACTIONS(2355),
    [anon_sym_symbol] = ACTIONS(2355),
    [anon_sym_property] = ACTIONS(2355),
    [anon_sym_signal] = ACTIONS(2355),
    [anon_sym_on] = ACTIONS(2355),
    [anon_sym_required] = ACTIONS(2355),
    [anon_sym_component] = ACTIONS(2355),
    [anon_sym_abstract] = ACTIONS(2355),
    [anon_sym_interface] = ACTIONS(2355),
    [anon_sym_enum] = ACTIONS(2355),
  },
  [709] = {
    [sym_identifier] = ACTIONS(2359),
    [anon_sym_export] = ACTIONS(2359),
    [anon_sym_default] = ACTIONS(2359),
    [anon_sym_type] = ACTIONS(2359),
    [anon_sym_namespace] = ACTIONS(2359),
    [anon_sym_LBRACE] = ACTIONS(2361),
    [anon_sym_RBRACE] = ACTIONS(2361),
    [anon_sym_typeof] = ACTIONS(2359),
    [anon_sym_import] = ACTIONS(2359),
    [anon_sym_from] = ACTIONS(2359),
    [anon_sym_var] = ACTIONS(2359),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_const] = ACTIONS(2359),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2359),
    [anon_sym_if] = ACTIONS(2359),
    [anon_sym_switch] = ACTIONS(2359),
    [anon_sym_for] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_await] = ACTIONS(2359),
    [anon_sym_of] = ACTIONS(2359),
    [anon_sym_while] = ACTIONS(2359),
    [anon_sym_do] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2359),
    [anon_sym_with] = ACTIONS(2359),
    [anon_sym_break] = ACTIONS(2359),
    [anon_sym_continue] = ACTIONS(2359),
    [anon_sym_debugger] = ACTIONS(2359),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2359),
    [anon_sym_SEMI] = ACTIONS(2361),
    [anon_sym_case] = ACTIONS(2359),
    [anon_sym_yield] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_SLASH] = ACTIONS(2359),
    [anon_sym_class] = ACTIONS(2359),
    [anon_sym_async] = ACTIONS(2359),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_new] = ACTIONS(2359),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_TILDE] = ACTIONS(2361),
    [anon_sym_void] = ACTIONS(2359),
    [anon_sym_delete] = ACTIONS(2359),
    [anon_sym_PLUS_PLUS] = ACTIONS(2361),
    [anon_sym_DASH_DASH] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2361),
    [sym_number] = ACTIONS(2361),
    [sym_this] = ACTIONS(2359),
    [sym_super] = ACTIONS(2359),
    [sym_true] = ACTIONS(2359),
    [sym_false] = ACTIONS(2359),
    [sym_null] = ACTIONS(2359),
    [sym_undefined] = ACTIONS(2359),
    [anon_sym_AT] = ACTIONS(2361),
    [anon_sym_static] = ACTIONS(2359),
    [anon_sym_readonly] = ACTIONS(2359),
    [anon_sym_get] = ACTIONS(2359),
    [anon_sym_set] = ACTIONS(2359),
    [anon_sym_declare] = ACTIONS(2359),
    [anon_sym_public] = ACTIONS(2359),
    [anon_sym_private] = ACTIONS(2359),
    [anon_sym_protected] = ACTIONS(2359),
    [anon_sym_override] = ACTIONS(2359),
    [anon_sym_module] = ACTIONS(2359),
    [anon_sym_any] = ACTIONS(2359),
    [anon_sym_number] = ACTIONS(2359),
    [anon_sym_boolean] = ACTIONS(2359),
    [anon_sym_string] = ACTIONS(2359),
    [anon_sym_symbol] = ACTIONS(2359),
    [anon_sym_property] = ACTIONS(2359),
    [anon_sym_signal] = ACTIONS(2359),
    [anon_sym_on] = ACTIONS(2359),
    [anon_sym_required] = ACTIONS(2359),
    [anon_sym_component] = ACTIONS(2359),
    [anon_sym_abstract] = ACTIONS(2359),
    [anon_sym_interface] = ACTIONS(2359),
    [anon_sym_enum] = ACTIONS(2359),
  },
  [710] = {
    [sym_identifier] = ACTIONS(2363),
    [anon_sym_export] = ACTIONS(2363),
    [anon_sym_default] = ACTIONS(2363),
    [anon_sym_type] = ACTIONS(2363),
    [anon_sym_namespace] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_RBRACE] = ACTIONS(2365),
    [anon_sym_typeof] = ACTIONS(2363),
    [anon_sym_import] = ACTIONS(2363),
    [anon_sym_from] = ACTIONS(2363),
    [anon_sym_var] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2363),
    [anon_sym_const] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2365),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_await] = ACTIONS(2363),
    [anon_sym_of] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_do] = ACTIONS(2363),
    [anon_sym_try] = ACTIONS(2363),
    [anon_sym_with] = ACTIONS(2363),
    [anon_sym_break] = ACTIONS(2363),
    [anon_sym_continue] = ACTIONS(2363),
    [anon_sym_debugger] = ACTIONS(2363),
    [anon_sym_return] = ACTIONS(2363),
    [anon_sym_throw] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2365),
    [anon_sym_case] = ACTIONS(2363),
    [anon_sym_yield] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2365),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_class] = ACTIONS(2363),
    [anon_sym_async] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_void] = ACTIONS(2363),
    [anon_sym_delete] = ACTIONS(2363),
    [anon_sym_PLUS_PLUS] = ACTIONS(2365),
    [anon_sym_DASH_DASH] = ACTIONS(2365),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_number] = ACTIONS(2365),
    [sym_this] = ACTIONS(2363),
    [sym_super] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_undefined] = ACTIONS(2363),
    [anon_sym_AT] = ACTIONS(2365),
    [anon_sym_static] = ACTIONS(2363),
    [anon_sym_readonly] = ACTIONS(2363),
    [anon_sym_get] = ACTIONS(2363),
    [anon_sym_set] = ACTIONS(2363),
    [anon_sym_declare] = ACTIONS(2363),
    [anon_sym_public] = ACTIONS(2363),
    [anon_sym_private] = ACTIONS(2363),
    [anon_sym_protected] = ACTIONS(2363),
    [anon_sym_override] = ACTIONS(2363),
    [anon_sym_module] = ACTIONS(2363),
    [anon_sym_any] = ACTIONS(2363),
    [anon_sym_number] = ACTIONS(2363),
    [anon_sym_boolean] = ACTIONS(2363),
    [anon_sym_string] = ACTIONS(2363),
    [anon_sym_symbol] = ACTIONS(2363),
    [anon_sym_property] = ACTIONS(2363),
    [anon_sym_signal] = ACTIONS(2363),
    [anon_sym_on] = ACTIONS(2363),
    [anon_sym_required] = ACTIONS(2363),
    [anon_sym_component] = ACTIONS(2363),
    [anon_sym_abstract] = ACTIONS(2363),
    [anon_sym_interface] = ACTIONS(2363),
    [anon_sym_enum] = ACTIONS(2363),
  },
  [711] = {
    [sym_identifier] = ACTIONS(2367),
    [anon_sym_export] = ACTIONS(2367),
    [anon_sym_default] = ACTIONS(2367),
    [anon_sym_type] = ACTIONS(2367),
    [anon_sym_namespace] = ACTIONS(2367),
    [anon_sym_LBRACE] = ACTIONS(2369),
    [anon_sym_RBRACE] = ACTIONS(2369),
    [anon_sym_typeof] = ACTIONS(2367),
    [anon_sym_import] = ACTIONS(2367),
    [anon_sym_from] = ACTIONS(2367),
    [anon_sym_var] = ACTIONS(2367),
    [anon_sym_let] = ACTIONS(2367),
    [anon_sym_const] = ACTIONS(2367),
    [anon_sym_BANG] = ACTIONS(2369),
    [anon_sym_else] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2367),
    [anon_sym_switch] = ACTIONS(2367),
    [anon_sym_for] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(2369),
    [anon_sym_await] = ACTIONS(2367),
    [anon_sym_of] = ACTIONS(2367),
    [anon_sym_while] = ACTIONS(2367),
    [anon_sym_do] = ACTIONS(2367),
    [anon_sym_try] = ACTIONS(2367),
    [anon_sym_with] = ACTIONS(2367),
    [anon_sym_break] = ACTIONS(2367),
    [anon_sym_continue] = ACTIONS(2367),
    [anon_sym_debugger] = ACTIONS(2367),
    [anon_sym_return] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2369),
    [anon_sym_case] = ACTIONS(2367),
    [anon_sym_yield] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(2369),
    [anon_sym_SLASH] = ACTIONS(2367),
    [anon_sym_class] = ACTIONS(2367),
    [anon_sym_async] = ACTIONS(2367),
    [anon_sym_function] = ACTIONS(2367),
    [anon_sym_new] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_TILDE] = ACTIONS(2369),
    [anon_sym_void] = ACTIONS(2367),
    [anon_sym_delete] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2369),
    [anon_sym_DASH_DASH] = ACTIONS(2369),
    [anon_sym_DQUOTE] = ACTIONS(2369),
    [anon_sym_SQUOTE] = ACTIONS(2369),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2369),
    [sym_number] = ACTIONS(2369),
    [sym_this] = ACTIONS(2367),
    [sym_super] = ACTIONS(2367),
    [sym_true] = ACTIONS(2367),
    [sym_false] = ACTIONS(2367),
    [sym_null] = ACTIONS(2367),
    [sym_undefined] = ACTIONS(2367),
    [anon_sym_AT] = ACTIONS(2369),
    [anon_sym_static] = ACTIONS(2367),
    [anon_sym_readonly] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2367),
    [anon_sym_set] = ACTIONS(2367),
    [anon_sym_declare] = ACTIONS(2367),
    [anon_sym_public] = ACTIONS(2367),
    [anon_sym_private] = ACTIONS(2367),
    [anon_sym_protected] = ACTIONS(2367),
    [anon_sym_override] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(2367),
    [anon_sym_any] = ACTIONS(2367),
    [anon_sym_number] = ACTIONS(2367),
    [anon_sym_boolean] = ACTIONS(2367),
    [anon_sym_string] = ACTIONS(2367),
    [anon_sym_symbol] = ACTIONS(2367),
    [anon_sym_property] = ACTIONS(2367),
    [anon_sym_signal] = ACTIONS(2367),
    [anon_sym_on] = ACTIONS(2367),
    [anon_sym_required] = ACTIONS(2367),
    [anon_sym_component] = ACTIONS(2367),
    [anon_sym_abstract] = ACTIONS(2367),
    [anon_sym_interface] = ACTIONS(2367),
    [anon_sym_enum] = ACTIONS(2367),
  },
  [712] = {
    [sym_identifier] = ACTIONS(2371),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_default] = ACTIONS(2371),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_RBRACE] = ACTIONS(2373),
    [anon_sym_typeof] = ACTIONS(2371),
    [anon_sym_import] = ACTIONS(2371),
    [anon_sym_from] = ACTIONS(2371),
    [anon_sym_var] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(2373),
    [anon_sym_else] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2371),
    [anon_sym_switch] = ACTIONS(2371),
    [anon_sym_for] = ACTIONS(2371),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_await] = ACTIONS(2371),
    [anon_sym_of] = ACTIONS(2371),
    [anon_sym_while] = ACTIONS(2371),
    [anon_sym_do] = ACTIONS(2371),
    [anon_sym_try] = ACTIONS(2371),
    [anon_sym_with] = ACTIONS(2371),
    [anon_sym_break] = ACTIONS(2371),
    [anon_sym_continue] = ACTIONS(2371),
    [anon_sym_debugger] = ACTIONS(2371),
    [anon_sym_return] = ACTIONS(2371),
    [anon_sym_throw] = ACTIONS(2371),
    [anon_sym_SEMI] = ACTIONS(2373),
    [anon_sym_case] = ACTIONS(2371),
    [anon_sym_yield] = ACTIONS(2371),
    [anon_sym_LBRACK] = ACTIONS(2373),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_SLASH] = ACTIONS(2371),
    [anon_sym_class] = ACTIONS(2371),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2371),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_TILDE] = ACTIONS(2373),
    [anon_sym_void] = ACTIONS(2371),
    [anon_sym_delete] = ACTIONS(2371),
    [anon_sym_PLUS_PLUS] = ACTIONS(2373),
    [anon_sym_DASH_DASH] = ACTIONS(2373),
    [anon_sym_DQUOTE] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2373),
    [sym_number] = ACTIONS(2373),
    [sym_this] = ACTIONS(2371),
    [sym_super] = ACTIONS(2371),
    [sym_true] = ACTIONS(2371),
    [sym_false] = ACTIONS(2371),
    [sym_null] = ACTIONS(2371),
    [sym_undefined] = ACTIONS(2371),
    [anon_sym_AT] = ACTIONS(2373),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_property] = ACTIONS(2371),
    [anon_sym_signal] = ACTIONS(2371),
    [anon_sym_on] = ACTIONS(2371),
    [anon_sym_required] = ACTIONS(2371),
    [anon_sym_component] = ACTIONS(2371),
    [anon_sym_abstract] = ACTIONS(2371),
    [anon_sym_interface] = ACTIONS(2371),
    [anon_sym_enum] = ACTIONS(2371),
  },
  [713] = {
    [sym_identifier] = ACTIONS(2375),
    [anon_sym_export] = ACTIONS(2375),
    [anon_sym_default] = ACTIONS(2375),
    [anon_sym_type] = ACTIONS(2375),
    [anon_sym_namespace] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(2377),
    [anon_sym_RBRACE] = ACTIONS(2377),
    [anon_sym_typeof] = ACTIONS(2375),
    [anon_sym_import] = ACTIONS(2375),
    [anon_sym_from] = ACTIONS(2375),
    [anon_sym_var] = ACTIONS(2375),
    [anon_sym_let] = ACTIONS(2375),
    [anon_sym_const] = ACTIONS(2375),
    [anon_sym_BANG] = ACTIONS(2377),
    [anon_sym_else] = ACTIONS(2375),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_switch] = ACTIONS(2375),
    [anon_sym_for] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(2377),
    [anon_sym_await] = ACTIONS(2375),
    [anon_sym_of] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(2375),
    [anon_sym_do] = ACTIONS(2375),
    [anon_sym_try] = ACTIONS(2375),
    [anon_sym_with] = ACTIONS(2375),
    [anon_sym_break] = ACTIONS(2375),
    [anon_sym_continue] = ACTIONS(2375),
    [anon_sym_debugger] = ACTIONS(2375),
    [anon_sym_return] = ACTIONS(2375),
    [anon_sym_throw] = ACTIONS(2375),
    [anon_sym_SEMI] = ACTIONS(2377),
    [anon_sym_case] = ACTIONS(2375),
    [anon_sym_yield] = ACTIONS(2375),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [anon_sym_LT] = ACTIONS(2377),
    [anon_sym_SLASH] = ACTIONS(2375),
    [anon_sym_class] = ACTIONS(2375),
    [anon_sym_async] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2375),
    [anon_sym_new] = ACTIONS(2375),
    [anon_sym_PLUS] = ACTIONS(2375),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_TILDE] = ACTIONS(2377),
    [anon_sym_void] = ACTIONS(2375),
    [anon_sym_delete] = ACTIONS(2375),
    [anon_sym_PLUS_PLUS] = ACTIONS(2377),
    [anon_sym_DASH_DASH] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2377),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2377),
    [sym_number] = ACTIONS(2377),
    [sym_this] = ACTIONS(2375),
    [sym_super] = ACTIONS(2375),
    [sym_true] = ACTIONS(2375),
    [sym_false] = ACTIONS(2375),
    [sym_null] = ACTIONS(2375),
    [sym_undefined] = ACTIONS(2375),
    [anon_sym_AT] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2375),
    [anon_sym_readonly] = ACTIONS(2375),
    [anon_sym_get] = ACTIONS(2375),
    [anon_sym_set] = ACTIONS(2375),
    [anon_sym_declare] = ACTIONS(2375),
    [anon_sym_public] = ACTIONS(2375),
    [anon_sym_private] = ACTIONS(2375),
    [anon_sym_protected] = ACTIONS(2375),
    [anon_sym_override] = ACTIONS(2375),
    [anon_sym_module] = ACTIONS(2375),
    [anon_sym_any] = ACTIONS(2375),
    [anon_sym_number] = ACTIONS(2375),
    [anon_sym_boolean] = ACTIONS(2375),
    [anon_sym_string] = ACTIONS(2375),
    [anon_sym_symbol] = ACTIONS(2375),
    [anon_sym_property] = ACTIONS(2375),
    [anon_sym_signal] = ACTIONS(2375),
    [anon_sym_on] = ACTIONS(2375),
    [anon_sym_required] = ACTIONS(2375),
    [anon_sym_component] = ACTIONS(2375),
    [anon_sym_abstract] = ACTIONS(2375),
    [anon_sym_interface] = ACTIONS(2375),
    [anon_sym_enum] = ACTIONS(2375),
  },
  [714] = {
    [sym_identifier] = ACTIONS(2379),
    [anon_sym_export] = ACTIONS(2379),
    [anon_sym_default] = ACTIONS(2379),
    [anon_sym_type] = ACTIONS(2379),
    [anon_sym_namespace] = ACTIONS(2379),
    [anon_sym_LBRACE] = ACTIONS(2381),
    [anon_sym_RBRACE] = ACTIONS(2381),
    [anon_sym_typeof] = ACTIONS(2379),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_from] = ACTIONS(2379),
    [anon_sym_var] = ACTIONS(2379),
    [anon_sym_let] = ACTIONS(2379),
    [anon_sym_const] = ACTIONS(2379),
    [anon_sym_BANG] = ACTIONS(2381),
    [anon_sym_else] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2379),
    [anon_sym_switch] = ACTIONS(2379),
    [anon_sym_for] = ACTIONS(2379),
    [anon_sym_LPAREN] = ACTIONS(2381),
    [anon_sym_await] = ACTIONS(2379),
    [anon_sym_of] = ACTIONS(2379),
    [anon_sym_while] = ACTIONS(2379),
    [anon_sym_do] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_with] = ACTIONS(2379),
    [anon_sym_break] = ACTIONS(2379),
    [anon_sym_continue] = ACTIONS(2379),
    [anon_sym_debugger] = ACTIONS(2379),
    [anon_sym_return] = ACTIONS(2379),
    [anon_sym_throw] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(2381),
    [anon_sym_case] = ACTIONS(2379),
    [anon_sym_yield] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(2381),
    [anon_sym_LT] = ACTIONS(2381),
    [anon_sym_SLASH] = ACTIONS(2379),
    [anon_sym_class] = ACTIONS(2379),
    [anon_sym_async] = ACTIONS(2379),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_new] = ACTIONS(2379),
    [anon_sym_PLUS] = ACTIONS(2379),
    [anon_sym_DASH] = ACTIONS(2379),
    [anon_sym_TILDE] = ACTIONS(2381),
    [anon_sym_void] = ACTIONS(2379),
    [anon_sym_delete] = ACTIONS(2379),
    [anon_sym_PLUS_PLUS] = ACTIONS(2381),
    [anon_sym_DASH_DASH] = ACTIONS(2381),
    [anon_sym_DQUOTE] = ACTIONS(2381),
    [anon_sym_SQUOTE] = ACTIONS(2381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2381),
    [sym_number] = ACTIONS(2381),
    [sym_this] = ACTIONS(2379),
    [sym_super] = ACTIONS(2379),
    [sym_true] = ACTIONS(2379),
    [sym_false] = ACTIONS(2379),
    [sym_null] = ACTIONS(2379),
    [sym_undefined] = ACTIONS(2379),
    [anon_sym_AT] = ACTIONS(2381),
    [anon_sym_static] = ACTIONS(2379),
    [anon_sym_readonly] = ACTIONS(2379),
    [anon_sym_get] = ACTIONS(2379),
    [anon_sym_set] = ACTIONS(2379),
    [anon_sym_declare] = ACTIONS(2379),
    [anon_sym_public] = ACTIONS(2379),
    [anon_sym_private] = ACTIONS(2379),
    [anon_sym_protected] = ACTIONS(2379),
    [anon_sym_override] = ACTIONS(2379),
    [anon_sym_module] = ACTIONS(2379),
    [anon_sym_any] = ACTIONS(2379),
    [anon_sym_number] = ACTIONS(2379),
    [anon_sym_boolean] = ACTIONS(2379),
    [anon_sym_string] = ACTIONS(2379),
    [anon_sym_symbol] = ACTIONS(2379),
    [anon_sym_property] = ACTIONS(2379),
    [anon_sym_signal] = ACTIONS(2379),
    [anon_sym_on] = ACTIONS(2379),
    [anon_sym_required] = ACTIONS(2379),
    [anon_sym_component] = ACTIONS(2379),
    [anon_sym_abstract] = ACTIONS(2379),
    [anon_sym_interface] = ACTIONS(2379),
    [anon_sym_enum] = ACTIONS(2379),
  },
  [715] = {
    [sym_identifier] = ACTIONS(2383),
    [anon_sym_export] = ACTIONS(2383),
    [anon_sym_default] = ACTIONS(2383),
    [anon_sym_type] = ACTIONS(2383),
    [anon_sym_namespace] = ACTIONS(2383),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [anon_sym_RBRACE] = ACTIONS(2385),
    [anon_sym_typeof] = ACTIONS(2383),
    [anon_sym_import] = ACTIONS(2383),
    [anon_sym_from] = ACTIONS(2383),
    [anon_sym_var] = ACTIONS(2383),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_const] = ACTIONS(2383),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_else] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2383),
    [anon_sym_switch] = ACTIONS(2383),
    [anon_sym_for] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_await] = ACTIONS(2383),
    [anon_sym_of] = ACTIONS(2383),
    [anon_sym_while] = ACTIONS(2383),
    [anon_sym_do] = ACTIONS(2383),
    [anon_sym_try] = ACTIONS(2383),
    [anon_sym_with] = ACTIONS(2383),
    [anon_sym_break] = ACTIONS(2383),
    [anon_sym_continue] = ACTIONS(2383),
    [anon_sym_debugger] = ACTIONS(2383),
    [anon_sym_return] = ACTIONS(2383),
    [anon_sym_throw] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2385),
    [anon_sym_case] = ACTIONS(2383),
    [anon_sym_yield] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_SLASH] = ACTIONS(2383),
    [anon_sym_class] = ACTIONS(2383),
    [anon_sym_async] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2383),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2383),
    [anon_sym_DASH] = ACTIONS(2383),
    [anon_sym_TILDE] = ACTIONS(2385),
    [anon_sym_void] = ACTIONS(2383),
    [anon_sym_delete] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2385),
    [anon_sym_DASH_DASH] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2385),
    [sym_number] = ACTIONS(2385),
    [sym_this] = ACTIONS(2383),
    [sym_super] = ACTIONS(2383),
    [sym_true] = ACTIONS(2383),
    [sym_false] = ACTIONS(2383),
    [sym_null] = ACTIONS(2383),
    [sym_undefined] = ACTIONS(2383),
    [anon_sym_AT] = ACTIONS(2385),
    [anon_sym_static] = ACTIONS(2383),
    [anon_sym_readonly] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(2383),
    [anon_sym_set] = ACTIONS(2383),
    [anon_sym_declare] = ACTIONS(2383),
    [anon_sym_public] = ACTIONS(2383),
    [anon_sym_private] = ACTIONS(2383),
    [anon_sym_protected] = ACTIONS(2383),
    [anon_sym_override] = ACTIONS(2383),
    [anon_sym_module] = ACTIONS(2383),
    [anon_sym_any] = ACTIONS(2383),
    [anon_sym_number] = ACTIONS(2383),
    [anon_sym_boolean] = ACTIONS(2383),
    [anon_sym_string] = ACTIONS(2383),
    [anon_sym_symbol] = ACTIONS(2383),
    [anon_sym_property] = ACTIONS(2383),
    [anon_sym_signal] = ACTIONS(2383),
    [anon_sym_on] = ACTIONS(2383),
    [anon_sym_required] = ACTIONS(2383),
    [anon_sym_component] = ACTIONS(2383),
    [anon_sym_abstract] = ACTIONS(2383),
    [anon_sym_interface] = ACTIONS(2383),
    [anon_sym_enum] = ACTIONS(2383),
  },
  [716] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [717] = {
    [sym_identifier] = ACTIONS(2391),
    [anon_sym_export] = ACTIONS(2391),
    [anon_sym_default] = ACTIONS(2391),
    [anon_sym_type] = ACTIONS(2391),
    [anon_sym_namespace] = ACTIONS(2391),
    [anon_sym_LBRACE] = ACTIONS(2393),
    [anon_sym_RBRACE] = ACTIONS(2393),
    [anon_sym_typeof] = ACTIONS(2391),
    [anon_sym_import] = ACTIONS(2391),
    [anon_sym_from] = ACTIONS(2391),
    [anon_sym_var] = ACTIONS(2391),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_const] = ACTIONS(2391),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_else] = ACTIONS(2391),
    [anon_sym_if] = ACTIONS(2391),
    [anon_sym_switch] = ACTIONS(2391),
    [anon_sym_for] = ACTIONS(2391),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_await] = ACTIONS(2391),
    [anon_sym_of] = ACTIONS(2391),
    [anon_sym_while] = ACTIONS(2391),
    [anon_sym_do] = ACTIONS(2391),
    [anon_sym_try] = ACTIONS(2391),
    [anon_sym_with] = ACTIONS(2391),
    [anon_sym_break] = ACTIONS(2391),
    [anon_sym_continue] = ACTIONS(2391),
    [anon_sym_debugger] = ACTIONS(2391),
    [anon_sym_return] = ACTIONS(2391),
    [anon_sym_throw] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2393),
    [anon_sym_case] = ACTIONS(2391),
    [anon_sym_yield] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_SLASH] = ACTIONS(2391),
    [anon_sym_class] = ACTIONS(2391),
    [anon_sym_async] = ACTIONS(2391),
    [anon_sym_function] = ACTIONS(2391),
    [anon_sym_new] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2391),
    [anon_sym_DASH] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(2393),
    [anon_sym_void] = ACTIONS(2391),
    [anon_sym_delete] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2393),
    [anon_sym_DASH_DASH] = ACTIONS(2393),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_SQUOTE] = ACTIONS(2393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2393),
    [sym_number] = ACTIONS(2393),
    [sym_this] = ACTIONS(2391),
    [sym_super] = ACTIONS(2391),
    [sym_true] = ACTIONS(2391),
    [sym_false] = ACTIONS(2391),
    [sym_null] = ACTIONS(2391),
    [sym_undefined] = ACTIONS(2391),
    [anon_sym_AT] = ACTIONS(2393),
    [anon_sym_static] = ACTIONS(2391),
    [anon_sym_readonly] = ACTIONS(2391),
    [anon_sym_get] = ACTIONS(2391),
    [anon_sym_set] = ACTIONS(2391),
    [anon_sym_declare] = ACTIONS(2391),
    [anon_sym_public] = ACTIONS(2391),
    [anon_sym_private] = ACTIONS(2391),
    [anon_sym_protected] = ACTIONS(2391),
    [anon_sym_override] = ACTIONS(2391),
    [anon_sym_module] = ACTIONS(2391),
    [anon_sym_any] = ACTIONS(2391),
    [anon_sym_number] = ACTIONS(2391),
    [anon_sym_boolean] = ACTIONS(2391),
    [anon_sym_string] = ACTIONS(2391),
    [anon_sym_symbol] = ACTIONS(2391),
    [anon_sym_property] = ACTIONS(2391),
    [anon_sym_signal] = ACTIONS(2391),
    [anon_sym_on] = ACTIONS(2391),
    [anon_sym_required] = ACTIONS(2391),
    [anon_sym_component] = ACTIONS(2391),
    [anon_sym_abstract] = ACTIONS(2391),
    [anon_sym_interface] = ACTIONS(2391),
    [anon_sym_enum] = ACTIONS(2391),
  },
  [718] = {
    [sym_identifier] = ACTIONS(2395),
    [anon_sym_export] = ACTIONS(2395),
    [anon_sym_default] = ACTIONS(2395),
    [anon_sym_type] = ACTIONS(2395),
    [anon_sym_namespace] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2397),
    [anon_sym_RBRACE] = ACTIONS(2397),
    [anon_sym_typeof] = ACTIONS(2395),
    [anon_sym_import] = ACTIONS(2395),
    [anon_sym_from] = ACTIONS(2395),
    [anon_sym_var] = ACTIONS(2395),
    [anon_sym_let] = ACTIONS(2395),
    [anon_sym_const] = ACTIONS(2395),
    [anon_sym_BANG] = ACTIONS(2397),
    [anon_sym_else] = ACTIONS(2395),
    [anon_sym_if] = ACTIONS(2395),
    [anon_sym_switch] = ACTIONS(2395),
    [anon_sym_for] = ACTIONS(2395),
    [anon_sym_LPAREN] = ACTIONS(2397),
    [anon_sym_await] = ACTIONS(2395),
    [anon_sym_of] = ACTIONS(2395),
    [anon_sym_while] = ACTIONS(2395),
    [anon_sym_do] = ACTIONS(2395),
    [anon_sym_try] = ACTIONS(2395),
    [anon_sym_with] = ACTIONS(2395),
    [anon_sym_break] = ACTIONS(2395),
    [anon_sym_continue] = ACTIONS(2395),
    [anon_sym_debugger] = ACTIONS(2395),
    [anon_sym_return] = ACTIONS(2395),
    [anon_sym_throw] = ACTIONS(2395),
    [anon_sym_SEMI] = ACTIONS(2397),
    [anon_sym_case] = ACTIONS(2395),
    [anon_sym_yield] = ACTIONS(2395),
    [anon_sym_LBRACK] = ACTIONS(2397),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_SLASH] = ACTIONS(2395),
    [anon_sym_class] = ACTIONS(2395),
    [anon_sym_async] = ACTIONS(2395),
    [anon_sym_function] = ACTIONS(2395),
    [anon_sym_new] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2395),
    [anon_sym_DASH] = ACTIONS(2395),
    [anon_sym_TILDE] = ACTIONS(2397),
    [anon_sym_void] = ACTIONS(2395),
    [anon_sym_delete] = ACTIONS(2395),
    [anon_sym_PLUS_PLUS] = ACTIONS(2397),
    [anon_sym_DASH_DASH] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2397),
    [sym_number] = ACTIONS(2397),
    [sym_this] = ACTIONS(2395),
    [sym_super] = ACTIONS(2395),
    [sym_true] = ACTIONS(2395),
    [sym_false] = ACTIONS(2395),
    [sym_null] = ACTIONS(2395),
    [sym_undefined] = ACTIONS(2395),
    [anon_sym_AT] = ACTIONS(2397),
    [anon_sym_static] = ACTIONS(2395),
    [anon_sym_readonly] = ACTIONS(2395),
    [anon_sym_get] = ACTIONS(2395),
    [anon_sym_set] = ACTIONS(2395),
    [anon_sym_declare] = ACTIONS(2395),
    [anon_sym_public] = ACTIONS(2395),
    [anon_sym_private] = ACTIONS(2395),
    [anon_sym_protected] = ACTIONS(2395),
    [anon_sym_override] = ACTIONS(2395),
    [anon_sym_module] = ACTIONS(2395),
    [anon_sym_any] = ACTIONS(2395),
    [anon_sym_number] = ACTIONS(2395),
    [anon_sym_boolean] = ACTIONS(2395),
    [anon_sym_string] = ACTIONS(2395),
    [anon_sym_symbol] = ACTIONS(2395),
    [anon_sym_property] = ACTIONS(2395),
    [anon_sym_signal] = ACTIONS(2395),
    [anon_sym_on] = ACTIONS(2395),
    [anon_sym_required] = ACTIONS(2395),
    [anon_sym_component] = ACTIONS(2395),
    [anon_sym_abstract] = ACTIONS(2395),
    [anon_sym_interface] = ACTIONS(2395),
    [anon_sym_enum] = ACTIONS(2395),
  },
  [719] = {
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_default] = ACTIONS(2399),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2401),
    [anon_sym_RBRACE] = ACTIONS(2401),
    [anon_sym_typeof] = ACTIONS(2399),
    [anon_sym_import] = ACTIONS(2399),
    [anon_sym_from] = ACTIONS(2399),
    [anon_sym_var] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_const] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(2401),
    [anon_sym_else] = ACTIONS(2399),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_switch] = ACTIONS(2399),
    [anon_sym_for] = ACTIONS(2399),
    [anon_sym_LPAREN] = ACTIONS(2401),
    [anon_sym_await] = ACTIONS(2399),
    [anon_sym_of] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(2399),
    [anon_sym_do] = ACTIONS(2399),
    [anon_sym_try] = ACTIONS(2399),
    [anon_sym_with] = ACTIONS(2399),
    [anon_sym_break] = ACTIONS(2399),
    [anon_sym_continue] = ACTIONS(2399),
    [anon_sym_debugger] = ACTIONS(2399),
    [anon_sym_return] = ACTIONS(2399),
    [anon_sym_throw] = ACTIONS(2399),
    [anon_sym_SEMI] = ACTIONS(2401),
    [anon_sym_case] = ACTIONS(2399),
    [anon_sym_yield] = ACTIONS(2399),
    [anon_sym_LBRACK] = ACTIONS(2401),
    [anon_sym_LT] = ACTIONS(2401),
    [anon_sym_SLASH] = ACTIONS(2399),
    [anon_sym_class] = ACTIONS(2399),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2399),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS] = ACTIONS(2399),
    [anon_sym_DASH] = ACTIONS(2399),
    [anon_sym_TILDE] = ACTIONS(2401),
    [anon_sym_void] = ACTIONS(2399),
    [anon_sym_delete] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(2401),
    [anon_sym_DASH_DASH] = ACTIONS(2401),
    [anon_sym_DQUOTE] = ACTIONS(2401),
    [anon_sym_SQUOTE] = ACTIONS(2401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2401),
    [sym_number] = ACTIONS(2401),
    [sym_this] = ACTIONS(2399),
    [sym_super] = ACTIONS(2399),
    [sym_true] = ACTIONS(2399),
    [sym_false] = ACTIONS(2399),
    [sym_null] = ACTIONS(2399),
    [sym_undefined] = ACTIONS(2399),
    [anon_sym_AT] = ACTIONS(2401),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_property] = ACTIONS(2399),
    [anon_sym_signal] = ACTIONS(2399),
    [anon_sym_on] = ACTIONS(2399),
    [anon_sym_required] = ACTIONS(2399),
    [anon_sym_component] = ACTIONS(2399),
    [anon_sym_abstract] = ACTIONS(2399),
    [anon_sym_interface] = ACTIONS(2399),
    [anon_sym_enum] = ACTIONS(2399),
  },
  [720] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_export] = ACTIONS(2403),
    [anon_sym_default] = ACTIONS(2403),
    [anon_sym_type] = ACTIONS(2403),
    [anon_sym_namespace] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2405),
    [anon_sym_RBRACE] = ACTIONS(2405),
    [anon_sym_typeof] = ACTIONS(2403),
    [anon_sym_import] = ACTIONS(2403),
    [anon_sym_from] = ACTIONS(2403),
    [anon_sym_var] = ACTIONS(2403),
    [anon_sym_let] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2405),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_if] = ACTIONS(2403),
    [anon_sym_switch] = ACTIONS(2403),
    [anon_sym_for] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2405),
    [anon_sym_await] = ACTIONS(2403),
    [anon_sym_of] = ACTIONS(2403),
    [anon_sym_while] = ACTIONS(2403),
    [anon_sym_do] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2403),
    [anon_sym_with] = ACTIONS(2403),
    [anon_sym_break] = ACTIONS(2403),
    [anon_sym_continue] = ACTIONS(2403),
    [anon_sym_debugger] = ACTIONS(2403),
    [anon_sym_return] = ACTIONS(2403),
    [anon_sym_throw] = ACTIONS(2403),
    [anon_sym_SEMI] = ACTIONS(2405),
    [anon_sym_case] = ACTIONS(2403),
    [anon_sym_yield] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_LT] = ACTIONS(2405),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2403),
    [anon_sym_async] = ACTIONS(2403),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_new] = ACTIONS(2403),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_TILDE] = ACTIONS(2405),
    [anon_sym_void] = ACTIONS(2403),
    [anon_sym_delete] = ACTIONS(2403),
    [anon_sym_PLUS_PLUS] = ACTIONS(2405),
    [anon_sym_DASH_DASH] = ACTIONS(2405),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [anon_sym_SQUOTE] = ACTIONS(2405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2405),
    [sym_number] = ACTIONS(2405),
    [sym_this] = ACTIONS(2403),
    [sym_super] = ACTIONS(2403),
    [sym_true] = ACTIONS(2403),
    [sym_false] = ACTIONS(2403),
    [sym_null] = ACTIONS(2403),
    [sym_undefined] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(2403),
    [anon_sym_readonly] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_declare] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_module] = ACTIONS(2403),
    [anon_sym_any] = ACTIONS(2403),
    [anon_sym_number] = ACTIONS(2403),
    [anon_sym_boolean] = ACTIONS(2403),
    [anon_sym_string] = ACTIONS(2403),
    [anon_sym_symbol] = ACTIONS(2403),
    [anon_sym_property] = ACTIONS(2403),
    [anon_sym_signal] = ACTIONS(2403),
    [anon_sym_on] = ACTIONS(2403),
    [anon_sym_required] = ACTIONS(2403),
    [anon_sym_component] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_interface] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
  },
  [721] = {
    [sym_identifier] = ACTIONS(2407),
    [anon_sym_export] = ACTIONS(2407),
    [anon_sym_default] = ACTIONS(2407),
    [anon_sym_type] = ACTIONS(2407),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_RBRACE] = ACTIONS(2409),
    [anon_sym_typeof] = ACTIONS(2407),
    [anon_sym_import] = ACTIONS(2407),
    [anon_sym_from] = ACTIONS(2407),
    [anon_sym_var] = ACTIONS(2407),
    [anon_sym_let] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_else] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_switch] = ACTIONS(2407),
    [anon_sym_for] = ACTIONS(2407),
    [anon_sym_LPAREN] = ACTIONS(2409),
    [anon_sym_await] = ACTIONS(2407),
    [anon_sym_of] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(2407),
    [anon_sym_do] = ACTIONS(2407),
    [anon_sym_try] = ACTIONS(2407),
    [anon_sym_with] = ACTIONS(2407),
    [anon_sym_break] = ACTIONS(2407),
    [anon_sym_continue] = ACTIONS(2407),
    [anon_sym_debugger] = ACTIONS(2407),
    [anon_sym_return] = ACTIONS(2407),
    [anon_sym_throw] = ACTIONS(2407),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym_case] = ACTIONS(2407),
    [anon_sym_yield] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2409),
    [anon_sym_LT] = ACTIONS(2409),
    [anon_sym_SLASH] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_async] = ACTIONS(2407),
    [anon_sym_function] = ACTIONS(2407),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_void] = ACTIONS(2407),
    [anon_sym_delete] = ACTIONS(2407),
    [anon_sym_PLUS_PLUS] = ACTIONS(2409),
    [anon_sym_DASH_DASH] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2409),
    [sym_number] = ACTIONS(2409),
    [sym_this] = ACTIONS(2407),
    [sym_super] = ACTIONS(2407),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [sym_null] = ACTIONS(2407),
    [sym_undefined] = ACTIONS(2407),
    [anon_sym_AT] = ACTIONS(2409),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_readonly] = ACTIONS(2407),
    [anon_sym_get] = ACTIONS(2407),
    [anon_sym_set] = ACTIONS(2407),
    [anon_sym_declare] = ACTIONS(2407),
    [anon_sym_public] = ACTIONS(2407),
    [anon_sym_private] = ACTIONS(2407),
    [anon_sym_protected] = ACTIONS(2407),
    [anon_sym_override] = ACTIONS(2407),
    [anon_sym_module] = ACTIONS(2407),
    [anon_sym_any] = ACTIONS(2407),
    [anon_sym_number] = ACTIONS(2407),
    [anon_sym_boolean] = ACTIONS(2407),
    [anon_sym_string] = ACTIONS(2407),
    [anon_sym_symbol] = ACTIONS(2407),
    [anon_sym_property] = ACTIONS(2407),
    [anon_sym_signal] = ACTIONS(2407),
    [anon_sym_on] = ACTIONS(2407),
    [anon_sym_required] = ACTIONS(2407),
    [anon_sym_component] = ACTIONS(2407),
    [anon_sym_abstract] = ACTIONS(2407),
    [anon_sym_interface] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
  },
  [722] = {
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_export] = ACTIONS(2411),
    [anon_sym_default] = ACTIONS(2411),
    [anon_sym_type] = ACTIONS(2411),
    [anon_sym_namespace] = ACTIONS(2411),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_typeof] = ACTIONS(2411),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_from] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2411),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_const] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_else] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2411),
    [anon_sym_switch] = ACTIONS(2411),
    [anon_sym_for] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_await] = ACTIONS(2411),
    [anon_sym_of] = ACTIONS(2411),
    [anon_sym_while] = ACTIONS(2411),
    [anon_sym_do] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2411),
    [anon_sym_with] = ACTIONS(2411),
    [anon_sym_break] = ACTIONS(2411),
    [anon_sym_continue] = ACTIONS(2411),
    [anon_sym_debugger] = ACTIONS(2411),
    [anon_sym_return] = ACTIONS(2411),
    [anon_sym_throw] = ACTIONS(2411),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_case] = ACTIONS(2411),
    [anon_sym_yield] = ACTIONS(2411),
    [anon_sym_LBRACK] = ACTIONS(2413),
    [anon_sym_LT] = ACTIONS(2413),
    [anon_sym_SLASH] = ACTIONS(2411),
    [anon_sym_class] = ACTIONS(2411),
    [anon_sym_async] = ACTIONS(2411),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_PLUS] = ACTIONS(2411),
    [anon_sym_DASH] = ACTIONS(2411),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_void] = ACTIONS(2411),
    [anon_sym_delete] = ACTIONS(2411),
    [anon_sym_PLUS_PLUS] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(2413),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_number] = ACTIONS(2413),
    [sym_this] = ACTIONS(2411),
    [sym_super] = ACTIONS(2411),
    [sym_true] = ACTIONS(2411),
    [sym_false] = ACTIONS(2411),
    [sym_null] = ACTIONS(2411),
    [sym_undefined] = ACTIONS(2411),
    [anon_sym_AT] = ACTIONS(2413),
    [anon_sym_static] = ACTIONS(2411),
    [anon_sym_readonly] = ACTIONS(2411),
    [anon_sym_get] = ACTIONS(2411),
    [anon_sym_set] = ACTIONS(2411),
    [anon_sym_declare] = ACTIONS(2411),
    [anon_sym_public] = ACTIONS(2411),
    [anon_sym_private] = ACTIONS(2411),
    [anon_sym_protected] = ACTIONS(2411),
    [anon_sym_override] = ACTIONS(2411),
    [anon_sym_module] = ACTIONS(2411),
    [anon_sym_any] = ACTIONS(2411),
    [anon_sym_number] = ACTIONS(2411),
    [anon_sym_boolean] = ACTIONS(2411),
    [anon_sym_string] = ACTIONS(2411),
    [anon_sym_symbol] = ACTIONS(2411),
    [anon_sym_property] = ACTIONS(2411),
    [anon_sym_signal] = ACTIONS(2411),
    [anon_sym_on] = ACTIONS(2411),
    [anon_sym_required] = ACTIONS(2411),
    [anon_sym_component] = ACTIONS(2411),
    [anon_sym_abstract] = ACTIONS(2411),
    [anon_sym_interface] = ACTIONS(2411),
    [anon_sym_enum] = ACTIONS(2411),
  },
  [723] = {
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_export] = ACTIONS(2415),
    [anon_sym_default] = ACTIONS(2415),
    [anon_sym_type] = ACTIONS(2415),
    [anon_sym_namespace] = ACTIONS(2415),
    [anon_sym_LBRACE] = ACTIONS(2417),
    [anon_sym_RBRACE] = ACTIONS(2417),
    [anon_sym_typeof] = ACTIONS(2415),
    [anon_sym_import] = ACTIONS(2415),
    [anon_sym_from] = ACTIONS(2415),
    [anon_sym_var] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2415),
    [anon_sym_BANG] = ACTIONS(2417),
    [anon_sym_else] = ACTIONS(2415),
    [anon_sym_if] = ACTIONS(2415),
    [anon_sym_switch] = ACTIONS(2415),
    [anon_sym_for] = ACTIONS(2415),
    [anon_sym_LPAREN] = ACTIONS(2417),
    [anon_sym_await] = ACTIONS(2415),
    [anon_sym_of] = ACTIONS(2415),
    [anon_sym_while] = ACTIONS(2415),
    [anon_sym_do] = ACTIONS(2415),
    [anon_sym_try] = ACTIONS(2415),
    [anon_sym_with] = ACTIONS(2415),
    [anon_sym_break] = ACTIONS(2415),
    [anon_sym_continue] = ACTIONS(2415),
    [anon_sym_debugger] = ACTIONS(2415),
    [anon_sym_return] = ACTIONS(2415),
    [anon_sym_throw] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(2417),
    [anon_sym_case] = ACTIONS(2415),
    [anon_sym_yield] = ACTIONS(2415),
    [anon_sym_LBRACK] = ACTIONS(2417),
    [anon_sym_LT] = ACTIONS(2417),
    [anon_sym_SLASH] = ACTIONS(2415),
    [anon_sym_class] = ACTIONS(2415),
    [anon_sym_async] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2415),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2417),
    [anon_sym_void] = ACTIONS(2415),
    [anon_sym_delete] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_DQUOTE] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2417),
    [sym_number] = ACTIONS(2417),
    [sym_this] = ACTIONS(2415),
    [sym_super] = ACTIONS(2415),
    [sym_true] = ACTIONS(2415),
    [sym_false] = ACTIONS(2415),
    [sym_null] = ACTIONS(2415),
    [sym_undefined] = ACTIONS(2415),
    [anon_sym_AT] = ACTIONS(2417),
    [anon_sym_static] = ACTIONS(2415),
    [anon_sym_readonly] = ACTIONS(2415),
    [anon_sym_get] = ACTIONS(2415),
    [anon_sym_set] = ACTIONS(2415),
    [anon_sym_declare] = ACTIONS(2415),
    [anon_sym_public] = ACTIONS(2415),
    [anon_sym_private] = ACTIONS(2415),
    [anon_sym_protected] = ACTIONS(2415),
    [anon_sym_override] = ACTIONS(2415),
    [anon_sym_module] = ACTIONS(2415),
    [anon_sym_any] = ACTIONS(2415),
    [anon_sym_number] = ACTIONS(2415),
    [anon_sym_boolean] = ACTIONS(2415),
    [anon_sym_string] = ACTIONS(2415),
    [anon_sym_symbol] = ACTIONS(2415),
    [anon_sym_property] = ACTIONS(2415),
    [anon_sym_signal] = ACTIONS(2415),
    [anon_sym_on] = ACTIONS(2415),
    [anon_sym_required] = ACTIONS(2415),
    [anon_sym_component] = ACTIONS(2415),
    [anon_sym_abstract] = ACTIONS(2415),
    [anon_sym_interface] = ACTIONS(2415),
    [anon_sym_enum] = ACTIONS(2415),
  },
  [724] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [725] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [726] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [727] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [728] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [729] = {
    [sym_identifier] = ACTIONS(2419),
    [anon_sym_export] = ACTIONS(2419),
    [anon_sym_default] = ACTIONS(2419),
    [anon_sym_type] = ACTIONS(2419),
    [anon_sym_namespace] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2421),
    [anon_sym_RBRACE] = ACTIONS(2421),
    [anon_sym_typeof] = ACTIONS(2419),
    [anon_sym_import] = ACTIONS(2419),
    [anon_sym_from] = ACTIONS(2419),
    [anon_sym_var] = ACTIONS(2419),
    [anon_sym_let] = ACTIONS(2419),
    [anon_sym_const] = ACTIONS(2419),
    [anon_sym_BANG] = ACTIONS(2421),
    [anon_sym_else] = ACTIONS(2419),
    [anon_sym_if] = ACTIONS(2419),
    [anon_sym_switch] = ACTIONS(2419),
    [anon_sym_for] = ACTIONS(2419),
    [anon_sym_LPAREN] = ACTIONS(2421),
    [anon_sym_await] = ACTIONS(2419),
    [anon_sym_of] = ACTIONS(2419),
    [anon_sym_while] = ACTIONS(2419),
    [anon_sym_do] = ACTIONS(2419),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_with] = ACTIONS(2419),
    [anon_sym_break] = ACTIONS(2419),
    [anon_sym_continue] = ACTIONS(2419),
    [anon_sym_debugger] = ACTIONS(2419),
    [anon_sym_return] = ACTIONS(2419),
    [anon_sym_throw] = ACTIONS(2419),
    [anon_sym_SEMI] = ACTIONS(2421),
    [anon_sym_case] = ACTIONS(2419),
    [anon_sym_yield] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2419),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_new] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_TILDE] = ACTIONS(2421),
    [anon_sym_void] = ACTIONS(2419),
    [anon_sym_delete] = ACTIONS(2419),
    [anon_sym_PLUS_PLUS] = ACTIONS(2421),
    [anon_sym_DASH_DASH] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2421),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2421),
    [sym_number] = ACTIONS(2421),
    [sym_this] = ACTIONS(2419),
    [sym_super] = ACTIONS(2419),
    [sym_true] = ACTIONS(2419),
    [sym_false] = ACTIONS(2419),
    [sym_null] = ACTIONS(2419),
    [sym_undefined] = ACTIONS(2419),
    [anon_sym_AT] = ACTIONS(2421),
    [anon_sym_static] = ACTIONS(2419),
    [anon_sym_readonly] = ACTIONS(2419),
    [anon_sym_get] = ACTIONS(2419),
    [anon_sym_set] = ACTIONS(2419),
    [anon_sym_declare] = ACTIONS(2419),
    [anon_sym_public] = ACTIONS(2419),
    [anon_sym_private] = ACTIONS(2419),
    [anon_sym_protected] = ACTIONS(2419),
    [anon_sym_override] = ACTIONS(2419),
    [anon_sym_module] = ACTIONS(2419),
    [anon_sym_any] = ACTIONS(2419),
    [anon_sym_number] = ACTIONS(2419),
    [anon_sym_boolean] = ACTIONS(2419),
    [anon_sym_string] = ACTIONS(2419),
    [anon_sym_symbol] = ACTIONS(2419),
    [anon_sym_property] = ACTIONS(2419),
    [anon_sym_signal] = ACTIONS(2419),
    [anon_sym_on] = ACTIONS(2419),
    [anon_sym_required] = ACTIONS(2419),
    [anon_sym_component] = ACTIONS(2419),
    [anon_sym_abstract] = ACTIONS(2419),
    [anon_sym_interface] = ACTIONS(2419),
    [anon_sym_enum] = ACTIONS(2419),
  },
  [730] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [731] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [732] = {
    [sym_identifier] = ACTIONS(2423),
    [anon_sym_export] = ACTIONS(2423),
    [anon_sym_default] = ACTIONS(2423),
    [anon_sym_type] = ACTIONS(2423),
    [anon_sym_namespace] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_RBRACE] = ACTIONS(2425),
    [anon_sym_typeof] = ACTIONS(2423),
    [anon_sym_import] = ACTIONS(2423),
    [anon_sym_from] = ACTIONS(2423),
    [anon_sym_var] = ACTIONS(2423),
    [anon_sym_let] = ACTIONS(2423),
    [anon_sym_const] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(2425),
    [anon_sym_else] = ACTIONS(2423),
    [anon_sym_if] = ACTIONS(2423),
    [anon_sym_switch] = ACTIONS(2423),
    [anon_sym_for] = ACTIONS(2423),
    [anon_sym_LPAREN] = ACTIONS(2425),
    [anon_sym_await] = ACTIONS(2423),
    [anon_sym_of] = ACTIONS(2423),
    [anon_sym_while] = ACTIONS(2423),
    [anon_sym_do] = ACTIONS(2423),
    [anon_sym_try] = ACTIONS(2423),
    [anon_sym_with] = ACTIONS(2423),
    [anon_sym_break] = ACTIONS(2423),
    [anon_sym_continue] = ACTIONS(2423),
    [anon_sym_debugger] = ACTIONS(2423),
    [anon_sym_return] = ACTIONS(2423),
    [anon_sym_throw] = ACTIONS(2423),
    [anon_sym_SEMI] = ACTIONS(2425),
    [anon_sym_case] = ACTIONS(2423),
    [anon_sym_yield] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_class] = ACTIONS(2423),
    [anon_sym_async] = ACTIONS(2423),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_TILDE] = ACTIONS(2425),
    [anon_sym_void] = ACTIONS(2423),
    [anon_sym_delete] = ACTIONS(2423),
    [anon_sym_PLUS_PLUS] = ACTIONS(2425),
    [anon_sym_DASH_DASH] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_SQUOTE] = ACTIONS(2425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2425),
    [sym_number] = ACTIONS(2425),
    [sym_this] = ACTIONS(2423),
    [sym_super] = ACTIONS(2423),
    [sym_true] = ACTIONS(2423),
    [sym_false] = ACTIONS(2423),
    [sym_null] = ACTIONS(2423),
    [sym_undefined] = ACTIONS(2423),
    [anon_sym_AT] = ACTIONS(2425),
    [anon_sym_static] = ACTIONS(2423),
    [anon_sym_readonly] = ACTIONS(2423),
    [anon_sym_get] = ACTIONS(2423),
    [anon_sym_set] = ACTIONS(2423),
    [anon_sym_declare] = ACTIONS(2423),
    [anon_sym_public] = ACTIONS(2423),
    [anon_sym_private] = ACTIONS(2423),
    [anon_sym_protected] = ACTIONS(2423),
    [anon_sym_override] = ACTIONS(2423),
    [anon_sym_module] = ACTIONS(2423),
    [anon_sym_any] = ACTIONS(2423),
    [anon_sym_number] = ACTIONS(2423),
    [anon_sym_boolean] = ACTIONS(2423),
    [anon_sym_string] = ACTIONS(2423),
    [anon_sym_symbol] = ACTIONS(2423),
    [anon_sym_property] = ACTIONS(2423),
    [anon_sym_signal] = ACTIONS(2423),
    [anon_sym_on] = ACTIONS(2423),
    [anon_sym_required] = ACTIONS(2423),
    [anon_sym_component] = ACTIONS(2423),
    [anon_sym_abstract] = ACTIONS(2423),
    [anon_sym_interface] = ACTIONS(2423),
    [anon_sym_enum] = ACTIONS(2423),
  },
  [733] = {
    [sym_identifier] = ACTIONS(2427),
    [anon_sym_export] = ACTIONS(2427),
    [anon_sym_default] = ACTIONS(2427),
    [anon_sym_type] = ACTIONS(2427),
    [anon_sym_namespace] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2429),
    [anon_sym_RBRACE] = ACTIONS(2429),
    [anon_sym_typeof] = ACTIONS(2427),
    [anon_sym_import] = ACTIONS(2427),
    [anon_sym_from] = ACTIONS(2427),
    [anon_sym_var] = ACTIONS(2427),
    [anon_sym_let] = ACTIONS(2427),
    [anon_sym_const] = ACTIONS(2427),
    [anon_sym_BANG] = ACTIONS(2429),
    [anon_sym_else] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_switch] = ACTIONS(2427),
    [anon_sym_for] = ACTIONS(2427),
    [anon_sym_LPAREN] = ACTIONS(2429),
    [anon_sym_await] = ACTIONS(2427),
    [anon_sym_of] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(2427),
    [anon_sym_do] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2427),
    [anon_sym_with] = ACTIONS(2427),
    [anon_sym_break] = ACTIONS(2427),
    [anon_sym_continue] = ACTIONS(2427),
    [anon_sym_debugger] = ACTIONS(2427),
    [anon_sym_return] = ACTIONS(2427),
    [anon_sym_throw] = ACTIONS(2427),
    [anon_sym_SEMI] = ACTIONS(2429),
    [anon_sym_case] = ACTIONS(2427),
    [anon_sym_yield] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_LT] = ACTIONS(2429),
    [anon_sym_SLASH] = ACTIONS(2427),
    [anon_sym_class] = ACTIONS(2427),
    [anon_sym_async] = ACTIONS(2427),
    [anon_sym_function] = ACTIONS(2427),
    [anon_sym_new] = ACTIONS(2427),
    [anon_sym_PLUS] = ACTIONS(2427),
    [anon_sym_DASH] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2429),
    [anon_sym_void] = ACTIONS(2427),
    [anon_sym_delete] = ACTIONS(2427),
    [anon_sym_PLUS_PLUS] = ACTIONS(2429),
    [anon_sym_DASH_DASH] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2429),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2429),
    [sym_number] = ACTIONS(2429),
    [sym_this] = ACTIONS(2427),
    [sym_super] = ACTIONS(2427),
    [sym_true] = ACTIONS(2427),
    [sym_false] = ACTIONS(2427),
    [sym_null] = ACTIONS(2427),
    [sym_undefined] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(2429),
    [anon_sym_static] = ACTIONS(2427),
    [anon_sym_readonly] = ACTIONS(2427),
    [anon_sym_get] = ACTIONS(2427),
    [anon_sym_set] = ACTIONS(2427),
    [anon_sym_declare] = ACTIONS(2427),
    [anon_sym_public] = ACTIONS(2427),
    [anon_sym_private] = ACTIONS(2427),
    [anon_sym_protected] = ACTIONS(2427),
    [anon_sym_override] = ACTIONS(2427),
    [anon_sym_module] = ACTIONS(2427),
    [anon_sym_any] = ACTIONS(2427),
    [anon_sym_number] = ACTIONS(2427),
    [anon_sym_boolean] = ACTIONS(2427),
    [anon_sym_string] = ACTIONS(2427),
    [anon_sym_symbol] = ACTIONS(2427),
    [anon_sym_property] = ACTIONS(2427),
    [anon_sym_signal] = ACTIONS(2427),
    [anon_sym_on] = ACTIONS(2427),
    [anon_sym_required] = ACTIONS(2427),
    [anon_sym_component] = ACTIONS(2427),
    [anon_sym_abstract] = ACTIONS(2427),
    [anon_sym_interface] = ACTIONS(2427),
    [anon_sym_enum] = ACTIONS(2427),
  },
  [734] = {
    [sym_identifier] = ACTIONS(2431),
    [anon_sym_export] = ACTIONS(2431),
    [anon_sym_default] = ACTIONS(2431),
    [anon_sym_type] = ACTIONS(2431),
    [anon_sym_namespace] = ACTIONS(2431),
    [anon_sym_LBRACE] = ACTIONS(2433),
    [anon_sym_RBRACE] = ACTIONS(2433),
    [anon_sym_typeof] = ACTIONS(2431),
    [anon_sym_import] = ACTIONS(2431),
    [anon_sym_from] = ACTIONS(2431),
    [anon_sym_var] = ACTIONS(2431),
    [anon_sym_let] = ACTIONS(2431),
    [anon_sym_const] = ACTIONS(2431),
    [anon_sym_BANG] = ACTIONS(2433),
    [anon_sym_else] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2431),
    [anon_sym_switch] = ACTIONS(2431),
    [anon_sym_for] = ACTIONS(2431),
    [anon_sym_LPAREN] = ACTIONS(2433),
    [anon_sym_await] = ACTIONS(2431),
    [anon_sym_of] = ACTIONS(2431),
    [anon_sym_while] = ACTIONS(2431),
    [anon_sym_do] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2431),
    [anon_sym_with] = ACTIONS(2431),
    [anon_sym_break] = ACTIONS(2431),
    [anon_sym_continue] = ACTIONS(2431),
    [anon_sym_debugger] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2431),
    [anon_sym_throw] = ACTIONS(2431),
    [anon_sym_SEMI] = ACTIONS(2433),
    [anon_sym_case] = ACTIONS(2431),
    [anon_sym_yield] = ACTIONS(2431),
    [anon_sym_LBRACK] = ACTIONS(2433),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2431),
    [anon_sym_class] = ACTIONS(2431),
    [anon_sym_async] = ACTIONS(2431),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_new] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2431),
    [anon_sym_DASH] = ACTIONS(2431),
    [anon_sym_TILDE] = ACTIONS(2433),
    [anon_sym_void] = ACTIONS(2431),
    [anon_sym_delete] = ACTIONS(2431),
    [anon_sym_PLUS_PLUS] = ACTIONS(2433),
    [anon_sym_DASH_DASH] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_SQUOTE] = ACTIONS(2433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2433),
    [sym_number] = ACTIONS(2433),
    [sym_this] = ACTIONS(2431),
    [sym_super] = ACTIONS(2431),
    [sym_true] = ACTIONS(2431),
    [sym_false] = ACTIONS(2431),
    [sym_null] = ACTIONS(2431),
    [sym_undefined] = ACTIONS(2431),
    [anon_sym_AT] = ACTIONS(2433),
    [anon_sym_static] = ACTIONS(2431),
    [anon_sym_readonly] = ACTIONS(2431),
    [anon_sym_get] = ACTIONS(2431),
    [anon_sym_set] = ACTIONS(2431),
    [anon_sym_declare] = ACTIONS(2431),
    [anon_sym_public] = ACTIONS(2431),
    [anon_sym_private] = ACTIONS(2431),
    [anon_sym_protected] = ACTIONS(2431),
    [anon_sym_override] = ACTIONS(2431),
    [anon_sym_module] = ACTIONS(2431),
    [anon_sym_any] = ACTIONS(2431),
    [anon_sym_number] = ACTIONS(2431),
    [anon_sym_boolean] = ACTIONS(2431),
    [anon_sym_string] = ACTIONS(2431),
    [anon_sym_symbol] = ACTIONS(2431),
    [anon_sym_property] = ACTIONS(2431),
    [anon_sym_signal] = ACTIONS(2431),
    [anon_sym_on] = ACTIONS(2431),
    [anon_sym_required] = ACTIONS(2431),
    [anon_sym_component] = ACTIONS(2431),
    [anon_sym_abstract] = ACTIONS(2431),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2431),
  },
  [735] = {
    [sym_identifier] = ACTIONS(1650),
    [anon_sym_export] = ACTIONS(1650),
    [anon_sym_default] = ACTIONS(1650),
    [anon_sym_type] = ACTIONS(1650),
    [anon_sym_namespace] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1654),
    [anon_sym_RBRACE] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(1650),
    [anon_sym_import] = ACTIONS(1650),
    [anon_sym_from] = ACTIONS(1650),
    [anon_sym_var] = ACTIONS(1650),
    [anon_sym_let] = ACTIONS(1650),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_BANG] = ACTIONS(1654),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1654),
    [anon_sym_await] = ACTIONS(1650),
    [anon_sym_of] = ACTIONS(1650),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1650),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_with] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1650),
    [anon_sym_debugger] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1650),
    [anon_sym_yield] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_LT] = ACTIONS(1654),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_class] = ACTIONS(1650),
    [anon_sym_async] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_new] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_TILDE] = ACTIONS(1654),
    [anon_sym_void] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1654),
    [sym_number] = ACTIONS(1654),
    [sym_this] = ACTIONS(1650),
    [sym_super] = ACTIONS(1650),
    [sym_true] = ACTIONS(1650),
    [sym_false] = ACTIONS(1650),
    [sym_null] = ACTIONS(1650),
    [sym_undefined] = ACTIONS(1650),
    [anon_sym_AT] = ACTIONS(1654),
    [anon_sym_static] = ACTIONS(1650),
    [anon_sym_readonly] = ACTIONS(1650),
    [anon_sym_get] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_declare] = ACTIONS(1650),
    [anon_sym_public] = ACTIONS(1650),
    [anon_sym_private] = ACTIONS(1650),
    [anon_sym_protected] = ACTIONS(1650),
    [anon_sym_override] = ACTIONS(1650),
    [anon_sym_module] = ACTIONS(1650),
    [anon_sym_any] = ACTIONS(1650),
    [anon_sym_number] = ACTIONS(1650),
    [anon_sym_boolean] = ACTIONS(1650),
    [anon_sym_string] = ACTIONS(1650),
    [anon_sym_symbol] = ACTIONS(1650),
    [anon_sym_property] = ACTIONS(1650),
    [anon_sym_signal] = ACTIONS(1650),
    [anon_sym_on] = ACTIONS(1650),
    [anon_sym_required] = ACTIONS(1650),
    [anon_sym_component] = ACTIONS(1650),
    [anon_sym_abstract] = ACTIONS(1650),
    [anon_sym_interface] = ACTIONS(1650),
    [anon_sym_enum] = ACTIONS(1650),
  },
  [736] = {
    [sym_identifier] = ACTIONS(2435),
    [anon_sym_export] = ACTIONS(2435),
    [anon_sym_default] = ACTIONS(2435),
    [anon_sym_type] = ACTIONS(2435),
    [anon_sym_namespace] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2437),
    [anon_sym_RBRACE] = ACTIONS(2437),
    [anon_sym_typeof] = ACTIONS(2435),
    [anon_sym_import] = ACTIONS(2435),
    [anon_sym_from] = ACTIONS(2435),
    [anon_sym_var] = ACTIONS(2435),
    [anon_sym_let] = ACTIONS(2435),
    [anon_sym_const] = ACTIONS(2435),
    [anon_sym_BANG] = ACTIONS(2437),
    [anon_sym_else] = ACTIONS(2435),
    [anon_sym_if] = ACTIONS(2435),
    [anon_sym_switch] = ACTIONS(2435),
    [anon_sym_for] = ACTIONS(2435),
    [anon_sym_LPAREN] = ACTIONS(2437),
    [anon_sym_await] = ACTIONS(2435),
    [anon_sym_of] = ACTIONS(2435),
    [anon_sym_while] = ACTIONS(2435),
    [anon_sym_do] = ACTIONS(2435),
    [anon_sym_try] = ACTIONS(2435),
    [anon_sym_with] = ACTIONS(2435),
    [anon_sym_break] = ACTIONS(2435),
    [anon_sym_continue] = ACTIONS(2435),
    [anon_sym_debugger] = ACTIONS(2435),
    [anon_sym_return] = ACTIONS(2435),
    [anon_sym_throw] = ACTIONS(2435),
    [anon_sym_SEMI] = ACTIONS(2437),
    [anon_sym_case] = ACTIONS(2435),
    [anon_sym_yield] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2437),
    [anon_sym_LT] = ACTIONS(2437),
    [anon_sym_SLASH] = ACTIONS(2435),
    [anon_sym_class] = ACTIONS(2435),
    [anon_sym_async] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2435),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2437),
    [anon_sym_void] = ACTIONS(2435),
    [anon_sym_delete] = ACTIONS(2435),
    [anon_sym_PLUS_PLUS] = ACTIONS(2437),
    [anon_sym_DASH_DASH] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_SQUOTE] = ACTIONS(2437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2437),
    [sym_number] = ACTIONS(2437),
    [sym_this] = ACTIONS(2435),
    [sym_super] = ACTIONS(2435),
    [sym_true] = ACTIONS(2435),
    [sym_false] = ACTIONS(2435),
    [sym_null] = ACTIONS(2435),
    [sym_undefined] = ACTIONS(2435),
    [anon_sym_AT] = ACTIONS(2437),
    [anon_sym_static] = ACTIONS(2435),
    [anon_sym_readonly] = ACTIONS(2435),
    [anon_sym_get] = ACTIONS(2435),
    [anon_sym_set] = ACTIONS(2435),
    [anon_sym_declare] = ACTIONS(2435),
    [anon_sym_public] = ACTIONS(2435),
    [anon_sym_private] = ACTIONS(2435),
    [anon_sym_protected] = ACTIONS(2435),
    [anon_sym_override] = ACTIONS(2435),
    [anon_sym_module] = ACTIONS(2435),
    [anon_sym_any] = ACTIONS(2435),
    [anon_sym_number] = ACTIONS(2435),
    [anon_sym_boolean] = ACTIONS(2435),
    [anon_sym_string] = ACTIONS(2435),
    [anon_sym_symbol] = ACTIONS(2435),
    [anon_sym_property] = ACTIONS(2435),
    [anon_sym_signal] = ACTIONS(2435),
    [anon_sym_on] = ACTIONS(2435),
    [anon_sym_required] = ACTIONS(2435),
    [anon_sym_component] = ACTIONS(2435),
    [anon_sym_abstract] = ACTIONS(2435),
    [anon_sym_interface] = ACTIONS(2435),
    [anon_sym_enum] = ACTIONS(2435),
  },
  [737] = {
    [sym_identifier] = ACTIONS(2439),
    [anon_sym_export] = ACTIONS(2439),
    [anon_sym_default] = ACTIONS(2439),
    [anon_sym_type] = ACTIONS(2439),
    [anon_sym_namespace] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2441),
    [anon_sym_RBRACE] = ACTIONS(2441),
    [anon_sym_typeof] = ACTIONS(2439),
    [anon_sym_import] = ACTIONS(2439),
    [anon_sym_from] = ACTIONS(2439),
    [anon_sym_var] = ACTIONS(2439),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_const] = ACTIONS(2439),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_else] = ACTIONS(2439),
    [anon_sym_if] = ACTIONS(2439),
    [anon_sym_switch] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_await] = ACTIONS(2439),
    [anon_sym_of] = ACTIONS(2439),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_do] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_with] = ACTIONS(2439),
    [anon_sym_break] = ACTIONS(2439),
    [anon_sym_continue] = ACTIONS(2439),
    [anon_sym_debugger] = ACTIONS(2439),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_throw] = ACTIONS(2439),
    [anon_sym_SEMI] = ACTIONS(2441),
    [anon_sym_case] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2439),
    [anon_sym_LBRACK] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2439),
    [anon_sym_class] = ACTIONS(2439),
    [anon_sym_async] = ACTIONS(2439),
    [anon_sym_function] = ACTIONS(2439),
    [anon_sym_new] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_void] = ACTIONS(2439),
    [anon_sym_delete] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(2441),
    [anon_sym_DASH_DASH] = ACTIONS(2441),
    [anon_sym_DQUOTE] = ACTIONS(2441),
    [anon_sym_SQUOTE] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2441),
    [sym_number] = ACTIONS(2441),
    [sym_this] = ACTIONS(2439),
    [sym_super] = ACTIONS(2439),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [sym_null] = ACTIONS(2439),
    [sym_undefined] = ACTIONS(2439),
    [anon_sym_AT] = ACTIONS(2441),
    [anon_sym_static] = ACTIONS(2439),
    [anon_sym_readonly] = ACTIONS(2439),
    [anon_sym_get] = ACTIONS(2439),
    [anon_sym_set] = ACTIONS(2439),
    [anon_sym_declare] = ACTIONS(2439),
    [anon_sym_public] = ACTIONS(2439),
    [anon_sym_private] = ACTIONS(2439),
    [anon_sym_protected] = ACTIONS(2439),
    [anon_sym_override] = ACTIONS(2439),
    [anon_sym_module] = ACTIONS(2439),
    [anon_sym_any] = ACTIONS(2439),
    [anon_sym_number] = ACTIONS(2439),
    [anon_sym_boolean] = ACTIONS(2439),
    [anon_sym_string] = ACTIONS(2439),
    [anon_sym_symbol] = ACTIONS(2439),
    [anon_sym_property] = ACTIONS(2439),
    [anon_sym_signal] = ACTIONS(2439),
    [anon_sym_on] = ACTIONS(2439),
    [anon_sym_required] = ACTIONS(2439),
    [anon_sym_component] = ACTIONS(2439),
    [anon_sym_abstract] = ACTIONS(2439),
    [anon_sym_interface] = ACTIONS(2439),
    [anon_sym_enum] = ACTIONS(2439),
  },
  [738] = {
    [sym_identifier] = ACTIONS(2443),
    [anon_sym_export] = ACTIONS(2443),
    [anon_sym_default] = ACTIONS(2443),
    [anon_sym_type] = ACTIONS(2443),
    [anon_sym_namespace] = ACTIONS(2443),
    [anon_sym_LBRACE] = ACTIONS(2445),
    [anon_sym_RBRACE] = ACTIONS(2445),
    [anon_sym_typeof] = ACTIONS(2443),
    [anon_sym_import] = ACTIONS(2443),
    [anon_sym_from] = ACTIONS(2443),
    [anon_sym_var] = ACTIONS(2443),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_const] = ACTIONS(2443),
    [anon_sym_BANG] = ACTIONS(2445),
    [anon_sym_else] = ACTIONS(2443),
    [anon_sym_if] = ACTIONS(2443),
    [anon_sym_switch] = ACTIONS(2443),
    [anon_sym_for] = ACTIONS(2443),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_await] = ACTIONS(2443),
    [anon_sym_of] = ACTIONS(2443),
    [anon_sym_while] = ACTIONS(2443),
    [anon_sym_do] = ACTIONS(2443),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_with] = ACTIONS(2443),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_continue] = ACTIONS(2443),
    [anon_sym_debugger] = ACTIONS(2443),
    [anon_sym_return] = ACTIONS(2443),
    [anon_sym_throw] = ACTIONS(2443),
    [anon_sym_SEMI] = ACTIONS(2445),
    [anon_sym_case] = ACTIONS(2443),
    [anon_sym_yield] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2445),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_class] = ACTIONS(2443),
    [anon_sym_async] = ACTIONS(2443),
    [anon_sym_function] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(2443),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(2445),
    [anon_sym_void] = ACTIONS(2443),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_PLUS_PLUS] = ACTIONS(2445),
    [anon_sym_DASH_DASH] = ACTIONS(2445),
    [anon_sym_DQUOTE] = ACTIONS(2445),
    [anon_sym_SQUOTE] = ACTIONS(2445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2445),
    [sym_number] = ACTIONS(2445),
    [sym_this] = ACTIONS(2443),
    [sym_super] = ACTIONS(2443),
    [sym_true] = ACTIONS(2443),
    [sym_false] = ACTIONS(2443),
    [sym_null] = ACTIONS(2443),
    [sym_undefined] = ACTIONS(2443),
    [anon_sym_AT] = ACTIONS(2445),
    [anon_sym_static] = ACTIONS(2443),
    [anon_sym_readonly] = ACTIONS(2443),
    [anon_sym_get] = ACTIONS(2443),
    [anon_sym_set] = ACTIONS(2443),
    [anon_sym_declare] = ACTIONS(2443),
    [anon_sym_public] = ACTIONS(2443),
    [anon_sym_private] = ACTIONS(2443),
    [anon_sym_protected] = ACTIONS(2443),
    [anon_sym_override] = ACTIONS(2443),
    [anon_sym_module] = ACTIONS(2443),
    [anon_sym_any] = ACTIONS(2443),
    [anon_sym_number] = ACTIONS(2443),
    [anon_sym_boolean] = ACTIONS(2443),
    [anon_sym_string] = ACTIONS(2443),
    [anon_sym_symbol] = ACTIONS(2443),
    [anon_sym_property] = ACTIONS(2443),
    [anon_sym_signal] = ACTIONS(2443),
    [anon_sym_on] = ACTIONS(2443),
    [anon_sym_required] = ACTIONS(2443),
    [anon_sym_component] = ACTIONS(2443),
    [anon_sym_abstract] = ACTIONS(2443),
    [anon_sym_interface] = ACTIONS(2443),
    [anon_sym_enum] = ACTIONS(2443),
  },
  [739] = {
    [sym_identifier] = ACTIONS(2447),
    [anon_sym_export] = ACTIONS(2447),
    [anon_sym_default] = ACTIONS(2447),
    [anon_sym_type] = ACTIONS(2447),
    [anon_sym_namespace] = ACTIONS(2447),
    [anon_sym_LBRACE] = ACTIONS(2449),
    [anon_sym_RBRACE] = ACTIONS(2449),
    [anon_sym_typeof] = ACTIONS(2447),
    [anon_sym_import] = ACTIONS(2447),
    [anon_sym_from] = ACTIONS(2447),
    [anon_sym_var] = ACTIONS(2447),
    [anon_sym_let] = ACTIONS(2447),
    [anon_sym_const] = ACTIONS(2447),
    [anon_sym_BANG] = ACTIONS(2449),
    [anon_sym_else] = ACTIONS(2447),
    [anon_sym_if] = ACTIONS(2447),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_for] = ACTIONS(2447),
    [anon_sym_LPAREN] = ACTIONS(2449),
    [anon_sym_await] = ACTIONS(2447),
    [anon_sym_of] = ACTIONS(2447),
    [anon_sym_while] = ACTIONS(2447),
    [anon_sym_do] = ACTIONS(2447),
    [anon_sym_try] = ACTIONS(2447),
    [anon_sym_with] = ACTIONS(2447),
    [anon_sym_break] = ACTIONS(2447),
    [anon_sym_continue] = ACTIONS(2447),
    [anon_sym_debugger] = ACTIONS(2447),
    [anon_sym_return] = ACTIONS(2447),
    [anon_sym_throw] = ACTIONS(2447),
    [anon_sym_SEMI] = ACTIONS(2449),
    [anon_sym_case] = ACTIONS(2447),
    [anon_sym_yield] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_LT] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2447),
    [anon_sym_class] = ACTIONS(2447),
    [anon_sym_async] = ACTIONS(2447),
    [anon_sym_function] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2447),
    [anon_sym_DASH] = ACTIONS(2447),
    [anon_sym_TILDE] = ACTIONS(2449),
    [anon_sym_void] = ACTIONS(2447),
    [anon_sym_delete] = ACTIONS(2447),
    [anon_sym_PLUS_PLUS] = ACTIONS(2449),
    [anon_sym_DASH_DASH] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2449),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2449),
    [sym_number] = ACTIONS(2449),
    [sym_this] = ACTIONS(2447),
    [sym_super] = ACTIONS(2447),
    [sym_true] = ACTIONS(2447),
    [sym_false] = ACTIONS(2447),
    [sym_null] = ACTIONS(2447),
    [sym_undefined] = ACTIONS(2447),
    [anon_sym_AT] = ACTIONS(2449),
    [anon_sym_static] = ACTIONS(2447),
    [anon_sym_readonly] = ACTIONS(2447),
    [anon_sym_get] = ACTIONS(2447),
    [anon_sym_set] = ACTIONS(2447),
    [anon_sym_declare] = ACTIONS(2447),
    [anon_sym_public] = ACTIONS(2447),
    [anon_sym_private] = ACTIONS(2447),
    [anon_sym_protected] = ACTIONS(2447),
    [anon_sym_override] = ACTIONS(2447),
    [anon_sym_module] = ACTIONS(2447),
    [anon_sym_any] = ACTIONS(2447),
    [anon_sym_number] = ACTIONS(2447),
    [anon_sym_boolean] = ACTIONS(2447),
    [anon_sym_string] = ACTIONS(2447),
    [anon_sym_symbol] = ACTIONS(2447),
    [anon_sym_property] = ACTIONS(2447),
    [anon_sym_signal] = ACTIONS(2447),
    [anon_sym_on] = ACTIONS(2447),
    [anon_sym_required] = ACTIONS(2447),
    [anon_sym_component] = ACTIONS(2447),
    [anon_sym_abstract] = ACTIONS(2447),
    [anon_sym_interface] = ACTIONS(2447),
    [anon_sym_enum] = ACTIONS(2447),
  },
  [740] = {
    [sym_identifier] = ACTIONS(2451),
    [anon_sym_export] = ACTIONS(2451),
    [anon_sym_default] = ACTIONS(2451),
    [anon_sym_type] = ACTIONS(2451),
    [anon_sym_namespace] = ACTIONS(2451),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_RBRACE] = ACTIONS(2453),
    [anon_sym_typeof] = ACTIONS(2451),
    [anon_sym_import] = ACTIONS(2451),
    [anon_sym_from] = ACTIONS(2451),
    [anon_sym_var] = ACTIONS(2451),
    [anon_sym_let] = ACTIONS(2451),
    [anon_sym_const] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_else] = ACTIONS(2451),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_for] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_of] = ACTIONS(2451),
    [anon_sym_while] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2451),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_with] = ACTIONS(2451),
    [anon_sym_break] = ACTIONS(2451),
    [anon_sym_continue] = ACTIONS(2451),
    [anon_sym_debugger] = ACTIONS(2451),
    [anon_sym_return] = ACTIONS(2451),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_SEMI] = ACTIONS(2453),
    [anon_sym_case] = ACTIONS(2451),
    [anon_sym_yield] = ACTIONS(2451),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(2453),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_class] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_function] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_void] = ACTIONS(2451),
    [anon_sym_delete] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_DQUOTE] = ACTIONS(2453),
    [anon_sym_SQUOTE] = ACTIONS(2453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2453),
    [sym_number] = ACTIONS(2453),
    [sym_this] = ACTIONS(2451),
    [sym_super] = ACTIONS(2451),
    [sym_true] = ACTIONS(2451),
    [sym_false] = ACTIONS(2451),
    [sym_null] = ACTIONS(2451),
    [sym_undefined] = ACTIONS(2451),
    [anon_sym_AT] = ACTIONS(2453),
    [anon_sym_static] = ACTIONS(2451),
    [anon_sym_readonly] = ACTIONS(2451),
    [anon_sym_get] = ACTIONS(2451),
    [anon_sym_set] = ACTIONS(2451),
    [anon_sym_declare] = ACTIONS(2451),
    [anon_sym_public] = ACTIONS(2451),
    [anon_sym_private] = ACTIONS(2451),
    [anon_sym_protected] = ACTIONS(2451),
    [anon_sym_override] = ACTIONS(2451),
    [anon_sym_module] = ACTIONS(2451),
    [anon_sym_any] = ACTIONS(2451),
    [anon_sym_number] = ACTIONS(2451),
    [anon_sym_boolean] = ACTIONS(2451),
    [anon_sym_string] = ACTIONS(2451),
    [anon_sym_symbol] = ACTIONS(2451),
    [anon_sym_property] = ACTIONS(2451),
    [anon_sym_signal] = ACTIONS(2451),
    [anon_sym_on] = ACTIONS(2451),
    [anon_sym_required] = ACTIONS(2451),
    [anon_sym_component] = ACTIONS(2451),
    [anon_sym_abstract] = ACTIONS(2451),
    [anon_sym_interface] = ACTIONS(2451),
    [anon_sym_enum] = ACTIONS(2451),
  },
  [741] = {
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_export] = ACTIONS(2455),
    [anon_sym_default] = ACTIONS(2455),
    [anon_sym_type] = ACTIONS(2455),
    [anon_sym_namespace] = ACTIONS(2455),
    [anon_sym_LBRACE] = ACTIONS(2457),
    [anon_sym_RBRACE] = ACTIONS(2457),
    [anon_sym_typeof] = ACTIONS(2455),
    [anon_sym_import] = ACTIONS(2455),
    [anon_sym_from] = ACTIONS(2455),
    [anon_sym_var] = ACTIONS(2455),
    [anon_sym_let] = ACTIONS(2455),
    [anon_sym_const] = ACTIONS(2455),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_else] = ACTIONS(2455),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_switch] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2455),
    [anon_sym_LPAREN] = ACTIONS(2457),
    [anon_sym_await] = ACTIONS(2455),
    [anon_sym_of] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_do] = ACTIONS(2455),
    [anon_sym_try] = ACTIONS(2455),
    [anon_sym_with] = ACTIONS(2455),
    [anon_sym_break] = ACTIONS(2455),
    [anon_sym_continue] = ACTIONS(2455),
    [anon_sym_debugger] = ACTIONS(2455),
    [anon_sym_return] = ACTIONS(2455),
    [anon_sym_throw] = ACTIONS(2455),
    [anon_sym_SEMI] = ACTIONS(2457),
    [anon_sym_case] = ACTIONS(2455),
    [anon_sym_yield] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(2457),
    [anon_sym_SLASH] = ACTIONS(2455),
    [anon_sym_class] = ACTIONS(2455),
    [anon_sym_async] = ACTIONS(2455),
    [anon_sym_function] = ACTIONS(2455),
    [anon_sym_new] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_void] = ACTIONS(2455),
    [anon_sym_delete] = ACTIONS(2455),
    [anon_sym_PLUS_PLUS] = ACTIONS(2457),
    [anon_sym_DASH_DASH] = ACTIONS(2457),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [anon_sym_SQUOTE] = ACTIONS(2457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2457),
    [sym_number] = ACTIONS(2457),
    [sym_this] = ACTIONS(2455),
    [sym_super] = ACTIONS(2455),
    [sym_true] = ACTIONS(2455),
    [sym_false] = ACTIONS(2455),
    [sym_null] = ACTIONS(2455),
    [sym_undefined] = ACTIONS(2455),
    [anon_sym_AT] = ACTIONS(2457),
    [anon_sym_static] = ACTIONS(2455),
    [anon_sym_readonly] = ACTIONS(2455),
    [anon_sym_get] = ACTIONS(2455),
    [anon_sym_set] = ACTIONS(2455),
    [anon_sym_declare] = ACTIONS(2455),
    [anon_sym_public] = ACTIONS(2455),
    [anon_sym_private] = ACTIONS(2455),
    [anon_sym_protected] = ACTIONS(2455),
    [anon_sym_override] = ACTIONS(2455),
    [anon_sym_module] = ACTIONS(2455),
    [anon_sym_any] = ACTIONS(2455),
    [anon_sym_number] = ACTIONS(2455),
    [anon_sym_boolean] = ACTIONS(2455),
    [anon_sym_string] = ACTIONS(2455),
    [anon_sym_symbol] = ACTIONS(2455),
    [anon_sym_property] = ACTIONS(2455),
    [anon_sym_signal] = ACTIONS(2455),
    [anon_sym_on] = ACTIONS(2455),
    [anon_sym_required] = ACTIONS(2455),
    [anon_sym_component] = ACTIONS(2455),
    [anon_sym_abstract] = ACTIONS(2455),
    [anon_sym_interface] = ACTIONS(2455),
    [anon_sym_enum] = ACTIONS(2455),
  },
  [742] = {
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_export] = ACTIONS(2459),
    [anon_sym_default] = ACTIONS(2459),
    [anon_sym_type] = ACTIONS(2459),
    [anon_sym_namespace] = ACTIONS(2459),
    [anon_sym_LBRACE] = ACTIONS(2461),
    [anon_sym_RBRACE] = ACTIONS(2461),
    [anon_sym_typeof] = ACTIONS(2459),
    [anon_sym_import] = ACTIONS(2459),
    [anon_sym_from] = ACTIONS(2459),
    [anon_sym_var] = ACTIONS(2459),
    [anon_sym_let] = ACTIONS(2459),
    [anon_sym_const] = ACTIONS(2459),
    [anon_sym_BANG] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2459),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_switch] = ACTIONS(2459),
    [anon_sym_for] = ACTIONS(2459),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_await] = ACTIONS(2459),
    [anon_sym_of] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(2459),
    [anon_sym_do] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_with] = ACTIONS(2459),
    [anon_sym_break] = ACTIONS(2459),
    [anon_sym_continue] = ACTIONS(2459),
    [anon_sym_debugger] = ACTIONS(2459),
    [anon_sym_return] = ACTIONS(2459),
    [anon_sym_throw] = ACTIONS(2459),
    [anon_sym_SEMI] = ACTIONS(2461),
    [anon_sym_case] = ACTIONS(2459),
    [anon_sym_yield] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [anon_sym_LT] = ACTIONS(2461),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_class] = ACTIONS(2459),
    [anon_sym_async] = ACTIONS(2459),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(2459),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_TILDE] = ACTIONS(2461),
    [anon_sym_void] = ACTIONS(2459),
    [anon_sym_delete] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2461),
    [anon_sym_DASH_DASH] = ACTIONS(2461),
    [anon_sym_DQUOTE] = ACTIONS(2461),
    [anon_sym_SQUOTE] = ACTIONS(2461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2461),
    [sym_number] = ACTIONS(2461),
    [sym_this] = ACTIONS(2459),
    [sym_super] = ACTIONS(2459),
    [sym_true] = ACTIONS(2459),
    [sym_false] = ACTIONS(2459),
    [sym_null] = ACTIONS(2459),
    [sym_undefined] = ACTIONS(2459),
    [anon_sym_AT] = ACTIONS(2461),
    [anon_sym_static] = ACTIONS(2459),
    [anon_sym_readonly] = ACTIONS(2459),
    [anon_sym_get] = ACTIONS(2459),
    [anon_sym_set] = ACTIONS(2459),
    [anon_sym_declare] = ACTIONS(2459),
    [anon_sym_public] = ACTIONS(2459),
    [anon_sym_private] = ACTIONS(2459),
    [anon_sym_protected] = ACTIONS(2459),
    [anon_sym_override] = ACTIONS(2459),
    [anon_sym_module] = ACTIONS(2459),
    [anon_sym_any] = ACTIONS(2459),
    [anon_sym_number] = ACTIONS(2459),
    [anon_sym_boolean] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_symbol] = ACTIONS(2459),
    [anon_sym_property] = ACTIONS(2459),
    [anon_sym_signal] = ACTIONS(2459),
    [anon_sym_on] = ACTIONS(2459),
    [anon_sym_required] = ACTIONS(2459),
    [anon_sym_component] = ACTIONS(2459),
    [anon_sym_abstract] = ACTIONS(2459),
    [anon_sym_interface] = ACTIONS(2459),
    [anon_sym_enum] = ACTIONS(2459),
  },
  [743] = {
    [sym_identifier] = ACTIONS(2463),
    [anon_sym_export] = ACTIONS(2463),
    [anon_sym_default] = ACTIONS(2463),
    [anon_sym_type] = ACTIONS(2463),
    [anon_sym_namespace] = ACTIONS(2463),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_RBRACE] = ACTIONS(2465),
    [anon_sym_typeof] = ACTIONS(2463),
    [anon_sym_import] = ACTIONS(2463),
    [anon_sym_from] = ACTIONS(2463),
    [anon_sym_var] = ACTIONS(2463),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_const] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(2465),
    [anon_sym_else] = ACTIONS(2463),
    [anon_sym_if] = ACTIONS(2463),
    [anon_sym_switch] = ACTIONS(2463),
    [anon_sym_for] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_await] = ACTIONS(2463),
    [anon_sym_of] = ACTIONS(2463),
    [anon_sym_while] = ACTIONS(2463),
    [anon_sym_do] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2463),
    [anon_sym_with] = ACTIONS(2463),
    [anon_sym_break] = ACTIONS(2463),
    [anon_sym_continue] = ACTIONS(2463),
    [anon_sym_debugger] = ACTIONS(2463),
    [anon_sym_return] = ACTIONS(2463),
    [anon_sym_throw] = ACTIONS(2463),
    [anon_sym_SEMI] = ACTIONS(2465),
    [anon_sym_case] = ACTIONS(2463),
    [anon_sym_yield] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_LT] = ACTIONS(2465),
    [anon_sym_SLASH] = ACTIONS(2463),
    [anon_sym_class] = ACTIONS(2463),
    [anon_sym_async] = ACTIONS(2463),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_TILDE] = ACTIONS(2465),
    [anon_sym_void] = ACTIONS(2463),
    [anon_sym_delete] = ACTIONS(2463),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_DQUOTE] = ACTIONS(2465),
    [anon_sym_SQUOTE] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2465),
    [sym_number] = ACTIONS(2465),
    [sym_this] = ACTIONS(2463),
    [sym_super] = ACTIONS(2463),
    [sym_true] = ACTIONS(2463),
    [sym_false] = ACTIONS(2463),
    [sym_null] = ACTIONS(2463),
    [sym_undefined] = ACTIONS(2463),
    [anon_sym_AT] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2463),
    [anon_sym_readonly] = ACTIONS(2463),
    [anon_sym_get] = ACTIONS(2463),
    [anon_sym_set] = ACTIONS(2463),
    [anon_sym_declare] = ACTIONS(2463),
    [anon_sym_public] = ACTIONS(2463),
    [anon_sym_private] = ACTIONS(2463),
    [anon_sym_protected] = ACTIONS(2463),
    [anon_sym_override] = ACTIONS(2463),
    [anon_sym_module] = ACTIONS(2463),
    [anon_sym_any] = ACTIONS(2463),
    [anon_sym_number] = ACTIONS(2463),
    [anon_sym_boolean] = ACTIONS(2463),
    [anon_sym_string] = ACTIONS(2463),
    [anon_sym_symbol] = ACTIONS(2463),
    [anon_sym_property] = ACTIONS(2463),
    [anon_sym_signal] = ACTIONS(2463),
    [anon_sym_on] = ACTIONS(2463),
    [anon_sym_required] = ACTIONS(2463),
    [anon_sym_component] = ACTIONS(2463),
    [anon_sym_abstract] = ACTIONS(2463),
    [anon_sym_interface] = ACTIONS(2463),
    [anon_sym_enum] = ACTIONS(2463),
  },
  [744] = {
    [sym_identifier] = ACTIONS(2467),
    [anon_sym_export] = ACTIONS(2467),
    [anon_sym_default] = ACTIONS(2467),
    [anon_sym_type] = ACTIONS(2467),
    [anon_sym_namespace] = ACTIONS(2467),
    [anon_sym_LBRACE] = ACTIONS(2469),
    [anon_sym_RBRACE] = ACTIONS(2469),
    [anon_sym_typeof] = ACTIONS(2467),
    [anon_sym_import] = ACTIONS(2467),
    [anon_sym_from] = ACTIONS(2467),
    [anon_sym_var] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2467),
    [anon_sym_const] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2469),
    [anon_sym_else] = ACTIONS(2467),
    [anon_sym_if] = ACTIONS(2467),
    [anon_sym_switch] = ACTIONS(2467),
    [anon_sym_for] = ACTIONS(2467),
    [anon_sym_LPAREN] = ACTIONS(2469),
    [anon_sym_await] = ACTIONS(2467),
    [anon_sym_of] = ACTIONS(2467),
    [anon_sym_while] = ACTIONS(2467),
    [anon_sym_do] = ACTIONS(2467),
    [anon_sym_try] = ACTIONS(2467),
    [anon_sym_with] = ACTIONS(2467),
    [anon_sym_break] = ACTIONS(2467),
    [anon_sym_continue] = ACTIONS(2467),
    [anon_sym_debugger] = ACTIONS(2467),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2467),
    [anon_sym_SEMI] = ACTIONS(2469),
    [anon_sym_case] = ACTIONS(2467),
    [anon_sym_yield] = ACTIONS(2467),
    [anon_sym_LBRACK] = ACTIONS(2469),
    [anon_sym_LT] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(2467),
    [anon_sym_class] = ACTIONS(2467),
    [anon_sym_async] = ACTIONS(2467),
    [anon_sym_function] = ACTIONS(2467),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_PLUS] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2467),
    [anon_sym_TILDE] = ACTIONS(2469),
    [anon_sym_void] = ACTIONS(2467),
    [anon_sym_delete] = ACTIONS(2467),
    [anon_sym_PLUS_PLUS] = ACTIONS(2469),
    [anon_sym_DASH_DASH] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_SQUOTE] = ACTIONS(2469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2469),
    [sym_number] = ACTIONS(2469),
    [sym_this] = ACTIONS(2467),
    [sym_super] = ACTIONS(2467),
    [sym_true] = ACTIONS(2467),
    [sym_false] = ACTIONS(2467),
    [sym_null] = ACTIONS(2467),
    [sym_undefined] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_static] = ACTIONS(2467),
    [anon_sym_readonly] = ACTIONS(2467),
    [anon_sym_get] = ACTIONS(2467),
    [anon_sym_set] = ACTIONS(2467),
    [anon_sym_declare] = ACTIONS(2467),
    [anon_sym_public] = ACTIONS(2467),
    [anon_sym_private] = ACTIONS(2467),
    [anon_sym_protected] = ACTIONS(2467),
    [anon_sym_override] = ACTIONS(2467),
    [anon_sym_module] = ACTIONS(2467),
    [anon_sym_any] = ACTIONS(2467),
    [anon_sym_number] = ACTIONS(2467),
    [anon_sym_boolean] = ACTIONS(2467),
    [anon_sym_string] = ACTIONS(2467),
    [anon_sym_symbol] = ACTIONS(2467),
    [anon_sym_property] = ACTIONS(2467),
    [anon_sym_signal] = ACTIONS(2467),
    [anon_sym_on] = ACTIONS(2467),
    [anon_sym_required] = ACTIONS(2467),
    [anon_sym_component] = ACTIONS(2467),
    [anon_sym_abstract] = ACTIONS(2467),
    [anon_sym_interface] = ACTIONS(2467),
    [anon_sym_enum] = ACTIONS(2467),
  },
  [745] = {
    [sym_identifier] = ACTIONS(2471),
    [anon_sym_export] = ACTIONS(2471),
    [anon_sym_default] = ACTIONS(2471),
    [anon_sym_type] = ACTIONS(2471),
    [anon_sym_namespace] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2473),
    [anon_sym_RBRACE] = ACTIONS(2473),
    [anon_sym_typeof] = ACTIONS(2471),
    [anon_sym_import] = ACTIONS(2471),
    [anon_sym_from] = ACTIONS(2471),
    [anon_sym_var] = ACTIONS(2471),
    [anon_sym_let] = ACTIONS(2471),
    [anon_sym_const] = ACTIONS(2471),
    [anon_sym_BANG] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2471),
    [anon_sym_switch] = ACTIONS(2471),
    [anon_sym_for] = ACTIONS(2471),
    [anon_sym_LPAREN] = ACTIONS(2473),
    [anon_sym_await] = ACTIONS(2471),
    [anon_sym_of] = ACTIONS(2471),
    [anon_sym_while] = ACTIONS(2471),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_try] = ACTIONS(2471),
    [anon_sym_with] = ACTIONS(2471),
    [anon_sym_break] = ACTIONS(2471),
    [anon_sym_continue] = ACTIONS(2471),
    [anon_sym_debugger] = ACTIONS(2471),
    [anon_sym_return] = ACTIONS(2471),
    [anon_sym_throw] = ACTIONS(2471),
    [anon_sym_SEMI] = ACTIONS(2473),
    [anon_sym_case] = ACTIONS(2471),
    [anon_sym_yield] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2473),
    [anon_sym_SLASH] = ACTIONS(2471),
    [anon_sym_class] = ACTIONS(2471),
    [anon_sym_async] = ACTIONS(2471),
    [anon_sym_function] = ACTIONS(2471),
    [anon_sym_new] = ACTIONS(2471),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_void] = ACTIONS(2471),
    [anon_sym_delete] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(2473),
    [anon_sym_DASH_DASH] = ACTIONS(2473),
    [anon_sym_DQUOTE] = ACTIONS(2473),
    [anon_sym_SQUOTE] = ACTIONS(2473),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2473),
    [sym_number] = ACTIONS(2473),
    [sym_this] = ACTIONS(2471),
    [sym_super] = ACTIONS(2471),
    [sym_true] = ACTIONS(2471),
    [sym_false] = ACTIONS(2471),
    [sym_null] = ACTIONS(2471),
    [sym_undefined] = ACTIONS(2471),
    [anon_sym_AT] = ACTIONS(2473),
    [anon_sym_static] = ACTIONS(2471),
    [anon_sym_readonly] = ACTIONS(2471),
    [anon_sym_get] = ACTIONS(2471),
    [anon_sym_set] = ACTIONS(2471),
    [anon_sym_declare] = ACTIONS(2471),
    [anon_sym_public] = ACTIONS(2471),
    [anon_sym_private] = ACTIONS(2471),
    [anon_sym_protected] = ACTIONS(2471),
    [anon_sym_override] = ACTIONS(2471),
    [anon_sym_module] = ACTIONS(2471),
    [anon_sym_any] = ACTIONS(2471),
    [anon_sym_number] = ACTIONS(2471),
    [anon_sym_boolean] = ACTIONS(2471),
    [anon_sym_string] = ACTIONS(2471),
    [anon_sym_symbol] = ACTIONS(2471),
    [anon_sym_property] = ACTIONS(2471),
    [anon_sym_signal] = ACTIONS(2471),
    [anon_sym_on] = ACTIONS(2471),
    [anon_sym_required] = ACTIONS(2471),
    [anon_sym_component] = ACTIONS(2471),
    [anon_sym_abstract] = ACTIONS(2471),
    [anon_sym_interface] = ACTIONS(2471),
    [anon_sym_enum] = ACTIONS(2471),
  },
  [746] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_export] = ACTIONS(2475),
    [anon_sym_default] = ACTIONS(2475),
    [anon_sym_type] = ACTIONS(2475),
    [anon_sym_namespace] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_RBRACE] = ACTIONS(2477),
    [anon_sym_typeof] = ACTIONS(2475),
    [anon_sym_import] = ACTIONS(2475),
    [anon_sym_from] = ACTIONS(2475),
    [anon_sym_var] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2477),
    [anon_sym_else] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2475),
    [anon_sym_switch] = ACTIONS(2475),
    [anon_sym_for] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(2477),
    [anon_sym_await] = ACTIONS(2475),
    [anon_sym_of] = ACTIONS(2475),
    [anon_sym_while] = ACTIONS(2475),
    [anon_sym_do] = ACTIONS(2475),
    [anon_sym_try] = ACTIONS(2475),
    [anon_sym_with] = ACTIONS(2475),
    [anon_sym_break] = ACTIONS(2475),
    [anon_sym_continue] = ACTIONS(2475),
    [anon_sym_debugger] = ACTIONS(2475),
    [anon_sym_return] = ACTIONS(2475),
    [anon_sym_throw] = ACTIONS(2475),
    [anon_sym_SEMI] = ACTIONS(2477),
    [anon_sym_case] = ACTIONS(2475),
    [anon_sym_yield] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(2477),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_async] = ACTIONS(2475),
    [anon_sym_function] = ACTIONS(2475),
    [anon_sym_new] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_void] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(2477),
    [anon_sym_DASH_DASH] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2477),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2477),
    [sym_number] = ACTIONS(2477),
    [sym_this] = ACTIONS(2475),
    [sym_super] = ACTIONS(2475),
    [sym_true] = ACTIONS(2475),
    [sym_false] = ACTIONS(2475),
    [sym_null] = ACTIONS(2475),
    [sym_undefined] = ACTIONS(2475),
    [anon_sym_AT] = ACTIONS(2477),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_readonly] = ACTIONS(2475),
    [anon_sym_get] = ACTIONS(2475),
    [anon_sym_set] = ACTIONS(2475),
    [anon_sym_declare] = ACTIONS(2475),
    [anon_sym_public] = ACTIONS(2475),
    [anon_sym_private] = ACTIONS(2475),
    [anon_sym_protected] = ACTIONS(2475),
    [anon_sym_override] = ACTIONS(2475),
    [anon_sym_module] = ACTIONS(2475),
    [anon_sym_any] = ACTIONS(2475),
    [anon_sym_number] = ACTIONS(2475),
    [anon_sym_boolean] = ACTIONS(2475),
    [anon_sym_string] = ACTIONS(2475),
    [anon_sym_symbol] = ACTIONS(2475),
    [anon_sym_property] = ACTIONS(2475),
    [anon_sym_signal] = ACTIONS(2475),
    [anon_sym_on] = ACTIONS(2475),
    [anon_sym_required] = ACTIONS(2475),
    [anon_sym_component] = ACTIONS(2475),
    [anon_sym_abstract] = ACTIONS(2475),
    [anon_sym_interface] = ACTIONS(2475),
    [anon_sym_enum] = ACTIONS(2475),
  },
  [747] = {
    [sym_identifier] = ACTIONS(2479),
    [anon_sym_export] = ACTIONS(2479),
    [anon_sym_default] = ACTIONS(2479),
    [anon_sym_type] = ACTIONS(2479),
    [anon_sym_namespace] = ACTIONS(2479),
    [anon_sym_LBRACE] = ACTIONS(2481),
    [anon_sym_RBRACE] = ACTIONS(2481),
    [anon_sym_typeof] = ACTIONS(2479),
    [anon_sym_import] = ACTIONS(2479),
    [anon_sym_from] = ACTIONS(2479),
    [anon_sym_var] = ACTIONS(2479),
    [anon_sym_let] = ACTIONS(2479),
    [anon_sym_const] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_else] = ACTIONS(2479),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_switch] = ACTIONS(2479),
    [anon_sym_for] = ACTIONS(2479),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_await] = ACTIONS(2479),
    [anon_sym_of] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(2479),
    [anon_sym_do] = ACTIONS(2479),
    [anon_sym_try] = ACTIONS(2479),
    [anon_sym_with] = ACTIONS(2479),
    [anon_sym_break] = ACTIONS(2479),
    [anon_sym_continue] = ACTIONS(2479),
    [anon_sym_debugger] = ACTIONS(2479),
    [anon_sym_return] = ACTIONS(2479),
    [anon_sym_throw] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(2481),
    [anon_sym_case] = ACTIONS(2479),
    [anon_sym_yield] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2481),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_class] = ACTIONS(2479),
    [anon_sym_async] = ACTIONS(2479),
    [anon_sym_function] = ACTIONS(2479),
    [anon_sym_new] = ACTIONS(2479),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_void] = ACTIONS(2479),
    [anon_sym_delete] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(2481),
    [anon_sym_DASH_DASH] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2481),
    [sym_number] = ACTIONS(2481),
    [sym_this] = ACTIONS(2479),
    [sym_super] = ACTIONS(2479),
    [sym_true] = ACTIONS(2479),
    [sym_false] = ACTIONS(2479),
    [sym_null] = ACTIONS(2479),
    [sym_undefined] = ACTIONS(2479),
    [anon_sym_AT] = ACTIONS(2481),
    [anon_sym_static] = ACTIONS(2479),
    [anon_sym_readonly] = ACTIONS(2479),
    [anon_sym_get] = ACTIONS(2479),
    [anon_sym_set] = ACTIONS(2479),
    [anon_sym_declare] = ACTIONS(2479),
    [anon_sym_public] = ACTIONS(2479),
    [anon_sym_private] = ACTIONS(2479),
    [anon_sym_protected] = ACTIONS(2479),
    [anon_sym_override] = ACTIONS(2479),
    [anon_sym_module] = ACTIONS(2479),
    [anon_sym_any] = ACTIONS(2479),
    [anon_sym_number] = ACTIONS(2479),
    [anon_sym_boolean] = ACTIONS(2479),
    [anon_sym_string] = ACTIONS(2479),
    [anon_sym_symbol] = ACTIONS(2479),
    [anon_sym_property] = ACTIONS(2479),
    [anon_sym_signal] = ACTIONS(2479),
    [anon_sym_on] = ACTIONS(2479),
    [anon_sym_required] = ACTIONS(2479),
    [anon_sym_component] = ACTIONS(2479),
    [anon_sym_abstract] = ACTIONS(2479),
    [anon_sym_interface] = ACTIONS(2479),
    [anon_sym_enum] = ACTIONS(2479),
  },
  [748] = {
    [sym_identifier] = ACTIONS(2483),
    [anon_sym_export] = ACTIONS(2483),
    [anon_sym_default] = ACTIONS(2483),
    [anon_sym_type] = ACTIONS(2483),
    [anon_sym_namespace] = ACTIONS(2483),
    [anon_sym_LBRACE] = ACTIONS(2485),
    [anon_sym_RBRACE] = ACTIONS(2485),
    [anon_sym_typeof] = ACTIONS(2483),
    [anon_sym_import] = ACTIONS(2483),
    [anon_sym_from] = ACTIONS(2483),
    [anon_sym_var] = ACTIONS(2483),
    [anon_sym_let] = ACTIONS(2483),
    [anon_sym_const] = ACTIONS(2483),
    [anon_sym_BANG] = ACTIONS(2485),
    [anon_sym_else] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2483),
    [anon_sym_switch] = ACTIONS(2483),
    [anon_sym_for] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2485),
    [anon_sym_await] = ACTIONS(2483),
    [anon_sym_of] = ACTIONS(2483),
    [anon_sym_while] = ACTIONS(2483),
    [anon_sym_do] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2483),
    [anon_sym_with] = ACTIONS(2483),
    [anon_sym_break] = ACTIONS(2483),
    [anon_sym_continue] = ACTIONS(2483),
    [anon_sym_debugger] = ACTIONS(2483),
    [anon_sym_return] = ACTIONS(2483),
    [anon_sym_throw] = ACTIONS(2483),
    [anon_sym_SEMI] = ACTIONS(2485),
    [anon_sym_case] = ACTIONS(2483),
    [anon_sym_yield] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(2485),
    [anon_sym_SLASH] = ACTIONS(2483),
    [anon_sym_class] = ACTIONS(2483),
    [anon_sym_async] = ACTIONS(2483),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_new] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2483),
    [anon_sym_DASH] = ACTIONS(2483),
    [anon_sym_TILDE] = ACTIONS(2485),
    [anon_sym_void] = ACTIONS(2483),
    [anon_sym_delete] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(2485),
    [anon_sym_DASH_DASH] = ACTIONS(2485),
    [anon_sym_DQUOTE] = ACTIONS(2485),
    [anon_sym_SQUOTE] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2485),
    [sym_number] = ACTIONS(2485),
    [sym_this] = ACTIONS(2483),
    [sym_super] = ACTIONS(2483),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [sym_null] = ACTIONS(2483),
    [sym_undefined] = ACTIONS(2483),
    [anon_sym_AT] = ACTIONS(2485),
    [anon_sym_static] = ACTIONS(2483),
    [anon_sym_readonly] = ACTIONS(2483),
    [anon_sym_get] = ACTIONS(2483),
    [anon_sym_set] = ACTIONS(2483),
    [anon_sym_declare] = ACTIONS(2483),
    [anon_sym_public] = ACTIONS(2483),
    [anon_sym_private] = ACTIONS(2483),
    [anon_sym_protected] = ACTIONS(2483),
    [anon_sym_override] = ACTIONS(2483),
    [anon_sym_module] = ACTIONS(2483),
    [anon_sym_any] = ACTIONS(2483),
    [anon_sym_number] = ACTIONS(2483),
    [anon_sym_boolean] = ACTIONS(2483),
    [anon_sym_string] = ACTIONS(2483),
    [anon_sym_symbol] = ACTIONS(2483),
    [anon_sym_property] = ACTIONS(2483),
    [anon_sym_signal] = ACTIONS(2483),
    [anon_sym_on] = ACTIONS(2483),
    [anon_sym_required] = ACTIONS(2483),
    [anon_sym_component] = ACTIONS(2483),
    [anon_sym_abstract] = ACTIONS(2483),
    [anon_sym_interface] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2483),
  },
  [749] = {
    [sym_identifier] = ACTIONS(2487),
    [anon_sym_export] = ACTIONS(2487),
    [anon_sym_default] = ACTIONS(2487),
    [anon_sym_type] = ACTIONS(2487),
    [anon_sym_namespace] = ACTIONS(2487),
    [anon_sym_LBRACE] = ACTIONS(2489),
    [anon_sym_RBRACE] = ACTIONS(2489),
    [anon_sym_typeof] = ACTIONS(2487),
    [anon_sym_import] = ACTIONS(2487),
    [anon_sym_from] = ACTIONS(2487),
    [anon_sym_var] = ACTIONS(2487),
    [anon_sym_let] = ACTIONS(2487),
    [anon_sym_const] = ACTIONS(2487),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_else] = ACTIONS(2487),
    [anon_sym_if] = ACTIONS(2487),
    [anon_sym_switch] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2487),
    [anon_sym_LPAREN] = ACTIONS(2489),
    [anon_sym_await] = ACTIONS(2487),
    [anon_sym_of] = ACTIONS(2487),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_do] = ACTIONS(2487),
    [anon_sym_try] = ACTIONS(2487),
    [anon_sym_with] = ACTIONS(2487),
    [anon_sym_break] = ACTIONS(2487),
    [anon_sym_continue] = ACTIONS(2487),
    [anon_sym_debugger] = ACTIONS(2487),
    [anon_sym_return] = ACTIONS(2487),
    [anon_sym_throw] = ACTIONS(2487),
    [anon_sym_SEMI] = ACTIONS(2489),
    [anon_sym_case] = ACTIONS(2487),
    [anon_sym_yield] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2489),
    [anon_sym_SLASH] = ACTIONS(2487),
    [anon_sym_class] = ACTIONS(2487),
    [anon_sym_async] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2487),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_TILDE] = ACTIONS(2489),
    [anon_sym_void] = ACTIONS(2487),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(2489),
    [anon_sym_DASH_DASH] = ACTIONS(2489),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_SQUOTE] = ACTIONS(2489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2489),
    [sym_number] = ACTIONS(2489),
    [sym_this] = ACTIONS(2487),
    [sym_super] = ACTIONS(2487),
    [sym_true] = ACTIONS(2487),
    [sym_false] = ACTIONS(2487),
    [sym_null] = ACTIONS(2487),
    [sym_undefined] = ACTIONS(2487),
    [anon_sym_AT] = ACTIONS(2489),
    [anon_sym_static] = ACTIONS(2487),
    [anon_sym_readonly] = ACTIONS(2487),
    [anon_sym_get] = ACTIONS(2487),
    [anon_sym_set] = ACTIONS(2487),
    [anon_sym_declare] = ACTIONS(2487),
    [anon_sym_public] = ACTIONS(2487),
    [anon_sym_private] = ACTIONS(2487),
    [anon_sym_protected] = ACTIONS(2487),
    [anon_sym_override] = ACTIONS(2487),
    [anon_sym_module] = ACTIONS(2487),
    [anon_sym_any] = ACTIONS(2487),
    [anon_sym_number] = ACTIONS(2487),
    [anon_sym_boolean] = ACTIONS(2487),
    [anon_sym_string] = ACTIONS(2487),
    [anon_sym_symbol] = ACTIONS(2487),
    [anon_sym_property] = ACTIONS(2487),
    [anon_sym_signal] = ACTIONS(2487),
    [anon_sym_on] = ACTIONS(2487),
    [anon_sym_required] = ACTIONS(2487),
    [anon_sym_component] = ACTIONS(2487),
    [anon_sym_abstract] = ACTIONS(2487),
    [anon_sym_interface] = ACTIONS(2487),
    [anon_sym_enum] = ACTIONS(2487),
  },
  [750] = {
    [sym_identifier] = ACTIONS(2491),
    [anon_sym_export] = ACTIONS(2491),
    [anon_sym_default] = ACTIONS(2491),
    [anon_sym_type] = ACTIONS(2491),
    [anon_sym_namespace] = ACTIONS(2491),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_RBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(2491),
    [anon_sym_import] = ACTIONS(2491),
    [anon_sym_from] = ACTIONS(2491),
    [anon_sym_var] = ACTIONS(2491),
    [anon_sym_let] = ACTIONS(2491),
    [anon_sym_const] = ACTIONS(2491),
    [anon_sym_BANG] = ACTIONS(2493),
    [anon_sym_else] = ACTIONS(2491),
    [anon_sym_if] = ACTIONS(2491),
    [anon_sym_switch] = ACTIONS(2491),
    [anon_sym_for] = ACTIONS(2491),
    [anon_sym_LPAREN] = ACTIONS(2493),
    [anon_sym_await] = ACTIONS(2491),
    [anon_sym_of] = ACTIONS(2491),
    [anon_sym_while] = ACTIONS(2491),
    [anon_sym_do] = ACTIONS(2491),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_with] = ACTIONS(2491),
    [anon_sym_break] = ACTIONS(2491),
    [anon_sym_continue] = ACTIONS(2491),
    [anon_sym_debugger] = ACTIONS(2491),
    [anon_sym_return] = ACTIONS(2491),
    [anon_sym_throw] = ACTIONS(2491),
    [anon_sym_SEMI] = ACTIONS(2493),
    [anon_sym_case] = ACTIONS(2491),
    [anon_sym_yield] = ACTIONS(2491),
    [anon_sym_LBRACK] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(2493),
    [anon_sym_SLASH] = ACTIONS(2491),
    [anon_sym_class] = ACTIONS(2491),
    [anon_sym_async] = ACTIONS(2491),
    [anon_sym_function] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2491),
    [anon_sym_DASH] = ACTIONS(2491),
    [anon_sym_TILDE] = ACTIONS(2493),
    [anon_sym_void] = ACTIONS(2491),
    [anon_sym_delete] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(2493),
    [anon_sym_DASH_DASH] = ACTIONS(2493),
    [anon_sym_DQUOTE] = ACTIONS(2493),
    [anon_sym_SQUOTE] = ACTIONS(2493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2493),
    [sym_number] = ACTIONS(2493),
    [sym_this] = ACTIONS(2491),
    [sym_super] = ACTIONS(2491),
    [sym_true] = ACTIONS(2491),
    [sym_false] = ACTIONS(2491),
    [sym_null] = ACTIONS(2491),
    [sym_undefined] = ACTIONS(2491),
    [anon_sym_AT] = ACTIONS(2493),
    [anon_sym_static] = ACTIONS(2491),
    [anon_sym_readonly] = ACTIONS(2491),
    [anon_sym_get] = ACTIONS(2491),
    [anon_sym_set] = ACTIONS(2491),
    [anon_sym_declare] = ACTIONS(2491),
    [anon_sym_public] = ACTIONS(2491),
    [anon_sym_private] = ACTIONS(2491),
    [anon_sym_protected] = ACTIONS(2491),
    [anon_sym_override] = ACTIONS(2491),
    [anon_sym_module] = ACTIONS(2491),
    [anon_sym_any] = ACTIONS(2491),
    [anon_sym_number] = ACTIONS(2491),
    [anon_sym_boolean] = ACTIONS(2491),
    [anon_sym_string] = ACTIONS(2491),
    [anon_sym_symbol] = ACTIONS(2491),
    [anon_sym_property] = ACTIONS(2491),
    [anon_sym_signal] = ACTIONS(2491),
    [anon_sym_on] = ACTIONS(2491),
    [anon_sym_required] = ACTIONS(2491),
    [anon_sym_component] = ACTIONS(2491),
    [anon_sym_abstract] = ACTIONS(2491),
    [anon_sym_interface] = ACTIONS(2491),
    [anon_sym_enum] = ACTIONS(2491),
  },
  [751] = {
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_export] = ACTIONS(2495),
    [anon_sym_default] = ACTIONS(2495),
    [anon_sym_type] = ACTIONS(2495),
    [anon_sym_namespace] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2497),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_typeof] = ACTIONS(2495),
    [anon_sym_import] = ACTIONS(2495),
    [anon_sym_from] = ACTIONS(2495),
    [anon_sym_var] = ACTIONS(2495),
    [anon_sym_let] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_switch] = ACTIONS(2495),
    [anon_sym_for] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_await] = ACTIONS(2495),
    [anon_sym_of] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_do] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_with] = ACTIONS(2495),
    [anon_sym_break] = ACTIONS(2495),
    [anon_sym_continue] = ACTIONS(2495),
    [anon_sym_debugger] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_case] = ACTIONS(2495),
    [anon_sym_yield] = ACTIONS(2495),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_LT] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_class] = ACTIONS(2495),
    [anon_sym_async] = ACTIONS(2495),
    [anon_sym_function] = ACTIONS(2495),
    [anon_sym_new] = ACTIONS(2495),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_void] = ACTIONS(2495),
    [anon_sym_delete] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2497),
    [sym_number] = ACTIONS(2497),
    [sym_this] = ACTIONS(2495),
    [sym_super] = ACTIONS(2495),
    [sym_true] = ACTIONS(2495),
    [sym_false] = ACTIONS(2495),
    [sym_null] = ACTIONS(2495),
    [sym_undefined] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_static] = ACTIONS(2495),
    [anon_sym_readonly] = ACTIONS(2495),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_declare] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_module] = ACTIONS(2495),
    [anon_sym_any] = ACTIONS(2495),
    [anon_sym_number] = ACTIONS(2495),
    [anon_sym_boolean] = ACTIONS(2495),
    [anon_sym_string] = ACTIONS(2495),
    [anon_sym_symbol] = ACTIONS(2495),
    [anon_sym_property] = ACTIONS(2495),
    [anon_sym_signal] = ACTIONS(2495),
    [anon_sym_on] = ACTIONS(2495),
    [anon_sym_required] = ACTIONS(2495),
    [anon_sym_component] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_interface] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
  },
  [752] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [753] = {
    [sym_identifier] = ACTIONS(1662),
    [anon_sym_export] = ACTIONS(1662),
    [anon_sym_default] = ACTIONS(1662),
    [anon_sym_type] = ACTIONS(1662),
    [anon_sym_namespace] = ACTIONS(1662),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_typeof] = ACTIONS(1662),
    [anon_sym_import] = ACTIONS(1662),
    [anon_sym_from] = ACTIONS(1662),
    [anon_sym_var] = ACTIONS(1662),
    [anon_sym_let] = ACTIONS(1662),
    [anon_sym_const] = ACTIONS(1662),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1662),
    [anon_sym_switch] = ACTIONS(1662),
    [anon_sym_for] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_await] = ACTIONS(1662),
    [anon_sym_of] = ACTIONS(1662),
    [anon_sym_while] = ACTIONS(1662),
    [anon_sym_do] = ACTIONS(1662),
    [anon_sym_try] = ACTIONS(1662),
    [anon_sym_with] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1662),
    [anon_sym_continue] = ACTIONS(1662),
    [anon_sym_debugger] = ACTIONS(1662),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_throw] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_case] = ACTIONS(1662),
    [anon_sym_yield] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_LT] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1662),
    [anon_sym_class] = ACTIONS(1662),
    [anon_sym_async] = ACTIONS(1662),
    [anon_sym_function] = ACTIONS(1662),
    [anon_sym_new] = ACTIONS(1662),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_void] = ACTIONS(1662),
    [anon_sym_delete] = ACTIONS(1662),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_DQUOTE] = ACTIONS(1664),
    [anon_sym_SQUOTE] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1664),
    [sym_number] = ACTIONS(1664),
    [sym_this] = ACTIONS(1662),
    [sym_super] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_null] = ACTIONS(1662),
    [sym_undefined] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1664),
    [anon_sym_static] = ACTIONS(1662),
    [anon_sym_readonly] = ACTIONS(1662),
    [anon_sym_get] = ACTIONS(1662),
    [anon_sym_set] = ACTIONS(1662),
    [anon_sym_declare] = ACTIONS(1662),
    [anon_sym_public] = ACTIONS(1662),
    [anon_sym_private] = ACTIONS(1662),
    [anon_sym_protected] = ACTIONS(1662),
    [anon_sym_override] = ACTIONS(1662),
    [anon_sym_module] = ACTIONS(1662),
    [anon_sym_any] = ACTIONS(1662),
    [anon_sym_number] = ACTIONS(1662),
    [anon_sym_boolean] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_symbol] = ACTIONS(1662),
    [anon_sym_property] = ACTIONS(1662),
    [anon_sym_signal] = ACTIONS(1662),
    [anon_sym_on] = ACTIONS(1662),
    [anon_sym_required] = ACTIONS(1662),
    [anon_sym_component] = ACTIONS(1662),
    [anon_sym_abstract] = ACTIONS(1662),
    [anon_sym_interface] = ACTIONS(1662),
    [anon_sym_enum] = ACTIONS(1662),
  },
  [754] = {
    [sym_identifier] = ACTIONS(2499),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_default] = ACTIONS(2499),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_RBRACE] = ACTIONS(2501),
    [anon_sym_typeof] = ACTIONS(2499),
    [anon_sym_import] = ACTIONS(2499),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_var] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_else] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_await] = ACTIONS(2499),
    [anon_sym_of] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_with] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_debugger] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym_case] = ACTIONS(2499),
    [anon_sym_yield] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2501),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_SLASH] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_void] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2501),
    [sym_number] = ACTIONS(2501),
    [sym_this] = ACTIONS(2499),
    [sym_super] = ACTIONS(2499),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [sym_null] = ACTIONS(2499),
    [sym_undefined] = ACTIONS(2499),
    [anon_sym_AT] = ACTIONS(2501),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_abstract] = ACTIONS(2499),
    [anon_sym_interface] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
  },
  [755] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [756] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [757] = {
    [sym_identifier] = ACTIONS(2503),
    [anon_sym_export] = ACTIONS(2503),
    [anon_sym_default] = ACTIONS(2503),
    [anon_sym_type] = ACTIONS(2503),
    [anon_sym_namespace] = ACTIONS(2503),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_RBRACE] = ACTIONS(2505),
    [anon_sym_typeof] = ACTIONS(2503),
    [anon_sym_import] = ACTIONS(2503),
    [anon_sym_from] = ACTIONS(2503),
    [anon_sym_var] = ACTIONS(2503),
    [anon_sym_let] = ACTIONS(2503),
    [anon_sym_const] = ACTIONS(2503),
    [anon_sym_BANG] = ACTIONS(2505),
    [anon_sym_else] = ACTIONS(2503),
    [anon_sym_if] = ACTIONS(2503),
    [anon_sym_switch] = ACTIONS(2503),
    [anon_sym_for] = ACTIONS(2503),
    [anon_sym_LPAREN] = ACTIONS(2505),
    [anon_sym_await] = ACTIONS(2503),
    [anon_sym_of] = ACTIONS(2503),
    [anon_sym_while] = ACTIONS(2503),
    [anon_sym_do] = ACTIONS(2503),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_with] = ACTIONS(2503),
    [anon_sym_break] = ACTIONS(2503),
    [anon_sym_continue] = ACTIONS(2503),
    [anon_sym_debugger] = ACTIONS(2503),
    [anon_sym_return] = ACTIONS(2503),
    [anon_sym_throw] = ACTIONS(2503),
    [anon_sym_SEMI] = ACTIONS(2505),
    [anon_sym_case] = ACTIONS(2503),
    [anon_sym_yield] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(2505),
    [anon_sym_SLASH] = ACTIONS(2503),
    [anon_sym_class] = ACTIONS(2503),
    [anon_sym_async] = ACTIONS(2503),
    [anon_sym_function] = ACTIONS(2503),
    [anon_sym_new] = ACTIONS(2503),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_TILDE] = ACTIONS(2505),
    [anon_sym_void] = ACTIONS(2503),
    [anon_sym_delete] = ACTIONS(2503),
    [anon_sym_PLUS_PLUS] = ACTIONS(2505),
    [anon_sym_DASH_DASH] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2505),
    [sym_number] = ACTIONS(2505),
    [sym_this] = ACTIONS(2503),
    [sym_super] = ACTIONS(2503),
    [sym_true] = ACTIONS(2503),
    [sym_false] = ACTIONS(2503),
    [sym_null] = ACTIONS(2503),
    [sym_undefined] = ACTIONS(2503),
    [anon_sym_AT] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2503),
    [anon_sym_readonly] = ACTIONS(2503),
    [anon_sym_get] = ACTIONS(2503),
    [anon_sym_set] = ACTIONS(2503),
    [anon_sym_declare] = ACTIONS(2503),
    [anon_sym_public] = ACTIONS(2503),
    [anon_sym_private] = ACTIONS(2503),
    [anon_sym_protected] = ACTIONS(2503),
    [anon_sym_override] = ACTIONS(2503),
    [anon_sym_module] = ACTIONS(2503),
    [anon_sym_any] = ACTIONS(2503),
    [anon_sym_number] = ACTIONS(2503),
    [anon_sym_boolean] = ACTIONS(2503),
    [anon_sym_string] = ACTIONS(2503),
    [anon_sym_symbol] = ACTIONS(2503),
    [anon_sym_property] = ACTIONS(2503),
    [anon_sym_signal] = ACTIONS(2503),
    [anon_sym_on] = ACTIONS(2503),
    [anon_sym_required] = ACTIONS(2503),
    [anon_sym_component] = ACTIONS(2503),
    [anon_sym_abstract] = ACTIONS(2503),
    [anon_sym_interface] = ACTIONS(2503),
    [anon_sym_enum] = ACTIONS(2503),
  },
  [758] = {
    [sym_identifier] = ACTIONS(2487),
    [anon_sym_export] = ACTIONS(2487),
    [anon_sym_default] = ACTIONS(2487),
    [anon_sym_type] = ACTIONS(2487),
    [anon_sym_namespace] = ACTIONS(2487),
    [anon_sym_LBRACE] = ACTIONS(2489),
    [anon_sym_RBRACE] = ACTIONS(2489),
    [anon_sym_typeof] = ACTIONS(2487),
    [anon_sym_import] = ACTIONS(2487),
    [anon_sym_from] = ACTIONS(2487),
    [anon_sym_var] = ACTIONS(2487),
    [anon_sym_let] = ACTIONS(2487),
    [anon_sym_const] = ACTIONS(2487),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_else] = ACTIONS(2487),
    [anon_sym_if] = ACTIONS(2487),
    [anon_sym_switch] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2487),
    [anon_sym_LPAREN] = ACTIONS(2489),
    [anon_sym_await] = ACTIONS(2487),
    [anon_sym_of] = ACTIONS(2487),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_do] = ACTIONS(2487),
    [anon_sym_try] = ACTIONS(2487),
    [anon_sym_with] = ACTIONS(2487),
    [anon_sym_break] = ACTIONS(2487),
    [anon_sym_continue] = ACTIONS(2487),
    [anon_sym_debugger] = ACTIONS(2487),
    [anon_sym_return] = ACTIONS(2487),
    [anon_sym_throw] = ACTIONS(2487),
    [anon_sym_SEMI] = ACTIONS(2489),
    [anon_sym_case] = ACTIONS(2487),
    [anon_sym_yield] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2489),
    [anon_sym_SLASH] = ACTIONS(2487),
    [anon_sym_class] = ACTIONS(2487),
    [anon_sym_async] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2487),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_TILDE] = ACTIONS(2489),
    [anon_sym_void] = ACTIONS(2487),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(2489),
    [anon_sym_DASH_DASH] = ACTIONS(2489),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_SQUOTE] = ACTIONS(2489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2489),
    [sym_number] = ACTIONS(2489),
    [sym_this] = ACTIONS(2487),
    [sym_super] = ACTIONS(2487),
    [sym_true] = ACTIONS(2487),
    [sym_false] = ACTIONS(2487),
    [sym_null] = ACTIONS(2487),
    [sym_undefined] = ACTIONS(2487),
    [anon_sym_AT] = ACTIONS(2489),
    [anon_sym_static] = ACTIONS(2487),
    [anon_sym_readonly] = ACTIONS(2487),
    [anon_sym_get] = ACTIONS(2487),
    [anon_sym_set] = ACTIONS(2487),
    [anon_sym_declare] = ACTIONS(2487),
    [anon_sym_public] = ACTIONS(2487),
    [anon_sym_private] = ACTIONS(2487),
    [anon_sym_protected] = ACTIONS(2487),
    [anon_sym_override] = ACTIONS(2487),
    [anon_sym_module] = ACTIONS(2487),
    [anon_sym_any] = ACTIONS(2487),
    [anon_sym_number] = ACTIONS(2487),
    [anon_sym_boolean] = ACTIONS(2487),
    [anon_sym_string] = ACTIONS(2487),
    [anon_sym_symbol] = ACTIONS(2487),
    [anon_sym_property] = ACTIONS(2487),
    [anon_sym_signal] = ACTIONS(2487),
    [anon_sym_on] = ACTIONS(2487),
    [anon_sym_required] = ACTIONS(2487),
    [anon_sym_component] = ACTIONS(2487),
    [anon_sym_abstract] = ACTIONS(2487),
    [anon_sym_interface] = ACTIONS(2487),
    [anon_sym_enum] = ACTIONS(2487),
  },
  [759] = {
    [sym_identifier] = ACTIONS(2507),
    [anon_sym_export] = ACTIONS(2507),
    [anon_sym_default] = ACTIONS(2507),
    [anon_sym_type] = ACTIONS(2507),
    [anon_sym_namespace] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_RBRACE] = ACTIONS(2509),
    [anon_sym_typeof] = ACTIONS(2507),
    [anon_sym_import] = ACTIONS(2507),
    [anon_sym_from] = ACTIONS(2507),
    [anon_sym_var] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2507),
    [anon_sym_const] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_else] = ACTIONS(2507),
    [anon_sym_if] = ACTIONS(2507),
    [anon_sym_switch] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2507),
    [anon_sym_LPAREN] = ACTIONS(2509),
    [anon_sym_await] = ACTIONS(2507),
    [anon_sym_of] = ACTIONS(2507),
    [anon_sym_while] = ACTIONS(2507),
    [anon_sym_do] = ACTIONS(2507),
    [anon_sym_try] = ACTIONS(2507),
    [anon_sym_with] = ACTIONS(2507),
    [anon_sym_break] = ACTIONS(2507),
    [anon_sym_continue] = ACTIONS(2507),
    [anon_sym_debugger] = ACTIONS(2507),
    [anon_sym_return] = ACTIONS(2507),
    [anon_sym_throw] = ACTIONS(2507),
    [anon_sym_SEMI] = ACTIONS(2509),
    [anon_sym_case] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_SLASH] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2507),
    [anon_sym_async] = ACTIONS(2507),
    [anon_sym_function] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2507),
    [anon_sym_PLUS] = ACTIONS(2507),
    [anon_sym_DASH] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2509),
    [anon_sym_void] = ACTIONS(2507),
    [anon_sym_delete] = ACTIONS(2507),
    [anon_sym_PLUS_PLUS] = ACTIONS(2509),
    [anon_sym_DASH_DASH] = ACTIONS(2509),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [anon_sym_SQUOTE] = ACTIONS(2509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2509),
    [sym_number] = ACTIONS(2509),
    [sym_this] = ACTIONS(2507),
    [sym_super] = ACTIONS(2507),
    [sym_true] = ACTIONS(2507),
    [sym_false] = ACTIONS(2507),
    [sym_null] = ACTIONS(2507),
    [sym_undefined] = ACTIONS(2507),
    [anon_sym_AT] = ACTIONS(2509),
    [anon_sym_static] = ACTIONS(2507),
    [anon_sym_readonly] = ACTIONS(2507),
    [anon_sym_get] = ACTIONS(2507),
    [anon_sym_set] = ACTIONS(2507),
    [anon_sym_declare] = ACTIONS(2507),
    [anon_sym_public] = ACTIONS(2507),
    [anon_sym_private] = ACTIONS(2507),
    [anon_sym_protected] = ACTIONS(2507),
    [anon_sym_override] = ACTIONS(2507),
    [anon_sym_module] = ACTIONS(2507),
    [anon_sym_any] = ACTIONS(2507),
    [anon_sym_number] = ACTIONS(2507),
    [anon_sym_boolean] = ACTIONS(2507),
    [anon_sym_string] = ACTIONS(2507),
    [anon_sym_symbol] = ACTIONS(2507),
    [anon_sym_property] = ACTIONS(2507),
    [anon_sym_signal] = ACTIONS(2507),
    [anon_sym_on] = ACTIONS(2507),
    [anon_sym_required] = ACTIONS(2507),
    [anon_sym_component] = ACTIONS(2507),
    [anon_sym_abstract] = ACTIONS(2507),
    [anon_sym_interface] = ACTIONS(2507),
    [anon_sym_enum] = ACTIONS(2507),
  },
  [760] = {
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_export] = ACTIONS(2511),
    [anon_sym_default] = ACTIONS(2511),
    [anon_sym_type] = ACTIONS(2511),
    [anon_sym_namespace] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2513),
    [anon_sym_RBRACE] = ACTIONS(2513),
    [anon_sym_typeof] = ACTIONS(2511),
    [anon_sym_import] = ACTIONS(2511),
    [anon_sym_from] = ACTIONS(2511),
    [anon_sym_var] = ACTIONS(2511),
    [anon_sym_let] = ACTIONS(2511),
    [anon_sym_const] = ACTIONS(2511),
    [anon_sym_BANG] = ACTIONS(2513),
    [anon_sym_else] = ACTIONS(2511),
    [anon_sym_if] = ACTIONS(2511),
    [anon_sym_switch] = ACTIONS(2511),
    [anon_sym_for] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2513),
    [anon_sym_await] = ACTIONS(2511),
    [anon_sym_of] = ACTIONS(2511),
    [anon_sym_while] = ACTIONS(2511),
    [anon_sym_do] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2511),
    [anon_sym_with] = ACTIONS(2511),
    [anon_sym_break] = ACTIONS(2511),
    [anon_sym_continue] = ACTIONS(2511),
    [anon_sym_debugger] = ACTIONS(2511),
    [anon_sym_return] = ACTIONS(2511),
    [anon_sym_throw] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2513),
    [anon_sym_case] = ACTIONS(2511),
    [anon_sym_yield] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_SLASH] = ACTIONS(2511),
    [anon_sym_class] = ACTIONS(2511),
    [anon_sym_async] = ACTIONS(2511),
    [anon_sym_function] = ACTIONS(2511),
    [anon_sym_new] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2511),
    [anon_sym_DASH] = ACTIONS(2511),
    [anon_sym_TILDE] = ACTIONS(2513),
    [anon_sym_void] = ACTIONS(2511),
    [anon_sym_delete] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2513),
    [anon_sym_DASH_DASH] = ACTIONS(2513),
    [anon_sym_DQUOTE] = ACTIONS(2513),
    [anon_sym_SQUOTE] = ACTIONS(2513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2513),
    [sym_number] = ACTIONS(2513),
    [sym_this] = ACTIONS(2511),
    [sym_super] = ACTIONS(2511),
    [sym_true] = ACTIONS(2511),
    [sym_false] = ACTIONS(2511),
    [sym_null] = ACTIONS(2511),
    [sym_undefined] = ACTIONS(2511),
    [anon_sym_AT] = ACTIONS(2513),
    [anon_sym_static] = ACTIONS(2511),
    [anon_sym_readonly] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2511),
    [anon_sym_set] = ACTIONS(2511),
    [anon_sym_declare] = ACTIONS(2511),
    [anon_sym_public] = ACTIONS(2511),
    [anon_sym_private] = ACTIONS(2511),
    [anon_sym_protected] = ACTIONS(2511),
    [anon_sym_override] = ACTIONS(2511),
    [anon_sym_module] = ACTIONS(2511),
    [anon_sym_any] = ACTIONS(2511),
    [anon_sym_number] = ACTIONS(2511),
    [anon_sym_boolean] = ACTIONS(2511),
    [anon_sym_string] = ACTIONS(2511),
    [anon_sym_symbol] = ACTIONS(2511),
    [anon_sym_property] = ACTIONS(2511),
    [anon_sym_signal] = ACTIONS(2511),
    [anon_sym_on] = ACTIONS(2511),
    [anon_sym_required] = ACTIONS(2511),
    [anon_sym_component] = ACTIONS(2511),
    [anon_sym_abstract] = ACTIONS(2511),
    [anon_sym_interface] = ACTIONS(2511),
    [anon_sym_enum] = ACTIONS(2511),
  },
  [761] = {
    [sym_identifier] = ACTIONS(2487),
    [anon_sym_export] = ACTIONS(2487),
    [anon_sym_default] = ACTIONS(2487),
    [anon_sym_type] = ACTIONS(2487),
    [anon_sym_namespace] = ACTIONS(2487),
    [anon_sym_LBRACE] = ACTIONS(2489),
    [anon_sym_RBRACE] = ACTIONS(2489),
    [anon_sym_typeof] = ACTIONS(2487),
    [anon_sym_import] = ACTIONS(2487),
    [anon_sym_from] = ACTIONS(2487),
    [anon_sym_var] = ACTIONS(2487),
    [anon_sym_let] = ACTIONS(2487),
    [anon_sym_const] = ACTIONS(2487),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_else] = ACTIONS(2487),
    [anon_sym_if] = ACTIONS(2487),
    [anon_sym_switch] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2487),
    [anon_sym_LPAREN] = ACTIONS(2489),
    [anon_sym_await] = ACTIONS(2487),
    [anon_sym_of] = ACTIONS(2487),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_do] = ACTIONS(2487),
    [anon_sym_try] = ACTIONS(2487),
    [anon_sym_with] = ACTIONS(2487),
    [anon_sym_break] = ACTIONS(2487),
    [anon_sym_continue] = ACTIONS(2487),
    [anon_sym_debugger] = ACTIONS(2487),
    [anon_sym_return] = ACTIONS(2487),
    [anon_sym_throw] = ACTIONS(2487),
    [anon_sym_SEMI] = ACTIONS(2489),
    [anon_sym_case] = ACTIONS(2487),
    [anon_sym_yield] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2489),
    [anon_sym_SLASH] = ACTIONS(2487),
    [anon_sym_class] = ACTIONS(2487),
    [anon_sym_async] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2487),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_TILDE] = ACTIONS(2489),
    [anon_sym_void] = ACTIONS(2487),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(2489),
    [anon_sym_DASH_DASH] = ACTIONS(2489),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_SQUOTE] = ACTIONS(2489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2489),
    [sym_number] = ACTIONS(2489),
    [sym_this] = ACTIONS(2487),
    [sym_super] = ACTIONS(2487),
    [sym_true] = ACTIONS(2487),
    [sym_false] = ACTIONS(2487),
    [sym_null] = ACTIONS(2487),
    [sym_undefined] = ACTIONS(2487),
    [anon_sym_AT] = ACTIONS(2489),
    [anon_sym_static] = ACTIONS(2487),
    [anon_sym_readonly] = ACTIONS(2487),
    [anon_sym_get] = ACTIONS(2487),
    [anon_sym_set] = ACTIONS(2487),
    [anon_sym_declare] = ACTIONS(2487),
    [anon_sym_public] = ACTIONS(2487),
    [anon_sym_private] = ACTIONS(2487),
    [anon_sym_protected] = ACTIONS(2487),
    [anon_sym_override] = ACTIONS(2487),
    [anon_sym_module] = ACTIONS(2487),
    [anon_sym_any] = ACTIONS(2487),
    [anon_sym_number] = ACTIONS(2487),
    [anon_sym_boolean] = ACTIONS(2487),
    [anon_sym_string] = ACTIONS(2487),
    [anon_sym_symbol] = ACTIONS(2487),
    [anon_sym_property] = ACTIONS(2487),
    [anon_sym_signal] = ACTIONS(2487),
    [anon_sym_on] = ACTIONS(2487),
    [anon_sym_required] = ACTIONS(2487),
    [anon_sym_component] = ACTIONS(2487),
    [anon_sym_abstract] = ACTIONS(2487),
    [anon_sym_interface] = ACTIONS(2487),
    [anon_sym_enum] = ACTIONS(2487),
  },
  [762] = {
    [sym_identifier] = ACTIONS(2487),
    [anon_sym_export] = ACTIONS(2487),
    [anon_sym_default] = ACTIONS(2487),
    [anon_sym_type] = ACTIONS(2487),
    [anon_sym_namespace] = ACTIONS(2487),
    [anon_sym_LBRACE] = ACTIONS(2489),
    [anon_sym_RBRACE] = ACTIONS(2489),
    [anon_sym_typeof] = ACTIONS(2487),
    [anon_sym_import] = ACTIONS(2487),
    [anon_sym_from] = ACTIONS(2487),
    [anon_sym_var] = ACTIONS(2487),
    [anon_sym_let] = ACTIONS(2487),
    [anon_sym_const] = ACTIONS(2487),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_else] = ACTIONS(2487),
    [anon_sym_if] = ACTIONS(2487),
    [anon_sym_switch] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2487),
    [anon_sym_LPAREN] = ACTIONS(2489),
    [anon_sym_await] = ACTIONS(2487),
    [anon_sym_of] = ACTIONS(2487),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_do] = ACTIONS(2487),
    [anon_sym_try] = ACTIONS(2487),
    [anon_sym_with] = ACTIONS(2487),
    [anon_sym_break] = ACTIONS(2487),
    [anon_sym_continue] = ACTIONS(2487),
    [anon_sym_debugger] = ACTIONS(2487),
    [anon_sym_return] = ACTIONS(2487),
    [anon_sym_throw] = ACTIONS(2487),
    [anon_sym_SEMI] = ACTIONS(2489),
    [anon_sym_case] = ACTIONS(2487),
    [anon_sym_yield] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2489),
    [anon_sym_SLASH] = ACTIONS(2487),
    [anon_sym_class] = ACTIONS(2487),
    [anon_sym_async] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2487),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_TILDE] = ACTIONS(2489),
    [anon_sym_void] = ACTIONS(2487),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(2489),
    [anon_sym_DASH_DASH] = ACTIONS(2489),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_SQUOTE] = ACTIONS(2489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2489),
    [sym_number] = ACTIONS(2489),
    [sym_this] = ACTIONS(2487),
    [sym_super] = ACTIONS(2487),
    [sym_true] = ACTIONS(2487),
    [sym_false] = ACTIONS(2487),
    [sym_null] = ACTIONS(2487),
    [sym_undefined] = ACTIONS(2487),
    [anon_sym_AT] = ACTIONS(2489),
    [anon_sym_static] = ACTIONS(2487),
    [anon_sym_readonly] = ACTIONS(2487),
    [anon_sym_get] = ACTIONS(2487),
    [anon_sym_set] = ACTIONS(2487),
    [anon_sym_declare] = ACTIONS(2487),
    [anon_sym_public] = ACTIONS(2487),
    [anon_sym_private] = ACTIONS(2487),
    [anon_sym_protected] = ACTIONS(2487),
    [anon_sym_override] = ACTIONS(2487),
    [anon_sym_module] = ACTIONS(2487),
    [anon_sym_any] = ACTIONS(2487),
    [anon_sym_number] = ACTIONS(2487),
    [anon_sym_boolean] = ACTIONS(2487),
    [anon_sym_string] = ACTIONS(2487),
    [anon_sym_symbol] = ACTIONS(2487),
    [anon_sym_property] = ACTIONS(2487),
    [anon_sym_signal] = ACTIONS(2487),
    [anon_sym_on] = ACTIONS(2487),
    [anon_sym_required] = ACTIONS(2487),
    [anon_sym_component] = ACTIONS(2487),
    [anon_sym_abstract] = ACTIONS(2487),
    [anon_sym_interface] = ACTIONS(2487),
    [anon_sym_enum] = ACTIONS(2487),
  },
  [763] = {
    [sym_identifier] = ACTIONS(2515),
    [anon_sym_export] = ACTIONS(2515),
    [anon_sym_default] = ACTIONS(2515),
    [anon_sym_type] = ACTIONS(2515),
    [anon_sym_namespace] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_RBRACE] = ACTIONS(2517),
    [anon_sym_typeof] = ACTIONS(2515),
    [anon_sym_import] = ACTIONS(2515),
    [anon_sym_from] = ACTIONS(2515),
    [anon_sym_var] = ACTIONS(2515),
    [anon_sym_let] = ACTIONS(2515),
    [anon_sym_const] = ACTIONS(2515),
    [anon_sym_BANG] = ACTIONS(2517),
    [anon_sym_else] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2515),
    [anon_sym_switch] = ACTIONS(2515),
    [anon_sym_for] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [anon_sym_await] = ACTIONS(2515),
    [anon_sym_of] = ACTIONS(2515),
    [anon_sym_while] = ACTIONS(2515),
    [anon_sym_do] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2515),
    [anon_sym_with] = ACTIONS(2515),
    [anon_sym_break] = ACTIONS(2515),
    [anon_sym_continue] = ACTIONS(2515),
    [anon_sym_debugger] = ACTIONS(2515),
    [anon_sym_return] = ACTIONS(2515),
    [anon_sym_throw] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2517),
    [anon_sym_case] = ACTIONS(2515),
    [anon_sym_yield] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2517),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_SLASH] = ACTIONS(2515),
    [anon_sym_class] = ACTIONS(2515),
    [anon_sym_async] = ACTIONS(2515),
    [anon_sym_function] = ACTIONS(2515),
    [anon_sym_new] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(2515),
    [anon_sym_TILDE] = ACTIONS(2517),
    [anon_sym_void] = ACTIONS(2515),
    [anon_sym_delete] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2517),
    [anon_sym_DASH_DASH] = ACTIONS(2517),
    [anon_sym_DQUOTE] = ACTIONS(2517),
    [anon_sym_SQUOTE] = ACTIONS(2517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2517),
    [sym_number] = ACTIONS(2517),
    [sym_this] = ACTIONS(2515),
    [sym_super] = ACTIONS(2515),
    [sym_true] = ACTIONS(2515),
    [sym_false] = ACTIONS(2515),
    [sym_null] = ACTIONS(2515),
    [sym_undefined] = ACTIONS(2515),
    [anon_sym_AT] = ACTIONS(2517),
    [anon_sym_static] = ACTIONS(2515),
    [anon_sym_readonly] = ACTIONS(2515),
    [anon_sym_get] = ACTIONS(2515),
    [anon_sym_set] = ACTIONS(2515),
    [anon_sym_declare] = ACTIONS(2515),
    [anon_sym_public] = ACTIONS(2515),
    [anon_sym_private] = ACTIONS(2515),
    [anon_sym_protected] = ACTIONS(2515),
    [anon_sym_override] = ACTIONS(2515),
    [anon_sym_module] = ACTIONS(2515),
    [anon_sym_any] = ACTIONS(2515),
    [anon_sym_number] = ACTIONS(2515),
    [anon_sym_boolean] = ACTIONS(2515),
    [anon_sym_string] = ACTIONS(2515),
    [anon_sym_symbol] = ACTIONS(2515),
    [anon_sym_property] = ACTIONS(2515),
    [anon_sym_signal] = ACTIONS(2515),
    [anon_sym_on] = ACTIONS(2515),
    [anon_sym_required] = ACTIONS(2515),
    [anon_sym_component] = ACTIONS(2515),
    [anon_sym_abstract] = ACTIONS(2515),
    [anon_sym_interface] = ACTIONS(2515),
    [anon_sym_enum] = ACTIONS(2515),
  },
  [764] = {
    [sym_identifier] = ACTIONS(2515),
    [anon_sym_export] = ACTIONS(2515),
    [anon_sym_default] = ACTIONS(2515),
    [anon_sym_type] = ACTIONS(2515),
    [anon_sym_namespace] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_RBRACE] = ACTIONS(2517),
    [anon_sym_typeof] = ACTIONS(2515),
    [anon_sym_import] = ACTIONS(2515),
    [anon_sym_from] = ACTIONS(2515),
    [anon_sym_var] = ACTIONS(2515),
    [anon_sym_let] = ACTIONS(2515),
    [anon_sym_const] = ACTIONS(2515),
    [anon_sym_BANG] = ACTIONS(2517),
    [anon_sym_else] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2515),
    [anon_sym_switch] = ACTIONS(2515),
    [anon_sym_for] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [anon_sym_await] = ACTIONS(2515),
    [anon_sym_of] = ACTIONS(2515),
    [anon_sym_while] = ACTIONS(2515),
    [anon_sym_do] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2515),
    [anon_sym_with] = ACTIONS(2515),
    [anon_sym_break] = ACTIONS(2515),
    [anon_sym_continue] = ACTIONS(2515),
    [anon_sym_debugger] = ACTIONS(2515),
    [anon_sym_return] = ACTIONS(2515),
    [anon_sym_throw] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2517),
    [anon_sym_case] = ACTIONS(2515),
    [anon_sym_yield] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2517),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_SLASH] = ACTIONS(2515),
    [anon_sym_class] = ACTIONS(2515),
    [anon_sym_async] = ACTIONS(2515),
    [anon_sym_function] = ACTIONS(2515),
    [anon_sym_new] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(2515),
    [anon_sym_TILDE] = ACTIONS(2517),
    [anon_sym_void] = ACTIONS(2515),
    [anon_sym_delete] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2517),
    [anon_sym_DASH_DASH] = ACTIONS(2517),
    [anon_sym_DQUOTE] = ACTIONS(2517),
    [anon_sym_SQUOTE] = ACTIONS(2517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2517),
    [sym_number] = ACTIONS(2517),
    [sym_this] = ACTIONS(2515),
    [sym_super] = ACTIONS(2515),
    [sym_true] = ACTIONS(2515),
    [sym_false] = ACTIONS(2515),
    [sym_null] = ACTIONS(2515),
    [sym_undefined] = ACTIONS(2515),
    [anon_sym_AT] = ACTIONS(2517),
    [anon_sym_static] = ACTIONS(2515),
    [anon_sym_readonly] = ACTIONS(2515),
    [anon_sym_get] = ACTIONS(2515),
    [anon_sym_set] = ACTIONS(2515),
    [anon_sym_declare] = ACTIONS(2515),
    [anon_sym_public] = ACTIONS(2515),
    [anon_sym_private] = ACTIONS(2515),
    [anon_sym_protected] = ACTIONS(2515),
    [anon_sym_override] = ACTIONS(2515),
    [anon_sym_module] = ACTIONS(2515),
    [anon_sym_any] = ACTIONS(2515),
    [anon_sym_number] = ACTIONS(2515),
    [anon_sym_boolean] = ACTIONS(2515),
    [anon_sym_string] = ACTIONS(2515),
    [anon_sym_symbol] = ACTIONS(2515),
    [anon_sym_property] = ACTIONS(2515),
    [anon_sym_signal] = ACTIONS(2515),
    [anon_sym_on] = ACTIONS(2515),
    [anon_sym_required] = ACTIONS(2515),
    [anon_sym_component] = ACTIONS(2515),
    [anon_sym_abstract] = ACTIONS(2515),
    [anon_sym_interface] = ACTIONS(2515),
    [anon_sym_enum] = ACTIONS(2515),
  },
  [765] = {
    [sym_identifier] = ACTIONS(2519),
    [anon_sym_export] = ACTIONS(2519),
    [anon_sym_default] = ACTIONS(2519),
    [anon_sym_type] = ACTIONS(2519),
    [anon_sym_namespace] = ACTIONS(2519),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [anon_sym_typeof] = ACTIONS(2519),
    [anon_sym_import] = ACTIONS(2519),
    [anon_sym_from] = ACTIONS(2519),
    [anon_sym_var] = ACTIONS(2519),
    [anon_sym_let] = ACTIONS(2519),
    [anon_sym_const] = ACTIONS(2519),
    [anon_sym_BANG] = ACTIONS(2521),
    [anon_sym_else] = ACTIONS(2519),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_switch] = ACTIONS(2519),
    [anon_sym_for] = ACTIONS(2519),
    [anon_sym_LPAREN] = ACTIONS(2521),
    [anon_sym_await] = ACTIONS(2519),
    [anon_sym_of] = ACTIONS(2519),
    [anon_sym_while] = ACTIONS(2519),
    [anon_sym_do] = ACTIONS(2519),
    [anon_sym_try] = ACTIONS(2519),
    [anon_sym_with] = ACTIONS(2519),
    [anon_sym_break] = ACTIONS(2519),
    [anon_sym_continue] = ACTIONS(2519),
    [anon_sym_debugger] = ACTIONS(2519),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2519),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym_case] = ACTIONS(2519),
    [anon_sym_yield] = ACTIONS(2519),
    [anon_sym_LBRACK] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_SLASH] = ACTIONS(2519),
    [anon_sym_class] = ACTIONS(2519),
    [anon_sym_async] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2519),
    [anon_sym_new] = ACTIONS(2519),
    [anon_sym_PLUS] = ACTIONS(2519),
    [anon_sym_DASH] = ACTIONS(2519),
    [anon_sym_TILDE] = ACTIONS(2521),
    [anon_sym_void] = ACTIONS(2519),
    [anon_sym_delete] = ACTIONS(2519),
    [anon_sym_PLUS_PLUS] = ACTIONS(2521),
    [anon_sym_DASH_DASH] = ACTIONS(2521),
    [anon_sym_DQUOTE] = ACTIONS(2521),
    [anon_sym_SQUOTE] = ACTIONS(2521),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2521),
    [sym_number] = ACTIONS(2521),
    [sym_this] = ACTIONS(2519),
    [sym_super] = ACTIONS(2519),
    [sym_true] = ACTIONS(2519),
    [sym_false] = ACTIONS(2519),
    [sym_null] = ACTIONS(2519),
    [sym_undefined] = ACTIONS(2519),
    [anon_sym_AT] = ACTIONS(2521),
    [anon_sym_static] = ACTIONS(2519),
    [anon_sym_readonly] = ACTIONS(2519),
    [anon_sym_get] = ACTIONS(2519),
    [anon_sym_set] = ACTIONS(2519),
    [anon_sym_declare] = ACTIONS(2519),
    [anon_sym_public] = ACTIONS(2519),
    [anon_sym_private] = ACTIONS(2519),
    [anon_sym_protected] = ACTIONS(2519),
    [anon_sym_override] = ACTIONS(2519),
    [anon_sym_module] = ACTIONS(2519),
    [anon_sym_any] = ACTIONS(2519),
    [anon_sym_number] = ACTIONS(2519),
    [anon_sym_boolean] = ACTIONS(2519),
    [anon_sym_string] = ACTIONS(2519),
    [anon_sym_symbol] = ACTIONS(2519),
    [anon_sym_property] = ACTIONS(2519),
    [anon_sym_signal] = ACTIONS(2519),
    [anon_sym_on] = ACTIONS(2519),
    [anon_sym_required] = ACTIONS(2519),
    [anon_sym_component] = ACTIONS(2519),
    [anon_sym_abstract] = ACTIONS(2519),
    [anon_sym_interface] = ACTIONS(2519),
    [anon_sym_enum] = ACTIONS(2519),
  },
  [766] = {
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_export] = ACTIONS(2523),
    [anon_sym_default] = ACTIONS(2523),
    [anon_sym_type] = ACTIONS(2523),
    [anon_sym_namespace] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(2525),
    [anon_sym_RBRACE] = ACTIONS(2525),
    [anon_sym_typeof] = ACTIONS(2523),
    [anon_sym_import] = ACTIONS(2523),
    [anon_sym_from] = ACTIONS(2523),
    [anon_sym_var] = ACTIONS(2523),
    [anon_sym_let] = ACTIONS(2523),
    [anon_sym_const] = ACTIONS(2523),
    [anon_sym_BANG] = ACTIONS(2525),
    [anon_sym_else] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2523),
    [anon_sym_switch] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2525),
    [anon_sym_await] = ACTIONS(2523),
    [anon_sym_of] = ACTIONS(2523),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_do] = ACTIONS(2523),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_with] = ACTIONS(2523),
    [anon_sym_break] = ACTIONS(2523),
    [anon_sym_continue] = ACTIONS(2523),
    [anon_sym_debugger] = ACTIONS(2523),
    [anon_sym_return] = ACTIONS(2523),
    [anon_sym_throw] = ACTIONS(2523),
    [anon_sym_SEMI] = ACTIONS(2525),
    [anon_sym_case] = ACTIONS(2523),
    [anon_sym_yield] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(2525),
    [anon_sym_LT] = ACTIONS(2525),
    [anon_sym_SLASH] = ACTIONS(2523),
    [anon_sym_class] = ACTIONS(2523),
    [anon_sym_async] = ACTIONS(2523),
    [anon_sym_function] = ACTIONS(2523),
    [anon_sym_new] = ACTIONS(2523),
    [anon_sym_PLUS] = ACTIONS(2523),
    [anon_sym_DASH] = ACTIONS(2523),
    [anon_sym_TILDE] = ACTIONS(2525),
    [anon_sym_void] = ACTIONS(2523),
    [anon_sym_delete] = ACTIONS(2523),
    [anon_sym_PLUS_PLUS] = ACTIONS(2525),
    [anon_sym_DASH_DASH] = ACTIONS(2525),
    [anon_sym_DQUOTE] = ACTIONS(2525),
    [anon_sym_SQUOTE] = ACTIONS(2525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2525),
    [sym_number] = ACTIONS(2525),
    [sym_this] = ACTIONS(2523),
    [sym_super] = ACTIONS(2523),
    [sym_true] = ACTIONS(2523),
    [sym_false] = ACTIONS(2523),
    [sym_null] = ACTIONS(2523),
    [sym_undefined] = ACTIONS(2523),
    [anon_sym_AT] = ACTIONS(2525),
    [anon_sym_static] = ACTIONS(2523),
    [anon_sym_readonly] = ACTIONS(2523),
    [anon_sym_get] = ACTIONS(2523),
    [anon_sym_set] = ACTIONS(2523),
    [anon_sym_declare] = ACTIONS(2523),
    [anon_sym_public] = ACTIONS(2523),
    [anon_sym_private] = ACTIONS(2523),
    [anon_sym_protected] = ACTIONS(2523),
    [anon_sym_override] = ACTIONS(2523),
    [anon_sym_module] = ACTIONS(2523),
    [anon_sym_any] = ACTIONS(2523),
    [anon_sym_number] = ACTIONS(2523),
    [anon_sym_boolean] = ACTIONS(2523),
    [anon_sym_string] = ACTIONS(2523),
    [anon_sym_symbol] = ACTIONS(2523),
    [anon_sym_property] = ACTIONS(2523),
    [anon_sym_signal] = ACTIONS(2523),
    [anon_sym_on] = ACTIONS(2523),
    [anon_sym_required] = ACTIONS(2523),
    [anon_sym_component] = ACTIONS(2523),
    [anon_sym_abstract] = ACTIONS(2523),
    [anon_sym_interface] = ACTIONS(2523),
    [anon_sym_enum] = ACTIONS(2523),
  },
  [767] = {
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_export] = ACTIONS(2527),
    [anon_sym_default] = ACTIONS(2527),
    [anon_sym_type] = ACTIONS(2527),
    [anon_sym_namespace] = ACTIONS(2527),
    [anon_sym_LBRACE] = ACTIONS(2529),
    [anon_sym_RBRACE] = ACTIONS(2529),
    [anon_sym_typeof] = ACTIONS(2527),
    [anon_sym_import] = ACTIONS(2527),
    [anon_sym_from] = ACTIONS(2527),
    [anon_sym_var] = ACTIONS(2527),
    [anon_sym_let] = ACTIONS(2527),
    [anon_sym_const] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2529),
    [anon_sym_else] = ACTIONS(2527),
    [anon_sym_if] = ACTIONS(2527),
    [anon_sym_switch] = ACTIONS(2527),
    [anon_sym_for] = ACTIONS(2527),
    [anon_sym_LPAREN] = ACTIONS(2529),
    [anon_sym_await] = ACTIONS(2527),
    [anon_sym_of] = ACTIONS(2527),
    [anon_sym_while] = ACTIONS(2527),
    [anon_sym_do] = ACTIONS(2527),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_with] = ACTIONS(2527),
    [anon_sym_break] = ACTIONS(2527),
    [anon_sym_continue] = ACTIONS(2527),
    [anon_sym_debugger] = ACTIONS(2527),
    [anon_sym_return] = ACTIONS(2527),
    [anon_sym_throw] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2529),
    [anon_sym_case] = ACTIONS(2527),
    [anon_sym_yield] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2529),
    [anon_sym_LT] = ACTIONS(2529),
    [anon_sym_SLASH] = ACTIONS(2527),
    [anon_sym_class] = ACTIONS(2527),
    [anon_sym_async] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_TILDE] = ACTIONS(2529),
    [anon_sym_void] = ACTIONS(2527),
    [anon_sym_delete] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2529),
    [anon_sym_DASH_DASH] = ACTIONS(2529),
    [anon_sym_DQUOTE] = ACTIONS(2529),
    [anon_sym_SQUOTE] = ACTIONS(2529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2529),
    [sym_number] = ACTIONS(2529),
    [sym_this] = ACTIONS(2527),
    [sym_super] = ACTIONS(2527),
    [sym_true] = ACTIONS(2527),
    [sym_false] = ACTIONS(2527),
    [sym_null] = ACTIONS(2527),
    [sym_undefined] = ACTIONS(2527),
    [anon_sym_AT] = ACTIONS(2529),
    [anon_sym_static] = ACTIONS(2527),
    [anon_sym_readonly] = ACTIONS(2527),
    [anon_sym_get] = ACTIONS(2527),
    [anon_sym_set] = ACTIONS(2527),
    [anon_sym_declare] = ACTIONS(2527),
    [anon_sym_public] = ACTIONS(2527),
    [anon_sym_private] = ACTIONS(2527),
    [anon_sym_protected] = ACTIONS(2527),
    [anon_sym_override] = ACTIONS(2527),
    [anon_sym_module] = ACTIONS(2527),
    [anon_sym_any] = ACTIONS(2527),
    [anon_sym_number] = ACTIONS(2527),
    [anon_sym_boolean] = ACTIONS(2527),
    [anon_sym_string] = ACTIONS(2527),
    [anon_sym_symbol] = ACTIONS(2527),
    [anon_sym_property] = ACTIONS(2527),
    [anon_sym_signal] = ACTIONS(2527),
    [anon_sym_on] = ACTIONS(2527),
    [anon_sym_required] = ACTIONS(2527),
    [anon_sym_component] = ACTIONS(2527),
    [anon_sym_abstract] = ACTIONS(2527),
    [anon_sym_interface] = ACTIONS(2527),
    [anon_sym_enum] = ACTIONS(2527),
  },
  [768] = {
    [sym_identifier] = ACTIONS(2531),
    [anon_sym_export] = ACTIONS(2531),
    [anon_sym_default] = ACTIONS(2531),
    [anon_sym_type] = ACTIONS(2531),
    [anon_sym_namespace] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_RBRACE] = ACTIONS(2533),
    [anon_sym_typeof] = ACTIONS(2531),
    [anon_sym_import] = ACTIONS(2531),
    [anon_sym_from] = ACTIONS(2531),
    [anon_sym_var] = ACTIONS(2531),
    [anon_sym_let] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_BANG] = ACTIONS(2533),
    [anon_sym_else] = ACTIONS(2531),
    [anon_sym_if] = ACTIONS(2531),
    [anon_sym_switch] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2531),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_await] = ACTIONS(2531),
    [anon_sym_of] = ACTIONS(2531),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_do] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_with] = ACTIONS(2531),
    [anon_sym_break] = ACTIONS(2531),
    [anon_sym_continue] = ACTIONS(2531),
    [anon_sym_debugger] = ACTIONS(2531),
    [anon_sym_return] = ACTIONS(2531),
    [anon_sym_throw] = ACTIONS(2531),
    [anon_sym_SEMI] = ACTIONS(2533),
    [anon_sym_case] = ACTIONS(2531),
    [anon_sym_yield] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2533),
    [anon_sym_SLASH] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_async] = ACTIONS(2531),
    [anon_sym_function] = ACTIONS(2531),
    [anon_sym_new] = ACTIONS(2531),
    [anon_sym_PLUS] = ACTIONS(2531),
    [anon_sym_DASH] = ACTIONS(2531),
    [anon_sym_TILDE] = ACTIONS(2533),
    [anon_sym_void] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(2531),
    [anon_sym_PLUS_PLUS] = ACTIONS(2533),
    [anon_sym_DASH_DASH] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_SQUOTE] = ACTIONS(2533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2533),
    [sym_number] = ACTIONS(2533),
    [sym_this] = ACTIONS(2531),
    [sym_super] = ACTIONS(2531),
    [sym_true] = ACTIONS(2531),
    [sym_false] = ACTIONS(2531),
    [sym_null] = ACTIONS(2531),
    [sym_undefined] = ACTIONS(2531),
    [anon_sym_AT] = ACTIONS(2533),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_readonly] = ACTIONS(2531),
    [anon_sym_get] = ACTIONS(2531),
    [anon_sym_set] = ACTIONS(2531),
    [anon_sym_declare] = ACTIONS(2531),
    [anon_sym_public] = ACTIONS(2531),
    [anon_sym_private] = ACTIONS(2531),
    [anon_sym_protected] = ACTIONS(2531),
    [anon_sym_override] = ACTIONS(2531),
    [anon_sym_module] = ACTIONS(2531),
    [anon_sym_any] = ACTIONS(2531),
    [anon_sym_number] = ACTIONS(2531),
    [anon_sym_boolean] = ACTIONS(2531),
    [anon_sym_string] = ACTIONS(2531),
    [anon_sym_symbol] = ACTIONS(2531),
    [anon_sym_property] = ACTIONS(2531),
    [anon_sym_signal] = ACTIONS(2531),
    [anon_sym_on] = ACTIONS(2531),
    [anon_sym_required] = ACTIONS(2531),
    [anon_sym_component] = ACTIONS(2531),
    [anon_sym_abstract] = ACTIONS(2531),
    [anon_sym_interface] = ACTIONS(2531),
    [anon_sym_enum] = ACTIONS(2531),
  },
  [769] = {
    [sym_identifier] = ACTIONS(2535),
    [anon_sym_export] = ACTIONS(2535),
    [anon_sym_default] = ACTIONS(2535),
    [anon_sym_type] = ACTIONS(2535),
    [anon_sym_namespace] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2537),
    [anon_sym_RBRACE] = ACTIONS(2537),
    [anon_sym_typeof] = ACTIONS(2535),
    [anon_sym_import] = ACTIONS(2535),
    [anon_sym_from] = ACTIONS(2535),
    [anon_sym_var] = ACTIONS(2535),
    [anon_sym_let] = ACTIONS(2535),
    [anon_sym_const] = ACTIONS(2535),
    [anon_sym_BANG] = ACTIONS(2537),
    [anon_sym_else] = ACTIONS(2535),
    [anon_sym_if] = ACTIONS(2535),
    [anon_sym_switch] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2535),
    [anon_sym_LPAREN] = ACTIONS(2537),
    [anon_sym_await] = ACTIONS(2535),
    [anon_sym_of] = ACTIONS(2535),
    [anon_sym_while] = ACTIONS(2535),
    [anon_sym_do] = ACTIONS(2535),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2535),
    [anon_sym_break] = ACTIONS(2535),
    [anon_sym_continue] = ACTIONS(2535),
    [anon_sym_debugger] = ACTIONS(2535),
    [anon_sym_return] = ACTIONS(2535),
    [anon_sym_throw] = ACTIONS(2535),
    [anon_sym_SEMI] = ACTIONS(2537),
    [anon_sym_case] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_SLASH] = ACTIONS(2535),
    [anon_sym_class] = ACTIONS(2535),
    [anon_sym_async] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2535),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_TILDE] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2535),
    [anon_sym_delete] = ACTIONS(2535),
    [anon_sym_PLUS_PLUS] = ACTIONS(2537),
    [anon_sym_DASH_DASH] = ACTIONS(2537),
    [anon_sym_DQUOTE] = ACTIONS(2537),
    [anon_sym_SQUOTE] = ACTIONS(2537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2537),
    [sym_number] = ACTIONS(2537),
    [sym_this] = ACTIONS(2535),
    [sym_super] = ACTIONS(2535),
    [sym_true] = ACTIONS(2535),
    [sym_false] = ACTIONS(2535),
    [sym_null] = ACTIONS(2535),
    [sym_undefined] = ACTIONS(2535),
    [anon_sym_AT] = ACTIONS(2537),
    [anon_sym_static] = ACTIONS(2535),
    [anon_sym_readonly] = ACTIONS(2535),
    [anon_sym_get] = ACTIONS(2535),
    [anon_sym_set] = ACTIONS(2535),
    [anon_sym_declare] = ACTIONS(2535),
    [anon_sym_public] = ACTIONS(2535),
    [anon_sym_private] = ACTIONS(2535),
    [anon_sym_protected] = ACTIONS(2535),
    [anon_sym_override] = ACTIONS(2535),
    [anon_sym_module] = ACTIONS(2535),
    [anon_sym_any] = ACTIONS(2535),
    [anon_sym_number] = ACTIONS(2535),
    [anon_sym_boolean] = ACTIONS(2535),
    [anon_sym_string] = ACTIONS(2535),
    [anon_sym_symbol] = ACTIONS(2535),
    [anon_sym_property] = ACTIONS(2535),
    [anon_sym_signal] = ACTIONS(2535),
    [anon_sym_on] = ACTIONS(2535),
    [anon_sym_required] = ACTIONS(2535),
    [anon_sym_component] = ACTIONS(2535),
    [anon_sym_abstract] = ACTIONS(2535),
    [anon_sym_interface] = ACTIONS(2535),
    [anon_sym_enum] = ACTIONS(2535),
  },
  [770] = {
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_export] = ACTIONS(2539),
    [anon_sym_default] = ACTIONS(2539),
    [anon_sym_type] = ACTIONS(2539),
    [anon_sym_namespace] = ACTIONS(2539),
    [anon_sym_LBRACE] = ACTIONS(2541),
    [anon_sym_RBRACE] = ACTIONS(2541),
    [anon_sym_typeof] = ACTIONS(2539),
    [anon_sym_import] = ACTIONS(2539),
    [anon_sym_from] = ACTIONS(2539),
    [anon_sym_var] = ACTIONS(2539),
    [anon_sym_let] = ACTIONS(2539),
    [anon_sym_const] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(2541),
    [anon_sym_else] = ACTIONS(2539),
    [anon_sym_if] = ACTIONS(2539),
    [anon_sym_switch] = ACTIONS(2539),
    [anon_sym_for] = ACTIONS(2539),
    [anon_sym_LPAREN] = ACTIONS(2541),
    [anon_sym_await] = ACTIONS(2539),
    [anon_sym_of] = ACTIONS(2539),
    [anon_sym_while] = ACTIONS(2539),
    [anon_sym_do] = ACTIONS(2539),
    [anon_sym_try] = ACTIONS(2539),
    [anon_sym_with] = ACTIONS(2539),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_continue] = ACTIONS(2539),
    [anon_sym_debugger] = ACTIONS(2539),
    [anon_sym_return] = ACTIONS(2539),
    [anon_sym_throw] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2541),
    [anon_sym_case] = ACTIONS(2539),
    [anon_sym_yield] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2541),
    [anon_sym_LT] = ACTIONS(2541),
    [anon_sym_SLASH] = ACTIONS(2539),
    [anon_sym_class] = ACTIONS(2539),
    [anon_sym_async] = ACTIONS(2539),
    [anon_sym_function] = ACTIONS(2539),
    [anon_sym_new] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2539),
    [anon_sym_DASH] = ACTIONS(2539),
    [anon_sym_TILDE] = ACTIONS(2541),
    [anon_sym_void] = ACTIONS(2539),
    [anon_sym_delete] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2541),
    [anon_sym_DASH_DASH] = ACTIONS(2541),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [anon_sym_SQUOTE] = ACTIONS(2541),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2541),
    [sym_number] = ACTIONS(2541),
    [sym_this] = ACTIONS(2539),
    [sym_super] = ACTIONS(2539),
    [sym_true] = ACTIONS(2539),
    [sym_false] = ACTIONS(2539),
    [sym_null] = ACTIONS(2539),
    [sym_undefined] = ACTIONS(2539),
    [anon_sym_AT] = ACTIONS(2541),
    [anon_sym_static] = ACTIONS(2539),
    [anon_sym_readonly] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2539),
    [anon_sym_set] = ACTIONS(2539),
    [anon_sym_declare] = ACTIONS(2539),
    [anon_sym_public] = ACTIONS(2539),
    [anon_sym_private] = ACTIONS(2539),
    [anon_sym_protected] = ACTIONS(2539),
    [anon_sym_override] = ACTIONS(2539),
    [anon_sym_module] = ACTIONS(2539),
    [anon_sym_any] = ACTIONS(2539),
    [anon_sym_number] = ACTIONS(2539),
    [anon_sym_boolean] = ACTIONS(2539),
    [anon_sym_string] = ACTIONS(2539),
    [anon_sym_symbol] = ACTIONS(2539),
    [anon_sym_property] = ACTIONS(2539),
    [anon_sym_signal] = ACTIONS(2539),
    [anon_sym_on] = ACTIONS(2539),
    [anon_sym_required] = ACTIONS(2539),
    [anon_sym_component] = ACTIONS(2539),
    [anon_sym_abstract] = ACTIONS(2539),
    [anon_sym_interface] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2539),
  },
  [771] = {
    [sym_identifier] = ACTIONS(2543),
    [anon_sym_export] = ACTIONS(2543),
    [anon_sym_default] = ACTIONS(2543),
    [anon_sym_type] = ACTIONS(2543),
    [anon_sym_namespace] = ACTIONS(2543),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_RBRACE] = ACTIONS(2545),
    [anon_sym_typeof] = ACTIONS(2543),
    [anon_sym_import] = ACTIONS(2543),
    [anon_sym_from] = ACTIONS(2543),
    [anon_sym_var] = ACTIONS(2543),
    [anon_sym_let] = ACTIONS(2543),
    [anon_sym_const] = ACTIONS(2543),
    [anon_sym_BANG] = ACTIONS(2545),
    [anon_sym_else] = ACTIONS(2543),
    [anon_sym_if] = ACTIONS(2543),
    [anon_sym_switch] = ACTIONS(2543),
    [anon_sym_for] = ACTIONS(2543),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_await] = ACTIONS(2543),
    [anon_sym_of] = ACTIONS(2543),
    [anon_sym_while] = ACTIONS(2543),
    [anon_sym_do] = ACTIONS(2543),
    [anon_sym_try] = ACTIONS(2543),
    [anon_sym_with] = ACTIONS(2543),
    [anon_sym_break] = ACTIONS(2543),
    [anon_sym_continue] = ACTIONS(2543),
    [anon_sym_debugger] = ACTIONS(2543),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2543),
    [anon_sym_SEMI] = ACTIONS(2545),
    [anon_sym_case] = ACTIONS(2543),
    [anon_sym_yield] = ACTIONS(2543),
    [anon_sym_LBRACK] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2543),
    [anon_sym_class] = ACTIONS(2543),
    [anon_sym_async] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2543),
    [anon_sym_new] = ACTIONS(2543),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_TILDE] = ACTIONS(2545),
    [anon_sym_void] = ACTIONS(2543),
    [anon_sym_delete] = ACTIONS(2543),
    [anon_sym_PLUS_PLUS] = ACTIONS(2545),
    [anon_sym_DASH_DASH] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_SQUOTE] = ACTIONS(2545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2545),
    [sym_number] = ACTIONS(2545),
    [sym_this] = ACTIONS(2543),
    [sym_super] = ACTIONS(2543),
    [sym_true] = ACTIONS(2543),
    [sym_false] = ACTIONS(2543),
    [sym_null] = ACTIONS(2543),
    [sym_undefined] = ACTIONS(2543),
    [anon_sym_AT] = ACTIONS(2545),
    [anon_sym_static] = ACTIONS(2543),
    [anon_sym_readonly] = ACTIONS(2543),
    [anon_sym_get] = ACTIONS(2543),
    [anon_sym_set] = ACTIONS(2543),
    [anon_sym_declare] = ACTIONS(2543),
    [anon_sym_public] = ACTIONS(2543),
    [anon_sym_private] = ACTIONS(2543),
    [anon_sym_protected] = ACTIONS(2543),
    [anon_sym_override] = ACTIONS(2543),
    [anon_sym_module] = ACTIONS(2543),
    [anon_sym_any] = ACTIONS(2543),
    [anon_sym_number] = ACTIONS(2543),
    [anon_sym_boolean] = ACTIONS(2543),
    [anon_sym_string] = ACTIONS(2543),
    [anon_sym_symbol] = ACTIONS(2543),
    [anon_sym_property] = ACTIONS(2543),
    [anon_sym_signal] = ACTIONS(2543),
    [anon_sym_on] = ACTIONS(2543),
    [anon_sym_required] = ACTIONS(2543),
    [anon_sym_component] = ACTIONS(2543),
    [anon_sym_abstract] = ACTIONS(2543),
    [anon_sym_interface] = ACTIONS(2543),
    [anon_sym_enum] = ACTIONS(2543),
  },
  [772] = {
    [sym_identifier] = ACTIONS(2543),
    [anon_sym_export] = ACTIONS(2543),
    [anon_sym_default] = ACTIONS(2543),
    [anon_sym_type] = ACTIONS(2543),
    [anon_sym_namespace] = ACTIONS(2543),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_RBRACE] = ACTIONS(2545),
    [anon_sym_typeof] = ACTIONS(2543),
    [anon_sym_import] = ACTIONS(2543),
    [anon_sym_from] = ACTIONS(2543),
    [anon_sym_var] = ACTIONS(2543),
    [anon_sym_let] = ACTIONS(2543),
    [anon_sym_const] = ACTIONS(2543),
    [anon_sym_BANG] = ACTIONS(2545),
    [anon_sym_else] = ACTIONS(2543),
    [anon_sym_if] = ACTIONS(2543),
    [anon_sym_switch] = ACTIONS(2543),
    [anon_sym_for] = ACTIONS(2543),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_await] = ACTIONS(2543),
    [anon_sym_of] = ACTIONS(2543),
    [anon_sym_while] = ACTIONS(2543),
    [anon_sym_do] = ACTIONS(2543),
    [anon_sym_try] = ACTIONS(2543),
    [anon_sym_with] = ACTIONS(2543),
    [anon_sym_break] = ACTIONS(2543),
    [anon_sym_continue] = ACTIONS(2543),
    [anon_sym_debugger] = ACTIONS(2543),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2543),
    [anon_sym_SEMI] = ACTIONS(2545),
    [anon_sym_case] = ACTIONS(2543),
    [anon_sym_yield] = ACTIONS(2543),
    [anon_sym_LBRACK] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2543),
    [anon_sym_class] = ACTIONS(2543),
    [anon_sym_async] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2543),
    [anon_sym_new] = ACTIONS(2543),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_TILDE] = ACTIONS(2545),
    [anon_sym_void] = ACTIONS(2543),
    [anon_sym_delete] = ACTIONS(2543),
    [anon_sym_PLUS_PLUS] = ACTIONS(2545),
    [anon_sym_DASH_DASH] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_SQUOTE] = ACTIONS(2545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2545),
    [sym_number] = ACTIONS(2545),
    [sym_this] = ACTIONS(2543),
    [sym_super] = ACTIONS(2543),
    [sym_true] = ACTIONS(2543),
    [sym_false] = ACTIONS(2543),
    [sym_null] = ACTIONS(2543),
    [sym_undefined] = ACTIONS(2543),
    [anon_sym_AT] = ACTIONS(2545),
    [anon_sym_static] = ACTIONS(2543),
    [anon_sym_readonly] = ACTIONS(2543),
    [anon_sym_get] = ACTIONS(2543),
    [anon_sym_set] = ACTIONS(2543),
    [anon_sym_declare] = ACTIONS(2543),
    [anon_sym_public] = ACTIONS(2543),
    [anon_sym_private] = ACTIONS(2543),
    [anon_sym_protected] = ACTIONS(2543),
    [anon_sym_override] = ACTIONS(2543),
    [anon_sym_module] = ACTIONS(2543),
    [anon_sym_any] = ACTIONS(2543),
    [anon_sym_number] = ACTIONS(2543),
    [anon_sym_boolean] = ACTIONS(2543),
    [anon_sym_string] = ACTIONS(2543),
    [anon_sym_symbol] = ACTIONS(2543),
    [anon_sym_property] = ACTIONS(2543),
    [anon_sym_signal] = ACTIONS(2543),
    [anon_sym_on] = ACTIONS(2543),
    [anon_sym_required] = ACTIONS(2543),
    [anon_sym_component] = ACTIONS(2543),
    [anon_sym_abstract] = ACTIONS(2543),
    [anon_sym_interface] = ACTIONS(2543),
    [anon_sym_enum] = ACTIONS(2543),
  },
  [773] = {
    [sym_identifier] = ACTIONS(2547),
    [anon_sym_export] = ACTIONS(2547),
    [anon_sym_default] = ACTIONS(2547),
    [anon_sym_type] = ACTIONS(2547),
    [anon_sym_namespace] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_RBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2547),
    [anon_sym_import] = ACTIONS(2547),
    [anon_sym_from] = ACTIONS(2547),
    [anon_sym_var] = ACTIONS(2547),
    [anon_sym_let] = ACTIONS(2547),
    [anon_sym_const] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2549),
    [anon_sym_else] = ACTIONS(2547),
    [anon_sym_if] = ACTIONS(2547),
    [anon_sym_switch] = ACTIONS(2547),
    [anon_sym_for] = ACTIONS(2547),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_await] = ACTIONS(2547),
    [anon_sym_of] = ACTIONS(2547),
    [anon_sym_while] = ACTIONS(2547),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_with] = ACTIONS(2547),
    [anon_sym_break] = ACTIONS(2547),
    [anon_sym_continue] = ACTIONS(2547),
    [anon_sym_debugger] = ACTIONS(2547),
    [anon_sym_return] = ACTIONS(2547),
    [anon_sym_throw] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2549),
    [anon_sym_case] = ACTIONS(2547),
    [anon_sym_yield] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_SLASH] = ACTIONS(2547),
    [anon_sym_class] = ACTIONS(2547),
    [anon_sym_async] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2547),
    [anon_sym_new] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2547),
    [anon_sym_delete] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2549),
    [anon_sym_DASH_DASH] = ACTIONS(2549),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [anon_sym_SQUOTE] = ACTIONS(2549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2549),
    [sym_number] = ACTIONS(2549),
    [sym_this] = ACTIONS(2547),
    [sym_super] = ACTIONS(2547),
    [sym_true] = ACTIONS(2547),
    [sym_false] = ACTIONS(2547),
    [sym_null] = ACTIONS(2547),
    [sym_undefined] = ACTIONS(2547),
    [anon_sym_AT] = ACTIONS(2549),
    [anon_sym_static] = ACTIONS(2547),
    [anon_sym_readonly] = ACTIONS(2547),
    [anon_sym_get] = ACTIONS(2547),
    [anon_sym_set] = ACTIONS(2547),
    [anon_sym_declare] = ACTIONS(2547),
    [anon_sym_public] = ACTIONS(2547),
    [anon_sym_private] = ACTIONS(2547),
    [anon_sym_protected] = ACTIONS(2547),
    [anon_sym_override] = ACTIONS(2547),
    [anon_sym_module] = ACTIONS(2547),
    [anon_sym_any] = ACTIONS(2547),
    [anon_sym_number] = ACTIONS(2547),
    [anon_sym_boolean] = ACTIONS(2547),
    [anon_sym_string] = ACTIONS(2547),
    [anon_sym_symbol] = ACTIONS(2547),
    [anon_sym_property] = ACTIONS(2547),
    [anon_sym_signal] = ACTIONS(2547),
    [anon_sym_on] = ACTIONS(2547),
    [anon_sym_required] = ACTIONS(2547),
    [anon_sym_component] = ACTIONS(2547),
    [anon_sym_abstract] = ACTIONS(2547),
    [anon_sym_interface] = ACTIONS(2547),
    [anon_sym_enum] = ACTIONS(2547),
  },
  [774] = {
    [sym_identifier] = ACTIONS(2551),
    [anon_sym_export] = ACTIONS(2551),
    [anon_sym_default] = ACTIONS(2551),
    [anon_sym_type] = ACTIONS(2551),
    [anon_sym_namespace] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2553),
    [anon_sym_RBRACE] = ACTIONS(2553),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_import] = ACTIONS(2551),
    [anon_sym_from] = ACTIONS(2551),
    [anon_sym_var] = ACTIONS(2551),
    [anon_sym_let] = ACTIONS(2551),
    [anon_sym_const] = ACTIONS(2551),
    [anon_sym_BANG] = ACTIONS(2553),
    [anon_sym_else] = ACTIONS(2551),
    [anon_sym_if] = ACTIONS(2551),
    [anon_sym_switch] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_await] = ACTIONS(2551),
    [anon_sym_of] = ACTIONS(2551),
    [anon_sym_while] = ACTIONS(2551),
    [anon_sym_do] = ACTIONS(2551),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_with] = ACTIONS(2551),
    [anon_sym_break] = ACTIONS(2551),
    [anon_sym_continue] = ACTIONS(2551),
    [anon_sym_debugger] = ACTIONS(2551),
    [anon_sym_return] = ACTIONS(2551),
    [anon_sym_throw] = ACTIONS(2551),
    [anon_sym_SEMI] = ACTIONS(2553),
    [anon_sym_case] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2553),
    [anon_sym_LT] = ACTIONS(2553),
    [anon_sym_SLASH] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2551),
    [anon_sym_async] = ACTIONS(2551),
    [anon_sym_function] = ACTIONS(2551),
    [anon_sym_new] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_TILDE] = ACTIONS(2553),
    [anon_sym_void] = ACTIONS(2551),
    [anon_sym_delete] = ACTIONS(2551),
    [anon_sym_PLUS_PLUS] = ACTIONS(2553),
    [anon_sym_DASH_DASH] = ACTIONS(2553),
    [anon_sym_DQUOTE] = ACTIONS(2553),
    [anon_sym_SQUOTE] = ACTIONS(2553),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2553),
    [sym_number] = ACTIONS(2553),
    [sym_this] = ACTIONS(2551),
    [sym_super] = ACTIONS(2551),
    [sym_true] = ACTIONS(2551),
    [sym_false] = ACTIONS(2551),
    [sym_null] = ACTIONS(2551),
    [sym_undefined] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_static] = ACTIONS(2551),
    [anon_sym_readonly] = ACTIONS(2551),
    [anon_sym_get] = ACTIONS(2551),
    [anon_sym_set] = ACTIONS(2551),
    [anon_sym_declare] = ACTIONS(2551),
    [anon_sym_public] = ACTIONS(2551),
    [anon_sym_private] = ACTIONS(2551),
    [anon_sym_protected] = ACTIONS(2551),
    [anon_sym_override] = ACTIONS(2551),
    [anon_sym_module] = ACTIONS(2551),
    [anon_sym_any] = ACTIONS(2551),
    [anon_sym_number] = ACTIONS(2551),
    [anon_sym_boolean] = ACTIONS(2551),
    [anon_sym_string] = ACTIONS(2551),
    [anon_sym_symbol] = ACTIONS(2551),
    [anon_sym_property] = ACTIONS(2551),
    [anon_sym_signal] = ACTIONS(2551),
    [anon_sym_on] = ACTIONS(2551),
    [anon_sym_required] = ACTIONS(2551),
    [anon_sym_component] = ACTIONS(2551),
    [anon_sym_abstract] = ACTIONS(2551),
    [anon_sym_interface] = ACTIONS(2551),
    [anon_sym_enum] = ACTIONS(2551),
  },
  [775] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [776] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [777] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [778] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [779] = {
    [sym_identifier] = ACTIONS(2559),
    [anon_sym_export] = ACTIONS(2559),
    [anon_sym_default] = ACTIONS(2559),
    [anon_sym_type] = ACTIONS(2559),
    [anon_sym_namespace] = ACTIONS(2559),
    [anon_sym_LBRACE] = ACTIONS(2561),
    [anon_sym_RBRACE] = ACTIONS(2561),
    [anon_sym_typeof] = ACTIONS(2559),
    [anon_sym_import] = ACTIONS(2559),
    [anon_sym_from] = ACTIONS(2559),
    [anon_sym_var] = ACTIONS(2559),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_const] = ACTIONS(2559),
    [anon_sym_BANG] = ACTIONS(2561),
    [anon_sym_else] = ACTIONS(2559),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_switch] = ACTIONS(2559),
    [anon_sym_for] = ACTIONS(2559),
    [anon_sym_LPAREN] = ACTIONS(2561),
    [anon_sym_await] = ACTIONS(2559),
    [anon_sym_of] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(2559),
    [anon_sym_do] = ACTIONS(2559),
    [anon_sym_try] = ACTIONS(2559),
    [anon_sym_with] = ACTIONS(2559),
    [anon_sym_break] = ACTIONS(2559),
    [anon_sym_continue] = ACTIONS(2559),
    [anon_sym_debugger] = ACTIONS(2559),
    [anon_sym_return] = ACTIONS(2559),
    [anon_sym_throw] = ACTIONS(2559),
    [anon_sym_SEMI] = ACTIONS(2561),
    [anon_sym_case] = ACTIONS(2559),
    [anon_sym_yield] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_LT] = ACTIONS(2561),
    [anon_sym_SLASH] = ACTIONS(2559),
    [anon_sym_class] = ACTIONS(2559),
    [anon_sym_async] = ACTIONS(2559),
    [anon_sym_function] = ACTIONS(2559),
    [anon_sym_new] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2559),
    [anon_sym_DASH] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(2561),
    [anon_sym_void] = ACTIONS(2559),
    [anon_sym_delete] = ACTIONS(2559),
    [anon_sym_PLUS_PLUS] = ACTIONS(2561),
    [anon_sym_DASH_DASH] = ACTIONS(2561),
    [anon_sym_DQUOTE] = ACTIONS(2561),
    [anon_sym_SQUOTE] = ACTIONS(2561),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2561),
    [sym_number] = ACTIONS(2561),
    [sym_this] = ACTIONS(2559),
    [sym_super] = ACTIONS(2559),
    [sym_true] = ACTIONS(2559),
    [sym_false] = ACTIONS(2559),
    [sym_null] = ACTIONS(2559),
    [sym_undefined] = ACTIONS(2559),
    [anon_sym_AT] = ACTIONS(2561),
    [anon_sym_static] = ACTIONS(2559),
    [anon_sym_readonly] = ACTIONS(2559),
    [anon_sym_get] = ACTIONS(2559),
    [anon_sym_set] = ACTIONS(2559),
    [anon_sym_declare] = ACTIONS(2559),
    [anon_sym_public] = ACTIONS(2559),
    [anon_sym_private] = ACTIONS(2559),
    [anon_sym_protected] = ACTIONS(2559),
    [anon_sym_override] = ACTIONS(2559),
    [anon_sym_module] = ACTIONS(2559),
    [anon_sym_any] = ACTIONS(2559),
    [anon_sym_number] = ACTIONS(2559),
    [anon_sym_boolean] = ACTIONS(2559),
    [anon_sym_string] = ACTIONS(2559),
    [anon_sym_symbol] = ACTIONS(2559),
    [anon_sym_property] = ACTIONS(2559),
    [anon_sym_signal] = ACTIONS(2559),
    [anon_sym_on] = ACTIONS(2559),
    [anon_sym_required] = ACTIONS(2559),
    [anon_sym_component] = ACTIONS(2559),
    [anon_sym_abstract] = ACTIONS(2559),
    [anon_sym_interface] = ACTIONS(2559),
    [anon_sym_enum] = ACTIONS(2559),
  },
  [780] = {
    [sym_identifier] = ACTIONS(1608),
    [anon_sym_export] = ACTIONS(1608),
    [anon_sym_default] = ACTIONS(1608),
    [anon_sym_type] = ACTIONS(1608),
    [anon_sym_namespace] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_typeof] = ACTIONS(1608),
    [anon_sym_import] = ACTIONS(1608),
    [anon_sym_from] = ACTIONS(1608),
    [anon_sym_var] = ACTIONS(1608),
    [anon_sym_let] = ACTIONS(1608),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1610),
    [anon_sym_else] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_await] = ACTIONS(1608),
    [anon_sym_of] = ACTIONS(1608),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_do] = ACTIONS(1608),
    [anon_sym_try] = ACTIONS(1608),
    [anon_sym_with] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_continue] = ACTIONS(1608),
    [anon_sym_debugger] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_throw] = ACTIONS(1608),
    [anon_sym_SEMI] = ACTIONS(1610),
    [anon_sym_case] = ACTIONS(1608),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_class] = ACTIONS(1608),
    [anon_sym_async] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1610),
    [anon_sym_void] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_PLUS_PLUS] = ACTIONS(1610),
    [anon_sym_DASH_DASH] = ACTIONS(1610),
    [anon_sym_DQUOTE] = ACTIONS(1610),
    [anon_sym_SQUOTE] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1610),
    [sym_number] = ACTIONS(1610),
    [sym_this] = ACTIONS(1608),
    [sym_super] = ACTIONS(1608),
    [sym_true] = ACTIONS(1608),
    [sym_false] = ACTIONS(1608),
    [sym_null] = ACTIONS(1608),
    [sym_undefined] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1610),
    [anon_sym_static] = ACTIONS(1608),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_get] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_declare] = ACTIONS(1608),
    [anon_sym_public] = ACTIONS(1608),
    [anon_sym_private] = ACTIONS(1608),
    [anon_sym_protected] = ACTIONS(1608),
    [anon_sym_override] = ACTIONS(1608),
    [anon_sym_module] = ACTIONS(1608),
    [anon_sym_any] = ACTIONS(1608),
    [anon_sym_number] = ACTIONS(1608),
    [anon_sym_boolean] = ACTIONS(1608),
    [anon_sym_string] = ACTIONS(1608),
    [anon_sym_symbol] = ACTIONS(1608),
    [anon_sym_property] = ACTIONS(1608),
    [anon_sym_signal] = ACTIONS(1608),
    [anon_sym_on] = ACTIONS(1608),
    [anon_sym_required] = ACTIONS(1608),
    [anon_sym_component] = ACTIONS(1608),
    [anon_sym_abstract] = ACTIONS(1608),
    [anon_sym_interface] = ACTIONS(1608),
    [anon_sym_enum] = ACTIONS(1608),
  },
  [781] = {
    [sym_identifier] = ACTIONS(2563),
    [anon_sym_export] = ACTIONS(2563),
    [anon_sym_default] = ACTIONS(2563),
    [anon_sym_type] = ACTIONS(2563),
    [anon_sym_namespace] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_RBRACE] = ACTIONS(2565),
    [anon_sym_typeof] = ACTIONS(2563),
    [anon_sym_import] = ACTIONS(2563),
    [anon_sym_from] = ACTIONS(2563),
    [anon_sym_var] = ACTIONS(2563),
    [anon_sym_let] = ACTIONS(2563),
    [anon_sym_const] = ACTIONS(2563),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_else] = ACTIONS(2563),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_switch] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2563),
    [anon_sym_LPAREN] = ACTIONS(2565),
    [anon_sym_await] = ACTIONS(2563),
    [anon_sym_of] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_do] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2563),
    [anon_sym_with] = ACTIONS(2563),
    [anon_sym_break] = ACTIONS(2563),
    [anon_sym_continue] = ACTIONS(2563),
    [anon_sym_debugger] = ACTIONS(2563),
    [anon_sym_return] = ACTIONS(2563),
    [anon_sym_throw] = ACTIONS(2563),
    [anon_sym_SEMI] = ACTIONS(2565),
    [anon_sym_case] = ACTIONS(2563),
    [anon_sym_yield] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_SLASH] = ACTIONS(2563),
    [anon_sym_class] = ACTIONS(2563),
    [anon_sym_async] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_new] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_TILDE] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2563),
    [anon_sym_delete] = ACTIONS(2563),
    [anon_sym_PLUS_PLUS] = ACTIONS(2565),
    [anon_sym_DASH_DASH] = ACTIONS(2565),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [anon_sym_SQUOTE] = ACTIONS(2565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2565),
    [sym_number] = ACTIONS(2565),
    [sym_this] = ACTIONS(2563),
    [sym_super] = ACTIONS(2563),
    [sym_true] = ACTIONS(2563),
    [sym_false] = ACTIONS(2563),
    [sym_null] = ACTIONS(2563),
    [sym_undefined] = ACTIONS(2563),
    [anon_sym_AT] = ACTIONS(2565),
    [anon_sym_static] = ACTIONS(2563),
    [anon_sym_readonly] = ACTIONS(2563),
    [anon_sym_get] = ACTIONS(2563),
    [anon_sym_set] = ACTIONS(2563),
    [anon_sym_declare] = ACTIONS(2563),
    [anon_sym_public] = ACTIONS(2563),
    [anon_sym_private] = ACTIONS(2563),
    [anon_sym_protected] = ACTIONS(2563),
    [anon_sym_override] = ACTIONS(2563),
    [anon_sym_module] = ACTIONS(2563),
    [anon_sym_any] = ACTIONS(2563),
    [anon_sym_number] = ACTIONS(2563),
    [anon_sym_boolean] = ACTIONS(2563),
    [anon_sym_string] = ACTIONS(2563),
    [anon_sym_symbol] = ACTIONS(2563),
    [anon_sym_property] = ACTIONS(2563),
    [anon_sym_signal] = ACTIONS(2563),
    [anon_sym_on] = ACTIONS(2563),
    [anon_sym_required] = ACTIONS(2563),
    [anon_sym_component] = ACTIONS(2563),
    [anon_sym_abstract] = ACTIONS(2563),
    [anon_sym_interface] = ACTIONS(2563),
    [anon_sym_enum] = ACTIONS(2563),
  },
  [782] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [783] = {
    [sym_identifier] = ACTIONS(2567),
    [anon_sym_export] = ACTIONS(2567),
    [anon_sym_default] = ACTIONS(2567),
    [anon_sym_type] = ACTIONS(2567),
    [anon_sym_namespace] = ACTIONS(2567),
    [anon_sym_LBRACE] = ACTIONS(2569),
    [anon_sym_RBRACE] = ACTIONS(2569),
    [anon_sym_typeof] = ACTIONS(2567),
    [anon_sym_import] = ACTIONS(2567),
    [anon_sym_from] = ACTIONS(2567),
    [anon_sym_var] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_const] = ACTIONS(2567),
    [anon_sym_BANG] = ACTIONS(2569),
    [anon_sym_else] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_switch] = ACTIONS(2567),
    [anon_sym_for] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2569),
    [anon_sym_await] = ACTIONS(2567),
    [anon_sym_of] = ACTIONS(2567),
    [anon_sym_while] = ACTIONS(2567),
    [anon_sym_do] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_with] = ACTIONS(2567),
    [anon_sym_break] = ACTIONS(2567),
    [anon_sym_continue] = ACTIONS(2567),
    [anon_sym_debugger] = ACTIONS(2567),
    [anon_sym_return] = ACTIONS(2567),
    [anon_sym_throw] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2569),
    [anon_sym_case] = ACTIONS(2567),
    [anon_sym_yield] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2569),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_class] = ACTIONS(2567),
    [anon_sym_async] = ACTIONS(2567),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_delete] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2569),
    [anon_sym_DASH_DASH] = ACTIONS(2569),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2569),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2569),
    [sym_number] = ACTIONS(2569),
    [sym_this] = ACTIONS(2567),
    [sym_super] = ACTIONS(2567),
    [sym_true] = ACTIONS(2567),
    [sym_false] = ACTIONS(2567),
    [sym_null] = ACTIONS(2567),
    [sym_undefined] = ACTIONS(2567),
    [anon_sym_AT] = ACTIONS(2569),
    [anon_sym_static] = ACTIONS(2567),
    [anon_sym_readonly] = ACTIONS(2567),
    [anon_sym_get] = ACTIONS(2567),
    [anon_sym_set] = ACTIONS(2567),
    [anon_sym_declare] = ACTIONS(2567),
    [anon_sym_public] = ACTIONS(2567),
    [anon_sym_private] = ACTIONS(2567),
    [anon_sym_protected] = ACTIONS(2567),
    [anon_sym_override] = ACTIONS(2567),
    [anon_sym_module] = ACTIONS(2567),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_property] = ACTIONS(2567),
    [anon_sym_signal] = ACTIONS(2567),
    [anon_sym_on] = ACTIONS(2567),
    [anon_sym_required] = ACTIONS(2567),
    [anon_sym_component] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2567),
    [anon_sym_interface] = ACTIONS(2567),
    [anon_sym_enum] = ACTIONS(2567),
  },
  [784] = {
    [sym_identifier] = ACTIONS(2567),
    [anon_sym_export] = ACTIONS(2567),
    [anon_sym_default] = ACTIONS(2567),
    [anon_sym_type] = ACTIONS(2567),
    [anon_sym_namespace] = ACTIONS(2567),
    [anon_sym_LBRACE] = ACTIONS(2569),
    [anon_sym_RBRACE] = ACTIONS(2569),
    [anon_sym_typeof] = ACTIONS(2567),
    [anon_sym_import] = ACTIONS(2567),
    [anon_sym_from] = ACTIONS(2567),
    [anon_sym_var] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_const] = ACTIONS(2567),
    [anon_sym_BANG] = ACTIONS(2569),
    [anon_sym_else] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_switch] = ACTIONS(2567),
    [anon_sym_for] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2569),
    [anon_sym_await] = ACTIONS(2567),
    [anon_sym_of] = ACTIONS(2567),
    [anon_sym_while] = ACTIONS(2567),
    [anon_sym_do] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_with] = ACTIONS(2567),
    [anon_sym_break] = ACTIONS(2567),
    [anon_sym_continue] = ACTIONS(2567),
    [anon_sym_debugger] = ACTIONS(2567),
    [anon_sym_return] = ACTIONS(2567),
    [anon_sym_throw] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2569),
    [anon_sym_case] = ACTIONS(2567),
    [anon_sym_yield] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2569),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_class] = ACTIONS(2567),
    [anon_sym_async] = ACTIONS(2567),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_delete] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2569),
    [anon_sym_DASH_DASH] = ACTIONS(2569),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2569),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2569),
    [sym_number] = ACTIONS(2569),
    [sym_this] = ACTIONS(2567),
    [sym_super] = ACTIONS(2567),
    [sym_true] = ACTIONS(2567),
    [sym_false] = ACTIONS(2567),
    [sym_null] = ACTIONS(2567),
    [sym_undefined] = ACTIONS(2567),
    [anon_sym_AT] = ACTIONS(2569),
    [anon_sym_static] = ACTIONS(2567),
    [anon_sym_readonly] = ACTIONS(2567),
    [anon_sym_get] = ACTIONS(2567),
    [anon_sym_set] = ACTIONS(2567),
    [anon_sym_declare] = ACTIONS(2567),
    [anon_sym_public] = ACTIONS(2567),
    [anon_sym_private] = ACTIONS(2567),
    [anon_sym_protected] = ACTIONS(2567),
    [anon_sym_override] = ACTIONS(2567),
    [anon_sym_module] = ACTIONS(2567),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_property] = ACTIONS(2567),
    [anon_sym_signal] = ACTIONS(2567),
    [anon_sym_on] = ACTIONS(2567),
    [anon_sym_required] = ACTIONS(2567),
    [anon_sym_component] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2567),
    [anon_sym_interface] = ACTIONS(2567),
    [anon_sym_enum] = ACTIONS(2567),
  },
  [785] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [786] = {
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_export] = ACTIONS(2571),
    [anon_sym_default] = ACTIONS(2571),
    [anon_sym_type] = ACTIONS(2571),
    [anon_sym_namespace] = ACTIONS(2571),
    [anon_sym_LBRACE] = ACTIONS(2573),
    [anon_sym_RBRACE] = ACTIONS(2573),
    [anon_sym_typeof] = ACTIONS(2571),
    [anon_sym_import] = ACTIONS(2571),
    [anon_sym_from] = ACTIONS(2571),
    [anon_sym_var] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_const] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2573),
    [anon_sym_else] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_switch] = ACTIONS(2571),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_await] = ACTIONS(2571),
    [anon_sym_of] = ACTIONS(2571),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_with] = ACTIONS(2571),
    [anon_sym_break] = ACTIONS(2571),
    [anon_sym_continue] = ACTIONS(2571),
    [anon_sym_debugger] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_throw] = ACTIONS(2571),
    [anon_sym_SEMI] = ACTIONS(2573),
    [anon_sym_case] = ACTIONS(2571),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2573),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_SLASH] = ACTIONS(2571),
    [anon_sym_class] = ACTIONS(2571),
    [anon_sym_async] = ACTIONS(2571),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_void] = ACTIONS(2571),
    [anon_sym_delete] = ACTIONS(2571),
    [anon_sym_PLUS_PLUS] = ACTIONS(2573),
    [anon_sym_DASH_DASH] = ACTIONS(2573),
    [anon_sym_DQUOTE] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2573),
    [sym_this] = ACTIONS(2571),
    [sym_super] = ACTIONS(2571),
    [sym_true] = ACTIONS(2571),
    [sym_false] = ACTIONS(2571),
    [sym_null] = ACTIONS(2571),
    [sym_undefined] = ACTIONS(2571),
    [anon_sym_AT] = ACTIONS(2573),
    [anon_sym_static] = ACTIONS(2571),
    [anon_sym_readonly] = ACTIONS(2571),
    [anon_sym_get] = ACTIONS(2571),
    [anon_sym_set] = ACTIONS(2571),
    [anon_sym_declare] = ACTIONS(2571),
    [anon_sym_public] = ACTIONS(2571),
    [anon_sym_private] = ACTIONS(2571),
    [anon_sym_protected] = ACTIONS(2571),
    [anon_sym_override] = ACTIONS(2571),
    [anon_sym_module] = ACTIONS(2571),
    [anon_sym_any] = ACTIONS(2571),
    [anon_sym_number] = ACTIONS(2571),
    [anon_sym_boolean] = ACTIONS(2571),
    [anon_sym_string] = ACTIONS(2571),
    [anon_sym_symbol] = ACTIONS(2571),
    [anon_sym_property] = ACTIONS(2571),
    [anon_sym_signal] = ACTIONS(2571),
    [anon_sym_on] = ACTIONS(2571),
    [anon_sym_required] = ACTIONS(2571),
    [anon_sym_component] = ACTIONS(2571),
    [anon_sym_abstract] = ACTIONS(2571),
    [anon_sym_interface] = ACTIONS(2571),
    [anon_sym_enum] = ACTIONS(2571),
  },
  [787] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [788] = {
    [sym_identifier] = ACTIONS(2575),
    [anon_sym_export] = ACTIONS(2575),
    [anon_sym_default] = ACTIONS(2575),
    [anon_sym_type] = ACTIONS(2575),
    [anon_sym_namespace] = ACTIONS(2575),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_RBRACE] = ACTIONS(2577),
    [anon_sym_typeof] = ACTIONS(2575),
    [anon_sym_import] = ACTIONS(2575),
    [anon_sym_from] = ACTIONS(2575),
    [anon_sym_var] = ACTIONS(2575),
    [anon_sym_let] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_BANG] = ACTIONS(2577),
    [anon_sym_else] = ACTIONS(2575),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_switch] = ACTIONS(2575),
    [anon_sym_for] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(2577),
    [anon_sym_await] = ACTIONS(2575),
    [anon_sym_of] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(2575),
    [anon_sym_try] = ACTIONS(2575),
    [anon_sym_with] = ACTIONS(2575),
    [anon_sym_break] = ACTIONS(2575),
    [anon_sym_continue] = ACTIONS(2575),
    [anon_sym_debugger] = ACTIONS(2575),
    [anon_sym_return] = ACTIONS(2575),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym_case] = ACTIONS(2575),
    [anon_sym_yield] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_SLASH] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_async] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2575),
    [anon_sym_new] = ACTIONS(2575),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_void] = ACTIONS(2575),
    [anon_sym_delete] = ACTIONS(2575),
    [anon_sym_PLUS_PLUS] = ACTIONS(2577),
    [anon_sym_DASH_DASH] = ACTIONS(2577),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2577),
    [sym_number] = ACTIONS(2577),
    [sym_this] = ACTIONS(2575),
    [sym_super] = ACTIONS(2575),
    [sym_true] = ACTIONS(2575),
    [sym_false] = ACTIONS(2575),
    [sym_null] = ACTIONS(2575),
    [sym_undefined] = ACTIONS(2575),
    [anon_sym_AT] = ACTIONS(2577),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_readonly] = ACTIONS(2575),
    [anon_sym_get] = ACTIONS(2575),
    [anon_sym_set] = ACTIONS(2575),
    [anon_sym_declare] = ACTIONS(2575),
    [anon_sym_public] = ACTIONS(2575),
    [anon_sym_private] = ACTIONS(2575),
    [anon_sym_protected] = ACTIONS(2575),
    [anon_sym_override] = ACTIONS(2575),
    [anon_sym_module] = ACTIONS(2575),
    [anon_sym_any] = ACTIONS(2575),
    [anon_sym_number] = ACTIONS(2575),
    [anon_sym_boolean] = ACTIONS(2575),
    [anon_sym_string] = ACTIONS(2575),
    [anon_sym_symbol] = ACTIONS(2575),
    [anon_sym_property] = ACTIONS(2575),
    [anon_sym_signal] = ACTIONS(2575),
    [anon_sym_on] = ACTIONS(2575),
    [anon_sym_required] = ACTIONS(2575),
    [anon_sym_component] = ACTIONS(2575),
    [anon_sym_abstract] = ACTIONS(2575),
    [anon_sym_interface] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
  },
  [789] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [790] = {
    [sym_identifier] = ACTIONS(2579),
    [anon_sym_export] = ACTIONS(2579),
    [anon_sym_default] = ACTIONS(2579),
    [anon_sym_type] = ACTIONS(2579),
    [anon_sym_namespace] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_RBRACE] = ACTIONS(2581),
    [anon_sym_typeof] = ACTIONS(2579),
    [anon_sym_import] = ACTIONS(2579),
    [anon_sym_from] = ACTIONS(2579),
    [anon_sym_var] = ACTIONS(2579),
    [anon_sym_let] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_BANG] = ACTIONS(2581),
    [anon_sym_else] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_switch] = ACTIONS(2579),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_LPAREN] = ACTIONS(2581),
    [anon_sym_await] = ACTIONS(2579),
    [anon_sym_of] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_with] = ACTIONS(2579),
    [anon_sym_break] = ACTIONS(2579),
    [anon_sym_continue] = ACTIONS(2579),
    [anon_sym_debugger] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_throw] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym_case] = ACTIONS(2579),
    [anon_sym_yield] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2581),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_SLASH] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_async] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_void] = ACTIONS(2579),
    [anon_sym_delete] = ACTIONS(2579),
    [anon_sym_PLUS_PLUS] = ACTIONS(2581),
    [anon_sym_DASH_DASH] = ACTIONS(2581),
    [anon_sym_DQUOTE] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2581),
    [sym_number] = ACTIONS(2581),
    [sym_this] = ACTIONS(2579),
    [sym_super] = ACTIONS(2579),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_AT] = ACTIONS(2581),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2579),
    [anon_sym_get] = ACTIONS(2579),
    [anon_sym_set] = ACTIONS(2579),
    [anon_sym_declare] = ACTIONS(2579),
    [anon_sym_public] = ACTIONS(2579),
    [anon_sym_private] = ACTIONS(2579),
    [anon_sym_protected] = ACTIONS(2579),
    [anon_sym_override] = ACTIONS(2579),
    [anon_sym_module] = ACTIONS(2579),
    [anon_sym_any] = ACTIONS(2579),
    [anon_sym_number] = ACTIONS(2579),
    [anon_sym_boolean] = ACTIONS(2579),
    [anon_sym_string] = ACTIONS(2579),
    [anon_sym_symbol] = ACTIONS(2579),
    [anon_sym_property] = ACTIONS(2579),
    [anon_sym_signal] = ACTIONS(2579),
    [anon_sym_on] = ACTIONS(2579),
    [anon_sym_required] = ACTIONS(2579),
    [anon_sym_component] = ACTIONS(2579),
    [anon_sym_abstract] = ACTIONS(2579),
    [anon_sym_interface] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
  },
  [791] = {
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_export] = ACTIONS(2583),
    [anon_sym_default] = ACTIONS(2583),
    [anon_sym_type] = ACTIONS(2583),
    [anon_sym_namespace] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2585),
    [anon_sym_RBRACE] = ACTIONS(2585),
    [anon_sym_typeof] = ACTIONS(2583),
    [anon_sym_import] = ACTIONS(2583),
    [anon_sym_from] = ACTIONS(2583),
    [anon_sym_var] = ACTIONS(2583),
    [anon_sym_let] = ACTIONS(2583),
    [anon_sym_const] = ACTIONS(2583),
    [anon_sym_BANG] = ACTIONS(2585),
    [anon_sym_else] = ACTIONS(2583),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_switch] = ACTIONS(2583),
    [anon_sym_for] = ACTIONS(2583),
    [anon_sym_LPAREN] = ACTIONS(2585),
    [anon_sym_await] = ACTIONS(2583),
    [anon_sym_of] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2583),
    [anon_sym_do] = ACTIONS(2583),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_with] = ACTIONS(2583),
    [anon_sym_break] = ACTIONS(2583),
    [anon_sym_continue] = ACTIONS(2583),
    [anon_sym_debugger] = ACTIONS(2583),
    [anon_sym_return] = ACTIONS(2583),
    [anon_sym_throw] = ACTIONS(2583),
    [anon_sym_SEMI] = ACTIONS(2585),
    [anon_sym_case] = ACTIONS(2583),
    [anon_sym_yield] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2585),
    [anon_sym_LT] = ACTIONS(2585),
    [anon_sym_SLASH] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2583),
    [anon_sym_async] = ACTIONS(2583),
    [anon_sym_function] = ACTIONS(2583),
    [anon_sym_new] = ACTIONS(2583),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_TILDE] = ACTIONS(2585),
    [anon_sym_void] = ACTIONS(2583),
    [anon_sym_delete] = ACTIONS(2583),
    [anon_sym_PLUS_PLUS] = ACTIONS(2585),
    [anon_sym_DASH_DASH] = ACTIONS(2585),
    [anon_sym_DQUOTE] = ACTIONS(2585),
    [anon_sym_SQUOTE] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2585),
    [sym_number] = ACTIONS(2585),
    [sym_this] = ACTIONS(2583),
    [sym_super] = ACTIONS(2583),
    [sym_true] = ACTIONS(2583),
    [sym_false] = ACTIONS(2583),
    [sym_null] = ACTIONS(2583),
    [sym_undefined] = ACTIONS(2583),
    [anon_sym_AT] = ACTIONS(2585),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_readonly] = ACTIONS(2583),
    [anon_sym_get] = ACTIONS(2583),
    [anon_sym_set] = ACTIONS(2583),
    [anon_sym_declare] = ACTIONS(2583),
    [anon_sym_public] = ACTIONS(2583),
    [anon_sym_private] = ACTIONS(2583),
    [anon_sym_protected] = ACTIONS(2583),
    [anon_sym_override] = ACTIONS(2583),
    [anon_sym_module] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2583),
    [anon_sym_number] = ACTIONS(2583),
    [anon_sym_boolean] = ACTIONS(2583),
    [anon_sym_string] = ACTIONS(2583),
    [anon_sym_symbol] = ACTIONS(2583),
    [anon_sym_property] = ACTIONS(2583),
    [anon_sym_signal] = ACTIONS(2583),
    [anon_sym_on] = ACTIONS(2583),
    [anon_sym_required] = ACTIONS(2583),
    [anon_sym_component] = ACTIONS(2583),
    [anon_sym_abstract] = ACTIONS(2583),
    [anon_sym_interface] = ACTIONS(2583),
    [anon_sym_enum] = ACTIONS(2583),
  },
  [792] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [793] = {
    [sym_identifier] = ACTIONS(2587),
    [anon_sym_export] = ACTIONS(2587),
    [anon_sym_default] = ACTIONS(2587),
    [anon_sym_type] = ACTIONS(2587),
    [anon_sym_namespace] = ACTIONS(2587),
    [anon_sym_LBRACE] = ACTIONS(2589),
    [anon_sym_RBRACE] = ACTIONS(2589),
    [anon_sym_typeof] = ACTIONS(2587),
    [anon_sym_import] = ACTIONS(2587),
    [anon_sym_from] = ACTIONS(2587),
    [anon_sym_var] = ACTIONS(2587),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_const] = ACTIONS(2587),
    [anon_sym_BANG] = ACTIONS(2589),
    [anon_sym_else] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_switch] = ACTIONS(2587),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2589),
    [anon_sym_await] = ACTIONS(2587),
    [anon_sym_of] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_with] = ACTIONS(2587),
    [anon_sym_break] = ACTIONS(2587),
    [anon_sym_continue] = ACTIONS(2587),
    [anon_sym_debugger] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_throw] = ACTIONS(2587),
    [anon_sym_SEMI] = ACTIONS(2589),
    [anon_sym_case] = ACTIONS(2587),
    [anon_sym_yield] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2589),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_SLASH] = ACTIONS(2587),
    [anon_sym_class] = ACTIONS(2587),
    [anon_sym_async] = ACTIONS(2587),
    [anon_sym_function] = ACTIONS(2587),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2589),
    [anon_sym_void] = ACTIONS(2587),
    [anon_sym_delete] = ACTIONS(2587),
    [anon_sym_PLUS_PLUS] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2589),
    [anon_sym_DQUOTE] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2589),
    [sym_number] = ACTIONS(2589),
    [sym_this] = ACTIONS(2587),
    [sym_super] = ACTIONS(2587),
    [sym_true] = ACTIONS(2587),
    [sym_false] = ACTIONS(2587),
    [sym_null] = ACTIONS(2587),
    [sym_undefined] = ACTIONS(2587),
    [anon_sym_AT] = ACTIONS(2589),
    [anon_sym_static] = ACTIONS(2587),
    [anon_sym_readonly] = ACTIONS(2587),
    [anon_sym_get] = ACTIONS(2587),
    [anon_sym_set] = ACTIONS(2587),
    [anon_sym_declare] = ACTIONS(2587),
    [anon_sym_public] = ACTIONS(2587),
    [anon_sym_private] = ACTIONS(2587),
    [anon_sym_protected] = ACTIONS(2587),
    [anon_sym_override] = ACTIONS(2587),
    [anon_sym_module] = ACTIONS(2587),
    [anon_sym_any] = ACTIONS(2587),
    [anon_sym_number] = ACTIONS(2587),
    [anon_sym_boolean] = ACTIONS(2587),
    [anon_sym_string] = ACTIONS(2587),
    [anon_sym_symbol] = ACTIONS(2587),
    [anon_sym_property] = ACTIONS(2587),
    [anon_sym_signal] = ACTIONS(2587),
    [anon_sym_on] = ACTIONS(2587),
    [anon_sym_required] = ACTIONS(2587),
    [anon_sym_component] = ACTIONS(2587),
    [anon_sym_abstract] = ACTIONS(2587),
    [anon_sym_interface] = ACTIONS(2587),
    [anon_sym_enum] = ACTIONS(2587),
  },
  [794] = {
    [sym_identifier] = ACTIONS(2587),
    [anon_sym_export] = ACTIONS(2587),
    [anon_sym_default] = ACTIONS(2587),
    [anon_sym_type] = ACTIONS(2587),
    [anon_sym_namespace] = ACTIONS(2587),
    [anon_sym_LBRACE] = ACTIONS(2589),
    [anon_sym_RBRACE] = ACTIONS(2589),
    [anon_sym_typeof] = ACTIONS(2587),
    [anon_sym_import] = ACTIONS(2587),
    [anon_sym_from] = ACTIONS(2587),
    [anon_sym_var] = ACTIONS(2587),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_const] = ACTIONS(2587),
    [anon_sym_BANG] = ACTIONS(2589),
    [anon_sym_else] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_switch] = ACTIONS(2587),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2589),
    [anon_sym_await] = ACTIONS(2587),
    [anon_sym_of] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_with] = ACTIONS(2587),
    [anon_sym_break] = ACTIONS(2587),
    [anon_sym_continue] = ACTIONS(2587),
    [anon_sym_debugger] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_throw] = ACTIONS(2587),
    [anon_sym_SEMI] = ACTIONS(2589),
    [anon_sym_case] = ACTIONS(2587),
    [anon_sym_yield] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2589),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_SLASH] = ACTIONS(2587),
    [anon_sym_class] = ACTIONS(2587),
    [anon_sym_async] = ACTIONS(2587),
    [anon_sym_function] = ACTIONS(2587),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2589),
    [anon_sym_void] = ACTIONS(2587),
    [anon_sym_delete] = ACTIONS(2587),
    [anon_sym_PLUS_PLUS] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2589),
    [anon_sym_DQUOTE] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2589),
    [sym_number] = ACTIONS(2589),
    [sym_this] = ACTIONS(2587),
    [sym_super] = ACTIONS(2587),
    [sym_true] = ACTIONS(2587),
    [sym_false] = ACTIONS(2587),
    [sym_null] = ACTIONS(2587),
    [sym_undefined] = ACTIONS(2587),
    [anon_sym_AT] = ACTIONS(2589),
    [anon_sym_static] = ACTIONS(2587),
    [anon_sym_readonly] = ACTIONS(2587),
    [anon_sym_get] = ACTIONS(2587),
    [anon_sym_set] = ACTIONS(2587),
    [anon_sym_declare] = ACTIONS(2587),
    [anon_sym_public] = ACTIONS(2587),
    [anon_sym_private] = ACTIONS(2587),
    [anon_sym_protected] = ACTIONS(2587),
    [anon_sym_override] = ACTIONS(2587),
    [anon_sym_module] = ACTIONS(2587),
    [anon_sym_any] = ACTIONS(2587),
    [anon_sym_number] = ACTIONS(2587),
    [anon_sym_boolean] = ACTIONS(2587),
    [anon_sym_string] = ACTIONS(2587),
    [anon_sym_symbol] = ACTIONS(2587),
    [anon_sym_property] = ACTIONS(2587),
    [anon_sym_signal] = ACTIONS(2587),
    [anon_sym_on] = ACTIONS(2587),
    [anon_sym_required] = ACTIONS(2587),
    [anon_sym_component] = ACTIONS(2587),
    [anon_sym_abstract] = ACTIONS(2587),
    [anon_sym_interface] = ACTIONS(2587),
    [anon_sym_enum] = ACTIONS(2587),
  },
  [795] = {
    [sym_identifier] = ACTIONS(2587),
    [anon_sym_export] = ACTIONS(2587),
    [anon_sym_default] = ACTIONS(2587),
    [anon_sym_type] = ACTIONS(2587),
    [anon_sym_namespace] = ACTIONS(2587),
    [anon_sym_LBRACE] = ACTIONS(2589),
    [anon_sym_RBRACE] = ACTIONS(2589),
    [anon_sym_typeof] = ACTIONS(2587),
    [anon_sym_import] = ACTIONS(2587),
    [anon_sym_from] = ACTIONS(2587),
    [anon_sym_var] = ACTIONS(2587),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_const] = ACTIONS(2587),
    [anon_sym_BANG] = ACTIONS(2589),
    [anon_sym_else] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_switch] = ACTIONS(2587),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2589),
    [anon_sym_await] = ACTIONS(2587),
    [anon_sym_of] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_with] = ACTIONS(2587),
    [anon_sym_break] = ACTIONS(2587),
    [anon_sym_continue] = ACTIONS(2587),
    [anon_sym_debugger] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_throw] = ACTIONS(2587),
    [anon_sym_SEMI] = ACTIONS(2589),
    [anon_sym_case] = ACTIONS(2587),
    [anon_sym_yield] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2589),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_SLASH] = ACTIONS(2587),
    [anon_sym_class] = ACTIONS(2587),
    [anon_sym_async] = ACTIONS(2587),
    [anon_sym_function] = ACTIONS(2587),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2589),
    [anon_sym_void] = ACTIONS(2587),
    [anon_sym_delete] = ACTIONS(2587),
    [anon_sym_PLUS_PLUS] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2589),
    [anon_sym_DQUOTE] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2589),
    [sym_number] = ACTIONS(2589),
    [sym_this] = ACTIONS(2587),
    [sym_super] = ACTIONS(2587),
    [sym_true] = ACTIONS(2587),
    [sym_false] = ACTIONS(2587),
    [sym_null] = ACTIONS(2587),
    [sym_undefined] = ACTIONS(2587),
    [anon_sym_AT] = ACTIONS(2589),
    [anon_sym_static] = ACTIONS(2587),
    [anon_sym_readonly] = ACTIONS(2587),
    [anon_sym_get] = ACTIONS(2587),
    [anon_sym_set] = ACTIONS(2587),
    [anon_sym_declare] = ACTIONS(2587),
    [anon_sym_public] = ACTIONS(2587),
    [anon_sym_private] = ACTIONS(2587),
    [anon_sym_protected] = ACTIONS(2587),
    [anon_sym_override] = ACTIONS(2587),
    [anon_sym_module] = ACTIONS(2587),
    [anon_sym_any] = ACTIONS(2587),
    [anon_sym_number] = ACTIONS(2587),
    [anon_sym_boolean] = ACTIONS(2587),
    [anon_sym_string] = ACTIONS(2587),
    [anon_sym_symbol] = ACTIONS(2587),
    [anon_sym_property] = ACTIONS(2587),
    [anon_sym_signal] = ACTIONS(2587),
    [anon_sym_on] = ACTIONS(2587),
    [anon_sym_required] = ACTIONS(2587),
    [anon_sym_component] = ACTIONS(2587),
    [anon_sym_abstract] = ACTIONS(2587),
    [anon_sym_interface] = ACTIONS(2587),
    [anon_sym_enum] = ACTIONS(2587),
  },
  [796] = {
    [sym_identifier] = ACTIONS(2591),
    [anon_sym_export] = ACTIONS(2591),
    [anon_sym_default] = ACTIONS(2591),
    [anon_sym_type] = ACTIONS(2591),
    [anon_sym_namespace] = ACTIONS(2591),
    [anon_sym_LBRACE] = ACTIONS(2593),
    [anon_sym_RBRACE] = ACTIONS(2593),
    [anon_sym_typeof] = ACTIONS(2591),
    [anon_sym_import] = ACTIONS(2591),
    [anon_sym_from] = ACTIONS(2591),
    [anon_sym_var] = ACTIONS(2591),
    [anon_sym_let] = ACTIONS(2591),
    [anon_sym_const] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_else] = ACTIONS(2591),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_switch] = ACTIONS(2591),
    [anon_sym_for] = ACTIONS(2591),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_await] = ACTIONS(2591),
    [anon_sym_of] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(2591),
    [anon_sym_do] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2591),
    [anon_sym_with] = ACTIONS(2591),
    [anon_sym_break] = ACTIONS(2591),
    [anon_sym_continue] = ACTIONS(2591),
    [anon_sym_debugger] = ACTIONS(2591),
    [anon_sym_return] = ACTIONS(2591),
    [anon_sym_throw] = ACTIONS(2591),
    [anon_sym_SEMI] = ACTIONS(2593),
    [anon_sym_case] = ACTIONS(2591),
    [anon_sym_yield] = ACTIONS(2591),
    [anon_sym_LBRACK] = ACTIONS(2593),
    [anon_sym_LT] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2591),
    [anon_sym_class] = ACTIONS(2591),
    [anon_sym_async] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_new] = ACTIONS(2591),
    [anon_sym_PLUS] = ACTIONS(2591),
    [anon_sym_DASH] = ACTIONS(2591),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_void] = ACTIONS(2591),
    [anon_sym_delete] = ACTIONS(2591),
    [anon_sym_PLUS_PLUS] = ACTIONS(2593),
    [anon_sym_DASH_DASH] = ACTIONS(2593),
    [anon_sym_DQUOTE] = ACTIONS(2593),
    [anon_sym_SQUOTE] = ACTIONS(2593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2593),
    [sym_number] = ACTIONS(2593),
    [sym_this] = ACTIONS(2591),
    [sym_super] = ACTIONS(2591),
    [sym_true] = ACTIONS(2591),
    [sym_false] = ACTIONS(2591),
    [sym_null] = ACTIONS(2591),
    [sym_undefined] = ACTIONS(2591),
    [anon_sym_AT] = ACTIONS(2593),
    [anon_sym_static] = ACTIONS(2591),
    [anon_sym_readonly] = ACTIONS(2591),
    [anon_sym_get] = ACTIONS(2591),
    [anon_sym_set] = ACTIONS(2591),
    [anon_sym_declare] = ACTIONS(2591),
    [anon_sym_public] = ACTIONS(2591),
    [anon_sym_private] = ACTIONS(2591),
    [anon_sym_protected] = ACTIONS(2591),
    [anon_sym_override] = ACTIONS(2591),
    [anon_sym_module] = ACTIONS(2591),
    [anon_sym_any] = ACTIONS(2591),
    [anon_sym_number] = ACTIONS(2591),
    [anon_sym_boolean] = ACTIONS(2591),
    [anon_sym_string] = ACTIONS(2591),
    [anon_sym_symbol] = ACTIONS(2591),
    [anon_sym_property] = ACTIONS(2591),
    [anon_sym_signal] = ACTIONS(2591),
    [anon_sym_on] = ACTIONS(2591),
    [anon_sym_required] = ACTIONS(2591),
    [anon_sym_component] = ACTIONS(2591),
    [anon_sym_abstract] = ACTIONS(2591),
    [anon_sym_interface] = ACTIONS(2591),
    [anon_sym_enum] = ACTIONS(2591),
  },
  [797] = {
    [sym_identifier] = ACTIONS(2595),
    [anon_sym_export] = ACTIONS(2595),
    [anon_sym_default] = ACTIONS(2595),
    [anon_sym_type] = ACTIONS(2595),
    [anon_sym_namespace] = ACTIONS(2595),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_RBRACE] = ACTIONS(2597),
    [anon_sym_typeof] = ACTIONS(2595),
    [anon_sym_import] = ACTIONS(2595),
    [anon_sym_from] = ACTIONS(2595),
    [anon_sym_var] = ACTIONS(2595),
    [anon_sym_let] = ACTIONS(2595),
    [anon_sym_const] = ACTIONS(2595),
    [anon_sym_BANG] = ACTIONS(2597),
    [anon_sym_else] = ACTIONS(2595),
    [anon_sym_if] = ACTIONS(2595),
    [anon_sym_switch] = ACTIONS(2595),
    [anon_sym_for] = ACTIONS(2595),
    [anon_sym_LPAREN] = ACTIONS(2597),
    [anon_sym_await] = ACTIONS(2595),
    [anon_sym_of] = ACTIONS(2595),
    [anon_sym_while] = ACTIONS(2595),
    [anon_sym_do] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_with] = ACTIONS(2595),
    [anon_sym_break] = ACTIONS(2595),
    [anon_sym_continue] = ACTIONS(2595),
    [anon_sym_debugger] = ACTIONS(2595),
    [anon_sym_return] = ACTIONS(2595),
    [anon_sym_throw] = ACTIONS(2595),
    [anon_sym_SEMI] = ACTIONS(2597),
    [anon_sym_case] = ACTIONS(2595),
    [anon_sym_yield] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_LT] = ACTIONS(2597),
    [anon_sym_SLASH] = ACTIONS(2595),
    [anon_sym_class] = ACTIONS(2595),
    [anon_sym_async] = ACTIONS(2595),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_TILDE] = ACTIONS(2597),
    [anon_sym_void] = ACTIONS(2595),
    [anon_sym_delete] = ACTIONS(2595),
    [anon_sym_PLUS_PLUS] = ACTIONS(2597),
    [anon_sym_DASH_DASH] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [anon_sym_SQUOTE] = ACTIONS(2597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2597),
    [sym_number] = ACTIONS(2597),
    [sym_this] = ACTIONS(2595),
    [sym_super] = ACTIONS(2595),
    [sym_true] = ACTIONS(2595),
    [sym_false] = ACTIONS(2595),
    [sym_null] = ACTIONS(2595),
    [sym_undefined] = ACTIONS(2595),
    [anon_sym_AT] = ACTIONS(2597),
    [anon_sym_static] = ACTIONS(2595),
    [anon_sym_readonly] = ACTIONS(2595),
    [anon_sym_get] = ACTIONS(2595),
    [anon_sym_set] = ACTIONS(2595),
    [anon_sym_declare] = ACTIONS(2595),
    [anon_sym_public] = ACTIONS(2595),
    [anon_sym_private] = ACTIONS(2595),
    [anon_sym_protected] = ACTIONS(2595),
    [anon_sym_override] = ACTIONS(2595),
    [anon_sym_module] = ACTIONS(2595),
    [anon_sym_any] = ACTIONS(2595),
    [anon_sym_number] = ACTIONS(2595),
    [anon_sym_boolean] = ACTIONS(2595),
    [anon_sym_string] = ACTIONS(2595),
    [anon_sym_symbol] = ACTIONS(2595),
    [anon_sym_property] = ACTIONS(2595),
    [anon_sym_signal] = ACTIONS(2595),
    [anon_sym_on] = ACTIONS(2595),
    [anon_sym_required] = ACTIONS(2595),
    [anon_sym_component] = ACTIONS(2595),
    [anon_sym_abstract] = ACTIONS(2595),
    [anon_sym_interface] = ACTIONS(2595),
    [anon_sym_enum] = ACTIONS(2595),
  },
  [798] = {
    [sym_identifier] = ACTIONS(2599),
    [anon_sym_export] = ACTIONS(2599),
    [anon_sym_default] = ACTIONS(2599),
    [anon_sym_type] = ACTIONS(2599),
    [anon_sym_namespace] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2601),
    [anon_sym_RBRACE] = ACTIONS(2601),
    [anon_sym_typeof] = ACTIONS(2599),
    [anon_sym_import] = ACTIONS(2599),
    [anon_sym_from] = ACTIONS(2599),
    [anon_sym_var] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2599),
    [anon_sym_const] = ACTIONS(2599),
    [anon_sym_BANG] = ACTIONS(2601),
    [anon_sym_else] = ACTIONS(2599),
    [anon_sym_if] = ACTIONS(2599),
    [anon_sym_switch] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2599),
    [anon_sym_LPAREN] = ACTIONS(2601),
    [anon_sym_await] = ACTIONS(2599),
    [anon_sym_of] = ACTIONS(2599),
    [anon_sym_while] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2599),
    [anon_sym_try] = ACTIONS(2599),
    [anon_sym_with] = ACTIONS(2599),
    [anon_sym_break] = ACTIONS(2599),
    [anon_sym_continue] = ACTIONS(2599),
    [anon_sym_debugger] = ACTIONS(2599),
    [anon_sym_return] = ACTIONS(2599),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_SEMI] = ACTIONS(2601),
    [anon_sym_case] = ACTIONS(2599),
    [anon_sym_yield] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2601),
    [anon_sym_LT] = ACTIONS(2601),
    [anon_sym_SLASH] = ACTIONS(2599),
    [anon_sym_class] = ACTIONS(2599),
    [anon_sym_async] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2599),
    [anon_sym_PLUS] = ACTIONS(2599),
    [anon_sym_DASH] = ACTIONS(2599),
    [anon_sym_TILDE] = ACTIONS(2601),
    [anon_sym_void] = ACTIONS(2599),
    [anon_sym_delete] = ACTIONS(2599),
    [anon_sym_PLUS_PLUS] = ACTIONS(2601),
    [anon_sym_DASH_DASH] = ACTIONS(2601),
    [anon_sym_DQUOTE] = ACTIONS(2601),
    [anon_sym_SQUOTE] = ACTIONS(2601),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2601),
    [sym_number] = ACTIONS(2601),
    [sym_this] = ACTIONS(2599),
    [sym_super] = ACTIONS(2599),
    [sym_true] = ACTIONS(2599),
    [sym_false] = ACTIONS(2599),
    [sym_null] = ACTIONS(2599),
    [sym_undefined] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_static] = ACTIONS(2599),
    [anon_sym_readonly] = ACTIONS(2599),
    [anon_sym_get] = ACTIONS(2599),
    [anon_sym_set] = ACTIONS(2599),
    [anon_sym_declare] = ACTIONS(2599),
    [anon_sym_public] = ACTIONS(2599),
    [anon_sym_private] = ACTIONS(2599),
    [anon_sym_protected] = ACTIONS(2599),
    [anon_sym_override] = ACTIONS(2599),
    [anon_sym_module] = ACTIONS(2599),
    [anon_sym_any] = ACTIONS(2599),
    [anon_sym_number] = ACTIONS(2599),
    [anon_sym_boolean] = ACTIONS(2599),
    [anon_sym_string] = ACTIONS(2599),
    [anon_sym_symbol] = ACTIONS(2599),
    [anon_sym_property] = ACTIONS(2599),
    [anon_sym_signal] = ACTIONS(2599),
    [anon_sym_on] = ACTIONS(2599),
    [anon_sym_required] = ACTIONS(2599),
    [anon_sym_component] = ACTIONS(2599),
    [anon_sym_abstract] = ACTIONS(2599),
    [anon_sym_interface] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2599),
  },
  [799] = {
    [sym_identifier] = ACTIONS(2603),
    [anon_sym_export] = ACTIONS(2603),
    [anon_sym_default] = ACTIONS(2603),
    [anon_sym_type] = ACTIONS(2603),
    [anon_sym_namespace] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(2605),
    [anon_sym_RBRACE] = ACTIONS(2605),
    [anon_sym_typeof] = ACTIONS(2603),
    [anon_sym_import] = ACTIONS(2603),
    [anon_sym_from] = ACTIONS(2603),
    [anon_sym_var] = ACTIONS(2603),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_const] = ACTIONS(2603),
    [anon_sym_BANG] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2603),
    [anon_sym_if] = ACTIONS(2603),
    [anon_sym_switch] = ACTIONS(2603),
    [anon_sym_for] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_await] = ACTIONS(2603),
    [anon_sym_of] = ACTIONS(2603),
    [anon_sym_while] = ACTIONS(2603),
    [anon_sym_do] = ACTIONS(2603),
    [anon_sym_try] = ACTIONS(2603),
    [anon_sym_with] = ACTIONS(2603),
    [anon_sym_break] = ACTIONS(2603),
    [anon_sym_continue] = ACTIONS(2603),
    [anon_sym_debugger] = ACTIONS(2603),
    [anon_sym_return] = ACTIONS(2603),
    [anon_sym_throw] = ACTIONS(2603),
    [anon_sym_SEMI] = ACTIONS(2605),
    [anon_sym_case] = ACTIONS(2603),
    [anon_sym_yield] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2603),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_async] = ACTIONS(2603),
    [anon_sym_function] = ACTIONS(2603),
    [anon_sym_new] = ACTIONS(2603),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(2605),
    [anon_sym_void] = ACTIONS(2603),
    [anon_sym_delete] = ACTIONS(2603),
    [anon_sym_PLUS_PLUS] = ACTIONS(2605),
    [anon_sym_DASH_DASH] = ACTIONS(2605),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [anon_sym_SQUOTE] = ACTIONS(2605),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2605),
    [sym_number] = ACTIONS(2605),
    [sym_this] = ACTIONS(2603),
    [sym_super] = ACTIONS(2603),
    [sym_true] = ACTIONS(2603),
    [sym_false] = ACTIONS(2603),
    [sym_null] = ACTIONS(2603),
    [sym_undefined] = ACTIONS(2603),
    [anon_sym_AT] = ACTIONS(2605),
    [anon_sym_static] = ACTIONS(2603),
    [anon_sym_readonly] = ACTIONS(2603),
    [anon_sym_get] = ACTIONS(2603),
    [anon_sym_set] = ACTIONS(2603),
    [anon_sym_declare] = ACTIONS(2603),
    [anon_sym_public] = ACTIONS(2603),
    [anon_sym_private] = ACTIONS(2603),
    [anon_sym_protected] = ACTIONS(2603),
    [anon_sym_override] = ACTIONS(2603),
    [anon_sym_module] = ACTIONS(2603),
    [anon_sym_any] = ACTIONS(2603),
    [anon_sym_number] = ACTIONS(2603),
    [anon_sym_boolean] = ACTIONS(2603),
    [anon_sym_string] = ACTIONS(2603),
    [anon_sym_symbol] = ACTIONS(2603),
    [anon_sym_property] = ACTIONS(2603),
    [anon_sym_signal] = ACTIONS(2603),
    [anon_sym_on] = ACTIONS(2603),
    [anon_sym_required] = ACTIONS(2603),
    [anon_sym_component] = ACTIONS(2603),
    [anon_sym_abstract] = ACTIONS(2603),
    [anon_sym_interface] = ACTIONS(2603),
    [anon_sym_enum] = ACTIONS(2603),
  },
  [800] = {
    [sym_identifier] = ACTIONS(2607),
    [anon_sym_export] = ACTIONS(2607),
    [anon_sym_default] = ACTIONS(2607),
    [anon_sym_type] = ACTIONS(2607),
    [anon_sym_namespace] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_RBRACE] = ACTIONS(2609),
    [anon_sym_typeof] = ACTIONS(2607),
    [anon_sym_import] = ACTIONS(2607),
    [anon_sym_from] = ACTIONS(2607),
    [anon_sym_var] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_const] = ACTIONS(2607),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_else] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2607),
    [anon_sym_switch] = ACTIONS(2607),
    [anon_sym_for] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_await] = ACTIONS(2607),
    [anon_sym_of] = ACTIONS(2607),
    [anon_sym_while] = ACTIONS(2607),
    [anon_sym_do] = ACTIONS(2607),
    [anon_sym_try] = ACTIONS(2607),
    [anon_sym_with] = ACTIONS(2607),
    [anon_sym_break] = ACTIONS(2607),
    [anon_sym_continue] = ACTIONS(2607),
    [anon_sym_debugger] = ACTIONS(2607),
    [anon_sym_return] = ACTIONS(2607),
    [anon_sym_throw] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2609),
    [anon_sym_case] = ACTIONS(2607),
    [anon_sym_yield] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2609),
    [anon_sym_LT] = ACTIONS(2609),
    [anon_sym_SLASH] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2607),
    [anon_sym_async] = ACTIONS(2607),
    [anon_sym_function] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2609),
    [anon_sym_void] = ACTIONS(2607),
    [anon_sym_delete] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2609),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2609),
    [sym_number] = ACTIONS(2609),
    [sym_this] = ACTIONS(2607),
    [sym_super] = ACTIONS(2607),
    [sym_true] = ACTIONS(2607),
    [sym_false] = ACTIONS(2607),
    [sym_null] = ACTIONS(2607),
    [sym_undefined] = ACTIONS(2607),
    [anon_sym_AT] = ACTIONS(2609),
    [anon_sym_static] = ACTIONS(2607),
    [anon_sym_readonly] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2607),
    [anon_sym_declare] = ACTIONS(2607),
    [anon_sym_public] = ACTIONS(2607),
    [anon_sym_private] = ACTIONS(2607),
    [anon_sym_protected] = ACTIONS(2607),
    [anon_sym_override] = ACTIONS(2607),
    [anon_sym_module] = ACTIONS(2607),
    [anon_sym_any] = ACTIONS(2607),
    [anon_sym_number] = ACTIONS(2607),
    [anon_sym_boolean] = ACTIONS(2607),
    [anon_sym_string] = ACTIONS(2607),
    [anon_sym_symbol] = ACTIONS(2607),
    [anon_sym_property] = ACTIONS(2607),
    [anon_sym_signal] = ACTIONS(2607),
    [anon_sym_on] = ACTIONS(2607),
    [anon_sym_required] = ACTIONS(2607),
    [anon_sym_component] = ACTIONS(2607),
    [anon_sym_abstract] = ACTIONS(2607),
    [anon_sym_interface] = ACTIONS(2607),
    [anon_sym_enum] = ACTIONS(2607),
  },
  [801] = {
    [sym_identifier] = ACTIONS(2607),
    [anon_sym_export] = ACTIONS(2607),
    [anon_sym_default] = ACTIONS(2607),
    [anon_sym_type] = ACTIONS(2607),
    [anon_sym_namespace] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_RBRACE] = ACTIONS(2609),
    [anon_sym_typeof] = ACTIONS(2607),
    [anon_sym_import] = ACTIONS(2607),
    [anon_sym_from] = ACTIONS(2607),
    [anon_sym_var] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_const] = ACTIONS(2607),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_else] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2607),
    [anon_sym_switch] = ACTIONS(2607),
    [anon_sym_for] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_await] = ACTIONS(2607),
    [anon_sym_of] = ACTIONS(2607),
    [anon_sym_while] = ACTIONS(2607),
    [anon_sym_do] = ACTIONS(2607),
    [anon_sym_try] = ACTIONS(2607),
    [anon_sym_with] = ACTIONS(2607),
    [anon_sym_break] = ACTIONS(2607),
    [anon_sym_continue] = ACTIONS(2607),
    [anon_sym_debugger] = ACTIONS(2607),
    [anon_sym_return] = ACTIONS(2607),
    [anon_sym_throw] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2609),
    [anon_sym_case] = ACTIONS(2607),
    [anon_sym_yield] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2609),
    [anon_sym_LT] = ACTIONS(2609),
    [anon_sym_SLASH] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2607),
    [anon_sym_async] = ACTIONS(2607),
    [anon_sym_function] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2609),
    [anon_sym_void] = ACTIONS(2607),
    [anon_sym_delete] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2609),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2609),
    [sym_number] = ACTIONS(2609),
    [sym_this] = ACTIONS(2607),
    [sym_super] = ACTIONS(2607),
    [sym_true] = ACTIONS(2607),
    [sym_false] = ACTIONS(2607),
    [sym_null] = ACTIONS(2607),
    [sym_undefined] = ACTIONS(2607),
    [anon_sym_AT] = ACTIONS(2609),
    [anon_sym_static] = ACTIONS(2607),
    [anon_sym_readonly] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2607),
    [anon_sym_declare] = ACTIONS(2607),
    [anon_sym_public] = ACTIONS(2607),
    [anon_sym_private] = ACTIONS(2607),
    [anon_sym_protected] = ACTIONS(2607),
    [anon_sym_override] = ACTIONS(2607),
    [anon_sym_module] = ACTIONS(2607),
    [anon_sym_any] = ACTIONS(2607),
    [anon_sym_number] = ACTIONS(2607),
    [anon_sym_boolean] = ACTIONS(2607),
    [anon_sym_string] = ACTIONS(2607),
    [anon_sym_symbol] = ACTIONS(2607),
    [anon_sym_property] = ACTIONS(2607),
    [anon_sym_signal] = ACTIONS(2607),
    [anon_sym_on] = ACTIONS(2607),
    [anon_sym_required] = ACTIONS(2607),
    [anon_sym_component] = ACTIONS(2607),
    [anon_sym_abstract] = ACTIONS(2607),
    [anon_sym_interface] = ACTIONS(2607),
    [anon_sym_enum] = ACTIONS(2607),
  },
  [802] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [803] = {
    [sym_identifier] = ACTIONS(2611),
    [anon_sym_export] = ACTIONS(2611),
    [anon_sym_default] = ACTIONS(2611),
    [anon_sym_type] = ACTIONS(2611),
    [anon_sym_namespace] = ACTIONS(2611),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_typeof] = ACTIONS(2611),
    [anon_sym_import] = ACTIONS(2611),
    [anon_sym_from] = ACTIONS(2611),
    [anon_sym_var] = ACTIONS(2611),
    [anon_sym_let] = ACTIONS(2611),
    [anon_sym_const] = ACTIONS(2611),
    [anon_sym_BANG] = ACTIONS(2613),
    [anon_sym_else] = ACTIONS(2611),
    [anon_sym_if] = ACTIONS(2611),
    [anon_sym_switch] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2611),
    [anon_sym_LPAREN] = ACTIONS(2613),
    [anon_sym_await] = ACTIONS(2611),
    [anon_sym_of] = ACTIONS(2611),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_do] = ACTIONS(2611),
    [anon_sym_try] = ACTIONS(2611),
    [anon_sym_with] = ACTIONS(2611),
    [anon_sym_break] = ACTIONS(2611),
    [anon_sym_continue] = ACTIONS(2611),
    [anon_sym_debugger] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2611),
    [anon_sym_throw] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym_case] = ACTIONS(2611),
    [anon_sym_yield] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_SLASH] = ACTIONS(2611),
    [anon_sym_class] = ACTIONS(2611),
    [anon_sym_async] = ACTIONS(2611),
    [anon_sym_function] = ACTIONS(2611),
    [anon_sym_new] = ACTIONS(2611),
    [anon_sym_PLUS] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2611),
    [anon_sym_TILDE] = ACTIONS(2613),
    [anon_sym_void] = ACTIONS(2611),
    [anon_sym_delete] = ACTIONS(2611),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2613),
    [sym_number] = ACTIONS(2613),
    [sym_this] = ACTIONS(2611),
    [sym_super] = ACTIONS(2611),
    [sym_true] = ACTIONS(2611),
    [sym_false] = ACTIONS(2611),
    [sym_null] = ACTIONS(2611),
    [sym_undefined] = ACTIONS(2611),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_static] = ACTIONS(2611),
    [anon_sym_readonly] = ACTIONS(2611),
    [anon_sym_get] = ACTIONS(2611),
    [anon_sym_set] = ACTIONS(2611),
    [anon_sym_declare] = ACTIONS(2611),
    [anon_sym_public] = ACTIONS(2611),
    [anon_sym_private] = ACTIONS(2611),
    [anon_sym_protected] = ACTIONS(2611),
    [anon_sym_override] = ACTIONS(2611),
    [anon_sym_module] = ACTIONS(2611),
    [anon_sym_any] = ACTIONS(2611),
    [anon_sym_number] = ACTIONS(2611),
    [anon_sym_boolean] = ACTIONS(2611),
    [anon_sym_string] = ACTIONS(2611),
    [anon_sym_symbol] = ACTIONS(2611),
    [anon_sym_property] = ACTIONS(2611),
    [anon_sym_signal] = ACTIONS(2611),
    [anon_sym_on] = ACTIONS(2611),
    [anon_sym_required] = ACTIONS(2611),
    [anon_sym_component] = ACTIONS(2611),
    [anon_sym_abstract] = ACTIONS(2611),
    [anon_sym_interface] = ACTIONS(2611),
    [anon_sym_enum] = ACTIONS(2611),
  },
  [804] = {
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_export] = ACTIONS(2615),
    [anon_sym_default] = ACTIONS(2615),
    [anon_sym_type] = ACTIONS(2615),
    [anon_sym_namespace] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_RBRACE] = ACTIONS(2617),
    [anon_sym_typeof] = ACTIONS(2615),
    [anon_sym_import] = ACTIONS(2615),
    [anon_sym_from] = ACTIONS(2615),
    [anon_sym_var] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_else] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_await] = ACTIONS(2615),
    [anon_sym_of] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_debugger] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2615),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_async] = ACTIONS(2615),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_void] = ACTIONS(2615),
    [anon_sym_delete] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2617),
    [sym_number] = ACTIONS(2617),
    [sym_this] = ACTIONS(2615),
    [sym_super] = ACTIONS(2615),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [sym_null] = ACTIONS(2615),
    [sym_undefined] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2615),
    [anon_sym_readonly] = ACTIONS(2615),
    [anon_sym_get] = ACTIONS(2615),
    [anon_sym_set] = ACTIONS(2615),
    [anon_sym_declare] = ACTIONS(2615),
    [anon_sym_public] = ACTIONS(2615),
    [anon_sym_private] = ACTIONS(2615),
    [anon_sym_protected] = ACTIONS(2615),
    [anon_sym_override] = ACTIONS(2615),
    [anon_sym_module] = ACTIONS(2615),
    [anon_sym_any] = ACTIONS(2615),
    [anon_sym_number] = ACTIONS(2615),
    [anon_sym_boolean] = ACTIONS(2615),
    [anon_sym_string] = ACTIONS(2615),
    [anon_sym_symbol] = ACTIONS(2615),
    [anon_sym_property] = ACTIONS(2615),
    [anon_sym_signal] = ACTIONS(2615),
    [anon_sym_on] = ACTIONS(2615),
    [anon_sym_required] = ACTIONS(2615),
    [anon_sym_component] = ACTIONS(2615),
    [anon_sym_abstract] = ACTIONS(2615),
    [anon_sym_interface] = ACTIONS(2615),
    [anon_sym_enum] = ACTIONS(2615),
  },
  [805] = {
    [sym_identifier] = ACTIONS(2619),
    [anon_sym_export] = ACTIONS(2619),
    [anon_sym_default] = ACTIONS(2619),
    [anon_sym_type] = ACTIONS(2619),
    [anon_sym_namespace] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_typeof] = ACTIONS(2619),
    [anon_sym_import] = ACTIONS(2619),
    [anon_sym_from] = ACTIONS(2619),
    [anon_sym_var] = ACTIONS(2619),
    [anon_sym_let] = ACTIONS(2619),
    [anon_sym_const] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2619),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_switch] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2619),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_await] = ACTIONS(2619),
    [anon_sym_of] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(2619),
    [anon_sym_do] = ACTIONS(2619),
    [anon_sym_try] = ACTIONS(2619),
    [anon_sym_with] = ACTIONS(2619),
    [anon_sym_break] = ACTIONS(2619),
    [anon_sym_continue] = ACTIONS(2619),
    [anon_sym_debugger] = ACTIONS(2619),
    [anon_sym_return] = ACTIONS(2619),
    [anon_sym_throw] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_case] = ACTIONS(2619),
    [anon_sym_yield] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2619),
    [anon_sym_class] = ACTIONS(2619),
    [anon_sym_async] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2619),
    [anon_sym_new] = ACTIONS(2619),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_void] = ACTIONS(2619),
    [anon_sym_delete] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2621),
    [sym_number] = ACTIONS(2621),
    [sym_this] = ACTIONS(2619),
    [sym_super] = ACTIONS(2619),
    [sym_true] = ACTIONS(2619),
    [sym_false] = ACTIONS(2619),
    [sym_null] = ACTIONS(2619),
    [sym_undefined] = ACTIONS(2619),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2619),
    [anon_sym_readonly] = ACTIONS(2619),
    [anon_sym_get] = ACTIONS(2619),
    [anon_sym_set] = ACTIONS(2619),
    [anon_sym_declare] = ACTIONS(2619),
    [anon_sym_public] = ACTIONS(2619),
    [anon_sym_private] = ACTIONS(2619),
    [anon_sym_protected] = ACTIONS(2619),
    [anon_sym_override] = ACTIONS(2619),
    [anon_sym_module] = ACTIONS(2619),
    [anon_sym_any] = ACTIONS(2619),
    [anon_sym_number] = ACTIONS(2619),
    [anon_sym_boolean] = ACTIONS(2619),
    [anon_sym_string] = ACTIONS(2619),
    [anon_sym_symbol] = ACTIONS(2619),
    [anon_sym_property] = ACTIONS(2619),
    [anon_sym_signal] = ACTIONS(2619),
    [anon_sym_on] = ACTIONS(2619),
    [anon_sym_required] = ACTIONS(2619),
    [anon_sym_component] = ACTIONS(2619),
    [anon_sym_abstract] = ACTIONS(2619),
    [anon_sym_interface] = ACTIONS(2619),
    [anon_sym_enum] = ACTIONS(2619),
  },
  [806] = {
    [sym_identifier] = ACTIONS(2623),
    [anon_sym_export] = ACTIONS(2623),
    [anon_sym_default] = ACTIONS(2623),
    [anon_sym_type] = ACTIONS(2623),
    [anon_sym_namespace] = ACTIONS(2623),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_RBRACE] = ACTIONS(2625),
    [anon_sym_typeof] = ACTIONS(2623),
    [anon_sym_import] = ACTIONS(2623),
    [anon_sym_from] = ACTIONS(2623),
    [anon_sym_var] = ACTIONS(2623),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_const] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_else] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_switch] = ACTIONS(2623),
    [anon_sym_for] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_await] = ACTIONS(2623),
    [anon_sym_of] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_with] = ACTIONS(2623),
    [anon_sym_break] = ACTIONS(2623),
    [anon_sym_continue] = ACTIONS(2623),
    [anon_sym_debugger] = ACTIONS(2623),
    [anon_sym_return] = ACTIONS(2623),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym_case] = ACTIONS(2623),
    [anon_sym_yield] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_SLASH] = ACTIONS(2623),
    [anon_sym_class] = ACTIONS(2623),
    [anon_sym_async] = ACTIONS(2623),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_new] = ACTIONS(2623),
    [anon_sym_PLUS] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_void] = ACTIONS(2623),
    [anon_sym_delete] = ACTIONS(2623),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2625),
    [sym_number] = ACTIONS(2625),
    [sym_this] = ACTIONS(2623),
    [sym_super] = ACTIONS(2623),
    [sym_true] = ACTIONS(2623),
    [sym_false] = ACTIONS(2623),
    [sym_null] = ACTIONS(2623),
    [sym_undefined] = ACTIONS(2623),
    [anon_sym_AT] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2623),
    [anon_sym_readonly] = ACTIONS(2623),
    [anon_sym_get] = ACTIONS(2623),
    [anon_sym_set] = ACTIONS(2623),
    [anon_sym_declare] = ACTIONS(2623),
    [anon_sym_public] = ACTIONS(2623),
    [anon_sym_private] = ACTIONS(2623),
    [anon_sym_protected] = ACTIONS(2623),
    [anon_sym_override] = ACTIONS(2623),
    [anon_sym_module] = ACTIONS(2623),
    [anon_sym_any] = ACTIONS(2623),
    [anon_sym_number] = ACTIONS(2623),
    [anon_sym_boolean] = ACTIONS(2623),
    [anon_sym_string] = ACTIONS(2623),
    [anon_sym_symbol] = ACTIONS(2623),
    [anon_sym_property] = ACTIONS(2623),
    [anon_sym_signal] = ACTIONS(2623),
    [anon_sym_on] = ACTIONS(2623),
    [anon_sym_required] = ACTIONS(2623),
    [anon_sym_component] = ACTIONS(2623),
    [anon_sym_abstract] = ACTIONS(2623),
    [anon_sym_interface] = ACTIONS(2623),
    [anon_sym_enum] = ACTIONS(2623),
  },
  [807] = {
    [sym_identifier] = ACTIONS(2623),
    [anon_sym_export] = ACTIONS(2623),
    [anon_sym_default] = ACTIONS(2623),
    [anon_sym_type] = ACTIONS(2623),
    [anon_sym_namespace] = ACTIONS(2623),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_RBRACE] = ACTIONS(2625),
    [anon_sym_typeof] = ACTIONS(2623),
    [anon_sym_import] = ACTIONS(2623),
    [anon_sym_from] = ACTIONS(2623),
    [anon_sym_var] = ACTIONS(2623),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_const] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_else] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_switch] = ACTIONS(2623),
    [anon_sym_for] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_await] = ACTIONS(2623),
    [anon_sym_of] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_with] = ACTIONS(2623),
    [anon_sym_break] = ACTIONS(2623),
    [anon_sym_continue] = ACTIONS(2623),
    [anon_sym_debugger] = ACTIONS(2623),
    [anon_sym_return] = ACTIONS(2623),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym_case] = ACTIONS(2623),
    [anon_sym_yield] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_SLASH] = ACTIONS(2623),
    [anon_sym_class] = ACTIONS(2623),
    [anon_sym_async] = ACTIONS(2623),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_new] = ACTIONS(2623),
    [anon_sym_PLUS] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_void] = ACTIONS(2623),
    [anon_sym_delete] = ACTIONS(2623),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2625),
    [sym_number] = ACTIONS(2625),
    [sym_this] = ACTIONS(2623),
    [sym_super] = ACTIONS(2623),
    [sym_true] = ACTIONS(2623),
    [sym_false] = ACTIONS(2623),
    [sym_null] = ACTIONS(2623),
    [sym_undefined] = ACTIONS(2623),
    [anon_sym_AT] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2623),
    [anon_sym_readonly] = ACTIONS(2623),
    [anon_sym_get] = ACTIONS(2623),
    [anon_sym_set] = ACTIONS(2623),
    [anon_sym_declare] = ACTIONS(2623),
    [anon_sym_public] = ACTIONS(2623),
    [anon_sym_private] = ACTIONS(2623),
    [anon_sym_protected] = ACTIONS(2623),
    [anon_sym_override] = ACTIONS(2623),
    [anon_sym_module] = ACTIONS(2623),
    [anon_sym_any] = ACTIONS(2623),
    [anon_sym_number] = ACTIONS(2623),
    [anon_sym_boolean] = ACTIONS(2623),
    [anon_sym_string] = ACTIONS(2623),
    [anon_sym_symbol] = ACTIONS(2623),
    [anon_sym_property] = ACTIONS(2623),
    [anon_sym_signal] = ACTIONS(2623),
    [anon_sym_on] = ACTIONS(2623),
    [anon_sym_required] = ACTIONS(2623),
    [anon_sym_component] = ACTIONS(2623),
    [anon_sym_abstract] = ACTIONS(2623),
    [anon_sym_interface] = ACTIONS(2623),
    [anon_sym_enum] = ACTIONS(2623),
  },
  [808] = {
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_export] = ACTIONS(1580),
    [anon_sym_default] = ACTIONS(1580),
    [anon_sym_type] = ACTIONS(1580),
    [anon_sym_namespace] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [anon_sym_typeof] = ACTIONS(1580),
    [anon_sym_import] = ACTIONS(1580),
    [anon_sym_from] = ACTIONS(1580),
    [anon_sym_var] = ACTIONS(1580),
    [anon_sym_let] = ACTIONS(1580),
    [anon_sym_const] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1582),
    [anon_sym_else] = ACTIONS(1580),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_switch] = ACTIONS(1580),
    [anon_sym_for] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_await] = ACTIONS(1580),
    [anon_sym_of] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_try] = ACTIONS(1580),
    [anon_sym_with] = ACTIONS(1580),
    [anon_sym_break] = ACTIONS(1580),
    [anon_sym_continue] = ACTIONS(1580),
    [anon_sym_debugger] = ACTIONS(1580),
    [anon_sym_return] = ACTIONS(1580),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_SEMI] = ACTIONS(1582),
    [anon_sym_case] = ACTIONS(1580),
    [anon_sym_yield] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_class] = ACTIONS(1580),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_function] = ACTIONS(1580),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_void] = ACTIONS(1580),
    [anon_sym_delete] = ACTIONS(1580),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1582),
    [anon_sym_SQUOTE] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1582),
    [sym_number] = ACTIONS(1582),
    [sym_this] = ACTIONS(1580),
    [sym_super] = ACTIONS(1580),
    [sym_true] = ACTIONS(1580),
    [sym_false] = ACTIONS(1580),
    [sym_null] = ACTIONS(1580),
    [sym_undefined] = ACTIONS(1580),
    [anon_sym_AT] = ACTIONS(1582),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_readonly] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
    [anon_sym_declare] = ACTIONS(1580),
    [anon_sym_public] = ACTIONS(1580),
    [anon_sym_private] = ACTIONS(1580),
    [anon_sym_protected] = ACTIONS(1580),
    [anon_sym_override] = ACTIONS(1580),
    [anon_sym_module] = ACTIONS(1580),
    [anon_sym_any] = ACTIONS(1580),
    [anon_sym_number] = ACTIONS(1580),
    [anon_sym_boolean] = ACTIONS(1580),
    [anon_sym_string] = ACTIONS(1580),
    [anon_sym_symbol] = ACTIONS(1580),
    [anon_sym_property] = ACTIONS(1580),
    [anon_sym_signal] = ACTIONS(1580),
    [anon_sym_on] = ACTIONS(1580),
    [anon_sym_required] = ACTIONS(1580),
    [anon_sym_component] = ACTIONS(1580),
    [anon_sym_abstract] = ACTIONS(1580),
    [anon_sym_interface] = ACTIONS(1580),
    [anon_sym_enum] = ACTIONS(1580),
  },
  [809] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [810] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [811] = {
    [sym_identifier] = ACTIONS(2627),
    [anon_sym_export] = ACTIONS(2627),
    [anon_sym_default] = ACTIONS(2627),
    [anon_sym_type] = ACTIONS(2627),
    [anon_sym_namespace] = ACTIONS(2627),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_RBRACE] = ACTIONS(2629),
    [anon_sym_typeof] = ACTIONS(2627),
    [anon_sym_import] = ACTIONS(2627),
    [anon_sym_from] = ACTIONS(2627),
    [anon_sym_var] = ACTIONS(2627),
    [anon_sym_let] = ACTIONS(2627),
    [anon_sym_const] = ACTIONS(2627),
    [anon_sym_BANG] = ACTIONS(2629),
    [anon_sym_else] = ACTIONS(2627),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_switch] = ACTIONS(2627),
    [anon_sym_for] = ACTIONS(2627),
    [anon_sym_LPAREN] = ACTIONS(2629),
    [anon_sym_await] = ACTIONS(2627),
    [anon_sym_of] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_do] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2627),
    [anon_sym_with] = ACTIONS(2627),
    [anon_sym_break] = ACTIONS(2627),
    [anon_sym_continue] = ACTIONS(2627),
    [anon_sym_debugger] = ACTIONS(2627),
    [anon_sym_return] = ACTIONS(2627),
    [anon_sym_throw] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2627),
    [anon_sym_yield] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_LT] = ACTIONS(2629),
    [anon_sym_SLASH] = ACTIONS(2627),
    [anon_sym_class] = ACTIONS(2627),
    [anon_sym_async] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_void] = ACTIONS(2627),
    [anon_sym_delete] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2629),
    [anon_sym_DQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2629),
    [sym_number] = ACTIONS(2629),
    [sym_this] = ACTIONS(2627),
    [sym_super] = ACTIONS(2627),
    [sym_true] = ACTIONS(2627),
    [sym_false] = ACTIONS(2627),
    [sym_null] = ACTIONS(2627),
    [sym_undefined] = ACTIONS(2627),
    [anon_sym_AT] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2627),
    [anon_sym_readonly] = ACTIONS(2627),
    [anon_sym_get] = ACTIONS(2627),
    [anon_sym_set] = ACTIONS(2627),
    [anon_sym_declare] = ACTIONS(2627),
    [anon_sym_public] = ACTIONS(2627),
    [anon_sym_private] = ACTIONS(2627),
    [anon_sym_protected] = ACTIONS(2627),
    [anon_sym_override] = ACTIONS(2627),
    [anon_sym_module] = ACTIONS(2627),
    [anon_sym_any] = ACTIONS(2627),
    [anon_sym_number] = ACTIONS(2627),
    [anon_sym_boolean] = ACTIONS(2627),
    [anon_sym_string] = ACTIONS(2627),
    [anon_sym_symbol] = ACTIONS(2627),
    [anon_sym_property] = ACTIONS(2627),
    [anon_sym_signal] = ACTIONS(2627),
    [anon_sym_on] = ACTIONS(2627),
    [anon_sym_required] = ACTIONS(2627),
    [anon_sym_component] = ACTIONS(2627),
    [anon_sym_abstract] = ACTIONS(2627),
    [anon_sym_interface] = ACTIONS(2627),
    [anon_sym_enum] = ACTIONS(2627),
  },
  [812] = {
    [sym_identifier] = ACTIONS(1650),
    [anon_sym_export] = ACTIONS(1650),
    [anon_sym_default] = ACTIONS(1650),
    [anon_sym_type] = ACTIONS(1650),
    [anon_sym_namespace] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1654),
    [anon_sym_RBRACE] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(1650),
    [anon_sym_import] = ACTIONS(1650),
    [anon_sym_from] = ACTIONS(1650),
    [anon_sym_var] = ACTIONS(1650),
    [anon_sym_let] = ACTIONS(1650),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_BANG] = ACTIONS(1654),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1654),
    [anon_sym_await] = ACTIONS(1650),
    [anon_sym_of] = ACTIONS(1650),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1650),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_with] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1650),
    [anon_sym_debugger] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1650),
    [anon_sym_yield] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_LT] = ACTIONS(1654),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_class] = ACTIONS(1650),
    [anon_sym_async] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_new] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_TILDE] = ACTIONS(1654),
    [anon_sym_void] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1654),
    [sym_number] = ACTIONS(1654),
    [sym_this] = ACTIONS(1650),
    [sym_super] = ACTIONS(1650),
    [sym_true] = ACTIONS(1650),
    [sym_false] = ACTIONS(1650),
    [sym_null] = ACTIONS(1650),
    [sym_undefined] = ACTIONS(1650),
    [anon_sym_AT] = ACTIONS(1654),
    [anon_sym_static] = ACTIONS(1650),
    [anon_sym_readonly] = ACTIONS(1650),
    [anon_sym_get] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_declare] = ACTIONS(1650),
    [anon_sym_public] = ACTIONS(1650),
    [anon_sym_private] = ACTIONS(1650),
    [anon_sym_protected] = ACTIONS(1650),
    [anon_sym_override] = ACTIONS(1650),
    [anon_sym_module] = ACTIONS(1650),
    [anon_sym_any] = ACTIONS(1650),
    [anon_sym_number] = ACTIONS(1650),
    [anon_sym_boolean] = ACTIONS(1650),
    [anon_sym_string] = ACTIONS(1650),
    [anon_sym_symbol] = ACTIONS(1650),
    [anon_sym_property] = ACTIONS(1650),
    [anon_sym_signal] = ACTIONS(1650),
    [anon_sym_on] = ACTIONS(1650),
    [anon_sym_required] = ACTIONS(1650),
    [anon_sym_component] = ACTIONS(1650),
    [anon_sym_abstract] = ACTIONS(1650),
    [anon_sym_interface] = ACTIONS(1650),
    [anon_sym_enum] = ACTIONS(1650),
  },
  [813] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [814] = {
    [sym_identifier] = ACTIONS(2631),
    [anon_sym_export] = ACTIONS(2631),
    [anon_sym_default] = ACTIONS(2631),
    [anon_sym_type] = ACTIONS(2631),
    [anon_sym_namespace] = ACTIONS(2631),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_RBRACE] = ACTIONS(2633),
    [anon_sym_typeof] = ACTIONS(2631),
    [anon_sym_import] = ACTIONS(2631),
    [anon_sym_from] = ACTIONS(2631),
    [anon_sym_var] = ACTIONS(2631),
    [anon_sym_let] = ACTIONS(2631),
    [anon_sym_const] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2631),
    [anon_sym_if] = ACTIONS(2631),
    [anon_sym_switch] = ACTIONS(2631),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_await] = ACTIONS(2631),
    [anon_sym_of] = ACTIONS(2631),
    [anon_sym_while] = ACTIONS(2631),
    [anon_sym_do] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_with] = ACTIONS(2631),
    [anon_sym_break] = ACTIONS(2631),
    [anon_sym_continue] = ACTIONS(2631),
    [anon_sym_debugger] = ACTIONS(2631),
    [anon_sym_return] = ACTIONS(2631),
    [anon_sym_throw] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2631),
    [anon_sym_yield] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2631),
    [anon_sym_async] = ACTIONS(2631),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_void] = ACTIONS(2631),
    [anon_sym_delete] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2633),
    [sym_number] = ACTIONS(2633),
    [sym_this] = ACTIONS(2631),
    [sym_super] = ACTIONS(2631),
    [sym_true] = ACTIONS(2631),
    [sym_false] = ACTIONS(2631),
    [sym_null] = ACTIONS(2631),
    [sym_undefined] = ACTIONS(2631),
    [anon_sym_AT] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2631),
    [anon_sym_readonly] = ACTIONS(2631),
    [anon_sym_get] = ACTIONS(2631),
    [anon_sym_set] = ACTIONS(2631),
    [anon_sym_declare] = ACTIONS(2631),
    [anon_sym_public] = ACTIONS(2631),
    [anon_sym_private] = ACTIONS(2631),
    [anon_sym_protected] = ACTIONS(2631),
    [anon_sym_override] = ACTIONS(2631),
    [anon_sym_module] = ACTIONS(2631),
    [anon_sym_any] = ACTIONS(2631),
    [anon_sym_number] = ACTIONS(2631),
    [anon_sym_boolean] = ACTIONS(2631),
    [anon_sym_string] = ACTIONS(2631),
    [anon_sym_symbol] = ACTIONS(2631),
    [anon_sym_property] = ACTIONS(2631),
    [anon_sym_signal] = ACTIONS(2631),
    [anon_sym_on] = ACTIONS(2631),
    [anon_sym_required] = ACTIONS(2631),
    [anon_sym_component] = ACTIONS(2631),
    [anon_sym_abstract] = ACTIONS(2631),
    [anon_sym_interface] = ACTIONS(2631),
    [anon_sym_enum] = ACTIONS(2631),
  },
  [815] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [816] = {
    [sym_identifier] = ACTIONS(2635),
    [anon_sym_export] = ACTIONS(2635),
    [anon_sym_default] = ACTIONS(2635),
    [anon_sym_type] = ACTIONS(2635),
    [anon_sym_namespace] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_RBRACE] = ACTIONS(2637),
    [anon_sym_typeof] = ACTIONS(2635),
    [anon_sym_import] = ACTIONS(2635),
    [anon_sym_from] = ACTIONS(2635),
    [anon_sym_var] = ACTIONS(2635),
    [anon_sym_let] = ACTIONS(2635),
    [anon_sym_const] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_else] = ACTIONS(2635),
    [anon_sym_if] = ACTIONS(2635),
    [anon_sym_switch] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2635),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_await] = ACTIONS(2635),
    [anon_sym_of] = ACTIONS(2635),
    [anon_sym_while] = ACTIONS(2635),
    [anon_sym_do] = ACTIONS(2635),
    [anon_sym_try] = ACTIONS(2635),
    [anon_sym_with] = ACTIONS(2635),
    [anon_sym_break] = ACTIONS(2635),
    [anon_sym_continue] = ACTIONS(2635),
    [anon_sym_debugger] = ACTIONS(2635),
    [anon_sym_return] = ACTIONS(2635),
    [anon_sym_throw] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2635),
    [anon_sym_yield] = ACTIONS(2635),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_SLASH] = ACTIONS(2635),
    [anon_sym_class] = ACTIONS(2635),
    [anon_sym_async] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(2635),
    [anon_sym_new] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_void] = ACTIONS(2635),
    [anon_sym_delete] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2637),
    [sym_number] = ACTIONS(2637),
    [sym_this] = ACTIONS(2635),
    [sym_super] = ACTIONS(2635),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [sym_null] = ACTIONS(2635),
    [sym_undefined] = ACTIONS(2635),
    [anon_sym_AT] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2635),
    [anon_sym_readonly] = ACTIONS(2635),
    [anon_sym_get] = ACTIONS(2635),
    [anon_sym_set] = ACTIONS(2635),
    [anon_sym_declare] = ACTIONS(2635),
    [anon_sym_public] = ACTIONS(2635),
    [anon_sym_private] = ACTIONS(2635),
    [anon_sym_protected] = ACTIONS(2635),
    [anon_sym_override] = ACTIONS(2635),
    [anon_sym_module] = ACTIONS(2635),
    [anon_sym_any] = ACTIONS(2635),
    [anon_sym_number] = ACTIONS(2635),
    [anon_sym_boolean] = ACTIONS(2635),
    [anon_sym_string] = ACTIONS(2635),
    [anon_sym_symbol] = ACTIONS(2635),
    [anon_sym_property] = ACTIONS(2635),
    [anon_sym_signal] = ACTIONS(2635),
    [anon_sym_on] = ACTIONS(2635),
    [anon_sym_required] = ACTIONS(2635),
    [anon_sym_component] = ACTIONS(2635),
    [anon_sym_abstract] = ACTIONS(2635),
    [anon_sym_interface] = ACTIONS(2635),
    [anon_sym_enum] = ACTIONS(2635),
  },
  [817] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [818] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [819] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [820] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [821] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [822] = {
    [sym_identifier] = ACTIONS(2639),
    [anon_sym_export] = ACTIONS(2639),
    [anon_sym_default] = ACTIONS(2639),
    [anon_sym_type] = ACTIONS(2639),
    [anon_sym_namespace] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_RBRACE] = ACTIONS(2641),
    [anon_sym_typeof] = ACTIONS(2639),
    [anon_sym_import] = ACTIONS(2639),
    [anon_sym_from] = ACTIONS(2639),
    [anon_sym_var] = ACTIONS(2639),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_const] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_else] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_switch] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_await] = ACTIONS(2639),
    [anon_sym_of] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(2639),
    [anon_sym_do] = ACTIONS(2639),
    [anon_sym_try] = ACTIONS(2639),
    [anon_sym_with] = ACTIONS(2639),
    [anon_sym_break] = ACTIONS(2639),
    [anon_sym_continue] = ACTIONS(2639),
    [anon_sym_debugger] = ACTIONS(2639),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2639),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2641),
    [anon_sym_SLASH] = ACTIONS(2639),
    [anon_sym_class] = ACTIONS(2639),
    [anon_sym_async] = ACTIONS(2639),
    [anon_sym_function] = ACTIONS(2639),
    [anon_sym_new] = ACTIONS(2639),
    [anon_sym_PLUS] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_void] = ACTIONS(2639),
    [anon_sym_delete] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2641),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2639),
    [sym_super] = ACTIONS(2639),
    [sym_true] = ACTIONS(2639),
    [sym_false] = ACTIONS(2639),
    [sym_null] = ACTIONS(2639),
    [sym_undefined] = ACTIONS(2639),
    [anon_sym_AT] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2639),
    [anon_sym_readonly] = ACTIONS(2639),
    [anon_sym_get] = ACTIONS(2639),
    [anon_sym_set] = ACTIONS(2639),
    [anon_sym_declare] = ACTIONS(2639),
    [anon_sym_public] = ACTIONS(2639),
    [anon_sym_private] = ACTIONS(2639),
    [anon_sym_protected] = ACTIONS(2639),
    [anon_sym_override] = ACTIONS(2639),
    [anon_sym_module] = ACTIONS(2639),
    [anon_sym_any] = ACTIONS(2639),
    [anon_sym_number] = ACTIONS(2639),
    [anon_sym_boolean] = ACTIONS(2639),
    [anon_sym_string] = ACTIONS(2639),
    [anon_sym_symbol] = ACTIONS(2639),
    [anon_sym_property] = ACTIONS(2639),
    [anon_sym_signal] = ACTIONS(2639),
    [anon_sym_on] = ACTIONS(2639),
    [anon_sym_required] = ACTIONS(2639),
    [anon_sym_component] = ACTIONS(2639),
    [anon_sym_abstract] = ACTIONS(2639),
    [anon_sym_interface] = ACTIONS(2639),
    [anon_sym_enum] = ACTIONS(2639),
  },
  [823] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [824] = {
    [sym_identifier] = ACTIONS(1630),
    [anon_sym_export] = ACTIONS(1630),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_type] = ACTIONS(1630),
    [anon_sym_namespace] = ACTIONS(1630),
    [anon_sym_LBRACE] = ACTIONS(1632),
    [anon_sym_RBRACE] = ACTIONS(1632),
    [anon_sym_typeof] = ACTIONS(1630),
    [anon_sym_import] = ACTIONS(1630),
    [anon_sym_from] = ACTIONS(1630),
    [anon_sym_var] = ACTIONS(1630),
    [anon_sym_let] = ACTIONS(1630),
    [anon_sym_const] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_else] = ACTIONS(1630),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_for] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [anon_sym_await] = ACTIONS(1630),
    [anon_sym_of] = ACTIONS(1630),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1630),
    [anon_sym_try] = ACTIONS(1630),
    [anon_sym_with] = ACTIONS(1630),
    [anon_sym_break] = ACTIONS(1630),
    [anon_sym_continue] = ACTIONS(1630),
    [anon_sym_debugger] = ACTIONS(1630),
    [anon_sym_return] = ACTIONS(1630),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_SEMI] = ACTIONS(1632),
    [anon_sym_case] = ACTIONS(1630),
    [anon_sym_yield] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [anon_sym_LT] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1630),
    [anon_sym_class] = ACTIONS(1630),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(1630),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_PLUS] = ACTIONS(1630),
    [anon_sym_DASH] = ACTIONS(1630),
    [anon_sym_TILDE] = ACTIONS(1632),
    [anon_sym_void] = ACTIONS(1630),
    [anon_sym_delete] = ACTIONS(1630),
    [anon_sym_PLUS_PLUS] = ACTIONS(1632),
    [anon_sym_DASH_DASH] = ACTIONS(1632),
    [anon_sym_DQUOTE] = ACTIONS(1632),
    [anon_sym_SQUOTE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1632),
    [sym_number] = ACTIONS(1632),
    [sym_this] = ACTIONS(1630),
    [sym_super] = ACTIONS(1630),
    [sym_true] = ACTIONS(1630),
    [sym_false] = ACTIONS(1630),
    [sym_null] = ACTIONS(1630),
    [sym_undefined] = ACTIONS(1630),
    [anon_sym_AT] = ACTIONS(1632),
    [anon_sym_static] = ACTIONS(1630),
    [anon_sym_readonly] = ACTIONS(1630),
    [anon_sym_get] = ACTIONS(1630),
    [anon_sym_set] = ACTIONS(1630),
    [anon_sym_declare] = ACTIONS(1630),
    [anon_sym_public] = ACTIONS(1630),
    [anon_sym_private] = ACTIONS(1630),
    [anon_sym_protected] = ACTIONS(1630),
    [anon_sym_override] = ACTIONS(1630),
    [anon_sym_module] = ACTIONS(1630),
    [anon_sym_any] = ACTIONS(1630),
    [anon_sym_number] = ACTIONS(1630),
    [anon_sym_boolean] = ACTIONS(1630),
    [anon_sym_string] = ACTIONS(1630),
    [anon_sym_symbol] = ACTIONS(1630),
    [anon_sym_property] = ACTIONS(1630),
    [anon_sym_signal] = ACTIONS(1630),
    [anon_sym_on] = ACTIONS(1630),
    [anon_sym_required] = ACTIONS(1630),
    [anon_sym_component] = ACTIONS(1630),
    [anon_sym_abstract] = ACTIONS(1630),
    [anon_sym_interface] = ACTIONS(1630),
    [anon_sym_enum] = ACTIONS(1630),
  },
  [825] = {
    [sym_identifier] = ACTIONS(2555),
    [anon_sym_export] = ACTIONS(2555),
    [anon_sym_default] = ACTIONS(2555),
    [anon_sym_type] = ACTIONS(2555),
    [anon_sym_namespace] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_typeof] = ACTIONS(2555),
    [anon_sym_import] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(2555),
    [anon_sym_var] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2555),
    [anon_sym_if] = ACTIONS(2555),
    [anon_sym_switch] = ACTIONS(2555),
    [anon_sym_for] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_await] = ACTIONS(2555),
    [anon_sym_of] = ACTIONS(2555),
    [anon_sym_while] = ACTIONS(2555),
    [anon_sym_do] = ACTIONS(2555),
    [anon_sym_try] = ACTIONS(2555),
    [anon_sym_with] = ACTIONS(2555),
    [anon_sym_break] = ACTIONS(2555),
    [anon_sym_continue] = ACTIONS(2555),
    [anon_sym_debugger] = ACTIONS(2555),
    [anon_sym_return] = ACTIONS(2555),
    [anon_sym_throw] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2555),
    [anon_sym_yield] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2555),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_function] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2557),
    [anon_sym_void] = ACTIONS(2555),
    [anon_sym_delete] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2557),
    [sym_number] = ACTIONS(2557),
    [sym_this] = ACTIONS(2555),
    [sym_super] = ACTIONS(2555),
    [sym_true] = ACTIONS(2555),
    [sym_false] = ACTIONS(2555),
    [sym_null] = ACTIONS(2555),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2555),
    [anon_sym_readonly] = ACTIONS(2555),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2555),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2555),
    [anon_sym_module] = ACTIONS(2555),
    [anon_sym_any] = ACTIONS(2555),
    [anon_sym_number] = ACTIONS(2555),
    [anon_sym_boolean] = ACTIONS(2555),
    [anon_sym_string] = ACTIONS(2555),
    [anon_sym_symbol] = ACTIONS(2555),
    [anon_sym_property] = ACTIONS(2555),
    [anon_sym_signal] = ACTIONS(2555),
    [anon_sym_on] = ACTIONS(2555),
    [anon_sym_required] = ACTIONS(2555),
    [anon_sym_component] = ACTIONS(2555),
    [anon_sym_abstract] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2555),
    [anon_sym_enum] = ACTIONS(2555),
  },
  [826] = {
    [sym_identifier] = ACTIONS(2643),
    [anon_sym_export] = ACTIONS(2643),
    [anon_sym_default] = ACTIONS(2643),
    [anon_sym_type] = ACTIONS(2643),
    [anon_sym_namespace] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_RBRACE] = ACTIONS(2645),
    [anon_sym_typeof] = ACTIONS(2643),
    [anon_sym_import] = ACTIONS(2643),
    [anon_sym_from] = ACTIONS(2643),
    [anon_sym_var] = ACTIONS(2643),
    [anon_sym_let] = ACTIONS(2643),
    [anon_sym_const] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2645),
    [anon_sym_else] = ACTIONS(2643),
    [anon_sym_if] = ACTIONS(2643),
    [anon_sym_switch] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2643),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_await] = ACTIONS(2643),
    [anon_sym_of] = ACTIONS(2643),
    [anon_sym_while] = ACTIONS(2643),
    [anon_sym_do] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2643),
    [anon_sym_with] = ACTIONS(2643),
    [anon_sym_break] = ACTIONS(2643),
    [anon_sym_continue] = ACTIONS(2643),
    [anon_sym_debugger] = ACTIONS(2643),
    [anon_sym_return] = ACTIONS(2643),
    [anon_sym_throw] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2645),
    [anon_sym_case] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2645),
    [anon_sym_SLASH] = ACTIONS(2643),
    [anon_sym_class] = ACTIONS(2643),
    [anon_sym_async] = ACTIONS(2643),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_new] = ACTIONS(2643),
    [anon_sym_PLUS] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2645),
    [anon_sym_void] = ACTIONS(2643),
    [anon_sym_delete] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2645),
    [sym_number] = ACTIONS(2645),
    [sym_this] = ACTIONS(2643),
    [sym_super] = ACTIONS(2643),
    [sym_true] = ACTIONS(2643),
    [sym_false] = ACTIONS(2643),
    [sym_null] = ACTIONS(2643),
    [sym_undefined] = ACTIONS(2643),
    [anon_sym_AT] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2643),
    [anon_sym_readonly] = ACTIONS(2643),
    [anon_sym_get] = ACTIONS(2643),
    [anon_sym_set] = ACTIONS(2643),
    [anon_sym_declare] = ACTIONS(2643),
    [anon_sym_public] = ACTIONS(2643),
    [anon_sym_private] = ACTIONS(2643),
    [anon_sym_protected] = ACTIONS(2643),
    [anon_sym_override] = ACTIONS(2643),
    [anon_sym_module] = ACTIONS(2643),
    [anon_sym_any] = ACTIONS(2643),
    [anon_sym_number] = ACTIONS(2643),
    [anon_sym_boolean] = ACTIONS(2643),
    [anon_sym_string] = ACTIONS(2643),
    [anon_sym_symbol] = ACTIONS(2643),
    [anon_sym_property] = ACTIONS(2643),
    [anon_sym_signal] = ACTIONS(2643),
    [anon_sym_on] = ACTIONS(2643),
    [anon_sym_required] = ACTIONS(2643),
    [anon_sym_component] = ACTIONS(2643),
    [anon_sym_abstract] = ACTIONS(2643),
    [anon_sym_interface] = ACTIONS(2643),
    [anon_sym_enum] = ACTIONS(2643),
  },
  [827] = {
    [sym_identifier] = ACTIONS(2647),
    [anon_sym_export] = ACTIONS(2647),
    [anon_sym_default] = ACTIONS(2647),
    [anon_sym_type] = ACTIONS(2647),
    [anon_sym_namespace] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_RBRACE] = ACTIONS(2649),
    [anon_sym_typeof] = ACTIONS(2647),
    [anon_sym_import] = ACTIONS(2647),
    [anon_sym_from] = ACTIONS(2647),
    [anon_sym_var] = ACTIONS(2647),
    [anon_sym_let] = ACTIONS(2647),
    [anon_sym_const] = ACTIONS(2647),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_else] = ACTIONS(2647),
    [anon_sym_if] = ACTIONS(2647),
    [anon_sym_switch] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2647),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_await] = ACTIONS(2647),
    [anon_sym_of] = ACTIONS(2647),
    [anon_sym_while] = ACTIONS(2647),
    [anon_sym_do] = ACTIONS(2647),
    [anon_sym_try] = ACTIONS(2647),
    [anon_sym_with] = ACTIONS(2647),
    [anon_sym_break] = ACTIONS(2647),
    [anon_sym_continue] = ACTIONS(2647),
    [anon_sym_debugger] = ACTIONS(2647),
    [anon_sym_return] = ACTIONS(2647),
    [anon_sym_throw] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym_case] = ACTIONS(2647),
    [anon_sym_yield] = ACTIONS(2647),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2649),
    [anon_sym_SLASH] = ACTIONS(2647),
    [anon_sym_class] = ACTIONS(2647),
    [anon_sym_async] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(2647),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_PLUS] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_void] = ACTIONS(2647),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2649),
    [sym_number] = ACTIONS(2649),
    [sym_this] = ACTIONS(2647),
    [sym_super] = ACTIONS(2647),
    [sym_true] = ACTIONS(2647),
    [sym_false] = ACTIONS(2647),
    [sym_null] = ACTIONS(2647),
    [sym_undefined] = ACTIONS(2647),
    [anon_sym_AT] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2647),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_get] = ACTIONS(2647),
    [anon_sym_set] = ACTIONS(2647),
    [anon_sym_declare] = ACTIONS(2647),
    [anon_sym_public] = ACTIONS(2647),
    [anon_sym_private] = ACTIONS(2647),
    [anon_sym_protected] = ACTIONS(2647),
    [anon_sym_override] = ACTIONS(2647),
    [anon_sym_module] = ACTIONS(2647),
    [anon_sym_any] = ACTIONS(2647),
    [anon_sym_number] = ACTIONS(2647),
    [anon_sym_boolean] = ACTIONS(2647),
    [anon_sym_string] = ACTIONS(2647),
    [anon_sym_symbol] = ACTIONS(2647),
    [anon_sym_property] = ACTIONS(2647),
    [anon_sym_signal] = ACTIONS(2647),
    [anon_sym_on] = ACTIONS(2647),
    [anon_sym_required] = ACTIONS(2647),
    [anon_sym_component] = ACTIONS(2647),
    [anon_sym_abstract] = ACTIONS(2647),
    [anon_sym_interface] = ACTIONS(2647),
    [anon_sym_enum] = ACTIONS(2647),
  },
  [828] = {
    [sym_identifier] = ACTIONS(2651),
    [anon_sym_export] = ACTIONS(2651),
    [anon_sym_default] = ACTIONS(2651),
    [anon_sym_type] = ACTIONS(2651),
    [anon_sym_namespace] = ACTIONS(2651),
    [anon_sym_LBRACE] = ACTIONS(2653),
    [anon_sym_RBRACE] = ACTIONS(2653),
    [anon_sym_typeof] = ACTIONS(2651),
    [anon_sym_import] = ACTIONS(2651),
    [anon_sym_from] = ACTIONS(2651),
    [anon_sym_var] = ACTIONS(2651),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_const] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_else] = ACTIONS(2651),
    [anon_sym_if] = ACTIONS(2651),
    [anon_sym_switch] = ACTIONS(2651),
    [anon_sym_for] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2653),
    [anon_sym_await] = ACTIONS(2651),
    [anon_sym_of] = ACTIONS(2651),
    [anon_sym_while] = ACTIONS(2651),
    [anon_sym_do] = ACTIONS(2651),
    [anon_sym_try] = ACTIONS(2651),
    [anon_sym_with] = ACTIONS(2651),
    [anon_sym_break] = ACTIONS(2651),
    [anon_sym_continue] = ACTIONS(2651),
    [anon_sym_debugger] = ACTIONS(2651),
    [anon_sym_return] = ACTIONS(2651),
    [anon_sym_throw] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2651),
    [anon_sym_yield] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2651),
    [anon_sym_class] = ACTIONS(2651),
    [anon_sym_async] = ACTIONS(2651),
    [anon_sym_function] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2651),
    [anon_sym_PLUS] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_void] = ACTIONS(2651),
    [anon_sym_delete] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2653),
    [anon_sym_DQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2653),
    [sym_number] = ACTIONS(2653),
    [sym_this] = ACTIONS(2651),
    [sym_super] = ACTIONS(2651),
    [sym_true] = ACTIONS(2651),
    [sym_false] = ACTIONS(2651),
    [sym_null] = ACTIONS(2651),
    [sym_undefined] = ACTIONS(2651),
    [anon_sym_AT] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2651),
    [anon_sym_readonly] = ACTIONS(2651),
    [anon_sym_get] = ACTIONS(2651),
    [anon_sym_set] = ACTIONS(2651),
    [anon_sym_declare] = ACTIONS(2651),
    [anon_sym_public] = ACTIONS(2651),
    [anon_sym_private] = ACTIONS(2651),
    [anon_sym_protected] = ACTIONS(2651),
    [anon_sym_override] = ACTIONS(2651),
    [anon_sym_module] = ACTIONS(2651),
    [anon_sym_any] = ACTIONS(2651),
    [anon_sym_number] = ACTIONS(2651),
    [anon_sym_boolean] = ACTIONS(2651),
    [anon_sym_string] = ACTIONS(2651),
    [anon_sym_symbol] = ACTIONS(2651),
    [anon_sym_property] = ACTIONS(2651),
    [anon_sym_signal] = ACTIONS(2651),
    [anon_sym_on] = ACTIONS(2651),
    [anon_sym_required] = ACTIONS(2651),
    [anon_sym_component] = ACTIONS(2651),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_interface] = ACTIONS(2651),
    [anon_sym_enum] = ACTIONS(2651),
  },
  [829] = {
    [sym_identifier] = ACTIONS(2655),
    [anon_sym_export] = ACTIONS(2655),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2655),
    [anon_sym_namespace] = ACTIONS(2655),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_RBRACE] = ACTIONS(2657),
    [anon_sym_typeof] = ACTIONS(2655),
    [anon_sym_import] = ACTIONS(2655),
    [anon_sym_from] = ACTIONS(2655),
    [anon_sym_var] = ACTIONS(2655),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_const] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2657),
    [anon_sym_else] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_switch] = ACTIONS(2655),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_await] = ACTIONS(2655),
    [anon_sym_of] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(2655),
    [anon_sym_do] = ACTIONS(2655),
    [anon_sym_try] = ACTIONS(2655),
    [anon_sym_with] = ACTIONS(2655),
    [anon_sym_break] = ACTIONS(2655),
    [anon_sym_continue] = ACTIONS(2655),
    [anon_sym_debugger] = ACTIONS(2655),
    [anon_sym_return] = ACTIONS(2655),
    [anon_sym_throw] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym_case] = ACTIONS(2655),
    [anon_sym_yield] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2655),
    [anon_sym_class] = ACTIONS(2655),
    [anon_sym_async] = ACTIONS(2655),
    [anon_sym_function] = ACTIONS(2655),
    [anon_sym_new] = ACTIONS(2655),
    [anon_sym_PLUS] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_void] = ACTIONS(2655),
    [anon_sym_delete] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2657),
    [anon_sym_DQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2657),
    [sym_number] = ACTIONS(2657),
    [sym_this] = ACTIONS(2655),
    [sym_super] = ACTIONS(2655),
    [sym_true] = ACTIONS(2655),
    [sym_false] = ACTIONS(2655),
    [sym_null] = ACTIONS(2655),
    [sym_undefined] = ACTIONS(2655),
    [anon_sym_AT] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2655),
    [anon_sym_readonly] = ACTIONS(2655),
    [anon_sym_get] = ACTIONS(2655),
    [anon_sym_set] = ACTIONS(2655),
    [anon_sym_declare] = ACTIONS(2655),
    [anon_sym_public] = ACTIONS(2655),
    [anon_sym_private] = ACTIONS(2655),
    [anon_sym_protected] = ACTIONS(2655),
    [anon_sym_override] = ACTIONS(2655),
    [anon_sym_module] = ACTIONS(2655),
    [anon_sym_any] = ACTIONS(2655),
    [anon_sym_number] = ACTIONS(2655),
    [anon_sym_boolean] = ACTIONS(2655),
    [anon_sym_string] = ACTIONS(2655),
    [anon_sym_symbol] = ACTIONS(2655),
    [anon_sym_property] = ACTIONS(2655),
    [anon_sym_signal] = ACTIONS(2655),
    [anon_sym_on] = ACTIONS(2655),
    [anon_sym_required] = ACTIONS(2655),
    [anon_sym_component] = ACTIONS(2655),
    [anon_sym_abstract] = ACTIONS(2655),
    [anon_sym_interface] = ACTIONS(2655),
    [anon_sym_enum] = ACTIONS(2655),
  },
  [830] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [831] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [832] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [833] = {
    [sym_identifier] = ACTIONS(2659),
    [anon_sym_export] = ACTIONS(2659),
    [anon_sym_default] = ACTIONS(2659),
    [anon_sym_type] = ACTIONS(2659),
    [anon_sym_namespace] = ACTIONS(2659),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_RBRACE] = ACTIONS(2661),
    [anon_sym_typeof] = ACTIONS(2659),
    [anon_sym_import] = ACTIONS(2659),
    [anon_sym_from] = ACTIONS(2659),
    [anon_sym_var] = ACTIONS(2659),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_const] = ACTIONS(2659),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_else] = ACTIONS(2659),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_switch] = ACTIONS(2659),
    [anon_sym_for] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [anon_sym_await] = ACTIONS(2659),
    [anon_sym_of] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2659),
    [anon_sym_do] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2659),
    [anon_sym_with] = ACTIONS(2659),
    [anon_sym_break] = ACTIONS(2659),
    [anon_sym_continue] = ACTIONS(2659),
    [anon_sym_debugger] = ACTIONS(2659),
    [anon_sym_return] = ACTIONS(2659),
    [anon_sym_throw] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2659),
    [anon_sym_yield] = ACTIONS(2659),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2659),
    [anon_sym_class] = ACTIONS(2659),
    [anon_sym_async] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_new] = ACTIONS(2659),
    [anon_sym_PLUS] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_void] = ACTIONS(2659),
    [anon_sym_delete] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2661),
    [sym_number] = ACTIONS(2661),
    [sym_this] = ACTIONS(2659),
    [sym_super] = ACTIONS(2659),
    [sym_true] = ACTIONS(2659),
    [sym_false] = ACTIONS(2659),
    [sym_null] = ACTIONS(2659),
    [sym_undefined] = ACTIONS(2659),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_static] = ACTIONS(2659),
    [anon_sym_readonly] = ACTIONS(2659),
    [anon_sym_get] = ACTIONS(2659),
    [anon_sym_set] = ACTIONS(2659),
    [anon_sym_declare] = ACTIONS(2659),
    [anon_sym_public] = ACTIONS(2659),
    [anon_sym_private] = ACTIONS(2659),
    [anon_sym_protected] = ACTIONS(2659),
    [anon_sym_override] = ACTIONS(2659),
    [anon_sym_module] = ACTIONS(2659),
    [anon_sym_any] = ACTIONS(2659),
    [anon_sym_number] = ACTIONS(2659),
    [anon_sym_boolean] = ACTIONS(2659),
    [anon_sym_string] = ACTIONS(2659),
    [anon_sym_symbol] = ACTIONS(2659),
    [anon_sym_property] = ACTIONS(2659),
    [anon_sym_signal] = ACTIONS(2659),
    [anon_sym_on] = ACTIONS(2659),
    [anon_sym_required] = ACTIONS(2659),
    [anon_sym_component] = ACTIONS(2659),
    [anon_sym_abstract] = ACTIONS(2659),
    [anon_sym_interface] = ACTIONS(2659),
    [anon_sym_enum] = ACTIONS(2659),
  },
  [834] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [835] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [836] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [837] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [838] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_typeof] = ACTIONS(2387),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_var] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_const] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_await] = ACTIONS(2387),
    [anon_sym_of] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_do] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_break] = ACTIONS(2387),
    [anon_sym_continue] = ACTIONS(2387),
    [anon_sym_debugger] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2389),
    [anon_sym_void] = ACTIONS(2387),
    [anon_sym_delete] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2387),
    [sym_super] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_null] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_property] = ACTIONS(2387),
    [anon_sym_signal] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_required] = ACTIONS(2387),
    [anon_sym_component] = ACTIONS(2387),
    [anon_sym_abstract] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_enum] = ACTIONS(2387),
  },
  [839] = {
    [sym_identifier] = ACTIONS(2663),
    [anon_sym_export] = ACTIONS(2663),
    [anon_sym_default] = ACTIONS(2663),
    [anon_sym_type] = ACTIONS(2663),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_RBRACE] = ACTIONS(2665),
    [anon_sym_typeof] = ACTIONS(2663),
    [anon_sym_import] = ACTIONS(2663),
    [anon_sym_from] = ACTIONS(2663),
    [anon_sym_var] = ACTIONS(2663),
    [anon_sym_let] = ACTIONS(2663),
    [anon_sym_const] = ACTIONS(2663),
    [anon_sym_BANG] = ACTIONS(2665),
    [anon_sym_else] = ACTIONS(2663),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_switch] = ACTIONS(2663),
    [anon_sym_for] = ACTIONS(2663),
    [anon_sym_LPAREN] = ACTIONS(2665),
    [anon_sym_await] = ACTIONS(2663),
    [anon_sym_of] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(2663),
    [anon_sym_do] = ACTIONS(2663),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_with] = ACTIONS(2663),
    [anon_sym_break] = ACTIONS(2663),
    [anon_sym_continue] = ACTIONS(2663),
    [anon_sym_debugger] = ACTIONS(2663),
    [anon_sym_return] = ACTIONS(2663),
    [anon_sym_throw] = ACTIONS(2663),
    [anon_sym_SEMI] = ACTIONS(2665),
    [anon_sym_case] = ACTIONS(2663),
    [anon_sym_yield] = ACTIONS(2663),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_LT] = ACTIONS(2665),
    [anon_sym_SLASH] = ACTIONS(2663),
    [anon_sym_class] = ACTIONS(2663),
    [anon_sym_async] = ACTIONS(2663),
    [anon_sym_function] = ACTIONS(2663),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_PLUS] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2663),
    [anon_sym_TILDE] = ACTIONS(2665),
    [anon_sym_void] = ACTIONS(2663),
    [anon_sym_delete] = ACTIONS(2663),
    [anon_sym_PLUS_PLUS] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2665),
    [anon_sym_DQUOTE] = ACTIONS(2665),
    [anon_sym_SQUOTE] = ACTIONS(2665),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2665),
    [sym_number] = ACTIONS(2665),
    [sym_this] = ACTIONS(2663),
    [sym_super] = ACTIONS(2663),
    [sym_true] = ACTIONS(2663),
    [sym_false] = ACTIONS(2663),
    [sym_null] = ACTIONS(2663),
    [sym_undefined] = ACTIONS(2663),
    [anon_sym_AT] = ACTIONS(2665),
    [anon_sym_static] = ACTIONS(2663),
    [anon_sym_readonly] = ACTIONS(2663),
    [anon_sym_get] = ACTIONS(2663),
    [anon_sym_set] = ACTIONS(2663),
    [anon_sym_declare] = ACTIONS(2663),
    [anon_sym_public] = ACTIONS(2663),
    [anon_sym_private] = ACTIONS(2663),
    [anon_sym_protected] = ACTIONS(2663),
    [anon_sym_override] = ACTIONS(2663),
    [anon_sym_module] = ACTIONS(2663),
    [anon_sym_any] = ACTIONS(2663),
    [anon_sym_number] = ACTIONS(2663),
    [anon_sym_boolean] = ACTIONS(2663),
    [anon_sym_string] = ACTIONS(2663),
    [anon_sym_symbol] = ACTIONS(2663),
    [anon_sym_property] = ACTIONS(2663),
    [anon_sym_signal] = ACTIONS(2663),
    [anon_sym_on] = ACTIONS(2663),
    [anon_sym_required] = ACTIONS(2663),
    [anon_sym_component] = ACTIONS(2663),
    [anon_sym_abstract] = ACTIONS(2663),
    [anon_sym_interface] = ACTIONS(2663),
    [anon_sym_enum] = ACTIONS(2663),
  },
  [840] = {
    [sym_identifier] = ACTIONS(2667),
    [anon_sym_export] = ACTIONS(2667),
    [anon_sym_default] = ACTIONS(2667),
    [anon_sym_type] = ACTIONS(2667),
    [anon_sym_namespace] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2669),
    [anon_sym_RBRACE] = ACTIONS(2669),
    [anon_sym_typeof] = ACTIONS(2667),
    [anon_sym_import] = ACTIONS(2667),
    [anon_sym_from] = ACTIONS(2667),
    [anon_sym_var] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_const] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2669),
    [anon_sym_else] = ACTIONS(2667),
    [anon_sym_if] = ACTIONS(2667),
    [anon_sym_switch] = ACTIONS(2667),
    [anon_sym_for] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_await] = ACTIONS(2667),
    [anon_sym_of] = ACTIONS(2667),
    [anon_sym_while] = ACTIONS(2667),
    [anon_sym_do] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2667),
    [anon_sym_with] = ACTIONS(2667),
    [anon_sym_break] = ACTIONS(2667),
    [anon_sym_continue] = ACTIONS(2667),
    [anon_sym_debugger] = ACTIONS(2667),
    [anon_sym_return] = ACTIONS(2667),
    [anon_sym_throw] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2669),
    [anon_sym_case] = ACTIONS(2667),
    [anon_sym_yield] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_LT] = ACTIONS(2669),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_class] = ACTIONS(2667),
    [anon_sym_async] = ACTIONS(2667),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_new] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2669),
    [anon_sym_void] = ACTIONS(2667),
    [anon_sym_delete] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2669),
    [anon_sym_DASH_DASH] = ACTIONS(2669),
    [anon_sym_DQUOTE] = ACTIONS(2669),
    [anon_sym_SQUOTE] = ACTIONS(2669),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2669),
    [sym_number] = ACTIONS(2669),
    [sym_this] = ACTIONS(2667),
    [sym_super] = ACTIONS(2667),
    [sym_true] = ACTIONS(2667),
    [sym_false] = ACTIONS(2667),
    [sym_null] = ACTIONS(2667),
    [sym_undefined] = ACTIONS(2667),
    [anon_sym_AT] = ACTIONS(2669),
    [anon_sym_static] = ACTIONS(2667),
    [anon_sym_readonly] = ACTIONS(2667),
    [anon_sym_get] = ACTIONS(2667),
    [anon_sym_set] = ACTIONS(2667),
    [anon_sym_declare] = ACTIONS(2667),
    [anon_sym_public] = ACTIONS(2667),
    [anon_sym_private] = ACTIONS(2667),
    [anon_sym_protected] = ACTIONS(2667),
    [anon_sym_override] = ACTIONS(2667),
    [anon_sym_module] = ACTIONS(2667),
    [anon_sym_any] = ACTIONS(2667),
    [anon_sym_number] = ACTIONS(2667),
    [anon_sym_boolean] = ACTIONS(2667),
    [anon_sym_string] = ACTIONS(2667),
    [anon_sym_symbol] = ACTIONS(2667),
    [anon_sym_property] = ACTIONS(2667),
    [anon_sym_signal] = ACTIONS(2667),
    [anon_sym_on] = ACTIONS(2667),
    [anon_sym_required] = ACTIONS(2667),
    [anon_sym_component] = ACTIONS(2667),
    [anon_sym_abstract] = ACTIONS(2667),
    [anon_sym_interface] = ACTIONS(2667),
    [anon_sym_enum] = ACTIONS(2667),
  },
  [841] = {
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_export] = ACTIONS(2671),
    [anon_sym_default] = ACTIONS(2671),
    [anon_sym_type] = ACTIONS(2671),
    [anon_sym_namespace] = ACTIONS(2671),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_RBRACE] = ACTIONS(2673),
    [anon_sym_typeof] = ACTIONS(2671),
    [anon_sym_import] = ACTIONS(2671),
    [anon_sym_from] = ACTIONS(2671),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2671),
    [anon_sym_const] = ACTIONS(2671),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2671),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_switch] = ACTIONS(2671),
    [anon_sym_for] = ACTIONS(2671),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_await] = ACTIONS(2671),
    [anon_sym_of] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(2671),
    [anon_sym_do] = ACTIONS(2671),
    [anon_sym_try] = ACTIONS(2671),
    [anon_sym_with] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2671),
    [anon_sym_continue] = ACTIONS(2671),
    [anon_sym_debugger] = ACTIONS(2671),
    [anon_sym_return] = ACTIONS(2671),
    [anon_sym_throw] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2671),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2671),
    [anon_sym_async] = ACTIONS(2671),
    [anon_sym_function] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(2671),
    [anon_sym_PLUS] = ACTIONS(2671),
    [anon_sym_DASH] = ACTIONS(2671),
    [anon_sym_TILDE] = ACTIONS(2673),
    [anon_sym_void] = ACTIONS(2671),
    [anon_sym_delete] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_DQUOTE] = ACTIONS(2673),
    [anon_sym_SQUOTE] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2673),
    [sym_number] = ACTIONS(2673),
    [sym_this] = ACTIONS(2671),
    [sym_super] = ACTIONS(2671),
    [sym_true] = ACTIONS(2671),
    [sym_false] = ACTIONS(2671),
    [sym_null] = ACTIONS(2671),
    [sym_undefined] = ACTIONS(2671),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2671),
    [anon_sym_readonly] = ACTIONS(2671),
    [anon_sym_get] = ACTIONS(2671),
    [anon_sym_set] = ACTIONS(2671),
    [anon_sym_declare] = ACTIONS(2671),
    [anon_sym_public] = ACTIONS(2671),
    [anon_sym_private] = ACTIONS(2671),
    [anon_sym_protected] = ACTIONS(2671),
    [anon_sym_override] = ACTIONS(2671),
    [anon_sym_module] = ACTIONS(2671),
    [anon_sym_any] = ACTIONS(2671),
    [anon_sym_number] = ACTIONS(2671),
    [anon_sym_boolean] = ACTIONS(2671),
    [anon_sym_string] = ACTIONS(2671),
    [anon_sym_symbol] = ACTIONS(2671),
    [anon_sym_property] = ACTIONS(2671),
    [anon_sym_signal] = ACTIONS(2671),
    [anon_sym_on] = ACTIONS(2671),
    [anon_sym_required] = ACTIONS(2671),
    [anon_sym_component] = ACTIONS(2671),
    [anon_sym_abstract] = ACTIONS(2671),
    [anon_sym_interface] = ACTIONS(2671),
    [anon_sym_enum] = ACTIONS(2671),
  },
  [842] = {
    [sym_identifier] = ACTIONS(2675),
    [anon_sym_export] = ACTIONS(2675),
    [anon_sym_default] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2675),
    [anon_sym_namespace] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_RBRACE] = ACTIONS(2677),
    [anon_sym_typeof] = ACTIONS(2675),
    [anon_sym_import] = ACTIONS(2675),
    [anon_sym_from] = ACTIONS(2675),
    [anon_sym_var] = ACTIONS(2675),
    [anon_sym_let] = ACTIONS(2675),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(2677),
    [anon_sym_else] = ACTIONS(2675),
    [anon_sym_if] = ACTIONS(2675),
    [anon_sym_switch] = ACTIONS(2675),
    [anon_sym_for] = ACTIONS(2675),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_await] = ACTIONS(2675),
    [anon_sym_of] = ACTIONS(2675),
    [anon_sym_while] = ACTIONS(2675),
    [anon_sym_do] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2675),
    [anon_sym_with] = ACTIONS(2675),
    [anon_sym_break] = ACTIONS(2675),
    [anon_sym_continue] = ACTIONS(2675),
    [anon_sym_debugger] = ACTIONS(2675),
    [anon_sym_return] = ACTIONS(2675),
    [anon_sym_throw] = ACTIONS(2675),
    [anon_sym_SEMI] = ACTIONS(2677),
    [anon_sym_case] = ACTIONS(2675),
    [anon_sym_yield] = ACTIONS(2675),
    [anon_sym_LBRACK] = ACTIONS(2677),
    [anon_sym_LT] = ACTIONS(2677),
    [anon_sym_SLASH] = ACTIONS(2675),
    [anon_sym_class] = ACTIONS(2675),
    [anon_sym_async] = ACTIONS(2675),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_new] = ACTIONS(2675),
    [anon_sym_PLUS] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2677),
    [anon_sym_void] = ACTIONS(2675),
    [anon_sym_delete] = ACTIONS(2675),
    [anon_sym_PLUS_PLUS] = ACTIONS(2677),
    [anon_sym_DASH_DASH] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2677),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2677),
    [sym_number] = ACTIONS(2677),
    [sym_this] = ACTIONS(2675),
    [sym_super] = ACTIONS(2675),
    [sym_true] = ACTIONS(2675),
    [sym_false] = ACTIONS(2675),
    [sym_null] = ACTIONS(2675),
    [sym_undefined] = ACTIONS(2675),
    [anon_sym_AT] = ACTIONS(2677),
    [anon_sym_static] = ACTIONS(2675),
    [anon_sym_readonly] = ACTIONS(2675),
    [anon_sym_get] = ACTIONS(2675),
    [anon_sym_set] = ACTIONS(2675),
    [anon_sym_declare] = ACTIONS(2675),
    [anon_sym_public] = ACTIONS(2675),
    [anon_sym_private] = ACTIONS(2675),
    [anon_sym_protected] = ACTIONS(2675),
    [anon_sym_override] = ACTIONS(2675),
    [anon_sym_module] = ACTIONS(2675),
    [anon_sym_any] = ACTIONS(2675),
    [anon_sym_number] = ACTIONS(2675),
    [anon_sym_boolean] = ACTIONS(2675),
    [anon_sym_string] = ACTIONS(2675),
    [anon_sym_symbol] = ACTIONS(2675),
    [anon_sym_property] = ACTIONS(2675),
    [anon_sym_signal] = ACTIONS(2675),
    [anon_sym_on] = ACTIONS(2675),
    [anon_sym_required] = ACTIONS(2675),
    [anon_sym_component] = ACTIONS(2675),
    [anon_sym_abstract] = ACTIONS(2675),
    [anon_sym_interface] = ACTIONS(2675),
    [anon_sym_enum] = ACTIONS(2675),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2679),
    [anon_sym_export] = ACTIONS(2679),
    [anon_sym_default] = ACTIONS(2679),
    [anon_sym_type] = ACTIONS(2679),
    [anon_sym_namespace] = ACTIONS(2679),
    [anon_sym_LBRACE] = ACTIONS(2681),
    [anon_sym_RBRACE] = ACTIONS(2681),
    [anon_sym_typeof] = ACTIONS(2679),
    [anon_sym_import] = ACTIONS(2679),
    [anon_sym_from] = ACTIONS(2679),
    [anon_sym_var] = ACTIONS(2679),
    [anon_sym_let] = ACTIONS(2679),
    [anon_sym_const] = ACTIONS(2679),
    [anon_sym_BANG] = ACTIONS(2681),
    [anon_sym_else] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_switch] = ACTIONS(2679),
    [anon_sym_for] = ACTIONS(2679),
    [anon_sym_LPAREN] = ACTIONS(2681),
    [anon_sym_await] = ACTIONS(2679),
    [anon_sym_of] = ACTIONS(2679),
    [anon_sym_while] = ACTIONS(2679),
    [anon_sym_do] = ACTIONS(2679),
    [anon_sym_try] = ACTIONS(2679),
    [anon_sym_with] = ACTIONS(2679),
    [anon_sym_break] = ACTIONS(2679),
    [anon_sym_continue] = ACTIONS(2679),
    [anon_sym_debugger] = ACTIONS(2679),
    [anon_sym_return] = ACTIONS(2679),
    [anon_sym_throw] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym_case] = ACTIONS(2679),
    [anon_sym_yield] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_LT] = ACTIONS(2681),
    [anon_sym_SLASH] = ACTIONS(2679),
    [anon_sym_class] = ACTIONS(2679),
    [anon_sym_async] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2679),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2681),
    [anon_sym_void] = ACTIONS(2679),
    [anon_sym_delete] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2681),
    [anon_sym_DASH_DASH] = ACTIONS(2681),
    [anon_sym_DQUOTE] = ACTIONS(2681),
    [anon_sym_SQUOTE] = ACTIONS(2681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2681),
    [sym_number] = ACTIONS(2681),
    [sym_this] = ACTIONS(2679),
    [sym_super] = ACTIONS(2679),
    [sym_true] = ACTIONS(2679),
    [sym_false] = ACTIONS(2679),
    [sym_null] = ACTIONS(2679),
    [sym_undefined] = ACTIONS(2679),
    [anon_sym_AT] = ACTIONS(2681),
    [anon_sym_static] = ACTIONS(2679),
    [anon_sym_readonly] = ACTIONS(2679),
    [anon_sym_get] = ACTIONS(2679),
    [anon_sym_set] = ACTIONS(2679),
    [anon_sym_declare] = ACTIONS(2679),
    [anon_sym_public] = ACTIONS(2679),
    [anon_sym_private] = ACTIONS(2679),
    [anon_sym_protected] = ACTIONS(2679),
    [anon_sym_override] = ACTIONS(2679),
    [anon_sym_module] = ACTIONS(2679),
    [anon_sym_any] = ACTIONS(2679),
    [anon_sym_number] = ACTIONS(2679),
    [anon_sym_boolean] = ACTIONS(2679),
    [anon_sym_string] = ACTIONS(2679),
    [anon_sym_symbol] = ACTIONS(2679),
    [anon_sym_property] = ACTIONS(2679),
    [anon_sym_signal] = ACTIONS(2679),
    [anon_sym_on] = ACTIONS(2679),
    [anon_sym_required] = ACTIONS(2679),
    [anon_sym_component] = ACTIONS(2679),
    [anon_sym_abstract] = ACTIONS(2679),
    [anon_sym_interface] = ACTIONS(2679),
    [anon_sym_enum] = ACTIONS(2679),
  },
  [844] = {
    [sym_identifier] = ACTIONS(2683),
    [anon_sym_export] = ACTIONS(2683),
    [anon_sym_default] = ACTIONS(2683),
    [anon_sym_type] = ACTIONS(2683),
    [anon_sym_namespace] = ACTIONS(2683),
    [anon_sym_LBRACE] = ACTIONS(2685),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_typeof] = ACTIONS(2683),
    [anon_sym_import] = ACTIONS(2683),
    [anon_sym_from] = ACTIONS(2683),
    [anon_sym_var] = ACTIONS(2683),
    [anon_sym_let] = ACTIONS(2683),
    [anon_sym_const] = ACTIONS(2683),
    [anon_sym_BANG] = ACTIONS(2685),
    [anon_sym_else] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_switch] = ACTIONS(2683),
    [anon_sym_for] = ACTIONS(2683),
    [anon_sym_LPAREN] = ACTIONS(2685),
    [anon_sym_await] = ACTIONS(2683),
    [anon_sym_of] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(2683),
    [anon_sym_do] = ACTIONS(2683),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_with] = ACTIONS(2683),
    [anon_sym_break] = ACTIONS(2683),
    [anon_sym_continue] = ACTIONS(2683),
    [anon_sym_debugger] = ACTIONS(2683),
    [anon_sym_return] = ACTIONS(2683),
    [anon_sym_throw] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_case] = ACTIONS(2683),
    [anon_sym_yield] = ACTIONS(2683),
    [anon_sym_LBRACK] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_SLASH] = ACTIONS(2683),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2683),
    [anon_sym_function] = ACTIONS(2683),
    [anon_sym_new] = ACTIONS(2683),
    [anon_sym_PLUS] = ACTIONS(2683),
    [anon_sym_DASH] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_void] = ACTIONS(2683),
    [anon_sym_delete] = ACTIONS(2683),
    [anon_sym_PLUS_PLUS] = ACTIONS(2685),
    [anon_sym_DASH_DASH] = ACTIONS(2685),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [anon_sym_SQUOTE] = ACTIONS(2685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2685),
    [sym_number] = ACTIONS(2685),
    [sym_this] = ACTIONS(2683),
    [sym_super] = ACTIONS(2683),
    [sym_true] = ACTIONS(2683),
    [sym_false] = ACTIONS(2683),
    [sym_null] = ACTIONS(2683),
    [sym_undefined] = ACTIONS(2683),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_static] = ACTIONS(2683),
    [anon_sym_readonly] = ACTIONS(2683),
    [anon_sym_get] = ACTIONS(2683),
    [anon_sym_set] = ACTIONS(2683),
    [anon_sym_declare] = ACTIONS(2683),
    [anon_sym_public] = ACTIONS(2683),
    [anon_sym_private] = ACTIONS(2683),
    [anon_sym_protected] = ACTIONS(2683),
    [anon_sym_override] = ACTIONS(2683),
    [anon_sym_module] = ACTIONS(2683),
    [anon_sym_any] = ACTIONS(2683),
    [anon_sym_number] = ACTIONS(2683),
    [anon_sym_boolean] = ACTIONS(2683),
    [anon_sym_string] = ACTIONS(2683),
    [anon_sym_symbol] = ACTIONS(2683),
    [anon_sym_property] = ACTIONS(2683),
    [anon_sym_signal] = ACTIONS(2683),
    [anon_sym_on] = ACTIONS(2683),
    [anon_sym_required] = ACTIONS(2683),
    [anon_sym_component] = ACTIONS(2683),
    [anon_sym_abstract] = ACTIONS(2683),
    [anon_sym_interface] = ACTIONS(2683),
    [anon_sym_enum] = ACTIONS(2683),
  },
  [845] = {
    [sym_identifier] = ACTIONS(2687),
    [anon_sym_export] = ACTIONS(2687),
    [anon_sym_default] = ACTIONS(2687),
    [anon_sym_type] = ACTIONS(2687),
    [anon_sym_namespace] = ACTIONS(2687),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_RBRACE] = ACTIONS(2689),
    [anon_sym_typeof] = ACTIONS(2687),
    [anon_sym_import] = ACTIONS(2687),
    [anon_sym_from] = ACTIONS(2687),
    [anon_sym_var] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2687),
    [anon_sym_const] = ACTIONS(2687),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_else] = ACTIONS(2687),
    [anon_sym_if] = ACTIONS(2687),
    [anon_sym_switch] = ACTIONS(2687),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_LPAREN] = ACTIONS(2689),
    [anon_sym_await] = ACTIONS(2687),
    [anon_sym_of] = ACTIONS(2687),
    [anon_sym_while] = ACTIONS(2687),
    [anon_sym_do] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2687),
    [anon_sym_with] = ACTIONS(2687),
    [anon_sym_break] = ACTIONS(2687),
    [anon_sym_continue] = ACTIONS(2687),
    [anon_sym_debugger] = ACTIONS(2687),
    [anon_sym_return] = ACTIONS(2687),
    [anon_sym_throw] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_case] = ACTIONS(2687),
    [anon_sym_yield] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2687),
    [anon_sym_async] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_new] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_void] = ACTIONS(2687),
    [anon_sym_delete] = ACTIONS(2687),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2689),
    [sym_number] = ACTIONS(2689),
    [sym_this] = ACTIONS(2687),
    [sym_super] = ACTIONS(2687),
    [sym_true] = ACTIONS(2687),
    [sym_false] = ACTIONS(2687),
    [sym_null] = ACTIONS(2687),
    [sym_undefined] = ACTIONS(2687),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_static] = ACTIONS(2687),
    [anon_sym_readonly] = ACTIONS(2687),
    [anon_sym_get] = ACTIONS(2687),
    [anon_sym_set] = ACTIONS(2687),
    [anon_sym_declare] = ACTIONS(2687),
    [anon_sym_public] = ACTIONS(2687),
    [anon_sym_private] = ACTIONS(2687),
    [anon_sym_protected] = ACTIONS(2687),
    [anon_sym_override] = ACTIONS(2687),
    [anon_sym_module] = ACTIONS(2687),
    [anon_sym_any] = ACTIONS(2687),
    [anon_sym_number] = ACTIONS(2687),
    [anon_sym_boolean] = ACTIONS(2687),
    [anon_sym_string] = ACTIONS(2687),
    [anon_sym_symbol] = ACTIONS(2687),
    [anon_sym_property] = ACTIONS(2687),
    [anon_sym_signal] = ACTIONS(2687),
    [anon_sym_on] = ACTIONS(2687),
    [anon_sym_required] = ACTIONS(2687),
    [anon_sym_component] = ACTIONS(2687),
    [anon_sym_abstract] = ACTIONS(2687),
    [anon_sym_interface] = ACTIONS(2687),
    [anon_sym_enum] = ACTIONS(2687),
  },
  [846] = {
    [sym_identifier] = ACTIONS(2691),
    [anon_sym_export] = ACTIONS(2691),
    [anon_sym_default] = ACTIONS(2691),
    [anon_sym_type] = ACTIONS(2691),
    [anon_sym_namespace] = ACTIONS(2691),
    [anon_sym_LBRACE] = ACTIONS(2693),
    [anon_sym_RBRACE] = ACTIONS(2693),
    [anon_sym_typeof] = ACTIONS(2691),
    [anon_sym_import] = ACTIONS(2691),
    [anon_sym_from] = ACTIONS(2691),
    [anon_sym_var] = ACTIONS(2691),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_const] = ACTIONS(2691),
    [anon_sym_BANG] = ACTIONS(2693),
    [anon_sym_else] = ACTIONS(2691),
    [anon_sym_if] = ACTIONS(2691),
    [anon_sym_switch] = ACTIONS(2691),
    [anon_sym_for] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_await] = ACTIONS(2691),
    [anon_sym_of] = ACTIONS(2691),
    [anon_sym_while] = ACTIONS(2691),
    [anon_sym_do] = ACTIONS(2691),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_with] = ACTIONS(2691),
    [anon_sym_break] = ACTIONS(2691),
    [anon_sym_continue] = ACTIONS(2691),
    [anon_sym_debugger] = ACTIONS(2691),
    [anon_sym_return] = ACTIONS(2691),
    [anon_sym_throw] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2693),
    [anon_sym_case] = ACTIONS(2691),
    [anon_sym_yield] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_class] = ACTIONS(2691),
    [anon_sym_async] = ACTIONS(2691),
    [anon_sym_function] = ACTIONS(2691),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2691),
    [anon_sym_DASH] = ACTIONS(2691),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_void] = ACTIONS(2691),
    [anon_sym_delete] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2693),
    [anon_sym_DASH_DASH] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2693),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2693),
    [sym_number] = ACTIONS(2693),
    [sym_this] = ACTIONS(2691),
    [sym_super] = ACTIONS(2691),
    [sym_true] = ACTIONS(2691),
    [sym_false] = ACTIONS(2691),
    [sym_null] = ACTIONS(2691),
    [sym_undefined] = ACTIONS(2691),
    [anon_sym_AT] = ACTIONS(2693),
    [anon_sym_static] = ACTIONS(2691),
    [anon_sym_readonly] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2691),
    [anon_sym_set] = ACTIONS(2691),
    [anon_sym_declare] = ACTIONS(2691),
    [anon_sym_public] = ACTIONS(2691),
    [anon_sym_private] = ACTIONS(2691),
    [anon_sym_protected] = ACTIONS(2691),
    [anon_sym_override] = ACTIONS(2691),
    [anon_sym_module] = ACTIONS(2691),
    [anon_sym_any] = ACTIONS(2691),
    [anon_sym_number] = ACTIONS(2691),
    [anon_sym_boolean] = ACTIONS(2691),
    [anon_sym_string] = ACTIONS(2691),
    [anon_sym_symbol] = ACTIONS(2691),
    [anon_sym_property] = ACTIONS(2691),
    [anon_sym_signal] = ACTIONS(2691),
    [anon_sym_on] = ACTIONS(2691),
    [anon_sym_required] = ACTIONS(2691),
    [anon_sym_component] = ACTIONS(2691),
    [anon_sym_abstract] = ACTIONS(2691),
    [anon_sym_interface] = ACTIONS(2691),
    [anon_sym_enum] = ACTIONS(2691),
  },
  [847] = {
    [sym_identifier] = ACTIONS(2695),
    [anon_sym_export] = ACTIONS(2695),
    [anon_sym_default] = ACTIONS(2695),
    [anon_sym_type] = ACTIONS(2695),
    [anon_sym_namespace] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_RBRACE] = ACTIONS(2697),
    [anon_sym_typeof] = ACTIONS(2695),
    [anon_sym_import] = ACTIONS(2695),
    [anon_sym_from] = ACTIONS(2695),
    [anon_sym_var] = ACTIONS(2695),
    [anon_sym_let] = ACTIONS(2695),
    [anon_sym_const] = ACTIONS(2695),
    [anon_sym_BANG] = ACTIONS(2697),
    [anon_sym_else] = ACTIONS(2695),
    [anon_sym_if] = ACTIONS(2695),
    [anon_sym_switch] = ACTIONS(2695),
    [anon_sym_for] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(2697),
    [anon_sym_await] = ACTIONS(2695),
    [anon_sym_of] = ACTIONS(2695),
    [anon_sym_while] = ACTIONS(2695),
    [anon_sym_do] = ACTIONS(2695),
    [anon_sym_try] = ACTIONS(2695),
    [anon_sym_with] = ACTIONS(2695),
    [anon_sym_break] = ACTIONS(2695),
    [anon_sym_continue] = ACTIONS(2695),
    [anon_sym_debugger] = ACTIONS(2695),
    [anon_sym_return] = ACTIONS(2695),
    [anon_sym_throw] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2697),
    [anon_sym_case] = ACTIONS(2695),
    [anon_sym_yield] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_SLASH] = ACTIONS(2695),
    [anon_sym_class] = ACTIONS(2695),
    [anon_sym_async] = ACTIONS(2695),
    [anon_sym_function] = ACTIONS(2695),
    [anon_sym_new] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_TILDE] = ACTIONS(2697),
    [anon_sym_void] = ACTIONS(2695),
    [anon_sym_delete] = ACTIONS(2695),
    [anon_sym_PLUS_PLUS] = ACTIONS(2697),
    [anon_sym_DASH_DASH] = ACTIONS(2697),
    [anon_sym_DQUOTE] = ACTIONS(2697),
    [anon_sym_SQUOTE] = ACTIONS(2697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2697),
    [sym_number] = ACTIONS(2697),
    [sym_this] = ACTIONS(2695),
    [sym_super] = ACTIONS(2695),
    [sym_true] = ACTIONS(2695),
    [sym_false] = ACTIONS(2695),
    [sym_null] = ACTIONS(2695),
    [sym_undefined] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(2697),
    [anon_sym_static] = ACTIONS(2695),
    [anon_sym_readonly] = ACTIONS(2695),
    [anon_sym_get] = ACTIONS(2695),
    [anon_sym_set] = ACTIONS(2695),
    [anon_sym_declare] = ACTIONS(2695),
    [anon_sym_public] = ACTIONS(2695),
    [anon_sym_private] = ACTIONS(2695),
    [anon_sym_protected] = ACTIONS(2695),
    [anon_sym_override] = ACTIONS(2695),
    [anon_sym_module] = ACTIONS(2695),
    [anon_sym_any] = ACTIONS(2695),
    [anon_sym_number] = ACTIONS(2695),
    [anon_sym_boolean] = ACTIONS(2695),
    [anon_sym_string] = ACTIONS(2695),
    [anon_sym_symbol] = ACTIONS(2695),
    [anon_sym_property] = ACTIONS(2695),
    [anon_sym_signal] = ACTIONS(2695),
    [anon_sym_on] = ACTIONS(2695),
    [anon_sym_required] = ACTIONS(2695),
    [anon_sym_component] = ACTIONS(2695),
    [anon_sym_abstract] = ACTIONS(2695),
    [anon_sym_interface] = ACTIONS(2695),
    [anon_sym_enum] = ACTIONS(2695),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2699),
    [anon_sym_export] = ACTIONS(2699),
    [anon_sym_default] = ACTIONS(2699),
    [anon_sym_type] = ACTIONS(2699),
    [anon_sym_namespace] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2701),
    [anon_sym_RBRACE] = ACTIONS(2701),
    [anon_sym_typeof] = ACTIONS(2699),
    [anon_sym_import] = ACTIONS(2699),
    [anon_sym_from] = ACTIONS(2699),
    [anon_sym_var] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_BANG] = ACTIONS(2701),
    [anon_sym_else] = ACTIONS(2699),
    [anon_sym_if] = ACTIONS(2699),
    [anon_sym_switch] = ACTIONS(2699),
    [anon_sym_for] = ACTIONS(2699),
    [anon_sym_LPAREN] = ACTIONS(2701),
    [anon_sym_await] = ACTIONS(2699),
    [anon_sym_of] = ACTIONS(2699),
    [anon_sym_while] = ACTIONS(2699),
    [anon_sym_do] = ACTIONS(2699),
    [anon_sym_try] = ACTIONS(2699),
    [anon_sym_with] = ACTIONS(2699),
    [anon_sym_break] = ACTIONS(2699),
    [anon_sym_continue] = ACTIONS(2699),
    [anon_sym_debugger] = ACTIONS(2699),
    [anon_sym_return] = ACTIONS(2699),
    [anon_sym_throw] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym_case] = ACTIONS(2699),
    [anon_sym_yield] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2701),
    [anon_sym_LT] = ACTIONS(2701),
    [anon_sym_SLASH] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_async] = ACTIONS(2699),
    [anon_sym_function] = ACTIONS(2699),
    [anon_sym_new] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_void] = ACTIONS(2699),
    [anon_sym_delete] = ACTIONS(2699),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_DQUOTE] = ACTIONS(2701),
    [anon_sym_SQUOTE] = ACTIONS(2701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2701),
    [sym_number] = ACTIONS(2701),
    [sym_this] = ACTIONS(2699),
    [sym_super] = ACTIONS(2699),
    [sym_true] = ACTIONS(2699),
    [sym_false] = ACTIONS(2699),
    [sym_null] = ACTIONS(2699),
    [sym_undefined] = ACTIONS(2699),
    [anon_sym_AT] = ACTIONS(2701),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_readonly] = ACTIONS(2699),
    [anon_sym_get] = ACTIONS(2699),
    [anon_sym_set] = ACTIONS(2699),
    [anon_sym_declare] = ACTIONS(2699),
    [anon_sym_public] = ACTIONS(2699),
    [anon_sym_private] = ACTIONS(2699),
    [anon_sym_protected] = ACTIONS(2699),
    [anon_sym_override] = ACTIONS(2699),
    [anon_sym_module] = ACTIONS(2699),
    [anon_sym_any] = ACTIONS(2699),
    [anon_sym_number] = ACTIONS(2699),
    [anon_sym_boolean] = ACTIONS(2699),
    [anon_sym_string] = ACTIONS(2699),
    [anon_sym_symbol] = ACTIONS(2699),
    [anon_sym_property] = ACTIONS(2699),
    [anon_sym_signal] = ACTIONS(2699),
    [anon_sym_on] = ACTIONS(2699),
    [anon_sym_required] = ACTIONS(2699),
    [anon_sym_component] = ACTIONS(2699),
    [anon_sym_abstract] = ACTIONS(2699),
    [anon_sym_interface] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
  },
  [849] = {
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_export] = ACTIONS(2703),
    [anon_sym_default] = ACTIONS(2703),
    [anon_sym_type] = ACTIONS(2703),
    [anon_sym_namespace] = ACTIONS(2703),
    [anon_sym_LBRACE] = ACTIONS(2705),
    [anon_sym_RBRACE] = ACTIONS(2705),
    [anon_sym_typeof] = ACTIONS(2703),
    [anon_sym_import] = ACTIONS(2703),
    [anon_sym_from] = ACTIONS(2703),
    [anon_sym_var] = ACTIONS(2703),
    [anon_sym_let] = ACTIONS(2703),
    [anon_sym_const] = ACTIONS(2703),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_else] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2703),
    [anon_sym_switch] = ACTIONS(2703),
    [anon_sym_for] = ACTIONS(2703),
    [anon_sym_LPAREN] = ACTIONS(2705),
    [anon_sym_await] = ACTIONS(2703),
    [anon_sym_of] = ACTIONS(2703),
    [anon_sym_while] = ACTIONS(2703),
    [anon_sym_do] = ACTIONS(2703),
    [anon_sym_try] = ACTIONS(2703),
    [anon_sym_with] = ACTIONS(2703),
    [anon_sym_break] = ACTIONS(2703),
    [anon_sym_continue] = ACTIONS(2703),
    [anon_sym_debugger] = ACTIONS(2703),
    [anon_sym_return] = ACTIONS(2703),
    [anon_sym_throw] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym_case] = ACTIONS(2703),
    [anon_sym_yield] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_LT] = ACTIONS(2705),
    [anon_sym_SLASH] = ACTIONS(2703),
    [anon_sym_class] = ACTIONS(2703),
    [anon_sym_async] = ACTIONS(2703),
    [anon_sym_function] = ACTIONS(2703),
    [anon_sym_new] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_void] = ACTIONS(2703),
    [anon_sym_delete] = ACTIONS(2703),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2705),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2705),
    [sym_number] = ACTIONS(2705),
    [sym_this] = ACTIONS(2703),
    [sym_super] = ACTIONS(2703),
    [sym_true] = ACTIONS(2703),
    [sym_false] = ACTIONS(2703),
    [sym_null] = ACTIONS(2703),
    [sym_undefined] = ACTIONS(2703),
    [anon_sym_AT] = ACTIONS(2705),
    [anon_sym_static] = ACTIONS(2703),
    [anon_sym_readonly] = ACTIONS(2703),
    [anon_sym_get] = ACTIONS(2703),
    [anon_sym_set] = ACTIONS(2703),
    [anon_sym_declare] = ACTIONS(2703),
    [anon_sym_public] = ACTIONS(2703),
    [anon_sym_private] = ACTIONS(2703),
    [anon_sym_protected] = ACTIONS(2703),
    [anon_sym_override] = ACTIONS(2703),
    [anon_sym_module] = ACTIONS(2703),
    [anon_sym_any] = ACTIONS(2703),
    [anon_sym_number] = ACTIONS(2703),
    [anon_sym_boolean] = ACTIONS(2703),
    [anon_sym_string] = ACTIONS(2703),
    [anon_sym_symbol] = ACTIONS(2703),
    [anon_sym_property] = ACTIONS(2703),
    [anon_sym_signal] = ACTIONS(2703),
    [anon_sym_on] = ACTIONS(2703),
    [anon_sym_required] = ACTIONS(2703),
    [anon_sym_component] = ACTIONS(2703),
    [anon_sym_abstract] = ACTIONS(2703),
    [anon_sym_interface] = ACTIONS(2703),
    [anon_sym_enum] = ACTIONS(2703),
  },
  [850] = {
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_export] = ACTIONS(2703),
    [anon_sym_default] = ACTIONS(2703),
    [anon_sym_type] = ACTIONS(2703),
    [anon_sym_namespace] = ACTIONS(2703),
    [anon_sym_LBRACE] = ACTIONS(2705),
    [anon_sym_RBRACE] = ACTIONS(2705),
    [anon_sym_typeof] = ACTIONS(2703),
    [anon_sym_import] = ACTIONS(2703),
    [anon_sym_from] = ACTIONS(2703),
    [anon_sym_var] = ACTIONS(2703),
    [anon_sym_let] = ACTIONS(2703),
    [anon_sym_const] = ACTIONS(2703),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_else] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2703),
    [anon_sym_switch] = ACTIONS(2703),
    [anon_sym_for] = ACTIONS(2703),
    [anon_sym_LPAREN] = ACTIONS(2705),
    [anon_sym_await] = ACTIONS(2703),
    [anon_sym_of] = ACTIONS(2703),
    [anon_sym_while] = ACTIONS(2703),
    [anon_sym_do] = ACTIONS(2703),
    [anon_sym_try] = ACTIONS(2703),
    [anon_sym_with] = ACTIONS(2703),
    [anon_sym_break] = ACTIONS(2703),
    [anon_sym_continue] = ACTIONS(2703),
    [anon_sym_debugger] = ACTIONS(2703),
    [anon_sym_return] = ACTIONS(2703),
    [anon_sym_throw] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym_case] = ACTIONS(2703),
    [anon_sym_yield] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_LT] = ACTIONS(2705),
    [anon_sym_SLASH] = ACTIONS(2703),
    [anon_sym_class] = ACTIONS(2703),
    [anon_sym_async] = ACTIONS(2703),
    [anon_sym_function] = ACTIONS(2703),
    [anon_sym_new] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_void] = ACTIONS(2703),
    [anon_sym_delete] = ACTIONS(2703),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2705),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2705),
    [sym_number] = ACTIONS(2705),
    [sym_this] = ACTIONS(2703),
    [sym_super] = ACTIONS(2703),
    [sym_true] = ACTIONS(2703),
    [sym_false] = ACTIONS(2703),
    [sym_null] = ACTIONS(2703),
    [sym_undefined] = ACTIONS(2703),
    [anon_sym_AT] = ACTIONS(2705),
    [anon_sym_static] = ACTIONS(2703),
    [anon_sym_readonly] = ACTIONS(2703),
    [anon_sym_get] = ACTIONS(2703),
    [anon_sym_set] = ACTIONS(2703),
    [anon_sym_declare] = ACTIONS(2703),
    [anon_sym_public] = ACTIONS(2703),
    [anon_sym_private] = ACTIONS(2703),
    [anon_sym_protected] = ACTIONS(2703),
    [anon_sym_override] = ACTIONS(2703),
    [anon_sym_module] = ACTIONS(2703),
    [anon_sym_any] = ACTIONS(2703),
    [anon_sym_number] = ACTIONS(2703),
    [anon_sym_boolean] = ACTIONS(2703),
    [anon_sym_string] = ACTIONS(2703),
    [anon_sym_symbol] = ACTIONS(2703),
    [anon_sym_property] = ACTIONS(2703),
    [anon_sym_signal] = ACTIONS(2703),
    [anon_sym_on] = ACTIONS(2703),
    [anon_sym_required] = ACTIONS(2703),
    [anon_sym_component] = ACTIONS(2703),
    [anon_sym_abstract] = ACTIONS(2703),
    [anon_sym_interface] = ACTIONS(2703),
    [anon_sym_enum] = ACTIONS(2703),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_export] = ACTIONS(2703),
    [anon_sym_default] = ACTIONS(2703),
    [anon_sym_type] = ACTIONS(2703),
    [anon_sym_namespace] = ACTIONS(2703),
    [anon_sym_LBRACE] = ACTIONS(2705),
    [anon_sym_RBRACE] = ACTIONS(2705),
    [anon_sym_typeof] = ACTIONS(2703),
    [anon_sym_import] = ACTIONS(2703),
    [anon_sym_from] = ACTIONS(2703),
    [anon_sym_var] = ACTIONS(2703),
    [anon_sym_let] = ACTIONS(2703),
    [anon_sym_const] = ACTIONS(2703),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_else] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2703),
    [anon_sym_switch] = ACTIONS(2703),
    [anon_sym_for] = ACTIONS(2703),
    [anon_sym_LPAREN] = ACTIONS(2705),
    [anon_sym_await] = ACTIONS(2703),
    [anon_sym_of] = ACTIONS(2703),
    [anon_sym_while] = ACTIONS(2703),
    [anon_sym_do] = ACTIONS(2703),
    [anon_sym_try] = ACTIONS(2703),
    [anon_sym_with] = ACTIONS(2703),
    [anon_sym_break] = ACTIONS(2703),
    [anon_sym_continue] = ACTIONS(2703),
    [anon_sym_debugger] = ACTIONS(2703),
    [anon_sym_return] = ACTIONS(2703),
    [anon_sym_throw] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym_case] = ACTIONS(2703),
    [anon_sym_yield] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_LT] = ACTIONS(2705),
    [anon_sym_SLASH] = ACTIONS(2703),
    [anon_sym_class] = ACTIONS(2703),
    [anon_sym_async] = ACTIONS(2703),
    [anon_sym_function] = ACTIONS(2703),
    [anon_sym_new] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_void] = ACTIONS(2703),
    [anon_sym_delete] = ACTIONS(2703),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2705),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2705),
    [sym_number] = ACTIONS(2705),
    [sym_this] = ACTIONS(2703),
    [sym_super] = ACTIONS(2703),
    [sym_true] = ACTIONS(2703),
    [sym_false] = ACTIONS(2703),
    [sym_null] = ACTIONS(2703),
    [sym_undefined] = ACTIONS(2703),
    [anon_sym_AT] = ACTIONS(2705),
    [anon_sym_static] = ACTIONS(2703),
    [anon_sym_readonly] = ACTIONS(2703),
    [anon_sym_get] = ACTIONS(2703),
    [anon_sym_set] = ACTIONS(2703),
    [anon_sym_declare] = ACTIONS(2703),
    [anon_sym_public] = ACTIONS(2703),
    [anon_sym_private] = ACTIONS(2703),
    [anon_sym_protected] = ACTIONS(2703),
    [anon_sym_override] = ACTIONS(2703),
    [anon_sym_module] = ACTIONS(2703),
    [anon_sym_any] = ACTIONS(2703),
    [anon_sym_number] = ACTIONS(2703),
    [anon_sym_boolean] = ACTIONS(2703),
    [anon_sym_string] = ACTIONS(2703),
    [anon_sym_symbol] = ACTIONS(2703),
    [anon_sym_property] = ACTIONS(2703),
    [anon_sym_signal] = ACTIONS(2703),
    [anon_sym_on] = ACTIONS(2703),
    [anon_sym_required] = ACTIONS(2703),
    [anon_sym_component] = ACTIONS(2703),
    [anon_sym_abstract] = ACTIONS(2703),
    [anon_sym_interface] = ACTIONS(2703),
    [anon_sym_enum] = ACTIONS(2703),
  },
  [852] = {
    [sym_identifier] = ACTIONS(2707),
    [anon_sym_export] = ACTIONS(2707),
    [anon_sym_type] = ACTIONS(2707),
    [anon_sym_namespace] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_typeof] = ACTIONS(2707),
    [anon_sym_import] = ACTIONS(2707),
    [anon_sym_from] = ACTIONS(2707),
    [anon_sym_var] = ACTIONS(2707),
    [anon_sym_let] = ACTIONS(2707),
    [anon_sym_const] = ACTIONS(2707),
    [anon_sym_BANG] = ACTIONS(2709),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_switch] = ACTIONS(2707),
    [anon_sym_for] = ACTIONS(2707),
    [anon_sym_LPAREN] = ACTIONS(2709),
    [anon_sym_await] = ACTIONS(2707),
    [anon_sym_of] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(2707),
    [anon_sym_do] = ACTIONS(2707),
    [anon_sym_try] = ACTIONS(2707),
    [anon_sym_with] = ACTIONS(2707),
    [anon_sym_break] = ACTIONS(2707),
    [anon_sym_continue] = ACTIONS(2707),
    [anon_sym_debugger] = ACTIONS(2707),
    [anon_sym_return] = ACTIONS(2707),
    [anon_sym_throw] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym_yield] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_LT] = ACTIONS(2709),
    [anon_sym_SLASH] = ACTIONS(2707),
    [anon_sym_class] = ACTIONS(2707),
    [anon_sym_async] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2707),
    [anon_sym_new] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2707),
    [anon_sym_DASH] = ACTIONS(2707),
    [anon_sym_TILDE] = ACTIONS(2709),
    [anon_sym_void] = ACTIONS(2707),
    [anon_sym_delete] = ACTIONS(2707),
    [anon_sym_PLUS_PLUS] = ACTIONS(2709),
    [anon_sym_DASH_DASH] = ACTIONS(2709),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [anon_sym_SQUOTE] = ACTIONS(2709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2709),
    [sym_number] = ACTIONS(2709),
    [sym_this] = ACTIONS(2707),
    [sym_super] = ACTIONS(2707),
    [sym_true] = ACTIONS(2707),
    [sym_false] = ACTIONS(2707),
    [sym_null] = ACTIONS(2707),
    [sym_undefined] = ACTIONS(2707),
    [anon_sym_AT] = ACTIONS(2709),
    [anon_sym_static] = ACTIONS(2707),
    [anon_sym_readonly] = ACTIONS(2707),
    [anon_sym_get] = ACTIONS(2707),
    [anon_sym_set] = ACTIONS(2707),
    [anon_sym_declare] = ACTIONS(2707),
    [anon_sym_public] = ACTIONS(2707),
    [anon_sym_private] = ACTIONS(2707),
    [anon_sym_protected] = ACTIONS(2707),
    [anon_sym_override] = ACTIONS(2707),
    [anon_sym_module] = ACTIONS(2707),
    [anon_sym_any] = ACTIONS(2707),
    [anon_sym_number] = ACTIONS(2707),
    [anon_sym_boolean] = ACTIONS(2707),
    [anon_sym_string] = ACTIONS(2707),
    [anon_sym_symbol] = ACTIONS(2707),
    [anon_sym_property] = ACTIONS(2707),
    [anon_sym_signal] = ACTIONS(2707),
    [anon_sym_on] = ACTIONS(2707),
    [anon_sym_required] = ACTIONS(2707),
    [anon_sym_component] = ACTIONS(2707),
    [anon_sym_abstract] = ACTIONS(2707),
    [anon_sym_interface] = ACTIONS(2707),
    [anon_sym_enum] = ACTIONS(2707),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2711),
    [anon_sym_export] = ACTIONS(2711),
    [anon_sym_type] = ACTIONS(2711),
    [anon_sym_namespace] = ACTIONS(2711),
    [anon_sym_LBRACE] = ACTIONS(2713),
    [anon_sym_typeof] = ACTIONS(2711),
    [anon_sym_import] = ACTIONS(2711),
    [anon_sym_from] = ACTIONS(2711),
    [anon_sym_var] = ACTIONS(2711),
    [anon_sym_let] = ACTIONS(2711),
    [anon_sym_const] = ACTIONS(2711),
    [anon_sym_BANG] = ACTIONS(2713),
    [anon_sym_if] = ACTIONS(2711),
    [anon_sym_switch] = ACTIONS(2711),
    [anon_sym_for] = ACTIONS(2711),
    [anon_sym_LPAREN] = ACTIONS(2713),
    [anon_sym_await] = ACTIONS(2711),
    [anon_sym_of] = ACTIONS(2711),
    [anon_sym_while] = ACTIONS(2711),
    [anon_sym_do] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_with] = ACTIONS(2711),
    [anon_sym_break] = ACTIONS(2711),
    [anon_sym_continue] = ACTIONS(2711),
    [anon_sym_debugger] = ACTIONS(2711),
    [anon_sym_return] = ACTIONS(2711),
    [anon_sym_throw] = ACTIONS(2711),
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym_yield] = ACTIONS(2711),
    [anon_sym_LBRACK] = ACTIONS(2713),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2711),
    [anon_sym_class] = ACTIONS(2711),
    [anon_sym_async] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_new] = ACTIONS(2711),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_TILDE] = ACTIONS(2713),
    [anon_sym_void] = ACTIONS(2711),
    [anon_sym_delete] = ACTIONS(2711),
    [anon_sym_PLUS_PLUS] = ACTIONS(2713),
    [anon_sym_DASH_DASH] = ACTIONS(2713),
    [anon_sym_DQUOTE] = ACTIONS(2713),
    [anon_sym_SQUOTE] = ACTIONS(2713),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2713),
    [sym_number] = ACTIONS(2713),
    [sym_this] = ACTIONS(2711),
    [sym_super] = ACTIONS(2711),
    [sym_true] = ACTIONS(2711),
    [sym_false] = ACTIONS(2711),
    [sym_null] = ACTIONS(2711),
    [sym_undefined] = ACTIONS(2711),
    [anon_sym_AT] = ACTIONS(2713),
    [anon_sym_static] = ACTIONS(2711),
    [anon_sym_readonly] = ACTIONS(2711),
    [anon_sym_get] = ACTIONS(2711),
    [anon_sym_set] = ACTIONS(2711),
    [anon_sym_declare] = ACTIONS(2711),
    [anon_sym_public] = ACTIONS(2711),
    [anon_sym_private] = ACTIONS(2711),
    [anon_sym_protected] = ACTIONS(2711),
    [anon_sym_override] = ACTIONS(2711),
    [anon_sym_module] = ACTIONS(2711),
    [anon_sym_any] = ACTIONS(2711),
    [anon_sym_number] = ACTIONS(2711),
    [anon_sym_boolean] = ACTIONS(2711),
    [anon_sym_string] = ACTIONS(2711),
    [anon_sym_symbol] = ACTIONS(2711),
    [anon_sym_property] = ACTIONS(2711),
    [anon_sym_signal] = ACTIONS(2711),
    [anon_sym_on] = ACTIONS(2711),
    [anon_sym_required] = ACTIONS(2711),
    [anon_sym_component] = ACTIONS(2711),
    [anon_sym_abstract] = ACTIONS(2711),
    [anon_sym_interface] = ACTIONS(2711),
    [anon_sym_enum] = ACTIONS(2711),
  },
  [854] = {
    [sym_identifier] = ACTIONS(2715),
    [anon_sym_export] = ACTIONS(2715),
    [anon_sym_type] = ACTIONS(2715),
    [anon_sym_namespace] = ACTIONS(2715),
    [anon_sym_LBRACE] = ACTIONS(2717),
    [anon_sym_typeof] = ACTIONS(2715),
    [anon_sym_import] = ACTIONS(2715),
    [anon_sym_from] = ACTIONS(2715),
    [anon_sym_var] = ACTIONS(2715),
    [anon_sym_let] = ACTIONS(2715),
    [anon_sym_const] = ACTIONS(2715),
    [anon_sym_BANG] = ACTIONS(2717),
    [anon_sym_if] = ACTIONS(2715),
    [anon_sym_switch] = ACTIONS(2715),
    [anon_sym_for] = ACTIONS(2715),
    [anon_sym_LPAREN] = ACTIONS(2717),
    [anon_sym_await] = ACTIONS(2715),
    [anon_sym_of] = ACTIONS(2715),
    [anon_sym_while] = ACTIONS(2715),
    [anon_sym_do] = ACTIONS(2715),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_with] = ACTIONS(2715),
    [anon_sym_break] = ACTIONS(2715),
    [anon_sym_continue] = ACTIONS(2715),
    [anon_sym_debugger] = ACTIONS(2715),
    [anon_sym_return] = ACTIONS(2715),
    [anon_sym_throw] = ACTIONS(2715),
    [anon_sym_SEMI] = ACTIONS(2717),
    [anon_sym_yield] = ACTIONS(2715),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_LT] = ACTIONS(2717),
    [anon_sym_SLASH] = ACTIONS(2715),
    [anon_sym_class] = ACTIONS(2715),
    [anon_sym_async] = ACTIONS(2715),
    [anon_sym_function] = ACTIONS(2715),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(2715),
    [anon_sym_DASH] = ACTIONS(2715),
    [anon_sym_TILDE] = ACTIONS(2717),
    [anon_sym_void] = ACTIONS(2715),
    [anon_sym_delete] = ACTIONS(2715),
    [anon_sym_PLUS_PLUS] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2717),
    [anon_sym_DQUOTE] = ACTIONS(2717),
    [anon_sym_SQUOTE] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2717),
    [sym_number] = ACTIONS(2717),
    [sym_this] = ACTIONS(2715),
    [sym_super] = ACTIONS(2715),
    [sym_true] = ACTIONS(2715),
    [sym_false] = ACTIONS(2715),
    [sym_null] = ACTIONS(2715),
    [sym_undefined] = ACTIONS(2715),
    [anon_sym_AT] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2715),
    [anon_sym_readonly] = ACTIONS(2715),
    [anon_sym_get] = ACTIONS(2715),
    [anon_sym_set] = ACTIONS(2715),
    [anon_sym_declare] = ACTIONS(2715),
    [anon_sym_public] = ACTIONS(2715),
    [anon_sym_private] = ACTIONS(2715),
    [anon_sym_protected] = ACTIONS(2715),
    [anon_sym_override] = ACTIONS(2715),
    [anon_sym_module] = ACTIONS(2715),
    [anon_sym_any] = ACTIONS(2715),
    [anon_sym_number] = ACTIONS(2715),
    [anon_sym_boolean] = ACTIONS(2715),
    [anon_sym_string] = ACTIONS(2715),
    [anon_sym_symbol] = ACTIONS(2715),
    [anon_sym_property] = ACTIONS(2715),
    [anon_sym_signal] = ACTIONS(2715),
    [anon_sym_on] = ACTIONS(2715),
    [anon_sym_required] = ACTIONS(2715),
    [anon_sym_component] = ACTIONS(2715),
    [anon_sym_abstract] = ACTIONS(2715),
    [anon_sym_interface] = ACTIONS(2715),
    [anon_sym_enum] = ACTIONS(2715),
  },
  [855] = {
    [sym_identifier] = ACTIONS(2719),
    [anon_sym_export] = ACTIONS(2719),
    [anon_sym_type] = ACTIONS(2719),
    [anon_sym_namespace] = ACTIONS(2719),
    [anon_sym_LBRACE] = ACTIONS(2721),
    [anon_sym_typeof] = ACTIONS(2719),
    [anon_sym_import] = ACTIONS(2719),
    [anon_sym_from] = ACTIONS(2719),
    [anon_sym_var] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_const] = ACTIONS(2719),
    [anon_sym_BANG] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2719),
    [anon_sym_switch] = ACTIONS(2719),
    [anon_sym_for] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_await] = ACTIONS(2719),
    [anon_sym_of] = ACTIONS(2719),
    [anon_sym_while] = ACTIONS(2719),
    [anon_sym_do] = ACTIONS(2719),
    [anon_sym_try] = ACTIONS(2719),
    [anon_sym_with] = ACTIONS(2719),
    [anon_sym_break] = ACTIONS(2719),
    [anon_sym_continue] = ACTIONS(2719),
    [anon_sym_debugger] = ACTIONS(2719),
    [anon_sym_return] = ACTIONS(2719),
    [anon_sym_throw] = ACTIONS(2719),
    [anon_sym_SEMI] = ACTIONS(2721),
    [anon_sym_yield] = ACTIONS(2719),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_LT] = ACTIONS(2721),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_class] = ACTIONS(2719),
    [anon_sym_async] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2719),
    [anon_sym_new] = ACTIONS(2719),
    [anon_sym_PLUS] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2721),
    [anon_sym_void] = ACTIONS(2719),
    [anon_sym_delete] = ACTIONS(2719),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_DQUOTE] = ACTIONS(2721),
    [anon_sym_SQUOTE] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2721),
    [sym_number] = ACTIONS(2721),
    [sym_this] = ACTIONS(2719),
    [sym_super] = ACTIONS(2719),
    [sym_true] = ACTIONS(2719),
    [sym_false] = ACTIONS(2719),
    [sym_null] = ACTIONS(2719),
    [sym_undefined] = ACTIONS(2719),
    [anon_sym_AT] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2719),
    [anon_sym_readonly] = ACTIONS(2719),
    [anon_sym_get] = ACTIONS(2719),
    [anon_sym_set] = ACTIONS(2719),
    [anon_sym_declare] = ACTIONS(2719),
    [anon_sym_public] = ACTIONS(2719),
    [anon_sym_private] = ACTIONS(2719),
    [anon_sym_protected] = ACTIONS(2719),
    [anon_sym_override] = ACTIONS(2719),
    [anon_sym_module] = ACTIONS(2719),
    [anon_sym_any] = ACTIONS(2719),
    [anon_sym_number] = ACTIONS(2719),
    [anon_sym_boolean] = ACTIONS(2719),
    [anon_sym_string] = ACTIONS(2719),
    [anon_sym_symbol] = ACTIONS(2719),
    [anon_sym_property] = ACTIONS(2719),
    [anon_sym_signal] = ACTIONS(2719),
    [anon_sym_on] = ACTIONS(2719),
    [anon_sym_required] = ACTIONS(2719),
    [anon_sym_component] = ACTIONS(2719),
    [anon_sym_abstract] = ACTIONS(2719),
    [anon_sym_interface] = ACTIONS(2719),
    [anon_sym_enum] = ACTIONS(2719),
  },
  [856] = {
    [sym_identifier] = ACTIONS(2723),
    [anon_sym_export] = ACTIONS(2723),
    [anon_sym_type] = ACTIONS(2723),
    [anon_sym_namespace] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_typeof] = ACTIONS(2723),
    [anon_sym_import] = ACTIONS(2723),
    [anon_sym_from] = ACTIONS(2723),
    [anon_sym_var] = ACTIONS(2723),
    [anon_sym_let] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_switch] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [anon_sym_await] = ACTIONS(2723),
    [anon_sym_of] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_do] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_with] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_debugger] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_yield] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_LT] = ACTIONS(2725),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2723),
    [anon_sym_async] = ACTIONS(2723),
    [anon_sym_function] = ACTIONS(2723),
    [anon_sym_new] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2725),
    [anon_sym_void] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2725),
    [sym_number] = ACTIONS(2725),
    [sym_this] = ACTIONS(2723),
    [sym_super] = ACTIONS(2723),
    [sym_true] = ACTIONS(2723),
    [sym_false] = ACTIONS(2723),
    [sym_null] = ACTIONS(2723),
    [sym_undefined] = ACTIONS(2723),
    [anon_sym_AT] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_readonly] = ACTIONS(2723),
    [anon_sym_get] = ACTIONS(2723),
    [anon_sym_set] = ACTIONS(2723),
    [anon_sym_declare] = ACTIONS(2723),
    [anon_sym_public] = ACTIONS(2723),
    [anon_sym_private] = ACTIONS(2723),
    [anon_sym_protected] = ACTIONS(2723),
    [anon_sym_override] = ACTIONS(2723),
    [anon_sym_module] = ACTIONS(2723),
    [anon_sym_any] = ACTIONS(2723),
    [anon_sym_number] = ACTIONS(2723),
    [anon_sym_boolean] = ACTIONS(2723),
    [anon_sym_string] = ACTIONS(2723),
    [anon_sym_symbol] = ACTIONS(2723),
    [anon_sym_property] = ACTIONS(2723),
    [anon_sym_signal] = ACTIONS(2723),
    [anon_sym_on] = ACTIONS(2723),
    [anon_sym_required] = ACTIONS(2723),
    [anon_sym_component] = ACTIONS(2723),
    [anon_sym_abstract] = ACTIONS(2723),
    [anon_sym_interface] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
  },
  [857] = {
    [sym_identifier] = ACTIONS(2723),
    [anon_sym_export] = ACTIONS(2723),
    [anon_sym_type] = ACTIONS(2723),
    [anon_sym_namespace] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_typeof] = ACTIONS(2723),
    [anon_sym_import] = ACTIONS(2723),
    [anon_sym_from] = ACTIONS(2723),
    [anon_sym_var] = ACTIONS(2723),
    [anon_sym_let] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_switch] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [anon_sym_await] = ACTIONS(2723),
    [anon_sym_of] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_do] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_with] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_debugger] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_yield] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_LT] = ACTIONS(2725),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2723),
    [anon_sym_async] = ACTIONS(2723),
    [anon_sym_function] = ACTIONS(2723),
    [anon_sym_new] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2725),
    [anon_sym_void] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2725),
    [sym_number] = ACTIONS(2725),
    [sym_this] = ACTIONS(2723),
    [sym_super] = ACTIONS(2723),
    [sym_true] = ACTIONS(2723),
    [sym_false] = ACTIONS(2723),
    [sym_null] = ACTIONS(2723),
    [sym_undefined] = ACTIONS(2723),
    [anon_sym_AT] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_readonly] = ACTIONS(2723),
    [anon_sym_get] = ACTIONS(2723),
    [anon_sym_set] = ACTIONS(2723),
    [anon_sym_declare] = ACTIONS(2723),
    [anon_sym_public] = ACTIONS(2723),
    [anon_sym_private] = ACTIONS(2723),
    [anon_sym_protected] = ACTIONS(2723),
    [anon_sym_override] = ACTIONS(2723),
    [anon_sym_module] = ACTIONS(2723),
    [anon_sym_any] = ACTIONS(2723),
    [anon_sym_number] = ACTIONS(2723),
    [anon_sym_boolean] = ACTIONS(2723),
    [anon_sym_string] = ACTIONS(2723),
    [anon_sym_symbol] = ACTIONS(2723),
    [anon_sym_property] = ACTIONS(2723),
    [anon_sym_signal] = ACTIONS(2723),
    [anon_sym_on] = ACTIONS(2723),
    [anon_sym_required] = ACTIONS(2723),
    [anon_sym_component] = ACTIONS(2723),
    [anon_sym_abstract] = ACTIONS(2723),
    [anon_sym_interface] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
  },
  [858] = {
    [sym_identifier] = ACTIONS(2723),
    [anon_sym_export] = ACTIONS(2723),
    [anon_sym_type] = ACTIONS(2723),
    [anon_sym_namespace] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_typeof] = ACTIONS(2723),
    [anon_sym_import] = ACTIONS(2723),
    [anon_sym_from] = ACTIONS(2723),
    [anon_sym_var] = ACTIONS(2723),
    [anon_sym_let] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_switch] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [anon_sym_await] = ACTIONS(2723),
    [anon_sym_of] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_do] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_with] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_debugger] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_yield] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_LT] = ACTIONS(2725),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2723),
    [anon_sym_async] = ACTIONS(2723),
    [anon_sym_function] = ACTIONS(2723),
    [anon_sym_new] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2725),
    [anon_sym_void] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2725),
    [sym_number] = ACTIONS(2725),
    [sym_this] = ACTIONS(2723),
    [sym_super] = ACTIONS(2723),
    [sym_true] = ACTIONS(2723),
    [sym_false] = ACTIONS(2723),
    [sym_null] = ACTIONS(2723),
    [sym_undefined] = ACTIONS(2723),
    [anon_sym_AT] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_readonly] = ACTIONS(2723),
    [anon_sym_get] = ACTIONS(2723),
    [anon_sym_set] = ACTIONS(2723),
    [anon_sym_declare] = ACTIONS(2723),
    [anon_sym_public] = ACTIONS(2723),
    [anon_sym_private] = ACTIONS(2723),
    [anon_sym_protected] = ACTIONS(2723),
    [anon_sym_override] = ACTIONS(2723),
    [anon_sym_module] = ACTIONS(2723),
    [anon_sym_any] = ACTIONS(2723),
    [anon_sym_number] = ACTIONS(2723),
    [anon_sym_boolean] = ACTIONS(2723),
    [anon_sym_string] = ACTIONS(2723),
    [anon_sym_symbol] = ACTIONS(2723),
    [anon_sym_property] = ACTIONS(2723),
    [anon_sym_signal] = ACTIONS(2723),
    [anon_sym_on] = ACTIONS(2723),
    [anon_sym_required] = ACTIONS(2723),
    [anon_sym_component] = ACTIONS(2723),
    [anon_sym_abstract] = ACTIONS(2723),
    [anon_sym_interface] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
  },
  [859] = {
    [sym_identifier] = ACTIONS(2723),
    [anon_sym_export] = ACTIONS(2723),
    [anon_sym_type] = ACTIONS(2723),
    [anon_sym_namespace] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_typeof] = ACTIONS(2723),
    [anon_sym_import] = ACTIONS(2723),
    [anon_sym_from] = ACTIONS(2723),
    [anon_sym_var] = ACTIONS(2723),
    [anon_sym_let] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_switch] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [anon_sym_await] = ACTIONS(2723),
    [anon_sym_of] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_do] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_with] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_debugger] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_yield] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_LT] = ACTIONS(2725),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2723),
    [anon_sym_async] = ACTIONS(2723),
    [anon_sym_function] = ACTIONS(2723),
    [anon_sym_new] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2725),
    [anon_sym_void] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2725),
    [sym_number] = ACTIONS(2725),
    [sym_this] = ACTIONS(2723),
    [sym_super] = ACTIONS(2723),
    [sym_true] = ACTIONS(2723),
    [sym_false] = ACTIONS(2723),
    [sym_null] = ACTIONS(2723),
    [sym_undefined] = ACTIONS(2723),
    [anon_sym_AT] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_readonly] = ACTIONS(2723),
    [anon_sym_get] = ACTIONS(2723),
    [anon_sym_set] = ACTIONS(2723),
    [anon_sym_declare] = ACTIONS(2723),
    [anon_sym_public] = ACTIONS(2723),
    [anon_sym_private] = ACTIONS(2723),
    [anon_sym_protected] = ACTIONS(2723),
    [anon_sym_override] = ACTIONS(2723),
    [anon_sym_module] = ACTIONS(2723),
    [anon_sym_any] = ACTIONS(2723),
    [anon_sym_number] = ACTIONS(2723),
    [anon_sym_boolean] = ACTIONS(2723),
    [anon_sym_string] = ACTIONS(2723),
    [anon_sym_symbol] = ACTIONS(2723),
    [anon_sym_property] = ACTIONS(2723),
    [anon_sym_signal] = ACTIONS(2723),
    [anon_sym_on] = ACTIONS(2723),
    [anon_sym_required] = ACTIONS(2723),
    [anon_sym_component] = ACTIONS(2723),
    [anon_sym_abstract] = ACTIONS(2723),
    [anon_sym_interface] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
  },
  [860] = {
    [sym_identifier] = ACTIONS(2723),
    [anon_sym_export] = ACTIONS(2723),
    [anon_sym_type] = ACTIONS(2723),
    [anon_sym_namespace] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_typeof] = ACTIONS(2723),
    [anon_sym_import] = ACTIONS(2723),
    [anon_sym_from] = ACTIONS(2723),
    [anon_sym_var] = ACTIONS(2723),
    [anon_sym_let] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_switch] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [anon_sym_await] = ACTIONS(2723),
    [anon_sym_of] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_do] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_with] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_debugger] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_yield] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_LT] = ACTIONS(2725),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2723),
    [anon_sym_async] = ACTIONS(2723),
    [anon_sym_function] = ACTIONS(2723),
    [anon_sym_new] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2725),
    [anon_sym_void] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2725),
    [sym_number] = ACTIONS(2725),
    [sym_this] = ACTIONS(2723),
    [sym_super] = ACTIONS(2723),
    [sym_true] = ACTIONS(2723),
    [sym_false] = ACTIONS(2723),
    [sym_null] = ACTIONS(2723),
    [sym_undefined] = ACTIONS(2723),
    [anon_sym_AT] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_readonly] = ACTIONS(2723),
    [anon_sym_get] = ACTIONS(2723),
    [anon_sym_set] = ACTIONS(2723),
    [anon_sym_declare] = ACTIONS(2723),
    [anon_sym_public] = ACTIONS(2723),
    [anon_sym_private] = ACTIONS(2723),
    [anon_sym_protected] = ACTIONS(2723),
    [anon_sym_override] = ACTIONS(2723),
    [anon_sym_module] = ACTIONS(2723),
    [anon_sym_any] = ACTIONS(2723),
    [anon_sym_number] = ACTIONS(2723),
    [anon_sym_boolean] = ACTIONS(2723),
    [anon_sym_string] = ACTIONS(2723),
    [anon_sym_symbol] = ACTIONS(2723),
    [anon_sym_property] = ACTIONS(2723),
    [anon_sym_signal] = ACTIONS(2723),
    [anon_sym_on] = ACTIONS(2723),
    [anon_sym_required] = ACTIONS(2723),
    [anon_sym_component] = ACTIONS(2723),
    [anon_sym_abstract] = ACTIONS(2723),
    [anon_sym_interface] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
  },
  [861] = {
    [sym_identifier] = ACTIONS(2723),
    [anon_sym_export] = ACTIONS(2723),
    [anon_sym_type] = ACTIONS(2723),
    [anon_sym_namespace] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_typeof] = ACTIONS(2723),
    [anon_sym_import] = ACTIONS(2723),
    [anon_sym_from] = ACTIONS(2723),
    [anon_sym_var] = ACTIONS(2723),
    [anon_sym_let] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_switch] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [anon_sym_await] = ACTIONS(2723),
    [anon_sym_of] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_do] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_with] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_debugger] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_yield] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_LT] = ACTIONS(2725),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2723),
    [anon_sym_async] = ACTIONS(2723),
    [anon_sym_function] = ACTIONS(2723),
    [anon_sym_new] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2725),
    [anon_sym_void] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2725),
    [sym_number] = ACTIONS(2725),
    [sym_this] = ACTIONS(2723),
    [sym_super] = ACTIONS(2723),
    [sym_true] = ACTIONS(2723),
    [sym_false] = ACTIONS(2723),
    [sym_null] = ACTIONS(2723),
    [sym_undefined] = ACTIONS(2723),
    [anon_sym_AT] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_readonly] = ACTIONS(2723),
    [anon_sym_get] = ACTIONS(2723),
    [anon_sym_set] = ACTIONS(2723),
    [anon_sym_declare] = ACTIONS(2723),
    [anon_sym_public] = ACTIONS(2723),
    [anon_sym_private] = ACTIONS(2723),
    [anon_sym_protected] = ACTIONS(2723),
    [anon_sym_override] = ACTIONS(2723),
    [anon_sym_module] = ACTIONS(2723),
    [anon_sym_any] = ACTIONS(2723),
    [anon_sym_number] = ACTIONS(2723),
    [anon_sym_boolean] = ACTIONS(2723),
    [anon_sym_string] = ACTIONS(2723),
    [anon_sym_symbol] = ACTIONS(2723),
    [anon_sym_property] = ACTIONS(2723),
    [anon_sym_signal] = ACTIONS(2723),
    [anon_sym_on] = ACTIONS(2723),
    [anon_sym_required] = ACTIONS(2723),
    [anon_sym_component] = ACTIONS(2723),
    [anon_sym_abstract] = ACTIONS(2723),
    [anon_sym_interface] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
  },
  [862] = {
    [sym_identifier] = ACTIONS(2723),
    [anon_sym_export] = ACTIONS(2723),
    [anon_sym_type] = ACTIONS(2723),
    [anon_sym_namespace] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_typeof] = ACTIONS(2723),
    [anon_sym_import] = ACTIONS(2723),
    [anon_sym_from] = ACTIONS(2723),
    [anon_sym_var] = ACTIONS(2723),
    [anon_sym_let] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_switch] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [anon_sym_await] = ACTIONS(2723),
    [anon_sym_of] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_do] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_with] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_debugger] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_yield] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_LT] = ACTIONS(2725),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2723),
    [anon_sym_async] = ACTIONS(2723),
    [anon_sym_function] = ACTIONS(2723),
    [anon_sym_new] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2725),
    [anon_sym_void] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2725),
    [sym_number] = ACTIONS(2725),
    [sym_this] = ACTIONS(2723),
    [sym_super] = ACTIONS(2723),
    [sym_true] = ACTIONS(2723),
    [sym_false] = ACTIONS(2723),
    [sym_null] = ACTIONS(2723),
    [sym_undefined] = ACTIONS(2723),
    [anon_sym_AT] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_readonly] = ACTIONS(2723),
    [anon_sym_get] = ACTIONS(2723),
    [anon_sym_set] = ACTIONS(2723),
    [anon_sym_declare] = ACTIONS(2723),
    [anon_sym_public] = ACTIONS(2723),
    [anon_sym_private] = ACTIONS(2723),
    [anon_sym_protected] = ACTIONS(2723),
    [anon_sym_override] = ACTIONS(2723),
    [anon_sym_module] = ACTIONS(2723),
    [anon_sym_any] = ACTIONS(2723),
    [anon_sym_number] = ACTIONS(2723),
    [anon_sym_boolean] = ACTIONS(2723),
    [anon_sym_string] = ACTIONS(2723),
    [anon_sym_symbol] = ACTIONS(2723),
    [anon_sym_property] = ACTIONS(2723),
    [anon_sym_signal] = ACTIONS(2723),
    [anon_sym_on] = ACTIONS(2723),
    [anon_sym_required] = ACTIONS(2723),
    [anon_sym_component] = ACTIONS(2723),
    [anon_sym_abstract] = ACTIONS(2723),
    [anon_sym_interface] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
  },
  [863] = {
    [sym_identifier] = ACTIONS(2723),
    [anon_sym_export] = ACTIONS(2723),
    [anon_sym_type] = ACTIONS(2723),
    [anon_sym_namespace] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_typeof] = ACTIONS(2723),
    [anon_sym_import] = ACTIONS(2723),
    [anon_sym_from] = ACTIONS(2723),
    [anon_sym_var] = ACTIONS(2723),
    [anon_sym_let] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_switch] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [anon_sym_await] = ACTIONS(2723),
    [anon_sym_of] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_do] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_with] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_debugger] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_yield] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_LT] = ACTIONS(2725),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2723),
    [anon_sym_async] = ACTIONS(2723),
    [anon_sym_function] = ACTIONS(2723),
    [anon_sym_new] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2725),
    [anon_sym_void] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2725),
    [sym_number] = ACTIONS(2725),
    [sym_this] = ACTIONS(2723),
    [sym_super] = ACTIONS(2723),
    [sym_true] = ACTIONS(2723),
    [sym_false] = ACTIONS(2723),
    [sym_null] = ACTIONS(2723),
    [sym_undefined] = ACTIONS(2723),
    [anon_sym_AT] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_readonly] = ACTIONS(2723),
    [anon_sym_get] = ACTIONS(2723),
    [anon_sym_set] = ACTIONS(2723),
    [anon_sym_declare] = ACTIONS(2723),
    [anon_sym_public] = ACTIONS(2723),
    [anon_sym_private] = ACTIONS(2723),
    [anon_sym_protected] = ACTIONS(2723),
    [anon_sym_override] = ACTIONS(2723),
    [anon_sym_module] = ACTIONS(2723),
    [anon_sym_any] = ACTIONS(2723),
    [anon_sym_number] = ACTIONS(2723),
    [anon_sym_boolean] = ACTIONS(2723),
    [anon_sym_string] = ACTIONS(2723),
    [anon_sym_symbol] = ACTIONS(2723),
    [anon_sym_property] = ACTIONS(2723),
    [anon_sym_signal] = ACTIONS(2723),
    [anon_sym_on] = ACTIONS(2723),
    [anon_sym_required] = ACTIONS(2723),
    [anon_sym_component] = ACTIONS(2723),
    [anon_sym_abstract] = ACTIONS(2723),
    [anon_sym_interface] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
  },
  [864] = {
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_export] = ACTIONS(2727),
    [anon_sym_type] = ACTIONS(2727),
    [anon_sym_namespace] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_typeof] = ACTIONS(2727),
    [anon_sym_import] = ACTIONS(2727),
    [anon_sym_from] = ACTIONS(2727),
    [anon_sym_var] = ACTIONS(2727),
    [anon_sym_let] = ACTIONS(2727),
    [anon_sym_const] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(2727),
    [anon_sym_switch] = ACTIONS(2727),
    [anon_sym_for] = ACTIONS(2727),
    [anon_sym_LPAREN] = ACTIONS(2729),
    [anon_sym_await] = ACTIONS(2727),
    [anon_sym_of] = ACTIONS(2727),
    [anon_sym_while] = ACTIONS(2727),
    [anon_sym_do] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2727),
    [anon_sym_with] = ACTIONS(2727),
    [anon_sym_break] = ACTIONS(2727),
    [anon_sym_continue] = ACTIONS(2727),
    [anon_sym_debugger] = ACTIONS(2727),
    [anon_sym_return] = ACTIONS(2727),
    [anon_sym_throw] = ACTIONS(2727),
    [anon_sym_SEMI] = ACTIONS(2729),
    [anon_sym_yield] = ACTIONS(2727),
    [anon_sym_LBRACK] = ACTIONS(2729),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_SLASH] = ACTIONS(2727),
    [anon_sym_class] = ACTIONS(2727),
    [anon_sym_async] = ACTIONS(2727),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_new] = ACTIONS(2727),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2729),
    [anon_sym_void] = ACTIONS(2727),
    [anon_sym_delete] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2729),
    [anon_sym_DASH_DASH] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2729),
    [sym_number] = ACTIONS(2729),
    [sym_this] = ACTIONS(2727),
    [sym_super] = ACTIONS(2727),
    [sym_true] = ACTIONS(2727),
    [sym_false] = ACTIONS(2727),
    [sym_null] = ACTIONS(2727),
    [sym_undefined] = ACTIONS(2727),
    [anon_sym_AT] = ACTIONS(2729),
    [anon_sym_static] = ACTIONS(2727),
    [anon_sym_readonly] = ACTIONS(2727),
    [anon_sym_get] = ACTIONS(2727),
    [anon_sym_set] = ACTIONS(2727),
    [anon_sym_declare] = ACTIONS(2727),
    [anon_sym_public] = ACTIONS(2727),
    [anon_sym_private] = ACTIONS(2727),
    [anon_sym_protected] = ACTIONS(2727),
    [anon_sym_override] = ACTIONS(2727),
    [anon_sym_module] = ACTIONS(2727),
    [anon_sym_any] = ACTIONS(2727),
    [anon_sym_number] = ACTIONS(2727),
    [anon_sym_boolean] = ACTIONS(2727),
    [anon_sym_string] = ACTIONS(2727),
    [anon_sym_symbol] = ACTIONS(2727),
    [anon_sym_property] = ACTIONS(2727),
    [anon_sym_signal] = ACTIONS(2727),
    [anon_sym_on] = ACTIONS(2727),
    [anon_sym_required] = ACTIONS(2727),
    [anon_sym_component] = ACTIONS(2727),
    [anon_sym_abstract] = ACTIONS(2727),
    [anon_sym_interface] = ACTIONS(2727),
    [anon_sym_enum] = ACTIONS(2727),
  },
  [865] = {
    [sym_statement_block] = STATE(896),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_export] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_default] = ACTIONS(1498),
    [anon_sym_type] = ACTIONS(1498),
    [anon_sym_as] = ACTIONS(1498),
    [anon_sym_namespace] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(2731),
    [anon_sym_COMMA] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_from] = ACTIONS(1498),
    [anon_sym_var] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_else] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [anon_sym_in] = ACTIONS(1498),
    [anon_sym_of] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_DOT] = ACTIONS(1502),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1498),
    [anon_sym_QMARK_DOT] = ACTIONS(1502),
    [anon_sym_AMP_AMP] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1498),
    [anon_sym_GT_GT_GT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_STAR_STAR] = ACTIONS(1502),
    [anon_sym_LT_EQ] = ACTIONS(1502),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1502),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1502),
    [anon_sym_GT_EQ] = ACTIONS(1502),
    [anon_sym_QMARK_QMARK] = ACTIONS(1502),
    [anon_sym_instanceof] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [anon_sym_static] = ACTIONS(1498),
    [anon_sym_readonly] = ACTIONS(1498),
    [anon_sym_get] = ACTIONS(1498),
    [anon_sym_set] = ACTIONS(1498),
    [anon_sym_declare] = ACTIONS(1498),
    [anon_sym_public] = ACTIONS(1498),
    [anon_sym_private] = ACTIONS(1498),
    [anon_sym_protected] = ACTIONS(1498),
    [anon_sym_override] = ACTIONS(1498),
    [anon_sym_module] = ACTIONS(1498),
    [anon_sym_any] = ACTIONS(1498),
    [anon_sym_number] = ACTIONS(1498),
    [anon_sym_boolean] = ACTIONS(1498),
    [anon_sym_string] = ACTIONS(1498),
    [anon_sym_symbol] = ACTIONS(1498),
    [anon_sym_property] = ACTIONS(1498),
    [anon_sym_signal] = ACTIONS(1498),
    [anon_sym_on] = ACTIONS(1498),
    [anon_sym_required] = ACTIONS(1498),
    [anon_sym_component] = ACTIONS(1498),
    [anon_sym_enum] = ACTIONS(1498),
    [sym__automatic_semicolon] = ACTIONS(1502),
    [sym__ternary_qmark] = ACTIONS(1502),
  },
  [866] = {
    [sym_statement_block] = STATE(896),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_export] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_default] = ACTIONS(1498),
    [anon_sym_type] = ACTIONS(1498),
    [anon_sym_as] = ACTIONS(1498),
    [anon_sym_namespace] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(2731),
    [anon_sym_COMMA] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_from] = ACTIONS(1498),
    [anon_sym_var] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_else] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [anon_sym_in] = ACTIONS(1498),
    [anon_sym_of] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_async] = ACTIONS(1498),
    [anon_sym_function] = ACTIONS(1498),
    [anon_sym_QMARK_DOT] = ACTIONS(1502),
    [anon_sym_AMP_AMP] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1498),
    [anon_sym_GT_GT_GT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_STAR_STAR] = ACTIONS(1502),
    [anon_sym_LT_EQ] = ACTIONS(1502),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1502),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1502),
    [anon_sym_GT_EQ] = ACTIONS(1502),
    [anon_sym_QMARK_QMARK] = ACTIONS(1502),
    [anon_sym_instanceof] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [anon_sym_static] = ACTIONS(1498),
    [anon_sym_readonly] = ACTIONS(1498),
    [anon_sym_get] = ACTIONS(1498),
    [anon_sym_set] = ACTIONS(1498),
    [anon_sym_declare] = ACTIONS(1498),
    [anon_sym_public] = ACTIONS(1498),
    [anon_sym_private] = ACTIONS(1498),
    [anon_sym_protected] = ACTIONS(1498),
    [anon_sym_override] = ACTIONS(1498),
    [anon_sym_module] = ACTIONS(1498),
    [anon_sym_any] = ACTIONS(1498),
    [anon_sym_number] = ACTIONS(1498),
    [anon_sym_boolean] = ACTIONS(1498),
    [anon_sym_string] = ACTIONS(1498),
    [anon_sym_symbol] = ACTIONS(1498),
    [anon_sym_property] = ACTIONS(1498),
    [anon_sym_signal] = ACTIONS(1498),
    [anon_sym_on] = ACTIONS(1498),
    [anon_sym_required] = ACTIONS(1498),
    [anon_sym_component] = ACTIONS(1498),
    [anon_sym_enum] = ACTIONS(1498),
    [sym__automatic_semicolon] = ACTIONS(1502),
    [sym__ternary_qmark] = ACTIONS(1502),
  },
  [867] = {
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_export] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1422),
    [anon_sym_as] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_from] = ACTIONS(1418),
    [anon_sym_var] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [anon_sym_in] = ACTIONS(1420),
    [anon_sym_of] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_DOT] = ACTIONS(1426),
    [anon_sym_async] = ACTIONS(1418),
    [anon_sym_function] = ACTIONS(1418),
    [anon_sym_QMARK_DOT] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1420),
    [anon_sym_GT_GT_GT] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PERCENT] = ACTIONS(1426),
    [anon_sym_STAR_STAR] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_EQ_EQ] = ACTIONS(1420),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1420),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_QMARK_QMARK] = ACTIONS(1426),
    [anon_sym_instanceof] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_readonly] = ACTIONS(1418),
    [anon_sym_get] = ACTIONS(1418),
    [anon_sym_set] = ACTIONS(1418),
    [anon_sym_declare] = ACTIONS(1418),
    [anon_sym_public] = ACTIONS(1418),
    [anon_sym_private] = ACTIONS(1418),
    [anon_sym_protected] = ACTIONS(1418),
    [anon_sym_override] = ACTIONS(1418),
    [anon_sym_module] = ACTIONS(1418),
    [anon_sym_any] = ACTIONS(1418),
    [anon_sym_number] = ACTIONS(1418),
    [anon_sym_boolean] = ACTIONS(1418),
    [anon_sym_string] = ACTIONS(1418),
    [anon_sym_symbol] = ACTIONS(1418),
    [anon_sym_property] = ACTIONS(1418),
    [anon_sym_signal] = ACTIONS(1418),
    [anon_sym_on] = ACTIONS(1418),
    [anon_sym_required] = ACTIONS(1418),
    [anon_sym_component] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [sym__automatic_semicolon] = ACTIONS(2735),
    [sym__ternary_qmark] = ACTIONS(1426),
  },
  [868] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4080),
    [sym_optional_tuple_parameter] = STATE(4080),
    [sym_optional_type] = STATE(4080),
    [sym_rest_type] = STATE(4080),
    [sym__tuple_type_member] = STATE(4080),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(2739),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2741),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [869] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4255),
    [sym_optional_tuple_parameter] = STATE(4255),
    [sym_optional_type] = STATE(4255),
    [sym_rest_type] = STATE(4255),
    [sym__tuple_type_member] = STATE(4255),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(2749),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2751),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [870] = {
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_type] = ACTIONS(1576),
    [anon_sym_as] = ACTIONS(1576),
    [anon_sym_namespace] = ACTIONS(1576),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [anon_sym_from] = ACTIONS(1576),
    [anon_sym_var] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_else] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [anon_sym_in] = ACTIONS(1576),
    [anon_sym_of] = ACTIONS(1576),
    [anon_sym_SEMI] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1576),
    [anon_sym_GT] = ACTIONS(1576),
    [anon_sym_SLASH] = ACTIONS(1576),
    [anon_sym_DOT] = ACTIONS(1578),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(1576),
    [anon_sym_QMARK_DOT] = ACTIONS(1578),
    [anon_sym_AMP_AMP] = ACTIONS(1578),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1576),
    [anon_sym_GT_GT_GT] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1576),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_PERCENT] = ACTIONS(1578),
    [anon_sym_STAR_STAR] = ACTIONS(1578),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_EQ_EQ] = ACTIONS(1576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1576),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1578),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_QMARK_QMARK] = ACTIONS(1578),
    [anon_sym_instanceof] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1578),
    [anon_sym_AT] = ACTIONS(1578),
    [anon_sym_static] = ACTIONS(1576),
    [anon_sym_readonly] = ACTIONS(1576),
    [anon_sym_get] = ACTIONS(1576),
    [anon_sym_set] = ACTIONS(1576),
    [anon_sym_declare] = ACTIONS(1576),
    [anon_sym_public] = ACTIONS(1576),
    [anon_sym_private] = ACTIONS(1576),
    [anon_sym_protected] = ACTIONS(1576),
    [anon_sym_override] = ACTIONS(1576),
    [anon_sym_module] = ACTIONS(1576),
    [anon_sym_any] = ACTIONS(1576),
    [anon_sym_number] = ACTIONS(1576),
    [anon_sym_boolean] = ACTIONS(1576),
    [anon_sym_string] = ACTIONS(1576),
    [anon_sym_symbol] = ACTIONS(1576),
    [anon_sym_property] = ACTIONS(1576),
    [anon_sym_signal] = ACTIONS(1576),
    [anon_sym_on] = ACTIONS(1576),
    [anon_sym_required] = ACTIONS(1576),
    [anon_sym_component] = ACTIONS(1576),
    [anon_sym_enum] = ACTIONS(1576),
    [sym__automatic_semicolon] = ACTIONS(1578),
    [sym__ternary_qmark] = ACTIONS(1578),
  },
  [871] = {
    [sym_identifier] = ACTIONS(1526),
    [anon_sym_export] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_default] = ACTIONS(1526),
    [anon_sym_type] = ACTIONS(1526),
    [anon_sym_as] = ACTIONS(1526),
    [anon_sym_namespace] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_COMMA] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [anon_sym_from] = ACTIONS(1526),
    [anon_sym_var] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_else] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_in] = ACTIONS(1526),
    [anon_sym_of] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_DOT] = ACTIONS(1528),
    [anon_sym_async] = ACTIONS(1526),
    [anon_sym_function] = ACTIONS(1526),
    [anon_sym_QMARK_DOT] = ACTIONS(1528),
    [anon_sym_AMP_AMP] = ACTIONS(1528),
    [anon_sym_PIPE_PIPE] = ACTIONS(1528),
    [anon_sym_GT_GT] = ACTIONS(1526),
    [anon_sym_GT_GT_GT] = ACTIONS(1528),
    [anon_sym_LT_LT] = ACTIONS(1528),
    [anon_sym_AMP] = ACTIONS(1526),
    [anon_sym_CARET] = ACTIONS(1528),
    [anon_sym_PIPE] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_PERCENT] = ACTIONS(1528),
    [anon_sym_STAR_STAR] = ACTIONS(1528),
    [anon_sym_LT_EQ] = ACTIONS(1528),
    [anon_sym_EQ_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1528),
    [anon_sym_BANG_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1528),
    [anon_sym_GT_EQ] = ACTIONS(1528),
    [anon_sym_QMARK_QMARK] = ACTIONS(1528),
    [anon_sym_instanceof] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [anon_sym_static] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1526),
    [anon_sym_set] = ACTIONS(1526),
    [anon_sym_declare] = ACTIONS(1526),
    [anon_sym_public] = ACTIONS(1526),
    [anon_sym_private] = ACTIONS(1526),
    [anon_sym_protected] = ACTIONS(1526),
    [anon_sym_override] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_property] = ACTIONS(1526),
    [anon_sym_signal] = ACTIONS(1526),
    [anon_sym_on] = ACTIONS(1526),
    [anon_sym_required] = ACTIONS(1526),
    [anon_sym_component] = ACTIONS(1526),
    [anon_sym_enum] = ACTIONS(1526),
    [sym__automatic_semicolon] = ACTIONS(1528),
    [sym__ternary_qmark] = ACTIONS(1528),
  },
  [872] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4138),
    [sym_optional_tuple_parameter] = STATE(4138),
    [sym_optional_type] = STATE(4138),
    [sym_rest_type] = STATE(4138),
    [sym__tuple_type_member] = STATE(4138),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(2753),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [873] = {
    [sym_identifier] = ACTIONS(1586),
    [anon_sym_export] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_default] = ACTIONS(1586),
    [anon_sym_type] = ACTIONS(1586),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_namespace] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1588),
    [anon_sym_RBRACE] = ACTIONS(1588),
    [anon_sym_from] = ACTIONS(1586),
    [anon_sym_var] = ACTIONS(1586),
    [anon_sym_BANG] = ACTIONS(1586),
    [anon_sym_else] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1588),
    [anon_sym_in] = ACTIONS(1586),
    [anon_sym_of] = ACTIONS(1586),
    [anon_sym_SEMI] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1588),
    [anon_sym_LT] = ACTIONS(1586),
    [anon_sym_GT] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1586),
    [anon_sym_DOT] = ACTIONS(1588),
    [anon_sym_async] = ACTIONS(1586),
    [anon_sym_function] = ACTIONS(1586),
    [anon_sym_QMARK_DOT] = ACTIONS(1588),
    [anon_sym_AMP_AMP] = ACTIONS(1588),
    [anon_sym_PIPE_PIPE] = ACTIONS(1588),
    [anon_sym_GT_GT] = ACTIONS(1586),
    [anon_sym_GT_GT_GT] = ACTIONS(1588),
    [anon_sym_LT_LT] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1586),
    [anon_sym_PERCENT] = ACTIONS(1588),
    [anon_sym_STAR_STAR] = ACTIONS(1588),
    [anon_sym_LT_EQ] = ACTIONS(1588),
    [anon_sym_EQ_EQ] = ACTIONS(1586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1588),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1588),
    [anon_sym_GT_EQ] = ACTIONS(1588),
    [anon_sym_QMARK_QMARK] = ACTIONS(1588),
    [anon_sym_instanceof] = ACTIONS(1586),
    [anon_sym_PLUS_PLUS] = ACTIONS(1588),
    [anon_sym_DASH_DASH] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1588),
    [anon_sym_static] = ACTIONS(1586),
    [anon_sym_readonly] = ACTIONS(1586),
    [anon_sym_get] = ACTIONS(1586),
    [anon_sym_set] = ACTIONS(1586),
    [anon_sym_declare] = ACTIONS(1586),
    [anon_sym_public] = ACTIONS(1586),
    [anon_sym_private] = ACTIONS(1586),
    [anon_sym_protected] = ACTIONS(1586),
    [anon_sym_override] = ACTIONS(1586),
    [anon_sym_module] = ACTIONS(1586),
    [anon_sym_any] = ACTIONS(1586),
    [anon_sym_number] = ACTIONS(1586),
    [anon_sym_boolean] = ACTIONS(1586),
    [anon_sym_string] = ACTIONS(1586),
    [anon_sym_symbol] = ACTIONS(1586),
    [anon_sym_property] = ACTIONS(1586),
    [anon_sym_signal] = ACTIONS(1586),
    [anon_sym_on] = ACTIONS(1586),
    [anon_sym_required] = ACTIONS(1586),
    [anon_sym_component] = ACTIONS(1586),
    [anon_sym_enum] = ACTIONS(1586),
    [sym__automatic_semicolon] = ACTIONS(1588),
    [sym__ternary_qmark] = ACTIONS(1588),
  },
  [874] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4234),
    [sym_optional_tuple_parameter] = STATE(4234),
    [sym_optional_type] = STATE(4234),
    [sym_rest_type] = STATE(4234),
    [sym__tuple_type_member] = STATE(4234),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(2757),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [875] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4057),
    [sym_optional_tuple_parameter] = STATE(4057),
    [sym_optional_type] = STATE(4057),
    [sym_rest_type] = STATE(4057),
    [sym__tuple_type_member] = STATE(4057),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [876] = {
    [sym_identifier] = ACTIONS(1678),
    [anon_sym_export] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1678),
    [anon_sym_type] = ACTIONS(1678),
    [anon_sym_as] = ACTIONS(1680),
    [anon_sym_namespace] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(1684),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_from] = ACTIONS(1678),
    [anon_sym_var] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1680),
    [anon_sym_else] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [anon_sym_in] = ACTIONS(1680),
    [anon_sym_of] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [anon_sym_LT] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1680),
    [anon_sym_SLASH] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(1684),
    [anon_sym_async] = ACTIONS(1678),
    [anon_sym_function] = ACTIONS(1678),
    [anon_sym_QMARK_DOT] = ACTIONS(1684),
    [anon_sym_AMP_AMP] = ACTIONS(1684),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_GT_GT_GT] = ACTIONS(1684),
    [anon_sym_LT_LT] = ACTIONS(1684),
    [anon_sym_AMP] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1684),
    [anon_sym_PIPE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PERCENT] = ACTIONS(1684),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_LT_EQ] = ACTIONS(1684),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1684),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1684),
    [anon_sym_GT_EQ] = ACTIONS(1684),
    [anon_sym_QMARK_QMARK] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1684),
    [anon_sym_DASH_DASH] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1684),
    [anon_sym_AT] = ACTIONS(1682),
    [anon_sym_static] = ACTIONS(1678),
    [anon_sym_readonly] = ACTIONS(1678),
    [anon_sym_get] = ACTIONS(1678),
    [anon_sym_set] = ACTIONS(1678),
    [anon_sym_declare] = ACTIONS(1678),
    [anon_sym_public] = ACTIONS(1678),
    [anon_sym_private] = ACTIONS(1678),
    [anon_sym_protected] = ACTIONS(1678),
    [anon_sym_override] = ACTIONS(1678),
    [anon_sym_module] = ACTIONS(1678),
    [anon_sym_any] = ACTIONS(1678),
    [anon_sym_number] = ACTIONS(1678),
    [anon_sym_boolean] = ACTIONS(1678),
    [anon_sym_string] = ACTIONS(1678),
    [anon_sym_symbol] = ACTIONS(1678),
    [anon_sym_property] = ACTIONS(1678),
    [anon_sym_signal] = ACTIONS(1678),
    [anon_sym_on] = ACTIONS(1678),
    [anon_sym_required] = ACTIONS(1678),
    [anon_sym_component] = ACTIONS(1678),
    [anon_sym_enum] = ACTIONS(1678),
    [sym__automatic_semicolon] = ACTIONS(2765),
    [sym__ternary_qmark] = ACTIONS(1684),
  },
  [877] = {
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_export] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_default] = ACTIONS(1592),
    [anon_sym_type] = ACTIONS(1592),
    [anon_sym_as] = ACTIONS(1592),
    [anon_sym_namespace] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_from] = ACTIONS(1592),
    [anon_sym_var] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_else] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_in] = ACTIONS(1592),
    [anon_sym_of] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_DOT] = ACTIONS(1594),
    [anon_sym_async] = ACTIONS(1592),
    [anon_sym_function] = ACTIONS(1592),
    [anon_sym_QMARK_DOT] = ACTIONS(1594),
    [anon_sym_AMP_AMP] = ACTIONS(1594),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1592),
    [anon_sym_GT_GT_GT] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1594),
    [anon_sym_STAR_STAR] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_EQ_EQ] = ACTIONS(1592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1592),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1594),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_QMARK_QMARK] = ACTIONS(1594),
    [anon_sym_instanceof] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1594),
    [anon_sym_AT] = ACTIONS(1594),
    [anon_sym_static] = ACTIONS(1592),
    [anon_sym_readonly] = ACTIONS(1592),
    [anon_sym_get] = ACTIONS(1592),
    [anon_sym_set] = ACTIONS(1592),
    [anon_sym_declare] = ACTIONS(1592),
    [anon_sym_public] = ACTIONS(1592),
    [anon_sym_private] = ACTIONS(1592),
    [anon_sym_protected] = ACTIONS(1592),
    [anon_sym_override] = ACTIONS(1592),
    [anon_sym_module] = ACTIONS(1592),
    [anon_sym_any] = ACTIONS(1592),
    [anon_sym_number] = ACTIONS(1592),
    [anon_sym_boolean] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_symbol] = ACTIONS(1592),
    [anon_sym_property] = ACTIONS(1592),
    [anon_sym_signal] = ACTIONS(1592),
    [anon_sym_on] = ACTIONS(1592),
    [anon_sym_required] = ACTIONS(1592),
    [anon_sym_component] = ACTIONS(1592),
    [anon_sym_enum] = ACTIONS(1592),
    [sym__automatic_semicolon] = ACTIONS(1594),
    [sym__ternary_qmark] = ACTIONS(1594),
  },
  [878] = {
    [sym_export_statement] = STATE(3522),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4003),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3522),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3522),
    [sym_property_signature] = STATE(3522),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3522),
    [sym_index_signature] = STATE(3522),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(2767),
    [anon_sym_export] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2767),
    [anon_sym_namespace] = ACTIONS(2767),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2777),
    [anon_sym_from] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2767),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_readonly] = ACTIONS(2795),
    [anon_sym_get] = ACTIONS(2797),
    [anon_sym_set] = ACTIONS(2797),
    [anon_sym_declare] = ACTIONS(2767),
    [anon_sym_public] = ACTIONS(2799),
    [anon_sym_private] = ACTIONS(2799),
    [anon_sym_protected] = ACTIONS(2799),
    [anon_sym_override] = ACTIONS(2801),
    [anon_sym_module] = ACTIONS(2767),
    [anon_sym_any] = ACTIONS(2767),
    [anon_sym_number] = ACTIONS(2767),
    [anon_sym_boolean] = ACTIONS(2767),
    [anon_sym_string] = ACTIONS(2767),
    [anon_sym_symbol] = ACTIONS(2767),
    [anon_sym_property] = ACTIONS(2767),
    [anon_sym_signal] = ACTIONS(2767),
    [anon_sym_on] = ACTIONS(2767),
    [anon_sym_required] = ACTIONS(2767),
    [anon_sym_component] = ACTIONS(2767),
    [anon_sym_abstract] = ACTIONS(2803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2805),
  },
  [879] = {
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_export] = ACTIONS(1556),
    [anon_sym_STAR] = ACTIONS(1558),
    [anon_sym_default] = ACTIONS(1556),
    [anon_sym_type] = ACTIONS(1556),
    [anon_sym_as] = ACTIONS(1558),
    [anon_sym_namespace] = ACTIONS(1556),
    [anon_sym_COMMA] = ACTIONS(1562),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [anon_sym_from] = ACTIONS(1556),
    [anon_sym_var] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1558),
    [anon_sym_else] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1562),
    [anon_sym_in] = ACTIONS(1558),
    [anon_sym_of] = ACTIONS(1556),
    [anon_sym_SEMI] = ACTIONS(1562),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LT] = ACTIONS(1558),
    [anon_sym_GT] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(1558),
    [anon_sym_DOT] = ACTIONS(1562),
    [anon_sym_async] = ACTIONS(1556),
    [anon_sym_function] = ACTIONS(1556),
    [anon_sym_QMARK_DOT] = ACTIONS(1562),
    [anon_sym_AMP_AMP] = ACTIONS(1562),
    [anon_sym_PIPE_PIPE] = ACTIONS(1562),
    [anon_sym_GT_GT] = ACTIONS(1558),
    [anon_sym_GT_GT_GT] = ACTIONS(1562),
    [anon_sym_LT_LT] = ACTIONS(1562),
    [anon_sym_AMP] = ACTIONS(1558),
    [anon_sym_CARET] = ACTIONS(1562),
    [anon_sym_PIPE] = ACTIONS(1558),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_PERCENT] = ACTIONS(1562),
    [anon_sym_STAR_STAR] = ACTIONS(1562),
    [anon_sym_LT_EQ] = ACTIONS(1562),
    [anon_sym_EQ_EQ] = ACTIONS(1558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1562),
    [anon_sym_BANG_EQ] = ACTIONS(1558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1562),
    [anon_sym_GT_EQ] = ACTIONS(1562),
    [anon_sym_QMARK_QMARK] = ACTIONS(1562),
    [anon_sym_instanceof] = ACTIONS(1558),
    [anon_sym_PLUS_PLUS] = ACTIONS(1562),
    [anon_sym_DASH_DASH] = ACTIONS(1562),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1560),
    [anon_sym_static] = ACTIONS(1556),
    [anon_sym_readonly] = ACTIONS(1556),
    [anon_sym_get] = ACTIONS(1556),
    [anon_sym_set] = ACTIONS(1556),
    [anon_sym_declare] = ACTIONS(1556),
    [anon_sym_public] = ACTIONS(1556),
    [anon_sym_private] = ACTIONS(1556),
    [anon_sym_protected] = ACTIONS(1556),
    [anon_sym_override] = ACTIONS(1556),
    [anon_sym_module] = ACTIONS(1556),
    [anon_sym_any] = ACTIONS(1556),
    [anon_sym_number] = ACTIONS(1556),
    [anon_sym_boolean] = ACTIONS(1556),
    [anon_sym_string] = ACTIONS(1556),
    [anon_sym_symbol] = ACTIONS(1556),
    [anon_sym_property] = ACTIONS(1556),
    [anon_sym_signal] = ACTIONS(1556),
    [anon_sym_on] = ACTIONS(1556),
    [anon_sym_required] = ACTIONS(1556),
    [anon_sym_component] = ACTIONS(1556),
    [anon_sym_enum] = ACTIONS(1556),
    [sym__automatic_semicolon] = ACTIONS(2807),
    [sym__ternary_qmark] = ACTIONS(1562),
  },
  [880] = {
    [sym_identifier] = ACTIONS(1608),
    [anon_sym_export] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1608),
    [anon_sym_default] = ACTIONS(1608),
    [anon_sym_type] = ACTIONS(1608),
    [anon_sym_as] = ACTIONS(1608),
    [anon_sym_namespace] = ACTIONS(1608),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_from] = ACTIONS(1608),
    [anon_sym_var] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_else] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_in] = ACTIONS(1608),
    [anon_sym_of] = ACTIONS(1608),
    [anon_sym_SEMI] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_DOT] = ACTIONS(1610),
    [anon_sym_async] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_QMARK_DOT] = ACTIONS(1610),
    [anon_sym_AMP_AMP] = ACTIONS(1610),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1608),
    [anon_sym_GT_GT_GT] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PERCENT] = ACTIONS(1610),
    [anon_sym_STAR_STAR] = ACTIONS(1610),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_EQ_EQ] = ACTIONS(1608),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1608),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1610),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_QMARK_QMARK] = ACTIONS(1610),
    [anon_sym_instanceof] = ACTIONS(1608),
    [anon_sym_PLUS_PLUS] = ACTIONS(1610),
    [anon_sym_DASH_DASH] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1610),
    [anon_sym_AT] = ACTIONS(1610),
    [anon_sym_static] = ACTIONS(1608),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_get] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_declare] = ACTIONS(1608),
    [anon_sym_public] = ACTIONS(1608),
    [anon_sym_private] = ACTIONS(1608),
    [anon_sym_protected] = ACTIONS(1608),
    [anon_sym_override] = ACTIONS(1608),
    [anon_sym_module] = ACTIONS(1608),
    [anon_sym_any] = ACTIONS(1608),
    [anon_sym_number] = ACTIONS(1608),
    [anon_sym_boolean] = ACTIONS(1608),
    [anon_sym_string] = ACTIONS(1608),
    [anon_sym_symbol] = ACTIONS(1608),
    [anon_sym_property] = ACTIONS(1608),
    [anon_sym_signal] = ACTIONS(1608),
    [anon_sym_on] = ACTIONS(1608),
    [anon_sym_required] = ACTIONS(1608),
    [anon_sym_component] = ACTIONS(1608),
    [anon_sym_enum] = ACTIONS(1608),
    [sym__automatic_semicolon] = ACTIONS(1610),
    [sym__ternary_qmark] = ACTIONS(1610),
  },
  [881] = {
    [sym_export_statement] = STATE(3522),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4003),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3522),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3522),
    [sym_property_signature] = STATE(3522),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3522),
    [sym_index_signature] = STATE(3522),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_export] = ACTIONS(2811),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2813),
    [anon_sym_from] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_readonly] = ACTIONS(2819),
    [anon_sym_get] = ACTIONS(2821),
    [anon_sym_set] = ACTIONS(2821),
    [anon_sym_declare] = ACTIONS(2809),
    [anon_sym_public] = ACTIONS(2823),
    [anon_sym_private] = ACTIONS(2823),
    [anon_sym_protected] = ACTIONS(2823),
    [anon_sym_override] = ACTIONS(2825),
    [anon_sym_module] = ACTIONS(2809),
    [anon_sym_any] = ACTIONS(2809),
    [anon_sym_number] = ACTIONS(2809),
    [anon_sym_boolean] = ACTIONS(2809),
    [anon_sym_string] = ACTIONS(2809),
    [anon_sym_symbol] = ACTIONS(2809),
    [anon_sym_property] = ACTIONS(2809),
    [anon_sym_signal] = ACTIONS(2809),
    [anon_sym_on] = ACTIONS(2809),
    [anon_sym_required] = ACTIONS(2809),
    [anon_sym_component] = ACTIONS(2809),
    [anon_sym_abstract] = ACTIONS(2803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2805),
  },
  [882] = {
    [sym_export_statement] = STATE(3522),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4003),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3522),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3522),
    [sym_property_signature] = STATE(3522),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3522),
    [sym_index_signature] = STATE(3522),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(2827),
    [anon_sym_export] = ACTIONS(2829),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_namespace] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2831),
    [anon_sym_from] = ACTIONS(2827),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2827),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2835),
    [anon_sym_readonly] = ACTIONS(2837),
    [anon_sym_get] = ACTIONS(2839),
    [anon_sym_set] = ACTIONS(2839),
    [anon_sym_declare] = ACTIONS(2827),
    [anon_sym_public] = ACTIONS(2841),
    [anon_sym_private] = ACTIONS(2841),
    [anon_sym_protected] = ACTIONS(2841),
    [anon_sym_override] = ACTIONS(2843),
    [anon_sym_module] = ACTIONS(2827),
    [anon_sym_any] = ACTIONS(2827),
    [anon_sym_number] = ACTIONS(2827),
    [anon_sym_boolean] = ACTIONS(2827),
    [anon_sym_string] = ACTIONS(2827),
    [anon_sym_symbol] = ACTIONS(2827),
    [anon_sym_property] = ACTIONS(2827),
    [anon_sym_signal] = ACTIONS(2827),
    [anon_sym_on] = ACTIONS(2827),
    [anon_sym_required] = ACTIONS(2827),
    [anon_sym_component] = ACTIONS(2827),
    [anon_sym_abstract] = ACTIONS(2803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2805),
  },
  [883] = {
    [sym_export_statement] = STATE(3522),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4054),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4054),
    [sym_pair] = STATE(4054),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3522),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3522),
    [sym_property_signature] = STATE(3522),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3522),
    [sym_index_signature] = STATE(3522),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [aux_sym_object_repeat1] = STATE(3982),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_export] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_from] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_readonly] = ACTIONS(2855),
    [anon_sym_get] = ACTIONS(2857),
    [anon_sym_set] = ACTIONS(2857),
    [anon_sym_declare] = ACTIONS(2845),
    [anon_sym_public] = ACTIONS(2859),
    [anon_sym_private] = ACTIONS(2859),
    [anon_sym_protected] = ACTIONS(2859),
    [anon_sym_override] = ACTIONS(2861),
    [anon_sym_module] = ACTIONS(2845),
    [anon_sym_any] = ACTIONS(2845),
    [anon_sym_number] = ACTIONS(2845),
    [anon_sym_boolean] = ACTIONS(2845),
    [anon_sym_string] = ACTIONS(2845),
    [anon_sym_symbol] = ACTIONS(2845),
    [anon_sym_property] = ACTIONS(2845),
    [anon_sym_signal] = ACTIONS(2845),
    [anon_sym_on] = ACTIONS(2845),
    [anon_sym_required] = ACTIONS(2845),
    [anon_sym_component] = ACTIONS(2845),
    [anon_sym_abstract] = ACTIONS(2803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2805),
  },
  [884] = {
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_export] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_type] = ACTIONS(1418),
    [anon_sym_as] = ACTIONS(1418),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_from] = ACTIONS(1418),
    [anon_sym_var] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [anon_sym_in] = ACTIONS(1418),
    [anon_sym_of] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1418),
    [anon_sym_DOT] = ACTIONS(1424),
    [anon_sym_async] = ACTIONS(1418),
    [anon_sym_function] = ACTIONS(1418),
    [anon_sym_QMARK_DOT] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_GT_GT_GT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_STAR_STAR] = ACTIONS(1424),
    [anon_sym_LT_EQ] = ACTIONS(1424),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1424),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1424),
    [anon_sym_GT_EQ] = ACTIONS(1424),
    [anon_sym_QMARK_QMARK] = ACTIONS(1424),
    [anon_sym_instanceof] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_readonly] = ACTIONS(1418),
    [anon_sym_get] = ACTIONS(1418),
    [anon_sym_set] = ACTIONS(1418),
    [anon_sym_declare] = ACTIONS(1418),
    [anon_sym_public] = ACTIONS(1418),
    [anon_sym_private] = ACTIONS(1418),
    [anon_sym_protected] = ACTIONS(1418),
    [anon_sym_override] = ACTIONS(1418),
    [anon_sym_module] = ACTIONS(1418),
    [anon_sym_any] = ACTIONS(1418),
    [anon_sym_number] = ACTIONS(1418),
    [anon_sym_boolean] = ACTIONS(1418),
    [anon_sym_string] = ACTIONS(1418),
    [anon_sym_symbol] = ACTIONS(1418),
    [anon_sym_property] = ACTIONS(1418),
    [anon_sym_signal] = ACTIONS(1418),
    [anon_sym_on] = ACTIONS(1418),
    [anon_sym_required] = ACTIONS(1418),
    [anon_sym_component] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [sym__automatic_semicolon] = ACTIONS(2863),
    [sym__ternary_qmark] = ACTIONS(1424),
  },
  [885] = {
    [sym_export_statement] = STATE(3522),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4003),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3522),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3522),
    [sym_property_signature] = STATE(3522),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3522),
    [sym_index_signature] = STATE(3522),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(2767),
    [anon_sym_export] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2767),
    [anon_sym_namespace] = ACTIONS(2767),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2865),
    [anon_sym_from] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2767),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_readonly] = ACTIONS(2795),
    [anon_sym_get] = ACTIONS(2797),
    [anon_sym_set] = ACTIONS(2797),
    [anon_sym_declare] = ACTIONS(2767),
    [anon_sym_public] = ACTIONS(2799),
    [anon_sym_private] = ACTIONS(2799),
    [anon_sym_protected] = ACTIONS(2799),
    [anon_sym_override] = ACTIONS(2801),
    [anon_sym_module] = ACTIONS(2767),
    [anon_sym_any] = ACTIONS(2767),
    [anon_sym_number] = ACTIONS(2767),
    [anon_sym_boolean] = ACTIONS(2767),
    [anon_sym_string] = ACTIONS(2767),
    [anon_sym_symbol] = ACTIONS(2767),
    [anon_sym_property] = ACTIONS(2767),
    [anon_sym_signal] = ACTIONS(2767),
    [anon_sym_on] = ACTIONS(2767),
    [anon_sym_required] = ACTIONS(2767),
    [anon_sym_component] = ACTIONS(2767),
    [anon_sym_abstract] = ACTIONS(2803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2805),
  },
  [886] = {
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_export] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_default] = ACTIONS(1580),
    [anon_sym_type] = ACTIONS(1580),
    [anon_sym_as] = ACTIONS(1580),
    [anon_sym_namespace] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [anon_sym_from] = ACTIONS(1580),
    [anon_sym_var] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_else] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1580),
    [anon_sym_of] = ACTIONS(1580),
    [anon_sym_SEMI] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1582),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_function] = ACTIONS(1580),
    [anon_sym_QMARK_DOT] = ACTIONS(1582),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_GT_GT_GT] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_PERCENT] = ACTIONS(1582),
    [anon_sym_STAR_STAR] = ACTIONS(1582),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_EQ_EQ] = ACTIONS(1580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1582),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_QMARK_QMARK] = ACTIONS(1582),
    [anon_sym_instanceof] = ACTIONS(1580),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(1582),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_readonly] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
    [anon_sym_declare] = ACTIONS(1580),
    [anon_sym_public] = ACTIONS(1580),
    [anon_sym_private] = ACTIONS(1580),
    [anon_sym_protected] = ACTIONS(1580),
    [anon_sym_override] = ACTIONS(1580),
    [anon_sym_module] = ACTIONS(1580),
    [anon_sym_any] = ACTIONS(1580),
    [anon_sym_number] = ACTIONS(1580),
    [anon_sym_boolean] = ACTIONS(1580),
    [anon_sym_string] = ACTIONS(1580),
    [anon_sym_symbol] = ACTIONS(1580),
    [anon_sym_property] = ACTIONS(1580),
    [anon_sym_signal] = ACTIONS(1580),
    [anon_sym_on] = ACTIONS(1580),
    [anon_sym_required] = ACTIONS(1580),
    [anon_sym_component] = ACTIONS(1580),
    [anon_sym_enum] = ACTIONS(1580),
    [sym__automatic_semicolon] = ACTIONS(1582),
    [sym__ternary_qmark] = ACTIONS(1582),
  },
  [887] = {
    [sym_export_statement] = STATE(3522),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4003),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3522),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3522),
    [sym_property_signature] = STATE(3522),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3522),
    [sym_index_signature] = STATE(3522),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_export] = ACTIONS(2811),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2867),
    [anon_sym_from] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_readonly] = ACTIONS(2819),
    [anon_sym_get] = ACTIONS(2821),
    [anon_sym_set] = ACTIONS(2821),
    [anon_sym_declare] = ACTIONS(2809),
    [anon_sym_public] = ACTIONS(2823),
    [anon_sym_private] = ACTIONS(2823),
    [anon_sym_protected] = ACTIONS(2823),
    [anon_sym_override] = ACTIONS(2825),
    [anon_sym_module] = ACTIONS(2809),
    [anon_sym_any] = ACTIONS(2809),
    [anon_sym_number] = ACTIONS(2809),
    [anon_sym_boolean] = ACTIONS(2809),
    [anon_sym_string] = ACTIONS(2809),
    [anon_sym_symbol] = ACTIONS(2809),
    [anon_sym_property] = ACTIONS(2809),
    [anon_sym_signal] = ACTIONS(2809),
    [anon_sym_on] = ACTIONS(2809),
    [anon_sym_required] = ACTIONS(2809),
    [anon_sym_component] = ACTIONS(2809),
    [anon_sym_abstract] = ACTIONS(2803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2805),
  },
  [888] = {
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1566),
    [anon_sym_STAR] = ACTIONS(1568),
    [anon_sym_default] = ACTIONS(1566),
    [anon_sym_type] = ACTIONS(1566),
    [anon_sym_as] = ACTIONS(1568),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [anon_sym_from] = ACTIONS(1566),
    [anon_sym_var] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_else] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1568),
    [anon_sym_of] = ACTIONS(1566),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1568),
    [anon_sym_DOT] = ACTIONS(1572),
    [anon_sym_async] = ACTIONS(1566),
    [anon_sym_function] = ACTIONS(1566),
    [anon_sym_QMARK_DOT] = ACTIONS(1572),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [anon_sym_GT_GT] = ACTIONS(1568),
    [anon_sym_GT_GT_GT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_STAR_STAR] = ACTIONS(1572),
    [anon_sym_LT_EQ] = ACTIONS(1572),
    [anon_sym_EQ_EQ] = ACTIONS(1568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ] = ACTIONS(1568),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1572),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_QMARK_QMARK] = ACTIONS(1572),
    [anon_sym_instanceof] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(1570),
    [anon_sym_static] = ACTIONS(1566),
    [anon_sym_readonly] = ACTIONS(1566),
    [anon_sym_get] = ACTIONS(1566),
    [anon_sym_set] = ACTIONS(1566),
    [anon_sym_declare] = ACTIONS(1566),
    [anon_sym_public] = ACTIONS(1566),
    [anon_sym_private] = ACTIONS(1566),
    [anon_sym_protected] = ACTIONS(1566),
    [anon_sym_override] = ACTIONS(1566),
    [anon_sym_module] = ACTIONS(1566),
    [anon_sym_any] = ACTIONS(1566),
    [anon_sym_number] = ACTIONS(1566),
    [anon_sym_boolean] = ACTIONS(1566),
    [anon_sym_string] = ACTIONS(1566),
    [anon_sym_symbol] = ACTIONS(1566),
    [anon_sym_property] = ACTIONS(1566),
    [anon_sym_signal] = ACTIONS(1566),
    [anon_sym_on] = ACTIONS(1566),
    [anon_sym_required] = ACTIONS(1566),
    [anon_sym_component] = ACTIONS(1566),
    [anon_sym_enum] = ACTIONS(1566),
    [sym__automatic_semicolon] = ACTIONS(2869),
    [sym__ternary_qmark] = ACTIONS(1572),
  },
  [889] = {
    [sym_export_statement] = STATE(3415),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4003),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3415),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3415),
    [sym_property_signature] = STATE(3415),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3415),
    [sym_index_signature] = STATE(3415),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_export] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2875),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [anon_sym_from] = ACTIONS(2871),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_readonly] = ACTIONS(2885),
    [anon_sym_get] = ACTIONS(2887),
    [anon_sym_set] = ACTIONS(2887),
    [anon_sym_declare] = ACTIONS(2871),
    [anon_sym_public] = ACTIONS(2889),
    [anon_sym_private] = ACTIONS(2889),
    [anon_sym_protected] = ACTIONS(2889),
    [anon_sym_override] = ACTIONS(2891),
    [anon_sym_module] = ACTIONS(2871),
    [anon_sym_any] = ACTIONS(2871),
    [anon_sym_number] = ACTIONS(2871),
    [anon_sym_boolean] = ACTIONS(2871),
    [anon_sym_string] = ACTIONS(2871),
    [anon_sym_symbol] = ACTIONS(2871),
    [anon_sym_property] = ACTIONS(2871),
    [anon_sym_signal] = ACTIONS(2871),
    [anon_sym_on] = ACTIONS(2871),
    [anon_sym_required] = ACTIONS(2871),
    [anon_sym_component] = ACTIONS(2871),
    [anon_sym_abstract] = ACTIONS(2803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2893),
  },
  [890] = {
    [sym_identifier] = ACTIONS(1698),
    [anon_sym_export] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_default] = ACTIONS(1698),
    [anon_sym_type] = ACTIONS(1698),
    [anon_sym_as] = ACTIONS(1700),
    [anon_sym_namespace] = ACTIONS(1698),
    [anon_sym_COMMA] = ACTIONS(1704),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_from] = ACTIONS(1698),
    [anon_sym_var] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_in] = ACTIONS(1700),
    [anon_sym_of] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [anon_sym_LT] = ACTIONS(1700),
    [anon_sym_GT] = ACTIONS(1700),
    [anon_sym_SLASH] = ACTIONS(1700),
    [anon_sym_DOT] = ACTIONS(1704),
    [anon_sym_async] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_QMARK_DOT] = ACTIONS(1704),
    [anon_sym_AMP_AMP] = ACTIONS(1704),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_GT_GT] = ACTIONS(1700),
    [anon_sym_GT_GT_GT] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1704),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_PERCENT] = ACTIONS(1704),
    [anon_sym_STAR_STAR] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_EQ_EQ] = ACTIONS(1700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_QMARK_QMARK] = ACTIONS(1704),
    [anon_sym_instanceof] = ACTIONS(1700),
    [anon_sym_PLUS_PLUS] = ACTIONS(1704),
    [anon_sym_DASH_DASH] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1704),
    [anon_sym_AT] = ACTIONS(1702),
    [anon_sym_static] = ACTIONS(1698),
    [anon_sym_readonly] = ACTIONS(1698),
    [anon_sym_get] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_declare] = ACTIONS(1698),
    [anon_sym_public] = ACTIONS(1698),
    [anon_sym_private] = ACTIONS(1698),
    [anon_sym_protected] = ACTIONS(1698),
    [anon_sym_override] = ACTIONS(1698),
    [anon_sym_module] = ACTIONS(1698),
    [anon_sym_any] = ACTIONS(1698),
    [anon_sym_number] = ACTIONS(1698),
    [anon_sym_boolean] = ACTIONS(1698),
    [anon_sym_string] = ACTIONS(1698),
    [anon_sym_symbol] = ACTIONS(1698),
    [anon_sym_property] = ACTIONS(1698),
    [anon_sym_signal] = ACTIONS(1698),
    [anon_sym_on] = ACTIONS(1698),
    [anon_sym_required] = ACTIONS(1698),
    [anon_sym_component] = ACTIONS(1698),
    [anon_sym_enum] = ACTIONS(1698),
    [sym__automatic_semicolon] = ACTIONS(2895),
    [sym__ternary_qmark] = ACTIONS(1704),
  },
  [891] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4386),
    [sym_optional_tuple_parameter] = STATE(4386),
    [sym_optional_type] = STATE(4386),
    [sym_rest_type] = STATE(4386),
    [sym__tuple_type_member] = STATE(4386),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [892] = {
    [sym_identifier] = ACTIONS(1516),
    [anon_sym_export] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_type] = ACTIONS(1516),
    [anon_sym_as] = ACTIONS(1518),
    [anon_sym_namespace] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [anon_sym_from] = ACTIONS(1516),
    [anon_sym_var] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_else] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [anon_sym_in] = ACTIONS(1518),
    [anon_sym_of] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_DOT] = ACTIONS(1522),
    [anon_sym_async] = ACTIONS(1516),
    [anon_sym_function] = ACTIONS(1516),
    [anon_sym_QMARK_DOT] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1518),
    [anon_sym_GT_GT_GT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1518),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_STAR_STAR] = ACTIONS(1522),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_EQ_EQ] = ACTIONS(1518),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1522),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_QMARK_QMARK] = ACTIONS(1522),
    [anon_sym_instanceof] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1522),
    [anon_sym_AT] = ACTIONS(1520),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_readonly] = ACTIONS(1516),
    [anon_sym_get] = ACTIONS(1516),
    [anon_sym_set] = ACTIONS(1516),
    [anon_sym_declare] = ACTIONS(1516),
    [anon_sym_public] = ACTIONS(1516),
    [anon_sym_private] = ACTIONS(1516),
    [anon_sym_protected] = ACTIONS(1516),
    [anon_sym_override] = ACTIONS(1516),
    [anon_sym_module] = ACTIONS(1516),
    [anon_sym_any] = ACTIONS(1516),
    [anon_sym_number] = ACTIONS(1516),
    [anon_sym_boolean] = ACTIONS(1516),
    [anon_sym_string] = ACTIONS(1516),
    [anon_sym_symbol] = ACTIONS(1516),
    [anon_sym_property] = ACTIONS(1516),
    [anon_sym_signal] = ACTIONS(1516),
    [anon_sym_on] = ACTIONS(1516),
    [anon_sym_required] = ACTIONS(1516),
    [anon_sym_component] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [sym__automatic_semicolon] = ACTIONS(2899),
    [sym__ternary_qmark] = ACTIONS(1522),
  },
  [893] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4386),
    [sym_optional_tuple_parameter] = STATE(4386),
    [sym_optional_type] = STATE(4386),
    [sym_rest_type] = STATE(4386),
    [sym__tuple_type_member] = STATE(4386),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2901),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [894] = {
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_export] = ACTIONS(1546),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_default] = ACTIONS(1546),
    [anon_sym_type] = ACTIONS(1546),
    [anon_sym_as] = ACTIONS(1548),
    [anon_sym_namespace] = ACTIONS(1546),
    [anon_sym_COMMA] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [anon_sym_from] = ACTIONS(1546),
    [anon_sym_var] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_else] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1552),
    [anon_sym_in] = ACTIONS(1548),
    [anon_sym_of] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(1552),
    [anon_sym_async] = ACTIONS(1546),
    [anon_sym_function] = ACTIONS(1546),
    [anon_sym_QMARK_DOT] = ACTIONS(1552),
    [anon_sym_AMP_AMP] = ACTIONS(1552),
    [anon_sym_PIPE_PIPE] = ACTIONS(1552),
    [anon_sym_GT_GT] = ACTIONS(1548),
    [anon_sym_GT_GT_GT] = ACTIONS(1552),
    [anon_sym_LT_LT] = ACTIONS(1552),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1552),
    [anon_sym_PIPE] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1552),
    [anon_sym_STAR_STAR] = ACTIONS(1552),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1552),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_QMARK_QMARK] = ACTIONS(1552),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1552),
    [anon_sym_AT] = ACTIONS(1550),
    [anon_sym_static] = ACTIONS(1546),
    [anon_sym_readonly] = ACTIONS(1546),
    [anon_sym_get] = ACTIONS(1546),
    [anon_sym_set] = ACTIONS(1546),
    [anon_sym_declare] = ACTIONS(1546),
    [anon_sym_public] = ACTIONS(1546),
    [anon_sym_private] = ACTIONS(1546),
    [anon_sym_protected] = ACTIONS(1546),
    [anon_sym_override] = ACTIONS(1546),
    [anon_sym_module] = ACTIONS(1546),
    [anon_sym_any] = ACTIONS(1546),
    [anon_sym_number] = ACTIONS(1546),
    [anon_sym_boolean] = ACTIONS(1546),
    [anon_sym_string] = ACTIONS(1546),
    [anon_sym_symbol] = ACTIONS(1546),
    [anon_sym_property] = ACTIONS(1546),
    [anon_sym_signal] = ACTIONS(1546),
    [anon_sym_on] = ACTIONS(1546),
    [anon_sym_required] = ACTIONS(1546),
    [anon_sym_component] = ACTIONS(1546),
    [anon_sym_enum] = ACTIONS(1546),
    [sym__automatic_semicolon] = ACTIONS(2903),
    [sym__ternary_qmark] = ACTIONS(1552),
  },
  [895] = {
    [sym_export_statement] = STATE(3522),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4003),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3522),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3522),
    [sym_property_signature] = STATE(3522),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3522),
    [sym_index_signature] = STATE(3522),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_export] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_from] = ACTIONS(2871),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_readonly] = ACTIONS(2885),
    [anon_sym_get] = ACTIONS(2887),
    [anon_sym_set] = ACTIONS(2887),
    [anon_sym_declare] = ACTIONS(2871),
    [anon_sym_public] = ACTIONS(2889),
    [anon_sym_private] = ACTIONS(2889),
    [anon_sym_protected] = ACTIONS(2889),
    [anon_sym_override] = ACTIONS(2891),
    [anon_sym_module] = ACTIONS(2871),
    [anon_sym_any] = ACTIONS(2871),
    [anon_sym_number] = ACTIONS(2871),
    [anon_sym_boolean] = ACTIONS(2871),
    [anon_sym_string] = ACTIONS(2871),
    [anon_sym_symbol] = ACTIONS(2871),
    [anon_sym_property] = ACTIONS(2871),
    [anon_sym_signal] = ACTIONS(2871),
    [anon_sym_on] = ACTIONS(2871),
    [anon_sym_required] = ACTIONS(2871),
    [anon_sym_component] = ACTIONS(2871),
    [anon_sym_abstract] = ACTIONS(2803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2805),
  },
  [896] = {
    [sym_identifier] = ACTIONS(1630),
    [anon_sym_export] = ACTIONS(1630),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_type] = ACTIONS(1630),
    [anon_sym_as] = ACTIONS(1630),
    [anon_sym_namespace] = ACTIONS(1630),
    [anon_sym_COMMA] = ACTIONS(1632),
    [anon_sym_RBRACE] = ACTIONS(1632),
    [anon_sym_from] = ACTIONS(1630),
    [anon_sym_var] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1630),
    [anon_sym_else] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [anon_sym_in] = ACTIONS(1630),
    [anon_sym_of] = ACTIONS(1630),
    [anon_sym_SEMI] = ACTIONS(1632),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [anon_sym_LT] = ACTIONS(1630),
    [anon_sym_GT] = ACTIONS(1630),
    [anon_sym_SLASH] = ACTIONS(1630),
    [anon_sym_DOT] = ACTIONS(1632),
    [anon_sym_async] = ACTIONS(1630),
    [anon_sym_function] = ACTIONS(1630),
    [anon_sym_QMARK_DOT] = ACTIONS(1632),
    [anon_sym_AMP_AMP] = ACTIONS(1632),
    [anon_sym_PIPE_PIPE] = ACTIONS(1632),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_GT_GT_GT] = ACTIONS(1632),
    [anon_sym_LT_LT] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1630),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1630),
    [anon_sym_PLUS] = ACTIONS(1630),
    [anon_sym_DASH] = ACTIONS(1630),
    [anon_sym_PERCENT] = ACTIONS(1632),
    [anon_sym_STAR_STAR] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1632),
    [anon_sym_EQ_EQ] = ACTIONS(1630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1632),
    [anon_sym_BANG_EQ] = ACTIONS(1630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1632),
    [anon_sym_QMARK_QMARK] = ACTIONS(1632),
    [anon_sym_instanceof] = ACTIONS(1630),
    [anon_sym_PLUS_PLUS] = ACTIONS(1632),
    [anon_sym_DASH_DASH] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1632),
    [anon_sym_AT] = ACTIONS(1632),
    [anon_sym_static] = ACTIONS(1630),
    [anon_sym_readonly] = ACTIONS(1630),
    [anon_sym_get] = ACTIONS(1630),
    [anon_sym_set] = ACTIONS(1630),
    [anon_sym_declare] = ACTIONS(1630),
    [anon_sym_public] = ACTIONS(1630),
    [anon_sym_private] = ACTIONS(1630),
    [anon_sym_protected] = ACTIONS(1630),
    [anon_sym_override] = ACTIONS(1630),
    [anon_sym_module] = ACTIONS(1630),
    [anon_sym_any] = ACTIONS(1630),
    [anon_sym_number] = ACTIONS(1630),
    [anon_sym_boolean] = ACTIONS(1630),
    [anon_sym_string] = ACTIONS(1630),
    [anon_sym_symbol] = ACTIONS(1630),
    [anon_sym_property] = ACTIONS(1630),
    [anon_sym_signal] = ACTIONS(1630),
    [anon_sym_on] = ACTIONS(1630),
    [anon_sym_required] = ACTIONS(1630),
    [anon_sym_component] = ACTIONS(1630),
    [anon_sym_enum] = ACTIONS(1630),
    [sym__automatic_semicolon] = ACTIONS(1632),
    [sym__ternary_qmark] = ACTIONS(1632),
  },
  [897] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4386),
    [sym_optional_tuple_parameter] = STATE(4386),
    [sym_optional_type] = STATE(4386),
    [sym_rest_type] = STATE(4386),
    [sym__tuple_type_member] = STATE(4386),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2907),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [898] = {
    [sym_export_statement] = STATE(3522),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4003),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3522),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3522),
    [sym_property_signature] = STATE(3522),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3522),
    [sym_index_signature] = STATE(3522),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(2909),
    [anon_sym_export] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_from] = ACTIONS(2909),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_readonly] = ACTIONS(2917),
    [anon_sym_get] = ACTIONS(2919),
    [anon_sym_set] = ACTIONS(2919),
    [anon_sym_declare] = ACTIONS(2909),
    [anon_sym_public] = ACTIONS(2921),
    [anon_sym_private] = ACTIONS(2921),
    [anon_sym_protected] = ACTIONS(2921),
    [anon_sym_override] = ACTIONS(2923),
    [anon_sym_module] = ACTIONS(2909),
    [anon_sym_any] = ACTIONS(2909),
    [anon_sym_number] = ACTIONS(2909),
    [anon_sym_boolean] = ACTIONS(2909),
    [anon_sym_string] = ACTIONS(2909),
    [anon_sym_symbol] = ACTIONS(2909),
    [anon_sym_property] = ACTIONS(2909),
    [anon_sym_signal] = ACTIONS(2909),
    [anon_sym_on] = ACTIONS(2909),
    [anon_sym_required] = ACTIONS(2909),
    [anon_sym_component] = ACTIONS(2909),
    [anon_sym_abstract] = ACTIONS(2803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2805),
  },
  [899] = {
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_export] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_default] = ACTIONS(1592),
    [anon_sym_type] = ACTIONS(1592),
    [anon_sym_as] = ACTIONS(1592),
    [anon_sym_namespace] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_from] = ACTIONS(1592),
    [anon_sym_var] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_else] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_in] = ACTIONS(1592),
    [anon_sym_of] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_DOT] = ACTIONS(1594),
    [anon_sym_async] = ACTIONS(1592),
    [anon_sym_function] = ACTIONS(1592),
    [anon_sym_QMARK_DOT] = ACTIONS(1594),
    [anon_sym_AMP_AMP] = ACTIONS(1594),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1592),
    [anon_sym_GT_GT_GT] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1594),
    [anon_sym_STAR_STAR] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_EQ_EQ] = ACTIONS(1592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1592),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1594),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_QMARK_QMARK] = ACTIONS(1594),
    [anon_sym_instanceof] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1594),
    [anon_sym_AT] = ACTIONS(1594),
    [anon_sym_static] = ACTIONS(1592),
    [anon_sym_readonly] = ACTIONS(1592),
    [anon_sym_get] = ACTIONS(1592),
    [anon_sym_set] = ACTIONS(1592),
    [anon_sym_declare] = ACTIONS(1592),
    [anon_sym_public] = ACTIONS(1592),
    [anon_sym_private] = ACTIONS(1592),
    [anon_sym_protected] = ACTIONS(1592),
    [anon_sym_override] = ACTIONS(1592),
    [anon_sym_module] = ACTIONS(1592),
    [anon_sym_any] = ACTIONS(1592),
    [anon_sym_number] = ACTIONS(1592),
    [anon_sym_boolean] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_symbol] = ACTIONS(1592),
    [anon_sym_property] = ACTIONS(1592),
    [anon_sym_signal] = ACTIONS(1592),
    [anon_sym_on] = ACTIONS(1592),
    [anon_sym_required] = ACTIONS(1592),
    [anon_sym_component] = ACTIONS(1592),
    [anon_sym_enum] = ACTIONS(1592),
    [sym__automatic_semicolon] = ACTIONS(2925),
    [sym__ternary_qmark] = ACTIONS(1594),
  },
  [900] = {
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_export] = ACTIONS(1638),
    [anon_sym_STAR] = ACTIONS(1640),
    [anon_sym_default] = ACTIONS(1638),
    [anon_sym_type] = ACTIONS(1638),
    [anon_sym_as] = ACTIONS(1640),
    [anon_sym_namespace] = ACTIONS(1638),
    [anon_sym_COMMA] = ACTIONS(1644),
    [anon_sym_RBRACE] = ACTIONS(1642),
    [anon_sym_from] = ACTIONS(1638),
    [anon_sym_var] = ACTIONS(1638),
    [anon_sym_BANG] = ACTIONS(1640),
    [anon_sym_else] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [anon_sym_in] = ACTIONS(1640),
    [anon_sym_of] = ACTIONS(1638),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_LT] = ACTIONS(1640),
    [anon_sym_GT] = ACTIONS(1640),
    [anon_sym_SLASH] = ACTIONS(1640),
    [anon_sym_DOT] = ACTIONS(1644),
    [anon_sym_async] = ACTIONS(1638),
    [anon_sym_function] = ACTIONS(1638),
    [anon_sym_QMARK_DOT] = ACTIONS(1644),
    [anon_sym_AMP_AMP] = ACTIONS(1644),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [anon_sym_GT_GT] = ACTIONS(1640),
    [anon_sym_GT_GT_GT] = ACTIONS(1644),
    [anon_sym_LT_LT] = ACTIONS(1644),
    [anon_sym_AMP] = ACTIONS(1640),
    [anon_sym_CARET] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1640),
    [anon_sym_PERCENT] = ACTIONS(1644),
    [anon_sym_STAR_STAR] = ACTIONS(1644),
    [anon_sym_LT_EQ] = ACTIONS(1644),
    [anon_sym_EQ_EQ] = ACTIONS(1640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1644),
    [anon_sym_BANG_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1644),
    [anon_sym_GT_EQ] = ACTIONS(1644),
    [anon_sym_QMARK_QMARK] = ACTIONS(1644),
    [anon_sym_instanceof] = ACTIONS(1640),
    [anon_sym_PLUS_PLUS] = ACTIONS(1644),
    [anon_sym_DASH_DASH] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1644),
    [anon_sym_AT] = ACTIONS(1642),
    [anon_sym_static] = ACTIONS(1638),
    [anon_sym_readonly] = ACTIONS(1638),
    [anon_sym_get] = ACTIONS(1638),
    [anon_sym_set] = ACTIONS(1638),
    [anon_sym_declare] = ACTIONS(1638),
    [anon_sym_public] = ACTIONS(1638),
    [anon_sym_private] = ACTIONS(1638),
    [anon_sym_protected] = ACTIONS(1638),
    [anon_sym_override] = ACTIONS(1638),
    [anon_sym_module] = ACTIONS(1638),
    [anon_sym_any] = ACTIONS(1638),
    [anon_sym_number] = ACTIONS(1638),
    [anon_sym_boolean] = ACTIONS(1638),
    [anon_sym_string] = ACTIONS(1638),
    [anon_sym_symbol] = ACTIONS(1638),
    [anon_sym_property] = ACTIONS(1638),
    [anon_sym_signal] = ACTIONS(1638),
    [anon_sym_on] = ACTIONS(1638),
    [anon_sym_required] = ACTIONS(1638),
    [anon_sym_component] = ACTIONS(1638),
    [anon_sym_enum] = ACTIONS(1638),
    [sym__automatic_semicolon] = ACTIONS(2927),
    [sym__ternary_qmark] = ACTIONS(1644),
  },
  [901] = {
    [sym_identifier] = ACTIONS(1688),
    [anon_sym_export] = ACTIONS(1688),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1688),
    [anon_sym_as] = ACTIONS(1690),
    [anon_sym_namespace] = ACTIONS(1688),
    [anon_sym_COMMA] = ACTIONS(1694),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_from] = ACTIONS(1688),
    [anon_sym_var] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1688),
    [anon_sym_LPAREN] = ACTIONS(1694),
    [anon_sym_in] = ACTIONS(1690),
    [anon_sym_of] = ACTIONS(1688),
    [anon_sym_SEMI] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1694),
    [anon_sym_LT] = ACTIONS(1690),
    [anon_sym_GT] = ACTIONS(1690),
    [anon_sym_SLASH] = ACTIONS(1690),
    [anon_sym_DOT] = ACTIONS(1694),
    [anon_sym_async] = ACTIONS(1688),
    [anon_sym_function] = ACTIONS(1688),
    [anon_sym_QMARK_DOT] = ACTIONS(1694),
    [anon_sym_AMP_AMP] = ACTIONS(1694),
    [anon_sym_PIPE_PIPE] = ACTIONS(1694),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_GT_GT_GT] = ACTIONS(1694),
    [anon_sym_LT_LT] = ACTIONS(1694),
    [anon_sym_AMP] = ACTIONS(1690),
    [anon_sym_CARET] = ACTIONS(1694),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_PERCENT] = ACTIONS(1694),
    [anon_sym_STAR_STAR] = ACTIONS(1694),
    [anon_sym_LT_EQ] = ACTIONS(1694),
    [anon_sym_EQ_EQ] = ACTIONS(1690),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1694),
    [anon_sym_BANG_EQ] = ACTIONS(1690),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1694),
    [anon_sym_GT_EQ] = ACTIONS(1694),
    [anon_sym_QMARK_QMARK] = ACTIONS(1694),
    [anon_sym_instanceof] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1694),
    [anon_sym_DASH_DASH] = ACTIONS(1694),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1694),
    [anon_sym_AT] = ACTIONS(1692),
    [anon_sym_static] = ACTIONS(1688),
    [anon_sym_readonly] = ACTIONS(1688),
    [anon_sym_get] = ACTIONS(1688),
    [anon_sym_set] = ACTIONS(1688),
    [anon_sym_declare] = ACTIONS(1688),
    [anon_sym_public] = ACTIONS(1688),
    [anon_sym_private] = ACTIONS(1688),
    [anon_sym_protected] = ACTIONS(1688),
    [anon_sym_override] = ACTIONS(1688),
    [anon_sym_module] = ACTIONS(1688),
    [anon_sym_any] = ACTIONS(1688),
    [anon_sym_number] = ACTIONS(1688),
    [anon_sym_boolean] = ACTIONS(1688),
    [anon_sym_string] = ACTIONS(1688),
    [anon_sym_symbol] = ACTIONS(1688),
    [anon_sym_property] = ACTIONS(1688),
    [anon_sym_signal] = ACTIONS(1688),
    [anon_sym_on] = ACTIONS(1688),
    [anon_sym_required] = ACTIONS(1688),
    [anon_sym_component] = ACTIONS(1688),
    [anon_sym_enum] = ACTIONS(1688),
    [sym__automatic_semicolon] = ACTIONS(2929),
    [sym__ternary_qmark] = ACTIONS(1694),
  },
  [902] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4386),
    [sym_optional_tuple_parameter] = STATE(4386),
    [sym_optional_type] = STATE(4386),
    [sym_rest_type] = STATE(4386),
    [sym__tuple_type_member] = STATE(4386),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [903] = {
    [sym_identifier] = ACTIONS(1662),
    [anon_sym_export] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1662),
    [anon_sym_default] = ACTIONS(1662),
    [anon_sym_type] = ACTIONS(1662),
    [anon_sym_as] = ACTIONS(1662),
    [anon_sym_namespace] = ACTIONS(1662),
    [anon_sym_COMMA] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_from] = ACTIONS(1662),
    [anon_sym_var] = ACTIONS(1662),
    [anon_sym_BANG] = ACTIONS(1662),
    [anon_sym_else] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_in] = ACTIONS(1662),
    [anon_sym_of] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_GT] = ACTIONS(1662),
    [anon_sym_SLASH] = ACTIONS(1662),
    [anon_sym_DOT] = ACTIONS(1664),
    [anon_sym_async] = ACTIONS(1662),
    [anon_sym_function] = ACTIONS(1662),
    [anon_sym_QMARK_DOT] = ACTIONS(1664),
    [anon_sym_AMP_AMP] = ACTIONS(1664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1664),
    [anon_sym_GT_GT] = ACTIONS(1662),
    [anon_sym_GT_GT_GT] = ACTIONS(1664),
    [anon_sym_LT_LT] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_STAR_STAR] = ACTIONS(1664),
    [anon_sym_LT_EQ] = ACTIONS(1664),
    [anon_sym_EQ_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1664),
    [anon_sym_GT_EQ] = ACTIONS(1664),
    [anon_sym_QMARK_QMARK] = ACTIONS(1664),
    [anon_sym_instanceof] = ACTIONS(1662),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1664),
    [anon_sym_AT] = ACTIONS(1664),
    [anon_sym_static] = ACTIONS(1662),
    [anon_sym_readonly] = ACTIONS(1662),
    [anon_sym_get] = ACTIONS(1662),
    [anon_sym_set] = ACTIONS(1662),
    [anon_sym_declare] = ACTIONS(1662),
    [anon_sym_public] = ACTIONS(1662),
    [anon_sym_private] = ACTIONS(1662),
    [anon_sym_protected] = ACTIONS(1662),
    [anon_sym_override] = ACTIONS(1662),
    [anon_sym_module] = ACTIONS(1662),
    [anon_sym_any] = ACTIONS(1662),
    [anon_sym_number] = ACTIONS(1662),
    [anon_sym_boolean] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_symbol] = ACTIONS(1662),
    [anon_sym_property] = ACTIONS(1662),
    [anon_sym_signal] = ACTIONS(1662),
    [anon_sym_on] = ACTIONS(1662),
    [anon_sym_required] = ACTIONS(1662),
    [anon_sym_component] = ACTIONS(1662),
    [anon_sym_enum] = ACTIONS(1662),
    [sym__automatic_semicolon] = ACTIONS(1664),
    [sym__ternary_qmark] = ACTIONS(1664),
  },
  [904] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4386),
    [sym_optional_tuple_parameter] = STATE(4386),
    [sym_optional_type] = STATE(4386),
    [sym_rest_type] = STATE(4386),
    [sym__tuple_type_member] = STATE(4386),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2933),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [905] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4386),
    [sym_optional_tuple_parameter] = STATE(4386),
    [sym_optional_type] = STATE(4386),
    [sym_rest_type] = STATE(4386),
    [sym__tuple_type_member] = STATE(4386),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [906] = {
    [sym_identifier] = ACTIONS(1614),
    [anon_sym_export] = ACTIONS(1614),
    [anon_sym_STAR] = ACTIONS(1614),
    [anon_sym_default] = ACTIONS(1614),
    [anon_sym_type] = ACTIONS(1614),
    [anon_sym_as] = ACTIONS(1614),
    [anon_sym_namespace] = ACTIONS(1614),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [anon_sym_from] = ACTIONS(1614),
    [anon_sym_var] = ACTIONS(1614),
    [anon_sym_BANG] = ACTIONS(1614),
    [anon_sym_else] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_in] = ACTIONS(1614),
    [anon_sym_of] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1614),
    [anon_sym_GT] = ACTIONS(1614),
    [anon_sym_SLASH] = ACTIONS(1614),
    [anon_sym_DOT] = ACTIONS(1616),
    [anon_sym_async] = ACTIONS(1614),
    [anon_sym_function] = ACTIONS(1614),
    [anon_sym_QMARK_DOT] = ACTIONS(1616),
    [anon_sym_AMP_AMP] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1616),
    [anon_sym_GT_GT] = ACTIONS(1614),
    [anon_sym_GT_GT_GT] = ACTIONS(1616),
    [anon_sym_LT_LT] = ACTIONS(1616),
    [anon_sym_AMP] = ACTIONS(1614),
    [anon_sym_CARET] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_PERCENT] = ACTIONS(1616),
    [anon_sym_STAR_STAR] = ACTIONS(1616),
    [anon_sym_LT_EQ] = ACTIONS(1616),
    [anon_sym_EQ_EQ] = ACTIONS(1614),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1616),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1616),
    [anon_sym_GT_EQ] = ACTIONS(1616),
    [anon_sym_QMARK_QMARK] = ACTIONS(1616),
    [anon_sym_instanceof] = ACTIONS(1614),
    [anon_sym_PLUS_PLUS] = ACTIONS(1616),
    [anon_sym_DASH_DASH] = ACTIONS(1616),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1616),
    [anon_sym_AT] = ACTIONS(1616),
    [anon_sym_static] = ACTIONS(1614),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_get] = ACTIONS(1614),
    [anon_sym_set] = ACTIONS(1614),
    [anon_sym_declare] = ACTIONS(1614),
    [anon_sym_public] = ACTIONS(1614),
    [anon_sym_private] = ACTIONS(1614),
    [anon_sym_protected] = ACTIONS(1614),
    [anon_sym_override] = ACTIONS(1614),
    [anon_sym_module] = ACTIONS(1614),
    [anon_sym_any] = ACTIONS(1614),
    [anon_sym_number] = ACTIONS(1614),
    [anon_sym_boolean] = ACTIONS(1614),
    [anon_sym_string] = ACTIONS(1614),
    [anon_sym_symbol] = ACTIONS(1614),
    [anon_sym_property] = ACTIONS(1614),
    [anon_sym_signal] = ACTIONS(1614),
    [anon_sym_on] = ACTIONS(1614),
    [anon_sym_required] = ACTIONS(1614),
    [anon_sym_component] = ACTIONS(1614),
    [anon_sym_enum] = ACTIONS(1614),
    [sym__automatic_semicolon] = ACTIONS(1616),
    [sym__ternary_qmark] = ACTIONS(1616),
  },
  [907] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4386),
    [sym_optional_tuple_parameter] = STATE(4386),
    [sym_optional_type] = STATE(4386),
    [sym_rest_type] = STATE(4386),
    [sym__tuple_type_member] = STATE(4386),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2937),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [908] = {
    [sym_identifier] = ACTIONS(1650),
    [anon_sym_export] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_default] = ACTIONS(1650),
    [anon_sym_type] = ACTIONS(1650),
    [anon_sym_as] = ACTIONS(1652),
    [anon_sym_namespace] = ACTIONS(1650),
    [anon_sym_COMMA] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1654),
    [anon_sym_from] = ACTIONS(1650),
    [anon_sym_var] = ACTIONS(1650),
    [anon_sym_BANG] = ACTIONS(1652),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_in] = ACTIONS(1652),
    [anon_sym_of] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_LT] = ACTIONS(1652),
    [anon_sym_GT] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1652),
    [anon_sym_DOT] = ACTIONS(1656),
    [anon_sym_async] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_QMARK_DOT] = ACTIONS(1656),
    [anon_sym_AMP_AMP] = ACTIONS(1656),
    [anon_sym_PIPE_PIPE] = ACTIONS(1656),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_GT_GT_GT] = ACTIONS(1656),
    [anon_sym_LT_LT] = ACTIONS(1656),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1652),
    [anon_sym_PERCENT] = ACTIONS(1656),
    [anon_sym_STAR_STAR] = ACTIONS(1656),
    [anon_sym_LT_EQ] = ACTIONS(1656),
    [anon_sym_EQ_EQ] = ACTIONS(1652),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1656),
    [anon_sym_BANG_EQ] = ACTIONS(1652),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1656),
    [anon_sym_GT_EQ] = ACTIONS(1656),
    [anon_sym_QMARK_QMARK] = ACTIONS(1656),
    [anon_sym_instanceof] = ACTIONS(1652),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1656),
    [anon_sym_AT] = ACTIONS(1654),
    [anon_sym_static] = ACTIONS(1650),
    [anon_sym_readonly] = ACTIONS(1650),
    [anon_sym_get] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_declare] = ACTIONS(1650),
    [anon_sym_public] = ACTIONS(1650),
    [anon_sym_private] = ACTIONS(1650),
    [anon_sym_protected] = ACTIONS(1650),
    [anon_sym_override] = ACTIONS(1650),
    [anon_sym_module] = ACTIONS(1650),
    [anon_sym_any] = ACTIONS(1650),
    [anon_sym_number] = ACTIONS(1650),
    [anon_sym_boolean] = ACTIONS(1650),
    [anon_sym_string] = ACTIONS(1650),
    [anon_sym_symbol] = ACTIONS(1650),
    [anon_sym_property] = ACTIONS(1650),
    [anon_sym_signal] = ACTIONS(1650),
    [anon_sym_on] = ACTIONS(1650),
    [anon_sym_required] = ACTIONS(1650),
    [anon_sym_component] = ACTIONS(1650),
    [anon_sym_enum] = ACTIONS(1650),
    [sym__automatic_semicolon] = ACTIONS(1656),
    [sym__ternary_qmark] = ACTIONS(1656),
  },
  [909] = {
    [sym_export_statement] = STATE(3522),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4003),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3522),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3522),
    [sym_property_signature] = STATE(3522),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3522),
    [sym_index_signature] = STATE(3522),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_export] = ACTIONS(2811),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2831),
    [anon_sym_from] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_readonly] = ACTIONS(2819),
    [anon_sym_get] = ACTIONS(2821),
    [anon_sym_set] = ACTIONS(2821),
    [anon_sym_declare] = ACTIONS(2809),
    [anon_sym_public] = ACTIONS(2823),
    [anon_sym_private] = ACTIONS(2823),
    [anon_sym_protected] = ACTIONS(2823),
    [anon_sym_override] = ACTIONS(2825),
    [anon_sym_module] = ACTIONS(2809),
    [anon_sym_any] = ACTIONS(2809),
    [anon_sym_number] = ACTIONS(2809),
    [anon_sym_boolean] = ACTIONS(2809),
    [anon_sym_string] = ACTIONS(2809),
    [anon_sym_symbol] = ACTIONS(2809),
    [anon_sym_property] = ACTIONS(2809),
    [anon_sym_signal] = ACTIONS(2809),
    [anon_sym_on] = ACTIONS(2809),
    [anon_sym_required] = ACTIONS(2809),
    [anon_sym_component] = ACTIONS(2809),
    [anon_sym_abstract] = ACTIONS(2803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2805),
  },
  [910] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4386),
    [sym_optional_tuple_parameter] = STATE(4386),
    [sym_optional_type] = STATE(4386),
    [sym_rest_type] = STATE(4386),
    [sym__tuple_type_member] = STATE(4386),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [911] = {
    [sym_export_statement] = STATE(3522),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4054),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4054),
    [sym_pair] = STATE(4054),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3522),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3522),
    [sym_property_signature] = STATE(3522),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3522),
    [sym_index_signature] = STATE(3522),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [aux_sym_object_repeat1] = STATE(3982),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_export] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_from] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_readonly] = ACTIONS(2855),
    [anon_sym_get] = ACTIONS(2857),
    [anon_sym_set] = ACTIONS(2857),
    [anon_sym_declare] = ACTIONS(2845),
    [anon_sym_public] = ACTIONS(2859),
    [anon_sym_private] = ACTIONS(2859),
    [anon_sym_protected] = ACTIONS(2859),
    [anon_sym_override] = ACTIONS(2861),
    [anon_sym_module] = ACTIONS(2845),
    [anon_sym_any] = ACTIONS(2845),
    [anon_sym_number] = ACTIONS(2845),
    [anon_sym_boolean] = ACTIONS(2845),
    [anon_sym_string] = ACTIONS(2845),
    [anon_sym_symbol] = ACTIONS(2845),
    [anon_sym_property] = ACTIONS(2845),
    [anon_sym_signal] = ACTIONS(2845),
    [anon_sym_on] = ACTIONS(2845),
    [anon_sym_required] = ACTIONS(2845),
    [anon_sym_component] = ACTIONS(2845),
    [anon_sym_abstract] = ACTIONS(2803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2805),
  },
  [912] = {
    [sym_identifier] = ACTIONS(1666),
    [anon_sym_export] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1666),
    [anon_sym_type] = ACTIONS(1666),
    [anon_sym_as] = ACTIONS(1668),
    [anon_sym_namespace] = ACTIONS(1666),
    [anon_sym_COMMA] = ACTIONS(1672),
    [anon_sym_RBRACE] = ACTIONS(1670),
    [anon_sym_from] = ACTIONS(1666),
    [anon_sym_var] = ACTIONS(1666),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [anon_sym_in] = ACTIONS(1668),
    [anon_sym_of] = ACTIONS(1666),
    [anon_sym_SEMI] = ACTIONS(1672),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [anon_sym_LT] = ACTIONS(1668),
    [anon_sym_GT] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1668),
    [anon_sym_DOT] = ACTIONS(1672),
    [anon_sym_async] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_QMARK_DOT] = ACTIONS(1672),
    [anon_sym_AMP_AMP] = ACTIONS(1672),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1668),
    [anon_sym_GT_GT_GT] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_PERCENT] = ACTIONS(1672),
    [anon_sym_STAR_STAR] = ACTIONS(1672),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1668),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_QMARK_QMARK] = ACTIONS(1672),
    [anon_sym_instanceof] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1672),
    [anon_sym_DASH_DASH] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1672),
    [anon_sym_AT] = ACTIONS(1670),
    [anon_sym_static] = ACTIONS(1666),
    [anon_sym_readonly] = ACTIONS(1666),
    [anon_sym_get] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_declare] = ACTIONS(1666),
    [anon_sym_public] = ACTIONS(1666),
    [anon_sym_private] = ACTIONS(1666),
    [anon_sym_protected] = ACTIONS(1666),
    [anon_sym_override] = ACTIONS(1666),
    [anon_sym_module] = ACTIONS(1666),
    [anon_sym_any] = ACTIONS(1666),
    [anon_sym_number] = ACTIONS(1666),
    [anon_sym_boolean] = ACTIONS(1666),
    [anon_sym_string] = ACTIONS(1666),
    [anon_sym_symbol] = ACTIONS(1666),
    [anon_sym_property] = ACTIONS(1666),
    [anon_sym_signal] = ACTIONS(1666),
    [anon_sym_on] = ACTIONS(1666),
    [anon_sym_required] = ACTIONS(1666),
    [anon_sym_component] = ACTIONS(1666),
    [anon_sym_enum] = ACTIONS(1666),
    [sym__automatic_semicolon] = ACTIONS(2943),
    [sym__ternary_qmark] = ACTIONS(1672),
  },
  [913] = {
    [sym_identifier] = ACTIONS(1536),
    [anon_sym_export] = ACTIONS(1536),
    [anon_sym_STAR] = ACTIONS(1538),
    [anon_sym_default] = ACTIONS(1536),
    [anon_sym_type] = ACTIONS(1536),
    [anon_sym_as] = ACTIONS(1538),
    [anon_sym_namespace] = ACTIONS(1536),
    [anon_sym_COMMA] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_from] = ACTIONS(1536),
    [anon_sym_var] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_else] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_in] = ACTIONS(1538),
    [anon_sym_of] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_SLASH] = ACTIONS(1538),
    [anon_sym_DOT] = ACTIONS(1542),
    [anon_sym_async] = ACTIONS(1536),
    [anon_sym_function] = ACTIONS(1536),
    [anon_sym_QMARK_DOT] = ACTIONS(1542),
    [anon_sym_AMP_AMP] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1538),
    [anon_sym_GT_GT_GT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_STAR_STAR] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1538),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ] = ACTIONS(1538),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1542),
    [anon_sym_QMARK_QMARK] = ACTIONS(1542),
    [anon_sym_instanceof] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1540),
    [anon_sym_static] = ACTIONS(1536),
    [anon_sym_readonly] = ACTIONS(1536),
    [anon_sym_get] = ACTIONS(1536),
    [anon_sym_set] = ACTIONS(1536),
    [anon_sym_declare] = ACTIONS(1536),
    [anon_sym_public] = ACTIONS(1536),
    [anon_sym_private] = ACTIONS(1536),
    [anon_sym_protected] = ACTIONS(1536),
    [anon_sym_override] = ACTIONS(1536),
    [anon_sym_module] = ACTIONS(1536),
    [anon_sym_any] = ACTIONS(1536),
    [anon_sym_number] = ACTIONS(1536),
    [anon_sym_boolean] = ACTIONS(1536),
    [anon_sym_string] = ACTIONS(1536),
    [anon_sym_symbol] = ACTIONS(1536),
    [anon_sym_property] = ACTIONS(1536),
    [anon_sym_signal] = ACTIONS(1536),
    [anon_sym_on] = ACTIONS(1536),
    [anon_sym_required] = ACTIONS(1536),
    [anon_sym_component] = ACTIONS(1536),
    [anon_sym_enum] = ACTIONS(1536),
    [sym__automatic_semicolon] = ACTIONS(2945),
    [sym__ternary_qmark] = ACTIONS(1542),
  },
  [914] = {
    [sym_identifier] = ACTIONS(1598),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(1600),
    [anon_sym_default] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_as] = ACTIONS(1600),
    [anon_sym_namespace] = ACTIONS(1598),
    [anon_sym_COMMA] = ACTIONS(1604),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_from] = ACTIONS(1598),
    [anon_sym_var] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [anon_sym_in] = ACTIONS(1600),
    [anon_sym_of] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(1604),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_DOT] = ACTIONS(1604),
    [anon_sym_async] = ACTIONS(1598),
    [anon_sym_function] = ACTIONS(1598),
    [anon_sym_QMARK_DOT] = ACTIONS(1604),
    [anon_sym_AMP_AMP] = ACTIONS(1604),
    [anon_sym_PIPE_PIPE] = ACTIONS(1604),
    [anon_sym_GT_GT] = ACTIONS(1600),
    [anon_sym_GT_GT_GT] = ACTIONS(1604),
    [anon_sym_LT_LT] = ACTIONS(1604),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_CARET] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_PERCENT] = ACTIONS(1604),
    [anon_sym_STAR_STAR] = ACTIONS(1604),
    [anon_sym_LT_EQ] = ACTIONS(1604),
    [anon_sym_EQ_EQ] = ACTIONS(1600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1604),
    [anon_sym_BANG_EQ] = ACTIONS(1600),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1604),
    [anon_sym_QMARK_QMARK] = ACTIONS(1604),
    [anon_sym_instanceof] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1604),
    [anon_sym_DASH_DASH] = ACTIONS(1604),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1602),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_property] = ACTIONS(1598),
    [anon_sym_signal] = ACTIONS(1598),
    [anon_sym_on] = ACTIONS(1598),
    [anon_sym_required] = ACTIONS(1598),
    [anon_sym_component] = ACTIONS(1598),
    [anon_sym_enum] = ACTIONS(1598),
    [sym__automatic_semicolon] = ACTIONS(2947),
    [sym__ternary_qmark] = ACTIONS(1604),
  },
  [915] = {
    [sym_export_statement] = STATE(3522),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4003),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3522),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3522),
    [sym_property_signature] = STATE(3522),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3522),
    [sym_index_signature] = STATE(3522),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_export] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_from] = ACTIONS(2871),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_readonly] = ACTIONS(2885),
    [anon_sym_get] = ACTIONS(2887),
    [anon_sym_set] = ACTIONS(2887),
    [anon_sym_declare] = ACTIONS(2871),
    [anon_sym_public] = ACTIONS(2889),
    [anon_sym_private] = ACTIONS(2889),
    [anon_sym_protected] = ACTIONS(2889),
    [anon_sym_override] = ACTIONS(2891),
    [anon_sym_module] = ACTIONS(2871),
    [anon_sym_any] = ACTIONS(2871),
    [anon_sym_number] = ACTIONS(2871),
    [anon_sym_boolean] = ACTIONS(2871),
    [anon_sym_string] = ACTIONS(2871),
    [anon_sym_symbol] = ACTIONS(2871),
    [anon_sym_property] = ACTIONS(2871),
    [anon_sym_signal] = ACTIONS(2871),
    [anon_sym_on] = ACTIONS(2871),
    [anon_sym_required] = ACTIONS(2871),
    [anon_sym_component] = ACTIONS(2871),
    [anon_sym_abstract] = ACTIONS(2803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2805),
  },
  [916] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4386),
    [sym_optional_tuple_parameter] = STATE(4386),
    [sym_optional_type] = STATE(4386),
    [sym_rest_type] = STATE(4386),
    [sym__tuple_type_member] = STATE(4386),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [917] = {
    [sym_identifier] = ACTIONS(1506),
    [anon_sym_export] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_default] = ACTIONS(1506),
    [anon_sym_type] = ACTIONS(1506),
    [anon_sym_as] = ACTIONS(1508),
    [anon_sym_namespace] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_from] = ACTIONS(1506),
    [anon_sym_var] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_else] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_in] = ACTIONS(1508),
    [anon_sym_of] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_LT] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1512),
    [anon_sym_async] = ACTIONS(1506),
    [anon_sym_function] = ACTIONS(1506),
    [anon_sym_QMARK_DOT] = ACTIONS(1512),
    [anon_sym_AMP_AMP] = ACTIONS(1512),
    [anon_sym_PIPE_PIPE] = ACTIONS(1512),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_GT_GT_GT] = ACTIONS(1512),
    [anon_sym_LT_LT] = ACTIONS(1512),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1512),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_PERCENT] = ACTIONS(1512),
    [anon_sym_STAR_STAR] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1512),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1512),
    [anon_sym_QMARK_QMARK] = ACTIONS(1512),
    [anon_sym_instanceof] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1510),
    [anon_sym_static] = ACTIONS(1506),
    [anon_sym_readonly] = ACTIONS(1506),
    [anon_sym_get] = ACTIONS(1506),
    [anon_sym_set] = ACTIONS(1506),
    [anon_sym_declare] = ACTIONS(1506),
    [anon_sym_public] = ACTIONS(1506),
    [anon_sym_private] = ACTIONS(1506),
    [anon_sym_protected] = ACTIONS(1506),
    [anon_sym_override] = ACTIONS(1506),
    [anon_sym_module] = ACTIONS(1506),
    [anon_sym_any] = ACTIONS(1506),
    [anon_sym_number] = ACTIONS(1506),
    [anon_sym_boolean] = ACTIONS(1506),
    [anon_sym_string] = ACTIONS(1506),
    [anon_sym_symbol] = ACTIONS(1506),
    [anon_sym_property] = ACTIONS(1506),
    [anon_sym_signal] = ACTIONS(1506),
    [anon_sym_on] = ACTIONS(1506),
    [anon_sym_required] = ACTIONS(1506),
    [anon_sym_component] = ACTIONS(1506),
    [anon_sym_enum] = ACTIONS(1506),
    [sym__automatic_semicolon] = ACTIONS(2953),
    [sym__ternary_qmark] = ACTIONS(1512),
  },
  [918] = {
    [sym_export_statement] = STATE(3522),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(3991),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4003),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(3991),
    [sym_method_definition] = STATE(4003),
    [sym_pair] = STATE(4003),
    [sym_pair_pattern] = STATE(3991),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3522),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3522),
    [sym_property_signature] = STATE(3522),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3522),
    [sym_index_signature] = STATE(3522),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [aux_sym_object_repeat1] = STATE(4005),
    [aux_sym_object_pattern_repeat1] = STATE(3992),
    [sym_identifier] = ACTIONS(2767),
    [anon_sym_export] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2767),
    [anon_sym_namespace] = ACTIONS(2767),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2831),
    [anon_sym_from] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2767),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_readonly] = ACTIONS(2795),
    [anon_sym_get] = ACTIONS(2797),
    [anon_sym_set] = ACTIONS(2797),
    [anon_sym_declare] = ACTIONS(2767),
    [anon_sym_public] = ACTIONS(2799),
    [anon_sym_private] = ACTIONS(2799),
    [anon_sym_protected] = ACTIONS(2799),
    [anon_sym_override] = ACTIONS(2801),
    [anon_sym_module] = ACTIONS(2767),
    [anon_sym_any] = ACTIONS(2767),
    [anon_sym_number] = ACTIONS(2767),
    [anon_sym_boolean] = ACTIONS(2767),
    [anon_sym_string] = ACTIONS(2767),
    [anon_sym_symbol] = ACTIONS(2767),
    [anon_sym_property] = ACTIONS(2767),
    [anon_sym_signal] = ACTIONS(2767),
    [anon_sym_on] = ACTIONS(2767),
    [anon_sym_required] = ACTIONS(2767),
    [anon_sym_component] = ACTIONS(2767),
    [anon_sym_abstract] = ACTIONS(2803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2805),
  },
  [919] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4386),
    [sym_optional_tuple_parameter] = STATE(4386),
    [sym_optional_type] = STATE(4386),
    [sym_rest_type] = STATE(4386),
    [sym__tuple_type_member] = STATE(4386),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [920] = {
    [sym_identifier] = ACTIONS(2957),
    [anon_sym_export] = ACTIONS(2957),
    [anon_sym_type] = ACTIONS(2957),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2959),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_typeof] = ACTIONS(2957),
    [anon_sym_import] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2959),
    [anon_sym_RPAREN] = ACTIONS(2959),
    [anon_sym_await] = ACTIONS(2957),
    [anon_sym_of] = ACTIONS(2957),
    [anon_sym_COLON] = ACTIONS(2959),
    [anon_sym_yield] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_RBRACK] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_async] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2957),
    [anon_sym_EQ_GT] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_PIPE] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_void] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2959),
    [sym_number] = ACTIONS(2959),
    [sym_this] = ACTIONS(2957),
    [sym_super] = ACTIONS(2957),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [sym_null] = ACTIONS(2957),
    [sym_undefined] = ACTIONS(2957),
    [anon_sym_AT] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_readonly] = ACTIONS(2957),
    [anon_sym_get] = ACTIONS(2957),
    [anon_sym_set] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2959),
    [anon_sym_declare] = ACTIONS(2957),
    [anon_sym_public] = ACTIONS(2957),
    [anon_sym_private] = ACTIONS(2957),
    [anon_sym_protected] = ACTIONS(2957),
    [anon_sym_override] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2957),
    [anon_sym_any] = ACTIONS(2957),
    [anon_sym_number] = ACTIONS(2957),
    [anon_sym_boolean] = ACTIONS(2957),
    [anon_sym_string] = ACTIONS(2957),
    [anon_sym_symbol] = ACTIONS(2957),
    [anon_sym_property] = ACTIONS(2957),
    [anon_sym_signal] = ACTIONS(2957),
    [anon_sym_on] = ACTIONS(2957),
    [anon_sym_required] = ACTIONS(2957),
    [anon_sym_component] = ACTIONS(2957),
    [anon_sym_extends] = ACTIONS(2957),
    [anon_sym_implements] = ACTIONS(2957),
  },
  [921] = {
    [sym_identifier] = ACTIONS(2961),
    [anon_sym_export] = ACTIONS(2961),
    [anon_sym_type] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_typeof] = ACTIONS(2961),
    [anon_sym_import] = ACTIONS(2961),
    [anon_sym_from] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_await] = ACTIONS(2961),
    [anon_sym_of] = ACTIONS(2961),
    [anon_sym_COLON] = ACTIONS(2963),
    [anon_sym_yield] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_RBRACK] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_async] = ACTIONS(2961),
    [anon_sym_function] = ACTIONS(2961),
    [anon_sym_EQ_GT] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_void] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2963),
    [sym_number] = ACTIONS(2963),
    [sym_this] = ACTIONS(2961),
    [sym_super] = ACTIONS(2961),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [sym_null] = ACTIONS(2961),
    [sym_undefined] = ACTIONS(2961),
    [anon_sym_AT] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_readonly] = ACTIONS(2961),
    [anon_sym_get] = ACTIONS(2961),
    [anon_sym_set] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_declare] = ACTIONS(2961),
    [anon_sym_public] = ACTIONS(2961),
    [anon_sym_private] = ACTIONS(2961),
    [anon_sym_protected] = ACTIONS(2961),
    [anon_sym_override] = ACTIONS(2961),
    [anon_sym_module] = ACTIONS(2961),
    [anon_sym_any] = ACTIONS(2961),
    [anon_sym_number] = ACTIONS(2961),
    [anon_sym_boolean] = ACTIONS(2961),
    [anon_sym_string] = ACTIONS(2961),
    [anon_sym_symbol] = ACTIONS(2961),
    [anon_sym_property] = ACTIONS(2961),
    [anon_sym_signal] = ACTIONS(2961),
    [anon_sym_on] = ACTIONS(2961),
    [anon_sym_required] = ACTIONS(2961),
    [anon_sym_component] = ACTIONS(2961),
    [anon_sym_extends] = ACTIONS(2961),
    [anon_sym_implements] = ACTIONS(2961),
  },
  [922] = {
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_export] = ACTIONS(2965),
    [anon_sym_type] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_typeof] = ACTIONS(2965),
    [anon_sym_import] = ACTIONS(2965),
    [anon_sym_from] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_RPAREN] = ACTIONS(2967),
    [anon_sym_await] = ACTIONS(2965),
    [anon_sym_of] = ACTIONS(2965),
    [anon_sym_COLON] = ACTIONS(2967),
    [anon_sym_yield] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_RBRACK] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_async] = ACTIONS(2965),
    [anon_sym_function] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_void] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2967),
    [sym_number] = ACTIONS(2967),
    [sym_this] = ACTIONS(2965),
    [sym_super] = ACTIONS(2965),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [sym_null] = ACTIONS(2965),
    [sym_undefined] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_readonly] = ACTIONS(2965),
    [anon_sym_get] = ACTIONS(2965),
    [anon_sym_set] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2967),
    [anon_sym_declare] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2965),
    [anon_sym_module] = ACTIONS(2965),
    [anon_sym_any] = ACTIONS(2965),
    [anon_sym_number] = ACTIONS(2965),
    [anon_sym_boolean] = ACTIONS(2965),
    [anon_sym_string] = ACTIONS(2965),
    [anon_sym_symbol] = ACTIONS(2965),
    [anon_sym_property] = ACTIONS(2965),
    [anon_sym_signal] = ACTIONS(2965),
    [anon_sym_on] = ACTIONS(2965),
    [anon_sym_required] = ACTIONS(2965),
    [anon_sym_component] = ACTIONS(2965),
    [anon_sym_extends] = ACTIONS(2965),
    [anon_sym_implements] = ACTIONS(2965),
  },
  [923] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_rest_pattern] = STATE(4587),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3524),
    [sym_tuple_parameter] = STATE(4386),
    [sym_optional_tuple_parameter] = STATE(4386),
    [sym_optional_type] = STATE(4386),
    [sym_rest_type] = STATE(4386),
    [sym__tuple_type_member] = STATE(4386),
    [sym_constructor_type] = STATE(3524),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3524),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3524),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3524),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [924] = {
    [sym_export_statement] = STATE(3365),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(4507),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4567),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(4507),
    [sym_method_definition] = STATE(4567),
    [sym_pair] = STATE(4567),
    [sym_pair_pattern] = STATE(4507),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3365),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3365),
    [sym_property_signature] = STATE(3365),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3365),
    [sym_index_signature] = STATE(3365),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_export] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2973),
    [anon_sym_RBRACE] = ACTIONS(2973),
    [anon_sym_from] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2978),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2982),
    [anon_sym_set] = ACTIONS(2982),
    [anon_sym_declare] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2986),
    [anon_sym_module] = ACTIONS(2969),
    [anon_sym_any] = ACTIONS(2969),
    [anon_sym_number] = ACTIONS(2969),
    [anon_sym_boolean] = ACTIONS(2969),
    [anon_sym_string] = ACTIONS(2969),
    [anon_sym_symbol] = ACTIONS(2969),
    [anon_sym_property] = ACTIONS(2969),
    [anon_sym_signal] = ACTIONS(2969),
    [anon_sym_on] = ACTIONS(2969),
    [anon_sym_required] = ACTIONS(2969),
    [anon_sym_component] = ACTIONS(2969),
    [anon_sym_abstract] = ACTIONS(2803),
  },
  [925] = {
    [sym_export_statement] = STATE(3500),
    [sym_object_pattern] = STATE(4881),
    [sym_object_assignment_pattern] = STATE(4507),
    [sym_array_pattern] = STATE(4881),
    [sym__call_signature] = STATE(3558),
    [sym__destructuring_pattern] = STATE(4881),
    [sym_spread_element] = STATE(4567),
    [sym_string] = STATE(2969),
    [sym_decorator] = STATE(1140),
    [sym_formal_parameters] = STATE(3098),
    [sym_rest_pattern] = STATE(4507),
    [sym_method_definition] = STATE(4567),
    [sym_pair] = STATE(4567),
    [sym_pair_pattern] = STATE(4507),
    [sym__property_name] = STATE(2969),
    [sym_computed_property_name] = STATE(2969),
    [sym_method_signature] = STATE(3500),
    [sym_accessibility_modifier] = STATE(2448),
    [sym_override_modifier] = STATE(2481),
    [sym_call_signature] = STATE(3500),
    [sym_property_signature] = STATE(3500),
    [sym_type_parameters] = STATE(4287),
    [sym_construct_signature] = STATE(3500),
    [sym_index_signature] = STATE(3500),
    [aux_sym_export_statement_repeat1] = STATE(3962),
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_export] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_type] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2973),
    [anon_sym_RBRACE] = ACTIONS(2973),
    [anon_sym_from] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_of] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_async] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_static] = ACTIONS(2978),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2982),
    [anon_sym_set] = ACTIONS(2982),
    [anon_sym_declare] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2986),
    [anon_sym_module] = ACTIONS(2969),
    [anon_sym_any] = ACTIONS(2969),
    [anon_sym_number] = ACTIONS(2969),
    [anon_sym_boolean] = ACTIONS(2969),
    [anon_sym_string] = ACTIONS(2969),
    [anon_sym_symbol] = ACTIONS(2969),
    [anon_sym_property] = ACTIONS(2969),
    [anon_sym_signal] = ACTIONS(2969),
    [anon_sym_on] = ACTIONS(2969),
    [anon_sym_required] = ACTIONS(2969),
    [anon_sym_component] = ACTIONS(2969),
    [anon_sym_abstract] = ACTIONS(2803),
  },
  [926] = {
    [sym_nested_identifier] = STATE(677),
    [sym_string] = STATE(702),
    [sym__module] = STATE(720),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_QMARK] = ACTIONS(2024),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [927] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3230),
    [sym_constructor_type] = STATE(3230),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3230),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_predicate] = STATE(3683),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3230),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3230),
    [sym_identifier] = ACTIONS(2990),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3020),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_asserts] = ACTIONS(3030),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [928] = {
    [sym_nested_identifier] = STATE(677),
    [sym_string] = STATE(702),
    [sym__module] = STATE(720),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_QMARK] = ACTIONS(2024),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [929] = {
    [sym_nested_identifier] = STATE(140),
    [sym_string] = STATE(141),
    [sym__module] = STATE(152),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_QMARK] = ACTIONS(2024),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [930] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3213),
    [sym_constructor_type] = STATE(3213),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3213),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_predicate] = STATE(4550),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3213),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3213),
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(3046),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_asserts] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [931] = {
    [sym_nested_identifier] = STATE(140),
    [sym_string] = STATE(141),
    [sym__module] = STATE(152),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_QMARK] = ACTIONS(2024),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [932] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3111),
    [sym_constructor_type] = STATE(3111),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3111),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_predicate] = STATE(3494),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3111),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3111),
    [sym_identifier] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(3054),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_asserts] = ACTIONS(3056),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [933] = {
    [sym_nested_identifier] = STATE(677),
    [sym_string] = STATE(702),
    [sym__module] = STATE(720),
    [aux_sym_object_repeat1] = STATE(4103),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2038),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_QMARK] = ACTIONS(2024),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [934] = {
    [sym_nested_identifier] = STATE(140),
    [sym_string] = STATE(141),
    [sym__module] = STATE(152),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_QMARK] = ACTIONS(2024),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [935] = {
    [sym_nested_identifier] = STATE(677),
    [sym_string] = STATE(702),
    [sym__module] = STATE(720),
    [aux_sym_object_repeat1] = STATE(4073),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_QMARK] = ACTIONS(2024),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [936] = {
    [sym_nested_identifier] = STATE(140),
    [sym_string] = STATE(141),
    [sym__module] = STATE(152),
    [aux_sym_object_repeat1] = STATE(4103),
    [aux_sym_object_pattern_repeat1] = STATE(4017),
    [sym_identifier] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(2038),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_QMARK] = ACTIONS(2024),
    [sym__automatic_semicolon] = ACTIONS(62),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [937] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3980),
    [sym_constructor_type] = STATE(3980),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3980),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3980),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3980),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(3058),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [938] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3411),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [939] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(3511),
    [sym_constructor_type] = STATE(3511),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3511),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_predicate] = STATE(2844),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3511),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3511),
    [sym_identifier] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(3076),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [940] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3411),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [941] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3411),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [942] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(3482),
    [sym_constructor_type] = STATE(3482),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3482),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_predicate] = STATE(2853),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3482),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3482),
    [sym_identifier] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(3076),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [943] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3411),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [944] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3079),
    [sym_constructor_type] = STATE(3079),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3079),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_predicate] = STATE(3089),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3079),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3079),
    [sym_identifier] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(3054),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [945] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3202),
    [sym_constructor_type] = STATE(3202),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3202),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_predicate] = STATE(3214),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3202),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3202),
    [sym_identifier] = ACTIONS(2990),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3020),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [946] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1583),
    [sym_constructor_type] = STATE(1583),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(1583),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_predicate] = STATE(1580),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1583),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1583),
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3120),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [947] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2877),
    [sym_constructor_type] = STATE(2877),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2877),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_predicate] = STATE(2853),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2877),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2877),
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(3046),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [948] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3411),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [949] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3842),
    [sym_constructor_type] = STATE(3842),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3842),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3842),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3842),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [950] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3411),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [951] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(2009),
    [sym_constructor_type] = STATE(2009),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(2009),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_predicate] = STATE(2011),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(2009),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(2009),
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3168),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [952] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3411),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [953] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3434),
    [sym_constructor_type] = STATE(3434),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3434),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_type_parameter] = STATE(4063),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3434),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3434),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [954] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3411),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [955] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3122),
    [sym_constructor_type] = STATE(3122),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3122),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_predicate] = STATE(3123),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3122),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3122),
    [sym_identifier] = ACTIONS(2990),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3020),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [956] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3411),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [957] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3876),
    [sym_constructor_type] = STATE(3876),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3876),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3876),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3876),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [958] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1585),
    [sym_constructor_type] = STATE(1585),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(1585),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_predicate] = STATE(1573),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1585),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1585),
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3120),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [959] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3862),
    [sym_constructor_type] = STATE(3862),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3862),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3862),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3862),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [960] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(1937),
    [sym_constructor_type] = STATE(1937),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(1937),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_predicate] = STATE(1939),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(1937),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(1937),
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3168),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [961] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3411),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [962] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2933),
    [sym_constructor_type] = STATE(2933),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2933),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_predicate] = STATE(2844),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2933),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2933),
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(3046),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [963] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3411),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [964] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3889),
    [sym_constructor_type] = STATE(3889),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3889),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3889),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3889),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_RBRACK] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [965] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3411),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [966] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3061),
    [sym_constructor_type] = STATE(3061),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3061),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_predicate] = STATE(3062),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3061),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3061),
    [sym_identifier] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(3054),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [967] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(4169),
    [sym_constructor_type] = STATE(4169),
    [sym__primary_type] = STATE(2832),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(4169),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(4169),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(4169),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [968] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1554),
    [sym_constructor_type] = STATE(1554),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(1554),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1554),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1554),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [969] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1540),
    [sym_constructor_type] = STATE(1540),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(1540),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1540),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1540),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [970] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3038),
    [sym_constructor_type] = STATE(3038),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3038),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3038),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3038),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [971] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3820),
    [sym_constructor_type] = STATE(3820),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3820),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3820),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3820),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [972] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3846),
    [sym_constructor_type] = STATE(3846),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3846),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3846),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3846),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [973] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(4139),
    [sym_constructor_type] = STATE(4139),
    [sym__primary_type] = STATE(3789),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3871),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(4139),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(4139),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [974] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1511),
    [sym_constructor_type] = STATE(1511),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(1511),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1511),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1511),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [975] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3434),
    [sym_constructor_type] = STATE(3434),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3434),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3434),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3434),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [976] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3775),
    [sym_constructor_type] = STATE(3775),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3775),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3775),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3775),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [977] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3087),
    [sym_constructor_type] = STATE(3087),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3087),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3087),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3087),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [978] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(4061),
    [sym_constructor_type] = STATE(4061),
    [sym__primary_type] = STATE(3054),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(4061),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(4061),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(4061),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [979] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(4061),
    [sym_constructor_type] = STATE(4061),
    [sym__primary_type] = STATE(3052),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(4061),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(4061),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(4061),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [980] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3071),
    [sym_constructor_type] = STATE(3071),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3071),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3071),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3071),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [981] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3411),
    [sym_constructor_type] = STATE(3411),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3411),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3411),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3411),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [982] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2826),
    [sym_constructor_type] = STATE(2826),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2826),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2826),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2826),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [983] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3037),
    [sym_constructor_type] = STATE(3037),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3037),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3037),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3037),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [984] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2902),
    [sym_constructor_type] = STATE(2902),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2902),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2902),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2902),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [985] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3395),
    [sym_constructor_type] = STATE(3395),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3395),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3395),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3395),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [986] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3792),
    [sym_constructor_type] = STATE(3792),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3792),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3792),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3792),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [987] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3562),
    [sym_constructor_type] = STATE(3562),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3562),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3562),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3562),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [988] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3948),
    [sym_constructor_type] = STATE(3948),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3948),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3948),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3948),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [989] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(1940),
    [sym_constructor_type] = STATE(1940),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(1940),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(1940),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(1940),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [990] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3933),
    [sym_constructor_type] = STATE(3933),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3933),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3933),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3933),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [991] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3928),
    [sym_constructor_type] = STATE(3928),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3928),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3928),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3928),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [992] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3636),
    [sym_constructor_type] = STATE(3636),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3636),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3636),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3636),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [993] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(1941),
    [sym_constructor_type] = STATE(1941),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(1941),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(1941),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(1941),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [994] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3075),
    [sym_constructor_type] = STATE(3075),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3075),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3075),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3075),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [995] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3070),
    [sym_constructor_type] = STATE(3070),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3070),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3070),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3070),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [996] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3919),
    [sym_constructor_type] = STATE(3919),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3919),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3919),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3919),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [997] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(3451),
    [sym_constructor_type] = STATE(3451),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3451),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3451),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3451),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [998] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1527),
    [sym_constructor_type] = STATE(1527),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1526),
    [sym_infer_type] = STATE(1527),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1527),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1527),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [999] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(4259),
    [sym_constructor_type] = STATE(4259),
    [sym__primary_type] = STATE(1906),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(4259),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(4259),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(4259),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [1000] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3203),
    [sym_constructor_type] = STATE(3203),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3203),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3203),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3203),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3216),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [1001] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3198),
    [sym_constructor_type] = STATE(3198),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3198),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3198),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3198),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3216),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [1002] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(3450),
    [sym_constructor_type] = STATE(3450),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3450),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3450),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3450),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [1003] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2904),
    [sym_constructor_type] = STATE(2904),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2904),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2904),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2904),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1004] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3958),
    [sym_constructor_type] = STATE(3958),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3958),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3958),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3958),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1005] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(3566),
    [sym_constructor_type] = STATE(3566),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3566),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3566),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3566),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [1006] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2905),
    [sym_constructor_type] = STATE(2905),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2905),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2905),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2905),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1007] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(4259),
    [sym_constructor_type] = STATE(4259),
    [sym__primary_type] = STATE(1904),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(4259),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(4259),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(4259),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [1008] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3956),
    [sym_constructor_type] = STATE(3956),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3956),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3956),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3956),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1009] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(1903),
    [sym_constructor_type] = STATE(1903),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(1903),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(1903),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(1903),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [1010] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(2826),
    [sym_constructor_type] = STATE(2826),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2826),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2826),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2826),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [1011] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(1899),
    [sym_constructor_type] = STATE(1899),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(1899),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(1899),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(1899),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [1012] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3051),
    [sym_constructor_type] = STATE(3051),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3051),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3051),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3051),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [1013] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3488),
    [sym_constructor_type] = STATE(3488),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3488),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3488),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3488),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1014] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(1898),
    [sym_constructor_type] = STATE(1898),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(1898),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(1898),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(1898),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [1015] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2845),
    [sym_constructor_type] = STATE(2845),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2845),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2845),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1016] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3766),
    [sym_constructor_type] = STATE(3766),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3766),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3766),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3766),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [1017] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3605),
    [sym_constructor_type] = STATE(3605),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3605),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3605),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3605),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [1018] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3135),
    [sym_constructor_type] = STATE(3135),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3135),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3135),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3135),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3216),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [1019] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3047),
    [sym_constructor_type] = STATE(3047),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3047),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3047),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3047),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [1020] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(4139),
    [sym_constructor_type] = STATE(4139),
    [sym__primary_type] = STATE(2832),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(4139),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(4139),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(4139),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1021] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2930),
    [sym_constructor_type] = STATE(2930),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2930),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2930),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2930),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1022] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(3512),
    [sym_constructor_type] = STATE(3512),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3512),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3512),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3512),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [1023] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(1964),
    [sym_constructor_type] = STATE(1964),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(1964),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(1964),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(1964),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [1024] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(2845),
    [sym_constructor_type] = STATE(2845),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2845),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2845),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2845),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [1025] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(4084),
    [sym_constructor_type] = STATE(4084),
    [sym__primary_type] = STATE(1568),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(4084),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(4084),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(4084),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [1026] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1561),
    [sym_constructor_type] = STATE(1561),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(1561),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1561),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1561),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [1027] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3046),
    [sym_constructor_type] = STATE(3046),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3046),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3046),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3046),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [1028] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(4084),
    [sym_constructor_type] = STATE(4084),
    [sym__primary_type] = STATE(1566),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(4084),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(4084),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(4084),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [1029] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3917),
    [sym_constructor_type] = STATE(3917),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3917),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3917),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3917),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1030] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3916),
    [sym_constructor_type] = STATE(3916),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3916),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3916),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3916),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1031] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3216),
    [sym_constructor_type] = STATE(3216),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3216),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3216),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3216),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [1032] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3151),
    [sym_constructor_type] = STATE(3151),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3151),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3151),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3151),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3216),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [1033] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3864),
    [sym_constructor_type] = STATE(3864),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3864),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3864),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3864),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1034] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3915),
    [sym_constructor_type] = STATE(3915),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3915),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3915),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3915),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1035] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3149),
    [sym_constructor_type] = STATE(3149),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3149),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3149),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3149),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3216),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [1036] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3529),
    [sym_constructor_type] = STATE(3529),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3529),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3529),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3529),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1037] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(2014),
    [sym_constructor_type] = STATE(2014),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(2014),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(2014),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(2014),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [1038] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3225),
    [sym_constructor_type] = STATE(3225),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3225),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3225),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3225),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [1039] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1565),
    [sym_constructor_type] = STATE(1565),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(1565),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1565),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1565),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [1040] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(3427),
    [sym_constructor_type] = STATE(3427),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3427),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3427),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3427),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [1041] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1543),
    [sym_constructor_type] = STATE(1543),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(1543),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1543),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1543),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [1042] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(2824),
    [sym_constructor_type] = STATE(2824),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2824),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2824),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2824),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [1043] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2835),
    [sym_constructor_type] = STATE(2835),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2835),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2835),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2835),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1044] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3910),
    [sym_constructor_type] = STATE(3910),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3910),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3910),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3910),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1045] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(2834),
    [sym_constructor_type] = STATE(2834),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2834),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2834),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2834),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [1046] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(4169),
    [sym_constructor_type] = STATE(4169),
    [sym__primary_type] = STATE(2830),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(4169),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(4169),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(4169),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [1047] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2834),
    [sym_constructor_type] = STATE(2834),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2834),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2834),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2834),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1048] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(2835),
    [sym_constructor_type] = STATE(2835),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2835),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2835),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2835),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [1049] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3869),
    [sym_constructor_type] = STATE(3869),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3869),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3869),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3869),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1050] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1538),
    [sym_constructor_type] = STATE(1538),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(1538),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1538),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1538),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [1051] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3877),
    [sym_constructor_type] = STATE(3877),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3877),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3877),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3877),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1052] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1576),
    [sym_constructor_type] = STATE(1576),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(1576),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1576),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1576),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [1053] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3139),
    [sym_constructor_type] = STATE(3139),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3139),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3139),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3139),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3216),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [1054] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3134),
    [sym_constructor_type] = STATE(3134),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3134),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3134),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3134),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3216),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [1055] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3697),
    [sym_constructor_type] = STATE(3697),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3697),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3697),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3697),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [1056] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3130),
    [sym_constructor_type] = STATE(3130),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3130),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3130),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3130),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3216),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [1057] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1579),
    [sym_constructor_type] = STATE(1579),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(1579),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1579),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1579),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [1058] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3138),
    [sym_constructor_type] = STATE(3138),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3138),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3138),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3138),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3216),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [1059] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(4238),
    [sym_constructor_type] = STATE(4238),
    [sym__primary_type] = STATE(3129),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(4238),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(4238),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(4238),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3216),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [1060] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3125),
    [sym_constructor_type] = STATE(3125),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3125),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3125),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3125),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3216),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [1061] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(4238),
    [sym_constructor_type] = STATE(4238),
    [sym__primary_type] = STATE(3127),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(4238),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(4238),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(4238),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3216),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [1062] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1542),
    [sym_constructor_type] = STATE(1542),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(1542),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1542),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1542),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [1063] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(2006),
    [sym_constructor_type] = STATE(2006),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(2006),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(2006),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(2006),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [1064] = {
    [sym_nested_identifier] = STATE(1608),
    [sym_string] = STATE(1607),
    [sym__module] = STATE(1662),
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_EQ] = ACTIONS(1590),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_COLON] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(26),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_QMARK] = ACTIONS(2196),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [1065] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3888),
    [sym_constructor_type] = STATE(3888),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3888),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3888),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3888),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1066] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3940),
    [sym_constructor_type] = STATE(3940),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3940),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3940),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3940),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1067] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3083),
    [sym_constructor_type] = STATE(3083),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3083),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3083),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3083),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [1068] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3595),
    [sym_constructor_type] = STATE(3595),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3595),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3595),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3595),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [1069] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3437),
    [sym_constructor_type] = STATE(3437),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3437),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3437),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3437),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1070] = {
    [sym_nested_identifier] = STATE(4798),
    [sym_string] = STATE(3146),
    [sym_formal_parameters] = STATE(4864),
    [sym_nested_type_identifier] = STATE(3035),
    [sym__type] = STATE(3118),
    [sym_constructor_type] = STATE(3118),
    [sym__primary_type] = STATE(3144),
    [sym_template_literal_type] = STATE(3143),
    [sym_infer_type] = STATE(3118),
    [sym_conditional_type] = STATE(3143),
    [sym_generic_type] = STATE(3143),
    [sym_type_query] = STATE(3143),
    [sym_index_type_query] = STATE(3143),
    [sym_lookup_type] = STATE(3143),
    [sym_literal_type] = STATE(3143),
    [sym__number] = STATE(3142),
    [sym_existential_type] = STATE(3143),
    [sym_flow_maybe_type] = STATE(3143),
    [sym_parenthesized_type] = STATE(3143),
    [sym_predefined_type] = STATE(3143),
    [sym_object_type] = STATE(3143),
    [sym_type_parameters] = STATE(4455),
    [sym_array_type] = STATE(3143),
    [sym_tuple_type] = STATE(3143),
    [sym_readonly_type] = STATE(3118),
    [sym_union_type] = STATE(3143),
    [sym_intersection_type] = STATE(3143),
    [sym_function_type] = STATE(3118),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3016),
    [sym_number] = ACTIONS(3018),
    [sym_this] = ACTIONS(3216),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3010),
    [anon_sym_number] = ACTIONS(3010),
    [anon_sym_boolean] = ACTIONS(3010),
    [anon_sym_string] = ACTIONS(3010),
    [anon_sym_symbol] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_infer] = ACTIONS(3032),
    [anon_sym_keyof] = ACTIONS(3034),
    [anon_sym_unknown] = ACTIONS(3010),
    [anon_sym_never] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3036),
  },
  [1071] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3891),
    [sym_constructor_type] = STATE(3891),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3891),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3891),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3891),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1072] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3400),
    [sym_constructor_type] = STATE(3400),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3400),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3400),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3400),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1073] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2854),
    [sym_constructor_type] = STATE(2854),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2854),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2854),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2854),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1074] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(1971),
    [sym_constructor_type] = STATE(1971),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(1971),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(1971),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(1971),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [1075] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(1891),
    [sym_constructor_type] = STATE(1891),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(1891),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(1891),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(1891),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [1076] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(3477),
    [sym_constructor_type] = STATE(3477),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3477),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3477),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3477),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [1077] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(1856),
    [sym_constructor_type] = STATE(1856),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1857),
    [sym_infer_type] = STATE(1856),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(1856),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(1856),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [1078] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3420),
    [sym_constructor_type] = STATE(3420),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3420),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3420),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3420),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1079] = {
    [sym_nested_identifier] = STATE(4737),
    [sym_string] = STATE(1603),
    [sym_formal_parameters] = STATE(4832),
    [sym_nested_type_identifier] = STATE(1468),
    [sym__type] = STATE(1623),
    [sym_constructor_type] = STATE(1623),
    [sym__primary_type] = STATE(1621),
    [sym_template_literal_type] = STATE(1620),
    [sym_infer_type] = STATE(1623),
    [sym_conditional_type] = STATE(1620),
    [sym_generic_type] = STATE(1620),
    [sym_type_query] = STATE(1620),
    [sym_index_type_query] = STATE(1620),
    [sym_lookup_type] = STATE(1620),
    [sym_literal_type] = STATE(1620),
    [sym__number] = STATE(1616),
    [sym_existential_type] = STATE(1620),
    [sym_flow_maybe_type] = STATE(1620),
    [sym_parenthesized_type] = STATE(1620),
    [sym_predefined_type] = STATE(1620),
    [sym_object_type] = STATE(1620),
    [sym_type_parameters] = STATE(4499),
    [sym_array_type] = STATE(1620),
    [sym_tuple_type] = STATE(1620),
    [sym_readonly_type] = STATE(1623),
    [sym_union_type] = STATE(1620),
    [sym_intersection_type] = STATE(1620),
    [sym_function_type] = STATE(1623),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3116),
    [sym_number] = ACTIONS(3118),
    [sym_this] = ACTIONS(3208),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_infer] = ACTIONS(3130),
    [anon_sym_keyof] = ACTIONS(3132),
    [anon_sym_unknown] = ACTIONS(3114),
    [anon_sym_never] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3134),
  },
  [1080] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3607),
    [sym_constructor_type] = STATE(3607),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3607),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3607),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3607),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [1081] = {
    [sym_nested_identifier] = STATE(4640),
    [sym_string] = STATE(1851),
    [sym_formal_parameters] = STATE(4897),
    [sym_nested_type_identifier] = STATE(1800),
    [sym__type] = STATE(1893),
    [sym_constructor_type] = STATE(1893),
    [sym__primary_type] = STATE(1849),
    [sym_template_literal_type] = STATE(1848),
    [sym_infer_type] = STATE(1893),
    [sym_conditional_type] = STATE(1848),
    [sym_generic_type] = STATE(1848),
    [sym_type_query] = STATE(1848),
    [sym_index_type_query] = STATE(1848),
    [sym_lookup_type] = STATE(1848),
    [sym_literal_type] = STATE(1848),
    [sym__number] = STATE(1847),
    [sym_existential_type] = STATE(1848),
    [sym_flow_maybe_type] = STATE(1848),
    [sym_parenthesized_type] = STATE(1848),
    [sym_predefined_type] = STATE(1848),
    [sym_object_type] = STATE(1848),
    [sym_type_parameters] = STATE(4600),
    [sym_array_type] = STATE(1848),
    [sym_tuple_type] = STATE(1848),
    [sym_readonly_type] = STATE(1893),
    [sym_union_type] = STATE(1848),
    [sym_intersection_type] = STATE(1848),
    [sym_function_type] = STATE(1893),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_SQUOTE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3166),
    [sym_this] = ACTIONS(3212),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_infer] = ACTIONS(3178),
    [anon_sym_keyof] = ACTIONS(3180),
    [anon_sym_unknown] = ACTIONS(3162),
    [anon_sym_never] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3182),
  },
  [1082] = {
    [sym_nested_identifier] = STATE(4772),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4800),
    [sym_nested_type_identifier] = STATE(3229),
    [sym__type] = STATE(2854),
    [sym_constructor_type] = STATE(2854),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2854),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4422),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2854),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2854),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(3084),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3086),
  },
  [1083] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3361),
    [sym_constructor_type] = STATE(3361),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3361),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3361),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3361),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1084] = {
    [sym_nested_identifier] = STATE(1608),
    [sym_string] = STATE(1607),
    [sym__module] = STATE(1662),
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_COMMA] = ACTIONS(122),
    [anon_sym_RBRACE] = ACTIONS(122),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_RPAREN] = ACTIONS(122),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_COLON] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(26),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(125),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_QMARK] = ACTIONS(733),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [1085] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3213),
    [sym_constructor_type] = STATE(3213),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3213),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3213),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3213),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1086] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(4139),
    [sym_constructor_type] = STATE(4139),
    [sym__primary_type] = STATE(2830),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(4139),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(4139),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(4139),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1087] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3086),
    [sym_constructor_type] = STATE(3086),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3086),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3086),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3086),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
  [1088] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2871),
    [sym_constructor_type] = STATE(2871),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2871),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2871),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2871),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1089] = {
    [sym_nested_identifier] = STATE(1608),
    [sym_string] = STATE(1607),
    [sym__module] = STATE(1662),
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(26),
    [anon_sym_EQ] = ACTIONS(23),
    [anon_sym_as] = ACTIONS(26),
    [anon_sym_COMMA] = ACTIONS(32),
    [anon_sym_RBRACE] = ACTIONS(32),
    [anon_sym_BANG] = ACTIONS(26),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_RPAREN] = ACTIONS(32),
    [anon_sym_in] = ACTIONS(26),
    [anon_sym_COLON] = ACTIONS(32),
    [anon_sym_LBRACK] = ACTIONS(62),
    [anon_sym_RBRACK] = ACTIONS(32),
    [anon_sym_LT] = ACTIONS(26),
    [anon_sym_GT] = ACTIONS(26),
    [anon_sym_SLASH] = ACTIONS(26),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_EQ_GT] = ACTIONS(60),
    [anon_sym_QMARK_DOT] = ACTIONS(62),
    [anon_sym_PLUS_EQ] = ACTIONS(66),
    [anon_sym_DASH_EQ] = ACTIONS(66),
    [anon_sym_STAR_EQ] = ACTIONS(66),
    [anon_sym_SLASH_EQ] = ACTIONS(66),
    [anon_sym_PERCENT_EQ] = ACTIONS(66),
    [anon_sym_CARET_EQ] = ACTIONS(66),
    [anon_sym_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(66),
    [anon_sym_LT_LT_EQ] = ACTIONS(66),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(66),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(66),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(66),
    [anon_sym_AMP_AMP] = ACTIONS(26),
    [anon_sym_PIPE_PIPE] = ACTIONS(26),
    [anon_sym_GT_GT] = ACTIONS(26),
    [anon_sym_GT_GT_GT] = ACTIONS(26),
    [anon_sym_LT_LT] = ACTIONS(26),
    [anon_sym_AMP] = ACTIONS(26),
    [anon_sym_CARET] = ACTIONS(26),
    [anon_sym_PIPE] = ACTIONS(26),
    [anon_sym_PLUS] = ACTIONS(26),
    [anon_sym_DASH] = ACTIONS(26),
    [anon_sym_PERCENT] = ACTIONS(26),
    [anon_sym_STAR_STAR] = ACTIONS(26),
    [anon_sym_LT_EQ] = ACTIONS(62),
    [anon_sym_EQ_EQ] = ACTIONS(26),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(62),
    [anon_sym_BANG_EQ] = ACTIONS(26),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(62),
    [anon_sym_GT_EQ] = ACTIONS(62),
    [anon_sym_QMARK_QMARK] = ACTIONS(26),
    [anon_sym_instanceof] = ACTIONS(26),
    [anon_sym_PLUS_PLUS] = ACTIONS(62),
    [anon_sym_DASH_DASH] = ACTIONS(62),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_QMARK] = ACTIONS(733),
    [sym__ternary_qmark] = ACTIONS(62),
  },
  [1090] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3943),
    [sym_constructor_type] = STATE(3943),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3943),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3943),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3943),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1091] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(2824),
    [sym_constructor_type] = STATE(2824),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(2824),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(2824),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(2824),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1092] = {
    [sym_nested_identifier] = STATE(4914),
    [sym_string] = STATE(2839),
    [sym_formal_parameters] = STATE(4782),
    [sym_nested_type_identifier] = STATE(2816),
    [sym__type] = STATE(3918),
    [sym_constructor_type] = STATE(3918),
    [sym__primary_type] = STATE(2823),
    [sym_template_literal_type] = STATE(2821),
    [sym_infer_type] = STATE(3918),
    [sym_conditional_type] = STATE(2821),
    [sym_generic_type] = STATE(2821),
    [sym_type_query] = STATE(2821),
    [sym_index_type_query] = STATE(2821),
    [sym_lookup_type] = STATE(2821),
    [sym_literal_type] = STATE(2821),
    [sym__number] = STATE(2820),
    [sym_existential_type] = STATE(2821),
    [sym_flow_maybe_type] = STATE(2821),
    [sym_parenthesized_type] = STATE(2821),
    [sym_predefined_type] = STATE(2821),
    [sym_object_type] = STATE(2821),
    [sym_type_parameters] = STATE(4454),
    [sym_array_type] = STATE(2821),
    [sym_tuple_type] = STATE(2821),
    [sym_readonly_type] = STATE(3918),
    [sym_union_type] = STATE(2821),
    [sym_intersection_type] = STATE(2821),
    [sym_function_type] = STATE(3918),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_infer] = ACTIONS(111),
    [anon_sym_keyof] = ACTIONS(113),
    [anon_sym_unknown] = ACTIONS(115),
    [anon_sym_never] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(117),
  },
  [1093] = {
    [sym_nested_identifier] = STATE(4847),
    [sym_string] = STATE(3077),
    [sym_formal_parameters] = STATE(4916),
    [sym_nested_type_identifier] = STATE(2971),
    [sym__type] = STATE(3111),
    [sym_constructor_type] = STATE(3111),
    [sym__primary_type] = STATE(3066),
    [sym_template_literal_type] = STATE(3082),
    [sym_infer_type] = STATE(3111),
    [sym_conditional_type] = STATE(3082),
    [sym_generic_type] = STATE(3082),
    [sym_type_query] = STATE(3082),
    [sym_index_type_query] = STATE(3082),
    [sym_lookup_type] = STATE(3082),
    [sym_literal_type] = STATE(3082),
    [sym__number] = STATE(3067),
    [sym_existential_type] = STATE(3082),
    [sym_flow_maybe_type] = STATE(3082),
    [sym_parenthesized_type] = STATE(3082),
    [sym_predefined_type] = STATE(3082),
    [sym_object_type] = STATE(3082),
    [sym_type_parameters] = STATE(4441),
    [sym_array_type] = STATE(3082),
    [sym_tuple_type] = STATE(3082),
    [sym_readonly_type] = STATE(3111),
    [sym_union_type] = STATE(3082),
    [sym_intersection_type] = STATE(3082),
    [sym_function_type] = STATE(3111),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_void] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_number] = ACTIONS(1460),
    [sym_this] = ACTIONS(1462),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(823),
    [anon_sym_any] = ACTIONS(833),
    [anon_sym_number] = ACTIONS(833),
    [anon_sym_boolean] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_symbol] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(829),
    [anon_sym_keyof] = ACTIONS(831),
    [anon_sym_unknown] = ACTIONS(833),
    [anon_sym_never] = ACTIONS(833),
    [anon_sym_object] = ACTIONS(833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(835),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [89] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(209), 1,
      anon_sym_SQUOTE,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2212), 1,
      anon_sym_DOT,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(3220), 1,
      sym_identifier,
    STATE(1433), 1,
      sym_nested_identifier,
    STATE(1440), 1,
      sym_string,
    STATE(1669), 1,
      sym__module,
    STATE(2474), 1,
      sym_ui_object_initializer,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [184] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(1375), 1,
      anon_sym_EQ,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [273] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(209), 1,
      anon_sym_SQUOTE,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2210), 1,
      anon_sym_LBRACE,
    ACTIONS(2212), 1,
      anon_sym_DOT,
    ACTIONS(3220), 1,
      sym_identifier,
    STATE(1433), 1,
      sym_nested_identifier,
    STATE(1440), 1,
      sym_string,
    STATE(1669), 1,
      sym__module,
    STATE(4601), 1,
      sym_ui_object_initializer,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [368] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2142), 1,
      anon_sym_COLON,
    ACTIONS(2988), 1,
      sym_identifier,
    STATE(677), 1,
      sym_nested_identifier,
    STATE(702), 1,
      sym_string,
    STATE(720), 1,
      sym__module,
    ACTIONS(62), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [458] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(1375), 1,
      anon_sym_EQ,
    ACTIONS(1416), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(1413), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(62), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [550] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(2212), 1,
      anon_sym_DOT,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    STATE(2474), 1,
      sym_ui_object_initializer,
    ACTIONS(122), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(62), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [646] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2122), 1,
      anon_sym_COLON,
    ACTIONS(3222), 1,
      sym_identifier,
    ACTIONS(3224), 1,
      anon_sym_DQUOTE,
    ACTIONS(3226), 1,
      anon_sym_SQUOTE,
    STATE(2428), 1,
      sym_nested_identifier,
    STATE(2483), 1,
      sym_string,
    STATE(2583), 1,
      sym__module,
    ACTIONS(62), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [736] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(209), 1,
      anon_sym_SQUOTE,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2156), 1,
      anon_sym_COLON,
    ACTIONS(3220), 1,
      sym_identifier,
    STATE(1433), 1,
      sym_nested_identifier,
    STATE(1440), 1,
      sym_string,
    STATE(1669), 1,
      sym__module,
    ACTIONS(62), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [826] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [914] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2142), 1,
      anon_sym_COLON,
    ACTIONS(3038), 1,
      sym_identifier,
    ACTIONS(3040), 1,
      anon_sym_DQUOTE,
    ACTIONS(3042), 1,
      anon_sym_SQUOTE,
    STATE(140), 1,
      sym_nested_identifier,
    STATE(141), 1,
      sym_string,
    STATE(152), 1,
      sym__module,
    ACTIONS(62), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1004] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2122), 1,
      anon_sym_COLON,
    ACTIONS(3228), 1,
      sym_identifier,
    ACTIONS(3230), 1,
      anon_sym_DQUOTE,
    ACTIONS(3232), 1,
      anon_sym_SQUOTE,
    STATE(865), 1,
      sym_string,
    STATE(866), 1,
      sym_nested_identifier,
    STATE(886), 1,
      sym__module,
    ACTIONS(62), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1094] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(209), 1,
      anon_sym_SQUOTE,
    ACTIONS(1405), 1,
      anon_sym_EQ,
    ACTIONS(1407), 1,
      anon_sym_EQ_GT,
    ACTIONS(3220), 1,
      sym_identifier,
    STATE(1433), 1,
      sym_nested_identifier,
    STATE(1440), 1,
      sym_string,
    STATE(1669), 1,
      sym__module,
    ACTIONS(62), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1182] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2156), 1,
      anon_sym_COLON,
    ACTIONS(3234), 1,
      sym_identifier,
    STATE(720), 1,
      sym__module,
    STATE(3628), 1,
      sym_nested_identifier,
    STATE(3900), 1,
      sym_string,
    ACTIONS(62), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1272] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1407), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1360] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(209), 1,
      anon_sym_SQUOTE,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2273), 1,
      anon_sym_in,
    ACTIONS(3220), 1,
      sym_identifier,
    ACTIONS(3236), 1,
      anon_sym_of,
    STATE(1433), 1,
      sym_nested_identifier,
    STATE(1440), 1,
      sym_string,
    STATE(1669), 1,
      sym__module,
    ACTIONS(62), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 22,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1452] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(209), 1,
      anon_sym_SQUOTE,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(3220), 1,
      sym_identifier,
    STATE(1433), 1,
      sym_nested_identifier,
    STATE(1440), 1,
      sym_string,
    STATE(1669), 1,
      sym__module,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1540] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2000), 1,
      anon_sym_EQ,
    ACTIONS(2008), 1,
      anon_sym_COLON,
    ACTIONS(2024), 1,
      anon_sym_QMARK,
    ACTIONS(2034), 1,
      anon_sym_RBRACE,
    ACTIONS(2064), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_LT,
    ACTIONS(3238), 1,
      sym_identifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 22,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1631] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1496), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [1718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_AT,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1140), 1,
      sym_decorator,
    ACTIONS(3242), 13,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
    ACTIONS(3240), 45,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_from,
      anon_sym_await,
      anon_sym_of,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [1793] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2000), 1,
      anon_sym_EQ,
    ACTIONS(2008), 1,
      anon_sym_COLON,
    ACTIONS(2024), 1,
      anon_sym_QMARK,
    ACTIONS(2038), 1,
      anon_sym_RBRACE,
    ACTIONS(2064), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_LT,
    ACTIONS(3238), 1,
      sym_identifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 22,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1884] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_AT,
    ACTIONS(3247), 1,
      anon_sym_class,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1140), 1,
      sym_decorator,
    ACTIONS(3242), 13,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
    ACTIONS(3240), 44,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_from,
      anon_sym_await,
      anon_sym_of,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [1961] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1494), 1,
      anon_sym_EQ,
    ACTIONS(1496), 1,
      anon_sym_EQ_GT,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [2048] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(32), 1,
      anon_sym_COMMA,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(122), 1,
      anon_sym_RBRACK,
    ACTIONS(1620), 1,
      anon_sym_EQ_GT,
    ACTIONS(2268), 1,
      anon_sym_EQ,
    ACTIONS(2271), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2141] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2000), 1,
      anon_sym_EQ,
    ACTIONS(2002), 1,
      anon_sym_RBRACE,
    ACTIONS(2008), 1,
      anon_sym_COLON,
    ACTIONS(2024), 1,
      anon_sym_QMARK,
    ACTIONS(2064), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_LT,
    ACTIONS(3238), 1,
      sym_identifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 22,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2232] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2000), 1,
      anon_sym_EQ,
    ACTIONS(2008), 1,
      anon_sym_COLON,
    ACTIONS(2024), 1,
      anon_sym_QMARK,
    ACTIONS(2026), 1,
      anon_sym_RBRACE,
    ACTIONS(2064), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_LT,
    ACTIONS(3238), 1,
      sym_identifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 22,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3256), 1,
      anon_sym_DOT,
    STATE(1147), 1,
      sym_arguments,
    ACTIONS(3252), 13,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3250), 45,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_from,
      anon_sym_await,
      anon_sym_of,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [2398] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3258), 46,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_from,
      anon_sym_await,
      anon_sym_of,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [2552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3252), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3250), 46,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_from,
      anon_sym_await,
      anon_sym_of,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [2620] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_COLON,
    ACTIONS(2024), 1,
      anon_sym_QMARK,
    ACTIONS(2038), 1,
      anon_sym_RBRACE,
    ACTIONS(3264), 1,
      anon_sym_EQ,
    ACTIONS(3268), 1,
      anon_sym_LPAREN,
    ACTIONS(3271), 1,
      anon_sym_LT,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2708] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_COLON,
    ACTIONS(2024), 1,
      anon_sym_QMARK,
    ACTIONS(2026), 1,
      anon_sym_RBRACE,
    ACTIONS(3264), 1,
      anon_sym_EQ,
    ACTIONS(3268), 1,
      anon_sym_LPAREN,
    ACTIONS(3271), 1,
      anon_sym_LT,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3280), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [2864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3282), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3284), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [2932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3288), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [3000] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(3222), 1,
      sym_identifier,
    ACTIONS(3224), 1,
      anon_sym_DQUOTE,
    ACTIONS(3226), 1,
      anon_sym_SQUOTE,
    STATE(2428), 1,
      sym_nested_identifier,
    STATE(2483), 1,
      sym_string,
    STATE(2583), 1,
      sym__module,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3086] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1618), 1,
      anon_sym_EQ,
    ACTIONS(1620), 1,
      anon_sym_EQ_GT,
    ACTIONS(2271), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3174] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_COLON,
    ACTIONS(2024), 1,
      anon_sym_QMARK,
    ACTIONS(2034), 1,
      anon_sym_RBRACE,
    ACTIONS(3264), 1,
      anon_sym_EQ,
    ACTIONS(3268), 1,
      anon_sym_LPAREN,
    ACTIONS(3271), 1,
      anon_sym_LT,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3262] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3290), 1,
      sym_identifier,
    STATE(3218), 1,
      sym_nested_identifier,
    STATE(3254), 1,
      sym_string,
    STATE(3678), 1,
      sym__module,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3294), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3292), 46,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_from,
      anon_sym_await,
      anon_sym_of,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [3416] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2000), 1,
      anon_sym_EQ,
    ACTIONS(2008), 1,
      anon_sym_COLON,
    ACTIONS(2024), 1,
      anon_sym_QMARK,
    ACTIONS(2038), 1,
      anon_sym_RBRACE,
    ACTIONS(2064), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_LT,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3296), 46,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_from,
      anon_sym_await,
      anon_sym_of,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [3572] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(3038), 1,
      sym_identifier,
    ACTIONS(3040), 1,
      anon_sym_DQUOTE,
    ACTIONS(3042), 1,
      anon_sym_SQUOTE,
    STATE(140), 1,
      sym_nested_identifier,
    STATE(141), 1,
      sym_string,
    STATE(152), 1,
      sym__module,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3658] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(32), 1,
      anon_sym_COMMA,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(122), 1,
      anon_sym_RBRACK,
    ACTIONS(1620), 1,
      anon_sym_EQ_GT,
    ACTIONS(2268), 1,
      anon_sym_EQ,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3748] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(2988), 1,
      sym_identifier,
    STATE(677), 1,
      sym_nested_identifier,
    STATE(702), 1,
      sym_string,
    STATE(720), 1,
      sym__module,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3834] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2000), 1,
      anon_sym_EQ,
    ACTIONS(2008), 1,
      anon_sym_COLON,
    ACTIONS(2024), 1,
      anon_sym_QMARK,
    ACTIONS(2026), 1,
      anon_sym_RBRACE,
    ACTIONS(2064), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_LT,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3302), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3300), 46,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_from,
      anon_sym_await,
      anon_sym_of,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [3990] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(209), 1,
      anon_sym_SQUOTE,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(3220), 1,
      sym_identifier,
    STATE(1433), 1,
      sym_nested_identifier,
    STATE(1440), 1,
      sym_string,
    STATE(1669), 1,
      sym__module,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [4076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3304), 46,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_from,
      anon_sym_await,
      anon_sym_of,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [4144] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1618), 1,
      anon_sym_EQ,
    ACTIONS(1620), 1,
      anon_sym_EQ_GT,
    ACTIONS(2278), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [4232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3308), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3310), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [4300] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(3234), 1,
      sym_identifier,
    STATE(720), 1,
      sym__module,
    STATE(3628), 1,
      sym_nested_identifier,
    STATE(3900), 1,
      sym_string,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [4386] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(3228), 1,
      sym_identifier,
    ACTIONS(3230), 1,
      anon_sym_DQUOTE,
    ACTIONS(3232), 1,
      anon_sym_SQUOTE,
    STATE(865), 1,
      sym_string,
    STATE(866), 1,
      sym_nested_identifier,
    STATE(886), 1,
      sym__module,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [4472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3312), 46,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_from,
      anon_sym_await,
      anon_sym_of,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [4540] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2000), 1,
      anon_sym_EQ,
    ACTIONS(2002), 1,
      anon_sym_RBRACE,
    ACTIONS(2008), 1,
      anon_sym_COLON,
    ACTIONS(2024), 1,
      anon_sym_QMARK,
    ACTIONS(2064), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_LT,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4628] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 1,
      anon_sym_RBRACE,
    ACTIONS(2008), 1,
      anon_sym_COLON,
    ACTIONS(2024), 1,
      anon_sym_QMARK,
    ACTIONS(3264), 1,
      anon_sym_EQ,
    ACTIONS(3268), 1,
      anon_sym_LPAREN,
    ACTIONS(3271), 1,
      anon_sym_LT,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3318), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [4784] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2000), 1,
      anon_sym_EQ,
    ACTIONS(2008), 1,
      anon_sym_COLON,
    ACTIONS(2024), 1,
      anon_sym_QMARK,
    ACTIONS(2034), 1,
      anon_sym_RBRACE,
    ACTIONS(2064), 1,
      anon_sym_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_LT,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4872] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1658), 1,
      anon_sym_EQ,
    ACTIONS(1660), 1,
      anon_sym_EQ_GT,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [4957] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3326), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3328), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3479), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5080] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(60), 1,
      anon_sym_EQ_GT,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(2273), 1,
      anon_sym_in,
    ACTIONS(3218), 1,
      sym_identifier,
    ACTIONS(3236), 1,
      anon_sym_of,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 22,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [5169] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3346), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3348), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3436), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5292] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3350), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3352), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3412), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5415] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3354), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3356), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3416), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5538] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 1,
      anon_sym_EQ,
    ACTIONS(3365), 1,
      anon_sym_COLON,
    ACTIONS(3367), 1,
      anon_sym_LBRACK,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3381), 1,
      anon_sym_QMARK,
    ACTIONS(3384), 1,
      anon_sym_extends,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(4344), 1,
      sym_type_annotation,
    ACTIONS(3361), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3378), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5631] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3386), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3388), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3355), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5754] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(2879), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2893), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3415), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5877] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(3394), 1,
      anon_sym_LPAREN,
    ACTIONS(3396), 1,
      anon_sym_LBRACK,
    ACTIONS(3398), 1,
      anon_sym_DOT,
    ACTIONS(3400), 1,
      anon_sym_QMARK_DOT,
    STATE(2952), 1,
      sym_arguments,
    ACTIONS(3402), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3392), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3266), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5964] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3384), 1,
      anon_sym_extends,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3367), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3378), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [6120] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(1660), 1,
      anon_sym_EQ_GT,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6205] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3392), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3402), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6292] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(1626), 1,
      anon_sym_EQ_GT,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6377] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(1620), 1,
      anon_sym_EQ_GT,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6462] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1624), 1,
      anon_sym_EQ,
    ACTIONS(1626), 1,
      anon_sym_EQ_GT,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2711), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2713), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [6614] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 1,
      anon_sym_EQ,
    ACTIONS(3367), 1,
      anon_sym_LBRACK,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3414), 1,
      anon_sym_LT,
    ACTIONS(3417), 1,
      anon_sym_DOT,
    STATE(3050), 1,
      sym_type_arguments,
    ACTIONS(3361), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3378), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3384), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3266), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6701] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1618), 1,
      anon_sym_EQ,
    ACTIONS(1620), 1,
      anon_sym_EQ_GT,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2719), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2721), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [6853] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(2781), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2805), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3522), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [6976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(3420), 1,
      anon_sym_LBRACK,
    ACTIONS(3423), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1728), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7054] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(60), 1,
      anon_sym_EQ_GT,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(3218), 1,
      sym_identifier,
    STATE(1607), 1,
      sym_string,
    STATE(1608), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym__module,
    ACTIONS(62), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [7138] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3384), 1,
      anon_sym_extends,
    ACTIONS(3426), 1,
      anon_sym_EQ,
    ACTIONS(3428), 1,
      anon_sym_EQ_GT,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3367), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3378), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7222] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3426), 1,
      anon_sym_EQ,
    ACTIONS(3428), 1,
      anon_sym_EQ_GT,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3392), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3402), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7308] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACK,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3384), 1,
      anon_sym_extends,
    ACTIONS(3430), 1,
      anon_sym_EQ,
    ACTIONS(3435), 1,
      anon_sym_RPAREN,
    ACTIONS(3438), 1,
      anon_sym_EQ_GT,
    ACTIONS(3440), 1,
      anon_sym_QMARK,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3378), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3433), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3266), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7398] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(60), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(2196), 1,
      anon_sym_QMARK,
    ACTIONS(1416), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7474] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      anon_sym_EQ_GT,
    ACTIONS(3444), 1,
      anon_sym_QMARK,
    ACTIONS(3442), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7550] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3384), 1,
      anon_sym_extends,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3367), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3378), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7634] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(1375), 1,
      anon_sym_EQ,
    ACTIONS(1728), 1,
      anon_sym_extends,
    ACTIONS(3420), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3423), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7712] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(733), 1,
      anon_sym_QMARK,
    ACTIONS(122), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7788] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 1,
      anon_sym_EQ,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3440), 1,
      anon_sym_QMARK,
    ACTIONS(3448), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7864] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      anon_sym_EQ_GT,
    ACTIONS(3440), 1,
      anon_sym_QMARK,
    ACTIONS(3433), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7940] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3392), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3402), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8026] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_EQ,
    ACTIONS(60), 1,
      anon_sym_EQ_GT,
    ACTIONS(733), 1,
      anon_sym_QMARK,
    ACTIONS(32), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8102] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3402), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3392), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3266), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8188] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 1,
      anon_sym_EQ,
    ACTIONS(3361), 1,
      anon_sym_RPAREN,
    ACTIONS(3367), 1,
      anon_sym_LBRACK,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3384), 1,
      anon_sym_extends,
    ACTIONS(3440), 1,
      anon_sym_QMARK,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3378), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3266), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8278] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2122), 1,
      anon_sym_COLON,
    ACTIONS(3451), 1,
      sym_identifier,
    ACTIONS(62), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [8353] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3453), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8472] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    ACTIONS(3455), 1,
      anon_sym_DOT,
    STATE(2479), 1,
      sym_ui_object_initializer,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8549] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3458), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8668] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8739] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3460), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8858] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3462), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8977] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3464), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [9096] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3466), 1,
      anon_sym_EQ,
    ACTIONS(3468), 1,
      anon_sym_EQ_GT,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3392), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3402), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9181] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3470), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [9300] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACK,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      anon_sym_EQ_GT,
    ACTIONS(3442), 1,
      anon_sym_COLON,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3378), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3384), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3266), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9385] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3472), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [9504] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2212), 1,
      anon_sym_DOT,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    STATE(2474), 1,
      sym_ui_object_initializer,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9581] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(1728), 1,
      anon_sym_extends,
    ACTIONS(3420), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3423), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9658] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 1,
      anon_sym_EQ,
    ACTIONS(3440), 1,
      anon_sym_QMARK,
    ACTIONS(3448), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9731] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACK,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3476), 1,
      anon_sym_EQ_GT,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3384), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3378), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9814] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3478), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [9933] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_EQ,
    ACTIONS(60), 1,
      anon_sym_EQ_GT,
    ACTIONS(733), 1,
      anon_sym_QMARK,
    ACTIONS(3420), 1,
      anon_sym_LBRACK,
    ACTIONS(32), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1728), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3423), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10014] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 1,
      anon_sym_EQ,
    ACTIONS(1407), 1,
      anon_sym_EQ_GT,
    ACTIONS(1728), 1,
      anon_sym_extends,
    ACTIONS(3420), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3423), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10091] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3480), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [10210] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3482), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [10329] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3484), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [10448] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3486), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [10567] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3488), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [10686] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3490), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [10805] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3384), 1,
      anon_sym_extends,
    ACTIONS(3466), 1,
      anon_sym_EQ,
    ACTIONS(3468), 1,
      anon_sym_EQ_GT,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3367), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3378), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10959] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3492), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [11078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2210), 1,
      anon_sym_LBRACE,
    ACTIONS(2212), 1,
      anon_sym_DOT,
    STATE(4601), 1,
      sym_ui_object_initializer,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11155] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3494), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [11274] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3496), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [11393] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_EQ,
    ACTIONS(3440), 1,
      anon_sym_QMARK,
    ACTIONS(3433), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11466] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2142), 1,
      anon_sym_COLON,
    ACTIONS(3238), 1,
      sym_identifier,
    ACTIONS(62), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [11541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(1375), 1,
      anon_sym_EQ,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11612] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3498), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [11731] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2156), 1,
      anon_sym_COLON,
    ACTIONS(3238), 1,
      sym_identifier,
    ACTIONS(62), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [11806] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(733), 1,
      anon_sym_QMARK,
    ACTIONS(3420), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1728), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3423), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11887] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3444), 1,
      anon_sym_QMARK,
    ACTIONS(3442), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11960] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12031] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3500), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [12150] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3476), 1,
      anon_sym_EQ_GT,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3392), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3402), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12235] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3502), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [12354] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_LBRACE,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    ACTIONS(3455), 1,
      anon_sym_DOT,
    STATE(4597), 1,
      sym_ui_object_initializer,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12431] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3504), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [12550] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACK,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3384), 1,
      anon_sym_extends,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(3442), 1,
      anon_sym_COLON,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3378), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3506), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3266), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12637] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3392), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3402), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(3266), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12722] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3428), 1,
      anon_sym_EQ_GT,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12792] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3510), 1,
      anon_sym_EQ,
    ACTIONS(3512), 1,
      anon_sym_EQ_GT,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3392), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3402), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2711), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2713), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12940] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2142), 1,
      anon_sym_COLON,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13012] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2142), 1,
      anon_sym_COLON,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13084] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(1375), 1,
      anon_sym_EQ,
    ACTIONS(1416), 1,
      anon_sym_COLON,
    ACTIONS(1728), 1,
      anon_sym_extends,
    ACTIONS(3420), 1,
      anon_sym_LBRACK,
    ACTIONS(3423), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3514), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13164] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACK,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3510), 1,
      anon_sym_EQ,
    ACTIONS(3512), 1,
      anon_sym_EQ_GT,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3384), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3378), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13246] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3520), 1,
      anon_sym_EQ_GT,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3392), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3402), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13330] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3438), 1,
      anon_sym_EQ_GT,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3402), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3392), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3266), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13414] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 1,
      anon_sym_EQ,
    ACTIONS(1496), 1,
      anon_sym_EQ_GT,
    ACTIONS(1728), 1,
      anon_sym_extends,
    ACTIONS(3420), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3423), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(62), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13558] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 1,
      anon_sym_EQ,
    ACTIONS(1407), 1,
      anon_sym_EQ_GT,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13838] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(2212), 1,
      anon_sym_DOT,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    STATE(2474), 1,
      sym_ui_object_initializer,
    ACTIONS(122), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13916] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(3420), 1,
      anon_sym_LBRACK,
    ACTIONS(1728), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3423), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(62), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13992] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2156), 1,
      anon_sym_COLON,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14064] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    ACTIONS(3522), 1,
      anon_sym_in,
    ACTIONS(3525), 1,
      anon_sym_of,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14206] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14276] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACK,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3527), 1,
      anon_sym_EQ,
    ACTIONS(3529), 1,
      anon_sym_EQ_GT,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3384), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3378), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14358] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2273), 1,
      anon_sym_in,
    ACTIONS(3531), 1,
      anon_sym_of,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3288), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14496] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3527), 1,
      anon_sym_EQ,
    ACTIONS(3529), 1,
      anon_sym_EQ_GT,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3392), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3402), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3308), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3310), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2719), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2721), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 1,
      anon_sym_EQ,
    ACTIONS(3428), 1,
      anon_sym_EQ_GT,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14848] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2156), 1,
      anon_sym_COLON,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14920] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACK,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3520), 1,
      anon_sym_EQ_GT,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3384), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3378), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15002] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_COLON,
    ACTIONS(3274), 1,
      anon_sym_EQ_GT,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15074] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(2122), 1,
      anon_sym_COLON,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15146] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(1730), 1,
      anon_sym_QMARK,
    ACTIONS(3420), 1,
      anon_sym_LBRACK,
    ACTIONS(3423), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1728), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15224] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(1375), 1,
      anon_sym_EQ,
    ACTIONS(1416), 1,
      anon_sym_COLON,
    ACTIONS(1413), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3280), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3282), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3284), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15426] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(60), 1,
      anon_sym_EQ_GT,
    ACTIONS(1416), 1,
      anon_sym_COLON,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(3420), 1,
      anon_sym_LBRACK,
    ACTIONS(3423), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1728), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15504] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3384), 1,
      anon_sym_extends,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3367), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3378), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3318), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15650] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(3358), 1,
      anon_sym_EQ,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3455), 1,
      anon_sym_DOT,
    STATE(2479), 1,
      sym_ui_object_initializer,
    ACTIONS(3448), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3266), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15728] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_COMMA,
    ACTIONS(3448), 1,
      anon_sym_RBRACK,
    ACTIONS(3520), 1,
      anon_sym_EQ_GT,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3536), 1,
      anon_sym_in,
    ACTIONS(3538), 1,
      anon_sym_COLON,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15805] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(3540), 1,
      sym_identifier,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15876] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(3238), 1,
      sym_identifier,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15947] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3466), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [16062] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(3451), 1,
      sym_identifier,
    ACTIONS(62), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16133] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3444), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [16248] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym_EQ_GT,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(3542), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16319] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(3442), 1,
      anon_sym_COLON,
    ACTIONS(3542), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16390] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_EQ,
    ACTIONS(1620), 1,
      anon_sym_EQ_GT,
    ACTIONS(3420), 1,
      anon_sym_LBRACK,
    ACTIONS(1728), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3423), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16465] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_EQ,
    ACTIONS(1660), 1,
      anon_sym_EQ_GT,
    ACTIONS(3420), 1,
      anon_sym_LBRACK,
    ACTIONS(1728), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3423), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16540] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16676] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3438), 1,
      anon_sym_EQ_GT,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3392), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3402), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16759] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    ACTIONS(3522), 1,
      anon_sym_in,
    ACTIONS(3525), 1,
      anon_sym_of,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 1,
      anon_sym_EQ,
    ACTIONS(1496), 1,
      anon_sym_EQ_GT,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16899] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_EQ,
    ACTIONS(1626), 1,
      anon_sym_EQ_GT,
    ACTIONS(3420), 1,
      anon_sym_LBRACK,
    ACTIONS(1728), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3423), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16974] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(32), 1,
      anon_sym_COMMA,
    ACTIONS(122), 1,
      anon_sym_RBRACK,
    ACTIONS(1620), 1,
      anon_sym_EQ_GT,
    ACTIONS(2268), 1,
      anon_sym_EQ,
    ACTIONS(2271), 1,
      anon_sym_COLON,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17049] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3365), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [17164] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      anon_sym_EQ_GT,
    ACTIONS(1375), 1,
      anon_sym_EQ,
    ACTIONS(1728), 1,
      anon_sym_extends,
    ACTIONS(3420), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3423), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17239] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3363), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [17354] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACK,
    ACTIONS(3370), 1,
      anon_sym_LT,
    ACTIONS(3373), 1,
      anon_sym_DOT,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      anon_sym_EQ_GT,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3384), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3378), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17435] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3438), 1,
      anon_sym_EQ_GT,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3392), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3402), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3266), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17518] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3681), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [17633] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3390), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [17748] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3500), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [17863] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_new,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(2803), 1,
      anon_sym_abstract,
    ACTIONS(3322), 1,
      anon_sym_export,
    ACTIONS(3324), 1,
      anon_sym_STAR,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_async,
    ACTIONS(3336), 1,
      anon_sym_static,
    ACTIONS(3338), 1,
      anon_sym_readonly,
    ACTIONS(3344), 1,
      anon_sym_override,
    STATE(1140), 1,
      sym_decorator,
    STATE(2425), 1,
      sym_accessibility_modifier,
    STATE(2463), 1,
      sym_override_modifier,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3558), 1,
      sym__call_signature,
    STATE(3962), 1,
      aux_sym_export_statement_repeat1,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(3334), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3340), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3435), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [17978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3466), 1,
      anon_sym_EQ,
    ACTIONS(3468), 1,
      anon_sym_EQ_GT,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3468), 1,
      anon_sym_EQ_GT,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18183] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_EQ,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18251] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3520), 1,
      anon_sym_EQ_GT,
    ACTIONS(3536), 1,
      anon_sym_in,
    ACTIONS(3538), 1,
      anon_sym_COLON,
    ACTIONS(3266), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3476), 1,
      anon_sym_EQ_GT,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18391] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(32), 1,
      anon_sym_COMMA,
    ACTIONS(122), 1,
      anon_sym_RBRACK,
    ACTIONS(1620), 1,
      anon_sym_EQ_GT,
    ACTIONS(2268), 1,
      anon_sym_EQ,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18463] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3520), 1,
      anon_sym_EQ_GT,
    ACTIONS(3536), 1,
      anon_sym_in,
    ACTIONS(3545), 1,
      anon_sym_COLON,
    ACTIONS(3266), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18535] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_EQ,
    ACTIONS(1620), 1,
      anon_sym_EQ_GT,
    ACTIONS(2278), 1,
      anon_sym_COLON,
    ACTIONS(62), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_EQ,
    ACTIONS(1620), 1,
      anon_sym_EQ_GT,
    ACTIONS(2271), 1,
      anon_sym_COLON,
    ACTIONS(62), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(62), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_COMMA,
    ACTIONS(3448), 1,
      anon_sym_RBRACK,
    ACTIONS(3520), 1,
      anon_sym_EQ_GT,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3476), 1,
      anon_sym_EQ_GT,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18883] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(60), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(3420), 1,
      anon_sym_LBRACK,
    ACTIONS(1728), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3423), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(62), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3466), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19023] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(3549), 1,
      anon_sym_RBRACE,
    ACTIONS(3551), 1,
      anon_sym_LBRACK,
    ACTIONS(3553), 1,
      anon_sym_async,
    ACTIONS(3555), 1,
      anon_sym_static,
    ACTIONS(3557), 1,
      anon_sym_readonly,
    ACTIONS(3563), 1,
      anon_sym_override,
    STATE(2447), 1,
      sym_accessibility_modifier,
    STATE(2476), 1,
      sym_override_modifier,
    STATE(3992), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4005), 1,
      aux_sym_object_repeat1,
    ACTIONS(215), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3559), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3561), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3325), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3991), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4003), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4881), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3547), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [19128] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(1620), 1,
      anon_sym_EQ_GT,
    ACTIONS(62), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19195] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3520), 1,
      anon_sym_EQ_GT,
    ACTIONS(3266), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3529), 1,
      anon_sym_EQ_GT,
    ACTIONS(3266), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19329] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(3551), 1,
      anon_sym_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_RBRACE,
    ACTIONS(3569), 1,
      anon_sym_async,
    ACTIONS(3571), 1,
      anon_sym_static,
    ACTIONS(3573), 1,
      anon_sym_readonly,
    ACTIONS(3579), 1,
      anon_sym_override,
    STATE(2447), 1,
      sym_accessibility_modifier,
    STATE(2476), 1,
      sym_override_modifier,
    STATE(3982), 1,
      aux_sym_object_repeat1,
    STATE(3992), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(215), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3575), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3577), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3325), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3991), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4054), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4881), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3565), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [19434] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(1660), 1,
      anon_sym_EQ_GT,
    ACTIONS(62), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19501] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(3551), 1,
      anon_sym_LBRACK,
    ACTIONS(3583), 1,
      anon_sym_RBRACE,
    ACTIONS(3585), 1,
      anon_sym_async,
    ACTIONS(3587), 1,
      anon_sym_static,
    ACTIONS(3589), 1,
      anon_sym_readonly,
    ACTIONS(3595), 1,
      anon_sym_override,
    STATE(2447), 1,
      sym_accessibility_modifier,
    STATE(2476), 1,
      sym_override_modifier,
    STATE(3992), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4005), 1,
      aux_sym_object_repeat1,
    ACTIONS(215), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3591), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3593), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3325), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3991), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4003), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4881), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3581), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [19606] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(3551), 1,
      anon_sym_LBRACK,
    ACTIONS(3599), 1,
      anon_sym_RBRACE,
    ACTIONS(3601), 1,
      anon_sym_async,
    ACTIONS(3603), 1,
      anon_sym_static,
    ACTIONS(3605), 1,
      anon_sym_readonly,
    ACTIONS(3611), 1,
      anon_sym_override,
    STATE(2447), 1,
      sym_accessibility_modifier,
    STATE(2476), 1,
      sym_override_modifier,
    STATE(3992), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4005), 1,
      aux_sym_object_repeat1,
    ACTIONS(215), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3607), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3609), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3325), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3991), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4003), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4881), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3597), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [19711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3520), 1,
      anon_sym_EQ_GT,
    ACTIONS(3266), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3512), 1,
      anon_sym_EQ_GT,
    ACTIONS(3266), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19845] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(3551), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_RBRACE,
    ACTIONS(3617), 1,
      anon_sym_async,
    ACTIONS(3619), 1,
      anon_sym_static,
    ACTIONS(3621), 1,
      anon_sym_readonly,
    ACTIONS(3627), 1,
      anon_sym_override,
    STATE(2447), 1,
      sym_accessibility_modifier,
    STATE(2476), 1,
      sym_override_modifier,
    STATE(3982), 1,
      aux_sym_object_repeat1,
    STATE(3992), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(215), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3623), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3625), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3325), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3991), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4054), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4881), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3613), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [19950] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(3551), 1,
      anon_sym_LBRACK,
    ACTIONS(3631), 1,
      anon_sym_RBRACE,
    ACTIONS(3633), 1,
      anon_sym_async,
    ACTIONS(3635), 1,
      anon_sym_static,
    ACTIONS(3637), 1,
      anon_sym_readonly,
    ACTIONS(3643), 1,
      anon_sym_override,
    STATE(2447), 1,
      sym_accessibility_modifier,
    STATE(2476), 1,
      sym_override_modifier,
    STATE(3992), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4005), 1,
      aux_sym_object_repeat1,
    ACTIONS(215), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3639), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3641), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3325), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3991), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4003), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4881), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3629), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [20055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_EQ,
    ACTIONS(1660), 1,
      anon_sym_EQ_GT,
    ACTIONS(62), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20122] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3527), 1,
      anon_sym_EQ,
    ACTIONS(3529), 1,
      anon_sym_EQ_GT,
    ACTIONS(3266), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3266), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20254] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      anon_sym_EQ_GT,
    ACTIONS(3522), 1,
      anon_sym_in,
    ACTIONS(3525), 1,
      anon_sym_of,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20325] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(60), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(2273), 1,
      anon_sym_in,
    ACTIONS(3531), 1,
      anon_sym_of,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(1626), 1,
      anon_sym_EQ_GT,
    ACTIONS(62), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_EQ,
    ACTIONS(1620), 1,
      anon_sym_EQ_GT,
    ACTIONS(62), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20530] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_EQ,
    ACTIONS(1626), 1,
      anon_sym_EQ_GT,
    ACTIONS(62), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20597] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_COMMA,
    ACTIONS(3448), 1,
      anon_sym_RBRACK,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_EQ,
    ACTIONS(3512), 1,
      anon_sym_EQ_GT,
    ACTIONS(3266), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20733] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(3551), 1,
      anon_sym_LBRACK,
    ACTIONS(3647), 1,
      anon_sym_RBRACE,
    ACTIONS(3649), 1,
      anon_sym_async,
    ACTIONS(3651), 1,
      anon_sym_static,
    ACTIONS(3653), 1,
      anon_sym_readonly,
    ACTIONS(3659), 1,
      anon_sym_override,
    STATE(2447), 1,
      sym_accessibility_modifier,
    STATE(2476), 1,
      sym_override_modifier,
    STATE(3992), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4005), 1,
      aux_sym_object_repeat1,
    ACTIONS(215), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3655), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3657), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3325), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3991), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4003), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4881), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3645), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [20838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_EQ,
    ACTIONS(3266), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(60), 1,
      anon_sym_EQ_GT,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    ACTIONS(62), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(66), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(26), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3266), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3527), 1,
      anon_sym_EQ,
    ACTIONS(3266), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21096] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3522), 1,
      anon_sym_in,
    ACTIONS(3525), 1,
      anon_sym_of,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21164] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      anon_sym_EQ_GT,
    ACTIONS(3266), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(3276), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3262), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21230] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(557), 1,
      anon_sym_var,
    ACTIONS(3661), 1,
      sym_identifier,
    ACTIONS(3665), 1,
      anon_sym_default,
    ACTIONS(3667), 1,
      anon_sym_RBRACE,
    ACTIONS(3669), 1,
      anon_sym_async,
    ACTIONS(3671), 1,
      anon_sym_function,
    ACTIONS(3673), 1,
      anon_sym_readonly,
    ACTIONS(3675), 1,
      anon_sym_property,
    ACTIONS(3677), 1,
      anon_sym_signal,
    ACTIONS(3679), 1,
      anon_sym_required,
    ACTIONS(3681), 1,
      anon_sym_component,
    ACTIONS(3683), 1,
      anon_sym_enum,
    STATE(1390), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(2726), 1,
      sym__qml_enum_declaration,
    STATE(2748), 1,
      sym_ui_annotation,
    STATE(3771), 1,
      sym_ui_nested_identifier,
    STATE(3445), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    STATE(1350), 12,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
      aux_sym_ui_object_initializer_repeat1,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_on,
  [21325] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(557), 1,
      anon_sym_var,
    ACTIONS(3661), 1,
      sym_identifier,
    ACTIONS(3665), 1,
      anon_sym_default,
    ACTIONS(3669), 1,
      anon_sym_async,
    ACTIONS(3671), 1,
      anon_sym_function,
    ACTIONS(3673), 1,
      anon_sym_readonly,
    ACTIONS(3675), 1,
      anon_sym_property,
    ACTIONS(3677), 1,
      anon_sym_signal,
    ACTIONS(3679), 1,
      anon_sym_required,
    ACTIONS(3681), 1,
      anon_sym_component,
    ACTIONS(3683), 1,
      anon_sym_enum,
    ACTIONS(3685), 1,
      anon_sym_RBRACE,
    STATE(1390), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(2726), 1,
      sym__qml_enum_declaration,
    STATE(2748), 1,
      sym_ui_annotation,
    STATE(3771), 1,
      sym_ui_nested_identifier,
    STATE(3445), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    STATE(1351), 12,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
      aux_sym_ui_object_initializer_repeat1,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_on,
  [21420] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(557), 1,
      anon_sym_var,
    ACTIONS(3661), 1,
      sym_identifier,
    ACTIONS(3665), 1,
      anon_sym_default,
    ACTIONS(3669), 1,
      anon_sym_async,
    ACTIONS(3671), 1,
      anon_sym_function,
    ACTIONS(3673), 1,
      anon_sym_readonly,
    ACTIONS(3675), 1,
      anon_sym_property,
    ACTIONS(3677), 1,
      anon_sym_signal,
    ACTIONS(3679), 1,
      anon_sym_required,
    ACTIONS(3681), 1,
      anon_sym_component,
    ACTIONS(3683), 1,
      anon_sym_enum,
    ACTIONS(3687), 1,
      anon_sym_RBRACE,
    STATE(1390), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(2726), 1,
      sym__qml_enum_declaration,
    STATE(2748), 1,
      sym_ui_annotation,
    STATE(3771), 1,
      sym_ui_nested_identifier,
    STATE(3445), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    STATE(1347), 12,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
      aux_sym_ui_object_initializer_repeat1,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_on,
  [21515] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3689), 1,
      sym_identifier,
    ACTIONS(3695), 1,
      anon_sym_default,
    ACTIONS(3698), 1,
      anon_sym_RBRACE,
    ACTIONS(3700), 1,
      anon_sym_var,
    ACTIONS(3703), 1,
      anon_sym_async,
    ACTIONS(3706), 1,
      anon_sym_function,
    ACTIONS(3709), 1,
      anon_sym_AT,
    ACTIONS(3712), 1,
      anon_sym_readonly,
    ACTIONS(3715), 1,
      anon_sym_property,
    ACTIONS(3718), 1,
      anon_sym_signal,
    ACTIONS(3721), 1,
      anon_sym_required,
    ACTIONS(3724), 1,
      anon_sym_component,
    ACTIONS(3727), 1,
      anon_sym_enum,
    STATE(1390), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(2726), 1,
      sym__qml_enum_declaration,
    STATE(2748), 1,
      sym_ui_annotation,
    STATE(3771), 1,
      sym_ui_nested_identifier,
    STATE(3445), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    STATE(1350), 12,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
      aux_sym_ui_object_initializer_repeat1,
    ACTIONS(3692), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_on,
  [21610] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(557), 1,
      anon_sym_var,
    ACTIONS(3661), 1,
      sym_identifier,
    ACTIONS(3665), 1,
      anon_sym_default,
    ACTIONS(3669), 1,
      anon_sym_async,
    ACTIONS(3671), 1,
      anon_sym_function,
    ACTIONS(3673), 1,
      anon_sym_readonly,
    ACTIONS(3675), 1,
      anon_sym_property,
    ACTIONS(3677), 1,
      anon_sym_signal,
    ACTIONS(3679), 1,
      anon_sym_required,
    ACTIONS(3681), 1,
      anon_sym_component,
    ACTIONS(3683), 1,
      anon_sym_enum,
    ACTIONS(3730), 1,
      anon_sym_RBRACE,
    STATE(1390), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(2726), 1,
      sym__qml_enum_declaration,
    STATE(2748), 1,
      sym_ui_annotation,
    STATE(3771), 1,
      sym_ui_nested_identifier,
    STATE(3445), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    STATE(1350), 12,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
      aux_sym_ui_object_initializer_repeat1,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_on,
  [21705] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_STAR,
    ACTIONS(203), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(3551), 1,
      anon_sym_LBRACK,
    ACTIONS(3734), 1,
      anon_sym_async,
    ACTIONS(3736), 1,
      anon_sym_static,
    ACTIONS(3738), 1,
      anon_sym_readonly,
    ACTIONS(3744), 1,
      anon_sym_override,
    STATE(2447), 1,
      sym_accessibility_modifier,
    STATE(2476), 1,
      sym_override_modifier,
    ACTIONS(215), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2973), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3740), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3742), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3325), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4507), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4567), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4881), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3732), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [21802] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2054), 1,
      anon_sym_LBRACE,
    ACTIONS(2225), 1,
      anon_sym_namespace,
    ACTIONS(2227), 1,
      anon_sym_import,
    ACTIONS(2229), 1,
      anon_sym_var,
    ACTIONS(2231), 1,
      anon_sym_let,
    ACTIONS(2233), 1,
      anon_sym_const,
    ACTIONS(2235), 1,
      anon_sym_class,
    ACTIONS(2237), 1,
      anon_sym_async,
    ACTIONS(2239), 1,
      anon_sym_function,
    ACTIONS(2241), 1,
      anon_sym_declare,
    ACTIONS(2245), 1,
      anon_sym_abstract,
    ACTIONS(2249), 1,
      anon_sym_interface,
    ACTIONS(2251), 1,
      anon_sym_enum,
    ACTIONS(3746), 1,
      anon_sym_STAR,
    ACTIONS(3748), 1,
      anon_sym_default,
    ACTIONS(3750), 1,
      anon_sym_type,
    ACTIONS(3752), 1,
      anon_sym_EQ,
    ACTIONS(3754), 1,
      anon_sym_as,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3759), 1,
      anon_sym_RBRACE,
    ACTIONS(3764), 1,
      anon_sym_module,
    STATE(1140), 1,
      sym_decorator,
    STATE(3672), 1,
      sym_declaration,
    STATE(3674), 1,
      sym_internal_module,
    STATE(3758), 1,
      aux_sym_export_statement_repeat1,
    STATE(3867), 1,
      sym_export_clause,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    STATE(4593), 1,
      sym_namespace_import_export,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3652), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [21920] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2054), 1,
      anon_sym_LBRACE,
    ACTIONS(2225), 1,
      anon_sym_namespace,
    ACTIONS(2227), 1,
      anon_sym_import,
    ACTIONS(2229), 1,
      anon_sym_var,
    ACTIONS(2231), 1,
      anon_sym_let,
    ACTIONS(2233), 1,
      anon_sym_const,
    ACTIONS(2235), 1,
      anon_sym_class,
    ACTIONS(2237), 1,
      anon_sym_async,
    ACTIONS(2239), 1,
      anon_sym_function,
    ACTIONS(2241), 1,
      anon_sym_declare,
    ACTIONS(2245), 1,
      anon_sym_abstract,
    ACTIONS(2249), 1,
      anon_sym_interface,
    ACTIONS(2251), 1,
      anon_sym_enum,
    ACTIONS(3746), 1,
      anon_sym_STAR,
    ACTIONS(3748), 1,
      anon_sym_default,
    ACTIONS(3750), 1,
      anon_sym_type,
    ACTIONS(3752), 1,
      anon_sym_EQ,
    ACTIONS(3754), 1,
      anon_sym_as,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3764), 1,
      anon_sym_module,
    ACTIONS(3766), 1,
      anon_sym_RBRACE,
    STATE(1140), 1,
      sym_decorator,
    STATE(3672), 1,
      sym_declaration,
    STATE(3674), 1,
      sym_internal_module,
    STATE(3758), 1,
      aux_sym_export_statement_repeat1,
    STATE(3867), 1,
      sym_export_clause,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    STATE(4593), 1,
      sym_namespace_import_export,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3652), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [22038] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2054), 1,
      anon_sym_LBRACE,
    ACTIONS(2225), 1,
      anon_sym_namespace,
    ACTIONS(2227), 1,
      anon_sym_import,
    ACTIONS(2229), 1,
      anon_sym_var,
    ACTIONS(2231), 1,
      anon_sym_let,
    ACTIONS(2233), 1,
      anon_sym_const,
    ACTIONS(2235), 1,
      anon_sym_class,
    ACTIONS(2237), 1,
      anon_sym_async,
    ACTIONS(2239), 1,
      anon_sym_function,
    ACTIONS(2241), 1,
      anon_sym_declare,
    ACTIONS(2245), 1,
      anon_sym_abstract,
    ACTIONS(2249), 1,
      anon_sym_interface,
    ACTIONS(2251), 1,
      anon_sym_enum,
    ACTIONS(3746), 1,
      anon_sym_STAR,
    ACTIONS(3748), 1,
      anon_sym_default,
    ACTIONS(3750), 1,
      anon_sym_type,
    ACTIONS(3752), 1,
      anon_sym_EQ,
    ACTIONS(3754), 1,
      anon_sym_as,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3764), 1,
      anon_sym_module,
    ACTIONS(3769), 1,
      anon_sym_RBRACE,
    STATE(1140), 1,
      sym_decorator,
    STATE(3672), 1,
      sym_declaration,
    STATE(3674), 1,
      sym_internal_module,
    STATE(3758), 1,
      aux_sym_export_statement_repeat1,
    STATE(3867), 1,
      sym_export_clause,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    STATE(4593), 1,
      sym_namespace_import_export,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3652), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [22156] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2054), 1,
      anon_sym_LBRACE,
    ACTIONS(2225), 1,
      anon_sym_namespace,
    ACTIONS(2227), 1,
      anon_sym_import,
    ACTIONS(2229), 1,
      anon_sym_var,
    ACTIONS(2231), 1,
      anon_sym_let,
    ACTIONS(2233), 1,
      anon_sym_const,
    ACTIONS(2235), 1,
      anon_sym_class,
    ACTIONS(2237), 1,
      anon_sym_async,
    ACTIONS(2239), 1,
      anon_sym_function,
    ACTIONS(2241), 1,
      anon_sym_declare,
    ACTIONS(2245), 1,
      anon_sym_abstract,
    ACTIONS(2249), 1,
      anon_sym_interface,
    ACTIONS(2251), 1,
      anon_sym_enum,
    ACTIONS(3746), 1,
      anon_sym_STAR,
    ACTIONS(3748), 1,
      anon_sym_default,
    ACTIONS(3750), 1,
      anon_sym_type,
    ACTIONS(3752), 1,
      anon_sym_EQ,
    ACTIONS(3754), 1,
      anon_sym_as,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3764), 1,
      anon_sym_module,
    ACTIONS(3772), 1,
      anon_sym_RBRACE,
    STATE(1140), 1,
      sym_decorator,
    STATE(3672), 1,
      sym_declaration,
    STATE(3674), 1,
      sym_internal_module,
    STATE(3758), 1,
      aux_sym_export_statement_repeat1,
    STATE(3867), 1,
      sym_export_clause,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    STATE(4593), 1,
      sym_namespace_import_export,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3652), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [22274] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2054), 1,
      anon_sym_LBRACE,
    ACTIONS(2225), 1,
      anon_sym_namespace,
    ACTIONS(2227), 1,
      anon_sym_import,
    ACTIONS(2229), 1,
      anon_sym_var,
    ACTIONS(2231), 1,
      anon_sym_let,
    ACTIONS(2233), 1,
      anon_sym_const,
    ACTIONS(2235), 1,
      anon_sym_class,
    ACTIONS(2237), 1,
      anon_sym_async,
    ACTIONS(2239), 1,
      anon_sym_function,
    ACTIONS(2241), 1,
      anon_sym_declare,
    ACTIONS(2245), 1,
      anon_sym_abstract,
    ACTIONS(2249), 1,
      anon_sym_interface,
    ACTIONS(2251), 1,
      anon_sym_enum,
    ACTIONS(3746), 1,
      anon_sym_STAR,
    ACTIONS(3748), 1,
      anon_sym_default,
    ACTIONS(3750), 1,
      anon_sym_type,
    ACTIONS(3752), 1,
      anon_sym_EQ,
    ACTIONS(3754), 1,
      anon_sym_as,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3764), 1,
      anon_sym_module,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    STATE(1140), 1,
      sym_decorator,
    STATE(3672), 1,
      sym_declaration,
    STATE(3674), 1,
      sym_internal_module,
    STATE(3758), 1,
      aux_sym_export_statement_repeat1,
    STATE(3867), 1,
      sym_export_clause,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    STATE(4593), 1,
      sym_namespace_import_export,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3652), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [22392] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2054), 1,
      anon_sym_LBRACE,
    ACTIONS(2225), 1,
      anon_sym_namespace,
    ACTIONS(2227), 1,
      anon_sym_import,
    ACTIONS(2229), 1,
      anon_sym_var,
    ACTIONS(2231), 1,
      anon_sym_let,
    ACTIONS(2233), 1,
      anon_sym_const,
    ACTIONS(2235), 1,
      anon_sym_class,
    ACTIONS(2237), 1,
      anon_sym_async,
    ACTIONS(2239), 1,
      anon_sym_function,
    ACTIONS(2241), 1,
      anon_sym_declare,
    ACTIONS(2245), 1,
      anon_sym_abstract,
    ACTIONS(2249), 1,
      anon_sym_interface,
    ACTIONS(2251), 1,
      anon_sym_enum,
    ACTIONS(3746), 1,
      anon_sym_STAR,
    ACTIONS(3748), 1,
      anon_sym_default,
    ACTIONS(3750), 1,
      anon_sym_type,
    ACTIONS(3752), 1,
      anon_sym_EQ,
    ACTIONS(3754), 1,
      anon_sym_as,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3764), 1,
      anon_sym_module,
    ACTIONS(3778), 1,
      anon_sym_RBRACE,
    STATE(1140), 1,
      sym_decorator,
    STATE(3672), 1,
      sym_declaration,
    STATE(3674), 1,
      sym_internal_module,
    STATE(3758), 1,
      aux_sym_export_statement_repeat1,
    STATE(3867), 1,
      sym_export_clause,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    STATE(4593), 1,
      sym_namespace_import_export,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3652), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [22510] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3783), 1,
      anon_sym_RBRACE,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1374), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [22611] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3801), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1372), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [22712] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3803), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1363), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [22813] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3778), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3815), 1,
      anon_sym_readonly,
    STATE(2456), 1,
      sym_override_modifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [22902] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_STAR,
    ACTIONS(3825), 1,
      anon_sym_RBRACE,
    ACTIONS(3827), 1,
      anon_sym_LBRACK,
    ACTIONS(3830), 1,
      anon_sym_async,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3836), 1,
      anon_sym_DQUOTE,
    ACTIONS(3839), 1,
      anon_sym_SQUOTE,
    ACTIONS(3845), 1,
      anon_sym_AT,
    ACTIONS(3848), 1,
      anon_sym_static,
    ACTIONS(3851), 1,
      anon_sym_readonly,
    ACTIONS(3857), 1,
      anon_sym_declare,
    ACTIONS(3863), 1,
      anon_sym_override,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3842), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3854), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1363), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3860), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3819), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23003] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3869), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1363), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23104] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3871), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1367), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23205] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3759), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3815), 1,
      anon_sym_readonly,
    STATE(2456), 1,
      sym_override_modifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23294] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3873), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1363), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23395] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3875), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1364), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23496] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3877), 1,
      sym_identifier,
    ACTIONS(3879), 1,
      anon_sym_STAR,
    ACTIONS(3885), 1,
      anon_sym_LBRACE,
    STATE(4376), 1,
      sym_string,
    STATE(4377), 1,
      sym_import_require_clause,
    STATE(4472), 1,
      sym_import_clause,
    ACTIONS(3881), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(4668), 2,
      sym_namespace_import_export,
      sym_named_imports,
    ACTIONS(3883), 14,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(3887), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23573] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3815), 1,
      anon_sym_readonly,
    STATE(2456), 1,
      sym_override_modifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23662] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3889), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1363), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23763] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3891), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1363), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23864] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3772), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3815), 1,
      anon_sym_readonly,
    STATE(2456), 1,
      sym_override_modifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23953] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3893), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1363), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24054] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3766), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3815), 1,
      anon_sym_readonly,
    STATE(2456), 1,
      sym_override_modifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24143] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3895), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1363), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24244] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_STAR,
    ACTIONS(3885), 1,
      anon_sym_LBRACE,
    ACTIONS(3897), 1,
      sym_identifier,
    STATE(4576), 1,
      sym_import_clause,
    STATE(4585), 1,
      sym_string,
    STATE(4588), 1,
      sym_import_require_clause,
    ACTIONS(3899), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(4668), 2,
      sym_namespace_import_export,
      sym_named_imports,
    ACTIONS(3883), 14,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(3887), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24321] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3901), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1382), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24422] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3903), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1371), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24523] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3769), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3815), 1,
      anon_sym_readonly,
    STATE(2456), 1,
      sym_override_modifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24612] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3905), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1376), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24713] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3907), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1363), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24814] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(2789), 1,
      anon_sym_DASH,
    ACTIONS(3330), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3785), 1,
      anon_sym_async,
    ACTIONS(3789), 1,
      anon_sym_AT,
    ACTIONS(3791), 1,
      anon_sym_static,
    ACTIONS(3793), 1,
      anon_sym_readonly,
    ACTIONS(3797), 1,
      anon_sym_declare,
    ACTIONS(3799), 1,
      anon_sym_abstract,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    STATE(2336), 1,
      sym_method_definition,
    STATE(2348), 1,
      sym_accessibility_modifier,
    STATE(2462), 1,
      sym_override_modifier,
    STATE(3953), 1,
      sym_method_signature,
    ACTIONS(3787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1361), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4147), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3320), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24915] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3766), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3911), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24997] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3759), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3911), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25079] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3778), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3911), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25161] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3772), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25241] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3766), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25321] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3911), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25403] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(557), 1,
      anon_sym_var,
    ACTIONS(3661), 1,
      sym_identifier,
    ACTIONS(3665), 1,
      anon_sym_default,
    ACTIONS(3669), 1,
      anon_sym_async,
    ACTIONS(3671), 1,
      anon_sym_function,
    ACTIONS(3673), 1,
      anon_sym_readonly,
    ACTIONS(3675), 1,
      anon_sym_property,
    ACTIONS(3677), 1,
      anon_sym_signal,
    ACTIONS(3679), 1,
      anon_sym_required,
    ACTIONS(3681), 1,
      anon_sym_component,
    ACTIONS(3683), 1,
      anon_sym_enum,
    STATE(2548), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(2685), 1,
      sym_variable_declaration,
    STATE(2705), 1,
      sym_ui_inline_component,
    STATE(2720), 1,
      sym_function_declaration,
    STATE(2721), 1,
      sym_ui_signal,
    STATE(2725), 1,
      sym_ui_required,
    STATE(2729), 1,
      sym_ui_property,
    STATE(2732), 1,
      sym_generator_function_declaration,
    STATE(2739), 1,
      sym__qml_enum_declaration,
    STATE(2741), 1,
      sym_ui_binding,
    STATE(2742), 1,
      sym_ui_object_definition,
    STATE(2743), 1,
      sym_ui_object_definition_binding,
    STATE(2748), 1,
      sym_ui_annotation,
    STATE(3771), 1,
      sym_ui_nested_identifier,
    STATE(3445), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_on,
  [25511] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25591] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3769), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25671] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2054), 1,
      anon_sym_LBRACE,
    ACTIONS(2225), 1,
      anon_sym_namespace,
    ACTIONS(2227), 1,
      anon_sym_import,
    ACTIONS(2229), 1,
      anon_sym_var,
    ACTIONS(2231), 1,
      anon_sym_let,
    ACTIONS(2233), 1,
      anon_sym_const,
    ACTIONS(2235), 1,
      anon_sym_class,
    ACTIONS(2237), 1,
      anon_sym_async,
    ACTIONS(2239), 1,
      anon_sym_function,
    ACTIONS(2241), 1,
      anon_sym_declare,
    ACTIONS(2245), 1,
      anon_sym_abstract,
    ACTIONS(2249), 1,
      anon_sym_interface,
    ACTIONS(2251), 1,
      anon_sym_enum,
    ACTIONS(3746), 1,
      anon_sym_STAR,
    ACTIONS(3748), 1,
      anon_sym_default,
    ACTIONS(3750), 1,
      anon_sym_type,
    ACTIONS(3754), 1,
      anon_sym_as,
    ACTIONS(3764), 1,
      anon_sym_module,
    ACTIONS(3919), 1,
      anon_sym_EQ,
    STATE(1140), 1,
      sym_decorator,
    STATE(3672), 1,
      sym_declaration,
    STATE(3674), 1,
      sym_internal_module,
    STATE(3758), 1,
      aux_sym_export_statement_repeat1,
    STATE(3867), 1,
      sym_export_clause,
    STATE(4593), 1,
      sym_namespace_import_export,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3652), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [25779] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3772), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3911), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25861] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3778), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25941] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3769), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3911), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26023] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3759), 1,
      anon_sym_RBRACE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26103] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2054), 1,
      anon_sym_LBRACE,
    ACTIONS(2225), 1,
      anon_sym_namespace,
    ACTIONS(2227), 1,
      anon_sym_import,
    ACTIONS(2229), 1,
      anon_sym_var,
    ACTIONS(2231), 1,
      anon_sym_let,
    ACTIONS(2233), 1,
      anon_sym_const,
    ACTIONS(2235), 1,
      anon_sym_class,
    ACTIONS(2237), 1,
      anon_sym_async,
    ACTIONS(2239), 1,
      anon_sym_function,
    ACTIONS(2241), 1,
      anon_sym_declare,
    ACTIONS(2245), 1,
      anon_sym_abstract,
    ACTIONS(2249), 1,
      anon_sym_interface,
    ACTIONS(2251), 1,
      anon_sym_enum,
    ACTIONS(3746), 1,
      anon_sym_STAR,
    ACTIONS(3748), 1,
      anon_sym_default,
    ACTIONS(3750), 1,
      anon_sym_type,
    ACTIONS(3752), 1,
      anon_sym_EQ,
    ACTIONS(3754), 1,
      anon_sym_as,
    ACTIONS(3764), 1,
      anon_sym_module,
    STATE(1140), 1,
      sym_decorator,
    STATE(3672), 1,
      sym_declaration,
    STATE(3674), 1,
      sym_internal_module,
    STATE(3758), 1,
      aux_sym_export_statement_repeat1,
    STATE(3867), 1,
      sym_export_clause,
    STATE(4593), 1,
      sym_namespace_import_export,
    ACTIONS(3921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3652), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1588), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [26268] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3927), 1,
      anon_sym_static,
    ACTIONS(3929), 1,
      anon_sym_readonly,
    ACTIONS(3931), 1,
      anon_sym_abstract,
    STATE(2454), 1,
      sym_accessibility_modifier,
    STATE(2508), 1,
      sym_override_modifier,
    ACTIONS(3925), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3342), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3168), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3320), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26347] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3815), 1,
      anon_sym_readonly,
    STATE(2456), 1,
      sym_override_modifier,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3933), 1,
      sym__automatic_semicolon,
    ACTIONS(1594), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1592), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_enum,
  [26485] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3778), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3935), 1,
      sym__automatic_semicolon,
    ACTIONS(1424), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1418), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_enum,
  [26617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 13,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1614), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_enum,
  [26672] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3766), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26747] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1578), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [26877] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3769), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26952] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3759), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 13,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1592), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_enum,
  [27082] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3772), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27157] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3911), 1,
      anon_sym_LBRACK,
    ACTIONS(3937), 1,
      anon_sym_STAR,
    ACTIONS(3939), 1,
      anon_sym_async,
    ACTIONS(3945), 1,
      anon_sym_abstract,
    ACTIONS(3941), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2927), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27229] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3937), 1,
      anon_sym_STAR,
    ACTIONS(3939), 1,
      anon_sym_async,
    ACTIONS(3947), 1,
      anon_sym_readonly,
    STATE(2465), 1,
      sym_override_modifier,
    ACTIONS(3941), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2927), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3320), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27305] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3949), 1,
      anon_sym_STAR,
    ACTIONS(3951), 1,
      anon_sym_async,
    ACTIONS(3955), 1,
      anon_sym_readonly,
    STATE(2466), 1,
      sym_override_modifier,
    ACTIONS(3953), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2965), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27381] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_LT,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(3965), 1,
      anon_sym_is,
    STATE(1533), 1,
      sym_type_arguments,
    ACTIONS(3959), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3384), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [27443] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2038), 1,
      anon_sym_RBRACE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(2090), 1,
      anon_sym_readonly,
    ACTIONS(2094), 1,
      anon_sym_override,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(2473), 1,
      sym_override_modifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27529] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3917), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27601] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2026), 1,
      anon_sym_RBRACE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(2090), 1,
      anon_sym_readonly,
    ACTIONS(2094), 1,
      anon_sym_override,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(2473), 1,
      sym_override_modifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27687] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3969), 1,
      anon_sym_STAR,
    ACTIONS(3971), 1,
      anon_sym_async,
    ACTIONS(3975), 1,
      anon_sym_readonly,
    STATE(2477), 1,
      sym_override_modifier,
    ACTIONS(3973), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3977), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2955), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27763] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3979), 1,
      anon_sym_STAR,
    ACTIONS(3981), 1,
      anon_sym_async,
    ACTIONS(3987), 1,
      anon_sym_abstract,
    ACTIONS(3983), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3985), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27835] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3989), 1,
      anon_sym_STAR,
    ACTIONS(3991), 1,
      anon_sym_async,
    ACTIONS(3995), 1,
      anon_sym_readonly,
    STATE(2467), 1,
      sym_override_modifier,
    ACTIONS(3993), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3997), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2959), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27911] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(68), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(3551), 1,
      anon_sym_LBRACK,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    ACTIONS(4003), 1,
      anon_sym_RBRACE,
    STATE(4020), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4005), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4019), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4880), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4881), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3999), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27987] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(2090), 1,
      anon_sym_readonly,
    ACTIONS(2094), 1,
      anon_sym_override,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(4007), 1,
      anon_sym_RBRACE,
    STATE(2473), 1,
      sym_override_modifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28073] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(68), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(3551), 1,
      anon_sym_LBRACK,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    ACTIONS(4011), 1,
      anon_sym_RBRACE,
    STATE(3992), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4005), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3991), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4880), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4881), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4009), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28149] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2002), 1,
      anon_sym_RBRACE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(2090), 1,
      anon_sym_readonly,
    ACTIONS(2094), 1,
      anon_sym_override,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(2473), 1,
      sym_override_modifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28235] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3979), 1,
      anon_sym_STAR,
    ACTIONS(3981), 1,
      anon_sym_async,
    ACTIONS(4013), 1,
      anon_sym_readonly,
    STATE(2468), 1,
      sym_override_modifier,
    ACTIONS(3983), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3985), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3320), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28311] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(2090), 1,
      anon_sym_readonly,
    ACTIONS(2094), 1,
      anon_sym_override,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(4015), 1,
      anon_sym_RBRACE,
    STATE(2473), 1,
      sym_override_modifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28397] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3911), 1,
      anon_sym_LBRACK,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28471] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(2090), 1,
      anon_sym_readonly,
    ACTIONS(2094), 1,
      anon_sym_override,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(4017), 1,
      anon_sym_RBRACE,
    STATE(2473), 1,
      sym_override_modifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28557] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2034), 1,
      anon_sym_RBRACE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(2090), 1,
      anon_sym_readonly,
    ACTIONS(2094), 1,
      anon_sym_override,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(2473), 1,
      sym_override_modifier,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28643] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4019), 1,
      anon_sym_STAR,
    ACTIONS(4021), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4023), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3362), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28710] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    ACTIONS(4027), 1,
      anon_sym_DOT,
    STATE(1701), 1,
      sym_statement_block,
    ACTIONS(1498), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1502), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [28769] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(4007), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28846] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3969), 1,
      anon_sym_STAR,
    ACTIONS(4029), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4031), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3367), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28913] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(4017), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28990] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4033), 1,
      anon_sym_STAR,
    ACTIONS(4035), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3446), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29057] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2034), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1578), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [29187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    STATE(1701), 1,
      sym_statement_block,
    ACTIONS(1498), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1502), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [29244] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2034), 1,
      anon_sym_RBRACE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29323] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4039), 1,
      anon_sym_STAR,
    ACTIONS(4041), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4043), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3426), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29390] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2002), 1,
      anon_sym_RBRACE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29469] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4033), 1,
      anon_sym_STAR,
    ACTIONS(4045), 1,
      anon_sym_async,
    ACTIONS(4047), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4049), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29538] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(4015), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29615] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2002), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29692] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(4017), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29771] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4019), 1,
      anon_sym_STAR,
    ACTIONS(4051), 1,
      anon_sym_async,
    ACTIONS(4053), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4055), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2956), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29840] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4057), 1,
      anon_sym_STAR,
    ACTIONS(4059), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4061), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3385), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29907] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3979), 1,
      anon_sym_STAR,
    ACTIONS(3981), 1,
      anon_sym_async,
    ACTIONS(3983), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3985), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29976] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4063), 1,
      anon_sym_STAR,
    ACTIONS(4065), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4067), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3430), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30043] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3759), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30108] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3979), 1,
      anon_sym_STAR,
    ACTIONS(4069), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4071), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3503), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30175] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3911), 1,
      anon_sym_LBRACK,
    ACTIONS(3969), 1,
      anon_sym_STAR,
    ACTIONS(3971), 1,
      anon_sym_async,
    ACTIONS(3973), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3977), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2955), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30244] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3989), 1,
      anon_sym_STAR,
    ACTIONS(3991), 1,
      anon_sym_async,
    ACTIONS(3993), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3997), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2959), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30313] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3759), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30378] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4063), 1,
      anon_sym_STAR,
    ACTIONS(4073), 1,
      anon_sym_async,
    ACTIONS(4075), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4077), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2966), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30447] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3949), 1,
      anon_sym_STAR,
    ACTIONS(3951), 1,
      anon_sym_async,
    ACTIONS(3953), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2965), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30516] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3949), 1,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4081), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3475), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1756), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [30638] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4083), 1,
      anon_sym_STAR,
    ACTIONS(4085), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4087), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3443), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30705] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3937), 1,
      anon_sym_STAR,
    ACTIONS(4089), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4091), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3414), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(4093), 1,
      sym__automatic_semicolon,
    ACTIONS(1418), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1424), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [30829] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3772), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1588), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [30947] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4095), 1,
      anon_sym_STAR,
    ACTIONS(4097), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4099), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3391), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31014] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_LT,
    STATE(1622), 1,
      sym_type_arguments,
    ACTIONS(4101), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4103), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [31138] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3772), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31203] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3769), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31268] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4083), 1,
      anon_sym_STAR,
    ACTIONS(4105), 1,
      anon_sym_async,
    ACTIONS(4107), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4109), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2960), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31337] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(4007), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31416] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3769), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3965), 1,
      anon_sym_is,
    ACTIONS(4111), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4113), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [31536] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_LT,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4125), 1,
      anon_sym_QMARK_DOT,
    STATE(1534), 1,
      sym_type_arguments,
    STATE(1722), 1,
      sym_arguments,
    ACTIONS(4115), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4117), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [31603] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(68), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(3551), 1,
      anon_sym_LBRACK,
    ACTIONS(4005), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4129), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4507), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4880), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4881), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4127), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_LT,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    STATE(1533), 1,
      sym_type_arguments,
    ACTIONS(3959), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3384), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [31733] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3778), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31798] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3778), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31863] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2026), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31940] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2026), 1,
      anon_sym_RBRACE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32019] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3989), 1,
      anon_sym_STAR,
    ACTIONS(4131), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4133), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3481), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32086] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4135), 1,
      anon_sym_STAR,
    ACTIONS(4137), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4139), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3372), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32153] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4141), 1,
      anon_sym_LBRACK,
    ACTIONS(4143), 1,
      anon_sym_DOT,
    ACTIONS(4145), 1,
      anon_sym_QMARK_DOT,
    STATE(1555), 1,
      sym_arguments,
    ACTIONS(3402), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3392), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32216] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4151), 1,
      anon_sym_LBRACK,
    ACTIONS(4153), 1,
      anon_sym_DOT,
    ACTIONS(4155), 1,
      anon_sym_QMARK_DOT,
    STATE(1588), 1,
      sym_arguments,
    ACTIONS(4147), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4149), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32279] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4161), 1,
      anon_sym_LBRACK,
    ACTIONS(4163), 1,
      anon_sym_DOT,
    ACTIONS(4165), 1,
      anon_sym_QMARK_DOT,
    STATE(1597), 1,
      sym_arguments,
    ACTIONS(4157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4159), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32342] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2038), 1,
      anon_sym_RBRACE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32421] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3766), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32486] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4135), 1,
      anon_sym_STAR,
    ACTIONS(4167), 1,
      anon_sym_async,
    ACTIONS(4169), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4171), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2939), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32555] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4173), 1,
      anon_sym_STAR,
    ACTIONS(4175), 1,
      anon_sym_async,
    ACTIONS(4177), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2968), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3766), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32689] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4173), 1,
      anon_sym_STAR,
    ACTIONS(4181), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4183), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32756] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2038), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32833] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(4015), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32912] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32977] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33042] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3446), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4187), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4189), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4191), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4189), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4191), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4193), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4195), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4199), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4203), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4199), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33468] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4181), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33530] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4089), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3414), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4205), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4207), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2963), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2959), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2168), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_AMP,
    ACTIONS(4215), 1,
      anon_sym_PIPE,
    ACTIONS(4209), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4211), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4217), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4219), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33908] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4079), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3475), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4223), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34022] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4137), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3372), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2172), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34136] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4131), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3481), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34198] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4085), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3443), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34260] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4065), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3430), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4225), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4227), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34374] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4041), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3426), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3298), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4229), 1,
      sym__automatic_semicolon,
    ACTIONS(1592), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1594), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [34542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4093), 1,
      sym__automatic_semicolon,
    ACTIONS(1418), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1424), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [34596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4233), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 1,
      anon_sym_extends,
    ACTIONS(4235), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4237), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [34702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_AMP,
    ACTIONS(4215), 1,
      anon_sym_PIPE,
    ACTIONS(4239), 1,
      anon_sym_extends,
    ACTIONS(4235), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4237), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [34760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4241), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4243), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4247), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4249), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4251), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4241), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4243), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2174), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2176), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4253), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4255), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    STATE(1631), 1,
      sym_arguments,
    ACTIONS(4257), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4259), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [35128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4241), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4243), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35180] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4017), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4261), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4263), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4265), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4267), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4269), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4271), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4273), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4275), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4277), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4279), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_AMP,
    ACTIONS(4281), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4283), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4287), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4223), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35670] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4059), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3385), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4223), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4193), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4195), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4193), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4195), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4291), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4293), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4295), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36046] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4297), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3428), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4291), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4299), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4301), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4303), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4305), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2150), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4293), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4295), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [36372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2967), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36424] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4097), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3391), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [36542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_AMP,
    ACTIONS(4215), 1,
      anon_sym_PIPE,
    ACTIONS(4239), 1,
      anon_sym_extends,
    ACTIONS(4307), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4309), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [36600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4199), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36756] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_AMP,
    ACTIONS(4215), 1,
      anon_sym_PIPE,
    ACTIONS(4239), 1,
      anon_sym_extends,
    ACTIONS(4315), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [36814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4323), 1,
      anon_sym_LBRACK,
    ACTIONS(4327), 1,
      anon_sym_extends,
    ACTIONS(4325), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4319), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4321), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [36872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4331), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4323), 1,
      anon_sym_LBRACK,
    ACTIONS(4333), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4335), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36978] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4069), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3503), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4187), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4247), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37144] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4337), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3320), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4339), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4341), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4345), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37310] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4021), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3362), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_AMP,
    ACTIONS(4347), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4349), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4345), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37478] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2034), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4351), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4353), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4355), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4357), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4359), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4361), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4363), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4365), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_AMP,
    ACTIONS(4215), 1,
      anon_sym_PIPE,
    ACTIONS(4239), 1,
      anon_sym_extends,
    ACTIONS(4355), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4357), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [37816] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4015), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_AMP,
    ACTIONS(4215), 1,
      anon_sym_PIPE,
    ACTIONS(4239), 1,
      anon_sym_extends,
    ACTIONS(4339), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4341), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [37946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4369), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4249), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4251), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4371), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4373), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38102] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4375), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3513), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4377), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4379), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38216] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4381), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3188), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3320), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38278] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_STAR,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(1791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4387), 1,
      anon_sym_async,
    ACTIONS(4391), 1,
      anon_sym_static,
    ACTIONS(4393), 1,
      anon_sym_readonly,
    ACTIONS(4399), 1,
      anon_sym_override,
    STATE(2447), 1,
      sym_accessibility_modifier,
    STATE(2476), 1,
      sym_override_modifier,
    ACTIONS(4385), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4389), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4395), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4397), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3338), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4567), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4383), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3306), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4261), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4263), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38466] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_LBRACK,
    ACTIONS(4407), 1,
      anon_sym_DOT,
    ACTIONS(4409), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4403), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38524] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2002), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4411), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4413), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4203), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1728), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4415), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4417), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38804] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2026), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2146), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4419), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4421), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4345), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4423), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4425), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4427), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4429), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_LBRACE,
    STATE(1643), 1,
      sym_statement_block,
    ACTIONS(1498), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1502), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [39192] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_LBRACE,
    ACTIONS(4433), 1,
      anon_sym_DOT,
    STATE(1643), 1,
      sym_statement_block,
    ACTIONS(1498), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1502), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [39250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1528), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [39302] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(2090), 1,
      anon_sym_readonly,
    ACTIONS(2094), 1,
      anon_sym_override,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(2473), 1,
      sym_override_modifier,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4442), 1,
      anon_sym_DOT,
    ACTIONS(4438), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4440), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39434] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_extends,
    ACTIONS(4445), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4448), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1420), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [39494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [39548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4113), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39600] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2038), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39724] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4007), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39796] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4365), 1,
      anon_sym_extends,
    ACTIONS(4457), 1,
      anon_sym_EQ,
    ACTIONS(4461), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4464), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4455), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [39856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4187), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4103), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4323), 1,
      anon_sym_LBRACK,
    ACTIONS(4325), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4327), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4467), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4469), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4471), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4473), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40118] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4029), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3367), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4475), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1420), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [40235] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40340] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4523), 1,
      anon_sym_readonly,
    STATE(2487), 1,
      sym_override_modifier,
    ACTIONS(4337), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3320), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40407] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4487), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4525), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4527), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [40468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1528), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [40519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1610), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [40570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4529), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4531), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [40621] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(2090), 1,
      anon_sym_readonly,
    ACTIONS(2094), 1,
      anon_sym_override,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    STATE(2473), 1,
      sym_override_modifier,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4533), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40696] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4535), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4537), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4539), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [40852] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4541), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4549), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4543), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4547), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1562), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41063] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [41134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1656), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4125), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1652), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1656), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41242] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4551), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [41347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4553), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4555), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4557), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4559), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1680), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1684), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4541), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41602] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4563), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [41707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_extends,
    ACTIONS(4569), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4572), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4565), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4567), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41815] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4575), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [41920] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4581), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [41991] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [42072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4586), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3883), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3887), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4588), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4590), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42225] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [42320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4592), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4594), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1594), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [42422] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4596), 1,
      anon_sym_readonly,
    STATE(2541), 1,
      sym_override_modifier,
    ACTIONS(4381), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3188), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3320), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_EQ,
    ACTIONS(4455), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42542] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [42639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1582), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42690] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_abstract,
    ACTIONS(4381), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3188), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3320), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4598), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4600), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4604), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42855] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4581), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [42932] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4579), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [43021] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [43112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1582), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [43163] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [43256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4608), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43307] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [43376] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4581), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [43451] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4581), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [43520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4610), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4612), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4616), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43622] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [43707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1552), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4421), 1,
      anon_sym_extends,
    ACTIONS(4618), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4621), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43815] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [43914] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4612), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [44019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4624), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4626), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4628), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4630), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1672), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4634), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4636), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4638), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44274] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4608), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [44379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1568), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1572), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44430] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4590), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [44535] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4559), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [44640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4640), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4642), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4646), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1542), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44793] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4648), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [44898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4652), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4656), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45000] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1694), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1704), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4658), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4660), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [45261] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4664), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [45368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1664), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(1420), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4666), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4455), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4575), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1664), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [45680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4672), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45731] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_LT,
    ACTIONS(4676), 1,
      anon_sym_DOT,
    ACTIONS(4678), 1,
      anon_sym_is,
    STATE(1902), 1,
      sym_type_arguments,
    ACTIONS(3959), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3384), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [45790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4680), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4682), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      anon_sym_EQ,
    ACTIONS(4543), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4547), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1594), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45945] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4688), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4684), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4686), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [46012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4691), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4693), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(4695), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4698), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1512), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46228] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4701), 1,
      anon_sym_abstract,
    ACTIONS(4337), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3320), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1604), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4703), 1,
      sym__automatic_semicolon,
    ACTIONS(1592), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1594), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [46395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4707), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46446] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4709), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4565), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4567), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4711), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4713), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4717), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_DOT,
    ACTIONS(4440), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(4438), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_EQ,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_extends,
  [46757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [46808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4721), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46859] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4727), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4723), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4725), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1522), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1610), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47034] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4734), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4730), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4732), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1644), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4737), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4739), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 1,
      sym__automatic_semicolon,
    ACTIONS(1418), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1424), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [47258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4745), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47360] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [47448] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4648), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [47552] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [47644] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4590), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [47748] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [47838] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(3365), 1,
      anon_sym_COLON,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4827), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4837), 1,
      sym_type_annotation,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47948] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4829), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4723), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4725), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [48020] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4575), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48124] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    ACTIONS(4832), 1,
      anon_sym_COMMA,
    ACTIONS(4835), 1,
      anon_sym_RBRACE,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4563), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48232] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4563), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48336] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4837), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [48410] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48474] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4805), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4525), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4527), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [48534] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [48622] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4840), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [48692] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4851), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4535), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [48796] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4837), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [48872] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4608), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48976] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4853), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4730), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4732), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49044] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4837), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49112] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [49208] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [49292] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(4859), 1,
      anon_sym_RBRACE,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49400] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4017), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49462] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [49556] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4863), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4730), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4732), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49624] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(3365), 1,
      anon_sym_COLON,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4866), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4660), 1,
      sym_type_annotation,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49734] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4868), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4684), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4686), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [49800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4871), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4455), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49854] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4017), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49916] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(4421), 1,
      anon_sym_extends,
    ACTIONS(4618), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4621), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49974] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [50072] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [50152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [50232] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4874), 1,
      anon_sym_LBRACK,
    ACTIONS(4876), 1,
      anon_sym_DOT,
    ACTIONS(4878), 1,
      anon_sym_QMARK_DOT,
    STATE(1928), 1,
      sym_arguments,
    ACTIONS(3402), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3392), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [50292] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(3365), 1,
      anon_sym_COLON,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4880), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4927), 1,
      sym_type_annotation,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50402] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4535), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [50506] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4851), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [50610] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4851), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4608), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [50714] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4365), 1,
      anon_sym_extends,
    ACTIONS(4457), 1,
      anon_sym_EQ,
    ACTIONS(4461), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4464), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4455), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50772] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4559), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [50876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4678), 1,
      anon_sym_is,
    ACTIONS(4111), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4113), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [50928] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(2034), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [50990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_EQ,
    ACTIONS(3440), 1,
      anon_sym_QMARK,
    ACTIONS(3433), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51046] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_extends,
    ACTIONS(4445), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4448), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1420), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51104] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4837), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [51174] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4851), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4575), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [51278] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(2034), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [51340] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4851), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4563), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [51444] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(2002), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [51506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(2038), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [51568] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(2002), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [51630] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_LT,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4882), 1,
      anon_sym_QMARK_DOT,
    STATE(1854), 1,
      sym_type_arguments,
    STATE(2067), 1,
      sym_arguments,
    ACTIONS(4115), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4117), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51694] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4888), 1,
      anon_sym_COMMA,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3223), 1,
      sym_type_arguments,
    STATE(3857), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51802] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4924), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3206), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3320), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [51862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4926), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1420), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4929), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4543), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4547), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51970] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [52064] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4015), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [52126] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4015), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [52188] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [52284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_LT,
    STATE(1907), 1,
      sym_type_arguments,
    ACTIONS(4101), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4103), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [52338] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4932), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4684), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4686), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [52404] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3444), 1,
      anon_sym_QMARK,
    ACTIONS(3442), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52460] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4840), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52536] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 1,
      anon_sym_EQ,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4621), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4421), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52594] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [52698] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [52788] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4551), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [52892] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [52984] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    ACTIONS(4859), 1,
      anon_sym_RBRACE,
    ACTIONS(4935), 1,
      anon_sym_COMMA,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4563), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53092] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4840), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [53166] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4840), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [53234] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(4859), 1,
      anon_sym_RBRACE,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4535), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53342] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4533), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [53410] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4851), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4709), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53514] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [53598] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(2026), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [53660] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(2026), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [53722] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4938), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3204), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3320), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [53782] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [53880] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4851), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4648), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53984] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_EQ,
    ACTIONS(4461), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4940), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4365), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4455), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54044] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4759), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4525), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4527), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [54104] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4944), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [54208] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4851), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4590), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [54312] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4007), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [54374] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(3365), 1,
      anon_sym_COLON,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4946), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4751), 1,
      sym_type_annotation,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54484] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4851), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4551), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [54588] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4007), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [54650] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(2038), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [54712] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4851), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4559), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [54816] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_LBRACK,
    ACTIONS(4448), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4948), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2146), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1420), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54876] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_DOT,
    ACTIONS(4956), 1,
      anon_sym_QMARK_DOT,
    STATE(1930), 1,
      sym_arguments,
    ACTIONS(4157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4159), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [54936] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4958), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_DOT,
    ACTIONS(4962), 1,
      anon_sym_QMARK_DOT,
    STATE(1929), 1,
      sym_arguments,
    ACTIONS(4147), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4149), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [54996] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 1,
      anon_sym_EQ,
    ACTIONS(3440), 1,
      anon_sym_QMARK,
    ACTIONS(3448), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55052] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4541), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55156] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4851), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4541), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55260] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4859), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4964), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55366] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4851), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4803), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4612), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55470] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4612), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55574] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4533), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [55640] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4803), 1,
      anon_sym_GT,
    ACTIONS(4805), 1,
      anon_sym_LT,
    ACTIONS(4807), 1,
      anon_sym_GT_GT,
    ACTIONS(4811), 1,
      anon_sym_AMP,
    ACTIONS(4813), 1,
      anon_sym_CARET,
    ACTIONS(4817), 1,
      anon_sym_PERCENT,
    ACTIONS(4819), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4851), 1,
      sym__ternary_qmark,
    ACTIONS(4968), 1,
      anon_sym_in,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4801), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4815), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4823), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4821), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4966), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55746] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4709), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55850] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4971), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4723), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4725), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [55922] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_LT,
    ACTIONS(4676), 1,
      anon_sym_DOT,
    STATE(1902), 1,
      sym_type_arguments,
    ACTIONS(3959), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3384), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [55978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4247), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56027] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4535), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4103), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4974), 1,
      anon_sym_LBRACK,
    ACTIONS(4325), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4327), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4113), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4419), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4421), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1728), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56426] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4976), 1,
      anon_sym_RBRACK,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4135), 1,
      aux_sym_array_repeat1,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    STATE(2142), 1,
      sym_arguments,
    ACTIONS(4257), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4259), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4359), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4361), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56635] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(4980), 1,
      anon_sym_PIPE,
    ACTIONS(4982), 1,
      anon_sym_extends,
    ACTIONS(4235), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4237), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 1,
      anon_sym_extends,
    ACTIONS(4235), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4237), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(4741), 1,
      sym__automatic_semicolon,
    ACTIONS(1418), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1424), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56794] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    ACTIONS(4984), 1,
      anon_sym_COMMA,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4664), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_EQ,
    ACTIONS(4455), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3298), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56999] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4986), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4237), 1,
      aux_sym_array_repeat1,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(4695), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4698), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57161] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    ACTIONS(4421), 1,
      anon_sym_extends,
    ACTIONS(4618), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4621), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57218] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_EQ,
    ACTIONS(3440), 1,
      anon_sym_QMARK,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(3433), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4421), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4621), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57330] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4988), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4126), 1,
      aux_sym_array_repeat1,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57437] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4990), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [57540] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4992), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4684), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4686), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_implements,
  [57605] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4709), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57708] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4995), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4723), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4725), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [57779] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4998), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4730), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4732), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [57846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(4695), 1,
      anon_sym_LBRACK,
    ACTIONS(5005), 1,
      anon_sym_RPAREN,
    ACTIONS(4698), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5001), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5003), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4442), 1,
      anon_sym_DOT,
    ACTIONS(4438), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4440), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [57958] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    ACTIONS(4984), 1,
      anon_sym_COMMA,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5008), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2172), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4225), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4227), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4241), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4243), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4241), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4243), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4241), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4243), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4187), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4187), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4187), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4223), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58504] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    ACTIONS(4984), 1,
      anon_sym_COMMA,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5010), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58609] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4533), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [58670] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5012), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [58773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4223), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4223), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4287), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2146), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4265), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4267), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2959), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5014), 1,
      anon_sym_LBRACK,
    ACTIONS(5016), 1,
      anon_sym_DOT,
    ACTIONS(5018), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4403), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4695), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4113), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4363), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4365), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4351), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4353), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(4347), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4349), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4293), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4295), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4269), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4271), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4253), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4255), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(4980), 1,
      anon_sym_PIPE,
    ACTIONS(4982), 1,
      anon_sym_extends,
    ACTIONS(4315), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59577] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4327), 1,
      anon_sym_extends,
    ACTIONS(4974), 1,
      anon_sym_LBRACK,
    ACTIONS(4325), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4319), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4321), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4331), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4974), 1,
      anon_sym_LBRACK,
    ACTIONS(4333), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4335), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4467), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4469), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59781] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4535), 1,
      anon_sym_COMMA,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5020), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59886] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(5022), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4212), 1,
      aux_sym_array_repeat1,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59993] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4648), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60096] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4559), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60199] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_extends,
    ACTIONS(4445), 1,
      anon_sym_LBRACK,
    ACTIONS(5024), 1,
      anon_sym_RPAREN,
    ACTIONS(1422), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4448), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4475), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1420), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60260] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4590), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60363] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4365), 1,
      anon_sym_extends,
    ACTIONS(4461), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 1,
      anon_sym_RPAREN,
    ACTIONS(4457), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4464), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4666), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4455), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60424] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4608), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60527] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(4695), 1,
      anon_sym_LBRACK,
    ACTIONS(5034), 1,
      anon_sym_RPAREN,
    ACTIONS(4698), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5030), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5032), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60588] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4481), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60691] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(5037), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4227), 1,
      aux_sym_array_repeat1,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4293), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4295), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2967), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [60900] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4569), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4271), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4565), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4567), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_extends,
    ACTIONS(4569), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4572), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4565), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4567), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4293), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4295), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3306), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2150), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4303), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4305), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4371), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4373), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4411), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4413), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61412] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(5039), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4266), 1,
      aux_sym_array_repeat1,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61519] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_LBRACK,
    ACTIONS(2146), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4448), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1420), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61576] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_EQ,
    ACTIONS(4461), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4464), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4455), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4427), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4429), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4415), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4417), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4377), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4379), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61780] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(4980), 1,
      anon_sym_PIPE,
    ACTIONS(4982), 1,
      anon_sym_extends,
    ACTIONS(4355), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4357), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61835] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4365), 1,
      anon_sym_extends,
    ACTIONS(4461), 1,
      anon_sym_LBRACK,
    ACTIONS(4940), 1,
      anon_sym_RPAREN,
    ACTIONS(4457), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4464), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4871), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4455), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4355), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4357), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4299), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4301), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(4281), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4283), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [62045] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(5041), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4159), 1,
      aux_sym_array_repeat1,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4277), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4279), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [62201] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4612), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62304] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 1,
      anon_sym_EQ,
    ACTIONS(4421), 1,
      anon_sym_extends,
    ACTIONS(4618), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4621), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62361] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [62458] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [62541] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(5043), 1,
      anon_sym_RBRACK,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4135), 1,
      aux_sym_array_repeat1,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62648] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    ACTIONS(4984), 1,
      anon_sym_COMMA,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5045), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62753] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5047), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [62820] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_extends,
    ACTIONS(4445), 1,
      anon_sym_LBRACK,
    ACTIONS(4948), 1,
      anon_sym_RPAREN,
    ACTIONS(1422), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4448), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4926), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1420), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2168), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [62930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4205), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4207), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [62979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4199), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63028] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5047), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [63101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4199), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4199), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4193), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4195), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4193), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4195), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4193), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4195), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4345), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4345), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4345), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4273), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4275), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4618), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4421), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63597] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    ACTIONS(4984), 1,
      anon_sym_COMMA,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5050), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63702] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4535), 1,
      anon_sym_COMMA,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63807] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    ACTIONS(4984), 1,
      anon_sym_COMMA,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5052), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63912] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [64001] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [64088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(4980), 1,
      anon_sym_PIPE,
    ACTIONS(4209), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4211), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5058), 1,
      sym_regex_flags,
    ACTIONS(5054), 15,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(5056), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2963), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(5060), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4122), 1,
      aux_sym_array_repeat1,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64348] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(5062), 1,
      anon_sym_RBRACK,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(4049), 1,
      aux_sym_array_repeat1,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2174), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2176), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4233), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4217), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4219), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4203), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64651] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5047), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [64726] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(2144), 1,
      anon_sym_QMARK,
    ACTIONS(2146), 1,
      anon_sym_extends,
    ACTIONS(4445), 1,
      anon_sym_LBRACK,
    ACTIONS(4475), 1,
      anon_sym_COLON,
    ACTIONS(4448), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4948), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1420), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64789] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 1,
      anon_sym_EQ,
    ACTIONS(3440), 1,
      anon_sym_QMARK,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(3448), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4421), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4621), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64850] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(4695), 1,
      anon_sym_LBRACK,
    ACTIONS(5067), 1,
      anon_sym_RPAREN,
    ACTIONS(4698), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5001), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5064), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64911] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4421), 1,
      anon_sym_extends,
    ACTIONS(4618), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4621), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64966] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4363), 1,
      anon_sym_QMARK,
    ACTIONS(4365), 1,
      anon_sym_extends,
    ACTIONS(4457), 1,
      anon_sym_EQ,
    ACTIONS(4461), 1,
      anon_sym_LBRACK,
    ACTIONS(4666), 1,
      anon_sym_COLON,
    ACTIONS(4464), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4940), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4455), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65029] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [65124] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [65217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4189), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4191), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4203), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4189), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4191), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4291), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65413] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [65516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4247), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4291), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4249), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4251), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4261), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4263), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4249), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4251), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4261), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4263), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65810] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3321), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5071), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [65913] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [66004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [66053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(2735), 1,
      sym__automatic_semicolon,
    ACTIONS(1424), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1420), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66108] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [66187] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4759), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4765), 1,
      anon_sym_GT_GT,
    ACTIONS(4771), 1,
      anon_sym_PERCENT,
    ACTIONS(4773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(4787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4791), 1,
      anon_sym_AMP,
    ACTIONS(4793), 1,
      anon_sym_CARET,
    ACTIONS(4795), 1,
      anon_sym_PIPE,
    ACTIONS(4797), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4799), 1,
      sym__ternary_qmark,
    ACTIONS(4984), 1,
      anon_sym_COMMA,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4751), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4755), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4767), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4769), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4777), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4779), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5073), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4775), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4423), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4425), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [66341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4471), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4473), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [66390] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5047), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [66459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4369), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [66508] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(4980), 1,
      anon_sym_PIPE,
    ACTIONS(4982), 1,
      anon_sym_extends,
    ACTIONS(4339), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4341), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66563] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4966), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [66666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4339), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4341), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [66715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(1420), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      anon_sym_EQ,
    ACTIONS(4543), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4547), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(4980), 1,
      anon_sym_PIPE,
    ACTIONS(4982), 1,
      anon_sym_extends,
    ACTIONS(4307), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4309), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66872] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4575), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66975] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4563), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67078] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4541), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67181] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4892), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4525), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4527), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_implements,
  [67240] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(4894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4896), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4898), 1,
      anon_sym_GT_GT,
    ACTIONS(4902), 1,
      anon_sym_AMP,
    ACTIONS(4904), 1,
      anon_sym_CARET,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    ACTIONS(4910), 1,
      anon_sym_PERCENT,
    ACTIONS(4912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4920), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4922), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4884), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4890), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4900), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4908), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4916), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4551), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4914), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5077), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4557), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4559), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67443] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5079), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67547] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5081), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4723), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4725), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [67617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5077), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67669] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5084), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5077), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4421), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4621), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67879] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 1,
      anon_sym_EQ,
    ACTIONS(4419), 1,
      anon_sym_QMARK,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4621), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4421), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5088), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4624), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4626), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68037] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [68119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 1,
      anon_sym_LPAREN,
    ACTIONS(5110), 1,
      anon_sym_DOT,
    STATE(2449), 1,
      sym_arguments,
    ACTIONS(3252), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3250), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [68173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1644), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4656), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68269] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5112), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      sym__automatic_semicolon,
    ACTIONS(1570), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1568), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1572), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      sym__automatic_semicolon,
    ACTIONS(1560), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1558), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1562), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4604), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 1,
      sym__automatic_semicolon,
    ACTIONS(1550), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1552), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68627] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      sym__automatic_semicolon,
    ACTIONS(1540), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1538), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1542), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68679] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5114), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68783] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1568), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1572), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5116), 1,
      sym__automatic_semicolon,
    ACTIONS(1560), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1558), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1562), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68885] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1552), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1538), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1542), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5030), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5032), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4541), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4737), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4739), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69133] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4648), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69235] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2094), 1,
      anon_sym_override,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5136), 1,
      anon_sym_STAR,
    ACTIONS(5138), 1,
      anon_sym_async,
    ACTIONS(5142), 1,
      anon_sym_readonly,
    STATE(2461), 1,
      sym_override_modifier,
    ACTIONS(5140), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5144), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3419), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [69305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4745), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4293), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4295), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69453] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_QMARK,
    ACTIONS(4271), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4572), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4569), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4565), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4567), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4711), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4713), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69557] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5146), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1656), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69709] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3442), 1,
      anon_sym_COLON,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4621), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4421), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69767] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4882), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1652), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1656), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4717), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69869] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 5,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [69965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4421), 1,
      anon_sym_extends,
    ACTIONS(4621), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4618), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70019] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4612), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70121] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      anon_sym_EQ,
    ACTIONS(4549), 1,
      anon_sym_of,
    ACTIONS(5148), 1,
      anon_sym_in,
    ACTIONS(4543), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4547), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(4475), 1,
      anon_sym_of,
    ACTIONS(5151), 1,
      anon_sym_in,
    ACTIONS(1420), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4707), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1522), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1704), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5064), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4680), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4682), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 1,
      anon_sym_EQ,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1694), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4537), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4539), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1680), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1684), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4586), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70715] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5154), 1,
      anon_sym_RBRACE,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70819] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5156), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [70885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4672), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70933] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4551), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71035] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3466), 1,
      anon_sym_EQ,
    ACTIONS(4421), 1,
      anon_sym_extends,
    ACTIONS(4618), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4621), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [71091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1672), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1652), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1656), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71189] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5156), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [71261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4575), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71357] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [71447] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_EQ,
    ACTIONS(4666), 1,
      anon_sym_of,
    ACTIONS(5159), 1,
      anon_sym_in,
    ACTIONS(4455), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71501] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [71589] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5162), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71691] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5164), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71795] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4481), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1542), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71945] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5166), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72049] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5168), 1,
      anon_sym_RBRACK,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1552), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4721), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4640), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4642), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4634), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4610), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4612), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4565), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4567), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72441] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5170), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72545] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [72599] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4541), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72701] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4535), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4616), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5172), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5174), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4608), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4592), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4594), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4598), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4600), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73047] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(3442), 1,
      anon_sym_COLON,
    ACTIONS(4421), 1,
      anon_sym_extends,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4621), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5176), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73107] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4421), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4621), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4588), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4590), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5003), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73263] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_extends,
    ACTIONS(4572), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4569), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(4565), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4567), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5182), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1604), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73417] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4859), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73519] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4563), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73621] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5184), 1,
      anon_sym_RBRACK,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73725] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4575), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73827] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_EQ,
    ACTIONS(4461), 1,
      anon_sym_LBRACK,
    ACTIONS(4666), 1,
      anon_sym_COLON,
    ACTIONS(4464), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4365), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4455), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73885] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4559), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73987] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [74143] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4590), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74245] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4964), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5188), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5188), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4553), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4555), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5188), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74551] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5156), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [74619] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [74697] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5190), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3883), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3887), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5192), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5194), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74901] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5196), 1,
      anon_sym_RBRACK,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75005] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5198), 1,
      anon_sym_COLON,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 1,
      sym__automatic_semicolon,
    ACTIONS(1602), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1600), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1604), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75161] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    ACTIONS(5200), 1,
      anon_sym_SEMI,
    ACTIONS(5202), 1,
      sym__automatic_semicolon,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1562), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4529), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4531), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75361] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4608), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75463] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5204), 1,
      anon_sym_RBRACK,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2953), 1,
      sym__automatic_semicolon,
    ACTIONS(1510), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1508), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1512), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4628), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4630), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1518), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1522), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1568), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1572), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1512), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4652), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75861] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1652), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1656), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4658), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4660), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1700), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1704), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76009] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_LBRACK,
    ACTIONS(4475), 1,
      anon_sym_COLON,
    ACTIONS(4448), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2146), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(1420), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4695), 1,
      anon_sym_LBRACK,
    ACTIONS(4113), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4698), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76121] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [76213] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    ACTIONS(5206), 1,
      anon_sym_SEMI,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1640), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1644), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76367] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [76461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5210), 1,
      sym__automatic_semicolon,
    ACTIONS(1692), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1690), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1694), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76513] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5156), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [76587] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [76673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 1,
      sym__automatic_semicolon,
    ACTIONS(1682), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1680), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1684), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1668), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1672), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4646), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5214), 1,
      sym_regex_flags,
    ACTIONS(5054), 15,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(5056), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76873] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_EQ,
    ACTIONS(4461), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4464), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4455), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76929] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 1,
      anon_sym_LPAREN,
    ACTIONS(5219), 1,
      anon_sym_COLON,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5224), 1,
      anon_sym_QMARK,
    ACTIONS(3262), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76985] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5226), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77087] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_LBRACK,
    ACTIONS(2146), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4448), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1420), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77143] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5228), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4730), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4732), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [77209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 1,
      sym__automatic_semicolon,
    ACTIONS(1642), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1640), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1644), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4569), 1,
      anon_sym_LBRACK,
    ACTIONS(4271), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4572), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4565), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4567), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4691), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4693), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 1,
      sym__automatic_semicolon,
    ACTIONS(1510), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1508), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1512), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4636), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4638), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 1,
      sym__automatic_semicolon,
    ACTIONS(1670), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1668), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1672), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5214), 1,
      sym_regex_flags,
    ACTIONS(5054), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(5056), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77565] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5233), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77667] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4709), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 1,
      sym__automatic_semicolon,
    ACTIONS(1520), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1518), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1522), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77821] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5235), 1,
      anon_sym_LPAREN,
    ACTIONS(5238), 1,
      anon_sym_COLON,
    ACTIONS(5240), 1,
      anon_sym_LT,
    ACTIONS(5243), 1,
      anon_sym_QMARK,
    ACTIONS(4537), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4539), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77877] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5245), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    ACTIONS(1682), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1680), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1684), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1600), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1604), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78081] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4487), 1,
      anon_sym_LT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4491), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4495), 1,
      anon_sym_GT_GT,
    ACTIONS(4499), 1,
      anon_sym_AMP,
    ACTIONS(4501), 1,
      anon_sym_CARET,
    ACTIONS(4503), 1,
      anon_sym_PIPE,
    ACTIONS(4507), 1,
      anon_sym_PERCENT,
    ACTIONS(4509), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4517), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4521), 1,
      sym__ternary_qmark,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5247), 1,
      anon_sym_RPAREN,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4477), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4485), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4497), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4505), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4511), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2929), 1,
      sym__automatic_semicolon,
    ACTIONS(1692), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1690), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1694), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78237] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4783), 1,
      anon_sym_as,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5094), 1,
      anon_sym_LT,
    ACTIONS(5096), 1,
      anon_sym_GT_GT,
    ACTIONS(5102), 1,
      anon_sym_PERCENT,
    ACTIONS(5104), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5118), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5122), 1,
      anon_sym_AMP,
    ACTIONS(5124), 1,
      anon_sym_CARET,
    ACTIONS(5126), 1,
      anon_sym_PIPE,
    ACTIONS(5132), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5134), 1,
      sym__ternary_qmark,
    ACTIONS(5249), 1,
      anon_sym_SEMI,
    ACTIONS(5251), 1,
      sym__automatic_semicolon,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4781), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5090), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5098), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5100), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5128), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5130), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5106), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      sym__automatic_semicolon,
    ACTIONS(1702), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1700), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1704), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78393] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(5094), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4525), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4527), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [78451] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3446), 1,
      anon_sym_EQ,
    ACTIONS(3522), 1,
      anon_sym_in,
    ACTIONS(3525), 1,
      anon_sym_of,
    ACTIONS(3262), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78505] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5253), 1,
      anon_sym_LT,
    STATE(3936), 1,
      sym_type_arguments,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4684), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4686), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [78569] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4419), 1,
      anon_sym_QMARK,
    ACTIONS(4421), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4621), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4618), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78625] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4966), 1,
      anon_sym_of,
    ACTIONS(5258), 1,
      anon_sym_in,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5263), 1,
      anon_sym_GT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5291), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5293), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78728] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5299), 1,
      anon_sym_COLON,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78829] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
  [78924] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4559), 1,
      anon_sym_COLON,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79025] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4612), 1,
      anon_sym_of,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5291), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5293), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79126] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5333), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4730), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4732), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [79191] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4481), 1,
      anon_sym_of,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5291), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5293), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79292] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4608), 1,
      anon_sym_of,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5291), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5293), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79393] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5336), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4723), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4725), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [79462] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4590), 1,
      anon_sym_of,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5291), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5293), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79563] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4559), 1,
      anon_sym_of,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5291), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5293), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79664] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4541), 1,
      anon_sym_COLON,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79765] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [79846] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4608), 1,
      anon_sym_COLON,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79947] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4481), 1,
      anon_sym_COLON,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80048] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5339), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [80113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3258), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [80160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(1885), 1,
      anon_sym_EQ_GT,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5140), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3419), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [80219] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4612), 1,
      anon_sym_COLON,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80320] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [80415] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [80502] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5136), 1,
      anon_sym_STAR,
    ACTIONS(5140), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5144), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3419), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [80563] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5339), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [80634] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [80723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5366), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [80770] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [80857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5370), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [80904] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    ACTIONS(5374), 1,
      anon_sym_COLON,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81005] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    ACTIONS(5376), 1,
      anon_sym_COLON,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81106] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5136), 1,
      anon_sym_STAR,
    ACTIONS(5138), 1,
      anon_sym_async,
    ACTIONS(5140), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5144), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3419), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [81169] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [81254] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5339), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [81327] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [81420] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4365), 1,
      anon_sym_extends,
    ACTIONS(4457), 1,
      anon_sym_EQ,
    ACTIONS(4461), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4464), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4455), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [81475] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [81566] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_extends,
    ACTIONS(4445), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4448), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1420), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [81621] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4648), 1,
      anon_sym_of,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5291), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5293), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81722] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 1,
      anon_sym_QMARK,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(4698), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4695), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [81777] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(4421), 1,
      anon_sym_extends,
    ACTIONS(4618), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4621), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [81832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5378), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [81879] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5382), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [81946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3466), 1,
      anon_sym_EQ,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [81995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5385), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [82042] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4695), 1,
      anon_sym_LBRACK,
    ACTIONS(4113), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4698), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82095] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    ACTIONS(5389), 1,
      anon_sym_COLON,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82196] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5391), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4684), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4686), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [82259] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5394), 1,
      anon_sym_STAR,
    ACTIONS(5396), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5398), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [82320] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_of,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5291), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5293), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82421] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5339), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [82488] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_STAR,
    ACTIONS(5402), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5404), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [82549] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_STAR,
    ACTIONS(5406), 1,
      anon_sym_async,
    ACTIONS(5402), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5404), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [82612] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4575), 1,
      anon_sym_of,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5291), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5293), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4293), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(4295), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82764] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4563), 1,
      anon_sym_of,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5291), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5293), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5410), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5408), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [82912] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5412), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4684), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4686), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [82975] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5415), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83076] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4541), 1,
      anon_sym_of,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5291), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5293), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5431), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5429), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [83224] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4535), 1,
      anon_sym_of,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5291), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5293), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5433), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [83372] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4648), 1,
      anon_sym_COLON,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83473] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(5261), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4525), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4527), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [83530] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5394), 1,
      anon_sym_STAR,
    ACTIONS(5437), 1,
      anon_sym_async,
    ACTIONS(5396), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5398), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [83593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5441), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5439), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [83640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5445), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5443), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [83687] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    ACTIONS(5447), 1,
      anon_sym_COLON,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4569), 1,
      anon_sym_LBRACK,
    ACTIONS(4271), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4572), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4565), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4567), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [83841] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [83918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5410), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5408), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [83965] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    ACTIONS(5449), 1,
      anon_sym_COLON,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84066] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    ACTIONS(5451), 1,
      anon_sym_RBRACK,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      anon_sym_EQ,
    ACTIONS(4549), 1,
      anon_sym_COMMA,
    ACTIONS(4929), 1,
      anon_sym_RBRACK,
    ACTIONS(4543), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4547), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [84220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5453), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [84267] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4551), 1,
      anon_sym_of,
    ACTIONS(5261), 1,
      anon_sym_LT,
    ACTIONS(5265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5269), 1,
      anon_sym_GT_GT,
    ACTIONS(5273), 1,
      anon_sym_AMP,
    ACTIONS(5275), 1,
      anon_sym_CARET,
    ACTIONS(5277), 1,
      anon_sym_PIPE,
    ACTIONS(5281), 1,
      anon_sym_PERCENT,
    ACTIONS(5283), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5291), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5293), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5271), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5289), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5285), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84368] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5457), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [84516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(4475), 1,
      anon_sym_COMMA,
    ACTIONS(4926), 1,
      anon_sym_RBRACK,
    ACTIONS(1420), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [84569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5463), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5461), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [84616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5467), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5465), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [84663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4533), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1758), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1756), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [84714] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [84795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4533), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [84846] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5469), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [84911] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_catch,
    ACTIONS(5474), 1,
      anon_sym_finally,
    STATE(2446), 1,
      sym_catch_clause,
    STATE(2499), 1,
      sym_finally_clause,
    ACTIONS(2288), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2286), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [84966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5433), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [85013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5385), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [85060] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_EQ,
    ACTIONS(4666), 1,
      anon_sym_COMMA,
    ACTIONS(4871), 1,
      anon_sym_RBRACK,
    ACTIONS(4455), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [85113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_EQ,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4421), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4621), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [85168] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5469), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [85239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5431), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5429), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [85286] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85387] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5478), 1,
      anon_sym_STAR,
    ACTIONS(5480), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5482), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3376), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [85448] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(5346), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4525), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4527), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [85505] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4421), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4621), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [85560] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    ACTIONS(5484), 1,
      anon_sym_COLON,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85661] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [85750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4421), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4621), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [85803] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4535), 1,
      anon_sym_RBRACK,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85904] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [85991] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [86076] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4541), 1,
      anon_sym_RBRACK,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86177] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4648), 1,
      anon_sym_RBRACK,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86278] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5486), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4730), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4732), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [86343] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5469), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [86416] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4559), 1,
      anon_sym_RBRACK,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86517] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4590), 1,
      anon_sym_RBRACK,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86618] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [86711] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4608), 1,
      anon_sym_RBRACK,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86812] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [86903] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4481), 1,
      anon_sym_RBRACK,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87004] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4612), 1,
      anon_sym_RBRACK,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87105] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [87182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 1,
      sym__automatic_semicolon,
    ACTIONS(1594), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1592), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [87231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5370), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [87278] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5469), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [87345] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5491), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4730), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4732), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [87410] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4575), 1,
      anon_sym_COLON,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5445), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5443), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [87558] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4551), 1,
      anon_sym_RBRACK,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5366), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [87706] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5494), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4723), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4725), 15,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [87775] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [87870] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4563), 1,
      anon_sym_RBRACK,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87971] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4575), 1,
      anon_sym_RBRACK,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88072] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4563), 1,
      anon_sym_COLON,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88173] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4551), 1,
      anon_sym_COLON,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88274] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4535), 1,
      anon_sym_COLON,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88375] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [88456] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      anon_sym_EQ,
    ACTIONS(4549), 1,
      anon_sym_COLON,
    ACTIONS(4929), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4543), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4547), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [88509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5058), 1,
      sym_regex_flags,
    ACTIONS(5054), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_implements,
    ACTIONS(5056), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [88558] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(5301), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4525), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4527), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [88615] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5382), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [88680] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    ACTIONS(5497), 1,
      anon_sym_COLON,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3390), 1,
      anon_sym_EQ,
    ACTIONS(3542), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [88832] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_RBRACK,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5419), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    ACTIONS(5425), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5427), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88933] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5382), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [89004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5441), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5439), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [89051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5499), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [89098] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5503), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4723), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4725), 15,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [89167] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [89256] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [89341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5508), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5506), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [89390] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5382), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [89463] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    ACTIONS(5301), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5307), 1,
      anon_sym_GT_GT,
    ACTIONS(5311), 1,
      anon_sym_AMP,
    ACTIONS(5313), 1,
      anon_sym_CARET,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_PERCENT,
    ACTIONS(5321), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5329), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5331), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5295), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5297), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5309), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5327), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5323), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89564] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [89657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2735), 1,
      sym__automatic_semicolon,
    ACTIONS(1424), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1418), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [89706] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_AMP,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_PIPE,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5344), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5364), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5360), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [89797] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5512), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4684), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4686), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [89860] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3527), 1,
      anon_sym_EQ,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4421), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4621), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [89915] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5346), 1,
      anon_sym_LT,
    ACTIONS(5348), 1,
      anon_sym_GT_GT,
    ACTIONS(5356), 1,
      anon_sym_PERCENT,
    ACTIONS(5358), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [89992] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5515), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3409), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [90048] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5517), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4723), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4725), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [90116] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90214] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3937), 1,
      anon_sym_STAR,
    ACTIONS(3939), 1,
      anon_sym_async,
    ACTIONS(5556), 1,
      anon_sym_static,
    ACTIONS(5558), 1,
      anon_sym_readonly,
    ACTIONS(5560), 1,
      anon_sym_abstract,
    STATE(2465), 1,
      sym_override_modifier,
    ACTIONS(3941), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2927), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [90284] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4569), 1,
      anon_sym_LBRACK,
    ACTIONS(4572), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4271), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4565), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4567), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [90336] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(5524), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4525), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4527), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [90392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5562), 1,
      sym_identifier,
    ACTIONS(3883), 15,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(3887), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [90440] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90538] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90636] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5564), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4684), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4686), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [90698] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5480), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3376), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [90754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3446), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [90810] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5567), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3384), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [90866] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90964] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4069), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3503), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [91020] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_identifier,
    ACTIONS(11), 1,
      anon_sym_import,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(15), 1,
      anon_sym_pragma,
    STATE(2748), 1,
      sym_ui_annotation,
    STATE(2749), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3985), 1,
      sym_ui_nested_identifier,
    STATE(4989), 2,
      sym_ui_object_definition,
      sym_ui_annotated_object,
    STATE(2699), 3,
      sym_ui_pragma,
      sym_ui_import,
      aux_sym_program_repeat1,
    ACTIONS(9), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [91082] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91180] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_COMMA,
    ACTIONS(3448), 1,
      anon_sym_RBRACK,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [91232] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_identifier,
    ACTIONS(11), 1,
      anon_sym_import,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(15), 1,
      anon_sym_pragma,
    STATE(2748), 1,
      sym_ui_annotation,
    STATE(2749), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3985), 1,
      sym_ui_nested_identifier,
    STATE(4962), 2,
      sym_ui_object_definition,
      sym_ui_annotated_object,
    STATE(2699), 3,
      sym_ui_pragma,
      sym_ui_import,
      aux_sym_program_repeat1,
    ACTIONS(9), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [91294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5569), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5572), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [91342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5575), 1,
      sym_identifier,
    ACTIONS(3883), 15,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(3887), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [91390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5577), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5580), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [91438] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5583), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5586), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [91584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4656), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5589), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5592), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [91632] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91730] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5595), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3425), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [91786] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4079), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3475), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [91842] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4695), 1,
      anon_sym_LBRACK,
    ACTIONS(4698), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4113), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [91894] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4041), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3426), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [91950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4621), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4421), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [92002] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5597), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4730), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4732), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [92066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1592), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [92112] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4065), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3430), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [92168] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4181), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [92224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4660), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5600), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5603), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [92272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5606), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5609), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [92320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5612), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5615), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [92368] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4097), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3391), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [92424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1572), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5618), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5621), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [92472] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4085), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3443), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [92528] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4059), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3385), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [92584] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92682] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92780] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5624), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [92846] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92944] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [93020] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5140), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3419), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [93076] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4421), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4621), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [93130] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4021), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3362), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [93186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1614), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [93232] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [93322] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [93414] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93512] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5624), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [93584] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [93668] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [93754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5627), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3457), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [93810] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4577), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4579), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [93898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4131), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3481), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [93954] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5624), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [94024] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5624), 1,
      anon_sym_LT,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4577), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [94088] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5402), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [94144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(3883), 15,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(3887), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [94192] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4579), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [94272] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4577), 1,
      anon_sym_BANG,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4579), 3,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94366] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94464] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_DOT,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4489), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3884), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1686), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94562] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4137), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3372), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [94618] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4479), 1,
      anon_sym_as,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      anon_sym_LBRACK,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4785), 1,
      anon_sym_BANG,
    ACTIONS(5524), 1,
      anon_sym_LT,
    ACTIONS(5526), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5528), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5530), 1,
      anon_sym_GT_GT,
    ACTIONS(5534), 1,
      anon_sym_AMP,
    ACTIONS(5536), 1,
      anon_sym_CARET,
    ACTIONS(5538), 1,
      anon_sym_PIPE,
    ACTIONS(5542), 1,
      anon_sym_PERCENT,
    ACTIONS(5544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5552), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5554), 1,
      sym__ternary_qmark,
    STATE(3936), 1,
      sym_type_arguments,
    ACTIONS(4519), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5522), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5532), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5548), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5550), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2176), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5546), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [94764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3394), 1,
      anon_sym_LPAREN,
    STATE(2952), 1,
      sym_arguments,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [94814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(4695), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4698), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3262), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [94866] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_identifier,
    ACTIONS(11), 1,
      anon_sym_import,
    ACTIONS(13), 1,
      anon_sym_AT,
    ACTIONS(15), 1,
      anon_sym_pragma,
    STATE(2748), 1,
      sym_ui_annotation,
    STATE(2749), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3985), 1,
      sym_ui_nested_identifier,
    STATE(4989), 2,
      sym_ui_object_definition,
      sym_ui_annotated_object,
    STATE(2363), 3,
      sym_ui_pragma,
      sym_ui_import,
      aux_sym_program_repeat1,
    ACTIONS(9), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [94928] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5396), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [94984] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5631), 1,
      anon_sym_RBRACE,
    STATE(4366), 1,
      sym_enum_assignment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [95041] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5635), 1,
      anon_sym_RBRACE,
    STATE(4366), 1,
      sym_enum_assignment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [95098] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_RBRACE,
    STATE(4366), 1,
      sym_enum_assignment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [95155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_AT,
    ACTIONS(1526), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [95200] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5639), 1,
      anon_sym_RBRACE,
    STATE(4366), 1,
      sym_enum_assignment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [95257] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3969), 1,
      anon_sym_STAR,
    ACTIONS(3971), 1,
      anon_sym_async,
    ACTIONS(3975), 1,
      anon_sym_readonly,
    ACTIONS(5641), 1,
      anon_sym_static,
    STATE(2477), 1,
      sym_override_modifier,
    ACTIONS(3973), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3977), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2955), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [95324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3252), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3250), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [95369] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5643), 1,
      anon_sym_RBRACE,
    STATE(4115), 1,
      sym_enum_assignment,
    ACTIONS(5645), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3737), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [95426] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    ACTIONS(5649), 1,
      anon_sym_DOT,
    STATE(2557), 1,
      sym_statement_block,
    ACTIONS(1502), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1498), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [95477] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_EQ,
    ACTIONS(4475), 1,
      anon_sym_of,
    ACTIONS(5151), 1,
      anon_sym_in,
    ACTIONS(1420), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [95528] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5651), 1,
      anon_sym_RBRACE,
    STATE(4366), 1,
      sym_enum_assignment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [95585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3527), 1,
      anon_sym_EQ,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [95632] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3522), 1,
      anon_sym_in,
    ACTIONS(3525), 1,
      anon_sym_of,
    ACTIONS(3262), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [95683] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_EQ,
    ACTIONS(4666), 1,
      anon_sym_of,
    ACTIONS(5159), 1,
      anon_sym_in,
    ACTIONS(4455), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4459), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [95734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3296), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [95779] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5653), 1,
      anon_sym_RBRACE,
    STATE(4366), 1,
      sym_enum_assignment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [95836] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5655), 1,
      anon_sym_RBRACE,
    STATE(4366), 1,
      sym_enum_assignment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [95893] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5657), 1,
      anon_sym_RBRACE,
    STATE(4366), 1,
      sym_enum_assignment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [95950] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5659), 1,
      anon_sym_RBRACE,
    STATE(4366), 1,
      sym_enum_assignment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5058), 1,
      sym_regex_flags,
    ACTIONS(5054), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(5056), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [96054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_EQ,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [96101] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5661), 1,
      anon_sym_RBRACE,
    STATE(4366), 1,
      sym_enum_assignment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5663), 1,
      anon_sym_RBRACE,
    STATE(4366), 1,
      sym_enum_assignment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3266), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [96262] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5665), 1,
      anon_sym_RBRACE,
    STATE(4144), 1,
      sym_enum_assignment,
    ACTIONS(5667), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3573), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96319] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      anon_sym_EQ,
    ACTIONS(4549), 1,
      anon_sym_of,
    ACTIONS(5148), 1,
      anon_sym_in,
    ACTIONS(4543), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4547), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [96370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 1,
      anon_sym_finally,
    STATE(2534), 1,
      sym_finally_clause,
    ACTIONS(2313), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2311), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [96419] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(2090), 1,
      anon_sym_readonly,
    ACTIONS(2094), 1,
      anon_sym_override,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(5669), 1,
      anon_sym_static,
    STATE(2473), 1,
      sym_override_modifier,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96486] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3815), 1,
      anon_sym_readonly,
    ACTIONS(5671), 1,
      anon_sym_static,
    STATE(2456), 1,
      sym_override_modifier,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3312), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [96598] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5673), 1,
      anon_sym_RBRACE,
    STATE(4162), 1,
      sym_enum_assignment,
    ACTIONS(5675), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3786), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96655] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5677), 1,
      anon_sym_RBRACE,
    STATE(4366), 1,
      sym_enum_assignment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3304), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [96757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3294), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3292), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [96802] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3344), 1,
      anon_sym_override,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(5679), 1,
      anon_sym_static,
    ACTIONS(5681), 1,
      anon_sym_readonly,
    ACTIONS(5683), 1,
      anon_sym_abstract,
    STATE(2541), 1,
      sym_override_modifier,
    ACTIONS(4381), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3188), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3825), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5685), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [96910] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3989), 1,
      anon_sym_STAR,
    ACTIONS(3991), 1,
      anon_sym_async,
    ACTIONS(3995), 1,
      anon_sym_readonly,
    ACTIONS(3993), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3997), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2959), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96970] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(5687), 1,
      anon_sym_STAR,
    ACTIONS(5691), 1,
      anon_sym_readonly,
    ACTIONS(5689), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5693), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2925), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1779), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1777), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5695), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AT,
    ACTIONS(5697), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [97118] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4596), 1,
      anon_sym_readonly,
    ACTIONS(5699), 1,
      anon_sym_STAR,
    ACTIONS(5701), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5703), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2872), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97176] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_STAR,
    ACTIONS(5406), 1,
      anon_sym_async,
    ACTIONS(5705), 1,
      anon_sym_readonly,
    ACTIONS(5402), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5404), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97236] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3937), 1,
      anon_sym_STAR,
    ACTIONS(3939), 1,
      anon_sym_async,
    ACTIONS(3947), 1,
      anon_sym_readonly,
    ACTIONS(3941), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2927), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97296] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3969), 1,
      anon_sym_STAR,
    ACTIONS(3971), 1,
      anon_sym_async,
    ACTIONS(3975), 1,
      anon_sym_readonly,
    ACTIONS(3973), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3977), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2955), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2329), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [97400] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3979), 1,
      anon_sym_STAR,
    ACTIONS(3981), 1,
      anon_sym_async,
    ACTIONS(4013), 1,
      anon_sym_readonly,
    ACTIONS(3983), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3985), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97460] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4173), 1,
      anon_sym_STAR,
    ACTIONS(4175), 1,
      anon_sym_async,
    ACTIONS(5707), 1,
      anon_sym_readonly,
    ACTIONS(4177), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2968), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97520] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4083), 1,
      anon_sym_STAR,
    ACTIONS(4105), 1,
      anon_sym_async,
    ACTIONS(5709), 1,
      anon_sym_readonly,
    ACTIONS(4107), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4109), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2960), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97580] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4033), 1,
      anon_sym_STAR,
    ACTIONS(4045), 1,
      anon_sym_async,
    ACTIONS(5711), 1,
      anon_sym_readonly,
    ACTIONS(4047), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4049), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2953), 1,
      sym__automatic_semicolon,
    ACTIONS(1510), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1506), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [97686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2325), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2323), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [97730] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    STATE(4366), 1,
      sym_enum_assignment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3883), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      sym__automatic_semicolon,
    ACTIONS(1560), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1556), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [97830] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5136), 1,
      anon_sym_STAR,
    ACTIONS(5138), 1,
      anon_sym_async,
    ACTIONS(5142), 1,
      anon_sym_readonly,
    ACTIONS(5140), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5144), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3419), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5713), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AT,
    ACTIONS(5715), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [97934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2929), 1,
      sym__automatic_semicolon,
    ACTIONS(1692), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1688), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [97980] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(2088), 1,
      anon_sym_async,
    ACTIONS(2090), 1,
      anon_sym_readonly,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_STAR,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2092), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98040] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3949), 1,
      anon_sym_STAR,
    ACTIONS(3951), 1,
      anon_sym_async,
    ACTIONS(3955), 1,
      anon_sym_readonly,
    ACTIONS(3953), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2965), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2319), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2317), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [98144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5717), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AT,
    ACTIONS(5719), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [98188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AT,
    ACTIONS(5723), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [98232] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3805), 1,
      anon_sym_STAR,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3811), 1,
      anon_sym_async,
    ACTIONS(3815), 1,
      anon_sym_readonly,
    ACTIONS(3813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2953), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    ACTIONS(1682), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1678), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [98338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(2557), 1,
      sym_statement_block,
    ACTIONS(1502), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1498), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [98386] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4097), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3391), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98437] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4069), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3503), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98488] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4181), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98539] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(5725), 1,
      anon_sym_readonly,
    ACTIONS(4938), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3204), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4059), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3385), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98643] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4041), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3426), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2945), 1,
      sym__automatic_semicolon,
    ACTIONS(1540), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1536), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [98739] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4021), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3362), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 1,
      sym__automatic_semicolon,
    ACTIONS(1602), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1598), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [98835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 1,
      anon_sym_else,
    STATE(2538), 1,
      sym_else_clause,
    ACTIONS(2339), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2337), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [98882] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4079), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3475), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98933] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5595), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3425), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98984] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5515), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3409), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2639), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [99078] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5567), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3384), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2635), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [99172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2345), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2343), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [99215] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4065), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3430), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2357), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2355), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [99309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2361), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2359), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [99352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2657), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2655), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [99395] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4381), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3188), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2333), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [99489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2617), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2615), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [99532] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4596), 1,
      anon_sym_readonly,
    ACTIONS(4381), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3188), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99585] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5627), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3457), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2899), 1,
      sym__automatic_semicolon,
    ACTIONS(1520), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1516), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [99681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 1,
      sym__automatic_semicolon,
    ACTIONS(1702), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1698), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [99726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2427), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [99769] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4938), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3204), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2927), 1,
      sym__automatic_semicolon,
    ACTIONS(1642), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1638), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [99865] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(2020), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99916] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4297), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3428), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99967] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3446), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100018] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(3915), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2903), 1,
      sym__automatic_semicolon,
    ACTIONS(1550), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1546), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [100114] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4337), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2869), 1,
      sym__automatic_semicolon,
    ACTIONS(1570), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1566), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [100210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 1,
      sym__automatic_semicolon,
    ACTIONS(1670), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1666), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [100255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2395), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [100298] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4089), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3414), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2393), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2391), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [100392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 3,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1576), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [100435] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4085), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3443), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100486] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4137), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3372), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100537] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5480), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3376), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 3,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1586), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [100631] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5402), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2445), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2443), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [100725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2499), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [100768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2425), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2423), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [100811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1608), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [100854] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4375), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3513), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100905] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5140), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3419), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2453), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2451), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [100999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(5396), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [101050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2547), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101093] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4523), 1,
      anon_sym_readonly,
    ACTIONS(4337), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3320), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [101146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2633), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2631), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101189] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4029), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3367), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [101240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1664), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1662), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101283] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(3913), 1,
      anon_sym_LBRACK,
    ACTIONS(4131), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3481), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2086), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [101334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2587), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2487), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_AT,
    STATE(2548), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(2748), 1,
      sym_ui_annotation,
    ACTIONS(5729), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2493), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2491), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1664), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1662), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1608), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2166), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2170), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2176), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2174), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2150), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2148), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2144), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1630), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1580), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1650), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1650), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [101968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2665), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2663), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2479), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2477), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2475), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2469), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2467), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2463), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2459), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2455), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2497), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2495), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2449), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2447), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2441), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2439), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2383), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2437), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2435), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2667), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2505), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2503), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2379), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2375), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2373), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2371), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2367), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2363), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2699), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2653), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2651), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2421), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2419), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2405), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2403), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2627), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [102976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2677), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2675), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2691), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2417), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2415), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2411), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2409), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2407), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2487), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2559), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2565), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2563), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2569), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2567), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2569), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2567), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2571), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2351), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2575), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2579), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2583), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2587), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2587), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [103984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2661), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2659), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2593), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2591), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2597), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2595), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2599), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2603), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2607), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2607), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2613), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2611), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2619), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2623), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2623), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2553), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2551), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [104992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2539), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2537), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2535), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2531), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2529), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2527), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2485), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2483), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2473), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2471), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2431), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2401), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2399), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2487), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2671), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2681), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2679), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2683), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2687), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2695), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2703), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2703), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2703), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2347), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [105958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2387), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2649), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2647), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2645), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2643), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2543), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2543), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2525), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2523), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2519), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2517), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2515), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2517), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2515), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2487), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [106966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2555), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2513), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2511), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2509), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2507), 32,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5734), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5738), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5742), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5748), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5746), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107256] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2056), 1,
      anon_sym_import,
    ACTIONS(2060), 1,
      anon_sym_let,
    ACTIONS(2062), 1,
      anon_sym_const,
    ACTIONS(2070), 1,
      anon_sym_class,
    ACTIONS(2080), 1,
      anon_sym_abstract,
    ACTIONS(2082), 1,
      anon_sym_interface,
    ACTIONS(2084), 1,
      anon_sym_enum,
    ACTIONS(2096), 1,
      anon_sym_type,
    ACTIONS(2116), 1,
      anon_sym_var,
    ACTIONS(2154), 1,
      anon_sym_namespace,
    ACTIONS(2158), 1,
      anon_sym_async,
    ACTIONS(2160), 1,
      anon_sym_function,
    ACTIONS(2162), 1,
      anon_sym_declare,
    ACTIONS(2198), 1,
      anon_sym_module,
    ACTIONS(2200), 1,
      anon_sym_global,
    STATE(729), 1,
      sym_declaration,
    STATE(812), 1,
      sym_internal_module,
    STATE(1140), 1,
      sym_decorator,
    STATE(3534), 1,
      aux_sym_export_statement_repeat1,
    STATE(735), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [107335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5752), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5750), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5754), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5758), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5762), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5766), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5770), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5776), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5774), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5778), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5782), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107704] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2052), 1,
      anon_sym_namespace,
    ACTIONS(2056), 1,
      anon_sym_import,
    ACTIONS(2058), 1,
      anon_sym_var,
    ACTIONS(2060), 1,
      anon_sym_let,
    ACTIONS(2062), 1,
      anon_sym_const,
    ACTIONS(2070), 1,
      anon_sym_class,
    ACTIONS(2072), 1,
      anon_sym_async,
    ACTIONS(2074), 1,
      anon_sym_function,
    ACTIONS(2076), 1,
      anon_sym_declare,
    ACTIONS(2080), 1,
      anon_sym_abstract,
    ACTIONS(2082), 1,
      anon_sym_interface,
    ACTIONS(2084), 1,
      anon_sym_enum,
    ACTIONS(2096), 1,
      anon_sym_type,
    ACTIONS(2098), 1,
      anon_sym_module,
    ACTIONS(2100), 1,
      anon_sym_global,
    STATE(729), 1,
      sym_declaration,
    STATE(812), 1,
      sym_internal_module,
    STATE(1140), 1,
      sym_decorator,
    STATE(3534), 1,
      aux_sym_export_statement_repeat1,
    STATE(735), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [107783] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2052), 1,
      anon_sym_namespace,
    ACTIONS(2056), 1,
      anon_sym_import,
    ACTIONS(2058), 1,
      anon_sym_var,
    ACTIONS(2060), 1,
      anon_sym_let,
    ACTIONS(2062), 1,
      anon_sym_const,
    ACTIONS(2070), 1,
      anon_sym_class,
    ACTIONS(2072), 1,
      anon_sym_async,
    ACTIONS(2074), 1,
      anon_sym_function,
    ACTIONS(2076), 1,
      anon_sym_declare,
    ACTIONS(2078), 1,
      anon_sym_module,
    ACTIONS(2080), 1,
      anon_sym_abstract,
    ACTIONS(2082), 1,
      anon_sym_interface,
    ACTIONS(2084), 1,
      anon_sym_enum,
    ACTIONS(2096), 1,
      anon_sym_type,
    ACTIONS(5786), 1,
      anon_sym_default,
    STATE(719), 1,
      sym_declaration,
    STATE(812), 1,
      sym_internal_module,
    STATE(1140), 1,
      sym_decorator,
    STATE(3534), 1,
      aux_sym_export_statement_repeat1,
    STATE(735), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [107862] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5790), 1,
      anon_sym_import,
    ACTIONS(5793), 1,
      anon_sym_AT,
    ACTIONS(5795), 1,
      anon_sym_pragma,
    STATE(2699), 3,
      sym_ui_pragma,
      sym_ui_import,
      aux_sym_program_repeat1,
    ACTIONS(5788), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [107909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5800), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5798), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5804), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5802), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [107991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5808), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5806), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108032] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2112), 1,
      anon_sym_namespace,
    ACTIONS(2114), 1,
      anon_sym_import,
    ACTIONS(2116), 1,
      anon_sym_var,
    ACTIONS(2118), 1,
      anon_sym_let,
    ACTIONS(2120), 1,
      anon_sym_const,
    ACTIONS(2124), 1,
      anon_sym_class,
    ACTIONS(2126), 1,
      anon_sym_async,
    ACTIONS(2128), 1,
      anon_sym_function,
    ACTIONS(2130), 1,
      anon_sym_declare,
    ACTIONS(2134), 1,
      anon_sym_abstract,
    ACTIONS(2136), 1,
      anon_sym_interface,
    ACTIONS(2138), 1,
      anon_sym_enum,
    ACTIONS(2178), 1,
      anon_sym_type,
    ACTIONS(2180), 1,
      anon_sym_module,
    ACTIONS(2182), 1,
      anon_sym_global,
    STATE(1140), 1,
      sym_decorator,
    STATE(2560), 1,
      sym_internal_module,
    STATE(2582), 1,
      sym_declaration,
    STATE(3670), 1,
      aux_sym_export_statement_repeat1,
    STATE(2559), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [108111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5812), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5810), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5742), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108193] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2112), 1,
      anon_sym_namespace,
    ACTIONS(2114), 1,
      anon_sym_import,
    ACTIONS(2116), 1,
      anon_sym_var,
    ACTIONS(2118), 1,
      anon_sym_let,
    ACTIONS(2120), 1,
      anon_sym_const,
    ACTIONS(2124), 1,
      anon_sym_class,
    ACTIONS(2126), 1,
      anon_sym_async,
    ACTIONS(2128), 1,
      anon_sym_function,
    ACTIONS(2130), 1,
      anon_sym_declare,
    ACTIONS(2132), 1,
      anon_sym_module,
    ACTIONS(2134), 1,
      anon_sym_abstract,
    ACTIONS(2136), 1,
      anon_sym_interface,
    ACTIONS(2138), 1,
      anon_sym_enum,
    ACTIONS(2178), 1,
      anon_sym_type,
    ACTIONS(5814), 1,
      anon_sym_default,
    STATE(1140), 1,
      sym_decorator,
    STATE(2560), 1,
      sym_internal_module,
    STATE(2640), 1,
      sym_declaration,
    STATE(3670), 1,
      aux_sym_export_statement_repeat1,
    STATE(2559), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [108272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5818), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5816), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5820), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5826), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5824), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5828), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5832), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5838), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5836), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5840), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5844), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5848), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5852), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5856), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5860), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5864), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5742), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5742), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [108887] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2056), 1,
      anon_sym_import,
    ACTIONS(2060), 1,
      anon_sym_let,
    ACTIONS(2062), 1,
      anon_sym_const,
    ACTIONS(2070), 1,
      anon_sym_class,
    ACTIONS(2080), 1,
      anon_sym_abstract,
    ACTIONS(2082), 1,
      anon_sym_interface,
    ACTIONS(2084), 1,
      anon_sym_enum,
    ACTIONS(2096), 1,
      anon_sym_type,
    ACTIONS(2116), 1,
      anon_sym_var,
    ACTIONS(2154), 1,
      anon_sym_namespace,
    ACTIONS(2158), 1,
      anon_sym_async,
    ACTIONS(2160), 1,
      anon_sym_function,
    ACTIONS(2162), 1,
      anon_sym_declare,
    ACTIONS(2164), 1,
      anon_sym_module,
    ACTIONS(5868), 1,
      anon_sym_default,
    STATE(719), 1,
      sym_declaration,
    STATE(812), 1,
      sym_internal_module,
    STATE(1140), 1,
      sym_decorator,
    STATE(3534), 1,
      aux_sym_export_statement_repeat1,
    STATE(735), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [108966] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2223), 1,
      anon_sym_type,
    ACTIONS(2225), 1,
      anon_sym_namespace,
    ACTIONS(2227), 1,
      anon_sym_import,
    ACTIONS(2229), 1,
      anon_sym_var,
    ACTIONS(2231), 1,
      anon_sym_let,
    ACTIONS(2233), 1,
      anon_sym_const,
    ACTIONS(2235), 1,
      anon_sym_class,
    ACTIONS(2237), 1,
      anon_sym_async,
    ACTIONS(2239), 1,
      anon_sym_function,
    ACTIONS(2241), 1,
      anon_sym_declare,
    ACTIONS(2243), 1,
      anon_sym_module,
    ACTIONS(2245), 1,
      anon_sym_abstract,
    ACTIONS(2247), 1,
      anon_sym_global,
    ACTIONS(2249), 1,
      anon_sym_interface,
    ACTIONS(2251), 1,
      anon_sym_enum,
    STATE(1140), 1,
      sym_decorator,
    STATE(3674), 1,
      sym_internal_module,
    STATE(3677), 1,
      sym_declaration,
    STATE(3758), 1,
      aux_sym_export_statement_repeat1,
    STATE(3652), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [109045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5872), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5870), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5742), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5874), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5880), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5878), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5884), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5882), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5742), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5886), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5892), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5890), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5742), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5896), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5894), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5898), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5904), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5902), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5906), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109578] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(2223), 1,
      anon_sym_type,
    ACTIONS(2225), 1,
      anon_sym_namespace,
    ACTIONS(2227), 1,
      anon_sym_import,
    ACTIONS(2229), 1,
      anon_sym_var,
    ACTIONS(2231), 1,
      anon_sym_let,
    ACTIONS(2233), 1,
      anon_sym_const,
    ACTIONS(2235), 1,
      anon_sym_class,
    ACTIONS(2237), 1,
      anon_sym_async,
    ACTIONS(2239), 1,
      anon_sym_function,
    ACTIONS(2241), 1,
      anon_sym_declare,
    ACTIONS(2245), 1,
      anon_sym_abstract,
    ACTIONS(2249), 1,
      anon_sym_interface,
    ACTIONS(2251), 1,
      anon_sym_enum,
    ACTIONS(3764), 1,
      anon_sym_module,
    ACTIONS(5910), 1,
      anon_sym_default,
    STATE(1140), 1,
      sym_decorator,
    STATE(3674), 1,
      sym_internal_module,
    STATE(3730), 1,
      sym_declaration,
    STATE(3758), 1,
      aux_sym_export_statement_repeat1,
    STATE(3652), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [109657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5914), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5912), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5918), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5916), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5922), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5920), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5742), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5742), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5742), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5926), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5924), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5930), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(5928), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [109985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5934), 1,
      anon_sym_AT,
    ACTIONS(5932), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [110025] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(5936), 1,
      sym_identifier,
    ACTIONS(5940), 1,
      anon_sym_default,
    ACTIONS(5942), 1,
      anon_sym_COLON,
    ACTIONS(5944), 1,
      anon_sym_DOT,
    ACTIONS(5949), 1,
      anon_sym_on,
    STATE(2474), 1,
      sym_ui_object_initializer,
    ACTIONS(5946), 3,
      anon_sym_readonly,
      anon_sym_property,
      anon_sym_required,
    ACTIONS(5938), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_signal,
      anon_sym_component,
  [110079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 1,
      anon_sym_AT,
    ACTIONS(5951), 31,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [110119] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_AT,
    STATE(2548), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(2748), 1,
      sym_ui_annotation,
    STATE(3985), 1,
      sym_ui_nested_identifier,
    STATE(4963), 1,
      sym_ui_object_definition,
    ACTIONS(9), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5957), 1,
      anon_sym_AT,
    ACTIONS(5955), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [110207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 1,
      anon_sym_AT,
    ACTIONS(5959), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [110245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 1,
      anon_sym_AT,
    ACTIONS(5963), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [110283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_AT,
    ACTIONS(5967), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [110321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 1,
      anon_sym_AT,
    ACTIONS(5971), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [110359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5975), 1,
      sym_identifier,
    STATE(4014), 1,
      sym_ui_nested_identifier,
    ACTIONS(5979), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5977), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5983), 1,
      anon_sym_AT,
    ACTIONS(5981), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [110439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_identifier,
    STATE(2695), 1,
      sym_ui_object_definition,
    STATE(3985), 1,
      sym_ui_nested_identifier,
    ACTIONS(9), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_identifier,
    STATE(3985), 1,
      sym_ui_nested_identifier,
    STATE(4387), 1,
      sym_ui_object_definition,
    ACTIONS(9), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 1,
      sym_identifier,
    STATE(4874), 1,
      sym_mapped_type_clause,
    ACTIONS(5987), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5975), 1,
      sym_identifier,
    STATE(4014), 1,
      sym_ui_nested_identifier,
    ACTIONS(5977), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 1,
      sym_identifier,
    STATE(4034), 1,
      sym_ui_nested_identifier,
    ACTIONS(5991), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5993), 1,
      sym_identifier,
    ACTIONS(5997), 1,
      anon_sym_DOT,
    ACTIONS(5995), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5997), 1,
      anon_sym_DOT,
    ACTIONS(5999), 1,
      sym_identifier,
    ACTIONS(6001), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6003), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6007), 1,
      sym_identifier,
    ACTIONS(6009), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6011), 1,
      sym_identifier,
    ACTIONS(6013), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110847] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(3408), 1,
      anon_sym_LBRACK,
    ACTIONS(3410), 1,
      anon_sym_DOT,
    ACTIONS(3412), 1,
      anon_sym_QMARK_DOT,
    STATE(2809), 1,
      sym_arguments,
    ACTIONS(3402), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3392), 12,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [110884] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(6015), 1,
      anon_sym_LBRACK,
    ACTIONS(6017), 1,
      anon_sym_DOT,
    ACTIONS(6019), 1,
      anon_sym_QMARK_DOT,
    STATE(2810), 1,
      sym_arguments,
    ACTIONS(4147), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4149), 12,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [110921] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    ACTIONS(6021), 1,
      anon_sym_LBRACK,
    ACTIONS(6023), 1,
      anon_sym_DOT,
    ACTIONS(6025), 1,
      anon_sym_QMARK_DOT,
    STATE(2811), 1,
      sym_arguments,
    ACTIONS(4157), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4159), 12,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [110958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4223), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [110984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4247), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4203), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4189), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4191), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4205), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4207), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4289), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4291), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4231), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4233), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4199), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4199), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4225), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4227), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4241), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4243), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4241), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4243), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4289), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4291), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4187), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4187), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4187), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4203), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4247), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4223), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4217), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4219), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4261), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4263), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4223), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 1,
      anon_sym_PIPE,
    ACTIONS(1578), 17,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
      aux_sym_ui_version_specifier_token1,
  [111556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4199), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4193), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4195), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4193), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4195), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4193), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4195), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4249), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4251), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4261), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4263), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4241), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4243), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111738] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3959), 1,
      anon_sym_EQ,
    ACTIONS(5997), 1,
      anon_sym_DOT,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6029), 1,
      anon_sym_is,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3384), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [111772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4345), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4345), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4249), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4251), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4189), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4191), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 1,
      anon_sym_PIPE,
    ACTIONS(1588), 17,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
      aux_sym_ui_version_specifier_token1,
  [111902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4345), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6031), 1,
      anon_sym_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_DOT,
    ACTIONS(6035), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4401), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4403), 12,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4303), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4305), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4371), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4373), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [112009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4411), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4413), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [112034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3298), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [112059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3306), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [112084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3294), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [112109] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3959), 1,
      anon_sym_EQ,
    ACTIONS(5997), 1,
      anon_sym_DOT,
    ACTIONS(6027), 1,
      anon_sym_LT,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3384), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 1,
      anon_sym_EQ,
    ACTIONS(6027), 1,
      anon_sym_LT,
    STATE(2833), 1,
      sym_type_arguments,
    ACTIONS(4103), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 1,
      anon_sym_EQ,
    ACTIONS(6029), 1,
      anon_sym_is,
    ACTIONS(4113), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [112214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [112235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4451), 1,
      anon_sym_EQ,
    ACTIONS(4453), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 1,
      anon_sym_EQ,
    ACTIONS(4103), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [112302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4325), 1,
      anon_sym_EQ,
    ACTIONS(6043), 1,
      anon_sym_LBRACK,
    ACTIONS(4327), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_EQ,
    ACTIONS(4275), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    ACTIONS(4365), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    ACTIONS(4353), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4293), 1,
      anon_sym_EQ,
    ACTIONS(4295), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_EQ,
    ACTIONS(4271), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4253), 1,
      anon_sym_EQ,
    ACTIONS(4255), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4319), 1,
      anon_sym_EQ,
    ACTIONS(6043), 1,
      anon_sym_LBRACK,
    ACTIONS(4327), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4321), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [112492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_EQ,
    ACTIONS(4331), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_EQ,
    ACTIONS(6043), 1,
      anon_sym_LBRACK,
    ACTIONS(4335), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym_EQ,
    ACTIONS(4469), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4265), 1,
      anon_sym_EQ,
    ACTIONS(4267), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_EQ,
    ACTIONS(4287), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4311), 1,
      anon_sym_EQ,
    ACTIONS(4313), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 1,
      anon_sym_EQ,
    ACTIONS(4113), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6045), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [112676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4419), 1,
      anon_sym_EQ,
    ACTIONS(4421), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_EQ,
    ACTIONS(1728), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_EQ,
    ACTIONS(4429), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4415), 1,
      anon_sym_EQ,
    ACTIONS(4417), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4377), 1,
      anon_sym_EQ,
    ACTIONS(4379), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4355), 1,
      anon_sym_EQ,
    ACTIONS(4357), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4299), 1,
      anon_sym_EQ,
    ACTIONS(4301), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4277), 1,
      anon_sym_EQ,
    ACTIONS(4279), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4359), 1,
      anon_sym_EQ,
    ACTIONS(4361), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [112883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6047), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [112904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [112925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6051), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [112946] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3394), 1,
      anon_sym_LPAREN,
    ACTIONS(3396), 1,
      anon_sym_LBRACK,
    ACTIONS(3398), 1,
      anon_sym_DOT,
    ACTIONS(3400), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3402), 1,
      anon_sym_PIPE,
    STATE(2952), 1,
      sym_arguments,
    ACTIONS(3392), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [112979] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3394), 1,
      anon_sym_LPAREN,
    ACTIONS(4147), 1,
      anon_sym_PIPE,
    ACTIONS(6053), 1,
      anon_sym_LBRACK,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      anon_sym_QMARK_DOT,
    STATE(2951), 1,
      sym_arguments,
    ACTIONS(4149), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [113012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4339), 1,
      anon_sym_EQ,
    ACTIONS(4341), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [113035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4471), 1,
      anon_sym_EQ,
    ACTIONS(4473), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [113058] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3394), 1,
      anon_sym_LPAREN,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(6059), 1,
      anon_sym_LBRACK,
    ACTIONS(6061), 1,
      anon_sym_DOT,
    ACTIONS(6063), 1,
      anon_sym_QMARK_DOT,
    STATE(2970), 1,
      sym_arguments,
    ACTIONS(4159), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [113091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 1,
      anon_sym_EQ,
    ACTIONS(4369), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [113114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [113135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4423), 1,
      anon_sym_EQ,
    ACTIONS(4425), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [113158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6067), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [113179] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3959), 1,
      anon_sym_PIPE,
    ACTIONS(6069), 1,
      anon_sym_LT,
    ACTIONS(6071), 1,
      anon_sym_DOT,
    ACTIONS(6073), 1,
      anon_sym_is,
    STATE(3050), 1,
      sym_type_arguments,
    ACTIONS(3384), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [113210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 1,
      anon_sym_PIPE,
    ACTIONS(4345), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [113232] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6077), 1,
      sym_number,
    STATE(4758), 1,
      sym_predefined_type,
    STATE(4870), 1,
      sym_string,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113262] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6079), 1,
      sym_number,
    STATE(4652), 1,
      sym_string,
    STATE(4658), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113292] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6081), 1,
      sym_number,
    STATE(4636), 1,
      sym_string,
    STATE(4645), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6083), 1,
      sym_number,
    STATE(4634), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113350] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6085), 1,
      sym_number,
    STATE(4673), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113378] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6087), 1,
      sym_number,
    STATE(4687), 1,
      sym_string,
    STATE(4701), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113408] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3959), 1,
      anon_sym_PIPE,
    ACTIONS(6069), 1,
      anon_sym_LT,
    ACTIONS(6071), 1,
      anon_sym_DOT,
    STATE(3050), 1,
      sym_type_arguments,
    ACTIONS(3384), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [113436] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6089), 1,
      sym_number,
    STATE(4944), 1,
      sym_predefined_type,
    STATE(4945), 1,
      sym_string,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113466] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6091), 1,
      sym_number,
    STATE(4711), 1,
      sym_string,
    STATE(4712), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113496] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4307), 1,
      anon_sym_EQ,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(4309), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [113524] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6103), 1,
      anon_sym_BANG,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6107), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3829), 1,
      sym_type_annotation,
    STATE(4243), 1,
      sym__initializer,
    STATE(4249), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6101), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113566] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6109), 1,
      sym_number,
    STATE(4867), 1,
      sym_string,
    STATE(4871), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_PIPE,
    ACTIONS(4199), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [113618] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      sym_number,
    STATE(4857), 1,
      sym_string,
    STATE(4860), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113648] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6103), 1,
      anon_sym_BANG,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    ACTIONS(6115), 1,
      anon_sym_QMARK,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3441), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_annotation,
    STATE(4192), 1,
      sym__initializer,
    STATE(4379), 1,
      sym_type_parameters,
    ACTIONS(6101), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4339), 1,
      anon_sym_EQ,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(4341), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [113718] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6117), 1,
      sym_number,
    STATE(4726), 1,
      sym_string,
    STATE(4731), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113748] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6119), 1,
      sym_number,
    STATE(4829), 1,
      sym_string,
    STATE(4834), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6121), 1,
      sym_number,
    STATE(4781), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_PIPE,
    ACTIONS(4199), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [113828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4241), 1,
      anon_sym_PIPE,
    ACTIONS(4243), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [113850] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6123), 1,
      sym_number,
    STATE(4750), 1,
      sym_string,
    STATE(4776), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113880] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6125), 1,
      sym_number,
    STATE(4715), 1,
      sym_string,
    STATE(4717), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113910] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6127), 1,
      sym_number,
    STATE(4703), 1,
      sym_string,
    STATE(4705), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_PIPE,
    ACTIONS(4195), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [113962] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6129), 1,
      sym_number,
    STATE(4699), 1,
      sym_string,
    STATE(4700), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [113992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_PIPE,
    ACTIONS(4223), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114014] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6131), 1,
      sym_number,
    STATE(4628), 1,
      sym_string,
    STATE(4631), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [114044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6133), 1,
      sym_number,
    STATE(4697), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [114072] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6135), 1,
      sym_number,
    STATE(4686), 1,
      sym_string,
    STATE(4928), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [114102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_PIPE,
    ACTIONS(4207), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4231), 1,
      anon_sym_PIPE,
    ACTIONS(4233), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6137), 1,
      sym_number,
    STATE(4736), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [114174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4217), 1,
      anon_sym_PIPE,
    ACTIONS(4219), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_PIPE,
    ACTIONS(4203), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4189), 1,
      anon_sym_PIPE,
    ACTIONS(4191), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_PIPE,
    ACTIONS(4203), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4189), 1,
      anon_sym_PIPE,
    ACTIONS(4191), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_PIPE,
    ACTIONS(4195), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4289), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_EQ,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(4349), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [114352] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    ACTIONS(6141), 1,
      anon_sym_BANG,
    ACTIONS(6143), 1,
      anon_sym_QMARK,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3378), 1,
      sym__call_signature,
    STATE(3719), 1,
      sym_type_annotation,
    STATE(4150), 1,
      sym__initializer,
    STATE(4379), 1,
      sym_type_parameters,
    ACTIONS(6139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(4317), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [114422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_EQ,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(4211), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [114448] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    ACTIONS(6147), 1,
      anon_sym_BANG,
    ACTIONS(6149), 1,
      anon_sym_QMARK,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3424), 1,
      sym__call_signature,
    STATE(3814), 1,
      sym_type_annotation,
    STATE(4245), 1,
      sym__initializer,
    STATE(4379), 1,
      sym_type_parameters,
    ACTIONS(6145), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 1,
      anon_sym_PIPE,
    ACTIONS(4247), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114512] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6151), 1,
      sym_number,
    STATE(4664), 1,
      sym_string,
    STATE(4666), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [114542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4289), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_PIPE,
    ACTIONS(4195), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 1,
      anon_sym_PIPE,
    ACTIONS(4247), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4249), 1,
      anon_sym_PIPE,
    ACTIONS(4251), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_PIPE,
    ACTIONS(4199), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_PIPE,
    ACTIONS(4223), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_PIPE,
    ACTIONS(4223), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4261), 1,
      anon_sym_PIPE,
    ACTIONS(4263), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_PIPE,
    ACTIONS(4187), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_PIPE,
    ACTIONS(4187), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_PIPE,
    ACTIONS(4187), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4241), 1,
      anon_sym_PIPE,
    ACTIONS(4243), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4249), 1,
      anon_sym_PIPE,
    ACTIONS(4251), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6153), 1,
      sym_number,
    STATE(4786), 1,
      sym_string,
    STATE(4789), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [114858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4241), 1,
      anon_sym_PIPE,
    ACTIONS(4243), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4261), 1,
      anon_sym_PIPE,
    ACTIONS(4263), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [114902] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6157), 1,
      anon_sym_BANG,
    ACTIONS(6159), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3606), 1,
      sym_type_annotation,
    STATE(4024), 1,
      sym__initializer,
    STATE(4025), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6155), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114944] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6161), 1,
      sym_number,
    STATE(4947), 1,
      sym_predefined_type,
    STATE(4948), 1,
      sym_string,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [114974] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    ACTIONS(6157), 1,
      anon_sym_BANG,
    ACTIONS(6163), 1,
      anon_sym_QMARK,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3508), 1,
      sym__call_signature,
    STATE(3606), 1,
      sym_type_annotation,
    STATE(4029), 1,
      sym__initializer,
    STATE(4379), 1,
      sym_type_parameters,
    ACTIONS(6155), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115016] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      sym_number,
    STATE(4955), 1,
      sym_predefined_type,
    STATE(4961), 1,
      sym_string,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6167), 1,
      sym_number,
    STATE(4997), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4281), 1,
      anon_sym_EQ,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(4283), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [115098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6169), 1,
      sym_number,
    STATE(4755), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115126] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6171), 1,
      sym_number,
    STATE(4694), 1,
      sym_string,
    STATE(4695), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115156] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4355), 1,
      anon_sym_EQ,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(4357), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [115184] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6173), 1,
      sym_number,
    STATE(4966), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 1,
      anon_sym_PIPE,
    ACTIONS(4345), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [115234] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6175), 1,
      sym_number,
    STATE(4682), 1,
      sym_string,
    STATE(4689), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115264] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6177), 1,
      sym_number,
    STATE(4678), 1,
      sym_string,
    STATE(4679), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115294] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6179), 1,
      sym_number,
    STATE(4674), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115322] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    ACTIONS(6183), 1,
      anon_sym_BANG,
    ACTIONS(6185), 1,
      anon_sym_QMARK,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3403), 1,
      sym__call_signature,
    STATE(3673), 1,
      sym_type_annotation,
    STATE(4189), 1,
      sym__initializer,
    STATE(4379), 1,
      sym_type_parameters,
    ACTIONS(6181), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115364] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6187), 1,
      sym_number,
    STATE(4797), 1,
      sym_string,
    STATE(4803), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_PIPE,
    ACTIONS(4227), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [115416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 1,
      anon_sym_PIPE,
    ACTIONS(4345), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [115438] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6189), 1,
      sym_number,
    STATE(4984), 1,
      sym_predefined_type,
    STATE(4985), 1,
      sym_string,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115468] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6191), 1,
      sym_number,
    STATE(4792), 1,
      sym_string,
    STATE(4794), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115498] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6193), 1,
      sym_number,
    STATE(4976), 1,
      sym_predefined_type,
    STATE(4979), 1,
      sym_string,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115528] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6195), 1,
      sym_number,
    STATE(4788), 1,
      sym_string,
    STATE(4790), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115558] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6197), 1,
      sym_number,
    STATE(4766), 1,
      sym_string,
    STATE(4771), 1,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6199), 1,
      sym_number,
    STATE(4770), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115616] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6201), 1,
      sym_number,
    STATE(4972), 1,
      sym_predefined_type,
    STATE(4973), 1,
      sym_string,
    ACTIONS(6075), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [115646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      anon_sym_LT,
    ACTIONS(6205), 1,
      anon_sym_DOT,
    ACTIONS(6207), 1,
      anon_sym_is,
    STATE(3131), 1,
      sym_type_arguments,
    ACTIONS(3384), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [115673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4371), 1,
      anon_sym_PIPE,
    ACTIONS(4373), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [115694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4303), 1,
      anon_sym_PIPE,
    ACTIONS(4305), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [115715] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6211), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3277), 1,
      sym__call_signature,
    STATE(3707), 1,
      sym_type_annotation,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6209), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115750] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5997), 1,
      anon_sym_DOT,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6213), 1,
      anon_sym_EQ,
    ACTIONS(6218), 1,
      anon_sym_COLON,
    ACTIONS(6220), 1,
      anon_sym_extends,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(3955), 1,
      sym_constraint,
    STATE(4581), 1,
      sym_default_type,
    ACTIONS(6215), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(3384), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [115787] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3707), 1,
      sym_type_annotation,
    STATE(3709), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6209), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115822] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6227), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3686), 1,
      sym_type_annotation,
    STATE(3687), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6225), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115857] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 1,
      anon_sym_LPAREN,
    ACTIONS(6231), 1,
      anon_sym_LBRACK,
    ACTIONS(6233), 1,
      anon_sym_DOT,
    ACTIONS(6235), 1,
      anon_sym_QMARK_DOT,
    STATE(3072), 1,
      sym_arguments,
    ACTIONS(3392), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [115886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4401), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_LBRACK,
    ACTIONS(6239), 1,
      anon_sym_DOT,
    ACTIONS(6241), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4403), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [115913] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6245), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3332), 1,
      sym__call_signature,
    STATE(3589), 1,
      sym_type_annotation,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6243), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115948] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6249), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3299), 1,
      sym__call_signature,
    STATE(3748), 1,
      sym_type_annotation,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6247), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 1,
      anon_sym_PIPE,
    ACTIONS(3306), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [116004] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 1,
      anon_sym_LPAREN,
    ACTIONS(6251), 1,
      anon_sym_LBRACK,
    ACTIONS(6253), 1,
      anon_sym_DOT,
    ACTIONS(6255), 1,
      anon_sym_QMARK_DOT,
    STATE(3073), 1,
      sym_arguments,
    ACTIONS(4149), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116033] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 1,
      anon_sym_LPAREN,
    ACTIONS(6257), 1,
      anon_sym_LBRACK,
    ACTIONS(6259), 1,
      anon_sym_DOT,
    ACTIONS(6261), 1,
      anon_sym_QMARK_DOT,
    STATE(3074), 1,
      sym_arguments,
    ACTIONS(4159), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116062] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6265), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3764), 1,
      sym__call_signature,
    STATE(3765), 1,
      sym_type_annotation,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6263), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116097] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6267), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3588), 1,
      sym__call_signature,
    STATE(3589), 1,
      sym_type_annotation,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6243), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116132] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6269), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3312), 1,
      sym__call_signature,
    STATE(3686), 1,
      sym_type_annotation,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6225), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_PIPE,
    ACTIONS(3298), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [116188] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6271), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3748), 1,
      sym_type_annotation,
    STATE(3750), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6247), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116223] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6273), 1,
      anon_sym_COLON,
    ACTIONS(6275), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3273), 1,
      sym__call_signature,
    STATE(3765), 1,
      sym_type_annotation,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6263), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4411), 1,
      anon_sym_PIPE,
    ACTIONS(4413), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [116279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 1,
      anon_sym_PIPE,
    ACTIONS(6069), 1,
      anon_sym_LT,
    STATE(3058), 1,
      sym_type_arguments,
    ACTIONS(4103), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [116304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_PIPE,
    ACTIONS(3294), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [116325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_DOT,
    ACTIONS(4438), 1,
      anon_sym_PIPE,
    ACTIONS(4440), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [116348] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3752), 1,
      sym_type_annotation,
    STATE(3753), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6277), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4187), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4247), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4263), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116470] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [116498] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3525), 1,
      sym__call_signature,
    STATE(3582), 1,
      sym_type_annotation,
    STATE(4018), 1,
      sym__initializer,
    STATE(4379), 1,
      sym_type_parameters,
    ACTIONS(6279), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [116534] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3772), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [116562] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3690), 1,
      sym_type_annotation,
    STATE(3691), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6281), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4263), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116612] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_COLON,
    ACTIONS(5997), 1,
      anon_sym_DOT,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK,
    STATE(2829), 1,
      sym_type_arguments,
    STATE(4344), 1,
      sym_type_annotation,
    ACTIONS(3384), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 1,
      anon_sym_PIPE,
    ACTIONS(6073), 1,
      anon_sym_is,
    ACTIONS(4113), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [116664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4227), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4243), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116700] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3284), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_annotation,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6286), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116732] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3766), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [116760] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3373), 1,
      sym__call_signature,
    STATE(3727), 1,
      sym_type_annotation,
    STATE(4208), 1,
      sym__initializer,
    STATE(4379), 1,
      sym_type_parameters,
    ACTIONS(6288), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [116796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4243), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4243), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116832] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3657), 1,
      sym_type_annotation,
    STATE(3675), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6290), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4187), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116882] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3302), 1,
      sym__call_signature,
    STATE(3690), 1,
      sym_type_annotation,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6281), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4219), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3655), 1,
      sym_type_annotation,
    STATE(3656), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6292), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116964] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3590), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_annotation,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6286), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116996] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3727), 1,
      sym_type_annotation,
    STATE(4200), 1,
      sym__initializer,
    STATE(4201), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6288), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117032] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3392), 1,
      sym__call_signature,
    STATE(3679), 1,
      sym_type_annotation,
    STATE(4194), 1,
      sym__initializer,
    STATE(4379), 1,
      sym_type_parameters,
    ACTIONS(6294), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4187), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4233), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4223), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4223), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4203), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4191), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4203), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4191), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117212] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3233), 1,
      sym__call_signature,
    STATE(3752), 1,
      sym_type_annotation,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6277), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117244] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3778), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [117272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4291), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4247), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4345), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4345), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4345), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4223), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4195), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4195), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4291), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4195), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4199), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4199), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117488] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3458), 1,
      sym__call_signature,
    STATE(3641), 1,
      sym_type_annotation,
    STATE(4158), 1,
      sym__initializer,
    STATE(4379), 1,
      sym_type_parameters,
    ACTIONS(6296), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117524] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3279), 1,
      sym__call_signature,
    STATE(3657), 1,
      sym_type_annotation,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6290), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4199), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4207), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3759), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [117620] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3438), 1,
      sym__call_signature,
    STATE(3837), 1,
      sym_type_annotation,
    STATE(4218), 1,
      sym__initializer,
    STATE(4379), 1,
      sym_type_parameters,
    ACTIONS(6298), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      anon_sym_LT,
    ACTIONS(6205), 1,
      anon_sym_DOT,
    STATE(3131), 1,
      sym_type_arguments,
    ACTIONS(3384), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117680] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3837), 1,
      sym_type_annotation,
    STATE(4257), 1,
      sym__initializer,
    STATE(4261), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6298), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117716] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3316), 1,
      sym__call_signature,
    STATE(3655), 1,
      sym_type_annotation,
    STATE(4287), 1,
      sym_type_parameters,
    ACTIONS(6292), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117748] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3769), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [117776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4311), 1,
      anon_sym_PIPE,
    ACTIONS(4313), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [117795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      anon_sym_LT,
    STATE(3124), 1,
      sym_type_arguments,
    ACTIONS(4103), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_PIPE,
    ACTIONS(2150), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [117835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_PIPE,
    ACTIONS(4287), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [117854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4265), 1,
      anon_sym_PIPE,
    ACTIONS(4267), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [117873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_DOT,
    ACTIONS(4440), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4277), 1,
      anon_sym_PIPE,
    ACTIONS(4279), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [117911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 1,
      anon_sym_PIPE,
    ACTIONS(2146), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [117930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_PIPE,
    ACTIONS(2176), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [117949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4363), 1,
      anon_sym_PIPE,
    ACTIONS(4365), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [117968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6300), 1,
      anon_sym_LBRACK,
    ACTIONS(6302), 1,
      anon_sym_DOT,
    ACTIONS(6304), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4403), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_PIPE,
    ACTIONS(4429), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_PIPE,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(4349), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4293), 1,
      anon_sym_PIPE,
    ACTIONS(4295), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_PIPE,
    ACTIONS(4271), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4253), 1,
      anon_sym_PIPE,
    ACTIONS(4255), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6308), 1,
      anon_sym_PIPE,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(4317), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [118130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4325), 1,
      anon_sym_PIPE,
    ACTIONS(6312), 1,
      anon_sym_LBRACK,
    ACTIONS(4327), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(4321), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_PIPE,
    ACTIONS(4331), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(6312), 1,
      anon_sym_LBRACK,
    ACTIONS(4335), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3294), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [118210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4415), 1,
      anon_sym_PIPE,
    ACTIONS(4417), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3762), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [118246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym_PIPE,
    ACTIONS(4469), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4377), 1,
      anon_sym_PIPE,
    ACTIONS(4379), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 1,
      anon_sym_PIPE,
    ACTIONS(2168), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6308), 1,
      anon_sym_PIPE,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(4357), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [118326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4355), 1,
      anon_sym_PIPE,
    ACTIONS(4357), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [118362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2961), 1,
      anon_sym_PIPE,
    ACTIONS(2963), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5238), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [118398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4325), 1,
      anon_sym_PIPE,
    ACTIONS(6312), 1,
      anon_sym_LBRACK,
    ACTIONS(4327), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4451), 1,
      anon_sym_PIPE,
    ACTIONS(4453), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 1,
      anon_sym_PIPE,
    ACTIONS(4113), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4423), 1,
      anon_sym_PIPE,
    ACTIONS(4425), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4299), 1,
      anon_sym_PIPE,
    ACTIONS(4301), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4471), 1,
      anon_sym_PIPE,
    ACTIONS(4473), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [118531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4373), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [118548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [118565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4281), 1,
      anon_sym_PIPE,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(4283), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [118603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4419), 1,
      anon_sym_PIPE,
    ACTIONS(4421), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 1,
      anon_sym_PIPE,
    ACTIONS(4369), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6308), 1,
      anon_sym_PIPE,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(4341), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [118664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_PIPE,
    ACTIONS(2959), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_PIPE,
    ACTIONS(1728), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 1,
      anon_sym_PIPE,
    ACTIONS(4103), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6308), 1,
      anon_sym_PIPE,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(4309), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [118744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4359), 1,
      anon_sym_PIPE,
    ACTIONS(4361), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2965), 1,
      anon_sym_PIPE,
    ACTIONS(2967), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4275), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6308), 1,
      anon_sym_PIPE,
    ACTIONS(4211), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_PIPE,
    ACTIONS(2172), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4339), 1,
      anon_sym_PIPE,
    ACTIONS(4341), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_DOT,
    ACTIONS(4438), 1,
      anon_sym_LBRACE,
    ACTIONS(4440), 9,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [118881] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6314), 1,
      sym_identifier,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym_extends,
    ACTIONS(6320), 1,
      anon_sym_implements,
    STATE(2030), 1,
      sym_class_body,
    STATE(3311), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4460), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [118915] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym_extends,
    ACTIONS(6320), 1,
      anon_sym_implements,
    ACTIONS(6322), 1,
      sym_identifier,
    STATE(2110), 1,
      sym_class_body,
    STATE(3342), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4548), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [118949] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym_extends,
    ACTIONS(6320), 1,
      anon_sym_implements,
    ACTIONS(6324), 1,
      sym_identifier,
    STATE(2030), 1,
      sym_class_body,
    STATE(3311), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4460), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [118983] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym_extends,
    ACTIONS(6320), 1,
      anon_sym_implements,
    ACTIONS(6326), 1,
      sym_identifier,
    STATE(2110), 1,
      sym_class_body,
    STATE(3342), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4548), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [119017] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(5942), 1,
      anon_sym_COLON,
    ACTIONS(5944), 1,
      anon_sym_DOT,
    ACTIONS(6328), 1,
      sym_identifier,
    ACTIONS(6330), 1,
      anon_sym_on,
    ACTIONS(6332), 1,
      anon_sym_list,
    STATE(2474), 1,
      sym_ui_object_initializer,
    STATE(4914), 1,
      sym_nested_identifier,
    STATE(2767), 2,
      sym_nested_type_identifier,
      sym_ui_list_property_type,
  [119049] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6318), 1,
      anon_sym_extends,
    ACTIONS(6320), 1,
      anon_sym_implements,
    ACTIONS(6334), 1,
      sym_identifier,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(1664), 1,
      sym_class_body,
    STATE(3267), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4505), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [119083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(3921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3762), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [119103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 1,
      anon_sym_COLON,
    STATE(3501), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(6338), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 1,
      anon_sym_COLON,
    STATE(3471), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(6342), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_LT,
    ACTIONS(6346), 1,
      anon_sym_DOT,
    ACTIONS(6348), 1,
      anon_sym_is,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3384), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119167] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym_extends,
    ACTIONS(6320), 1,
      anon_sym_implements,
    ACTIONS(6350), 1,
      sym_identifier,
    STATE(2030), 1,
      sym_class_body,
    STATE(3311), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4460), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [119201] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym_extends,
    ACTIONS(6320), 1,
      anon_sym_implements,
    ACTIONS(6352), 1,
      sym_identifier,
    STATE(2110), 1,
      sym_class_body,
    STATE(3342), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4548), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [119235] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6318), 1,
      anon_sym_extends,
    ACTIONS(6320), 1,
      anon_sym_implements,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6354), 1,
      sym_identifier,
    STATE(1682), 1,
      sym_class_body,
    STATE(3341), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4338), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [119269] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6358), 1,
      anon_sym_BANG,
    STATE(3721), 1,
      sym_type_annotation,
    STATE(4031), 1,
      sym__initializer,
    ACTIONS(6360), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6356), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6207), 1,
      anon_sym_is,
    ACTIONS(4113), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119315] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6358), 1,
      anon_sym_BANG,
    ACTIONS(6362), 1,
      anon_sym_EQ,
    STATE(3539), 1,
      sym__initializer,
    STATE(3721), 1,
      sym_type_annotation,
    ACTIONS(6360), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6356), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119343] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym_extends,
    ACTIONS(6320), 1,
      anon_sym_implements,
    ACTIONS(6364), 1,
      sym_identifier,
    STATE(2030), 1,
      sym_class_body,
    STATE(3311), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4460), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [119377] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym_extends,
    ACTIONS(6320), 1,
      anon_sym_implements,
    ACTIONS(6366), 1,
      sym_identifier,
    STATE(2030), 1,
      sym_class_body,
    STATE(3311), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4460), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [119411] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym_extends,
    ACTIONS(6320), 1,
      anon_sym_implements,
    ACTIONS(6368), 1,
      sym_identifier,
    STATE(2110), 1,
      sym_class_body,
    STATE(3342), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4548), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [119445] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6318), 1,
      anon_sym_extends,
    ACTIONS(6320), 1,
      anon_sym_implements,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6370), 1,
      sym_identifier,
    STATE(2382), 1,
      sym_class_body,
    STATE(3346), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4393), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [119479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6308), 1,
      anon_sym_PIPE,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(6372), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119501] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym_extends,
    ACTIONS(6320), 1,
      anon_sym_implements,
    ACTIONS(6374), 1,
      sym_identifier,
    STATE(2110), 1,
      sym_class_body,
    STATE(3342), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4548), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [119535] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3885), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      sym_identifier,
    ACTIONS(6378), 1,
      anon_sym_STAR,
    STATE(4503), 1,
      sym_import_clause,
    STATE(4540), 1,
      sym_string,
    STATE(4544), 1,
      sym_import_require_clause,
    STATE(4668), 2,
      sym_namespace_import_export,
      sym_named_imports,
  [119567] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(3885), 1,
      anon_sym_LBRACE,
    ACTIONS(6376), 1,
      sym_identifier,
    ACTIONS(6378), 1,
      anon_sym_STAR,
    STATE(4456), 1,
      sym_import_require_clause,
    STATE(4457), 1,
      sym_string,
    STATE(4458), 1,
      sym_import_clause,
    STATE(4668), 2,
      sym_namespace_import_export,
      sym_named_imports,
  [119599] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3719), 1,
      sym_type_annotation,
    STATE(4204), 1,
      sym__initializer,
    ACTIONS(6141), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119624] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(685), 1,
      sym_class_body,
    STATE(3235), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4293), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [119655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4425), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4473), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2961), 1,
      anon_sym_LBRACE,
    ACTIONS(2963), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [119702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_LBRACE,
    ACTIONS(2959), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [119719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4369), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 1,
      anon_sym_AMP,
    ACTIONS(6388), 1,
      anon_sym_PIPE,
    ACTIONS(6390), 1,
      anon_sym_extends,
    ACTIONS(4341), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [119755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4469), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 1,
      anon_sym_AMP,
    ACTIONS(6388), 1,
      anon_sym_PIPE,
    ACTIONS(6390), 1,
      anon_sym_extends,
    ACTIONS(4309), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [119806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_LBRACK,
    ACTIONS(4335), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4331), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_LBRACK,
    ACTIONS(4327), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4321), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 1,
      anon_sym_AMP,
    ACTIONS(6388), 1,
      anon_sym_PIPE,
    ACTIONS(6390), 1,
      anon_sym_extends,
    ACTIONS(4317), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [119893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4255), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4295), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 1,
      anon_sym_AMP,
    ACTIONS(4349), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [119955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4353), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4365), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4313), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4287), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4267), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_LBRACK,
    ACTIONS(4327), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4421), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4361), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4275), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120182] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2033), 1,
      sym_class_body,
    STATE(3237), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4570), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [120213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 1,
      anon_sym_AMP,
    ACTIONS(6388), 1,
      anon_sym_PIPE,
    ACTIONS(4211), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
  [120232] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(1688), 1,
      sym_class_body,
    STATE(3241), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4611), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [120263] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2172), 1,
      sym_class_body,
    STATE(3251), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4551), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [120294] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6394), 1,
      anon_sym_LBRACE,
    STATE(170), 1,
      sym_class_body,
    STATE(3319), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4437), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [120325] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2148), 1,
      sym_class_body,
    STATE(3317), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4296), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [120356] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(697), 1,
      sym_class_body,
    STATE(3310), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4390), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [120387] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(5942), 1,
      anon_sym_COLON,
    ACTIONS(5944), 1,
      anon_sym_DOT,
    ACTIONS(6398), 1,
      anon_sym_on,
    STATE(2474), 1,
      sym_ui_object_initializer,
    ACTIONS(6396), 4,
      anon_sym_default,
      anon_sym_readonly,
      anon_sym_property,
      anon_sym_required,
  [120412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4417), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120427] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6394), 1,
      anon_sym_LBRACE,
    STATE(150), 1,
      sym_class_body,
    STATE(3294), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4504), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [120458] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2384), 1,
      sym_class_body,
    STATE(3285), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4596), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [120489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 1,
      anon_sym_COLON,
    STATE(3685), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(6342), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120508] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(2038), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [120533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120548] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6402), 1,
      anon_sym_LBRACE,
    STATE(847), 1,
      sym_class_body,
    STATE(3297), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4484), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [120579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [120594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2963), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120609] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4007), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4103), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [120634] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3606), 1,
      sym_type_annotation,
    STATE(4027), 1,
      sym__initializer,
    ACTIONS(6157), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6155), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120659] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(1734), 1,
      sym_class_body,
    STATE(3306), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4464), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [120690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6406), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [120705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4429), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [120735] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(2002), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [120760] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(2034), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [120785] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4017), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [120810] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6362), 1,
      anon_sym_EQ,
    STATE(3551), 1,
      sym__initializer,
    STATE(3721), 1,
      sym_type_annotation,
    ACTIONS(6360), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6356), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2150), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2967), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120865] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3721), 1,
      sym_type_annotation,
    STATE(4032), 1,
      sym__initializer,
    ACTIONS(6360), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6356), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120890] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6402), 1,
      anon_sym_LBRACE,
    STATE(779), 1,
      sym_class_body,
    STATE(3238), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4325), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [120921] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2043), 1,
      sym_class_body,
    STATE(3287), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4617), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [120952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2959), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120967] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6410), 1,
      anon_sym_LBRACE,
    STATE(2514), 1,
      sym_class_body,
    STATE(3240), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4595), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [120998] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2158), 1,
      sym_class_body,
    STATE(3278), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4542), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [121029] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(2026), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [121054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [121069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [121084] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3829), 1,
      sym_type_annotation,
    STATE(4262), 1,
      sym__initializer,
    ACTIONS(6103), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6101), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121109] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6412), 1,
      anon_sym_LBRACE,
    STATE(2646), 1,
      sym_class_body,
    STATE(3239), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4580), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [121140] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(3258), 1,
      sym_type_parameters,
    STATE(3784), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4459), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [121171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2176), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [121186] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(3269), 1,
      sym_type_parameters,
    STATE(3824), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4514), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [121217] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6414), 1,
      anon_sym_LBRACE,
    STATE(888), 1,
      sym_class_body,
    STATE(3283), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4569), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [121248] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(3286), 1,
      sym_type_parameters,
    STATE(3803), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4604), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [121279] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(3289), 1,
      sym_type_parameters,
    STATE(3761), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4575), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [121310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4279), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [121325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 1,
      anon_sym_COLON,
    STATE(3731), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(6338), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 1,
      anon_sym_AMP,
    ACTIONS(4283), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [121361] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6414), 1,
      anon_sym_LBRACE,
    STATE(900), 1,
      sym_class_body,
    STATE(3309), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4392), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [121392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 9,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
      aux_sym_ui_version_specifier_token1,
  [121407] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4015), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4073), 1,
      aux_sym_object_repeat1,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [121432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 1,
      anon_sym_AMP,
    ACTIONS(6388), 1,
      anon_sym_PIPE,
    ACTIONS(6390), 1,
      anon_sym_extends,
    ACTIONS(4357), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [121453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4301), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [121468] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3673), 1,
      sym_type_annotation,
    STATE(4191), 1,
      sym__initializer,
    ACTIONS(6183), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6181), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_LT,
    ACTIONS(6346), 1,
      anon_sym_DOT,
    STATE(2829), 1,
      sym_type_arguments,
    ACTIONS(3384), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [121514] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3620), 1,
      sym_type_annotation,
    STATE(4177), 1,
      sym__initializer,
    ACTIONS(6418), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121539] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6412), 1,
      anon_sym_LBRACE,
    STATE(2597), 1,
      sym_class_body,
    STATE(3298), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4477), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [121570] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6410), 1,
      anon_sym_LBRACE,
    STATE(2521), 1,
      sym_class_body,
    STATE(3291), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4508), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [121601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2965), 1,
      anon_sym_LBRACE,
    ACTIONS(2967), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [121618] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2036), 1,
      sym_class_body,
    STATE(3236), 1,
      sym_type_parameters,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4571), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [121649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6420), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [121664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [121679] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(6424), 1,
      anon_sym_EQ,
    ACTIONS(6372), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [121702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4357), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [121717] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6426), 1,
      sym_escape_sequence,
    ACTIONS(6428), 1,
      anon_sym_BQUOTE,
    ACTIONS(6430), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6432), 1,
      sym__template_chars,
    STATE(3447), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3567), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [121741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6308), 1,
      anon_sym_PIPE,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(6434), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [121761] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6430), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6432), 1,
      sym__template_chars,
    ACTIONS(6436), 1,
      sym_escape_sequence,
    ACTIONS(6438), 1,
      anon_sym_BQUOTE,
    STATE(3370), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3567), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [121785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    ACTIONS(6442), 1,
      anon_sym_DOT,
    STATE(3611), 1,
      sym_statement_block,
    ACTIONS(1502), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [121805] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6358), 1,
      anon_sym_BANG,
    STATE(3721), 1,
      sym_type_annotation,
    STATE(4031), 1,
      sym__initializer,
    ACTIONS(6356), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121829] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6430), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6432), 1,
      sym__template_chars,
    ACTIONS(6436), 1,
      sym_escape_sequence,
    ACTIONS(6444), 1,
      anon_sym_BQUOTE,
    STATE(3370), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3567), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [121853] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 1,
      sym_identifier,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6452), 1,
      anon_sym_enum,
    STATE(3964), 1,
      sym_variable_declarator,
    STATE(3328), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [121877] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6430), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6432), 1,
      sym__template_chars,
    ACTIONS(6436), 1,
      sym_escape_sequence,
    ACTIONS(6454), 1,
      anon_sym_BQUOTE,
    STATE(3370), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3567), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [121901] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(4888), 1,
      anon_sym_COMMA,
    STATE(3951), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(6456), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(1691), 2,
      sym_template_string,
      sym_arguments,
  [121925] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6430), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6432), 1,
      sym__template_chars,
    ACTIONS(6436), 1,
      sym_escape_sequence,
    ACTIONS(6458), 1,
      anon_sym_BQUOTE,
    STATE(3370), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3567), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [121949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6308), 1,
      anon_sym_PIPE,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(6460), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [121969] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6426), 1,
      sym_escape_sequence,
    ACTIONS(6430), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6432), 1,
      sym__template_chars,
    ACTIONS(6462), 1,
      anon_sym_BQUOTE,
    STATE(3447), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3567), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [121993] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6430), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6432), 1,
      sym__template_chars,
    ACTIONS(6436), 1,
      sym_escape_sequence,
    ACTIONS(6464), 1,
      anon_sym_BQUOTE,
    STATE(3370), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3644), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [122017] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 1,
      sym_identifier,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6466), 1,
      anon_sym_enum,
    STATE(3912), 1,
      sym_variable_declarator,
    STATE(3328), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [122041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_LT,
    STATE(2833), 1,
      sym_type_arguments,
    ACTIONS(4103), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [122059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 1,
      anon_sym_AMP,
    ACTIONS(6388), 1,
      anon_sym_PIPE,
    ACTIONS(6390), 1,
      anon_sym_extends,
    ACTIONS(6372), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122079] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6430), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6432), 1,
      sym__template_chars,
    ACTIONS(6436), 1,
      sym_escape_sequence,
    ACTIONS(6468), 1,
      anon_sym_BQUOTE,
    STATE(3370), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3567), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [122103] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 1,
      sym_identifier,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6470), 1,
      anon_sym_enum,
    STATE(3866), 1,
      sym_variable_declarator,
    STATE(3328), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [122127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4482), 1,
      sym_statement_block,
    ACTIONS(6472), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [122144] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6474), 1,
      sym_identifier,
    ACTIONS(6476), 1,
      anon_sym_STAR,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4351), 1,
      sym__call_signature,
    STATE(4355), 1,
      sym_type_parameters,
  [122169] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(695), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4322), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [122194] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2181), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4490), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [122219] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2096), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4309), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [122244] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6402), 1,
      anon_sym_LBRACE,
    STATE(736), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4368), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [122269] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6412), 1,
      anon_sym_LBRACE,
    STATE(2605), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4498), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [122294] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6410), 1,
      anon_sym_LBRACE,
    STATE(2519), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4510), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [122319] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(1731), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4523), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [122344] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1377), 1,
      anon_sym_LBRACE,
    ACTIONS(6480), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_extends,
    STATE(745), 1,
      sym_object_type,
    STATE(3671), 1,
      sym_type_parameters,
    STATE(4188), 1,
      sym_extends_type_clause,
  [122369] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6484), 1,
      sym_identifier,
    ACTIONS(6486), 1,
      anon_sym_DOT,
    STATE(677), 1,
      sym_nested_identifier,
    STATE(702), 1,
      sym_string,
    STATE(720), 1,
      sym__module,
  [122394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6488), 1,
      sym_identifier,
    ACTIONS(6490), 1,
      anon_sym_STAR,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4563), 1,
      sym__call_signature,
  [122419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    STATE(3893), 1,
      sym_variable_declarator,
    STATE(3328), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [122440] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    STATE(3866), 1,
      sym_variable_declarator,
    STATE(3328), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [122461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4549), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [122474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3837), 1,
      sym_type_annotation,
    STATE(4211), 1,
      sym__initializer,
    ACTIONS(6298), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [122508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [122525] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2040), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4586), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [122550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [122563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6213), 1,
      anon_sym_EQ,
    STATE(3955), 1,
      sym_constraint,
    STATE(4581), 1,
      sym_default_type,
    ACTIONS(6218), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(6496), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [122584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(3611), 1,
      sym_statement_block,
    ACTIONS(1502), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [122601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [122614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5238), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [122627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6406), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [122640] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(3712), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4374), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [122665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6500), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [122678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [122691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [122704] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6502), 1,
      sym_identifier,
    ACTIONS(6504), 1,
      anon_sym_STAR,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4563), 1,
      sym__call_signature,
  [122729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6420), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [122742] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6506), 1,
      sym_identifier,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4468), 1,
      sym__call_signature,
  [122767] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(6510), 1,
      sym_identifier,
    ACTIONS(6512), 1,
      anon_sym_DOT,
    STATE(3218), 1,
      sym_nested_identifier,
    STATE(3254), 1,
      sym_string,
    STATE(3678), 1,
      sym__module,
  [122792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3740), 1,
      sym_type_annotation,
    ACTIONS(6514), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [122809] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(1700), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4610), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [122834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_EQ,
    ACTIONS(3442), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [122849] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(3744), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4375), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [122874] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6518), 1,
      sym_identifier,
    ACTIONS(6520), 1,
      anon_sym_LBRACK,
    ACTIONS(6522), 1,
      sym_private_property_identifier,
    STATE(2099), 1,
      sym_arguments,
    STATE(4552), 1,
      sym_type_arguments,
  [122899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3648), 1,
      sym_type_annotation,
    ACTIONS(6524), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [122916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3581), 1,
      sym_type_annotation,
    ACTIONS(6526), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [122933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4419), 1,
      sym_statement_block,
    ACTIONS(6528), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [122950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    STATE(3860), 1,
      sym_variable_declarator,
    STATE(3328), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [122971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 1,
      anon_sym_is,
    ACTIONS(6530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [122986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4416), 1,
      sym_statement_block,
    ACTIONS(6532), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4547), 1,
      sym_statement_block,
    ACTIONS(6532), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123020] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2045), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4269), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4496), 1,
      sym_statement_block,
    ACTIONS(6534), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [123075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4277), 1,
      sym_statement_block,
    ACTIONS(6538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4292), 1,
      sym_statement_block,
    ACTIONS(6540), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123109] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6414), 1,
      anon_sym_LBRACE,
    STATE(892), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4462), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4488), 1,
      sym_statement_block,
    ACTIONS(6540), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123151] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2366), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4352), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123176] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(3805), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4492), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123201] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2147), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4573), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123226] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4563), 1,
      sym__call_signature,
  [123251] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(3828), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4518), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123276] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6546), 1,
      sym_identifier,
    ACTIONS(6548), 1,
      anon_sym_STAR,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4468), 1,
      sym__call_signature,
  [123301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6410), 1,
      anon_sym_LBRACE,
    STATE(2510), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4444), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4334), 1,
      sym_statement_block,
    ACTIONS(6472), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4339), 1,
      sym_statement_block,
    ACTIONS(6550), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123360] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6394), 1,
      anon_sym_LBRACE,
    STATE(144), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4320), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 1,
      anon_sym_is,
    ACTIONS(4113), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [123400] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_LT,
    ACTIONS(6346), 1,
      anon_sym_DOT,
    ACTIONS(6552), 1,
      anon_sym_LBRACE,
    ACTIONS(6554), 1,
      anon_sym_COMMA,
    ACTIONS(6556), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3972), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(3986), 1,
      sym_type_arguments,
  [123425] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6402), 1,
      anon_sym_LBRACE,
    STATE(790), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4271), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123450] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6412), 1,
      anon_sym_LBRACE,
    STATE(2572), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4442), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4463), 1,
      sym_statement_block,
    ACTIONS(6550), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4410), 1,
      sym_statement_block,
    ACTIONS(6558), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4414), 1,
      sym_statement_block,
    ACTIONS(6560), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4447), 1,
      sym_statement_block,
    ACTIONS(6558), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6562), 1,
      anon_sym_DOT,
    STATE(1147), 1,
      sym_arguments,
    ACTIONS(3252), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [123562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6564), 1,
      sym_identifier,
    STATE(3950), 1,
      sym_variable_declarator,
    STATE(3176), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [123583] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      sym_identifier,
    STATE(3964), 1,
      sym_variable_declarator,
    STATE(3179), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [123604] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(1678), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4480), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3727), 1,
      sym_type_annotation,
    STATE(4209), 1,
      sym__initializer,
    ACTIONS(6288), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123650] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6568), 1,
      sym_identifier,
    ACTIONS(6570), 1,
      anon_sym_STAR,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4563), 1,
      sym__call_signature,
  [123675] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6414), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4620), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123700] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(688), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4295), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123725] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2052), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4566), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4440), 1,
      sym_statement_block,
    ACTIONS(6560), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123767] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3546), 1,
      sym_type_annotation,
    STATE(4128), 1,
      sym__initializer,
    ACTIONS(6572), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4431), 1,
      sym_statement_block,
    ACTIONS(6574), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4433), 1,
      sym_statement_block,
    ACTIONS(6576), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123822] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4435), 1,
      sym_statement_block,
    ACTIONS(6574), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123839] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2068), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4315), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123864] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6578), 1,
      sym_identifier,
    ACTIONS(6580), 1,
      anon_sym_STAR,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4469), 1,
      sym__call_signature,
  [123889] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(6394), 1,
      anon_sym_LBRACE,
    STATE(148), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4446), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [123914] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_COLON,
    ACTIONS(6582), 1,
      anon_sym_EQ,
    ACTIONS(6586), 1,
      anon_sym_QMARK,
    STATE(3974), 1,
      sym_type_annotation,
    STATE(4612), 1,
      sym__initializer,
    ACTIONS(6584), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [123937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    STATE(1691), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6588), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [123956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4526), 1,
      sym_statement_block,
    ACTIONS(6590), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4541), 1,
      sym_statement_block,
    ACTIONS(6592), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4268), 1,
      sym_statement_block,
    ACTIONS(6594), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124007] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6596), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym_QMARK,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4618), 1,
      sym__call_signature,
  [124032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3582), 1,
      sym_type_annotation,
    STATE(4023), 1,
      sym__initializer,
    ACTIONS(6279), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124053] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6600), 1,
      sym_identifier,
    ACTIONS(6602), 1,
      anon_sym_STAR,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4468), 1,
      sym__call_signature,
  [124078] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3721), 1,
      sym_type_annotation,
    STATE(4032), 1,
      sym__initializer,
    ACTIONS(6356), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124099] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    STATE(3964), 1,
      sym_variable_declarator,
    STATE(3328), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [124120] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(835), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1438), 1,
      anon_sym_LBRACE,
    ACTIONS(6480), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_extends,
    STATE(3723), 1,
      sym_object_type,
    STATE(3819), 1,
      sym_type_parameters,
    STATE(4195), 1,
      sym_extends_type_clause,
  [124145] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3224), 1,
      anon_sym_DQUOTE,
    ACTIONS(3226), 1,
      anon_sym_SQUOTE,
    ACTIONS(6604), 1,
      sym_identifier,
    ACTIONS(6606), 1,
      anon_sym_DOT,
    STATE(2428), 1,
      sym_nested_identifier,
    STATE(2483), 1,
      sym_string,
    STATE(2583), 1,
      sym__module,
  [124170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4489), 1,
      sym_statement_block,
    ACTIONS(6538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6608), 1,
      sym_identifier,
    ACTIONS(6610), 1,
      anon_sym_STAR,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4468), 1,
      sym__call_signature,
  [124212] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6612), 1,
      sym_identifier,
    ACTIONS(6614), 1,
      anon_sym_STAR,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4563), 1,
      sym__call_signature,
  [124237] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_extends,
    ACTIONS(6616), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2638), 1,
      sym_object_type,
    STATE(3587), 1,
      sym_type_parameters,
    STATE(4102), 1,
      sym_extends_type_clause,
  [124262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3641), 1,
      sym_type_annotation,
    STATE(4182), 1,
      sym__initializer,
    ACTIONS(6296), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124283] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6486), 1,
      anon_sym_DOT,
    ACTIONS(6620), 1,
      sym_identifier,
    STATE(720), 1,
      sym__module,
    STATE(3628), 1,
      sym_nested_identifier,
    STATE(3900), 1,
      sym_string,
  [124308] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6598), 1,
      anon_sym_QMARK,
    ACTIONS(6622), 1,
      anon_sym_COLON,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4618), 1,
      sym__call_signature,
  [124333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    STATE(3912), 1,
      sym_variable_declarator,
    STATE(3328), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [124354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(3433), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [124369] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(1737), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4465), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [124394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2152), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4297), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [124419] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6627), 1,
      sym_identifier,
    ACTIONS(6629), 1,
      anon_sym_STAR,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4468), 1,
      sym__call_signature,
  [124444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    STATE(4088), 1,
      sym_variable_declarator,
    STATE(3328), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [124465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    STATE(3950), 1,
      sym_variable_declarator,
    STATE(3328), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [124486] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6382), 1,
      anon_sym_extends,
    ACTIONS(6384), 1,
      anon_sym_implements,
    STATE(2380), 1,
      sym_class_body,
    STATE(4065), 1,
      sym_extends_clause,
    STATE(4578), 1,
      sym_class_heritage,
    STATE(4769), 1,
      sym_implements_clause,
  [124511] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3679), 1,
      sym_type_annotation,
    STATE(4196), 1,
      sym__initializer,
    ACTIONS(6294), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [124545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym_EQ,
    ACTIONS(3433), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [124560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(3711), 1,
      sym_type_annotation,
    ACTIONS(6634), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [124590] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    ACTIONS(6027), 1,
      anon_sym_LT,
    ACTIONS(6636), 1,
      sym_identifier,
    ACTIONS(6638), 1,
      anon_sym_LBRACK,
    ACTIONS(6640), 1,
      sym_private_property_identifier,
    STATE(1685), 1,
      sym_arguments,
    STATE(4501), 1,
      sym_type_arguments,
  [124615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4475), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [124628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3488), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6642), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3364), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6646), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6644), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124660] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6650), 1,
      anon_sym_QMARK_COLON,
    STATE(3701), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [124678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6650), 1,
      anon_sym_QMARK_COLON,
    STATE(3699), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [124696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6650), 1,
      anon_sym_QMARK_COLON,
    STATE(3696), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [124714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_LT,
    ACTIONS(6346), 1,
      anon_sym_DOT,
    ACTIONS(6652), 1,
      anon_sym_LBRACE,
    STATE(3986), 1,
      sym_type_arguments,
    ACTIONS(6654), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [124734] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      sym_identifier,
    ACTIONS(6658), 1,
      anon_sym_import,
    STATE(1832), 1,
      sym__type_query_subscript_expression,
    STATE(1833), 1,
      sym__type_query_member_expression,
    STATE(1895), 1,
      sym__type_query_call_expression,
    STATE(4316), 1,
      sym_import,
  [124756] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(6660), 1,
      anon_sym_COMMA,
    ACTIONS(6662), 1,
      anon_sym_GT,
    STATE(4263), 1,
      aux_sym_implements_clause_repeat1,
  [124778] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6664), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3693), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [124800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3366), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3492), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6666), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3492), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6666), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3468), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3488), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6642), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3453), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124864] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6670), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3722), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [124886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6207), 1,
      anon_sym_is,
    ACTIONS(6530), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2252), 1,
      sym_statement_block,
    ACTIONS(6472), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6674), 1,
      anon_sym_BQUOTE,
    ACTIONS(6676), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6672), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3531), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [124934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2254), 1,
      sym_statement_block,
    ACTIONS(6550), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124950] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    ACTIONS(6678), 1,
      anon_sym_QMARK,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3389), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [124972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2284), 1,
      sym_statement_block,
    ACTIONS(6472), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(6680), 1,
      sym_identifier,
    ACTIONS(6682), 1,
      anon_sym_LBRACK,
    STATE(4101), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [125006] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6620), 1,
      sym_identifier,
    STATE(808), 1,
      sym__module,
    STATE(3628), 1,
      sym_nested_identifier,
    STATE(3900), 1,
      sym_string,
  [125028] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6684), 1,
      anon_sym_QMARK,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4415), 1,
      sym__call_signature,
  [125050] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6620), 1,
      sym_identifier,
    STATE(720), 1,
      sym__module,
    STATE(3628), 1,
      sym_nested_identifier,
    STATE(3900), 1,
      sym_string,
  [125072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2279), 1,
      sym_statement_block,
    ACTIONS(6550), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3460), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6686), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(6338), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(4495), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [125120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6690), 1,
      anon_sym_BQUOTE,
    ACTIONS(6426), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3447), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [125138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6692), 1,
      anon_sym_default,
    ACTIONS(6694), 1,
      anon_sym_RBRACE,
    ACTIONS(6696), 1,
      anon_sym_case,
    STATE(3460), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [125156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3458), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125172] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6700), 1,
      anon_sym_QMARK,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4434), 1,
      sym__call_signature,
  [125194] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6702), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3660), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [125216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6650), 1,
      anon_sym_QMARK_COLON,
    STATE(3659), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [125234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6650), 1,
      anon_sym_QMARK_COLON,
    STATE(3658), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [125252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2258), 1,
      sym_statement_block,
    ACTIONS(6558), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2259), 1,
      sym_statement_block,
    ACTIONS(6560), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3379), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3458), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125300] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    ACTIONS(6704), 1,
      anon_sym_QMARK,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3413), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [125322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2331), 1,
      sym_statement_block,
    ACTIONS(6558), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [125350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(6682), 1,
      anon_sym_LBRACK,
    ACTIONS(6706), 1,
      sym_identifier,
    STATE(4153), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [125368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(6708), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [125386] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6710), 1,
      sym_identifier,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4300), 1,
      sym__call_signature,
    STATE(4355), 1,
      sym_type_parameters,
  [125408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6500), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [125420] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6715), 1,
      anon_sym_property,
    STATE(3398), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    ACTIONS(6712), 3,
      anon_sym_default,
      anon_sym_readonly,
      anon_sym_required,
  [125436] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3224), 1,
      anon_sym_DQUOTE,
    ACTIONS(3226), 1,
      anon_sym_SQUOTE,
    ACTIONS(6604), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_nested_identifier,
    STATE(2483), 1,
      sym_string,
    STATE(2558), 1,
      sym__module,
  [125458] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(6717), 1,
      anon_sym_COMMA,
    ACTIONS(6719), 1,
      anon_sym_GT,
    STATE(4062), 1,
      aux_sym_implements_clause_repeat1,
  [125480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4533), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3762), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [125494] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6721), 1,
      sym_identifier,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4561), 1,
      sym__call_signature,
  [125516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2312), 1,
      sym_statement_block,
    ACTIONS(6560), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125532] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(6723), 1,
      anon_sym_export,
    ACTIONS(6725), 1,
      anon_sym_class,
    ACTIONS(6727), 1,
      anon_sym_abstract,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
  [125554] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3224), 1,
      anon_sym_DQUOTE,
    ACTIONS(3226), 1,
      anon_sym_SQUOTE,
    ACTIONS(6604), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_nested_identifier,
    STATE(2483), 1,
      sym_string,
    STATE(2583), 1,
      sym__module,
  [125576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6692), 1,
      anon_sym_default,
    ACTIONS(6696), 1,
      anon_sym_case,
    ACTIONS(6729), 1,
      anon_sym_RBRACE,
    STATE(3499), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [125594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6650), 1,
      anon_sym_QMARK_COLON,
    STATE(3561), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [125612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6650), 1,
      anon_sym_QMARK_COLON,
    STATE(3579), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [125630] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6731), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3565), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [125652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2263), 1,
      sym_statement_block,
    ACTIONS(6574), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(6733), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
  [125686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3383), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6737), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2267), 1,
      sym_statement_block,
    ACTIONS(6576), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125718] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    ACTIONS(6739), 1,
      anon_sym_QMARK,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3490), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [125740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3502), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6743), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6741), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3449), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6747), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [125784] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6749), 1,
      sym_identifier,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4300), 1,
      sym__call_signature,
    STATE(4355), 1,
      sym_type_parameters,
  [125806] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4453), 1,
      sym__call_signature,
  [125828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(6753), 1,
      anon_sym_COMMA,
    ACTIONS(6755), 1,
      anon_sym_GT,
    STATE(4231), 1,
      aux_sym_implements_clause_repeat1,
  [125850] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_import,
    ACTIONS(6757), 1,
      sym_identifier,
    STATE(2852), 1,
      sym__type_query_member_expression,
    STATE(2855), 1,
      sym__type_query_subscript_expression,
    STATE(2958), 1,
      sym__type_query_call_expression,
    STATE(4426), 1,
      sym_import,
  [125872] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(6727), 1,
      anon_sym_abstract,
    ACTIONS(6759), 1,
      anon_sym_export,
    ACTIONS(6761), 1,
      anon_sym_class,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
  [125894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [125906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2233), 1,
      sym_statement_block,
    ACTIONS(6528), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125922] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6763), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3323), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [125944] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6765), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3315), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [125966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      anon_sym_AMP,
    ACTIONS(6769), 1,
      anon_sym_PIPE,
    ACTIONS(4211), 4,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
  [125982] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6771), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(4202), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [126004] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_import,
    ACTIONS(6773), 1,
      sym_identifier,
    STATE(2769), 1,
      sym__type_query_member_expression,
    STATE(2770), 1,
      sym__type_query_subscript_expression,
    STATE(2808), 1,
      sym__type_query_call_expression,
    STATE(4592), 1,
      sym_import,
  [126026] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6775), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3301), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [126048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 6,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [126060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3490), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3502), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6779), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126092] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(6781), 1,
      anon_sym_COMMA,
    ACTIONS(6783), 1,
      anon_sym_GT,
    STATE(4142), 1,
      aux_sym_implements_clause_repeat1,
  [126114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3432), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3502), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6779), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3433), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6787), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6785), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126146] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(6789), 1,
      anon_sym_COMMA,
    ACTIONS(6791), 1,
      anon_sym_GT,
    STATE(4240), 1,
      aux_sym_implements_clause_repeat1,
  [126168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2280), 1,
      sym_statement_block,
    ACTIONS(6540), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126184] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6793), 1,
      sym_identifier,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4473), 1,
      sym__call_signature,
  [126206] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_import,
    ACTIONS(6795), 1,
      sym_identifier,
    STATE(2962), 1,
      sym__type_query_member_expression,
    STATE(2963), 1,
      sym__type_query_subscript_expression,
    STATE(3044), 1,
      sym__type_query_call_expression,
    STATE(4356), 1,
      sym_import,
  [126228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2314), 1,
      sym_statement_block,
    ACTIONS(6538), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126244] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6797), 1,
      sym_identifier,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4561), 1,
      sym__call_signature,
  [126266] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6799), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3293), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [126288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3467), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3480), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6801), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6805), 1,
      anon_sym_property,
    STATE(3398), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    ACTIONS(6803), 3,
      anon_sym_default,
      anon_sym_readonly,
      anon_sym_required,
  [126320] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    ACTIONS(6807), 1,
      anon_sym_QMARK,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3371), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [126342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6809), 1,
      anon_sym_BQUOTE,
    ACTIONS(6672), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3531), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [126360] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(5942), 1,
      anon_sym_COLON,
    ACTIONS(5944), 1,
      anon_sym_DOT,
    ACTIONS(6330), 1,
      anon_sym_on,
    ACTIONS(6811), 1,
      sym_identifier,
    STATE(2474), 1,
      sym_ui_object_initializer,
  [126382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3480), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6801), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      anon_sym_AMP,
    ACTIONS(4349), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [126412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      anon_sym_AMP,
    ACTIONS(6769), 1,
      anon_sym_PIPE,
    ACTIONS(6813), 1,
      anon_sym_extends,
    ACTIONS(4317), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [126430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(6682), 1,
      anon_sym_LBRACK,
    ACTIONS(6815), 1,
      sym_identifier,
    STATE(3967), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [126448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LBRACE,
    ACTIONS(6682), 1,
      anon_sym_LBRACK,
    ACTIONS(6817), 1,
      sym_identifier,
    STATE(4286), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [126466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2218), 1,
      sym_statement_block,
    ACTIONS(6538), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2236), 1,
      sym_statement_block,
    ACTIONS(6540), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126498] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6819), 1,
      sym_identifier,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4614), 1,
      sym__call_signature,
  [126520] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    ACTIONS(6821), 1,
      anon_sym_QMARK,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3514), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [126542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2248), 1,
      sym_statement_block,
    ACTIONS(6574), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126558] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_LT,
    ACTIONS(6554), 1,
      anon_sym_COMMA,
    ACTIONS(6823), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3971), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(3987), 1,
      sym_type_arguments,
  [126580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6827), 1,
      anon_sym_default,
    ACTIONS(6830), 1,
      anon_sym_RBRACE,
    ACTIONS(6832), 1,
      anon_sym_case,
    STATE(3460), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [126598] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(5942), 1,
      anon_sym_COLON,
    ACTIONS(5944), 1,
      anon_sym_DOT,
    ACTIONS(6330), 1,
      anon_sym_on,
    ACTIONS(6835), 1,
      sym_identifier,
    STATE(2474), 1,
      sym_ui_object_initializer,
  [126620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3482), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6837), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6839), 1,
      anon_sym_QMARK,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4395), 1,
      sym__call_signature,
  [126658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3494), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126674] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6843), 1,
      sym_identifier,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4561), 1,
      sym__call_signature,
  [126696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3462), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3494), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3472), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6845), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3498), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6847), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126744] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(5942), 1,
      anon_sym_COLON,
    ACTIONS(5944), 1,
      anon_sym_DOT,
    ACTIONS(6398), 1,
      anon_sym_on,
    ACTIONS(6849), 1,
      anon_sym_function,
    STATE(2474), 1,
      sym_ui_object_initializer,
  [126766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(6342), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(4549), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [126782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6851), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 1,
      anon_sym_AT,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(3242), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_abstract,
  [126812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6650), 1,
      anon_sym_QMARK_COLON,
    STATE(3569), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [126842] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6856), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3574), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [126864] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6858), 1,
      sym_identifier,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4300), 1,
      sym__call_signature,
    STATE(4355), 1,
      sym_type_parameters,
  [126886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      anon_sym_AMP,
    ACTIONS(6769), 1,
      anon_sym_PIPE,
    ACTIONS(6813), 1,
      anon_sym_extends,
    ACTIONS(4309), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [126904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6863), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6860), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3464), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6867), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126936] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(6510), 1,
      sym_identifier,
    STATE(3218), 1,
      sym_nested_identifier,
    STATE(3254), 1,
      sym_string,
    STATE(3678), 1,
      sym__module,
  [126958] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6869), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3281), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [126980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      anon_sym_AMP,
    ACTIONS(6769), 1,
      anon_sym_PIPE,
    ACTIONS(6813), 1,
      anon_sym_extends,
    ACTIONS(4341), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [126998] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6871), 1,
      sym_identifier,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4561), 1,
      sym__call_signature,
  [127020] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6873), 1,
      sym_identifier,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4300), 1,
      sym__call_signature,
    STATE(4355), 1,
      sym_type_parameters,
  [127042] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(6510), 1,
      sym_identifier,
    STATE(3218), 1,
      sym_nested_identifier,
    STATE(3254), 1,
      sym_string,
    STATE(3614), 1,
      sym__module,
  [127064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6650), 1,
      anon_sym_QMARK_COLON,
    STATE(3742), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [127082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_BQUOTE,
    ACTIONS(6436), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3370), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [127100] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_COMMA,
    ACTIONS(6879), 1,
      anon_sym_GT,
    STATE(4086), 1,
      aux_sym_implements_clause_repeat1,
  [127122] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_import,
    ACTIONS(6881), 1,
      sym_identifier,
    STATE(1485), 1,
      sym__type_query_member_expression,
    STATE(1486), 1,
      sym__type_query_subscript_expression,
    STATE(1595), 1,
      sym__type_query_call_expression,
    STATE(4487), 1,
      sym_import,
  [127144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2308), 1,
      sym_statement_block,
    ACTIONS(6532), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6484), 1,
      sym_identifier,
    STATE(677), 1,
      sym_nested_identifier,
    STATE(702), 1,
      sym_string,
    STATE(808), 1,
      sym__module,
  [127182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      sym_identifier,
    ACTIONS(6887), 1,
      anon_sym_COMMA,
    ACTIONS(6889), 1,
      anon_sym_RBRACE,
    STATE(4181), 1,
      sym__import_export_specifier,
    ACTIONS(6885), 2,
      anon_sym_type,
      anon_sym_typeof,
  [127202] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(6484), 1,
      sym_identifier,
    STATE(677), 1,
      sym_nested_identifier,
    STATE(702), 1,
      sym_string,
    STATE(720), 1,
      sym__module,
  [127224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3762), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [127260] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6893), 1,
      anon_sym_QMARK,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4461), 1,
      sym__call_signature,
  [127282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2270), 1,
      sym_statement_block,
    ACTIONS(6590), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6692), 1,
      anon_sym_default,
    ACTIONS(6696), 1,
      anon_sym_case,
    ACTIONS(6895), 1,
      anon_sym_RBRACE,
    STATE(3460), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [127316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3528), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3500), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3500), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127360] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    ACTIONS(6901), 1,
      anon_sym_QMARK,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3454), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [127382] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      sym_identifier,
    ACTIONS(6903), 1,
      anon_sym_COMMA,
    ACTIONS(6905), 1,
      anon_sym_RBRACE,
    STATE(4175), 1,
      sym__import_export_specifier,
    ACTIONS(6885), 2,
      anon_sym_type,
      anon_sym_typeof,
  [127402] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_as,
    ACTIONS(6911), 1,
      aux_sym_ui_version_specifier_token1,
    STATE(4009), 1,
      sym_ui_version_specifier,
    ACTIONS(6909), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [127422] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(6913), 1,
      anon_sym_export,
    ACTIONS(6915), 1,
      anon_sym_class,
    ACTIONS(6917), 1,
      anon_sym_abstract,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
  [127444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2273), 1,
      sym_statement_block,
    ACTIONS(6594), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2220), 1,
      sym_statement_block,
    ACTIONS(6532), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2150), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      anon_sym_AMP,
    ACTIONS(6769), 1,
      anon_sym_PIPE,
    ACTIONS(6813), 1,
      anon_sym_extends,
    ACTIONS(4357), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [127518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      anon_sym_AMP,
    ACTIONS(4283), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [127532] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6919), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(4264), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [127554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2272), 1,
      sym_statement_block,
    ACTIONS(6592), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127570] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6921), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3276), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [127592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6923), 1,
      sym_identifier,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4561), 1,
      sym__call_signature,
  [127614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127626] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_QMARK,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3755), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [127648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6692), 1,
      anon_sym_default,
    ACTIONS(6696), 1,
      anon_sym_case,
    ACTIONS(6927), 1,
      anon_sym_RBRACE,
    STATE(3382), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [127666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_COLON,
    ACTIONS(6582), 1,
      anon_sym_EQ,
    STATE(3930), 1,
      sym_type_annotation,
    STATE(4400), 1,
      sym__initializer,
    ACTIONS(6929), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [127686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3354), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6933), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6931), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(6937), 1,
      anon_sym_QMARK,
    ACTIONS(6935), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [127746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2332), 1,
      sym_statement_block,
    ACTIONS(6534), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127762] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6939), 1,
      anon_sym_QMARK,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4343), 1,
      sym__call_signature,
    STATE(4355), 1,
      sym_type_parameters,
  [127784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2176), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3478), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3470), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6941), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127812] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(6943), 1,
      anon_sym_LBRACE,
    ACTIONS(6945), 1,
      anon_sym_COMMA,
    STATE(4253), 1,
      aux_sym_implements_clause_repeat1,
  [127834] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6947), 1,
      sym_identifier,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4300), 1,
      sym__call_signature,
    STATE(4355), 1,
      sym_type_parameters,
  [127856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6952), 1,
      anon_sym_BQUOTE,
    ACTIONS(6954), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6949), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3531), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [127874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3568), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [127893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3695), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [127912] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(6727), 1,
      anon_sym_abstract,
    ACTIONS(6957), 1,
      anon_sym_class,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
  [127931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3703), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [127950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4493), 1,
      sym__call_signature,
  [127969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_RBRACE,
    STATE(4305), 1,
      sym__import_export_specifier,
    ACTIONS(6885), 2,
      anon_sym_type,
      anon_sym_typeof,
  [127986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4494), 1,
      sym__call_signature,
  [128005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 1,
      anon_sym_in,
    ACTIONS(6965), 1,
      anon_sym_of,
    ACTIONS(6961), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128020] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3747), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [128039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3768), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [128058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3507), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [128077] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3668), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [128096] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(6915), 1,
      anon_sym_class,
    ACTIONS(6917), 1,
      anon_sym_abstract,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
  [128115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(6967), 1,
      anon_sym_EQ_GT,
    STATE(4549), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [128130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    STATE(4119), 1,
      sym__initializer,
    ACTIONS(6970), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128145] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4420), 1,
      sym__call_signature,
  [128164] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4337), 1,
      sym__call_signature,
    STATE(4355), 1,
      sym_type_parameters,
  [128183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [128194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [128205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym_in,
    ACTIONS(6974), 1,
      anon_sym_of,
    ACTIONS(6961), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [128231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4475), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [128242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      sym_identifier,
    ACTIONS(6976), 1,
      anon_sym_RBRACE,
    STATE(4289), 1,
      sym__import_export_specifier,
    ACTIONS(6885), 2,
      anon_sym_type,
      anon_sym_typeof,
  [128259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 1,
      sym__automatic_semicolon,
    ACTIONS(1510), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128272] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LBRACE,
    ACTIONS(6980), 1,
      anon_sym_SEMI,
    ACTIONS(6982), 1,
      sym__automatic_semicolon,
    ACTIONS(6984), 1,
      sym__function_signature_automatic_semicolon,
    STATE(684), 1,
      sym_statement_block,
  [128291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3821), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [128310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6986), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128321] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    ACTIONS(6988), 1,
      sym_identifier,
    STATE(3505), 1,
      sym_nested_identifier,
    STATE(3608), 1,
      sym_string,
  [128340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    ACTIONS(6990), 1,
      anon_sym_SEMI,
    ACTIONS(6992), 1,
      sym__automatic_semicolon,
    ACTIONS(6994), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2472), 1,
      sym_statement_block,
  [128359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6996), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(7000), 1,
      anon_sym_PIPE,
    ACTIONS(6998), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [128387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [128398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6592), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128420] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      anon_sym_AMP,
    ACTIONS(6769), 1,
      anon_sym_PIPE,
    ACTIONS(6813), 1,
      anon_sym_extends,
    ACTIONS(7002), 1,
      anon_sym_as,
    ACTIONS(7004), 1,
      anon_sym_RBRACK,
  [128439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7006), 1,
      anon_sym_BQUOTE,
    ACTIONS(7008), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7010), 1,
      sym__template_chars,
    STATE(3791), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [128456] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    ACTIONS(6980), 1,
      anon_sym_SEMI,
    ACTIONS(6982), 1,
      sym__automatic_semicolon,
    ACTIONS(6984), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2184), 1,
      sym_statement_block,
  [128475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128486] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3760), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [128505] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    ACTIONS(6990), 1,
      anon_sym_SEMI,
    ACTIONS(6992), 1,
      sym__automatic_semicolon,
    ACTIONS(6994), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2037), 1,
      sym_statement_block,
  [128524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7014), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [128535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 1,
      anon_sym_EQ,
    ACTIONS(7016), 1,
      anon_sym_COMMA,
    ACTIONS(7018), 1,
      anon_sym_RBRACE,
    STATE(4161), 1,
      aux_sym_enum_body_repeat1,
    STATE(4270), 1,
      sym__initializer,
  [128554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3585), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [128584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4549), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [128595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(7020), 1,
      anon_sym_EQ_GT,
    STATE(4495), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [128610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(7025), 1,
      anon_sym_EQ_GT,
    STATE(4549), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [128647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7028), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    STATE(4251), 1,
      sym__initializer,
    ACTIONS(7030), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4299), 1,
      sym__call_signature,
    STATE(4355), 1,
      sym_type_parameters,
  [128692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4298), 1,
      sym__call_signature,
    STATE(4355), 1,
      sym_type_parameters,
  [128711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(7032), 1,
      anon_sym_EQ_GT,
    STATE(4495), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [128737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 1,
      anon_sym_extends,
    ACTIONS(6616), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2644), 1,
      sym_object_type,
    STATE(4140), 1,
      sym_extends_type_clause,
  [128756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7035), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(7037), 1,
      anon_sym_EQ_GT,
    STATE(4549), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [128804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4538), 1,
      sym__call_signature,
  [128834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4500), 1,
      sym__call_signature,
  [128853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(7000), 1,
      anon_sym_PIPE,
    ACTIONS(7042), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [128870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128881] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3282), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [128900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5210), 1,
      sym__automatic_semicolon,
    ACTIONS(1692), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128913] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3604), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [128932] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4527), 1,
      sym__call_signature,
  [128951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 1,
      sym__automatic_semicolon,
    ACTIONS(1682), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128964] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(6727), 1,
      anon_sym_abstract,
    ACTIONS(6761), 1,
      anon_sym_class,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
  [128983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4582), 1,
      sym__call_signature,
  [129002] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    ACTIONS(6980), 1,
      anon_sym_SEMI,
    ACTIONS(6982), 1,
      sym__automatic_semicolon,
    ACTIONS(6984), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2482), 1,
      sym_statement_block,
  [129021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(7000), 1,
      anon_sym_PIPE,
    ACTIONS(7044), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [129038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    STATE(4250), 1,
      sym__initializer,
    ACTIONS(7046), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(7000), 1,
      anon_sym_PIPE,
    ACTIONS(7048), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [129070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_as,
    ACTIONS(6911), 1,
      aux_sym_ui_version_specifier_token1,
    STATE(4009), 1,
      sym_ui_version_specifier,
    ACTIONS(6909), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [129087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3560), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [129106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(6725), 1,
      anon_sym_class,
    ACTIONS(6727), 1,
      anon_sym_abstract,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
  [129125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129136] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3724), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [129155] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4622), 1,
      sym__call_signature,
  [129174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4615), 1,
      sym__call_signature,
  [129204] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3455), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [129223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7050), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [129234] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(7052), 1,
      anon_sym_class,
    ACTIONS(7054), 1,
      anon_sym_abstract,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
  [129253] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3749), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [129272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    STATE(4124), 1,
      sym__initializer,
    ACTIONS(7056), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3757), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [129306] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3825), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [129325] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3571), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [129344] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4509), 1,
      sym__call_signature,
  [129363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7058), 1,
      anon_sym_EQ,
    ACTIONS(3442), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [129376] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4402), 1,
      sym__call_signature,
  [129395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7008), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7060), 1,
      anon_sym_BQUOTE,
    ACTIONS(7062), 1,
      sym__template_chars,
    STATE(3706), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [129412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    ACTIONS(5649), 1,
      anon_sym_DOT,
    STATE(824), 1,
      sym_statement_block,
    ACTIONS(1502), 2,
      anon_sym_else,
      anon_sym_while,
  [129429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4619), 1,
      sym__call_signature,
  [129448] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3781), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [129467] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4475), 1,
      sym__call_signature,
  [129486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [129497] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3292), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [129516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4574), 1,
      sym__call_signature,
  [129535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4560), 1,
      sym__call_signature,
  [129554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(7000), 1,
      anon_sym_PIPE,
    ACTIONS(7064), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [129571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129593] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(5942), 1,
      anon_sym_COLON,
    ACTIONS(5944), 1,
      anon_sym_DOT,
    ACTIONS(6398), 1,
      anon_sym_on,
    STATE(2474), 1,
      sym_ui_object_initializer,
  [129612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7008), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_BQUOTE,
    ACTIONS(7068), 1,
      sym__template_chars,
    STATE(3567), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [129629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    STATE(4132), 1,
      sym__initializer,
    ACTIONS(7070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3300), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [129663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2373), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7008), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7010), 1,
      sym__template_chars,
    ACTIONS(7072), 1,
      anon_sym_BQUOTE,
    STATE(3791), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [129691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3314), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [129710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [129721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3322), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [129740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7074), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129751] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3324), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [129770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(7076), 1,
      anon_sym_EQ_GT,
    STATE(4495), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [129785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3498), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [129826] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4466), 1,
      sym__call_signature,
  [129845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7079), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7083), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7085), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6576), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129911] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3578), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [129930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4497), 1,
      sym__call_signature,
  [129960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2617), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3799), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [129990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4539), 1,
      sym__call_signature,
  [130009] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4467), 1,
      sym__call_signature,
  [130028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 1,
      anon_sym_LBRACE,
    ACTIONS(6990), 1,
      anon_sym_SEMI,
    ACTIONS(6992), 1,
      sym__automatic_semicolon,
    ACTIONS(6994), 1,
      sym__function_signature_automatic_semicolon,
    STATE(149), 1,
      sym_statement_block,
  [130047] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3762), 1,
      anon_sym_COLON,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    ACTIONS(7087), 1,
      anon_sym_RBRACE,
    STATE(4017), 1,
      aux_sym_object_pattern_repeat1,
  [130066] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(6917), 1,
      anon_sym_abstract,
    ACTIONS(7089), 1,
      anon_sym_class,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
  [130085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1377), 1,
      anon_sym_LBRACE,
    ACTIONS(6482), 1,
      anon_sym_extends,
    STATE(844), 1,
      sym_object_type,
    STATE(4164), 1,
      sym_extends_type_clause,
  [130104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    STATE(4180), 1,
      sym__initializer,
    ACTIONS(7091), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7093), 1,
      sym_identifier,
    ACTIONS(7095), 1,
      anon_sym_RPAREN,
    STATE(4091), 1,
      sym_ui_signal_parameter,
    STATE(4706), 1,
      sym_nested_type_identifier,
    STATE(4914), 1,
      sym_nested_identifier,
  [130171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2421), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2405), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    STATE(4185), 1,
      sym__initializer,
    ACTIONS(7097), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4373), 1,
      sym__call_signature,
  [130227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4528), 1,
      sym__call_signature,
  [130257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130268] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [130287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6851), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2657), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2661), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7101), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3662), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [130405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(7000), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [130444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7107), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7109), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2409), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130499] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    ACTIONS(7111), 1,
      anon_sym_SEMI,
    ACTIONS(7113), 1,
      sym__automatic_semicolon,
    ACTIONS(7115), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2482), 1,
      sym_statement_block,
  [130518] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4432), 1,
      sym__call_signature,
  [130537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4522), 1,
      sym__call_signature,
  [130556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7008), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7010), 1,
      sym__template_chars,
    ACTIONS(7117), 1,
      anon_sym_BQUOTE,
    STATE(3791), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [130573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7119), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [130595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7121), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2437), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2441), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2485), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5077), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [130672] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(4187), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [130691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5077), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [130702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5077), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [130713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    STATE(4193), 1,
      sym__initializer,
    ACTIONS(7123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(4203), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [130747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    STATE(4087), 1,
      sym__initializer,
    ACTIONS(7125), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2473), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130784] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    ACTIONS(7127), 1,
      anon_sym_SEMI,
    ACTIONS(7129), 1,
      sym__automatic_semicolon,
    ACTIONS(7131), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2044), 1,
      sym_statement_block,
  [130803] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3098), 1,
      sym_formal_parameters,
    STATE(3564), 1,
      sym__call_signature,
    STATE(4287), 1,
      sym_type_parameters,
  [130822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    STATE(4197), 1,
      sym__initializer,
    ACTIONS(7133), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2401), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2469), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2477), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [130936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [130947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 1,
      anon_sym_EQ,
    ACTIONS(7135), 1,
      anon_sym_COMMA,
    ACTIONS(7137), 1,
      anon_sym_RBRACE,
    STATE(4070), 1,
      aux_sym_enum_body_repeat1,
    STATE(4270), 1,
      sym__initializer,
  [130966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3388), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [130985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5116), 1,
      sym__automatic_semicolon,
    ACTIONS(1560), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7139), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2505), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7141), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2393), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131075] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_LBRACE,
    ACTIONS(7111), 1,
      anon_sym_SEMI,
    ACTIONS(7113), 1,
      sym__automatic_semicolon,
    ACTIONS(7115), 1,
      sym__function_signature_automatic_semicolon,
    STATE(876), 1,
      sym_statement_block,
  [131094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    ACTIONS(7127), 1,
      anon_sym_SEMI,
    ACTIONS(7129), 1,
      sym__automatic_semicolon,
    ACTIONS(7131), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3739), 1,
      sym_statement_block,
  [131124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7145), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2613), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2509), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    ACTIONS(7147), 1,
      anon_sym_SEMI,
    ACTIONS(7149), 1,
      sym__automatic_semicolon,
    ACTIONS(7151), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2163), 1,
      sym_statement_block,
  [131220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(7054), 1,
      anon_sym_abstract,
    ACTIONS(7153), 1,
      anon_sym_class,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
  [131239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2513), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7155), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(7000), 1,
      anon_sym_PIPE,
    ACTIONS(7157), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [131333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5194), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [131344] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    ACTIONS(7159), 1,
      anon_sym_SEMI,
    ACTIONS(7161), 1,
      sym__automatic_semicolon,
    ACTIONS(7163), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2472), 1,
      sym_statement_block,
  [131363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_COLON,
    STATE(4344), 1,
      sym_type_annotation,
    ACTIONS(3433), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [131378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(7165), 1,
      anon_sym_EQ_GT,
    STATE(4495), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [131393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(7168), 1,
      anon_sym_COLON,
    ACTIONS(7170), 1,
      anon_sym_DOT,
    ACTIONS(7172), 1,
      anon_sym_on,
    STATE(2479), 1,
      sym_ui_object_initializer,
  [131412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_LT,
    ACTIONS(7174), 1,
      anon_sym_LBRACE,
    STATE(3987), 1,
      sym_type_arguments,
    ACTIONS(7176), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [131429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3762), 1,
      anon_sym_COLON,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    ACTIONS(7178), 1,
      anon_sym_RBRACE,
    STATE(4077), 1,
      aux_sym_object_pattern_repeat1,
  [131448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2517), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(7000), 1,
      anon_sym_PIPE,
    ACTIONS(7180), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [131476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(7182), 1,
      anon_sym_EQ_GT,
    STATE(4549), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [131491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7008), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7185), 1,
      anon_sym_BQUOTE,
    ACTIONS(7187), 1,
      sym__template_chars,
    STATE(3822), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [131508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7189), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [131525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2517), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    ACTIONS(7147), 1,
      anon_sym_SEMI,
    ACTIONS(7149), 1,
      sym__automatic_semicolon,
    ACTIONS(7151), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3601), 1,
      sym_statement_block,
  [131566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2645), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2649), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131610] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 1,
      anon_sym_EQ,
    ACTIONS(7191), 1,
      anon_sym_COMMA,
    ACTIONS(7193), 1,
      anon_sym_RBRACE,
    STATE(3983), 1,
      aux_sym_enum_body_repeat1,
    STATE(4270), 1,
      sym__initializer,
  [131629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4412), 1,
      sym__call_signature,
  [131648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2569), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6043), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_RBRACE,
    ACTIONS(4327), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2569), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131685] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7197), 1,
      anon_sym_BQUOTE,
    ACTIONS(7199), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7202), 1,
      sym__template_chars,
    STATE(3791), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [131702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7205), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [131719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym_list,
    ACTIONS(7207), 1,
      sym_identifier,
    STATE(4914), 1,
      sym_nested_identifier,
    STATE(2766), 2,
      sym_nested_type_identifier,
      sym_ui_list_property_type,
  [131769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3369), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [131788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131799] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 1,
      anon_sym_LBRACE,
    ACTIONS(6980), 1,
      anon_sym_SEMI,
    ACTIONS(6982), 1,
      sym__automatic_semicolon,
    ACTIONS(6984), 1,
      sym__function_signature_automatic_semicolon,
    STATE(177), 1,
      sym_statement_block,
  [131818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4355), 1,
      sym_type_parameters,
    STATE(4383), 1,
      sym__call_signature,
  [131848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4274), 1,
      sym__call_signature,
    STATE(4355), 1,
      sym_type_parameters,
  [131867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4278), 1,
      sym__call_signature,
    STATE(4355), 1,
      sym_type_parameters,
  [131897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7209), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [131919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7008), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7211), 1,
      anon_sym_BQUOTE,
    ACTIONS(7213), 1,
      sym__template_chars,
    STATE(3644), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [131958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2681), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      sym_identifier,
    ACTIONS(7215), 1,
      anon_sym_RBRACE,
    STATE(4289), 1,
      sym__import_export_specifier,
    ACTIONS(6885), 2,
      anon_sym_type,
      anon_sym_typeof,
  [132008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    STATE(4016), 1,
      sym__initializer,
    ACTIONS(7217), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(835), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1438), 1,
      anon_sym_LBRACE,
    ACTIONS(6482), 1,
      anon_sym_extends,
    STATE(3810), 1,
      sym_object_type,
    STATE(4117), 1,
      sym_extends_type_clause,
  [132086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(7000), 1,
      anon_sym_PIPE,
    ACTIONS(7219), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [132103] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_LBRACE,
    ACTIONS(7159), 1,
      anon_sym_SEMI,
    ACTIONS(7161), 1,
      sym__automatic_semicolon,
    ACTIONS(7163), 1,
      sym__function_signature_automatic_semicolon,
    STATE(879), 1,
      sym_statement_block,
  [132122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7008), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7010), 1,
      sym__template_chars,
    ACTIONS(7221), 1,
      anon_sym_BQUOTE,
    STATE(3791), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [132139] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3380), 1,
      sym_formal_parameters,
    STATE(4318), 1,
      sym__call_signature,
    STATE(4355), 1,
      sym_type_parameters,
  [132158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132169] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LBRACE,
    ACTIONS(6990), 1,
      anon_sym_SEMI,
    ACTIONS(6992), 1,
      sym__automatic_semicolon,
    ACTIONS(6994), 1,
      sym__function_signature_automatic_semicolon,
    STATE(703), 1,
      sym_statement_block,
  [132188] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3197), 1,
      sym_formal_parameters,
    STATE(3556), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_parameters,
  [132207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    STATE(4206), 1,
      sym__initializer,
    ACTIONS(7223), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7008), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7010), 1,
      sym__template_chars,
    ACTIONS(7225), 1,
      anon_sym_BQUOTE,
    STATE(3791), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [132294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7008), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7227), 1,
      anon_sym_BQUOTE,
    ACTIONS(7229), 1,
      sym__template_chars,
    STATE(3833), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [132311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      sym_identifier,
    ACTIONS(7231), 1,
      anon_sym_RBRACE,
    STATE(4305), 1,
      sym__import_export_specifier,
    ACTIONS(6885), 2,
      anon_sym_type,
      anon_sym_typeof,
  [132339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_EQ,
    STATE(4205), 1,
      sym__initializer,
    ACTIONS(7233), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132354] = 4,
    ACTIONS(7235), 1,
      anon_sym_DQUOTE,
    ACTIONS(7239), 1,
      sym_comment,
    STATE(3870), 1,
      aux_sym_string_repeat1,
    ACTIONS(7237), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [132368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4413), 1,
      sym_type_parameters,
    STATE(4624), 1,
      sym_formal_parameters,
  [132384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    STATE(4512), 1,
      sym__from_clause,
    ACTIONS(4964), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [132398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7243), 1,
      anon_sym_RPAREN,
  [132414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7245), 1,
      anon_sym_RBRACK,
  [132430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 4,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_on,
  [132440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_COMMA,
    STATE(3947), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7251), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [132454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7255), 1,
      anon_sym_DOT,
    ACTIONS(7253), 3,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
  [132466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7257), 1,
      anon_sym_COLON,
  [132482] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DQUOTE,
    STATE(3870), 1,
      aux_sym_string_repeat1,
    ACTIONS(7237), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [132496] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_DQUOTE,
    STATE(3851), 1,
      aux_sym_string_repeat1,
    ACTIONS(7263), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [132510] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_SQUOTE,
    STATE(3855), 1,
      aux_sym_string_repeat2,
    ACTIONS(7265), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [132524] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7267), 1,
      anon_sym_SQUOTE,
    STATE(3872), 1,
      aux_sym_string_repeat2,
    ACTIONS(7269), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [132538] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_DQUOTE,
    STATE(3870), 1,
      aux_sym_string_repeat1,
    ACTIONS(7237), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [132552] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7267), 1,
      anon_sym_DQUOTE,
    STATE(3870), 1,
      aux_sym_string_repeat1,
    ACTIONS(7237), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [132566] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7273), 1,
      anon_sym_SQUOTE,
    STATE(3975), 1,
      aux_sym_string_repeat2,
    ACTIONS(7275), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [132580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7277), 1,
      anon_sym_RPAREN,
  [132596] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_SQUOTE,
    STATE(3872), 1,
      aux_sym_string_repeat2,
    ACTIONS(7269), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [132610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 4,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_on,
  [132620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_COMMA,
    STATE(3966), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(7281), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [132634] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7283), 1,
      anon_sym_SQUOTE,
    STATE(3850), 1,
      aux_sym_string_repeat2,
    ACTIONS(7285), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [132648] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    STATE(3852), 1,
      aux_sym_string_repeat1,
    ACTIONS(7287), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [132662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_COMMA,
    STATE(3911), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7289), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [132676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      sym_identifier,
    STATE(4305), 1,
      sym__import_export_specifier,
    ACTIONS(6885), 2,
      anon_sym_type,
      anon_sym_typeof,
  [132690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7291), 1,
      anon_sym_RBRACK,
  [132706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7293), 1,
      anon_sym_COMMA,
    STATE(3863), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(6733), 2,
      anon_sym_LBRACE,
      anon_sym_GT,
  [132720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7296), 1,
      anon_sym_QMARK,
  [132736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7298), 1,
      anon_sym_LPAREN,
    STATE(4408), 1,
      sym_ui_signal_parameters,
    ACTIONS(7300), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [132750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_COMMA,
    STATE(3844), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7302), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [132764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    STATE(4385), 1,
      sym__from_clause,
    ACTIONS(7304), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [132778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      sym_identifier,
    STATE(4289), 1,
      sym__import_export_specifier,
    ACTIONS(6885), 2,
      anon_sym_type,
      anon_sym_typeof,
  [132792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7306), 1,
      anon_sym_COLON,
  [132808] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7308), 1,
      anon_sym_DQUOTE,
    STATE(3870), 1,
      aux_sym_string_repeat1,
    ACTIONS(7310), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [132822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7195), 1,
      anon_sym_RBRACE,
    ACTIONS(4327), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132834] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7313), 1,
      anon_sym_SQUOTE,
    STATE(3872), 1,
      aux_sym_string_repeat2,
    ACTIONS(7315), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [132848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 1,
      anon_sym_COMMA,
    ACTIONS(6823), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3970), 1,
      aux_sym_extends_type_clause_repeat1,
  [132864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(7318), 1,
      anon_sym_class,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
  [132880] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7320), 1,
      anon_sym_DQUOTE,
    STATE(3879), 1,
      aux_sym_string_repeat1,
    ACTIONS(7322), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [132894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7324), 1,
      anon_sym_RBRACK,
  [132910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7326), 1,
      anon_sym_COLON,
  [132926] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7320), 1,
      anon_sym_SQUOTE,
    STATE(3880), 1,
      aux_sym_string_repeat2,
    ACTIONS(7328), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [132940] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7330), 1,
      anon_sym_DQUOTE,
    STATE(3870), 1,
      aux_sym_string_repeat1,
    ACTIONS(7237), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [132954] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7330), 1,
      anon_sym_SQUOTE,
    STATE(3872), 1,
      aux_sym_string_repeat2,
    ACTIONS(7269), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [132968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      sym_escape_sequence,
    ACTIONS(7334), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [132980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7337), 1,
      anon_sym_LBRACE,
    ACTIONS(7339), 1,
      anon_sym_COMMA,
    ACTIONS(7342), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3882), 1,
      aux_sym_extends_type_clause_repeat1,
  [132996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 1,
      anon_sym_EQ,
    STATE(4270), 1,
      sym__initializer,
    ACTIONS(7344), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [133010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    STATE(1691), 2,
      sym_template_string,
      sym_arguments,
  [133024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_EQ_GT,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [133036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3271), 1,
      sym_formal_parameters,
    STATE(4502), 1,
      sym_type_parameters,
  [133052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_COMMA,
    STATE(3947), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7346), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [133066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7348), 1,
      anon_sym_RBRACK,
  [133082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7350), 1,
      anon_sym_RBRACK,
  [133098] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7273), 1,
      anon_sym_DQUOTE,
    STATE(3979), 1,
      aux_sym_string_repeat1,
    ACTIONS(7352), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [133112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7354), 1,
      anon_sym_RBRACK,
  [133128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_COMMA,
    ACTIONS(7356), 1,
      anon_sym_EQ,
    ACTIONS(7358), 1,
      anon_sym_RBRACK,
    STATE(4082), 1,
      aux_sym_array_pattern_repeat1,
  [133144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_COMMA,
    STATE(3887), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [133158] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_DQUOTE,
    STATE(3901), 1,
      aux_sym_string_repeat1,
    ACTIONS(7364), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [133172] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7366), 1,
      anon_sym_SQUOTE,
    STATE(3872), 1,
      aux_sym_string_repeat2,
    ACTIONS(7269), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [133186] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7366), 1,
      anon_sym_DQUOTE,
    STATE(3870), 1,
      aux_sym_string_repeat1,
    ACTIONS(7237), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [133200] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_SQUOTE,
    STATE(3895), 1,
      aux_sym_string_repeat2,
    ACTIONS(7370), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [133214] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_DQUOTE,
    STATE(3896), 1,
      aux_sym_string_repeat1,
    ACTIONS(7372), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [133228] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    STATE(3902), 1,
      aux_sym_string_repeat2,
    ACTIONS(7374), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [133242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(824), 1,
      sym_statement_block,
    ACTIONS(1502), 2,
      anon_sym_else,
      anon_sym_while,
  [133256] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7376), 1,
      anon_sym_DQUOTE,
    STATE(3870), 1,
      aux_sym_string_repeat1,
    ACTIONS(7237), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [133270] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7376), 1,
      anon_sym_SQUOTE,
    STATE(3872), 1,
      aux_sym_string_repeat2,
    ACTIONS(7269), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [133284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_COMMA,
    STATE(3947), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7378), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [133298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    STATE(4521), 1,
      sym__from_clause,
    ACTIONS(7380), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [133312] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7382), 1,
      anon_sym_DQUOTE,
    STATE(3838), 1,
      aux_sym_string_repeat1,
    ACTIONS(7384), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [133326] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7382), 1,
      anon_sym_SQUOTE,
    STATE(3923), 1,
      aux_sym_string_repeat2,
    ACTIONS(7386), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [133340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_COMMA,
    ACTIONS(7356), 1,
      anon_sym_EQ,
    ACTIONS(7388), 1,
      anon_sym_RBRACK,
    STATE(4026), 1,
      aux_sym_array_pattern_repeat1,
  [133356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7390), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [133366] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_SQUOTE,
    STATE(3872), 1,
      aux_sym_string_repeat2,
    ACTIONS(7269), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [133380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7392), 1,
      anon_sym_COLON,
  [133396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_COMMA,
    STATE(3947), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7394), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [133410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_COMMA,
    STATE(3949), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7396), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [133424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7398), 1,
      anon_sym_RPAREN,
  [133440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(7400), 1,
      anon_sym_class,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
  [133456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7402), 1,
      anon_sym_RBRACK,
  [133472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7404), 1,
      anon_sym_RBRACK,
  [133488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7406), 1,
      anon_sym_RBRACK,
  [133504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7408), 1,
      anon_sym_QMARK,
  [133520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7410), 1,
      anon_sym_QMARK,
  [133536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4397), 1,
      sym_type_parameters,
    STATE(4721), 1,
      sym_formal_parameters,
  [133552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7412), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_nested_type_identifier,
    STATE(3873), 1,
      sym_generic_type,
    STATE(4772), 1,
      sym_nested_identifier,
  [133568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 4,
      anon_sym_default,
      anon_sym_readonly,
      anon_sym_property,
      anon_sym_required,
  [133578] = 4,
    ACTIONS(7235), 1,
      anon_sym_SQUOTE,
    ACTIONS(7239), 1,
      sym_comment,
    STATE(3872), 1,
      aux_sym_string_repeat2,
    ACTIONS(7269), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [133592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7414), 1,
      anon_sym_RPAREN,
  [133608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4583), 1,
      sym_type_parameters,
    STATE(4663), 1,
      sym_formal_parameters,
  [133624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4481), 1,
      sym_type_parameters,
    STATE(4793), 1,
      sym_formal_parameters,
  [133640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4449), 1,
      sym_type_parameters,
    STATE(4684), 1,
      sym_formal_parameters,
  [133656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7416), 1,
      anon_sym_QMARK,
  [133672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4451), 1,
      sym_type_parameters,
    STATE(4932), 1,
      sym_formal_parameters,
  [133688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 1,
      anon_sym_EQ,
    STATE(4603), 1,
      sym__initializer,
    ACTIONS(7418), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [133702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_COMMA,
    STATE(3947), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7420), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [133716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3885), 1,
      anon_sym_LBRACE,
    ACTIONS(6378), 1,
      anon_sym_STAR,
    STATE(4799), 2,
      sym_namespace_import_export,
      sym_named_imports,
  [133730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7422), 1,
      anon_sym_QMARK,
  [133746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4519), 1,
      sym_type_parameters,
    STATE(4639), 1,
      sym_formal_parameters,
  [133762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4474), 1,
      sym_type_parameters,
    STATE(4648), 1,
      sym_formal_parameters,
  [133778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_BQUOTE,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    STATE(2098), 2,
      sym_template_string,
      sym_arguments,
  [133792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4491), 1,
      sym_type_parameters,
    STATE(4722), 1,
      sym_formal_parameters,
  [133808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    STATE(4361), 1,
      sym__from_clause,
    ACTIONS(4861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [133822] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7424), 1,
      anon_sym_SQUOTE,
    STATE(3909), 1,
      aux_sym_string_repeat2,
    ACTIONS(7426), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [133836] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7428), 1,
      anon_sym_COLON,
  [133852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3762), 1,
      anon_sym_COLON,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(7430), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [133866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7093), 1,
      sym_identifier,
    STATE(4311), 1,
      sym_ui_signal_parameter,
    STATE(4706), 1,
      sym_nested_type_identifier,
    STATE(4914), 1,
      sym_nested_identifier,
  [133882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7432), 1,
      anon_sym_COLON,
  [133898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    STATE(4599), 1,
      sym__from_clause,
    ACTIONS(5020), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [133912] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7424), 1,
      anon_sym_DQUOTE,
    STATE(3847), 1,
      aux_sym_string_repeat1,
    ACTIONS(7434), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [133926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7436), 1,
      anon_sym_EQ,
    ACTIONS(7438), 1,
      anon_sym_COMMA,
    ACTIONS(7440), 1,
      anon_sym_RBRACE,
    STATE(4155), 1,
      aux_sym__qml_enum_body_repeat1,
  [133942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7442), 1,
      anon_sym_COMMA,
    STATE(3947), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7445), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [133956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7447), 1,
      anon_sym_QMARK,
  [133972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_COMMA,
    STATE(3947), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7449), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [133986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_COMMA,
    STATE(3903), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7451), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [134000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_COMMA,
    STATE(3966), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(7453), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [134014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [134024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4326), 1,
      sym_type_parameters,
    STATE(4913), 1,
      sym_formal_parameters,
  [134050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6213), 1,
      anon_sym_EQ,
    STATE(4328), 1,
      sym_default_type,
    ACTIONS(7455), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [134064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7457), 1,
      anon_sym_RBRACK,
  [134080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4584), 1,
      sym_type_parameters,
    STATE(4940), 1,
      sym_formal_parameters,
  [134096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7459), 1,
      anon_sym_RBRACK,
  [134112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7461), 1,
      anon_sym_RPAREN,
  [134128] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7463), 1,
      anon_sym_SQUOTE,
    STATE(3872), 1,
      aux_sym_string_repeat2,
    ACTIONS(7269), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [134142] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7463), 1,
      anon_sym_DQUOTE,
    STATE(3870), 1,
      aux_sym_string_repeat1,
    ACTIONS(7237), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [134156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_AT,
    ACTIONS(7465), 1,
      anon_sym_export,
    STATE(1140), 1,
      sym_decorator,
    STATE(3472), 1,
      aux_sym_export_statement_repeat1,
  [134172] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7467), 1,
      anon_sym_SQUOTE,
    STATE(3960), 1,
      aux_sym_string_repeat2,
    ACTIONS(7469), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [134186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_COMMA,
    STATE(3931), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7471), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [134200] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7467), 1,
      anon_sym_DQUOTE,
    STATE(3961), 1,
      aux_sym_string_repeat1,
    ACTIONS(7473), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [134214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7477), 1,
      anon_sym_COMMA,
    STATE(3966), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(7475), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [134228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym_EQ,
    STATE(4333), 1,
      sym__initializer,
    ACTIONS(6360), 2,
      anon_sym_in,
      anon_sym_of,
  [134242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3350), 1,
      sym_formal_parameters,
    STATE(4371), 1,
      sym_type_parameters,
  [134258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7482), 1,
      anon_sym_COMMA,
    STATE(3969), 1,
      aux_sym_array_repeat1,
    ACTIONS(5012), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [134272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 1,
      anon_sym_COMMA,
    ACTIONS(7485), 1,
      anon_sym_LBRACE,
    ACTIONS(7487), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3882), 1,
      aux_sym_extends_type_clause_repeat1,
  [134288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 1,
      anon_sym_COMMA,
    ACTIONS(7485), 1,
      anon_sym_LBRACE,
    ACTIONS(7487), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3882), 1,
      aux_sym_extends_type_clause_repeat1,
  [134304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 1,
      anon_sym_COMMA,
    ACTIONS(7489), 1,
      anon_sym_LBRACE,
    ACTIONS(7491), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3882), 1,
      aux_sym_extends_type_clause_repeat1,
  [134320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7493), 1,
      sym_identifier,
    STATE(3772), 1,
      sym_nested_type_identifier,
    STATE(4232), 1,
      sym_generic_type,
    STATE(4772), 1,
      sym_nested_identifier,
  [134336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 1,
      anon_sym_EQ,
    STATE(4398), 1,
      sym__initializer,
    ACTIONS(7495), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [134350] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7497), 1,
      anon_sym_SQUOTE,
    STATE(3872), 1,
      aux_sym_string_repeat2,
    ACTIONS(7269), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [134364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    STATE(4476), 1,
      sym__from_clause,
    ACTIONS(7499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [134378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4565), 1,
      sym_type_parameters,
    STATE(4747), 1,
      sym_formal_parameters,
  [134394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3762), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [134406] = 4,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(7497), 1,
      anon_sym_DQUOTE,
    STATE(3870), 1,
      aux_sym_string_repeat1,
    ACTIONS(7237), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [134420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
    ACTIONS(7503), 1,
      anon_sym_RBRACK,
  [134436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 1,
      anon_sym_RBRACK,
    ACTIONS(7505), 1,
      anon_sym_COMMA,
    STATE(4040), 1,
      aux_sym_tuple_type_repeat1,
  [134449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7507), 1,
      anon_sym_COMMA,
    ACTIONS(7509), 1,
      anon_sym_RBRACE,
    STATE(4127), 1,
      aux_sym_object_repeat1,
  [134462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7511), 1,
      anon_sym_COMMA,
    ACTIONS(7513), 1,
      anon_sym_RBRACE,
    STATE(4219), 1,
      aux_sym_enum_body_repeat1,
  [134475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_LBRACE,
    ACTIONS(7170), 1,
      anon_sym_DOT,
    STATE(4597), 1,
      sym_ui_object_initializer,
  [134488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(7170), 1,
      anon_sym_DOT,
    STATE(2479), 1,
      sym_ui_object_initializer,
  [134501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4253), 1,
      anon_sym_LBRACE,
    ACTIONS(4255), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [134512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym_LBRACE,
    ACTIONS(4469), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [134523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7515), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_decorator_member_expression,
    STATE(1123), 1,
      sym_decorator_call_expression,
  [134536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(5649), 1,
      anon_sym_DOT,
    STATE(2746), 1,
      sym_ui_object_initializer,
  [134549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7519), 1,
      anon_sym_COLON,
    ACTIONS(7517), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [134560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    ACTIONS(7521), 1,
      anon_sym_RBRACE,
    STATE(4021), 1,
      aux_sym_object_pattern_repeat1,
  [134573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    ACTIONS(7521), 1,
      anon_sym_RBRACE,
    STATE(4079), 1,
      aux_sym_object_pattern_repeat1,
  [134586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DQUOTE,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    STATE(4912), 1,
      sym_string,
  [134599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_COMMA,
    ACTIONS(7526), 1,
      anon_sym_RBRACE,
    STATE(3994), 1,
      aux_sym_named_imports_repeat1,
  [134612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_COMMA,
    ACTIONS(7388), 1,
      anon_sym_RBRACK,
    STATE(4026), 1,
      aux_sym_array_pattern_repeat1,
  [134625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_COMMA,
    ACTIONS(7388), 1,
      anon_sym_RBRACK,
    STATE(4083), 1,
      aux_sym_array_pattern_repeat1,
  [134638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LPAREN,
    ACTIONS(7530), 1,
      anon_sym_await,
    STATE(37), 1,
      sym__for_header,
  [134651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(7532), 1,
      anon_sym_EQ,
    STATE(4956), 1,
      sym_type_parameters,
  [134664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7534), 1,
      sym_identifier,
    ACTIONS(7536), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [134675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7538), 1,
      sym_identifier,
    ACTIONS(7540), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [134686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7542), 1,
      anon_sym_COMMA,
    ACTIONS(7545), 1,
      anon_sym_RBRACE,
    STATE(4001), 1,
      aux_sym_export_clause_repeat1,
  [134699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7547), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [134708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7507), 1,
      anon_sym_COMMA,
    ACTIONS(7549), 1,
      anon_sym_RBRACE,
    STATE(4042), 1,
      aux_sym_object_repeat1,
  [134721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7547), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [134730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7507), 1,
      anon_sym_COMMA,
    ACTIONS(7549), 1,
      anon_sym_RBRACE,
    STATE(4127), 1,
      aux_sym_object_repeat1,
  [134743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7551), 1,
      anon_sym_COMMA,
    ACTIONS(7553), 1,
      anon_sym_RPAREN,
    STATE(4047), 1,
      aux_sym_formal_parameters_repeat1,
  [134756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(5062), 1,
      anon_sym_RBRACK,
    STATE(4049), 1,
      aux_sym_array_repeat1,
  [134769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7555), 1,
      anon_sym_COMMA,
    ACTIONS(7557), 1,
      anon_sym_RBRACK,
    STATE(4050), 1,
      aux_sym_ui_object_array_repeat1,
  [134782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7559), 1,
      anon_sym_as,
    ACTIONS(7561), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [134793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(5062), 1,
      anon_sym_RBRACK,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [134806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7563), 1,
      anon_sym_COMMA,
    ACTIONS(7565), 1,
      anon_sym_GT,
    STATE(4066), 1,
      aux_sym_type_parameters_repeat1,
  [134819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(5944), 1,
      anon_sym_DOT,
    STATE(2474), 1,
      sym_ui_object_initializer,
  [134832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(5944), 1,
      anon_sym_DOT,
    STATE(2686), 1,
      sym_ui_object_initializer,
  [134845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(7170), 1,
      anon_sym_DOT,
    STATE(2688), 1,
      sym_ui_object_initializer,
  [134858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6636), 1,
      sym_identifier,
    ACTIONS(6638), 1,
      anon_sym_LBRACK,
    ACTIONS(6640), 1,
      sym_private_property_identifier,
  [134871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7567), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    ACTIONS(7569), 1,
      anon_sym_RBRACE,
    STATE(4079), 1,
      aux_sym_object_pattern_repeat1,
  [134893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    ACTIONS(7573), 1,
      anon_sym_RBRACE,
    STATE(4078), 1,
      aux_sym_object_pattern_repeat1,
  [134915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    ACTIONS(7573), 1,
      anon_sym_RBRACE,
    STATE(4079), 1,
      aux_sym_object_pattern_repeat1,
  [134928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    ACTIONS(7575), 1,
      anon_sym_RBRACE,
    STATE(4079), 1,
      aux_sym_object_pattern_repeat1,
  [134941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_COMMA,
    ACTIONS(7358), 1,
      anon_sym_RBRACK,
    STATE(4082), 1,
      aux_sym_array_pattern_repeat1,
  [134954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_COMMA,
    ACTIONS(7581), 1,
      anon_sym_RBRACK,
    STATE(4083), 1,
      aux_sym_array_pattern_repeat1,
  [134994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_COMMA,
    ACTIONS(7358), 1,
      anon_sym_RBRACK,
    STATE(4083), 1,
      aux_sym_array_pattern_repeat1,
  [135016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7583), 1,
      sym_identifier,
    STATE(1123), 1,
      sym_decorator_call_expression,
    STATE(3303), 1,
      sym_decorator_member_expression,
  [135038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(5944), 1,
      anon_sym_DOT,
    STATE(2689), 1,
      sym_ui_object_initializer,
  [135069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_LBRACE,
    ACTIONS(7170), 1,
      anon_sym_DOT,
    STATE(2690), 1,
      sym_ui_object_initializer,
  [135082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7587), 1,
      anon_sym_COLON,
    ACTIONS(7585), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [135093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7591), 1,
      anon_sym_COLON,
    ACTIONS(7589), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [135104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7593), 1,
      sym_identifier,
    STATE(4709), 1,
      sym_nested_type_identifier,
    STATE(4914), 1,
      sym_nested_identifier,
  [135117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [135126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7599), 1,
      anon_sym_COLON,
    ACTIONS(7597), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [135137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7601), 1,
      anon_sym_COMMA,
    ACTIONS(7604), 1,
      anon_sym_RBRACK,
    STATE(4040), 1,
      aux_sym_tuple_type_repeat1,
  [135150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7608), 1,
      anon_sym_COLON,
    ACTIONS(7606), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [135161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7507), 1,
      anon_sym_COMMA,
    ACTIONS(7610), 1,
      anon_sym_RBRACE,
    STATE(4127), 1,
      aux_sym_object_repeat1,
  [135174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2339), 1,
      anon_sym_while,
    ACTIONS(7612), 1,
      anon_sym_else,
    STATE(2538), 1,
      sym_else_clause,
  [135187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 3,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
  [135196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_EQ,
    ACTIONS(7618), 1,
      anon_sym_COMMA,
    ACTIONS(7620), 1,
      anon_sym_from,
  [135209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(7622), 1,
      anon_sym_EQ,
    STATE(4848), 1,
      sym_type_parameters,
  [135222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_RPAREN,
    ACTIONS(7624), 1,
      anon_sym_COMMA,
    STATE(4199), 1,
      aux_sym_formal_parameters_repeat1,
  [135235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_LBRACE,
    ACTIONS(7626), 1,
      anon_sym_LPAREN,
    STATE(686), 1,
      sym_statement_block,
  [135248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(7628), 1,
      anon_sym_RBRACK,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [135261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7555), 1,
      anon_sym_COMMA,
    ACTIONS(7630), 1,
      anon_sym_RBRACK,
    STATE(4207), 1,
      aux_sym_ui_object_array_repeat1,
  [135274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7632), 1,
      anon_sym_LPAREN,
    ACTIONS(7634), 1,
      anon_sym_await,
    STATE(51), 1,
      sym__for_header,
  [135287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      sym_identifier,
    ACTIONS(7638), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [135298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7640), 1,
      sym_identifier,
    ACTIONS(7642), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [135309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7507), 1,
      anon_sym_COMMA,
    ACTIONS(7509), 1,
      anon_sym_RBRACE,
    STATE(4125), 1,
      aux_sym_object_repeat1,
  [135322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [135331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7644), 1,
      anon_sym_COMMA,
    ACTIONS(7646), 1,
      anon_sym_RPAREN,
    STATE(4131), 1,
      aux_sym_formal_parameters_repeat1,
  [135344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7648), 1,
      anon_sym_COMMA,
    ACTIONS(7650), 1,
      anon_sym_RBRACK,
    STATE(4120), 1,
      aux_sym_tuple_type_repeat1,
  [135357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4976), 1,
      anon_sym_RBRACK,
    STATE(4135), 1,
      aux_sym_array_repeat1,
  [135370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7555), 1,
      anon_sym_COMMA,
    ACTIONS(7652), 1,
      anon_sym_RBRACK,
    STATE(4136), 1,
      aux_sym_ui_object_array_repeat1,
  [135383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4976), 1,
      anon_sym_RBRACK,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [135396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      anon_sym_AMP,
    ACTIONS(6310), 1,
      anon_sym_extends,
    ACTIONS(7000), 1,
      anon_sym_PIPE,
  [135409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 1,
      anon_sym_GT,
    ACTIONS(7654), 1,
      anon_sym_COMMA,
    STATE(3863), 1,
      aux_sym_implements_clause_repeat1,
  [135422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7656), 1,
      anon_sym_COMMA,
    ACTIONS(7658), 1,
      anon_sym_GT,
    STATE(4145), 1,
      aux_sym_type_parameters_repeat1,
  [135435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7660), 1,
      sym_identifier,
    ACTIONS(7662), 1,
      anon_sym_GT,
    STATE(4319), 1,
      sym_type_parameter,
  [135448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_implements,
    ACTIONS(7664), 1,
      anon_sym_LBRACE,
    STATE(4677), 1,
      sym_implements_clause,
  [135461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7662), 1,
      anon_sym_GT,
    ACTIONS(7666), 1,
      anon_sym_COMMA,
    STATE(4239), 1,
      aux_sym_type_parameters_repeat1,
  [135474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6518), 1,
      sym_identifier,
    ACTIONS(6520), 1,
      anon_sym_LBRACK,
    ACTIONS(6522), 1,
      sym_private_property_identifier,
  [135487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7668), 1,
      anon_sym_COMMA,
    ACTIONS(7670), 1,
      anon_sym_RBRACE,
    STATE(4219), 1,
      aux_sym_enum_body_repeat1,
  [135500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4988), 1,
      anon_sym_RPAREN,
    STATE(4126), 1,
      aux_sym_array_repeat1,
  [135513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7672), 1,
      anon_sym_COMMA,
    ACTIONS(7674), 1,
      anon_sym_RBRACE,
    STATE(4219), 1,
      aux_sym_enum_body_repeat1,
  [135526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4988), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [135539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7676), 1,
      anon_sym_COMMA,
    ACTIONS(7678), 1,
      anon_sym_RBRACE,
    STATE(4219), 1,
      aux_sym_enum_body_repeat1,
  [135552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7507), 1,
      anon_sym_COMMA,
    ACTIONS(7680), 1,
      anon_sym_RBRACE,
    STATE(4127), 1,
      aux_sym_object_repeat1,
  [135565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7682), 1,
      anon_sym_LBRACE,
    ACTIONS(7050), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [135576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3473), 1,
      sym_type_predicate,
    ACTIONS(7684), 2,
      sym_identifier,
      sym_this,
  [135587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym_LBRACE,
    ACTIONS(7209), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [135598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    ACTIONS(7688), 1,
      anon_sym_RBRACE,
    STATE(4079), 1,
      aux_sym_object_pattern_repeat1,
  [135611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    ACTIONS(7690), 1,
      anon_sym_RBRACE,
    STATE(4079), 1,
      aux_sym_object_pattern_repeat1,
  [135624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7692), 1,
      anon_sym_COMMA,
    ACTIONS(7695), 1,
      anon_sym_RBRACE,
    STATE(4079), 1,
      aux_sym_object_pattern_repeat1,
  [135637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7697), 1,
      anon_sym_COMMA,
    ACTIONS(7699), 1,
      anon_sym_RBRACK,
    STATE(3981), 1,
      aux_sym_tuple_type_repeat1,
  [135650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7356), 1,
      anon_sym_EQ,
    ACTIONS(7701), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [135661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_COMMA,
    ACTIONS(7703), 1,
      anon_sym_RBRACK,
    STATE(4083), 1,
      aux_sym_array_pattern_repeat1,
  [135674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_RBRACK,
    ACTIONS(7705), 1,
      anon_sym_COMMA,
    STATE(4083), 1,
      aux_sym_array_pattern_repeat1,
  [135687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4239), 1,
      anon_sym_extends,
    ACTIONS(7708), 1,
      anon_sym_AMP,
    ACTIONS(7710), 1,
      anon_sym_PIPE,
  [135700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7712), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3198), 1,
      anon_sym_GT,
    ACTIONS(7714), 1,
      anon_sym_COMMA,
    STATE(3863), 1,
      aux_sym_implements_clause_repeat1,
  [135722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7445), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_EQ,
    ACTIONS(3525), 2,
      anon_sym_in,
      anon_sym_of,
  [135751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5997), 1,
      anon_sym_DOT,
    ACTIONS(7718), 1,
      sym_identifier,
    ACTIONS(7720), 1,
      anon_sym_COLON,
  [135764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7722), 1,
      anon_sym_COMMA,
    ACTIONS(7724), 1,
      anon_sym_RPAREN,
    STATE(4154), 1,
      aux_sym_ui_signal_parameters_repeat1,
  [135777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(5060), 1,
      anon_sym_RPAREN,
    STATE(4122), 1,
      aux_sym_array_repeat1,
  [135790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(5060), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [135803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7438), 1,
      anon_sym_COMMA,
    ACTIONS(7726), 1,
      anon_sym_RBRACE,
    STATE(4156), 1,
      aux_sym__qml_enum_body_repeat1,
  [135816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COLON,
    ACTIONS(7728), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [135827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7734), 1,
      anon_sym_COLON,
    ACTIONS(7732), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [135838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7738), 1,
      anon_sym_COLON,
    ACTIONS(7736), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [135849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7742), 1,
      anon_sym_COLON,
    ACTIONS(7740), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [135860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    ACTIONS(7744), 1,
      anon_sym_as,
    STATE(4511), 1,
      sym__from_clause,
  [135873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_LBRACE,
    ACTIONS(7746), 1,
      sym_identifier,
    STATE(3938), 1,
      sym_export_clause,
  [135886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_COLON,
    ACTIONS(7748), 1,
      anon_sym_RPAREN,
    STATE(4884), 1,
      sym_type_annotation,
  [135899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2645), 1,
      sym_object_type,
  [135912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7507), 1,
      anon_sym_COMMA,
    ACTIONS(7750), 1,
      anon_sym_RBRACE,
    STATE(4127), 1,
      aux_sym_object_repeat1,
  [135925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7752), 1,
      sym_identifier,
    ACTIONS(7754), 1,
      anon_sym_LBRACK,
    ACTIONS(7756), 1,
      sym_private_property_identifier,
  [135938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7758), 1,
      anon_sym_LBRACE,
    ACTIONS(7014), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [135949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7760), 1,
      sym_identifier,
    ACTIONS(7762), 1,
      anon_sym_LBRACK,
    ACTIONS(7764), 1,
      sym_private_property_identifier,
  [135962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LT,
    ACTIONS(7766), 1,
      anon_sym_EQ,
    STATE(4775), 1,
      sym_type_parameters,
  [135975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      sym_identifier,
    ACTIONS(7770), 1,
      anon_sym_LBRACK,
    ACTIONS(7772), 1,
      sym_private_property_identifier,
  [135988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      sym_identifier,
    ACTIONS(7776), 1,
      anon_sym_LBRACK,
    ACTIONS(7778), 1,
      sym_private_property_identifier,
  [136001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7780), 1,
      sym_identifier,
    ACTIONS(7782), 1,
      anon_sym_LBRACK,
    ACTIONS(7784), 1,
      sym_private_property_identifier,
  [136014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      sym_identifier,
    ACTIONS(7788), 1,
      anon_sym_LBRACK,
    ACTIONS(7790), 1,
      sym_private_property_identifier,
  [136027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_COMMA,
    ACTIONS(7620), 1,
      anon_sym_from,
    ACTIONS(7792), 1,
      anon_sym_EQ,
  [136040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7794), 1,
      sym_identifier,
    ACTIONS(7796), 1,
      anon_sym_LBRACK,
    ACTIONS(7798), 1,
      sym_private_property_identifier,
  [136053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7800), 1,
      sym_identifier,
    ACTIONS(7802), 1,
      anon_sym_LBRACK,
    ACTIONS(7804), 1,
      sym_private_property_identifier,
  [136066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7806), 1,
      anon_sym_COMMA,
    ACTIONS(7808), 1,
      anon_sym_RBRACE,
    STATE(4068), 1,
      aux_sym_enum_body_repeat1,
  [136079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_LBRACE,
    ACTIONS(7810), 1,
      sym_identifier,
    STATE(3840), 1,
      sym_export_clause,
  [136092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(835), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1438), 1,
      anon_sym_LBRACE,
    STATE(3798), 1,
      sym_object_type,
  [136105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    ACTIONS(7744), 1,
      anon_sym_as,
    STATE(4357), 1,
      sym__from_clause,
  [136118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7812), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2955), 1,
      anon_sym_RBRACK,
    ACTIONS(7814), 1,
      anon_sym_COMMA,
    STATE(4040), 1,
      aux_sym_tuple_type_repeat1,
  [136140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7816), 1,
      anon_sym_EQ,
    ACTIONS(3433), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [136151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(7819), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [136164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7660), 1,
      sym_identifier,
    ACTIONS(7821), 1,
      anon_sym_GT,
    STATE(4319), 1,
      sym_type_parameter,
  [136177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7507), 1,
      anon_sym_COMMA,
    ACTIONS(7825), 1,
      anon_sym_RBRACE,
    STATE(4127), 1,
      aux_sym_object_repeat1,
  [136199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(7827), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [136212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_COMMA,
    ACTIONS(7832), 1,
      anon_sym_RBRACE,
    STATE(4127), 1,
      aux_sym_object_repeat1,
  [136225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_DOT,
    ACTIONS(7836), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [136245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [136254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 1,
      anon_sym_RPAREN,
    ACTIONS(7838), 1,
      anon_sym_COMMA,
    STATE(4199), 1,
      aux_sym_formal_parameters_repeat1,
  [136267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7840), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    ACTIONS(7842), 1,
      anon_sym_LPAREN,
    STATE(2470), 1,
      sym_statement_block,
  [136289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5012), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [136298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(7844), 1,
      anon_sym_RBRACK,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [136311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7555), 1,
      anon_sym_COMMA,
    ACTIONS(7846), 1,
      anon_sym_RBRACK,
    STATE(4207), 1,
      aux_sym_ui_object_array_repeat1,
  [136324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_DOT,
    ACTIONS(7848), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [136335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7850), 1,
      anon_sym_COMMA,
    ACTIONS(7852), 1,
      anon_sym_RBRACK,
    STATE(4228), 1,
      aux_sym_tuple_type_repeat1,
  [136348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_AMP,
    ACTIONS(6095), 1,
      anon_sym_PIPE,
    ACTIONS(6097), 1,
      anon_sym_extends,
  [136361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2604), 1,
      sym_object_type,
  [136374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [136383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3202), 1,
      anon_sym_GT,
    ACTIONS(7854), 1,
      anon_sym_COMMA,
    STATE(3863), 1,
      aux_sym_implements_clause_repeat1,
  [136396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7660), 1,
      sym_identifier,
    ACTIONS(7856), 1,
      anon_sym_GT,
    STATE(4319), 1,
      sym_type_parameter,
  [136409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7858), 1,
      anon_sym_COMMA,
    ACTIONS(7860), 1,
      anon_sym_RBRACE,
    STATE(4163), 1,
      aux_sym_enum_body_repeat1,
  [136422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7856), 1,
      anon_sym_GT,
    ACTIONS(7862), 1,
      anon_sym_COMMA,
    STATE(4239), 1,
      aux_sym_type_parameters_repeat1,
  [136435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3743), 1,
      sym_type_predicate,
    ACTIONS(7864), 2,
      sym_identifier,
      sym_this,
  [136446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4986), 1,
      anon_sym_RPAREN,
    STATE(4237), 1,
      aux_sym_array_repeat1,
  [136468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(4986), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [136481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7866), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7356), 1,
      anon_sym_EQ,
    ACTIONS(7868), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [136501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7870), 1,
      sym_identifier,
    STATE(4301), 1,
      sym_nested_type_identifier,
    STATE(4914), 1,
      sym_nested_identifier,
  [136514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_COLON,
    ACTIONS(7872), 1,
      anon_sym_RPAREN,
    STATE(4708), 1,
      sym_type_annotation,
  [136527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7722), 1,
      anon_sym_COMMA,
    ACTIONS(7874), 1,
      anon_sym_RPAREN,
    STATE(4244), 1,
      aux_sym_ui_signal_parameters_repeat1,
  [136540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7438), 1,
      anon_sym_COMMA,
    ACTIONS(7876), 1,
      anon_sym_RBRACE,
    STATE(4171), 1,
      aux_sym__qml_enum_body_repeat1,
  [136553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7438), 1,
      anon_sym_COMMA,
    ACTIONS(7878), 1,
      anon_sym_RBRACE,
    STATE(4171), 1,
      aux_sym__qml_enum_body_repeat1,
  [136566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_DQUOTE,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    STATE(4359), 1,
      sym_string,
  [136579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7880), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(7882), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [136601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7884), 1,
      sym_identifier,
    ACTIONS(7886), 1,
      anon_sym_require,
    STATE(4137), 1,
      sym_nested_identifier,
  [136614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7888), 1,
      anon_sym_COMMA,
    ACTIONS(7890), 1,
      anon_sym_RBRACE,
    STATE(4219), 1,
      aux_sym_enum_body_repeat1,
  [136627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7892), 1,
      anon_sym_COMMA,
    ACTIONS(7894), 1,
      anon_sym_RBRACE,
    STATE(4072), 1,
      aux_sym_enum_body_repeat1,
  [136640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7896), 1,
      anon_sym_COMMA,
    ACTIONS(7898), 1,
      anon_sym_RBRACE,
    STATE(4219), 1,
      aux_sym_enum_body_repeat1,
  [136653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1377), 1,
      anon_sym_LBRACE,
    STATE(788), 1,
      sym_object_type,
  [136666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [136675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7902), 1,
      anon_sym_as,
    ACTIONS(7904), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [136686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 1,
      anon_sym_RBRACK,
    ACTIONS(7906), 1,
      anon_sym_COMMA,
    STATE(4040), 1,
      aux_sym_tuple_type_repeat1,
  [136699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4285), 1,
      sym_type_predicate,
    ACTIONS(7908), 2,
      sym_identifier,
      sym_this,
  [136710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      anon_sym_AMP,
    ACTIONS(6769), 1,
      anon_sym_PIPE,
    ACTIONS(6813), 1,
      anon_sym_extends,
  [136723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_LBRACE,
    ACTIONS(7910), 1,
      sym_identifier,
    STATE(3944), 1,
      sym_export_clause,
  [136736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7912), 1,
      anon_sym_COMMA,
    ACTIONS(7915), 1,
      anon_sym_RBRACE,
    STATE(4171), 1,
      aux_sym__qml_enum_body_repeat1,
  [136749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    ACTIONS(7744), 1,
      anon_sym_as,
    STATE(4513), 1,
      sym__from_clause,
  [136762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_COMMA,
    ACTIONS(7620), 1,
      anon_sym_from,
    ACTIONS(7917), 1,
      anon_sym_EQ,
  [136775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      sym_identifier,
    ACTIONS(7921), 1,
      anon_sym_LBRACK,
    ACTIONS(7923), 1,
      sym_private_property_identifier,
  [136788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7925), 1,
      anon_sym_COMMA,
    ACTIONS(7927), 1,
      anon_sym_RBRACE,
    STATE(4184), 1,
      aux_sym_named_imports_repeat1,
  [136801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_require,
    ACTIONS(7929), 1,
      sym_identifier,
    STATE(4183), 1,
      sym_nested_identifier,
  [136814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7931), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7933), 1,
      anon_sym_EQ,
    ACTIONS(3525), 2,
      anon_sym_in,
      anon_sym_of,
  [136834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7935), 1,
      sym_identifier,
    ACTIONS(7937), 1,
      anon_sym_LBRACK,
    ACTIONS(7939), 1,
      sym_private_property_identifier,
  [136847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7941), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7943), 1,
      anon_sym_COMMA,
    ACTIONS(7945), 1,
      anon_sym_RBRACE,
    STATE(4213), 1,
      aux_sym_export_clause_repeat1,
  [136869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7880), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_DOT,
    ACTIONS(7947), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [136889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7949), 1,
      anon_sym_COMMA,
    ACTIONS(7951), 1,
      anon_sym_RBRACE,
    STATE(3994), 1,
      aux_sym_named_imports_repeat1,
  [136902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7955), 1,
      sym_identifier,
    ACTIONS(7957), 1,
      anon_sym_LBRACK,
    ACTIONS(7959), 1,
      sym_private_property_identifier,
  [136924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7961), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1377), 1,
      anon_sym_LBRACE,
    STATE(845), 1,
      sym_object_type,
  [136946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7963), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7965), 1,
      sym_identifier,
    ACTIONS(7967), 1,
      anon_sym_LBRACK,
    ACTIONS(7969), 1,
      sym_private_property_identifier,
  [136968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7963), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7971), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7975), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(835), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1438), 1,
      anon_sym_LBRACE,
    STATE(3808), 1,
      sym_object_type,
  [137017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7975), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7977), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6500), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [137044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7979), 1,
      anon_sym_COMMA,
    ACTIONS(7982), 1,
      anon_sym_RPAREN,
    STATE(4199), 1,
      aux_sym_formal_parameters_repeat1,
  [137057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7986), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7988), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7986), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7866), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7990), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7992), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7994), 1,
      anon_sym_COMMA,
    ACTIONS(7997), 1,
      anon_sym_RBRACK,
    STATE(4207), 1,
      aux_sym_ui_object_array_repeat1,
  [137133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7999), 1,
      sym_identifier,
    STATE(2032), 1,
      sym_decorator_member_expression,
    STATE(2426), 1,
      sym_decorator_call_expression,
  [137164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(8003), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [137186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8005), 1,
      anon_sym_COMMA,
    ACTIONS(8007), 1,
      anon_sym_RBRACE,
    STATE(4001), 1,
      aux_sym_export_clause_repeat1,
  [137199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8009), 1,
      anon_sym_LPAREN,
    ACTIONS(8011), 1,
      anon_sym_await,
    STATE(55), 1,
      sym__for_header,
  [137212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(5022), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [137225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(5022), 1,
      anon_sym_RPAREN,
    STATE(4212), 1,
      aux_sym_array_repeat1,
  [137238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8013), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [137247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8015), 1,
      anon_sym_COMMA,
    ACTIONS(8018), 1,
      anon_sym_RBRACE,
    STATE(4219), 1,
      aux_sym_enum_body_repeat1,
  [137269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8020), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [137278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_as,
    ACTIONS(8024), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [137289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8026), 1,
      sym_identifier,
    ACTIONS(8028), 1,
      anon_sym_LBRACK,
    ACTIONS(8030), 1,
      sym_private_property_identifier,
  [137302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8032), 1,
      sym_identifier,
    ACTIONS(8034), 1,
      anon_sym_LBRACK,
    ACTIONS(8036), 1,
      sym_private_property_identifier,
  [137315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8038), 1,
      sym_identifier,
    ACTIONS(8040), 1,
      anon_sym_LBRACK,
    ACTIONS(8042), 1,
      sym_private_property_identifier,
  [137328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8044), 1,
      sym_identifier,
    ACTIONS(8046), 1,
      anon_sym_LBRACK,
    ACTIONS(8048), 1,
      sym_private_property_identifier,
  [137341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8050), 1,
      anon_sym_COMMA,
    ACTIONS(8052), 1,
      anon_sym_RPAREN,
    STATE(4233), 1,
      aux_sym_formal_parameters_repeat1,
  [137354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(8054), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [137367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2901), 1,
      anon_sym_RBRACK,
    ACTIONS(8056), 1,
      anon_sym_COMMA,
    STATE(4040), 1,
      aux_sym_tuple_type_repeat1,
  [137380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(5037), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [137393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(5037), 1,
      anon_sym_RPAREN,
    STATE(4227), 1,
      aux_sym_array_repeat1,
  [137406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_GT,
    ACTIONS(8058), 1,
      anon_sym_COMMA,
    STATE(3863), 1,
      aux_sym_implements_clause_repeat1,
  [137419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7174), 1,
      anon_sym_LBRACE,
    ACTIONS(7176), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [137430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_RPAREN,
    ACTIONS(8060), 1,
      anon_sym_COMMA,
    STATE(4199), 1,
      aux_sym_formal_parameters_repeat1,
  [137443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8062), 1,
      anon_sym_COMMA,
    ACTIONS(8064), 1,
      anon_sym_RBRACK,
    STATE(4265), 1,
      aux_sym_tuple_type_repeat1,
  [137456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7660), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_GT,
    STATE(4319), 1,
      sym_type_parameter,
  [137469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(5041), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [137482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(8068), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [137495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 1,
      anon_sym_AMP,
    ACTIONS(6388), 1,
      anon_sym_PIPE,
    ACTIONS(6390), 1,
      anon_sym_extends,
  [137508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8070), 1,
      anon_sym_COMMA,
    ACTIONS(8073), 1,
      anon_sym_GT,
    STATE(4239), 1,
      aux_sym_type_parameters_repeat1,
  [137521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3140), 1,
      anon_sym_GT,
    ACTIONS(8075), 1,
      anon_sym_COMMA,
    STATE(3863), 1,
      aux_sym_implements_clause_repeat1,
  [137534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7436), 1,
      anon_sym_EQ,
    ACTIONS(8077), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [137545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8079), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [137554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7971), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8081), 1,
      anon_sym_COMMA,
    ACTIONS(8084), 1,
      anon_sym_RPAREN,
    STATE(4244), 1,
      aux_sym_ui_signal_parameters_repeat1,
  [137576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8086), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(5039), 1,
      anon_sym_RPAREN,
    STATE(4266), 1,
      aux_sym_array_repeat1,
  [137598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(5039), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [137611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(5041), 1,
      anon_sym_RPAREN,
    STATE(4159), 1,
      aux_sym_array_repeat1,
  [137624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8088), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8090), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8092), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8094), 1,
      sym_identifier,
    ACTIONS(8096), 1,
      anon_sym_LBRACK,
    ACTIONS(8098), 1,
      sym_private_property_identifier,
  [137664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_COMMA,
    ACTIONS(8100), 1,
      anon_sym_LBRACE,
    STATE(3863), 1,
      aux_sym_implements_clause_repeat1,
  [137677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8102), 1,
      sym_identifier,
    ACTIONS(8104), 1,
      anon_sym_LBRACK,
    ACTIONS(8106), 1,
      sym_private_property_identifier,
  [137690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8108), 1,
      anon_sym_COMMA,
    ACTIONS(8110), 1,
      anon_sym_RBRACK,
    STATE(4167), 1,
      aux_sym_tuple_type_repeat1,
  [137703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8112), 1,
      sym_identifier,
    ACTIONS(8114), 1,
      anon_sym_LBRACK,
    ACTIONS(8116), 1,
      sym_private_property_identifier,
  [137716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8118), 1,
      sym_identifier,
    ACTIONS(8120), 1,
      anon_sym_LBRACK,
    ACTIONS(8122), 1,
      sym_private_property_identifier,
  [137738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4982), 1,
      anon_sym_extends,
    ACTIONS(8124), 1,
      anon_sym_AMP,
    ACTIONS(8126), 1,
      anon_sym_PIPE,
  [137751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5997), 1,
      anon_sym_DOT,
    ACTIONS(8128), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [137762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8130), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7971), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3196), 1,
      anon_sym_GT,
    ACTIONS(8132), 1,
      anon_sym_COMMA,
    STATE(3863), 1,
      aux_sym_implements_clause_repeat1,
  [137793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8088), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2933), 1,
      anon_sym_RBRACK,
    ACTIONS(8134), 1,
      anon_sym_COMMA,
    STATE(4040), 1,
      aux_sym_tuple_type_repeat1,
  [137815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(8136), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      aux_sym_array_repeat1,
  [137828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 1,
      anon_sym_is,
    ACTIONS(6530), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [137839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5467), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [137847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2164), 1,
      sym_class_body,
  [137857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8138), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [137865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6402), 1,
      anon_sym_LBRACE,
    STATE(747), 1,
      sym_class_body,
  [137875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8140), 1,
      sym_identifier,
    STATE(3989), 1,
      sym_nested_identifier,
  [137885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    STATE(38), 1,
      sym_parenthesized_expression,
  [137895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 1,
      anon_sym_LBRACE,
    STATE(143), 1,
      sym_statement_block,
  [137905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_LBRACE,
    STATE(665), 1,
      sym_statement_block,
  [137915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    STATE(40), 1,
      sym_parenthesized_expression,
  [137925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [137933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4334), 1,
      sym_statement_block,
  [137943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2721), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [137951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2713), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [137959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8144), 1,
      sym_identifier,
    ACTIONS(8146), 1,
      anon_sym_STAR,
  [137969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8148), 1,
      sym_identifier,
    ACTIONS(8150), 1,
      anon_sym_STAR,
  [137979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8152), 1,
      sym_identifier,
    ACTIONS(8154), 1,
      sym_private_property_identifier,
  [137989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5050), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [137997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [138005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 2,
      anon_sym_in,
      anon_sym_of,
  [138013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3099), 1,
      sym_formal_parameters,
  [138023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8156), 1,
      sym_identifier,
    ACTIONS(8158), 1,
      anon_sym_STAR,
  [138033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8160), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym_parenthesized_expression,
  [138051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8162), 1,
      sym_identifier,
    ACTIONS(8164), 1,
      anon_sym_STAR,
  [138061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    STATE(705), 1,
      sym_class_body,
  [138079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      sym_identifier,
  [138089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    STATE(704), 1,
      sym_class_body,
  [138099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2069), 1,
      sym_class_body,
  [138109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2034), 1,
      sym_class_body,
  [138119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    STATE(2073), 1,
      sym_statement_block,
  [138129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    STATE(2075), 1,
      sym_statement_block,
  [138139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    STATE(2076), 1,
      sym_statement_block,
  [138149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8168), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [138157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8170), 1,
      sym_identifier,
    ACTIONS(8172), 1,
      sym_private_property_identifier,
  [138167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8174), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8176), 1,
      sym_identifier,
    ACTIONS(8178), 1,
      sym_private_property_identifier,
  [138185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8182), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8184), 1,
      sym_identifier,
    ACTIONS(8186), 1,
      sym_private_property_identifier,
  [138211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8094), 1,
      sym_identifier,
    ACTIONS(8098), 1,
      sym_private_property_identifier,
  [138221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2082), 1,
      sym_class_body,
  [138231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8188), 1,
      anon_sym_LBRACE,
    STATE(814), 1,
      sym_switch_body,
  [138241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8084), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [138249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8190), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8192), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8194), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2117), 1,
      sym_class_body,
  [138283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    STATE(1928), 1,
      sym_arguments,
  [138293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8196), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    STATE(2149), 1,
      sym_statement_block,
  [138311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8073), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [138319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6394), 1,
      anon_sym_LBRACE,
    STATE(158), 1,
      sym_class_body,
  [138329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8158), 1,
      anon_sym_STAR,
    ACTIONS(8198), 1,
      sym_identifier,
  [138339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    STATE(693), 1,
      sym_class_body,
  [138349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8200), 1,
      anon_sym_LBRACE,
    STATE(3596), 1,
      sym_enum_body,
  [138359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(2637), 1,
      sym_statement_block,
  [138369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6402), 1,
      anon_sym_LBRACE,
    STATE(737), 1,
      sym_class_body,
  [138379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4856), 1,
      sym_formal_parameters,
  [138389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8202), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [138405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8204), 1,
      anon_sym_LPAREN,
    STATE(45), 1,
      sym__for_header,
  [138415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8206), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8208), 1,
      anon_sym_LBRACE,
    STATE(2745), 1,
      sym__qml_enum_body,
  [138433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8210), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 1,
      anon_sym_in,
    ACTIONS(6965), 1,
      anon_sym_of,
  [138451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5431), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8212), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8214), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4410), 1,
      sym_statement_block,
  [138485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(1735), 1,
      sym_class_body,
  [138495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8218), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8220), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4414), 1,
      sym_statement_block,
  [138537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8224), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    STATE(50), 1,
      sym_parenthesized_expression,
  [138563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    STATE(4439), 1,
      sym_parenthesized_expression,
  [138573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(2278), 1,
      sym_statement_block,
  [138583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    STATE(59), 1,
      sym_parenthesized_expression,
  [138593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_COLON,
    STATE(4418), 1,
      sym_type_annotation,
  [138603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_LBRACE,
    STATE(1738), 1,
      sym_statement_block,
  [138613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(2368), 1,
      sym_class_body,
  [138623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5073), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3545), 1,
      sym_formal_parameters,
  [138641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3470), 1,
      sym_formal_parameters,
  [138651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 1,
      anon_sym_LPAREN,
    STATE(3072), 1,
      sym_arguments,
  [138661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8226), 1,
      anon_sym_SEMI,
    ACTIONS(8228), 1,
      sym__automatic_semicolon,
  [138671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8230), 1,
      sym_identifier,
    ACTIONS(8232), 1,
      sym_private_property_identifier,
  [138681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8234), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    STATE(4445), 1,
      sym_parenthesized_expression,
  [138699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8238), 1,
      anon_sym_SEMI,
    ACTIONS(8240), 1,
      sym__automatic_semicolon,
  [138709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      sym_identifier,
    ACTIONS(8244), 1,
      sym_private_property_identifier,
  [138719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8246), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8026), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      sym_private_property_identifier,
  [138737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6636), 1,
      sym_identifier,
    ACTIONS(6640), 1,
      sym_private_property_identifier,
  [138747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8248), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(2478), 1,
      sym_statement_block,
  [138765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6402), 1,
      anon_sym_LBRACE,
    STATE(710), 1,
      sym_class_body,
  [138775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(2464), 1,
      sym_statement_block,
  [138785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_in,
    ACTIONS(8252), 1,
      anon_sym_COLON,
  [138795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3272), 1,
      sym_formal_parameters,
  [138805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    STATE(58), 1,
      sym_parenthesized_expression,
  [138815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LBRACE,
    STATE(690), 1,
      sym_statement_block,
  [138825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    STATE(3638), 1,
      sym_class_body,
  [138835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    STATE(3710), 1,
      sym_class_body,
  [138845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8256), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8204), 1,
      anon_sym_LPAREN,
    STATE(56), 1,
      sym__for_header,
  [138871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(3161), 1,
      sym_formal_parameters,
  [138881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [138897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7660), 1,
      sym_identifier,
    STATE(4063), 1,
      sym_type_parameter,
  [138907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2472), 1,
      sym_statement_block,
  [138917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7660), 1,
      sym_identifier,
    STATE(4319), 1,
      sym_type_parameter,
  [138927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8262), 1,
      anon_sym_SEMI,
    ACTIONS(8264), 1,
      sym__automatic_semicolon,
  [138937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7604), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7997), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8266), 1,
      sym_identifier,
    STATE(4183), 1,
      sym_nested_identifier,
  [138963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8268), 1,
      anon_sym_SEMI,
    ACTIONS(8270), 1,
      sym__automatic_semicolon,
  [138973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    STATE(699), 1,
      sym_class_body,
  [138983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8200), 1,
      anon_sym_LBRACE,
    STATE(3785), 1,
      sym_enum_body,
  [138993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6414), 1,
      anon_sym_LBRACE,
    STATE(913), 1,
      sym_class_body,
  [139003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(2381), 1,
      sym_class_body,
  [139013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5010), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [139021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4339), 1,
      sym_statement_block,
  [139031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8272), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [139039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4710), 1,
      sym_formal_parameters,
  [139049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8274), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [139057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5008), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [139065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8276), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [139073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(748), 1,
      sym_statement_block,
  [139083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4292), 1,
      sym_statement_block,
  [139093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7982), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [139101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8158), 1,
      anon_sym_STAR,
    ACTIONS(8278), 1,
      sym_identifier,
  [139111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8280), 1,
      anon_sym_LBRACE,
    STATE(2639), 1,
      sym_enum_body,
  [139121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    STATE(42), 1,
      sym_parenthesized_expression,
  [139131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    STATE(4310), 1,
      sym_parenthesized_expression,
  [139141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8282), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [139149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    STATE(46), 1,
      sym_parenthesized_expression,
  [139159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5441), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8284), 1,
      sym_identifier,
    STATE(4094), 1,
      sym__qml_enum_assignment,
  [139177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4431), 1,
      sym_statement_block,
  [139187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4723), 1,
      sym_formal_parameters,
  [139197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5445), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4433), 1,
      sym_statement_block,
  [139215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7660), 1,
      sym_identifier,
    STATE(4011), 1,
      sym_type_parameter,
  [139233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [139241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4496), 1,
      sym_statement_block,
  [139259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8288), 1,
      sym_identifier,
  [139269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4754), 1,
      sym_formal_parameters,
  [139279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_LBRACE,
    STATE(733), 1,
      sym_statement_block,
  [139289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7965), 1,
      sym_identifier,
    ACTIONS(7969), 1,
      sym_private_property_identifier,
  [139299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8290), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [139307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3394), 1,
      anon_sym_LPAREN,
    STATE(2952), 1,
      sym_arguments,
  [139317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      sym_identifier,
    ACTIONS(8294), 1,
      sym_private_property_identifier,
  [139327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_SEMI,
    ACTIONS(8298), 1,
      sym__automatic_semicolon,
  [139337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    STATE(49), 1,
      sym_parenthesized_expression,
  [139347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8300), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [139355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5410), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4526), 1,
      sym_statement_block,
  [139373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4541), 1,
      sym_statement_block,
  [139391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5410), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_COLON,
    STATE(4085), 1,
      sym_type_annotation,
  [139409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6394), 1,
      anon_sym_LBRACE,
    STATE(147), 1,
      sym_class_body,
  [139419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_LBRACE,
    STATE(691), 1,
      sym_statement_block,
  [139429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8302), 1,
      anon_sym_LBRACE,
    STATE(2542), 1,
      sym_switch_body,
  [139439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5445), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4780), 1,
      sym_formal_parameters,
  [139457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 1,
      anon_sym_LBRACE,
    STATE(2579), 1,
      sym_class_body,
  [139467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8304), 1,
      sym_identifier,
    ACTIONS(8306), 1,
      sym_private_property_identifier,
  [139477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 1,
      anon_sym_LBRACE,
    STATE(2492), 1,
      sym_class_body,
  [139487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8308), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [139495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6394), 1,
      anon_sym_LBRACE,
    STATE(175), 1,
      sym_class_body,
  [139505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5441), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8310), 1,
      anon_sym_LBRACE,
    STATE(827), 1,
      sym_enum_body,
  [139523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4968), 1,
      sym_formal_parameters,
  [139533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8312), 1,
      anon_sym_SEMI,
    ACTIONS(8314), 1,
      sym__automatic_semicolon,
  [139543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4872), 1,
      sym_formal_parameters,
  [139553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8316), 1,
      sym_identifier,
    ACTIONS(8318), 1,
      sym_private_property_identifier,
  [139563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4277), 1,
      sym_statement_block,
  [139573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4671), 1,
      sym_formal_parameters,
  [139583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4935), 1,
      sym_formal_parameters,
  [139593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8320), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [139601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8322), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [139609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    STATE(4428), 1,
      sym__from_clause,
  [139619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    STATE(3713), 1,
      sym_class_body,
  [139629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2049), 1,
      sym_class_body,
  [139639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4416), 1,
      sym_statement_block,
  [139649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6414), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_class_body,
  [139659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(1693), 1,
      sym_class_body,
  [139677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(1676), 1,
      sym_class_body,
  [139687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(3598), 1,
      sym_statement_block,
  [139697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 1,
      anon_sym_LBRACE,
    STATE(178), 1,
      sym_statement_block,
  [139707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    STATE(2054), 1,
      sym_statement_block,
  [139717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_LBRACE,
    STATE(1657), 1,
      sym_statement_block,
  [139727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    STATE(4529), 1,
      sym__from_clause,
  [139737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_SEMI,
    ACTIONS(8326), 1,
      sym__automatic_semicolon,
  [139747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    STATE(4545), 1,
      sym__from_clause,
  [139757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_LBRACE,
    STATE(1642), 1,
      sym_statement_block,
  [139767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4669), 1,
      sym_formal_parameters,
  [139777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_LBRACE,
    STATE(1637), 1,
      sym_statement_block,
  [139787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8328), 1,
      anon_sym_SEMI,
    ACTIONS(8330), 1,
      sym__automatic_semicolon,
  [139797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 1,
      anon_sym_LBRACE,
    STATE(2570), 1,
      sym_class_body,
  [139807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_STAR,
  [139817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3580), 1,
      sym_formal_parameters,
  [139827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(1684), 1,
      sym_class_body,
  [139837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4643), 1,
      sym_formal_parameters,
  [139847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5431), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6518), 1,
      sym_identifier,
    ACTIONS(6522), 1,
      sym_private_property_identifier,
  [139865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6402), 1,
      anon_sym_LBRACE,
    STATE(791), 1,
      sym_class_body,
  [139875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_LBRACE,
    STATE(682), 1,
      sym_statement_block,
  [139885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(3714), 1,
      sym_statement_block,
  [139895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    STATE(1555), 1,
      sym_arguments,
  [139905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2139), 1,
      sym_class_body,
  [139931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4653), 1,
      sym_formal_parameters,
  [139941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    STATE(3734), 1,
      sym_class_body,
  [139951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_LBRACE,
    STATE(917), 1,
      sym_statement_block,
  [139961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_LBRACE,
    STATE(901), 1,
      sym_statement_block,
  [139971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [139979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [139987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(3555), 1,
      sym_statement_block,
  [139997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 1,
      anon_sym_LBRACE,
    STATE(2562), 1,
      sym_class_body,
  [140007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4716), 1,
      sym_formal_parameters,
  [140017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    STATE(2145), 1,
      sym_statement_block,
  [140027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    STATE(1683), 1,
      sym_arguments,
  [140037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    STATE(3266), 1,
      sym_formal_parameters,
  [140047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    STATE(4594), 1,
      sym__from_clause,
  [140057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6394), 1,
      anon_sym_LBRACE,
    STATE(179), 1,
      sym_class_body,
  [140067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(1695), 1,
      sym_class_body,
  [140077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    STATE(4590), 1,
      sym_parenthesized_expression,
  [140087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7695), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [140095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 1,
      anon_sym_LBRACE,
    STATE(2511), 1,
      sym_class_body,
  [140105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      anon_sym_LBRACE,
    STATE(689), 1,
      sym_statement_block,
  [140115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 1,
      anon_sym_LBRACE,
    STATE(2522), 1,
      sym_class_body,
  [140125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8336), 1,
      anon_sym_SEMI,
    ACTIONS(8338), 1,
      sym__automatic_semicolon,
  [140135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8340), 1,
      anon_sym_SEMI,
    ACTIONS(8342), 1,
      sym__automatic_semicolon,
  [140145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8344), 1,
      anon_sym_SEMI,
    ACTIONS(8346), 1,
      sym__automatic_semicolon,
  [140155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    STATE(3779), 1,
      sym_class_body,
  [140165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3591), 1,
      sym_formal_parameters,
  [140175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7701), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [140183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    STATE(3637), 1,
      sym_class_body,
  [140201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4630), 1,
      sym_formal_parameters,
  [140211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8348), 1,
      sym_identifier,
    STATE(4317), 1,
      sym__qml_enum_assignment,
  [140221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8350), 1,
      anon_sym_SEMI,
    ACTIONS(8352), 1,
      sym__automatic_semicolon,
  [140231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2482), 1,
      sym_statement_block,
  [140241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(1720), 1,
      sym_class_body,
  [140251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8354), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      sym_identifier,
    STATE(4137), 1,
      sym_nested_identifier,
  [140269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [140277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_LBRACE,
    STATE(1717), 1,
      sym_statement_block,
  [140287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2475), 1,
      sym_statement_block,
  [140297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8358), 1,
      anon_sym_SEMI,
    ACTIONS(8360), 1,
      sym__automatic_semicolon,
  [140307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8362), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [140315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8364), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [140323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5997), 1,
      anon_sym_DOT,
    ACTIONS(8366), 1,
      anon_sym_GT,
  [140333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8368), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8374), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8376), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LBRACE,
    STATE(2469), 1,
      sym_statement_block,
  [140383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4268), 1,
      sym_statement_block,
  [140393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8378), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5463), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [140409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2046), 1,
      sym_class_body,
  [140419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7868), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [140427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8380), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8382), 1,
      anon_sym_SEMI,
    ACTIONS(8384), 1,
      sym__automatic_semicolon,
  [140445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8386), 1,
      sym_identifier,
    ACTIONS(8388), 1,
      anon_sym_STAR,
  [140455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [140463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2150), 1,
      sym_class_body,
  [140473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6851), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [140481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [140489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2041), 1,
      sym_class_body,
  [140499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4753), 1,
      anon_sym_LPAREN,
    STATE(2146), 1,
      sym_arguments,
  [140509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    STATE(4471), 1,
      sym__from_clause,
  [140519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7752), 1,
      sym_identifier,
    ACTIONS(7756), 1,
      sym_private_property_identifier,
  [140529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8390), 1,
      sym_identifier,
    ACTIONS(8392), 1,
      sym_private_property_identifier,
  [140539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5804), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      sym_private_property_identifier,
  [140557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      sym_identifier,
    ACTIONS(7778), 1,
      sym_private_property_identifier,
  [140567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8398), 1,
      sym_identifier,
    ACTIONS(8400), 1,
      sym_private_property_identifier,
  [140577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    STATE(2141), 1,
      sym_statement_block,
  [140587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    STATE(2130), 1,
      sym_statement_block,
  [140597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8402), 1,
      sym_identifier,
    ACTIONS(8404), 1,
      sym_private_property_identifier,
  [140607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    STATE(2109), 1,
      sym_statement_block,
  [140617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8406), 1,
      sym_identifier,
    STATE(4129), 1,
      sym_nested_identifier,
  [140627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4719), 1,
      sym_formal_parameters,
  [140637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2106), 1,
      sym_class_body,
  [140647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7832), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [140655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6414), 1,
      anon_sym_LBRACE,
    STATE(890), 1,
      sym_class_body,
  [140673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2093), 1,
      sym_class_body,
  [140683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2189), 1,
      sym_class_body,
  [140693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8410), 1,
      sym_identifier,
    ACTIONS(8412), 1,
      sym_private_property_identifier,
  [140703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2185), 1,
      sym_class_body,
  [140713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    STATE(2175), 1,
      sym_statement_block,
  [140723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    STATE(3835), 1,
      sym_class_body,
  [140733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    STATE(4450), 1,
      sym__from_clause,
  [140743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8414), 1,
      sym_identifier,
    ACTIONS(8416), 1,
      sym_private_property_identifier,
  [140753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(2369), 1,
      sym_class_body,
  [140763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5695), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 1,
      anon_sym_LBRACE,
    STATE(2606), 1,
      sym_class_body,
  [140781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8418), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [140789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    STATE(2187), 1,
      sym_statement_block,
  [140799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4909), 1,
      sym_formal_parameters,
  [140809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4748), 1,
      sym_formal_parameters,
  [140819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8420), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2177), 1,
      sym_class_body,
  [140837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_COLON,
    STATE(4344), 1,
      sym_type_annotation,
  [140847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8422), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(3776), 1,
      sym_formal_parameters,
  [140865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8424), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    STATE(2809), 1,
      sym_arguments,
  [140891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_from,
    STATE(4389), 1,
      sym__from_clause,
  [140901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8426), 1,
      anon_sym_SEMI,
    ACTIONS(8428), 1,
      sym__automatic_semicolon,
  [140911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 1,
      anon_sym_LBRACE,
    STATE(2490), 1,
      sym_class_body,
  [140921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(2364), 1,
      sym_class_body,
  [140931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5717), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8430), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8432), 1,
      anon_sym_SEMI,
    ACTIONS(8434), 1,
      sym__automatic_semicolon,
  [140957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    STATE(4998), 1,
      sym_formal_parameters,
  [140967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5713), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [140975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8204), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym__for_header,
  [140985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8436), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [140993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_LBRACE,
    STATE(3807), 1,
      sym_class_body,
  [141003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8438), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [141011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8440), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [141019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5052), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [141027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(2512), 1,
      sym_statement_block,
  [141037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5045), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [141045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(1696), 1,
      sym_class_body,
  [141055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(1699), 1,
      sym_class_body,
  [141065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [141081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_LBRACE,
    STATE(1653), 1,
      sym_statement_block,
  [141091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_LBRACE,
    STATE(1645), 1,
      sym_statement_block,
  [141101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8280), 1,
      anon_sym_LBRACE,
    STATE(2671), 1,
      sym_enum_body,
  [141111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    STATE(2153), 1,
      sym_class_body,
  [141121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    STATE(4419), 1,
      sym_statement_block,
  [141131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_LBRACE,
    STATE(2160), 1,
      sym_statement_block,
  [141141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6414), 1,
      anon_sym_LBRACE,
    STATE(912), 1,
      sym_class_body,
  [141151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8310), 1,
      anon_sym_LBRACE,
    STATE(734), 1,
      sym_enum_body,
  [141161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_LBRACE,
    STATE(1698), 1,
      sym_statement_block,
  [141171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_LBRACE,
    STATE(748), 1,
      sym_statement_block,
  [141181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8444), 1,
      anon_sym_EQ_GT,
  [141188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8446), 1,
      anon_sym_EQ_GT,
  [141195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8448), 1,
      sym_identifier,
  [141202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8450), 1,
      anon_sym_class,
  [141209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8452), 1,
      anon_sym_RBRACK,
  [141216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7746), 1,
      sym_identifier,
  [141223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8454), 1,
      anon_sym_EQ_GT,
  [141230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8456), 1,
      anon_sym_RBRACK,
  [141237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8458), 1,
      sym_identifier,
  [141244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8460), 1,
      anon_sym_RBRACE,
  [141251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8462), 1,
      anon_sym_RBRACK,
  [141258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8464), 1,
      anon_sym_RBRACK,
  [141265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8466), 1,
      anon_sym_RBRACK,
  [141272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8468), 1,
      anon_sym_EQ_GT,
  [141279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8470), 1,
      anon_sym_EQ_GT,
  [141286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8472), 1,
      anon_sym_EQ_GT,
  [141293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_DOT,
  [141300] = 2,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(8474), 1,
      sym_regex_pattern,
  [141307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8476), 1,
      anon_sym_EQ_GT,
  [141314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8478), 1,
      anon_sym_EQ_GT,
  [141321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8480), 1,
      anon_sym_EQ,
  [141328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8482), 1,
      anon_sym_RBRACK,
  [141335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8484), 1,
      sym_identifier,
  [141342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8486), 1,
      sym_identifier,
  [141349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8488), 1,
      anon_sym_EQ_GT,
  [141356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8490), 1,
      sym_identifier,
  [141363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8492), 1,
      anon_sym_EQ_GT,
  [141370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8494), 1,
      anon_sym_RBRACK,
  [141377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8496), 1,
      anon_sym_RBRACK,
  [141384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8498), 1,
      anon_sym_EQ_GT,
  [141391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8500), 1,
      anon_sym_readonly,
  [141398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8502), 1,
      sym_identifier,
  [141405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8504), 1,
      anon_sym_new,
  [141412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8506), 1,
      sym_identifier,
  [141419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8508), 1,
      anon_sym_RBRACK,
  [141426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8510), 1,
      sym_identifier,
  [141433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8512), 1,
      anon_sym_RPAREN,
  [141440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7852), 1,
      anon_sym_RBRACK,
  [141447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8514), 1,
      anon_sym_RBRACK,
  [141454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8516), 1,
      anon_sym_EQ_GT,
  [141461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8518), 1,
      anon_sym_RBRACK,
  [141468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8520), 1,
      sym_identifier,
  [141475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_RBRACK,
  [141482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8524), 1,
      sym_identifier,
  [141489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym_from,
  [141496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8526), 1,
      anon_sym_EQ_GT,
  [141503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8528), 1,
      anon_sym_RBRACK,
  [141510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_EQ_GT,
  [141517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8532), 1,
      sym_identifier,
  [141524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8534), 1,
      anon_sym_RBRACK,
  [141531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8536), 1,
      anon_sym_RBRACK,
  [141538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7744), 1,
      anon_sym_as,
  [141545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8538), 1,
      anon_sym_RBRACK,
  [141552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8540), 1,
      anon_sym_LBRACE,
  [141559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8542), 1,
      anon_sym_RBRACK,
  [141566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8544), 1,
      anon_sym_RBRACK,
  [141573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8546), 1,
      anon_sym_RBRACK,
  [141580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_RBRACE,
  [141587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8548), 1,
      anon_sym_RBRACK,
  [141594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8550), 1,
      sym_identifier,
  [141601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8552), 1,
      anon_sym_EQ_GT,
  [141608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8554), 1,
      anon_sym_RBRACK,
  [141615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8556), 1,
      anon_sym_RBRACK,
  [141622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8558), 1,
      anon_sym_RBRACK,
  [141629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5168), 1,
      anon_sym_RBRACK,
  [141636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8560), 1,
      anon_sym_RBRACK,
  [141643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8562), 1,
      anon_sym_RBRACK,
  [141650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8564), 1,
      anon_sym_function,
  [141657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8566), 1,
      sym_identifier,
  [141664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8568), 1,
      sym_identifier,
  [141671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8570), 1,
      anon_sym_RBRACK,
  [141678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8572), 1,
      anon_sym_RBRACK,
  [141685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym_namespace,
  [141692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8576), 1,
      anon_sym_RBRACK,
  [141699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8578), 1,
      anon_sym_RBRACK,
  [141706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8580), 1,
      anon_sym_RBRACK,
  [141713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8582), 1,
      anon_sym_RBRACK,
  [141720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8584), 1,
      anon_sym_RBRACK,
  [141727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8586), 1,
      anon_sym_RBRACK,
  [141734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8588), 1,
      anon_sym_RBRACK,
  [141741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8590), 1,
      anon_sym_RBRACK,
  [141748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8592), 1,
      anon_sym_RBRACK,
  [141755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8594), 1,
      sym_identifier,
  [141762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8596), 1,
      anon_sym_RBRACK,
  [141769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8598), 1,
      anon_sym_RPAREN,
  [141776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8600), 1,
      anon_sym_GT,
  [141783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8602), 1,
      anon_sym_EQ_GT,
  [141790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8604), 1,
      anon_sym_RBRACK,
  [141797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8606), 1,
      anon_sym_RBRACK,
  [141804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8608), 1,
      sym_identifier,
  [141811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8610), 1,
      anon_sym_RBRACK,
  [141818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8612), 1,
      anon_sym_RBRACK,
  [141825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8614), 1,
      anon_sym_EQ_GT,
  [141832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8616), 1,
      anon_sym_RBRACK,
  [141839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8618), 1,
      anon_sym_RBRACK,
  [141846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8620), 1,
      anon_sym_EQ_GT,
  [141853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8622), 1,
      sym_number,
  [141860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8624), 1,
      anon_sym_EQ_GT,
  [141867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8626), 1,
      anon_sym_EQ_GT,
  [141874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8628), 1,
      anon_sym_EQ_GT,
  [141881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7699), 1,
      anon_sym_RBRACK,
  [141888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      anon_sym_EQ_GT,
  [141895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8632), 1,
      anon_sym_RBRACK,
  [141902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8634), 1,
      anon_sym_EQ,
  [141909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8636), 1,
      anon_sym_EQ_GT,
  [141916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8638), 1,
      anon_sym_EQ_GT,
  [141923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8640), 1,
      anon_sym_EQ_GT,
  [141930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8642), 1,
      anon_sym_RBRACK,
  [141937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8644), 1,
      sym_identifier,
  [141944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8646), 1,
      sym_identifier,
  [141951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 1,
      anon_sym_COLON,
  [141958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8648), 1,
      anon_sym_RBRACK,
  [141965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8650), 1,
      anon_sym_RBRACK,
  [141972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3963), 1,
      anon_sym_DOT,
  [141979] = 2,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(8652), 1,
      sym_regex_pattern,
  [141986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_RPAREN,
  [141993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8654), 1,
      sym_identifier,
  [142000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5247), 1,
      anon_sym_RPAREN,
  [142007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8656), 1,
      sym_identifier,
  [142014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8658), 1,
      sym_identifier,
  [142021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8660), 1,
      anon_sym_RPAREN,
  [142028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8662), 1,
      anon_sym_RBRACK,
  [142035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 1,
      anon_sym_RBRACK,
  [142042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8664), 1,
      anon_sym_EQ_GT,
  [142049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8666), 1,
      anon_sym_EQ_GT,
  [142056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 1,
      anon_sym_RBRACK,
  [142063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8668), 1,
      anon_sym_RBRACK,
  [142070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8670), 1,
      anon_sym_RPAREN,
  [142077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8672), 1,
      sym_identifier,
  [142084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8674), 1,
      anon_sym_EQ,
  [142091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8676), 1,
      anon_sym_EQ_GT,
  [142098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8678), 1,
      anon_sym_RBRACK,
  [142105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8680), 1,
      anon_sym_RBRACK,
  [142112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8682), 1,
      sym_identifier,
  [142119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8684), 1,
      anon_sym_RBRACK,
  [142126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8686), 1,
      sym_identifier,
  [142133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8688), 1,
      anon_sym_target,
  [142140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8690), 1,
      sym_identifier,
  [142147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8692), 1,
      anon_sym_COLON,
  [142154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8694), 1,
      anon_sym_RBRACK,
  [142161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8696), 1,
      anon_sym_EQ_GT,
  [142168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7501), 1,
      anon_sym_EQ_GT,
  [142175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8698), 1,
      anon_sym_RBRACK,
  [142182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_EQ_GT,
  [142189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8700), 1,
      sym_identifier,
  [142196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7664), 1,
      anon_sym_LBRACE,
  [142203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8702), 1,
      anon_sym_RBRACK,
  [142210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8704), 1,
      anon_sym_RBRACK,
  [142217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 1,
      anon_sym_DOT,
  [142224] = 2,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(8706), 1,
      sym_regex_pattern,
  [142231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8708), 1,
      anon_sym_SLASH2,
  [142238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8710), 1,
      anon_sym_EQ,
  [142245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8712), 1,
      anon_sym_RBRACK,
  [142252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8714), 1,
      anon_sym_RBRACK,
  [142259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8716), 1,
      anon_sym_RBRACE,
  [142266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8718), 1,
      anon_sym_from,
  [142273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8720), 1,
      anon_sym_EQ_GT,
  [142280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8722), 1,
      anon_sym_RBRACK,
  [142287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8724), 1,
      anon_sym_EQ_GT,
  [142294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8726), 1,
      sym_identifier,
  [142301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8728), 1,
      anon_sym_new,
  [142308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8730), 1,
      anon_sym_RBRACK,
  [142315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8732), 1,
      anon_sym_RBRACK,
  [142322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8734), 1,
      sym_number,
  [142329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8736), 1,
      anon_sym_RBRACK,
  [142336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8738), 1,
      anon_sym_RBRACK,
  [142343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8740), 1,
      anon_sym_RBRACK,
  [142350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8742), 1,
      anon_sym_RBRACK,
  [142357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8744), 1,
      anon_sym_RBRACK,
  [142364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8746), 1,
      anon_sym_EQ_GT,
  [142371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8748), 1,
      anon_sym_RBRACK,
  [142378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_RPAREN,
  [142385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_RBRACK,
  [142392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_RBRACK,
  [142399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6205), 1,
      anon_sym_DOT,
  [142406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8754), 1,
      anon_sym_from,
  [142413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8756), 1,
      anon_sym_EQ_GT,
  [142420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7650), 1,
      anon_sym_RBRACK,
  [142427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8758), 1,
      anon_sym_LPAREN,
  [142434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8760), 1,
      anon_sym_RBRACK,
  [142441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8762), 1,
      anon_sym_EQ,
  [142448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8764), 1,
      sym_identifier,
  [142455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8766), 1,
      sym_identifier,
  [142462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8768), 1,
      sym_identifier,
  [142469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8770), 1,
      anon_sym_class,
  [142476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_LPAREN,
  [142483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8772), 1,
      anon_sym_from,
  [142490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8774), 1,
      anon_sym_while,
  [142497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8776), 1,
      anon_sym_EQ_GT,
  [142504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8778), 1,
      sym_identifier,
  [142511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8780), 1,
      anon_sym_EQ_GT,
  [142518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8782), 1,
      anon_sym_EQ_GT,
  [142525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8784), 1,
      anon_sym_from,
  [142532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_EQ,
  [142539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8788), 1,
      sym_identifier,
  [142546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8790), 1,
      anon_sym_RBRACK,
  [142553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_SLASH2,
  [142560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8794), 1,
      anon_sym_class,
  [142567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      sym_identifier,
  [142574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8798), 1,
      sym_identifier,
  [142581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8800), 1,
      anon_sym_new,
  [142588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8802), 1,
      sym_identifier,
  [142595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8804), 1,
      anon_sym_EQ_GT,
  [142602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8806), 1,
      anon_sym_EQ_GT,
  [142609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8808), 1,
      anon_sym_EQ_GT,
  [142616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8810), 1,
      anon_sym_RBRACK,
  [142623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8812), 1,
      anon_sym_namespace,
  [142630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8814), 1,
      anon_sym_require,
  [142637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8816), 1,
      anon_sym_EQ_GT,
  [142644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8818), 1,
      sym_identifier,
  [142651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8820), 1,
      anon_sym_RBRACK,
  [142658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8822), 1,
      sym_number,
  [142665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8824), 1,
      anon_sym_while,
  [142672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8826), 1,
      anon_sym_RPAREN,
  [142679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8828), 1,
      anon_sym_EQ_GT,
  [142686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7910), 1,
      sym_identifier,
  [142693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8830), 1,
      anon_sym_class,
  [142700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8832), 1,
      sym_identifier,
  [142707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8834), 1,
      anon_sym_RBRACK,
  [142714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8836), 1,
      anon_sym_COLON,
  [142721] = 2,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(8838), 1,
      sym_regex_pattern,
  [142728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8840), 1,
      anon_sym_EQ,
  [142735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8842), 1,
      anon_sym_EQ,
  [142742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6071), 1,
      anon_sym_DOT,
  [142749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8844), 1,
      anon_sym_EQ,
  [142756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8846), 1,
      anon_sym_RPAREN,
  [142763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_RPAREN,
  [142770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8850), 1,
      anon_sym_RBRACK,
  [142777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8852), 1,
      anon_sym_RPAREN,
  [142784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8854), 1,
      anon_sym_COLON,
  [142791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      sym_identifier,
  [142798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_RPAREN,
  [142805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8858), 1,
      anon_sym_EQ_GT,
  [142812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8860), 1,
      anon_sym_RBRACK,
  [142819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8862), 1,
      sym_identifier,
  [142826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8864), 1,
      sym_number,
  [142833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8866), 1,
      anon_sym_RBRACK,
  [142840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8868), 1,
      anon_sym_RBRACK,
  [142847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8870), 1,
      sym_identifier,
  [142854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8872), 1,
      sym_identifier,
  [142861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8874), 1,
      anon_sym_EQ_GT,
  [142868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8876), 1,
      anon_sym_EQ_GT,
  [142875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8878), 1,
      sym_identifier,
  [142882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8880), 1,
      anon_sym_RBRACK,
  [142889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7058), 1,
      anon_sym_EQ,
  [142896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8882), 1,
      anon_sym_SLASH2,
  [142903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8884), 1,
      anon_sym_RBRACK,
  [142910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8886), 1,
      anon_sym_RBRACK,
  [142917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8888), 1,
      anon_sym_EQ_GT,
  [142924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8890), 1,
      anon_sym_EQ_GT,
  [142931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8892), 1,
      anon_sym_RBRACK,
  [142938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8894), 1,
      anon_sym_EQ_GT,
  [142945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8896), 1,
      sym_identifier,
  [142952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8898), 1,
      sym_identifier,
  [142959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8900), 1,
      anon_sym_EQ_GT,
  [142966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8902), 1,
      anon_sym_COLON,
  [142973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8904), 1,
      anon_sym_COLON,
  [142980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8906), 1,
      anon_sym_EQ,
  [142987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8908), 1,
      anon_sym_EQ,
  [142994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8910), 1,
      anon_sym_EQ_GT,
  [143001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8912), 1,
      anon_sym_RPAREN,
  [143008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8914), 1,
      sym_identifier,
  [143015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8916), 1,
      anon_sym_LBRACK,
  [143022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8918), 1,
      sym_identifier,
  [143029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8920), 1,
      sym_identifier,
  [143036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8922), 1,
      anon_sym_target,
  [143043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 1,
      anon_sym_RPAREN,
  [143050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7933), 1,
      anon_sym_EQ,
  [143057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym_EQ_GT,
  [143064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8926), 1,
      sym_number,
  [143071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8928), 1,
      sym_identifier,
  [143078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8930), 1,
      anon_sym_EQ_GT,
  [143085] = 2,
    ACTIONS(7239), 1,
      sym_comment,
    ACTIONS(8932), 1,
      sym_regex_pattern,
  [143092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8934), 1,
      anon_sym_EQ_GT,
  [143099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8936), 1,
      sym_identifier,
  [143106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8938), 1,
      anon_sym_SLASH2,
  [143113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8940), 1,
      anon_sym_EQ_GT,
  [143120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8942), 1,
      anon_sym_EQ_GT,
  [143127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8944), 1,
      sym_identifier,
  [143134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8946), 1,
      aux_sym_ui_version_specifier_token1,
  [143141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8948), 1,
      anon_sym_EQ_GT,
  [143148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8950), 1,
      anon_sym_EQ_GT,
  [143155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1883), 1,
      anon_sym_EQ_GT,
  [143162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8952), 1,
      anon_sym_from,
  [143169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8954), 1,
      anon_sym_SLASH2,
  [143176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8956), 1,
      anon_sym_EQ_GT,
  [143183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8958), 1,
      anon_sym_COLON,
  [143190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 1,
      anon_sym_RPAREN,
  [143197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8960), 1,
      anon_sym_RPAREN,
  [143204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8962), 1,
      anon_sym_EQ_GT,
  [143211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5997), 1,
      anon_sym_DOT,
  [143218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8964), 1,
      anon_sym_LT,
  [143225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8966), 1,
      anon_sym_EQ_GT,
  [143232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8968), 1,
      sym_identifier,
  [143239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8970), 1,
      anon_sym_from,
  [143246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8972), 1,
      anon_sym_EQ_GT,
  [143253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8974), 1,
      sym_identifier,
  [143260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8976), 1,
      anon_sym_EQ,
  [143267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8978), 1,
      anon_sym_EQ_GT,
  [143274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8980), 1,
      anon_sym_EQ_GT,
  [143281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8982), 1,
      anon_sym_EQ_GT,
  [143288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8984), 1,
      sym_number,
  [143295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8986), 1,
      sym_identifier,
  [143302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8988), 1,
      anon_sym_RPAREN,
  [143309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8990), 1,
      anon_sym_RBRACK,
  [143316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8064), 1,
      anon_sym_RBRACK,
  [143323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8992), 1,
      sym_identifier,
  [143330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8994), 1,
      sym_identifier,
  [143337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8996), 1,
      anon_sym_EQ_GT,
  [143344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 1,
      anon_sym_RPAREN,
  [143351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8998), 1,
      sym_identifier,
  [143358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9000), 1,
      anon_sym_EQ_GT,
  [143365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9002), 1,
      sym_identifier,
  [143372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9004), 1,
      sym_identifier,
  [143379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9006), 1,
      sym_identifier,
  [143386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8110), 1,
      anon_sym_RBRACK,
  [143393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9008), 1,
      anon_sym_EQ_GT,
  [143400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9010), 1,
      anon_sym_class,
  [143407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9012), 1,
      anon_sym_new,
  [143414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9014), 1,
      anon_sym_namespace,
  [143421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9016), 1,
      anon_sym_RBRACK,
  [143428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_RBRACK,
  [143435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9020), 1,
      anon_sym_RBRACK,
  [143442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9022), 1,
      anon_sym_RBRACK,
  [143449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9024), 1,
      anon_sym_RBRACK,
  [143456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9026), 1,
      anon_sym_from,
  [143463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7810), 1,
      sym_identifier,
  [143470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9028), 1,
      anon_sym_class,
  [143477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9030), 1,
      sym_identifier,
  [143484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9032), 1,
      anon_sym_RBRACK,
  [143491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9034), 1,
      anon_sym_EQ,
  [143498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9036), 1,
      anon_sym_RBRACK,
  [143505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9038), 1,
      anon_sym_EQ,
  [143512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9026), 1,
      anon_sym_from,
  [143519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 1,
      anon_sym_RPAREN,
  [143526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9040), 1,
      anon_sym_COLON,
  [143533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5079), 1,
      anon_sym_RPAREN,
  [143540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9042), 1,
      anon_sym_RBRACK,
  [143547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9044), 1,
      ts_builtin_sym_end,
  [143554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9046), 1,
      ts_builtin_sym_end,
  [143561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 1,
      anon_sym_RPAREN,
  [143568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9048), 1,
      anon_sym_RBRACK,
  [143575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9050), 1,
      anon_sym_RBRACK,
  [143582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9052), 1,
      anon_sym_new,
  [143589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9054), 1,
      anon_sym_EQ_GT,
  [143596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_EQ,
  [143603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9056), 1,
      anon_sym_EQ_GT,
  [143610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9058), 1,
      sym_identifier,
  [143617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9060), 1,
      anon_sym_RBRACK,
  [143624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9062), 1,
      anon_sym_RBRACK,
  [143631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9064), 1,
      anon_sym_RBRACK,
  [143638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9066), 1,
      anon_sym_new,
  [143645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9068), 1,
      anon_sym_RBRACK,
  [143652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9070), 1,
      sym_identifier,
  [143659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9072), 1,
      sym_identifier,
  [143666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9074), 1,
      anon_sym_RBRACK,
  [143673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9076), 1,
      anon_sym_new,
  [143680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9078), 1,
      anon_sym_RBRACK,
  [143687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9080), 1,
      sym_identifier,
  [143694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_function,
  [143701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9084), 1,
      anon_sym_RBRACK,
  [143708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_RBRACK,
  [143715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9088), 1,
      sym_identifier,
  [143722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 1,
      anon_sym_RBRACK,
  [143729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9092), 1,
      sym_identifier,
  [143736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9094), 1,
      ts_builtin_sym_end,
  [143743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9096), 1,
      ts_builtin_sym_end,
  [143750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9098), 1,
      sym_identifier,
  [143757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9100), 1,
      anon_sym_function,
  [143764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9102), 1,
      ts_builtin_sym_end,
  [143771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      sym_identifier,
  [143778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9106), 1,
      sym_identifier,
  [143785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9108), 1,
      anon_sym_function,
  [143792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9110), 1,
      anon_sym_RBRACK,
  [143799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      anon_sym_EQ_GT,
  [143806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5204), 1,
      anon_sym_RBRACK,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1094)] = 0,
  [SMALL_STATE(1095)] = 89,
  [SMALL_STATE(1096)] = 184,
  [SMALL_STATE(1097)] = 273,
  [SMALL_STATE(1098)] = 368,
  [SMALL_STATE(1099)] = 458,
  [SMALL_STATE(1100)] = 550,
  [SMALL_STATE(1101)] = 646,
  [SMALL_STATE(1102)] = 736,
  [SMALL_STATE(1103)] = 826,
  [SMALL_STATE(1104)] = 914,
  [SMALL_STATE(1105)] = 1004,
  [SMALL_STATE(1106)] = 1094,
  [SMALL_STATE(1107)] = 1182,
  [SMALL_STATE(1108)] = 1272,
  [SMALL_STATE(1109)] = 1360,
  [SMALL_STATE(1110)] = 1452,
  [SMALL_STATE(1111)] = 1540,
  [SMALL_STATE(1112)] = 1631,
  [SMALL_STATE(1113)] = 1718,
  [SMALL_STATE(1114)] = 1793,
  [SMALL_STATE(1115)] = 1884,
  [SMALL_STATE(1116)] = 1961,
  [SMALL_STATE(1117)] = 2048,
  [SMALL_STATE(1118)] = 2141,
  [SMALL_STATE(1119)] = 2232,
  [SMALL_STATE(1120)] = 2323,
  [SMALL_STATE(1121)] = 2398,
  [SMALL_STATE(1122)] = 2484,
  [SMALL_STATE(1123)] = 2552,
  [SMALL_STATE(1124)] = 2620,
  [SMALL_STATE(1125)] = 2708,
  [SMALL_STATE(1126)] = 2796,
  [SMALL_STATE(1127)] = 2864,
  [SMALL_STATE(1128)] = 2932,
  [SMALL_STATE(1129)] = 3000,
  [SMALL_STATE(1130)] = 3086,
  [SMALL_STATE(1131)] = 3174,
  [SMALL_STATE(1132)] = 3262,
  [SMALL_STATE(1133)] = 3348,
  [SMALL_STATE(1134)] = 3416,
  [SMALL_STATE(1135)] = 3504,
  [SMALL_STATE(1136)] = 3572,
  [SMALL_STATE(1137)] = 3658,
  [SMALL_STATE(1138)] = 3748,
  [SMALL_STATE(1139)] = 3834,
  [SMALL_STATE(1140)] = 3922,
  [SMALL_STATE(1141)] = 3990,
  [SMALL_STATE(1142)] = 4076,
  [SMALL_STATE(1143)] = 4144,
  [SMALL_STATE(1144)] = 4232,
  [SMALL_STATE(1145)] = 4300,
  [SMALL_STATE(1146)] = 4386,
  [SMALL_STATE(1147)] = 4472,
  [SMALL_STATE(1148)] = 4540,
  [SMALL_STATE(1149)] = 4628,
  [SMALL_STATE(1150)] = 4716,
  [SMALL_STATE(1151)] = 4784,
  [SMALL_STATE(1152)] = 4872,
  [SMALL_STATE(1153)] = 4957,
  [SMALL_STATE(1154)] = 5080,
  [SMALL_STATE(1155)] = 5169,
  [SMALL_STATE(1156)] = 5292,
  [SMALL_STATE(1157)] = 5415,
  [SMALL_STATE(1158)] = 5538,
  [SMALL_STATE(1159)] = 5631,
  [SMALL_STATE(1160)] = 5754,
  [SMALL_STATE(1161)] = 5877,
  [SMALL_STATE(1162)] = 5964,
  [SMALL_STATE(1163)] = 6049,
  [SMALL_STATE(1164)] = 6120,
  [SMALL_STATE(1165)] = 6205,
  [SMALL_STATE(1166)] = 6292,
  [SMALL_STATE(1167)] = 6377,
  [SMALL_STATE(1168)] = 6462,
  [SMALL_STATE(1169)] = 6547,
  [SMALL_STATE(1170)] = 6614,
  [SMALL_STATE(1171)] = 6701,
  [SMALL_STATE(1172)] = 6786,
  [SMALL_STATE(1173)] = 6853,
  [SMALL_STATE(1174)] = 6976,
  [SMALL_STATE(1175)] = 7054,
  [SMALL_STATE(1176)] = 7138,
  [SMALL_STATE(1177)] = 7222,
  [SMALL_STATE(1178)] = 7308,
  [SMALL_STATE(1179)] = 7398,
  [SMALL_STATE(1180)] = 7474,
  [SMALL_STATE(1181)] = 7550,
  [SMALL_STATE(1182)] = 7634,
  [SMALL_STATE(1183)] = 7712,
  [SMALL_STATE(1184)] = 7788,
  [SMALL_STATE(1185)] = 7864,
  [SMALL_STATE(1186)] = 7940,
  [SMALL_STATE(1187)] = 8026,
  [SMALL_STATE(1188)] = 8102,
  [SMALL_STATE(1189)] = 8188,
  [SMALL_STATE(1190)] = 8278,
  [SMALL_STATE(1191)] = 8353,
  [SMALL_STATE(1192)] = 8472,
  [SMALL_STATE(1193)] = 8549,
  [SMALL_STATE(1194)] = 8668,
  [SMALL_STATE(1195)] = 8739,
  [SMALL_STATE(1196)] = 8858,
  [SMALL_STATE(1197)] = 8977,
  [SMALL_STATE(1198)] = 9096,
  [SMALL_STATE(1199)] = 9181,
  [SMALL_STATE(1200)] = 9300,
  [SMALL_STATE(1201)] = 9385,
  [SMALL_STATE(1202)] = 9504,
  [SMALL_STATE(1203)] = 9581,
  [SMALL_STATE(1204)] = 9658,
  [SMALL_STATE(1205)] = 9731,
  [SMALL_STATE(1206)] = 9814,
  [SMALL_STATE(1207)] = 9933,
  [SMALL_STATE(1208)] = 10014,
  [SMALL_STATE(1209)] = 10091,
  [SMALL_STATE(1210)] = 10210,
  [SMALL_STATE(1211)] = 10329,
  [SMALL_STATE(1212)] = 10448,
  [SMALL_STATE(1213)] = 10567,
  [SMALL_STATE(1214)] = 10686,
  [SMALL_STATE(1215)] = 10805,
  [SMALL_STATE(1216)] = 10888,
  [SMALL_STATE(1217)] = 10959,
  [SMALL_STATE(1218)] = 11078,
  [SMALL_STATE(1219)] = 11155,
  [SMALL_STATE(1220)] = 11274,
  [SMALL_STATE(1221)] = 11393,
  [SMALL_STATE(1222)] = 11466,
  [SMALL_STATE(1223)] = 11541,
  [SMALL_STATE(1224)] = 11612,
  [SMALL_STATE(1225)] = 11731,
  [SMALL_STATE(1226)] = 11806,
  [SMALL_STATE(1227)] = 11887,
  [SMALL_STATE(1228)] = 11960,
  [SMALL_STATE(1229)] = 12031,
  [SMALL_STATE(1230)] = 12150,
  [SMALL_STATE(1231)] = 12235,
  [SMALL_STATE(1232)] = 12354,
  [SMALL_STATE(1233)] = 12431,
  [SMALL_STATE(1234)] = 12550,
  [SMALL_STATE(1235)] = 12637,
  [SMALL_STATE(1236)] = 12722,
  [SMALL_STATE(1237)] = 12792,
  [SMALL_STATE(1238)] = 12876,
  [SMALL_STATE(1239)] = 12940,
  [SMALL_STATE(1240)] = 13012,
  [SMALL_STATE(1241)] = 13084,
  [SMALL_STATE(1242)] = 13164,
  [SMALL_STATE(1243)] = 13246,
  [SMALL_STATE(1244)] = 13330,
  [SMALL_STATE(1245)] = 13414,
  [SMALL_STATE(1246)] = 13490,
  [SMALL_STATE(1247)] = 13558,
  [SMALL_STATE(1248)] = 13628,
  [SMALL_STATE(1249)] = 13698,
  [SMALL_STATE(1250)] = 13768,
  [SMALL_STATE(1251)] = 13838,
  [SMALL_STATE(1252)] = 13916,
  [SMALL_STATE(1253)] = 13992,
  [SMALL_STATE(1254)] = 14064,
  [SMALL_STATE(1255)] = 14138,
  [SMALL_STATE(1256)] = 14206,
  [SMALL_STATE(1257)] = 14276,
  [SMALL_STATE(1258)] = 14358,
  [SMALL_STATE(1259)] = 14432,
  [SMALL_STATE(1260)] = 14496,
  [SMALL_STATE(1261)] = 14580,
  [SMALL_STATE(1262)] = 14644,
  [SMALL_STATE(1263)] = 14708,
  [SMALL_STATE(1264)] = 14778,
  [SMALL_STATE(1265)] = 14848,
  [SMALL_STATE(1266)] = 14920,
  [SMALL_STATE(1267)] = 15002,
  [SMALL_STATE(1268)] = 15074,
  [SMALL_STATE(1269)] = 15146,
  [SMALL_STATE(1270)] = 15224,
  [SMALL_STATE(1271)] = 15298,
  [SMALL_STATE(1272)] = 15362,
  [SMALL_STATE(1273)] = 15426,
  [SMALL_STATE(1274)] = 15504,
  [SMALL_STATE(1275)] = 15586,
  [SMALL_STATE(1276)] = 15650,
  [SMALL_STATE(1277)] = 15728,
  [SMALL_STATE(1278)] = 15805,
  [SMALL_STATE(1279)] = 15876,
  [SMALL_STATE(1280)] = 15947,
  [SMALL_STATE(1281)] = 16062,
  [SMALL_STATE(1282)] = 16133,
  [SMALL_STATE(1283)] = 16248,
  [SMALL_STATE(1284)] = 16319,
  [SMALL_STATE(1285)] = 16390,
  [SMALL_STATE(1286)] = 16465,
  [SMALL_STATE(1287)] = 16540,
  [SMALL_STATE(1288)] = 16609,
  [SMALL_STATE(1289)] = 16676,
  [SMALL_STATE(1290)] = 16759,
  [SMALL_STATE(1291)] = 16830,
  [SMALL_STATE(1292)] = 16899,
  [SMALL_STATE(1293)] = 16974,
  [SMALL_STATE(1294)] = 17049,
  [SMALL_STATE(1295)] = 17164,
  [SMALL_STATE(1296)] = 17239,
  [SMALL_STATE(1297)] = 17354,
  [SMALL_STATE(1298)] = 17435,
  [SMALL_STATE(1299)] = 17518,
  [SMALL_STATE(1300)] = 17633,
  [SMALL_STATE(1301)] = 17748,
  [SMALL_STATE(1302)] = 17863,
  [SMALL_STATE(1303)] = 17978,
  [SMALL_STATE(1304)] = 18047,
  [SMALL_STATE(1305)] = 18114,
  [SMALL_STATE(1306)] = 18183,
  [SMALL_STATE(1307)] = 18251,
  [SMALL_STATE(1308)] = 18323,
  [SMALL_STATE(1309)] = 18391,
  [SMALL_STATE(1310)] = 18463,
  [SMALL_STATE(1311)] = 18535,
  [SMALL_STATE(1312)] = 18605,
  [SMALL_STATE(1313)] = 18675,
  [SMALL_STATE(1314)] = 18743,
  [SMALL_STATE(1315)] = 18815,
  [SMALL_STATE(1316)] = 18883,
  [SMALL_STATE(1317)] = 18957,
  [SMALL_STATE(1318)] = 19023,
  [SMALL_STATE(1319)] = 19128,
  [SMALL_STATE(1320)] = 19195,
  [SMALL_STATE(1321)] = 19262,
  [SMALL_STATE(1322)] = 19329,
  [SMALL_STATE(1323)] = 19434,
  [SMALL_STATE(1324)] = 19501,
  [SMALL_STATE(1325)] = 19606,
  [SMALL_STATE(1326)] = 19711,
  [SMALL_STATE(1327)] = 19778,
  [SMALL_STATE(1328)] = 19845,
  [SMALL_STATE(1329)] = 19950,
  [SMALL_STATE(1330)] = 20055,
  [SMALL_STATE(1331)] = 20122,
  [SMALL_STATE(1332)] = 20189,
  [SMALL_STATE(1333)] = 20254,
  [SMALL_STATE(1334)] = 20325,
  [SMALL_STATE(1335)] = 20396,
  [SMALL_STATE(1336)] = 20463,
  [SMALL_STATE(1337)] = 20530,
  [SMALL_STATE(1338)] = 20597,
  [SMALL_STATE(1339)] = 20666,
  [SMALL_STATE(1340)] = 20733,
  [SMALL_STATE(1341)] = 20838,
  [SMALL_STATE(1342)] = 20902,
  [SMALL_STATE(1343)] = 20968,
  [SMALL_STATE(1344)] = 21032,
  [SMALL_STATE(1345)] = 21096,
  [SMALL_STATE(1346)] = 21164,
  [SMALL_STATE(1347)] = 21230,
  [SMALL_STATE(1348)] = 21325,
  [SMALL_STATE(1349)] = 21420,
  [SMALL_STATE(1350)] = 21515,
  [SMALL_STATE(1351)] = 21610,
  [SMALL_STATE(1352)] = 21705,
  [SMALL_STATE(1353)] = 21802,
  [SMALL_STATE(1354)] = 21920,
  [SMALL_STATE(1355)] = 22038,
  [SMALL_STATE(1356)] = 22156,
  [SMALL_STATE(1357)] = 22274,
  [SMALL_STATE(1358)] = 22392,
  [SMALL_STATE(1359)] = 22510,
  [SMALL_STATE(1360)] = 22611,
  [SMALL_STATE(1361)] = 22712,
  [SMALL_STATE(1362)] = 22813,
  [SMALL_STATE(1363)] = 22902,
  [SMALL_STATE(1364)] = 23003,
  [SMALL_STATE(1365)] = 23104,
  [SMALL_STATE(1366)] = 23205,
  [SMALL_STATE(1367)] = 23294,
  [SMALL_STATE(1368)] = 23395,
  [SMALL_STATE(1369)] = 23496,
  [SMALL_STATE(1370)] = 23573,
  [SMALL_STATE(1371)] = 23662,
  [SMALL_STATE(1372)] = 23763,
  [SMALL_STATE(1373)] = 23864,
  [SMALL_STATE(1374)] = 23953,
  [SMALL_STATE(1375)] = 24054,
  [SMALL_STATE(1376)] = 24143,
  [SMALL_STATE(1377)] = 24244,
  [SMALL_STATE(1378)] = 24321,
  [SMALL_STATE(1379)] = 24422,
  [SMALL_STATE(1380)] = 24523,
  [SMALL_STATE(1381)] = 24612,
  [SMALL_STATE(1382)] = 24713,
  [SMALL_STATE(1383)] = 24814,
  [SMALL_STATE(1384)] = 24915,
  [SMALL_STATE(1385)] = 24997,
  [SMALL_STATE(1386)] = 25079,
  [SMALL_STATE(1387)] = 25161,
  [SMALL_STATE(1388)] = 25241,
  [SMALL_STATE(1389)] = 25321,
  [SMALL_STATE(1390)] = 25403,
  [SMALL_STATE(1391)] = 25511,
  [SMALL_STATE(1392)] = 25591,
  [SMALL_STATE(1393)] = 25671,
  [SMALL_STATE(1394)] = 25779,
  [SMALL_STATE(1395)] = 25861,
  [SMALL_STATE(1396)] = 25941,
  [SMALL_STATE(1397)] = 26023,
  [SMALL_STATE(1398)] = 26103,
  [SMALL_STATE(1399)] = 26213,
  [SMALL_STATE(1400)] = 26268,
  [SMALL_STATE(1401)] = 26347,
  [SMALL_STATE(1402)] = 26428,
  [SMALL_STATE(1403)] = 26485,
  [SMALL_STATE(1404)] = 26560,
  [SMALL_STATE(1405)] = 26617,
  [SMALL_STATE(1406)] = 26672,
  [SMALL_STATE(1407)] = 26747,
  [SMALL_STATE(1408)] = 26822,
  [SMALL_STATE(1409)] = 26877,
  [SMALL_STATE(1410)] = 26952,
  [SMALL_STATE(1411)] = 27027,
  [SMALL_STATE(1412)] = 27082,
  [SMALL_STATE(1413)] = 27157,
  [SMALL_STATE(1414)] = 27229,
  [SMALL_STATE(1415)] = 27305,
  [SMALL_STATE(1416)] = 27381,
  [SMALL_STATE(1417)] = 27443,
  [SMALL_STATE(1418)] = 27529,
  [SMALL_STATE(1419)] = 27601,
  [SMALL_STATE(1420)] = 27687,
  [SMALL_STATE(1421)] = 27763,
  [SMALL_STATE(1422)] = 27835,
  [SMALL_STATE(1423)] = 27911,
  [SMALL_STATE(1424)] = 27987,
  [SMALL_STATE(1425)] = 28073,
  [SMALL_STATE(1426)] = 28149,
  [SMALL_STATE(1427)] = 28235,
  [SMALL_STATE(1428)] = 28311,
  [SMALL_STATE(1429)] = 28397,
  [SMALL_STATE(1430)] = 28471,
  [SMALL_STATE(1431)] = 28557,
  [SMALL_STATE(1432)] = 28643,
  [SMALL_STATE(1433)] = 28710,
  [SMALL_STATE(1434)] = 28769,
  [SMALL_STATE(1435)] = 28846,
  [SMALL_STATE(1436)] = 28913,
  [SMALL_STATE(1437)] = 28990,
  [SMALL_STATE(1438)] = 29057,
  [SMALL_STATE(1439)] = 29134,
  [SMALL_STATE(1440)] = 29187,
  [SMALL_STATE(1441)] = 29244,
  [SMALL_STATE(1442)] = 29323,
  [SMALL_STATE(1443)] = 29390,
  [SMALL_STATE(1444)] = 29469,
  [SMALL_STATE(1445)] = 29538,
  [SMALL_STATE(1446)] = 29615,
  [SMALL_STATE(1447)] = 29692,
  [SMALL_STATE(1448)] = 29771,
  [SMALL_STATE(1449)] = 29840,
  [SMALL_STATE(1450)] = 29907,
  [SMALL_STATE(1451)] = 29976,
  [SMALL_STATE(1452)] = 30043,
  [SMALL_STATE(1453)] = 30108,
  [SMALL_STATE(1454)] = 30175,
  [SMALL_STATE(1455)] = 30244,
  [SMALL_STATE(1456)] = 30313,
  [SMALL_STATE(1457)] = 30378,
  [SMALL_STATE(1458)] = 30447,
  [SMALL_STATE(1459)] = 30516,
  [SMALL_STATE(1460)] = 30583,
  [SMALL_STATE(1461)] = 30638,
  [SMALL_STATE(1462)] = 30705,
  [SMALL_STATE(1463)] = 30772,
  [SMALL_STATE(1464)] = 30829,
  [SMALL_STATE(1465)] = 30894,
  [SMALL_STATE(1466)] = 30947,
  [SMALL_STATE(1467)] = 31014,
  [SMALL_STATE(1468)] = 31081,
  [SMALL_STATE(1469)] = 31138,
  [SMALL_STATE(1470)] = 31203,
  [SMALL_STATE(1471)] = 31268,
  [SMALL_STATE(1472)] = 31337,
  [SMALL_STATE(1473)] = 31416,
  [SMALL_STATE(1474)] = 31481,
  [SMALL_STATE(1475)] = 31536,
  [SMALL_STATE(1476)] = 31603,
  [SMALL_STATE(1477)] = 31674,
  [SMALL_STATE(1478)] = 31733,
  [SMALL_STATE(1479)] = 31798,
  [SMALL_STATE(1480)] = 31863,
  [SMALL_STATE(1481)] = 31940,
  [SMALL_STATE(1482)] = 32019,
  [SMALL_STATE(1483)] = 32086,
  [SMALL_STATE(1484)] = 32153,
  [SMALL_STATE(1485)] = 32216,
  [SMALL_STATE(1486)] = 32279,
  [SMALL_STATE(1487)] = 32342,
  [SMALL_STATE(1488)] = 32421,
  [SMALL_STATE(1489)] = 32486,
  [SMALL_STATE(1490)] = 32555,
  [SMALL_STATE(1491)] = 32624,
  [SMALL_STATE(1492)] = 32689,
  [SMALL_STATE(1493)] = 32756,
  [SMALL_STATE(1494)] = 32833,
  [SMALL_STATE(1495)] = 32912,
  [SMALL_STATE(1496)] = 32977,
  [SMALL_STATE(1497)] = 33042,
  [SMALL_STATE(1498)] = 33104,
  [SMALL_STATE(1499)] = 33156,
  [SMALL_STATE(1500)] = 33208,
  [SMALL_STATE(1501)] = 33260,
  [SMALL_STATE(1502)] = 33312,
  [SMALL_STATE(1503)] = 33364,
  [SMALL_STATE(1504)] = 33416,
  [SMALL_STATE(1505)] = 33468,
  [SMALL_STATE(1506)] = 33530,
  [SMALL_STATE(1507)] = 33592,
  [SMALL_STATE(1508)] = 33644,
  [SMALL_STATE(1509)] = 33696,
  [SMALL_STATE(1510)] = 33748,
  [SMALL_STATE(1511)] = 33800,
  [SMALL_STATE(1512)] = 33856,
  [SMALL_STATE(1513)] = 33908,
  [SMALL_STATE(1514)] = 33970,
  [SMALL_STATE(1515)] = 34022,
  [SMALL_STATE(1516)] = 34084,
  [SMALL_STATE(1517)] = 34136,
  [SMALL_STATE(1518)] = 34198,
  [SMALL_STATE(1519)] = 34260,
  [SMALL_STATE(1520)] = 34322,
  [SMALL_STATE(1521)] = 34374,
  [SMALL_STATE(1522)] = 34436,
  [SMALL_STATE(1523)] = 34488,
  [SMALL_STATE(1524)] = 34542,
  [SMALL_STATE(1525)] = 34596,
  [SMALL_STATE(1526)] = 34648,
  [SMALL_STATE(1527)] = 34702,
  [SMALL_STATE(1528)] = 34760,
  [SMALL_STATE(1529)] = 34812,
  [SMALL_STATE(1530)] = 34864,
  [SMALL_STATE(1531)] = 34916,
  [SMALL_STATE(1532)] = 34968,
  [SMALL_STATE(1533)] = 35020,
  [SMALL_STATE(1534)] = 35072,
  [SMALL_STATE(1535)] = 35128,
  [SMALL_STATE(1536)] = 35180,
  [SMALL_STATE(1537)] = 35252,
  [SMALL_STATE(1538)] = 35304,
  [SMALL_STATE(1539)] = 35356,
  [SMALL_STATE(1540)] = 35408,
  [SMALL_STATE(1541)] = 35460,
  [SMALL_STATE(1542)] = 35512,
  [SMALL_STATE(1543)] = 35566,
  [SMALL_STATE(1544)] = 35618,
  [SMALL_STATE(1545)] = 35670,
  [SMALL_STATE(1546)] = 35732,
  [SMALL_STATE(1547)] = 35784,
  [SMALL_STATE(1548)] = 35836,
  [SMALL_STATE(1549)] = 35888,
  [SMALL_STATE(1550)] = 35940,
  [SMALL_STATE(1551)] = 35994,
  [SMALL_STATE(1552)] = 36046,
  [SMALL_STATE(1553)] = 36108,
  [SMALL_STATE(1554)] = 36160,
  [SMALL_STATE(1555)] = 36212,
  [SMALL_STATE(1556)] = 36264,
  [SMALL_STATE(1557)] = 36316,
  [SMALL_STATE(1558)] = 36372,
  [SMALL_STATE(1559)] = 36424,
  [SMALL_STATE(1560)] = 36486,
  [SMALL_STATE(1561)] = 36542,
  [SMALL_STATE(1562)] = 36600,
  [SMALL_STATE(1563)] = 36652,
  [SMALL_STATE(1564)] = 36704,
  [SMALL_STATE(1565)] = 36756,
  [SMALL_STATE(1566)] = 36814,
  [SMALL_STATE(1567)] = 36872,
  [SMALL_STATE(1568)] = 36924,
  [SMALL_STATE(1569)] = 36978,
  [SMALL_STATE(1570)] = 37040,
  [SMALL_STATE(1571)] = 37092,
  [SMALL_STATE(1572)] = 37144,
  [SMALL_STATE(1573)] = 37206,
  [SMALL_STATE(1574)] = 37258,
  [SMALL_STATE(1575)] = 37310,
  [SMALL_STATE(1576)] = 37372,
  [SMALL_STATE(1577)] = 37426,
  [SMALL_STATE(1578)] = 37478,
  [SMALL_STATE(1579)] = 37550,
  [SMALL_STATE(1580)] = 37602,
  [SMALL_STATE(1581)] = 37654,
  [SMALL_STATE(1582)] = 37706,
  [SMALL_STATE(1583)] = 37758,
  [SMALL_STATE(1584)] = 37816,
  [SMALL_STATE(1585)] = 37888,
  [SMALL_STATE(1586)] = 37946,
  [SMALL_STATE(1587)] = 37998,
  [SMALL_STATE(1588)] = 38050,
  [SMALL_STATE(1589)] = 38102,
  [SMALL_STATE(1590)] = 38164,
  [SMALL_STATE(1591)] = 38216,
  [SMALL_STATE(1592)] = 38278,
  [SMALL_STATE(1593)] = 38362,
  [SMALL_STATE(1594)] = 38414,
  [SMALL_STATE(1595)] = 38466,
  [SMALL_STATE(1596)] = 38524,
  [SMALL_STATE(1597)] = 38596,
  [SMALL_STATE(1598)] = 38648,
  [SMALL_STATE(1599)] = 38700,
  [SMALL_STATE(1600)] = 38752,
  [SMALL_STATE(1601)] = 38804,
  [SMALL_STATE(1602)] = 38876,
  [SMALL_STATE(1603)] = 38928,
  [SMALL_STATE(1604)] = 38980,
  [SMALL_STATE(1605)] = 39032,
  [SMALL_STATE(1606)] = 39084,
  [SMALL_STATE(1607)] = 39136,
  [SMALL_STATE(1608)] = 39192,
  [SMALL_STATE(1609)] = 39250,
  [SMALL_STATE(1610)] = 39302,
  [SMALL_STATE(1611)] = 39380,
  [SMALL_STATE(1612)] = 39434,
  [SMALL_STATE(1613)] = 39494,
  [SMALL_STATE(1614)] = 39548,
  [SMALL_STATE(1615)] = 39600,
  [SMALL_STATE(1616)] = 39672,
  [SMALL_STATE(1617)] = 39724,
  [SMALL_STATE(1618)] = 39796,
  [SMALL_STATE(1619)] = 39856,
  [SMALL_STATE(1620)] = 39908,
  [SMALL_STATE(1621)] = 39960,
  [SMALL_STATE(1622)] = 40014,
  [SMALL_STATE(1623)] = 40066,
  [SMALL_STATE(1624)] = 40118,
  [SMALL_STATE(1625)] = 40180,
  [SMALL_STATE(1626)] = 40235,
  [SMALL_STATE(1627)] = 40340,
  [SMALL_STATE(1628)] = 40407,
  [SMALL_STATE(1629)] = 40468,
  [SMALL_STATE(1630)] = 40519,
  [SMALL_STATE(1631)] = 40570,
  [SMALL_STATE(1632)] = 40621,
  [SMALL_STATE(1633)] = 40696,
  [SMALL_STATE(1634)] = 40801,
  [SMALL_STATE(1635)] = 40852,
  [SMALL_STATE(1636)] = 40957,
  [SMALL_STATE(1637)] = 41012,
  [SMALL_STATE(1638)] = 41063,
  [SMALL_STATE(1639)] = 41134,
  [SMALL_STATE(1640)] = 41185,
  [SMALL_STATE(1641)] = 41242,
  [SMALL_STATE(1642)] = 41347,
  [SMALL_STATE(1643)] = 41398,
  [SMALL_STATE(1644)] = 41449,
  [SMALL_STATE(1645)] = 41500,
  [SMALL_STATE(1646)] = 41551,
  [SMALL_STATE(1647)] = 41602,
  [SMALL_STATE(1648)] = 41707,
  [SMALL_STATE(1649)] = 41758,
  [SMALL_STATE(1650)] = 41815,
  [SMALL_STATE(1651)] = 41920,
  [SMALL_STATE(1652)] = 41991,
  [SMALL_STATE(1653)] = 42072,
  [SMALL_STATE(1654)] = 42123,
  [SMALL_STATE(1655)] = 42174,
  [SMALL_STATE(1656)] = 42225,
  [SMALL_STATE(1657)] = 42320,
  [SMALL_STATE(1658)] = 42371,
  [SMALL_STATE(1659)] = 42422,
  [SMALL_STATE(1660)] = 42489,
  [SMALL_STATE(1661)] = 42542,
  [SMALL_STATE(1662)] = 42639,
  [SMALL_STATE(1663)] = 42690,
  [SMALL_STATE(1664)] = 42753,
  [SMALL_STATE(1665)] = 42804,
  [SMALL_STATE(1666)] = 42855,
  [SMALL_STATE(1667)] = 42932,
  [SMALL_STATE(1668)] = 43021,
  [SMALL_STATE(1669)] = 43112,
  [SMALL_STATE(1670)] = 43163,
  [SMALL_STATE(1671)] = 43256,
  [SMALL_STATE(1672)] = 43307,
  [SMALL_STATE(1673)] = 43376,
  [SMALL_STATE(1674)] = 43451,
  [SMALL_STATE(1675)] = 43520,
  [SMALL_STATE(1676)] = 43571,
  [SMALL_STATE(1677)] = 43622,
  [SMALL_STATE(1678)] = 43707,
  [SMALL_STATE(1679)] = 43758,
  [SMALL_STATE(1680)] = 43815,
  [SMALL_STATE(1681)] = 43914,
  [SMALL_STATE(1682)] = 44019,
  [SMALL_STATE(1683)] = 44070,
  [SMALL_STATE(1684)] = 44121,
  [SMALL_STATE(1685)] = 44172,
  [SMALL_STATE(1686)] = 44223,
  [SMALL_STATE(1687)] = 44274,
  [SMALL_STATE(1688)] = 44379,
  [SMALL_STATE(1689)] = 44430,
  [SMALL_STATE(1690)] = 44535,
  [SMALL_STATE(1691)] = 44640,
  [SMALL_STATE(1692)] = 44691,
  [SMALL_STATE(1693)] = 44742,
  [SMALL_STATE(1694)] = 44793,
  [SMALL_STATE(1695)] = 44898,
  [SMALL_STATE(1696)] = 44949,
  [SMALL_STATE(1697)] = 45000,
  [SMALL_STATE(1698)] = 45057,
  [SMALL_STATE(1699)] = 45108,
  [SMALL_STATE(1700)] = 45159,
  [SMALL_STATE(1701)] = 45210,
  [SMALL_STATE(1702)] = 45261,
  [SMALL_STATE(1703)] = 45368,
  [SMALL_STATE(1704)] = 45419,
  [SMALL_STATE(1705)] = 45472,
  [SMALL_STATE(1706)] = 45527,
  [SMALL_STATE(1707)] = 45578,
  [SMALL_STATE(1708)] = 45629,
  [SMALL_STATE(1709)] = 45680,
  [SMALL_STATE(1710)] = 45731,
  [SMALL_STATE(1711)] = 45790,
  [SMALL_STATE(1712)] = 45841,
  [SMALL_STATE(1713)] = 45894,
  [SMALL_STATE(1714)] = 45945,
  [SMALL_STATE(1715)] = 46012,
  [SMALL_STATE(1716)] = 46063,
  [SMALL_STATE(1717)] = 46120,
  [SMALL_STATE(1718)] = 46171,
  [SMALL_STATE(1719)] = 46228,
  [SMALL_STATE(1720)] = 46291,
  [SMALL_STATE(1721)] = 46342,
  [SMALL_STATE(1722)] = 46395,
  [SMALL_STATE(1723)] = 46446,
  [SMALL_STATE(1724)] = 46551,
  [SMALL_STATE(1725)] = 46602,
  [SMALL_STATE(1726)] = 46653,
  [SMALL_STATE(1727)] = 46704,
  [SMALL_STATE(1728)] = 46757,
  [SMALL_STATE(1729)] = 46808,
  [SMALL_STATE(1730)] = 46859,
  [SMALL_STATE(1731)] = 46932,
  [SMALL_STATE(1732)] = 46983,
  [SMALL_STATE(1733)] = 47034,
  [SMALL_STATE(1734)] = 47103,
  [SMALL_STATE(1735)] = 47154,
  [SMALL_STATE(1736)] = 47205,
  [SMALL_STATE(1737)] = 47258,
  [SMALL_STATE(1738)] = 47309,
  [SMALL_STATE(1739)] = 47360,
  [SMALL_STATE(1740)] = 47448,
  [SMALL_STATE(1741)] = 47552,
  [SMALL_STATE(1742)] = 47644,
  [SMALL_STATE(1743)] = 47748,
  [SMALL_STATE(1744)] = 47838,
  [SMALL_STATE(1745)] = 47948,
  [SMALL_STATE(1746)] = 48020,
  [SMALL_STATE(1747)] = 48124,
  [SMALL_STATE(1748)] = 48232,
  [SMALL_STATE(1749)] = 48336,
  [SMALL_STATE(1750)] = 48410,
  [SMALL_STATE(1751)] = 48474,
  [SMALL_STATE(1752)] = 48534,
  [SMALL_STATE(1753)] = 48622,
  [SMALL_STATE(1754)] = 48692,
  [SMALL_STATE(1755)] = 48796,
  [SMALL_STATE(1756)] = 48872,
  [SMALL_STATE(1757)] = 48976,
  [SMALL_STATE(1758)] = 49044,
  [SMALL_STATE(1759)] = 49112,
  [SMALL_STATE(1760)] = 49208,
  [SMALL_STATE(1761)] = 49292,
  [SMALL_STATE(1762)] = 49400,
  [SMALL_STATE(1763)] = 49462,
  [SMALL_STATE(1764)] = 49556,
  [SMALL_STATE(1765)] = 49624,
  [SMALL_STATE(1766)] = 49734,
  [SMALL_STATE(1767)] = 49800,
  [SMALL_STATE(1768)] = 49854,
  [SMALL_STATE(1769)] = 49916,
  [SMALL_STATE(1770)] = 49974,
  [SMALL_STATE(1771)] = 50072,
  [SMALL_STATE(1772)] = 50152,
  [SMALL_STATE(1773)] = 50232,
  [SMALL_STATE(1774)] = 50292,
  [SMALL_STATE(1775)] = 50402,
  [SMALL_STATE(1776)] = 50506,
  [SMALL_STATE(1777)] = 50610,
  [SMALL_STATE(1778)] = 50714,
  [SMALL_STATE(1779)] = 50772,
  [SMALL_STATE(1780)] = 50876,
  [SMALL_STATE(1781)] = 50928,
  [SMALL_STATE(1782)] = 50990,
  [SMALL_STATE(1783)] = 51046,
  [SMALL_STATE(1784)] = 51104,
  [SMALL_STATE(1785)] = 51174,
  [SMALL_STATE(1786)] = 51278,
  [SMALL_STATE(1787)] = 51340,
  [SMALL_STATE(1788)] = 51444,
  [SMALL_STATE(1789)] = 51506,
  [SMALL_STATE(1790)] = 51568,
  [SMALL_STATE(1791)] = 51630,
  [SMALL_STATE(1792)] = 51694,
  [SMALL_STATE(1793)] = 51802,
  [SMALL_STATE(1794)] = 51862,
  [SMALL_STATE(1795)] = 51916,
  [SMALL_STATE(1796)] = 51970,
  [SMALL_STATE(1797)] = 52064,
  [SMALL_STATE(1798)] = 52126,
  [SMALL_STATE(1799)] = 52188,
  [SMALL_STATE(1800)] = 52284,
  [SMALL_STATE(1801)] = 52338,
  [SMALL_STATE(1802)] = 52404,
  [SMALL_STATE(1803)] = 52460,
  [SMALL_STATE(1804)] = 52536,
  [SMALL_STATE(1805)] = 52594,
  [SMALL_STATE(1806)] = 52698,
  [SMALL_STATE(1807)] = 52788,
  [SMALL_STATE(1808)] = 52892,
  [SMALL_STATE(1809)] = 52984,
  [SMALL_STATE(1810)] = 53092,
  [SMALL_STATE(1811)] = 53166,
  [SMALL_STATE(1812)] = 53234,
  [SMALL_STATE(1813)] = 53342,
  [SMALL_STATE(1814)] = 53410,
  [SMALL_STATE(1815)] = 53514,
  [SMALL_STATE(1816)] = 53598,
  [SMALL_STATE(1817)] = 53660,
  [SMALL_STATE(1818)] = 53722,
  [SMALL_STATE(1819)] = 53782,
  [SMALL_STATE(1820)] = 53880,
  [SMALL_STATE(1821)] = 53984,
  [SMALL_STATE(1822)] = 54044,
  [SMALL_STATE(1823)] = 54104,
  [SMALL_STATE(1824)] = 54208,
  [SMALL_STATE(1825)] = 54312,
  [SMALL_STATE(1826)] = 54374,
  [SMALL_STATE(1827)] = 54484,
  [SMALL_STATE(1828)] = 54588,
  [SMALL_STATE(1829)] = 54650,
  [SMALL_STATE(1830)] = 54712,
  [SMALL_STATE(1831)] = 54816,
  [SMALL_STATE(1832)] = 54876,
  [SMALL_STATE(1833)] = 54936,
  [SMALL_STATE(1834)] = 54996,
  [SMALL_STATE(1835)] = 55052,
  [SMALL_STATE(1836)] = 55156,
  [SMALL_STATE(1837)] = 55260,
  [SMALL_STATE(1838)] = 55366,
  [SMALL_STATE(1839)] = 55470,
  [SMALL_STATE(1840)] = 55574,
  [SMALL_STATE(1841)] = 55640,
  [SMALL_STATE(1842)] = 55746,
  [SMALL_STATE(1843)] = 55850,
  [SMALL_STATE(1844)] = 55922,
  [SMALL_STATE(1845)] = 55978,
  [SMALL_STATE(1846)] = 56027,
  [SMALL_STATE(1847)] = 56130,
  [SMALL_STATE(1848)] = 56179,
  [SMALL_STATE(1849)] = 56228,
  [SMALL_STATE(1850)] = 56279,
  [SMALL_STATE(1851)] = 56328,
  [SMALL_STATE(1852)] = 56377,
  [SMALL_STATE(1853)] = 56426,
  [SMALL_STATE(1854)] = 56533,
  [SMALL_STATE(1855)] = 56586,
  [SMALL_STATE(1856)] = 56635,
  [SMALL_STATE(1857)] = 56690,
  [SMALL_STATE(1858)] = 56741,
  [SMALL_STATE(1859)] = 56794,
  [SMALL_STATE(1860)] = 56899,
  [SMALL_STATE(1861)] = 56950,
  [SMALL_STATE(1862)] = 56999,
  [SMALL_STATE(1863)] = 57106,
  [SMALL_STATE(1864)] = 57161,
  [SMALL_STATE(1865)] = 57218,
  [SMALL_STATE(1866)] = 57279,
  [SMALL_STATE(1867)] = 57330,
  [SMALL_STATE(1868)] = 57437,
  [SMALL_STATE(1869)] = 57540,
  [SMALL_STATE(1870)] = 57605,
  [SMALL_STATE(1871)] = 57708,
  [SMALL_STATE(1872)] = 57779,
  [SMALL_STATE(1873)] = 57846,
  [SMALL_STATE(1874)] = 57907,
  [SMALL_STATE(1875)] = 57958,
  [SMALL_STATE(1876)] = 58063,
  [SMALL_STATE(1877)] = 58112,
  [SMALL_STATE(1878)] = 58161,
  [SMALL_STATE(1879)] = 58210,
  [SMALL_STATE(1880)] = 58259,
  [SMALL_STATE(1881)] = 58308,
  [SMALL_STATE(1882)] = 58357,
  [SMALL_STATE(1883)] = 58406,
  [SMALL_STATE(1884)] = 58455,
  [SMALL_STATE(1885)] = 58504,
  [SMALL_STATE(1886)] = 58609,
  [SMALL_STATE(1887)] = 58670,
  [SMALL_STATE(1888)] = 58773,
  [SMALL_STATE(1889)] = 58822,
  [SMALL_STATE(1890)] = 58871,
  [SMALL_STATE(1891)] = 58920,
  [SMALL_STATE(1892)] = 58969,
  [SMALL_STATE(1893)] = 59018,
  [SMALL_STATE(1894)] = 59067,
  [SMALL_STATE(1895)] = 59116,
  [SMALL_STATE(1896)] = 59171,
  [SMALL_STATE(1897)] = 59226,
  [SMALL_STATE(1898)] = 59275,
  [SMALL_STATE(1899)] = 59324,
  [SMALL_STATE(1900)] = 59375,
  [SMALL_STATE(1901)] = 59424,
  [SMALL_STATE(1902)] = 59473,
  [SMALL_STATE(1903)] = 59522,
  [SMALL_STATE(1904)] = 59577,
  [SMALL_STATE(1905)] = 59632,
  [SMALL_STATE(1906)] = 59681,
  [SMALL_STATE(1907)] = 59732,
  [SMALL_STATE(1908)] = 59781,
  [SMALL_STATE(1909)] = 59886,
  [SMALL_STATE(1910)] = 59993,
  [SMALL_STATE(1911)] = 60096,
  [SMALL_STATE(1912)] = 60199,
  [SMALL_STATE(1913)] = 60260,
  [SMALL_STATE(1914)] = 60363,
  [SMALL_STATE(1915)] = 60424,
  [SMALL_STATE(1916)] = 60527,
  [SMALL_STATE(1917)] = 60588,
  [SMALL_STATE(1918)] = 60691,
  [SMALL_STATE(1919)] = 60798,
  [SMALL_STATE(1920)] = 60851,
  [SMALL_STATE(1921)] = 60900,
  [SMALL_STATE(1922)] = 60955,
  [SMALL_STATE(1923)] = 61010,
  [SMALL_STATE(1924)] = 61063,
  [SMALL_STATE(1925)] = 61114,
  [SMALL_STATE(1926)] = 61167,
  [SMALL_STATE(1927)] = 61216,
  [SMALL_STATE(1928)] = 61265,
  [SMALL_STATE(1929)] = 61314,
  [SMALL_STATE(1930)] = 61363,
  [SMALL_STATE(1931)] = 61412,
  [SMALL_STATE(1932)] = 61519,
  [SMALL_STATE(1933)] = 61576,
  [SMALL_STATE(1934)] = 61633,
  [SMALL_STATE(1935)] = 61682,
  [SMALL_STATE(1936)] = 61731,
  [SMALL_STATE(1937)] = 61780,
  [SMALL_STATE(1938)] = 61835,
  [SMALL_STATE(1939)] = 61896,
  [SMALL_STATE(1940)] = 61945,
  [SMALL_STATE(1941)] = 61994,
  [SMALL_STATE(1942)] = 62045,
  [SMALL_STATE(1943)] = 62152,
  [SMALL_STATE(1944)] = 62201,
  [SMALL_STATE(1945)] = 62304,
  [SMALL_STATE(1946)] = 62361,
  [SMALL_STATE(1947)] = 62458,
  [SMALL_STATE(1948)] = 62541,
  [SMALL_STATE(1949)] = 62648,
  [SMALL_STATE(1950)] = 62753,
  [SMALL_STATE(1951)] = 62820,
  [SMALL_STATE(1952)] = 62881,
  [SMALL_STATE(1953)] = 62930,
  [SMALL_STATE(1954)] = 62979,
  [SMALL_STATE(1955)] = 63028,
  [SMALL_STATE(1956)] = 63101,
  [SMALL_STATE(1957)] = 63150,
  [SMALL_STATE(1958)] = 63199,
  [SMALL_STATE(1959)] = 63248,
  [SMALL_STATE(1960)] = 63297,
  [SMALL_STATE(1961)] = 63346,
  [SMALL_STATE(1962)] = 63395,
  [SMALL_STATE(1963)] = 63444,
  [SMALL_STATE(1964)] = 63493,
  [SMALL_STATE(1965)] = 63542,
  [SMALL_STATE(1966)] = 63597,
  [SMALL_STATE(1967)] = 63702,
  [SMALL_STATE(1968)] = 63807,
  [SMALL_STATE(1969)] = 63912,
  [SMALL_STATE(1970)] = 64001,
  [SMALL_STATE(1971)] = 64088,
  [SMALL_STATE(1972)] = 64141,
  [SMALL_STATE(1973)] = 64192,
  [SMALL_STATE(1974)] = 64241,
  [SMALL_STATE(1975)] = 64348,
  [SMALL_STATE(1976)] = 64455,
  [SMALL_STATE(1977)] = 64504,
  [SMALL_STATE(1978)] = 64553,
  [SMALL_STATE(1979)] = 64602,
  [SMALL_STATE(1980)] = 64651,
  [SMALL_STATE(1981)] = 64726,
  [SMALL_STATE(1982)] = 64789,
  [SMALL_STATE(1983)] = 64850,
  [SMALL_STATE(1984)] = 64911,
  [SMALL_STATE(1985)] = 64966,
  [SMALL_STATE(1986)] = 65029,
  [SMALL_STATE(1987)] = 65124,
  [SMALL_STATE(1988)] = 65217,
  [SMALL_STATE(1989)] = 65266,
  [SMALL_STATE(1990)] = 65315,
  [SMALL_STATE(1991)] = 65364,
  [SMALL_STATE(1992)] = 65413,
  [SMALL_STATE(1993)] = 65516,
  [SMALL_STATE(1994)] = 65565,
  [SMALL_STATE(1995)] = 65614,
  [SMALL_STATE(1996)] = 65663,
  [SMALL_STATE(1997)] = 65712,
  [SMALL_STATE(1998)] = 65761,
  [SMALL_STATE(1999)] = 65810,
  [SMALL_STATE(2000)] = 65913,
  [SMALL_STATE(2001)] = 66004,
  [SMALL_STATE(2002)] = 66053,
  [SMALL_STATE(2003)] = 66108,
  [SMALL_STATE(2004)] = 66187,
  [SMALL_STATE(2005)] = 66292,
  [SMALL_STATE(2006)] = 66341,
  [SMALL_STATE(2007)] = 66390,
  [SMALL_STATE(2008)] = 66459,
  [SMALL_STATE(2009)] = 66508,
  [SMALL_STATE(2010)] = 66563,
  [SMALL_STATE(2011)] = 66666,
  [SMALL_STATE(2012)] = 66715,
  [SMALL_STATE(2013)] = 66766,
  [SMALL_STATE(2014)] = 66817,
  [SMALL_STATE(2015)] = 66872,
  [SMALL_STATE(2016)] = 66975,
  [SMALL_STATE(2017)] = 67078,
  [SMALL_STATE(2018)] = 67181,
  [SMALL_STATE(2019)] = 67240,
  [SMALL_STATE(2020)] = 67343,
  [SMALL_STATE(2021)] = 67395,
  [SMALL_STATE(2022)] = 67443,
  [SMALL_STATE(2023)] = 67547,
  [SMALL_STATE(2024)] = 67617,
  [SMALL_STATE(2025)] = 67669,
  [SMALL_STATE(2026)] = 67773,
  [SMALL_STATE(2027)] = 67825,
  [SMALL_STATE(2028)] = 67879,
  [SMALL_STATE(2029)] = 67937,
  [SMALL_STATE(2030)] = 67989,
  [SMALL_STATE(2031)] = 68037,
  [SMALL_STATE(2032)] = 68119,
  [SMALL_STATE(2033)] = 68173,
  [SMALL_STATE(2034)] = 68221,
  [SMALL_STATE(2035)] = 68269,
  [SMALL_STATE(2036)] = 68373,
  [SMALL_STATE(2037)] = 68425,
  [SMALL_STATE(2038)] = 68477,
  [SMALL_STATE(2039)] = 68527,
  [SMALL_STATE(2040)] = 68575,
  [SMALL_STATE(2041)] = 68627,
  [SMALL_STATE(2042)] = 68679,
  [SMALL_STATE(2043)] = 68783,
  [SMALL_STATE(2044)] = 68833,
  [SMALL_STATE(2045)] = 68885,
  [SMALL_STATE(2046)] = 68935,
  [SMALL_STATE(2047)] = 68985,
  [SMALL_STATE(2048)] = 69037,
  [SMALL_STATE(2049)] = 69085,
  [SMALL_STATE(2050)] = 69133,
  [SMALL_STATE(2051)] = 69235,
  [SMALL_STATE(2052)] = 69305,
  [SMALL_STATE(2053)] = 69353,
  [SMALL_STATE(2054)] = 69405,
  [SMALL_STATE(2055)] = 69453,
  [SMALL_STATE(2056)] = 69509,
  [SMALL_STATE(2057)] = 69557,
  [SMALL_STATE(2058)] = 69661,
  [SMALL_STATE(2059)] = 69709,
  [SMALL_STATE(2060)] = 69767,
  [SMALL_STATE(2061)] = 69821,
  [SMALL_STATE(2062)] = 69869,
  [SMALL_STATE(2063)] = 69965,
  [SMALL_STATE(2064)] = 70019,
  [SMALL_STATE(2065)] = 70121,
  [SMALL_STATE(2066)] = 70175,
  [SMALL_STATE(2067)] = 70229,
  [SMALL_STATE(2068)] = 70277,
  [SMALL_STATE(2069)] = 70325,
  [SMALL_STATE(2070)] = 70373,
  [SMALL_STATE(2071)] = 70425,
  [SMALL_STATE(2072)] = 70473,
  [SMALL_STATE(2073)] = 70523,
  [SMALL_STATE(2074)] = 70571,
  [SMALL_STATE(2075)] = 70619,
  [SMALL_STATE(2076)] = 70667,
  [SMALL_STATE(2077)] = 70715,
  [SMALL_STATE(2078)] = 70819,
  [SMALL_STATE(2079)] = 70885,
  [SMALL_STATE(2080)] = 70933,
  [SMALL_STATE(2081)] = 71035,
  [SMALL_STATE(2082)] = 71091,
  [SMALL_STATE(2083)] = 71139,
  [SMALL_STATE(2084)] = 71189,
  [SMALL_STATE(2085)] = 71261,
  [SMALL_STATE(2086)] = 71309,
  [SMALL_STATE(2087)] = 71357,
  [SMALL_STATE(2088)] = 71447,
  [SMALL_STATE(2089)] = 71501,
  [SMALL_STATE(2090)] = 71589,
  [SMALL_STATE(2091)] = 71691,
  [SMALL_STATE(2092)] = 71795,
  [SMALL_STATE(2093)] = 71897,
  [SMALL_STATE(2094)] = 71945,
  [SMALL_STATE(2095)] = 72049,
  [SMALL_STATE(2096)] = 72153,
  [SMALL_STATE(2097)] = 72201,
  [SMALL_STATE(2098)] = 72249,
  [SMALL_STATE(2099)] = 72297,
  [SMALL_STATE(2100)] = 72345,
  [SMALL_STATE(2101)] = 72393,
  [SMALL_STATE(2102)] = 72441,
  [SMALL_STATE(2103)] = 72545,
  [SMALL_STATE(2104)] = 72599,
  [SMALL_STATE(2105)] = 72701,
  [SMALL_STATE(2106)] = 72803,
  [SMALL_STATE(2107)] = 72851,
  [SMALL_STATE(2108)] = 72903,
  [SMALL_STATE(2109)] = 72951,
  [SMALL_STATE(2110)] = 72999,
  [SMALL_STATE(2111)] = 73047,
  [SMALL_STATE(2112)] = 73107,
  [SMALL_STATE(2113)] = 73163,
  [SMALL_STATE(2114)] = 73211,
  [SMALL_STATE(2115)] = 73263,
  [SMALL_STATE(2116)] = 73317,
  [SMALL_STATE(2117)] = 73369,
  [SMALL_STATE(2118)] = 73417,
  [SMALL_STATE(2119)] = 73519,
  [SMALL_STATE(2120)] = 73621,
  [SMALL_STATE(2121)] = 73725,
  [SMALL_STATE(2122)] = 73827,
  [SMALL_STATE(2123)] = 73885,
  [SMALL_STATE(2124)] = 73987,
  [SMALL_STATE(2125)] = 74089,
  [SMALL_STATE(2126)] = 74143,
  [SMALL_STATE(2127)] = 74245,
  [SMALL_STATE(2128)] = 74347,
  [SMALL_STATE(2129)] = 74399,
  [SMALL_STATE(2130)] = 74451,
  [SMALL_STATE(2131)] = 74499,
  [SMALL_STATE(2132)] = 74551,
  [SMALL_STATE(2133)] = 74619,
  [SMALL_STATE(2134)] = 74697,
  [SMALL_STATE(2135)] = 74801,
  [SMALL_STATE(2136)] = 74849,
  [SMALL_STATE(2137)] = 74901,
  [SMALL_STATE(2138)] = 75005,
  [SMALL_STATE(2139)] = 75109,
  [SMALL_STATE(2140)] = 75161,
  [SMALL_STATE(2141)] = 75265,
  [SMALL_STATE(2142)] = 75313,
  [SMALL_STATE(2143)] = 75361,
  [SMALL_STATE(2144)] = 75463,
  [SMALL_STATE(2145)] = 75567,
  [SMALL_STATE(2146)] = 75619,
  [SMALL_STATE(2147)] = 75667,
  [SMALL_STATE(2148)] = 75717,
  [SMALL_STATE(2149)] = 75765,
  [SMALL_STATE(2150)] = 75813,
  [SMALL_STATE(2151)] = 75861,
  [SMALL_STATE(2152)] = 75911,
  [SMALL_STATE(2153)] = 75959,
  [SMALL_STATE(2154)] = 76009,
  [SMALL_STATE(2155)] = 76067,
  [SMALL_STATE(2156)] = 76121,
  [SMALL_STATE(2157)] = 76213,
  [SMALL_STATE(2158)] = 76317,
  [SMALL_STATE(2159)] = 76367,
  [SMALL_STATE(2160)] = 76461,
  [SMALL_STATE(2161)] = 76513,
  [SMALL_STATE(2162)] = 76587,
  [SMALL_STATE(2163)] = 76673,
  [SMALL_STATE(2164)] = 76725,
  [SMALL_STATE(2165)] = 76775,
  [SMALL_STATE(2166)] = 76823,
  [SMALL_STATE(2167)] = 76873,
  [SMALL_STATE(2168)] = 76929,
  [SMALL_STATE(2169)] = 76985,
  [SMALL_STATE(2170)] = 77087,
  [SMALL_STATE(2171)] = 77143,
  [SMALL_STATE(2172)] = 77209,
  [SMALL_STATE(2173)] = 77261,
  [SMALL_STATE(2174)] = 77315,
  [SMALL_STATE(2175)] = 77363,
  [SMALL_STATE(2176)] = 77415,
  [SMALL_STATE(2177)] = 77463,
  [SMALL_STATE(2178)] = 77515,
  [SMALL_STATE(2179)] = 77565,
  [SMALL_STATE(2180)] = 77667,
  [SMALL_STATE(2181)] = 77769,
  [SMALL_STATE(2182)] = 77821,
  [SMALL_STATE(2183)] = 77877,
  [SMALL_STATE(2184)] = 77979,
  [SMALL_STATE(2185)] = 78031,
  [SMALL_STATE(2186)] = 78081,
  [SMALL_STATE(2187)] = 78185,
  [SMALL_STATE(2188)] = 78237,
  [SMALL_STATE(2189)] = 78341,
  [SMALL_STATE(2190)] = 78393,
  [SMALL_STATE(2191)] = 78451,
  [SMALL_STATE(2192)] = 78505,
  [SMALL_STATE(2193)] = 78569,
  [SMALL_STATE(2194)] = 78625,
  [SMALL_STATE(2195)] = 78728,
  [SMALL_STATE(2196)] = 78829,
  [SMALL_STATE(2197)] = 78924,
  [SMALL_STATE(2198)] = 79025,
  [SMALL_STATE(2199)] = 79126,
  [SMALL_STATE(2200)] = 79191,
  [SMALL_STATE(2201)] = 79292,
  [SMALL_STATE(2202)] = 79393,
  [SMALL_STATE(2203)] = 79462,
  [SMALL_STATE(2204)] = 79563,
  [SMALL_STATE(2205)] = 79664,
  [SMALL_STATE(2206)] = 79765,
  [SMALL_STATE(2207)] = 79846,
  [SMALL_STATE(2208)] = 79947,
  [SMALL_STATE(2209)] = 80048,
  [SMALL_STATE(2210)] = 80113,
  [SMALL_STATE(2211)] = 80160,
  [SMALL_STATE(2212)] = 80219,
  [SMALL_STATE(2213)] = 80320,
  [SMALL_STATE(2214)] = 80415,
  [SMALL_STATE(2215)] = 80502,
  [SMALL_STATE(2216)] = 80563,
  [SMALL_STATE(2217)] = 80634,
  [SMALL_STATE(2218)] = 80723,
  [SMALL_STATE(2219)] = 80770,
  [SMALL_STATE(2220)] = 80857,
  [SMALL_STATE(2221)] = 80904,
  [SMALL_STATE(2222)] = 81005,
  [SMALL_STATE(2223)] = 81106,
  [SMALL_STATE(2224)] = 81169,
  [SMALL_STATE(2225)] = 81254,
  [SMALL_STATE(2226)] = 81327,
  [SMALL_STATE(2227)] = 81420,
  [SMALL_STATE(2228)] = 81475,
  [SMALL_STATE(2229)] = 81566,
  [SMALL_STATE(2230)] = 81621,
  [SMALL_STATE(2231)] = 81722,
  [SMALL_STATE(2232)] = 81777,
  [SMALL_STATE(2233)] = 81832,
  [SMALL_STATE(2234)] = 81879,
  [SMALL_STATE(2235)] = 81946,
  [SMALL_STATE(2236)] = 81995,
  [SMALL_STATE(2237)] = 82042,
  [SMALL_STATE(2238)] = 82095,
  [SMALL_STATE(2239)] = 82196,
  [SMALL_STATE(2240)] = 82259,
  [SMALL_STATE(2241)] = 82320,
  [SMALL_STATE(2242)] = 82421,
  [SMALL_STATE(2243)] = 82488,
  [SMALL_STATE(2244)] = 82549,
  [SMALL_STATE(2245)] = 82612,
  [SMALL_STATE(2246)] = 82713,
  [SMALL_STATE(2247)] = 82764,
  [SMALL_STATE(2248)] = 82865,
  [SMALL_STATE(2249)] = 82912,
  [SMALL_STATE(2250)] = 82975,
  [SMALL_STATE(2251)] = 83076,
  [SMALL_STATE(2252)] = 83177,
  [SMALL_STATE(2253)] = 83224,
  [SMALL_STATE(2254)] = 83325,
  [SMALL_STATE(2255)] = 83372,
  [SMALL_STATE(2256)] = 83473,
  [SMALL_STATE(2257)] = 83530,
  [SMALL_STATE(2258)] = 83593,
  [SMALL_STATE(2259)] = 83640,
  [SMALL_STATE(2260)] = 83687,
  [SMALL_STATE(2261)] = 83788,
  [SMALL_STATE(2262)] = 83841,
  [SMALL_STATE(2263)] = 83918,
  [SMALL_STATE(2264)] = 83965,
  [SMALL_STATE(2265)] = 84066,
  [SMALL_STATE(2266)] = 84167,
  [SMALL_STATE(2267)] = 84220,
  [SMALL_STATE(2268)] = 84267,
  [SMALL_STATE(2269)] = 84368,
  [SMALL_STATE(2270)] = 84469,
  [SMALL_STATE(2271)] = 84516,
  [SMALL_STATE(2272)] = 84569,
  [SMALL_STATE(2273)] = 84616,
  [SMALL_STATE(2274)] = 84663,
  [SMALL_STATE(2275)] = 84714,
  [SMALL_STATE(2276)] = 84795,
  [SMALL_STATE(2277)] = 84846,
  [SMALL_STATE(2278)] = 84911,
  [SMALL_STATE(2279)] = 84966,
  [SMALL_STATE(2280)] = 85013,
  [SMALL_STATE(2281)] = 85060,
  [SMALL_STATE(2282)] = 85113,
  [SMALL_STATE(2283)] = 85168,
  [SMALL_STATE(2284)] = 85239,
  [SMALL_STATE(2285)] = 85286,
  [SMALL_STATE(2286)] = 85387,
  [SMALL_STATE(2287)] = 85448,
  [SMALL_STATE(2288)] = 85505,
  [SMALL_STATE(2289)] = 85560,
  [SMALL_STATE(2290)] = 85661,
  [SMALL_STATE(2291)] = 85750,
  [SMALL_STATE(2292)] = 85803,
  [SMALL_STATE(2293)] = 85904,
  [SMALL_STATE(2294)] = 85991,
  [SMALL_STATE(2295)] = 86076,
  [SMALL_STATE(2296)] = 86177,
  [SMALL_STATE(2297)] = 86278,
  [SMALL_STATE(2298)] = 86343,
  [SMALL_STATE(2299)] = 86416,
  [SMALL_STATE(2300)] = 86517,
  [SMALL_STATE(2301)] = 86618,
  [SMALL_STATE(2302)] = 86711,
  [SMALL_STATE(2303)] = 86812,
  [SMALL_STATE(2304)] = 86903,
  [SMALL_STATE(2305)] = 87004,
  [SMALL_STATE(2306)] = 87105,
  [SMALL_STATE(2307)] = 87182,
  [SMALL_STATE(2308)] = 87231,
  [SMALL_STATE(2309)] = 87278,
  [SMALL_STATE(2310)] = 87345,
  [SMALL_STATE(2311)] = 87410,
  [SMALL_STATE(2312)] = 87511,
  [SMALL_STATE(2313)] = 87558,
  [SMALL_STATE(2314)] = 87659,
  [SMALL_STATE(2315)] = 87706,
  [SMALL_STATE(2316)] = 87775,
  [SMALL_STATE(2317)] = 87870,
  [SMALL_STATE(2318)] = 87971,
  [SMALL_STATE(2319)] = 88072,
  [SMALL_STATE(2320)] = 88173,
  [SMALL_STATE(2321)] = 88274,
  [SMALL_STATE(2322)] = 88375,
  [SMALL_STATE(2323)] = 88456,
  [SMALL_STATE(2324)] = 88509,
  [SMALL_STATE(2325)] = 88558,
  [SMALL_STATE(2326)] = 88615,
  [SMALL_STATE(2327)] = 88680,
  [SMALL_STATE(2328)] = 88781,
  [SMALL_STATE(2329)] = 88832,
  [SMALL_STATE(2330)] = 88933,
  [SMALL_STATE(2331)] = 89004,
  [SMALL_STATE(2332)] = 89051,
  [SMALL_STATE(2333)] = 89098,
  [SMALL_STATE(2334)] = 89167,
  [SMALL_STATE(2335)] = 89256,
  [SMALL_STATE(2336)] = 89341,
  [SMALL_STATE(2337)] = 89390,
  [SMALL_STATE(2338)] = 89463,
  [SMALL_STATE(2339)] = 89564,
  [SMALL_STATE(2340)] = 89657,
  [SMALL_STATE(2341)] = 89706,
  [SMALL_STATE(2342)] = 89797,
  [SMALL_STATE(2343)] = 89860,
  [SMALL_STATE(2344)] = 89915,
  [SMALL_STATE(2345)] = 89992,
  [SMALL_STATE(2346)] = 90048,
  [SMALL_STATE(2347)] = 90116,
  [SMALL_STATE(2348)] = 90214,
  [SMALL_STATE(2349)] = 90284,
  [SMALL_STATE(2350)] = 90336,
  [SMALL_STATE(2351)] = 90392,
  [SMALL_STATE(2352)] = 90440,
  [SMALL_STATE(2353)] = 90538,
  [SMALL_STATE(2354)] = 90636,
  [SMALL_STATE(2355)] = 90698,
  [SMALL_STATE(2356)] = 90754,
  [SMALL_STATE(2357)] = 90810,
  [SMALL_STATE(2358)] = 90866,
  [SMALL_STATE(2359)] = 90964,
  [SMALL_STATE(2360)] = 91020,
  [SMALL_STATE(2361)] = 91082,
  [SMALL_STATE(2362)] = 91180,
  [SMALL_STATE(2363)] = 91232,
  [SMALL_STATE(2364)] = 91294,
  [SMALL_STATE(2365)] = 91342,
  [SMALL_STATE(2366)] = 91390,
  [SMALL_STATE(2367)] = 91438,
  [SMALL_STATE(2368)] = 91536,
  [SMALL_STATE(2369)] = 91584,
  [SMALL_STATE(2370)] = 91632,
  [SMALL_STATE(2371)] = 91730,
  [SMALL_STATE(2372)] = 91786,
  [SMALL_STATE(2373)] = 91842,
  [SMALL_STATE(2374)] = 91894,
  [SMALL_STATE(2375)] = 91950,
  [SMALL_STATE(2376)] = 92002,
  [SMALL_STATE(2377)] = 92066,
  [SMALL_STATE(2378)] = 92112,
  [SMALL_STATE(2379)] = 92168,
  [SMALL_STATE(2380)] = 92224,
  [SMALL_STATE(2381)] = 92272,
  [SMALL_STATE(2382)] = 92320,
  [SMALL_STATE(2383)] = 92368,
  [SMALL_STATE(2384)] = 92424,
  [SMALL_STATE(2385)] = 92472,
  [SMALL_STATE(2386)] = 92528,
  [SMALL_STATE(2387)] = 92584,
  [SMALL_STATE(2388)] = 92682,
  [SMALL_STATE(2389)] = 92780,
  [SMALL_STATE(2390)] = 92846,
  [SMALL_STATE(2391)] = 92944,
  [SMALL_STATE(2392)] = 93020,
  [SMALL_STATE(2393)] = 93076,
  [SMALL_STATE(2394)] = 93130,
  [SMALL_STATE(2395)] = 93186,
  [SMALL_STATE(2396)] = 93232,
  [SMALL_STATE(2397)] = 93322,
  [SMALL_STATE(2398)] = 93414,
  [SMALL_STATE(2399)] = 93512,
  [SMALL_STATE(2400)] = 93584,
  [SMALL_STATE(2401)] = 93668,
  [SMALL_STATE(2402)] = 93754,
  [SMALL_STATE(2403)] = 93810,
  [SMALL_STATE(2404)] = 93898,
  [SMALL_STATE(2405)] = 93954,
  [SMALL_STATE(2406)] = 94024,
  [SMALL_STATE(2407)] = 94088,
  [SMALL_STATE(2408)] = 94144,
  [SMALL_STATE(2409)] = 94192,
  [SMALL_STATE(2410)] = 94272,
  [SMALL_STATE(2411)] = 94366,
  [SMALL_STATE(2412)] = 94464,
  [SMALL_STATE(2413)] = 94562,
  [SMALL_STATE(2414)] = 94618,
  [SMALL_STATE(2415)] = 94716,
  [SMALL_STATE(2416)] = 94764,
  [SMALL_STATE(2417)] = 94814,
  [SMALL_STATE(2418)] = 94866,
  [SMALL_STATE(2419)] = 94928,
  [SMALL_STATE(2420)] = 94984,
  [SMALL_STATE(2421)] = 95041,
  [SMALL_STATE(2422)] = 95098,
  [SMALL_STATE(2423)] = 95155,
  [SMALL_STATE(2424)] = 95200,
  [SMALL_STATE(2425)] = 95257,
  [SMALL_STATE(2426)] = 95324,
  [SMALL_STATE(2427)] = 95369,
  [SMALL_STATE(2428)] = 95426,
  [SMALL_STATE(2429)] = 95477,
  [SMALL_STATE(2430)] = 95528,
  [SMALL_STATE(2431)] = 95585,
  [SMALL_STATE(2432)] = 95632,
  [SMALL_STATE(2433)] = 95683,
  [SMALL_STATE(2434)] = 95734,
  [SMALL_STATE(2435)] = 95779,
  [SMALL_STATE(2436)] = 95836,
  [SMALL_STATE(2437)] = 95893,
  [SMALL_STATE(2438)] = 95950,
  [SMALL_STATE(2439)] = 96007,
  [SMALL_STATE(2440)] = 96054,
  [SMALL_STATE(2441)] = 96101,
  [SMALL_STATE(2442)] = 96158,
  [SMALL_STATE(2443)] = 96215,
  [SMALL_STATE(2444)] = 96262,
  [SMALL_STATE(2445)] = 96319,
  [SMALL_STATE(2446)] = 96370,
  [SMALL_STATE(2447)] = 96419,
  [SMALL_STATE(2448)] = 96486,
  [SMALL_STATE(2449)] = 96553,
  [SMALL_STATE(2450)] = 96598,
  [SMALL_STATE(2451)] = 96655,
  [SMALL_STATE(2452)] = 96712,
  [SMALL_STATE(2453)] = 96757,
  [SMALL_STATE(2454)] = 96802,
  [SMALL_STATE(2455)] = 96865,
  [SMALL_STATE(2456)] = 96910,
  [SMALL_STATE(2457)] = 96970,
  [SMALL_STATE(2458)] = 97028,
  [SMALL_STATE(2459)] = 97074,
  [SMALL_STATE(2460)] = 97118,
  [SMALL_STATE(2461)] = 97176,
  [SMALL_STATE(2462)] = 97236,
  [SMALL_STATE(2463)] = 97296,
  [SMALL_STATE(2464)] = 97356,
  [SMALL_STATE(2465)] = 97400,
  [SMALL_STATE(2466)] = 97460,
  [SMALL_STATE(2467)] = 97520,
  [SMALL_STATE(2468)] = 97580,
  [SMALL_STATE(2469)] = 97640,
  [SMALL_STATE(2470)] = 97686,
  [SMALL_STATE(2471)] = 97730,
  [SMALL_STATE(2472)] = 97784,
  [SMALL_STATE(2473)] = 97830,
  [SMALL_STATE(2474)] = 97890,
  [SMALL_STATE(2475)] = 97934,
  [SMALL_STATE(2476)] = 97980,
  [SMALL_STATE(2477)] = 98040,
  [SMALL_STATE(2478)] = 98100,
  [SMALL_STATE(2479)] = 98144,
  [SMALL_STATE(2480)] = 98188,
  [SMALL_STATE(2481)] = 98232,
  [SMALL_STATE(2482)] = 98292,
  [SMALL_STATE(2483)] = 98338,
  [SMALL_STATE(2484)] = 98386,
  [SMALL_STATE(2485)] = 98437,
  [SMALL_STATE(2486)] = 98488,
  [SMALL_STATE(2487)] = 98539,
  [SMALL_STATE(2488)] = 98592,
  [SMALL_STATE(2489)] = 98643,
  [SMALL_STATE(2490)] = 98694,
  [SMALL_STATE(2491)] = 98739,
  [SMALL_STATE(2492)] = 98790,
  [SMALL_STATE(2493)] = 98835,
  [SMALL_STATE(2494)] = 98882,
  [SMALL_STATE(2495)] = 98933,
  [SMALL_STATE(2496)] = 98984,
  [SMALL_STATE(2497)] = 99035,
  [SMALL_STATE(2498)] = 99078,
  [SMALL_STATE(2499)] = 99129,
  [SMALL_STATE(2500)] = 99172,
  [SMALL_STATE(2501)] = 99215,
  [SMALL_STATE(2502)] = 99266,
  [SMALL_STATE(2503)] = 99309,
  [SMALL_STATE(2504)] = 99352,
  [SMALL_STATE(2505)] = 99395,
  [SMALL_STATE(2506)] = 99446,
  [SMALL_STATE(2507)] = 99489,
  [SMALL_STATE(2508)] = 99532,
  [SMALL_STATE(2509)] = 99585,
  [SMALL_STATE(2510)] = 99636,
  [SMALL_STATE(2511)] = 99681,
  [SMALL_STATE(2512)] = 99726,
  [SMALL_STATE(2513)] = 99769,
  [SMALL_STATE(2514)] = 99820,
  [SMALL_STATE(2515)] = 99865,
  [SMALL_STATE(2516)] = 99916,
  [SMALL_STATE(2517)] = 99967,
  [SMALL_STATE(2518)] = 100018,
  [SMALL_STATE(2519)] = 100069,
  [SMALL_STATE(2520)] = 100114,
  [SMALL_STATE(2521)] = 100165,
  [SMALL_STATE(2522)] = 100210,
  [SMALL_STATE(2523)] = 100255,
  [SMALL_STATE(2524)] = 100298,
  [SMALL_STATE(2525)] = 100349,
  [SMALL_STATE(2526)] = 100392,
  [SMALL_STATE(2527)] = 100435,
  [SMALL_STATE(2528)] = 100486,
  [SMALL_STATE(2529)] = 100537,
  [SMALL_STATE(2530)] = 100588,
  [SMALL_STATE(2531)] = 100631,
  [SMALL_STATE(2532)] = 100682,
  [SMALL_STATE(2533)] = 100725,
  [SMALL_STATE(2534)] = 100768,
  [SMALL_STATE(2535)] = 100811,
  [SMALL_STATE(2536)] = 100854,
  [SMALL_STATE(2537)] = 100905,
  [SMALL_STATE(2538)] = 100956,
  [SMALL_STATE(2539)] = 100999,
  [SMALL_STATE(2540)] = 101050,
  [SMALL_STATE(2541)] = 101093,
  [SMALL_STATE(2542)] = 101146,
  [SMALL_STATE(2543)] = 101189,
  [SMALL_STATE(2544)] = 101240,
  [SMALL_STATE(2545)] = 101283,
  [SMALL_STATE(2546)] = 101334,
  [SMALL_STATE(2547)] = 101376,
  [SMALL_STATE(2548)] = 101418,
  [SMALL_STATE(2549)] = 101464,
  [SMALL_STATE(2550)] = 101506,
  [SMALL_STATE(2551)] = 101548,
  [SMALL_STATE(2552)] = 101590,
  [SMALL_STATE(2553)] = 101632,
  [SMALL_STATE(2554)] = 101674,
  [SMALL_STATE(2555)] = 101716,
  [SMALL_STATE(2556)] = 101758,
  [SMALL_STATE(2557)] = 101800,
  [SMALL_STATE(2558)] = 101842,
  [SMALL_STATE(2559)] = 101884,
  [SMALL_STATE(2560)] = 101926,
  [SMALL_STATE(2561)] = 101968,
  [SMALL_STATE(2562)] = 102010,
  [SMALL_STATE(2563)] = 102052,
  [SMALL_STATE(2564)] = 102094,
  [SMALL_STATE(2565)] = 102136,
  [SMALL_STATE(2566)] = 102178,
  [SMALL_STATE(2567)] = 102220,
  [SMALL_STATE(2568)] = 102262,
  [SMALL_STATE(2569)] = 102304,
  [SMALL_STATE(2570)] = 102346,
  [SMALL_STATE(2571)] = 102388,
  [SMALL_STATE(2572)] = 102430,
  [SMALL_STATE(2573)] = 102472,
  [SMALL_STATE(2574)] = 102514,
  [SMALL_STATE(2575)] = 102556,
  [SMALL_STATE(2576)] = 102598,
  [SMALL_STATE(2577)] = 102640,
  [SMALL_STATE(2578)] = 102682,
  [SMALL_STATE(2579)] = 102724,
  [SMALL_STATE(2580)] = 102766,
  [SMALL_STATE(2581)] = 102808,
  [SMALL_STATE(2582)] = 102850,
  [SMALL_STATE(2583)] = 102892,
  [SMALL_STATE(2584)] = 102934,
  [SMALL_STATE(2585)] = 102976,
  [SMALL_STATE(2586)] = 103018,
  [SMALL_STATE(2587)] = 103060,
  [SMALL_STATE(2588)] = 103102,
  [SMALL_STATE(2589)] = 103144,
  [SMALL_STATE(2590)] = 103186,
  [SMALL_STATE(2591)] = 103228,
  [SMALL_STATE(2592)] = 103270,
  [SMALL_STATE(2593)] = 103312,
  [SMALL_STATE(2594)] = 103354,
  [SMALL_STATE(2595)] = 103396,
  [SMALL_STATE(2596)] = 103438,
  [SMALL_STATE(2597)] = 103480,
  [SMALL_STATE(2598)] = 103522,
  [SMALL_STATE(2599)] = 103564,
  [SMALL_STATE(2600)] = 103606,
  [SMALL_STATE(2601)] = 103648,
  [SMALL_STATE(2602)] = 103690,
  [SMALL_STATE(2603)] = 103732,
  [SMALL_STATE(2604)] = 103774,
  [SMALL_STATE(2605)] = 103816,
  [SMALL_STATE(2606)] = 103858,
  [SMALL_STATE(2607)] = 103900,
  [SMALL_STATE(2608)] = 103942,
  [SMALL_STATE(2609)] = 103984,
  [SMALL_STATE(2610)] = 104026,
  [SMALL_STATE(2611)] = 104068,
  [SMALL_STATE(2612)] = 104110,
  [SMALL_STATE(2613)] = 104152,
  [SMALL_STATE(2614)] = 104194,
  [SMALL_STATE(2615)] = 104236,
  [SMALL_STATE(2616)] = 104278,
  [SMALL_STATE(2617)] = 104320,
  [SMALL_STATE(2618)] = 104362,
  [SMALL_STATE(2619)] = 104404,
  [SMALL_STATE(2620)] = 104446,
  [SMALL_STATE(2621)] = 104488,
  [SMALL_STATE(2622)] = 104530,
  [SMALL_STATE(2623)] = 104572,
  [SMALL_STATE(2624)] = 104614,
  [SMALL_STATE(2625)] = 104656,
  [SMALL_STATE(2626)] = 104698,
  [SMALL_STATE(2627)] = 104740,
  [SMALL_STATE(2628)] = 104782,
  [SMALL_STATE(2629)] = 104824,
  [SMALL_STATE(2630)] = 104866,
  [SMALL_STATE(2631)] = 104908,
  [SMALL_STATE(2632)] = 104950,
  [SMALL_STATE(2633)] = 104992,
  [SMALL_STATE(2634)] = 105034,
  [SMALL_STATE(2635)] = 105076,
  [SMALL_STATE(2636)] = 105118,
  [SMALL_STATE(2637)] = 105160,
  [SMALL_STATE(2638)] = 105202,
  [SMALL_STATE(2639)] = 105244,
  [SMALL_STATE(2640)] = 105286,
  [SMALL_STATE(2641)] = 105328,
  [SMALL_STATE(2642)] = 105370,
  [SMALL_STATE(2643)] = 105412,
  [SMALL_STATE(2644)] = 105454,
  [SMALL_STATE(2645)] = 105496,
  [SMALL_STATE(2646)] = 105538,
  [SMALL_STATE(2647)] = 105580,
  [SMALL_STATE(2648)] = 105622,
  [SMALL_STATE(2649)] = 105664,
  [SMALL_STATE(2650)] = 105706,
  [SMALL_STATE(2651)] = 105748,
  [SMALL_STATE(2652)] = 105790,
  [SMALL_STATE(2653)] = 105832,
  [SMALL_STATE(2654)] = 105874,
  [SMALL_STATE(2655)] = 105916,
  [SMALL_STATE(2656)] = 105958,
  [SMALL_STATE(2657)] = 106000,
  [SMALL_STATE(2658)] = 106042,
  [SMALL_STATE(2659)] = 106084,
  [SMALL_STATE(2660)] = 106126,
  [SMALL_STATE(2661)] = 106168,
  [SMALL_STATE(2662)] = 106210,
  [SMALL_STATE(2663)] = 106252,
  [SMALL_STATE(2664)] = 106294,
  [SMALL_STATE(2665)] = 106336,
  [SMALL_STATE(2666)] = 106378,
  [SMALL_STATE(2667)] = 106420,
  [SMALL_STATE(2668)] = 106462,
  [SMALL_STATE(2669)] = 106504,
  [SMALL_STATE(2670)] = 106546,
  [SMALL_STATE(2671)] = 106588,
  [SMALL_STATE(2672)] = 106630,
  [SMALL_STATE(2673)] = 106672,
  [SMALL_STATE(2674)] = 106714,
  [SMALL_STATE(2675)] = 106756,
  [SMALL_STATE(2676)] = 106798,
  [SMALL_STATE(2677)] = 106840,
  [SMALL_STATE(2678)] = 106882,
  [SMALL_STATE(2679)] = 106924,
  [SMALL_STATE(2680)] = 106966,
  [SMALL_STATE(2681)] = 107008,
  [SMALL_STATE(2682)] = 107050,
  [SMALL_STATE(2683)] = 107092,
  [SMALL_STATE(2684)] = 107133,
  [SMALL_STATE(2685)] = 107174,
  [SMALL_STATE(2686)] = 107215,
  [SMALL_STATE(2687)] = 107256,
  [SMALL_STATE(2688)] = 107335,
  [SMALL_STATE(2689)] = 107376,
  [SMALL_STATE(2690)] = 107417,
  [SMALL_STATE(2691)] = 107458,
  [SMALL_STATE(2692)] = 107499,
  [SMALL_STATE(2693)] = 107540,
  [SMALL_STATE(2694)] = 107581,
  [SMALL_STATE(2695)] = 107622,
  [SMALL_STATE(2696)] = 107663,
  [SMALL_STATE(2697)] = 107704,
  [SMALL_STATE(2698)] = 107783,
  [SMALL_STATE(2699)] = 107862,
  [SMALL_STATE(2700)] = 107909,
  [SMALL_STATE(2701)] = 107950,
  [SMALL_STATE(2702)] = 107991,
  [SMALL_STATE(2703)] = 108032,
  [SMALL_STATE(2704)] = 108111,
  [SMALL_STATE(2705)] = 108152,
  [SMALL_STATE(2706)] = 108193,
  [SMALL_STATE(2707)] = 108272,
  [SMALL_STATE(2708)] = 108313,
  [SMALL_STATE(2709)] = 108354,
  [SMALL_STATE(2710)] = 108395,
  [SMALL_STATE(2711)] = 108436,
  [SMALL_STATE(2712)] = 108477,
  [SMALL_STATE(2713)] = 108518,
  [SMALL_STATE(2714)] = 108559,
  [SMALL_STATE(2715)] = 108600,
  [SMALL_STATE(2716)] = 108641,
  [SMALL_STATE(2717)] = 108682,
  [SMALL_STATE(2718)] = 108723,
  [SMALL_STATE(2719)] = 108764,
  [SMALL_STATE(2720)] = 108805,
  [SMALL_STATE(2721)] = 108846,
  [SMALL_STATE(2722)] = 108887,
  [SMALL_STATE(2723)] = 108966,
  [SMALL_STATE(2724)] = 109045,
  [SMALL_STATE(2725)] = 109086,
  [SMALL_STATE(2726)] = 109127,
  [SMALL_STATE(2727)] = 109168,
  [SMALL_STATE(2728)] = 109209,
  [SMALL_STATE(2729)] = 109250,
  [SMALL_STATE(2730)] = 109291,
  [SMALL_STATE(2731)] = 109332,
  [SMALL_STATE(2732)] = 109373,
  [SMALL_STATE(2733)] = 109414,
  [SMALL_STATE(2734)] = 109455,
  [SMALL_STATE(2735)] = 109496,
  [SMALL_STATE(2736)] = 109537,
  [SMALL_STATE(2737)] = 109578,
  [SMALL_STATE(2738)] = 109657,
  [SMALL_STATE(2739)] = 109698,
  [SMALL_STATE(2740)] = 109739,
  [SMALL_STATE(2741)] = 109780,
  [SMALL_STATE(2742)] = 109821,
  [SMALL_STATE(2743)] = 109862,
  [SMALL_STATE(2744)] = 109903,
  [SMALL_STATE(2745)] = 109944,
  [SMALL_STATE(2746)] = 109985,
  [SMALL_STATE(2747)] = 110025,
  [SMALL_STATE(2748)] = 110079,
  [SMALL_STATE(2749)] = 110119,
  [SMALL_STATE(2750)] = 110169,
  [SMALL_STATE(2751)] = 110207,
  [SMALL_STATE(2752)] = 110245,
  [SMALL_STATE(2753)] = 110283,
  [SMALL_STATE(2754)] = 110321,
  [SMALL_STATE(2755)] = 110359,
  [SMALL_STATE(2756)] = 110401,
  [SMALL_STATE(2757)] = 110439,
  [SMALL_STATE(2758)] = 110480,
  [SMALL_STATE(2759)] = 110521,
  [SMALL_STATE(2760)] = 110559,
  [SMALL_STATE(2761)] = 110597,
  [SMALL_STATE(2762)] = 110635,
  [SMALL_STATE(2763)] = 110673,
  [SMALL_STATE(2764)] = 110711,
  [SMALL_STATE(2765)] = 110744,
  [SMALL_STATE(2766)] = 110777,
  [SMALL_STATE(2767)] = 110812,
  [SMALL_STATE(2768)] = 110847,
  [SMALL_STATE(2769)] = 110884,
  [SMALL_STATE(2770)] = 110921,
  [SMALL_STATE(2771)] = 110958,
  [SMALL_STATE(2772)] = 110984,
  [SMALL_STATE(2773)] = 111010,
  [SMALL_STATE(2774)] = 111036,
  [SMALL_STATE(2775)] = 111062,
  [SMALL_STATE(2776)] = 111088,
  [SMALL_STATE(2777)] = 111114,
  [SMALL_STATE(2778)] = 111140,
  [SMALL_STATE(2779)] = 111166,
  [SMALL_STATE(2780)] = 111192,
  [SMALL_STATE(2781)] = 111218,
  [SMALL_STATE(2782)] = 111244,
  [SMALL_STATE(2783)] = 111270,
  [SMALL_STATE(2784)] = 111296,
  [SMALL_STATE(2785)] = 111322,
  [SMALL_STATE(2786)] = 111348,
  [SMALL_STATE(2787)] = 111374,
  [SMALL_STATE(2788)] = 111400,
  [SMALL_STATE(2789)] = 111426,
  [SMALL_STATE(2790)] = 111452,
  [SMALL_STATE(2791)] = 111478,
  [SMALL_STATE(2792)] = 111504,
  [SMALL_STATE(2793)] = 111530,
  [SMALL_STATE(2794)] = 111556,
  [SMALL_STATE(2795)] = 111582,
  [SMALL_STATE(2796)] = 111608,
  [SMALL_STATE(2797)] = 111634,
  [SMALL_STATE(2798)] = 111660,
  [SMALL_STATE(2799)] = 111686,
  [SMALL_STATE(2800)] = 111712,
  [SMALL_STATE(2801)] = 111738,
  [SMALL_STATE(2802)] = 111772,
  [SMALL_STATE(2803)] = 111798,
  [SMALL_STATE(2804)] = 111824,
  [SMALL_STATE(2805)] = 111850,
  [SMALL_STATE(2806)] = 111876,
  [SMALL_STATE(2807)] = 111902,
  [SMALL_STATE(2808)] = 111928,
  [SMALL_STATE(2809)] = 111959,
  [SMALL_STATE(2810)] = 111984,
  [SMALL_STATE(2811)] = 112009,
  [SMALL_STATE(2812)] = 112034,
  [SMALL_STATE(2813)] = 112059,
  [SMALL_STATE(2814)] = 112084,
  [SMALL_STATE(2815)] = 112109,
  [SMALL_STATE(2816)] = 112140,
  [SMALL_STATE(2817)] = 112168,
  [SMALL_STATE(2818)] = 112193,
  [SMALL_STATE(2819)] = 112214,
  [SMALL_STATE(2820)] = 112235,
  [SMALL_STATE(2821)] = 112258,
  [SMALL_STATE(2822)] = 112281,
  [SMALL_STATE(2823)] = 112302,
  [SMALL_STATE(2824)] = 112327,
  [SMALL_STATE(2825)] = 112350,
  [SMALL_STATE(2826)] = 112373,
  [SMALL_STATE(2827)] = 112396,
  [SMALL_STATE(2828)] = 112419,
  [SMALL_STATE(2829)] = 112442,
  [SMALL_STATE(2830)] = 112465,
  [SMALL_STATE(2831)] = 112492,
  [SMALL_STATE(2832)] = 112515,
  [SMALL_STATE(2833)] = 112540,
  [SMALL_STATE(2834)] = 112563,
  [SMALL_STATE(2835)] = 112586,
  [SMALL_STATE(2836)] = 112609,
  [SMALL_STATE(2837)] = 112632,
  [SMALL_STATE(2838)] = 112655,
  [SMALL_STATE(2839)] = 112676,
  [SMALL_STATE(2840)] = 112699,
  [SMALL_STATE(2841)] = 112722,
  [SMALL_STATE(2842)] = 112745,
  [SMALL_STATE(2843)] = 112768,
  [SMALL_STATE(2844)] = 112791,
  [SMALL_STATE(2845)] = 112814,
  [SMALL_STATE(2846)] = 112837,
  [SMALL_STATE(2847)] = 112860,
  [SMALL_STATE(2848)] = 112883,
  [SMALL_STATE(2849)] = 112904,
  [SMALL_STATE(2850)] = 112925,
  [SMALL_STATE(2851)] = 112946,
  [SMALL_STATE(2852)] = 112979,
  [SMALL_STATE(2853)] = 113012,
  [SMALL_STATE(2854)] = 113035,
  [SMALL_STATE(2855)] = 113058,
  [SMALL_STATE(2856)] = 113091,
  [SMALL_STATE(2857)] = 113114,
  [SMALL_STATE(2858)] = 113135,
  [SMALL_STATE(2859)] = 113158,
  [SMALL_STATE(2860)] = 113179,
  [SMALL_STATE(2861)] = 113210,
  [SMALL_STATE(2862)] = 113232,
  [SMALL_STATE(2863)] = 113262,
  [SMALL_STATE(2864)] = 113292,
  [SMALL_STATE(2865)] = 113322,
  [SMALL_STATE(2866)] = 113350,
  [SMALL_STATE(2867)] = 113378,
  [SMALL_STATE(2868)] = 113408,
  [SMALL_STATE(2869)] = 113436,
  [SMALL_STATE(2870)] = 113466,
  [SMALL_STATE(2871)] = 113496,
  [SMALL_STATE(2872)] = 113524,
  [SMALL_STATE(2873)] = 113566,
  [SMALL_STATE(2874)] = 113596,
  [SMALL_STATE(2875)] = 113618,
  [SMALL_STATE(2876)] = 113648,
  [SMALL_STATE(2877)] = 113690,
  [SMALL_STATE(2878)] = 113718,
  [SMALL_STATE(2879)] = 113748,
  [SMALL_STATE(2880)] = 113778,
  [SMALL_STATE(2881)] = 113806,
  [SMALL_STATE(2882)] = 113828,
  [SMALL_STATE(2883)] = 113850,
  [SMALL_STATE(2884)] = 113880,
  [SMALL_STATE(2885)] = 113910,
  [SMALL_STATE(2886)] = 113940,
  [SMALL_STATE(2887)] = 113962,
  [SMALL_STATE(2888)] = 113992,
  [SMALL_STATE(2889)] = 114014,
  [SMALL_STATE(2890)] = 114044,
  [SMALL_STATE(2891)] = 114072,
  [SMALL_STATE(2892)] = 114102,
  [SMALL_STATE(2893)] = 114124,
  [SMALL_STATE(2894)] = 114146,
  [SMALL_STATE(2895)] = 114174,
  [SMALL_STATE(2896)] = 114196,
  [SMALL_STATE(2897)] = 114218,
  [SMALL_STATE(2898)] = 114240,
  [SMALL_STATE(2899)] = 114262,
  [SMALL_STATE(2900)] = 114284,
  [SMALL_STATE(2901)] = 114306,
  [SMALL_STATE(2902)] = 114328,
  [SMALL_STATE(2903)] = 114352,
  [SMALL_STATE(2904)] = 114394,
  [SMALL_STATE(2905)] = 114422,
  [SMALL_STATE(2906)] = 114448,
  [SMALL_STATE(2907)] = 114490,
  [SMALL_STATE(2908)] = 114512,
  [SMALL_STATE(2909)] = 114542,
  [SMALL_STATE(2910)] = 114564,
  [SMALL_STATE(2911)] = 114586,
  [SMALL_STATE(2912)] = 114608,
  [SMALL_STATE(2913)] = 114630,
  [SMALL_STATE(2914)] = 114652,
  [SMALL_STATE(2915)] = 114674,
  [SMALL_STATE(2916)] = 114696,
  [SMALL_STATE(2917)] = 114718,
  [SMALL_STATE(2918)] = 114740,
  [SMALL_STATE(2919)] = 114762,
  [SMALL_STATE(2920)] = 114784,
  [SMALL_STATE(2921)] = 114806,
  [SMALL_STATE(2922)] = 114828,
  [SMALL_STATE(2923)] = 114858,
  [SMALL_STATE(2924)] = 114880,
  [SMALL_STATE(2925)] = 114902,
  [SMALL_STATE(2926)] = 114944,
  [SMALL_STATE(2927)] = 114974,
  [SMALL_STATE(2928)] = 115016,
  [SMALL_STATE(2929)] = 115046,
  [SMALL_STATE(2930)] = 115074,
  [SMALL_STATE(2931)] = 115098,
  [SMALL_STATE(2932)] = 115126,
  [SMALL_STATE(2933)] = 115156,
  [SMALL_STATE(2934)] = 115184,
  [SMALL_STATE(2935)] = 115212,
  [SMALL_STATE(2936)] = 115234,
  [SMALL_STATE(2937)] = 115264,
  [SMALL_STATE(2938)] = 115294,
  [SMALL_STATE(2939)] = 115322,
  [SMALL_STATE(2940)] = 115364,
  [SMALL_STATE(2941)] = 115394,
  [SMALL_STATE(2942)] = 115416,
  [SMALL_STATE(2943)] = 115438,
  [SMALL_STATE(2944)] = 115468,
  [SMALL_STATE(2945)] = 115498,
  [SMALL_STATE(2946)] = 115528,
  [SMALL_STATE(2947)] = 115558,
  [SMALL_STATE(2948)] = 115588,
  [SMALL_STATE(2949)] = 115616,
  [SMALL_STATE(2950)] = 115646,
  [SMALL_STATE(2951)] = 115673,
  [SMALL_STATE(2952)] = 115694,
  [SMALL_STATE(2953)] = 115715,
  [SMALL_STATE(2954)] = 115750,
  [SMALL_STATE(2955)] = 115787,
  [SMALL_STATE(2956)] = 115822,
  [SMALL_STATE(2957)] = 115857,
  [SMALL_STATE(2958)] = 115886,
  [SMALL_STATE(2959)] = 115913,
  [SMALL_STATE(2960)] = 115948,
  [SMALL_STATE(2961)] = 115983,
  [SMALL_STATE(2962)] = 116004,
  [SMALL_STATE(2963)] = 116033,
  [SMALL_STATE(2964)] = 116062,
  [SMALL_STATE(2965)] = 116097,
  [SMALL_STATE(2966)] = 116132,
  [SMALL_STATE(2967)] = 116167,
  [SMALL_STATE(2968)] = 116188,
  [SMALL_STATE(2969)] = 116223,
  [SMALL_STATE(2970)] = 116258,
  [SMALL_STATE(2971)] = 116279,
  [SMALL_STATE(2972)] = 116304,
  [SMALL_STATE(2973)] = 116325,
  [SMALL_STATE(2974)] = 116348,
  [SMALL_STATE(2975)] = 116380,
  [SMALL_STATE(2976)] = 116398,
  [SMALL_STATE(2977)] = 116416,
  [SMALL_STATE(2978)] = 116434,
  [SMALL_STATE(2979)] = 116452,
  [SMALL_STATE(2980)] = 116470,
  [SMALL_STATE(2981)] = 116498,
  [SMALL_STATE(2982)] = 116534,
  [SMALL_STATE(2983)] = 116562,
  [SMALL_STATE(2984)] = 116594,
  [SMALL_STATE(2985)] = 116612,
  [SMALL_STATE(2986)] = 116642,
  [SMALL_STATE(2987)] = 116664,
  [SMALL_STATE(2988)] = 116682,
  [SMALL_STATE(2989)] = 116700,
  [SMALL_STATE(2990)] = 116732,
  [SMALL_STATE(2991)] = 116760,
  [SMALL_STATE(2992)] = 116796,
  [SMALL_STATE(2993)] = 116814,
  [SMALL_STATE(2994)] = 116832,
  [SMALL_STATE(2995)] = 116864,
  [SMALL_STATE(2996)] = 116882,
  [SMALL_STATE(2997)] = 116914,
  [SMALL_STATE(2998)] = 116932,
  [SMALL_STATE(2999)] = 116964,
  [SMALL_STATE(3000)] = 116996,
  [SMALL_STATE(3001)] = 117032,
  [SMALL_STATE(3002)] = 117068,
  [SMALL_STATE(3003)] = 117086,
  [SMALL_STATE(3004)] = 117104,
  [SMALL_STATE(3005)] = 117122,
  [SMALL_STATE(3006)] = 117140,
  [SMALL_STATE(3007)] = 117158,
  [SMALL_STATE(3008)] = 117176,
  [SMALL_STATE(3009)] = 117194,
  [SMALL_STATE(3010)] = 117212,
  [SMALL_STATE(3011)] = 117244,
  [SMALL_STATE(3012)] = 117272,
  [SMALL_STATE(3013)] = 117290,
  [SMALL_STATE(3014)] = 117308,
  [SMALL_STATE(3015)] = 117326,
  [SMALL_STATE(3016)] = 117344,
  [SMALL_STATE(3017)] = 117362,
  [SMALL_STATE(3018)] = 117380,
  [SMALL_STATE(3019)] = 117398,
  [SMALL_STATE(3020)] = 117416,
  [SMALL_STATE(3021)] = 117434,
  [SMALL_STATE(3022)] = 117452,
  [SMALL_STATE(3023)] = 117470,
  [SMALL_STATE(3024)] = 117488,
  [SMALL_STATE(3025)] = 117524,
  [SMALL_STATE(3026)] = 117556,
  [SMALL_STATE(3027)] = 117574,
  [SMALL_STATE(3028)] = 117592,
  [SMALL_STATE(3029)] = 117620,
  [SMALL_STATE(3030)] = 117656,
  [SMALL_STATE(3031)] = 117680,
  [SMALL_STATE(3032)] = 117716,
  [SMALL_STATE(3033)] = 117748,
  [SMALL_STATE(3034)] = 117776,
  [SMALL_STATE(3035)] = 117795,
  [SMALL_STATE(3036)] = 117816,
  [SMALL_STATE(3037)] = 117835,
  [SMALL_STATE(3038)] = 117854,
  [SMALL_STATE(3039)] = 117873,
  [SMALL_STATE(3040)] = 117892,
  [SMALL_STATE(3041)] = 117911,
  [SMALL_STATE(3042)] = 117930,
  [SMALL_STATE(3043)] = 117949,
  [SMALL_STATE(3044)] = 117968,
  [SMALL_STATE(3045)] = 117991,
  [SMALL_STATE(3046)] = 118010,
  [SMALL_STATE(3047)] = 118029,
  [SMALL_STATE(3048)] = 118050,
  [SMALL_STATE(3049)] = 118069,
  [SMALL_STATE(3050)] = 118088,
  [SMALL_STATE(3051)] = 118107,
  [SMALL_STATE(3052)] = 118130,
  [SMALL_STATE(3053)] = 118153,
  [SMALL_STATE(3054)] = 118172,
  [SMALL_STATE(3055)] = 118193,
  [SMALL_STATE(3056)] = 118210,
  [SMALL_STATE(3057)] = 118229,
  [SMALL_STATE(3058)] = 118246,
  [SMALL_STATE(3059)] = 118265,
  [SMALL_STATE(3060)] = 118284,
  [SMALL_STATE(3061)] = 118303,
  [SMALL_STATE(3062)] = 118326,
  [SMALL_STATE(3063)] = 118345,
  [SMALL_STATE(3064)] = 118362,
  [SMALL_STATE(3065)] = 118381,
  [SMALL_STATE(3066)] = 118398,
  [SMALL_STATE(3067)] = 118419,
  [SMALL_STATE(3068)] = 118438,
  [SMALL_STATE(3069)] = 118457,
  [SMALL_STATE(3070)] = 118476,
  [SMALL_STATE(3071)] = 118495,
  [SMALL_STATE(3072)] = 118514,
  [SMALL_STATE(3073)] = 118531,
  [SMALL_STATE(3074)] = 118548,
  [SMALL_STATE(3075)] = 118565,
  [SMALL_STATE(3076)] = 118586,
  [SMALL_STATE(3077)] = 118603,
  [SMALL_STATE(3078)] = 118622,
  [SMALL_STATE(3079)] = 118641,
  [SMALL_STATE(3080)] = 118664,
  [SMALL_STATE(3081)] = 118683,
  [SMALL_STATE(3082)] = 118702,
  [SMALL_STATE(3083)] = 118721,
  [SMALL_STATE(3084)] = 118744,
  [SMALL_STATE(3085)] = 118763,
  [SMALL_STATE(3086)] = 118782,
  [SMALL_STATE(3087)] = 118801,
  [SMALL_STATE(3088)] = 118822,
  [SMALL_STATE(3089)] = 118841,
  [SMALL_STATE(3090)] = 118860,
  [SMALL_STATE(3091)] = 118881,
  [SMALL_STATE(3092)] = 118915,
  [SMALL_STATE(3093)] = 118949,
  [SMALL_STATE(3094)] = 118983,
  [SMALL_STATE(3095)] = 119017,
  [SMALL_STATE(3096)] = 119049,
  [SMALL_STATE(3097)] = 119083,
  [SMALL_STATE(3098)] = 119103,
  [SMALL_STATE(3099)] = 119123,
  [SMALL_STATE(3100)] = 119143,
  [SMALL_STATE(3101)] = 119167,
  [SMALL_STATE(3102)] = 119201,
  [SMALL_STATE(3103)] = 119235,
  [SMALL_STATE(3104)] = 119269,
  [SMALL_STATE(3105)] = 119297,
  [SMALL_STATE(3106)] = 119315,
  [SMALL_STATE(3107)] = 119343,
  [SMALL_STATE(3108)] = 119377,
  [SMALL_STATE(3109)] = 119411,
  [SMALL_STATE(3110)] = 119445,
  [SMALL_STATE(3111)] = 119479,
  [SMALL_STATE(3112)] = 119501,
  [SMALL_STATE(3113)] = 119535,
  [SMALL_STATE(3114)] = 119567,
  [SMALL_STATE(3115)] = 119599,
  [SMALL_STATE(3116)] = 119624,
  [SMALL_STATE(3117)] = 119655,
  [SMALL_STATE(3118)] = 119670,
  [SMALL_STATE(3119)] = 119685,
  [SMALL_STATE(3120)] = 119702,
  [SMALL_STATE(3121)] = 119719,
  [SMALL_STATE(3122)] = 119734,
  [SMALL_STATE(3123)] = 119755,
  [SMALL_STATE(3124)] = 119770,
  [SMALL_STATE(3125)] = 119785,
  [SMALL_STATE(3126)] = 119806,
  [SMALL_STATE(3127)] = 119821,
  [SMALL_STATE(3128)] = 119838,
  [SMALL_STATE(3129)] = 119853,
  [SMALL_STATE(3130)] = 119872,
  [SMALL_STATE(3131)] = 119893,
  [SMALL_STATE(3132)] = 119908,
  [SMALL_STATE(3133)] = 119923,
  [SMALL_STATE(3134)] = 119938,
  [SMALL_STATE(3135)] = 119955,
  [SMALL_STATE(3136)] = 119970,
  [SMALL_STATE(3137)] = 119985,
  [SMALL_STATE(3138)] = 120000,
  [SMALL_STATE(3139)] = 120015,
  [SMALL_STATE(3140)] = 120030,
  [SMALL_STATE(3141)] = 120045,
  [SMALL_STATE(3142)] = 120060,
  [SMALL_STATE(3143)] = 120075,
  [SMALL_STATE(3144)] = 120090,
  [SMALL_STATE(3145)] = 120107,
  [SMALL_STATE(3146)] = 120122,
  [SMALL_STATE(3147)] = 120137,
  [SMALL_STATE(3148)] = 120152,
  [SMALL_STATE(3149)] = 120167,
  [SMALL_STATE(3150)] = 120182,
  [SMALL_STATE(3151)] = 120213,
  [SMALL_STATE(3152)] = 120232,
  [SMALL_STATE(3153)] = 120263,
  [SMALL_STATE(3154)] = 120294,
  [SMALL_STATE(3155)] = 120325,
  [SMALL_STATE(3156)] = 120356,
  [SMALL_STATE(3157)] = 120387,
  [SMALL_STATE(3158)] = 120412,
  [SMALL_STATE(3159)] = 120427,
  [SMALL_STATE(3160)] = 120458,
  [SMALL_STATE(3161)] = 120489,
  [SMALL_STATE(3162)] = 120508,
  [SMALL_STATE(3163)] = 120533,
  [SMALL_STATE(3164)] = 120548,
  [SMALL_STATE(3165)] = 120579,
  [SMALL_STATE(3166)] = 120594,
  [SMALL_STATE(3167)] = 120609,
  [SMALL_STATE(3168)] = 120634,
  [SMALL_STATE(3169)] = 120659,
  [SMALL_STATE(3170)] = 120690,
  [SMALL_STATE(3171)] = 120705,
  [SMALL_STATE(3172)] = 120720,
  [SMALL_STATE(3173)] = 120735,
  [SMALL_STATE(3174)] = 120760,
  [SMALL_STATE(3175)] = 120785,
  [SMALL_STATE(3176)] = 120810,
  [SMALL_STATE(3177)] = 120835,
  [SMALL_STATE(3178)] = 120850,
  [SMALL_STATE(3179)] = 120865,
  [SMALL_STATE(3180)] = 120890,
  [SMALL_STATE(3181)] = 120921,
  [SMALL_STATE(3182)] = 120952,
  [SMALL_STATE(3183)] = 120967,
  [SMALL_STATE(3184)] = 120998,
  [SMALL_STATE(3185)] = 121029,
  [SMALL_STATE(3186)] = 121054,
  [SMALL_STATE(3187)] = 121069,
  [SMALL_STATE(3188)] = 121084,
  [SMALL_STATE(3189)] = 121109,
  [SMALL_STATE(3190)] = 121140,
  [SMALL_STATE(3191)] = 121171,
  [SMALL_STATE(3192)] = 121186,
  [SMALL_STATE(3193)] = 121217,
  [SMALL_STATE(3194)] = 121248,
  [SMALL_STATE(3195)] = 121279,
  [SMALL_STATE(3196)] = 121310,
  [SMALL_STATE(3197)] = 121325,
  [SMALL_STATE(3198)] = 121344,
  [SMALL_STATE(3199)] = 121361,
  [SMALL_STATE(3200)] = 121392,
  [SMALL_STATE(3201)] = 121407,
  [SMALL_STATE(3202)] = 121432,
  [SMALL_STATE(3203)] = 121453,
  [SMALL_STATE(3204)] = 121468,
  [SMALL_STATE(3205)] = 121493,
  [SMALL_STATE(3206)] = 121514,
  [SMALL_STATE(3207)] = 121539,
  [SMALL_STATE(3208)] = 121570,
  [SMALL_STATE(3209)] = 121601,
  [SMALL_STATE(3210)] = 121618,
  [SMALL_STATE(3211)] = 121649,
  [SMALL_STATE(3212)] = 121664,
  [SMALL_STATE(3213)] = 121679,
  [SMALL_STATE(3214)] = 121702,
  [SMALL_STATE(3215)] = 121717,
  [SMALL_STATE(3216)] = 121741,
  [SMALL_STATE(3217)] = 121761,
  [SMALL_STATE(3218)] = 121785,
  [SMALL_STATE(3219)] = 121805,
  [SMALL_STATE(3220)] = 121829,
  [SMALL_STATE(3221)] = 121853,
  [SMALL_STATE(3222)] = 121877,
  [SMALL_STATE(3223)] = 121901,
  [SMALL_STATE(3224)] = 121925,
  [SMALL_STATE(3225)] = 121949,
  [SMALL_STATE(3226)] = 121969,
  [SMALL_STATE(3227)] = 121993,
  [SMALL_STATE(3228)] = 122017,
  [SMALL_STATE(3229)] = 122041,
  [SMALL_STATE(3230)] = 122059,
  [SMALL_STATE(3231)] = 122079,
  [SMALL_STATE(3232)] = 122103,
  [SMALL_STATE(3233)] = 122127,
  [SMALL_STATE(3234)] = 122144,
  [SMALL_STATE(3235)] = 122169,
  [SMALL_STATE(3236)] = 122194,
  [SMALL_STATE(3237)] = 122219,
  [SMALL_STATE(3238)] = 122244,
  [SMALL_STATE(3239)] = 122269,
  [SMALL_STATE(3240)] = 122294,
  [SMALL_STATE(3241)] = 122319,
  [SMALL_STATE(3242)] = 122344,
  [SMALL_STATE(3243)] = 122369,
  [SMALL_STATE(3244)] = 122394,
  [SMALL_STATE(3245)] = 122419,
  [SMALL_STATE(3246)] = 122440,
  [SMALL_STATE(3247)] = 122461,
  [SMALL_STATE(3248)] = 122474,
  [SMALL_STATE(3249)] = 122495,
  [SMALL_STATE(3250)] = 122508,
  [SMALL_STATE(3251)] = 122525,
  [SMALL_STATE(3252)] = 122550,
  [SMALL_STATE(3253)] = 122563,
  [SMALL_STATE(3254)] = 122584,
  [SMALL_STATE(3255)] = 122601,
  [SMALL_STATE(3256)] = 122614,
  [SMALL_STATE(3257)] = 122627,
  [SMALL_STATE(3258)] = 122640,
  [SMALL_STATE(3259)] = 122665,
  [SMALL_STATE(3260)] = 122678,
  [SMALL_STATE(3261)] = 122691,
  [SMALL_STATE(3262)] = 122704,
  [SMALL_STATE(3263)] = 122729,
  [SMALL_STATE(3264)] = 122742,
  [SMALL_STATE(3265)] = 122767,
  [SMALL_STATE(3266)] = 122792,
  [SMALL_STATE(3267)] = 122809,
  [SMALL_STATE(3268)] = 122834,
  [SMALL_STATE(3269)] = 122849,
  [SMALL_STATE(3270)] = 122874,
  [SMALL_STATE(3271)] = 122899,
  [SMALL_STATE(3272)] = 122916,
  [SMALL_STATE(3273)] = 122933,
  [SMALL_STATE(3274)] = 122950,
  [SMALL_STATE(3275)] = 122971,
  [SMALL_STATE(3276)] = 122986,
  [SMALL_STATE(3277)] = 123003,
  [SMALL_STATE(3278)] = 123020,
  [SMALL_STATE(3279)] = 123045,
  [SMALL_STATE(3280)] = 123062,
  [SMALL_STATE(3281)] = 123075,
  [SMALL_STATE(3282)] = 123092,
  [SMALL_STATE(3283)] = 123109,
  [SMALL_STATE(3284)] = 123134,
  [SMALL_STATE(3285)] = 123151,
  [SMALL_STATE(3286)] = 123176,
  [SMALL_STATE(3287)] = 123201,
  [SMALL_STATE(3288)] = 123226,
  [SMALL_STATE(3289)] = 123251,
  [SMALL_STATE(3290)] = 123276,
  [SMALL_STATE(3291)] = 123301,
  [SMALL_STATE(3292)] = 123326,
  [SMALL_STATE(3293)] = 123343,
  [SMALL_STATE(3294)] = 123360,
  [SMALL_STATE(3295)] = 123385,
  [SMALL_STATE(3296)] = 123400,
  [SMALL_STATE(3297)] = 123425,
  [SMALL_STATE(3298)] = 123450,
  [SMALL_STATE(3299)] = 123475,
  [SMALL_STATE(3300)] = 123492,
  [SMALL_STATE(3301)] = 123509,
  [SMALL_STATE(3302)] = 123526,
  [SMALL_STATE(3303)] = 123543,
  [SMALL_STATE(3304)] = 123562,
  [SMALL_STATE(3305)] = 123583,
  [SMALL_STATE(3306)] = 123604,
  [SMALL_STATE(3307)] = 123629,
  [SMALL_STATE(3308)] = 123650,
  [SMALL_STATE(3309)] = 123675,
  [SMALL_STATE(3310)] = 123700,
  [SMALL_STATE(3311)] = 123725,
  [SMALL_STATE(3312)] = 123750,
  [SMALL_STATE(3313)] = 123767,
  [SMALL_STATE(3314)] = 123788,
  [SMALL_STATE(3315)] = 123805,
  [SMALL_STATE(3316)] = 123822,
  [SMALL_STATE(3317)] = 123839,
  [SMALL_STATE(3318)] = 123864,
  [SMALL_STATE(3319)] = 123889,
  [SMALL_STATE(3320)] = 123914,
  [SMALL_STATE(3321)] = 123937,
  [SMALL_STATE(3322)] = 123956,
  [SMALL_STATE(3323)] = 123973,
  [SMALL_STATE(3324)] = 123990,
  [SMALL_STATE(3325)] = 124007,
  [SMALL_STATE(3326)] = 124032,
  [SMALL_STATE(3327)] = 124053,
  [SMALL_STATE(3328)] = 124078,
  [SMALL_STATE(3329)] = 124099,
  [SMALL_STATE(3330)] = 124120,
  [SMALL_STATE(3331)] = 124145,
  [SMALL_STATE(3332)] = 124170,
  [SMALL_STATE(3333)] = 124187,
  [SMALL_STATE(3334)] = 124212,
  [SMALL_STATE(3335)] = 124237,
  [SMALL_STATE(3336)] = 124262,
  [SMALL_STATE(3337)] = 124283,
  [SMALL_STATE(3338)] = 124308,
  [SMALL_STATE(3339)] = 124333,
  [SMALL_STATE(3340)] = 124354,
  [SMALL_STATE(3341)] = 124369,
  [SMALL_STATE(3342)] = 124394,
  [SMALL_STATE(3343)] = 124419,
  [SMALL_STATE(3344)] = 124444,
  [SMALL_STATE(3345)] = 124465,
  [SMALL_STATE(3346)] = 124486,
  [SMALL_STATE(3347)] = 124511,
  [SMALL_STATE(3348)] = 124532,
  [SMALL_STATE(3349)] = 124545,
  [SMALL_STATE(3350)] = 124560,
  [SMALL_STATE(3351)] = 124577,
  [SMALL_STATE(3352)] = 124590,
  [SMALL_STATE(3353)] = 124615,
  [SMALL_STATE(3354)] = 124628,
  [SMALL_STATE(3355)] = 124644,
  [SMALL_STATE(3356)] = 124660,
  [SMALL_STATE(3357)] = 124678,
  [SMALL_STATE(3358)] = 124696,
  [SMALL_STATE(3359)] = 124714,
  [SMALL_STATE(3360)] = 124734,
  [SMALL_STATE(3361)] = 124756,
  [SMALL_STATE(3362)] = 124778,
  [SMALL_STATE(3363)] = 124800,
  [SMALL_STATE(3364)] = 124816,
  [SMALL_STATE(3365)] = 124832,
  [SMALL_STATE(3366)] = 124848,
  [SMALL_STATE(3367)] = 124864,
  [SMALL_STATE(3368)] = 124886,
  [SMALL_STATE(3369)] = 124900,
  [SMALL_STATE(3370)] = 124916,
  [SMALL_STATE(3371)] = 124934,
  [SMALL_STATE(3372)] = 124950,
  [SMALL_STATE(3373)] = 124972,
  [SMALL_STATE(3374)] = 124988,
  [SMALL_STATE(3375)] = 125006,
  [SMALL_STATE(3376)] = 125028,
  [SMALL_STATE(3377)] = 125050,
  [SMALL_STATE(3378)] = 125072,
  [SMALL_STATE(3379)] = 125088,
  [SMALL_STATE(3380)] = 125104,
  [SMALL_STATE(3381)] = 125120,
  [SMALL_STATE(3382)] = 125138,
  [SMALL_STATE(3383)] = 125156,
  [SMALL_STATE(3384)] = 125172,
  [SMALL_STATE(3385)] = 125194,
  [SMALL_STATE(3386)] = 125216,
  [SMALL_STATE(3387)] = 125234,
  [SMALL_STATE(3388)] = 125252,
  [SMALL_STATE(3389)] = 125268,
  [SMALL_STATE(3390)] = 125284,
  [SMALL_STATE(3391)] = 125300,
  [SMALL_STATE(3392)] = 125322,
  [SMALL_STATE(3393)] = 125338,
  [SMALL_STATE(3394)] = 125350,
  [SMALL_STATE(3395)] = 125368,
  [SMALL_STATE(3396)] = 125386,
  [SMALL_STATE(3397)] = 125408,
  [SMALL_STATE(3398)] = 125420,
  [SMALL_STATE(3399)] = 125436,
  [SMALL_STATE(3400)] = 125458,
  [SMALL_STATE(3401)] = 125480,
  [SMALL_STATE(3402)] = 125494,
  [SMALL_STATE(3403)] = 125516,
  [SMALL_STATE(3404)] = 125532,
  [SMALL_STATE(3405)] = 125554,
  [SMALL_STATE(3406)] = 125576,
  [SMALL_STATE(3407)] = 125594,
  [SMALL_STATE(3408)] = 125612,
  [SMALL_STATE(3409)] = 125630,
  [SMALL_STATE(3410)] = 125652,
  [SMALL_STATE(3411)] = 125668,
  [SMALL_STATE(3412)] = 125686,
  [SMALL_STATE(3413)] = 125702,
  [SMALL_STATE(3414)] = 125718,
  [SMALL_STATE(3415)] = 125740,
  [SMALL_STATE(3416)] = 125756,
  [SMALL_STATE(3417)] = 125772,
  [SMALL_STATE(3418)] = 125784,
  [SMALL_STATE(3419)] = 125806,
  [SMALL_STATE(3420)] = 125828,
  [SMALL_STATE(3421)] = 125850,
  [SMALL_STATE(3422)] = 125872,
  [SMALL_STATE(3423)] = 125894,
  [SMALL_STATE(3424)] = 125906,
  [SMALL_STATE(3425)] = 125922,
  [SMALL_STATE(3426)] = 125944,
  [SMALL_STATE(3427)] = 125966,
  [SMALL_STATE(3428)] = 125982,
  [SMALL_STATE(3429)] = 126004,
  [SMALL_STATE(3430)] = 126026,
  [SMALL_STATE(3431)] = 126048,
  [SMALL_STATE(3432)] = 126060,
  [SMALL_STATE(3433)] = 126076,
  [SMALL_STATE(3434)] = 126092,
  [SMALL_STATE(3435)] = 126114,
  [SMALL_STATE(3436)] = 126130,
  [SMALL_STATE(3437)] = 126146,
  [SMALL_STATE(3438)] = 126168,
  [SMALL_STATE(3439)] = 126184,
  [SMALL_STATE(3440)] = 126206,
  [SMALL_STATE(3441)] = 126228,
  [SMALL_STATE(3442)] = 126244,
  [SMALL_STATE(3443)] = 126266,
  [SMALL_STATE(3444)] = 126288,
  [SMALL_STATE(3445)] = 126304,
  [SMALL_STATE(3446)] = 126320,
  [SMALL_STATE(3447)] = 126342,
  [SMALL_STATE(3448)] = 126360,
  [SMALL_STATE(3449)] = 126382,
  [SMALL_STATE(3450)] = 126398,
  [SMALL_STATE(3451)] = 126412,
  [SMALL_STATE(3452)] = 126430,
  [SMALL_STATE(3453)] = 126448,
  [SMALL_STATE(3454)] = 126466,
  [SMALL_STATE(3455)] = 126482,
  [SMALL_STATE(3456)] = 126498,
  [SMALL_STATE(3457)] = 126520,
  [SMALL_STATE(3458)] = 126542,
  [SMALL_STATE(3459)] = 126558,
  [SMALL_STATE(3460)] = 126580,
  [SMALL_STATE(3461)] = 126598,
  [SMALL_STATE(3462)] = 126620,
  [SMALL_STATE(3463)] = 126636,
  [SMALL_STATE(3464)] = 126658,
  [SMALL_STATE(3465)] = 126674,
  [SMALL_STATE(3466)] = 126696,
  [SMALL_STATE(3467)] = 126712,
  [SMALL_STATE(3468)] = 126728,
  [SMALL_STATE(3469)] = 126744,
  [SMALL_STATE(3470)] = 126766,
  [SMALL_STATE(3471)] = 126782,
  [SMALL_STATE(3472)] = 126794,
  [SMALL_STATE(3473)] = 126812,
  [SMALL_STATE(3474)] = 126824,
  [SMALL_STATE(3475)] = 126842,
  [SMALL_STATE(3476)] = 126864,
  [SMALL_STATE(3477)] = 126886,
  [SMALL_STATE(3478)] = 126904,
  [SMALL_STATE(3479)] = 126920,
  [SMALL_STATE(3480)] = 126936,
  [SMALL_STATE(3481)] = 126958,
  [SMALL_STATE(3482)] = 126980,
  [SMALL_STATE(3483)] = 126998,
  [SMALL_STATE(3484)] = 127020,
  [SMALL_STATE(3485)] = 127042,
  [SMALL_STATE(3486)] = 127064,
  [SMALL_STATE(3487)] = 127082,
  [SMALL_STATE(3488)] = 127100,
  [SMALL_STATE(3489)] = 127122,
  [SMALL_STATE(3490)] = 127144,
  [SMALL_STATE(3491)] = 127160,
  [SMALL_STATE(3492)] = 127182,
  [SMALL_STATE(3493)] = 127202,
  [SMALL_STATE(3494)] = 127224,
  [SMALL_STATE(3495)] = 127236,
  [SMALL_STATE(3496)] = 127248,
  [SMALL_STATE(3497)] = 127260,
  [SMALL_STATE(3498)] = 127282,
  [SMALL_STATE(3499)] = 127298,
  [SMALL_STATE(3500)] = 127316,
  [SMALL_STATE(3501)] = 127332,
  [SMALL_STATE(3502)] = 127344,
  [SMALL_STATE(3503)] = 127360,
  [SMALL_STATE(3504)] = 127382,
  [SMALL_STATE(3505)] = 127402,
  [SMALL_STATE(3506)] = 127422,
  [SMALL_STATE(3507)] = 127444,
  [SMALL_STATE(3508)] = 127460,
  [SMALL_STATE(3509)] = 127476,
  [SMALL_STATE(3510)] = 127488,
  [SMALL_STATE(3511)] = 127500,
  [SMALL_STATE(3512)] = 127518,
  [SMALL_STATE(3513)] = 127532,
  [SMALL_STATE(3514)] = 127554,
  [SMALL_STATE(3515)] = 127570,
  [SMALL_STATE(3516)] = 127592,
  [SMALL_STATE(3517)] = 127614,
  [SMALL_STATE(3518)] = 127626,
  [SMALL_STATE(3519)] = 127648,
  [SMALL_STATE(3520)] = 127666,
  [SMALL_STATE(3521)] = 127686,
  [SMALL_STATE(3522)] = 127698,
  [SMALL_STATE(3523)] = 127714,
  [SMALL_STATE(3524)] = 127726,
  [SMALL_STATE(3525)] = 127746,
  [SMALL_STATE(3526)] = 127762,
  [SMALL_STATE(3527)] = 127784,
  [SMALL_STATE(3528)] = 127796,
  [SMALL_STATE(3529)] = 127812,
  [SMALL_STATE(3530)] = 127834,
  [SMALL_STATE(3531)] = 127856,
  [SMALL_STATE(3532)] = 127874,
  [SMALL_STATE(3533)] = 127893,
  [SMALL_STATE(3534)] = 127912,
  [SMALL_STATE(3535)] = 127931,
  [SMALL_STATE(3536)] = 127950,
  [SMALL_STATE(3537)] = 127969,
  [SMALL_STATE(3538)] = 127986,
  [SMALL_STATE(3539)] = 128005,
  [SMALL_STATE(3540)] = 128020,
  [SMALL_STATE(3541)] = 128039,
  [SMALL_STATE(3542)] = 128058,
  [SMALL_STATE(3543)] = 128077,
  [SMALL_STATE(3544)] = 128096,
  [SMALL_STATE(3545)] = 128115,
  [SMALL_STATE(3546)] = 128130,
  [SMALL_STATE(3547)] = 128145,
  [SMALL_STATE(3548)] = 128164,
  [SMALL_STATE(3549)] = 128183,
  [SMALL_STATE(3550)] = 128194,
  [SMALL_STATE(3551)] = 128205,
  [SMALL_STATE(3552)] = 128220,
  [SMALL_STATE(3553)] = 128231,
  [SMALL_STATE(3554)] = 128242,
  [SMALL_STATE(3555)] = 128259,
  [SMALL_STATE(3556)] = 128272,
  [SMALL_STATE(3557)] = 128291,
  [SMALL_STATE(3558)] = 128310,
  [SMALL_STATE(3559)] = 128321,
  [SMALL_STATE(3560)] = 128340,
  [SMALL_STATE(3561)] = 128359,
  [SMALL_STATE(3562)] = 128370,
  [SMALL_STATE(3563)] = 128387,
  [SMALL_STATE(3564)] = 128398,
  [SMALL_STATE(3565)] = 128409,
  [SMALL_STATE(3566)] = 128420,
  [SMALL_STATE(3567)] = 128439,
  [SMALL_STATE(3568)] = 128456,
  [SMALL_STATE(3569)] = 128475,
  [SMALL_STATE(3570)] = 128486,
  [SMALL_STATE(3571)] = 128505,
  [SMALL_STATE(3572)] = 128524,
  [SMALL_STATE(3573)] = 128535,
  [SMALL_STATE(3574)] = 128554,
  [SMALL_STATE(3575)] = 128565,
  [SMALL_STATE(3576)] = 128584,
  [SMALL_STATE(3577)] = 128595,
  [SMALL_STATE(3578)] = 128610,
  [SMALL_STATE(3579)] = 128621,
  [SMALL_STATE(3580)] = 128632,
  [SMALL_STATE(3581)] = 128647,
  [SMALL_STATE(3582)] = 128658,
  [SMALL_STATE(3583)] = 128673,
  [SMALL_STATE(3584)] = 128692,
  [SMALL_STATE(3585)] = 128711,
  [SMALL_STATE(3586)] = 128722,
  [SMALL_STATE(3587)] = 128737,
  [SMALL_STATE(3588)] = 128756,
  [SMALL_STATE(3589)] = 128767,
  [SMALL_STATE(3590)] = 128778,
  [SMALL_STATE(3591)] = 128789,
  [SMALL_STATE(3592)] = 128804,
  [SMALL_STATE(3593)] = 128815,
  [SMALL_STATE(3594)] = 128834,
  [SMALL_STATE(3595)] = 128853,
  [SMALL_STATE(3596)] = 128870,
  [SMALL_STATE(3597)] = 128881,
  [SMALL_STATE(3598)] = 128900,
  [SMALL_STATE(3599)] = 128913,
  [SMALL_STATE(3600)] = 128932,
  [SMALL_STATE(3601)] = 128951,
  [SMALL_STATE(3602)] = 128964,
  [SMALL_STATE(3603)] = 128983,
  [SMALL_STATE(3604)] = 129002,
  [SMALL_STATE(3605)] = 129021,
  [SMALL_STATE(3606)] = 129038,
  [SMALL_STATE(3607)] = 129053,
  [SMALL_STATE(3608)] = 129070,
  [SMALL_STATE(3609)] = 129087,
  [SMALL_STATE(3610)] = 129106,
  [SMALL_STATE(3611)] = 129125,
  [SMALL_STATE(3612)] = 129136,
  [SMALL_STATE(3613)] = 129155,
  [SMALL_STATE(3614)] = 129174,
  [SMALL_STATE(3615)] = 129185,
  [SMALL_STATE(3616)] = 129204,
  [SMALL_STATE(3617)] = 129223,
  [SMALL_STATE(3618)] = 129234,
  [SMALL_STATE(3619)] = 129253,
  [SMALL_STATE(3620)] = 129272,
  [SMALL_STATE(3621)] = 129287,
  [SMALL_STATE(3622)] = 129306,
  [SMALL_STATE(3623)] = 129325,
  [SMALL_STATE(3624)] = 129344,
  [SMALL_STATE(3625)] = 129363,
  [SMALL_STATE(3626)] = 129376,
  [SMALL_STATE(3627)] = 129395,
  [SMALL_STATE(3628)] = 129412,
  [SMALL_STATE(3629)] = 129429,
  [SMALL_STATE(3630)] = 129448,
  [SMALL_STATE(3631)] = 129467,
  [SMALL_STATE(3632)] = 129486,
  [SMALL_STATE(3633)] = 129497,
  [SMALL_STATE(3634)] = 129516,
  [SMALL_STATE(3635)] = 129535,
  [SMALL_STATE(3636)] = 129554,
  [SMALL_STATE(3637)] = 129571,
  [SMALL_STATE(3638)] = 129582,
  [SMALL_STATE(3639)] = 129593,
  [SMALL_STATE(3640)] = 129612,
  [SMALL_STATE(3641)] = 129629,
  [SMALL_STATE(3642)] = 129644,
  [SMALL_STATE(3643)] = 129663,
  [SMALL_STATE(3644)] = 129674,
  [SMALL_STATE(3645)] = 129691,
  [SMALL_STATE(3646)] = 129710,
  [SMALL_STATE(3647)] = 129721,
  [SMALL_STATE(3648)] = 129740,
  [SMALL_STATE(3649)] = 129751,
  [SMALL_STATE(3650)] = 129770,
  [SMALL_STATE(3651)] = 129785,
  [SMALL_STATE(3652)] = 129796,
  [SMALL_STATE(3653)] = 129807,
  [SMALL_STATE(3654)] = 129826,
  [SMALL_STATE(3655)] = 129845,
  [SMALL_STATE(3656)] = 129856,
  [SMALL_STATE(3657)] = 129867,
  [SMALL_STATE(3658)] = 129878,
  [SMALL_STATE(3659)] = 129889,
  [SMALL_STATE(3660)] = 129900,
  [SMALL_STATE(3661)] = 129911,
  [SMALL_STATE(3662)] = 129930,
  [SMALL_STATE(3663)] = 129941,
  [SMALL_STATE(3664)] = 129960,
  [SMALL_STATE(3665)] = 129971,
  [SMALL_STATE(3666)] = 129990,
  [SMALL_STATE(3667)] = 130009,
  [SMALL_STATE(3668)] = 130028,
  [SMALL_STATE(3669)] = 130047,
  [SMALL_STATE(3670)] = 130066,
  [SMALL_STATE(3671)] = 130085,
  [SMALL_STATE(3672)] = 130104,
  [SMALL_STATE(3673)] = 130115,
  [SMALL_STATE(3674)] = 130130,
  [SMALL_STATE(3675)] = 130141,
  [SMALL_STATE(3676)] = 130152,
  [SMALL_STATE(3677)] = 130171,
  [SMALL_STATE(3678)] = 130182,
  [SMALL_STATE(3679)] = 130193,
  [SMALL_STATE(3680)] = 130208,
  [SMALL_STATE(3681)] = 130227,
  [SMALL_STATE(3682)] = 130238,
  [SMALL_STATE(3683)] = 130257,
  [SMALL_STATE(3684)] = 130268,
  [SMALL_STATE(3685)] = 130287,
  [SMALL_STATE(3686)] = 130298,
  [SMALL_STATE(3687)] = 130309,
  [SMALL_STATE(3688)] = 130320,
  [SMALL_STATE(3689)] = 130331,
  [SMALL_STATE(3690)] = 130342,
  [SMALL_STATE(3691)] = 130353,
  [SMALL_STATE(3692)] = 130364,
  [SMALL_STATE(3693)] = 130375,
  [SMALL_STATE(3694)] = 130386,
  [SMALL_STATE(3695)] = 130405,
  [SMALL_STATE(3696)] = 130416,
  [SMALL_STATE(3697)] = 130427,
  [SMALL_STATE(3698)] = 130444,
  [SMALL_STATE(3699)] = 130455,
  [SMALL_STATE(3700)] = 130466,
  [SMALL_STATE(3701)] = 130477,
  [SMALL_STATE(3702)] = 130488,
  [SMALL_STATE(3703)] = 130499,
  [SMALL_STATE(3704)] = 130518,
  [SMALL_STATE(3705)] = 130537,
  [SMALL_STATE(3706)] = 130556,
  [SMALL_STATE(3707)] = 130573,
  [SMALL_STATE(3708)] = 130584,
  [SMALL_STATE(3709)] = 130595,
  [SMALL_STATE(3710)] = 130606,
  [SMALL_STATE(3711)] = 130617,
  [SMALL_STATE(3712)] = 130628,
  [SMALL_STATE(3713)] = 130639,
  [SMALL_STATE(3714)] = 130650,
  [SMALL_STATE(3715)] = 130661,
  [SMALL_STATE(3716)] = 130672,
  [SMALL_STATE(3717)] = 130691,
  [SMALL_STATE(3718)] = 130702,
  [SMALL_STATE(3719)] = 130713,
  [SMALL_STATE(3720)] = 130728,
  [SMALL_STATE(3721)] = 130747,
  [SMALL_STATE(3722)] = 130762,
  [SMALL_STATE(3723)] = 130773,
  [SMALL_STATE(3724)] = 130784,
  [SMALL_STATE(3725)] = 130803,
  [SMALL_STATE(3726)] = 130822,
  [SMALL_STATE(3727)] = 130833,
  [SMALL_STATE(3728)] = 130848,
  [SMALL_STATE(3729)] = 130859,
  [SMALL_STATE(3730)] = 130870,
  [SMALL_STATE(3731)] = 130881,
  [SMALL_STATE(3732)] = 130892,
  [SMALL_STATE(3733)] = 130903,
  [SMALL_STATE(3734)] = 130914,
  [SMALL_STATE(3735)] = 130925,
  [SMALL_STATE(3736)] = 130936,
  [SMALL_STATE(3737)] = 130947,
  [SMALL_STATE(3738)] = 130966,
  [SMALL_STATE(3739)] = 130985,
  [SMALL_STATE(3740)] = 130998,
  [SMALL_STATE(3741)] = 131009,
  [SMALL_STATE(3742)] = 131020,
  [SMALL_STATE(3743)] = 131031,
  [SMALL_STATE(3744)] = 131042,
  [SMALL_STATE(3745)] = 131053,
  [SMALL_STATE(3746)] = 131064,
  [SMALL_STATE(3747)] = 131075,
  [SMALL_STATE(3748)] = 131094,
  [SMALL_STATE(3749)] = 131105,
  [SMALL_STATE(3750)] = 131124,
  [SMALL_STATE(3751)] = 131135,
  [SMALL_STATE(3752)] = 131146,
  [SMALL_STATE(3753)] = 131157,
  [SMALL_STATE(3754)] = 131168,
  [SMALL_STATE(3755)] = 131179,
  [SMALL_STATE(3756)] = 131190,
  [SMALL_STATE(3757)] = 131201,
  [SMALL_STATE(3758)] = 131220,
  [SMALL_STATE(3759)] = 131239,
  [SMALL_STATE(3760)] = 131250,
  [SMALL_STATE(3761)] = 131261,
  [SMALL_STATE(3762)] = 131272,
  [SMALL_STATE(3763)] = 131283,
  [SMALL_STATE(3764)] = 131294,
  [SMALL_STATE(3765)] = 131305,
  [SMALL_STATE(3766)] = 131316,
  [SMALL_STATE(3767)] = 131333,
  [SMALL_STATE(3768)] = 131344,
  [SMALL_STATE(3769)] = 131363,
  [SMALL_STATE(3770)] = 131378,
  [SMALL_STATE(3771)] = 131393,
  [SMALL_STATE(3772)] = 131412,
  [SMALL_STATE(3773)] = 131429,
  [SMALL_STATE(3774)] = 131448,
  [SMALL_STATE(3775)] = 131459,
  [SMALL_STATE(3776)] = 131476,
  [SMALL_STATE(3777)] = 131491,
  [SMALL_STATE(3778)] = 131508,
  [SMALL_STATE(3779)] = 131525,
  [SMALL_STATE(3780)] = 131536,
  [SMALL_STATE(3781)] = 131547,
  [SMALL_STATE(3782)] = 131566,
  [SMALL_STATE(3783)] = 131577,
  [SMALL_STATE(3784)] = 131588,
  [SMALL_STATE(3785)] = 131599,
  [SMALL_STATE(3786)] = 131610,
  [SMALL_STATE(3787)] = 131629,
  [SMALL_STATE(3788)] = 131648,
  [SMALL_STATE(3789)] = 131659,
  [SMALL_STATE(3790)] = 131674,
  [SMALL_STATE(3791)] = 131685,
  [SMALL_STATE(3792)] = 131702,
  [SMALL_STATE(3793)] = 131719,
  [SMALL_STATE(3794)] = 131730,
  [SMALL_STATE(3795)] = 131741,
  [SMALL_STATE(3796)] = 131752,
  [SMALL_STATE(3797)] = 131769,
  [SMALL_STATE(3798)] = 131788,
  [SMALL_STATE(3799)] = 131799,
  [SMALL_STATE(3800)] = 131818,
  [SMALL_STATE(3801)] = 131829,
  [SMALL_STATE(3802)] = 131848,
  [SMALL_STATE(3803)] = 131867,
  [SMALL_STATE(3804)] = 131878,
  [SMALL_STATE(3805)] = 131897,
  [SMALL_STATE(3806)] = 131908,
  [SMALL_STATE(3807)] = 131919,
  [SMALL_STATE(3808)] = 131930,
  [SMALL_STATE(3809)] = 131941,
  [SMALL_STATE(3810)] = 131958,
  [SMALL_STATE(3811)] = 131969,
  [SMALL_STATE(3812)] = 131980,
  [SMALL_STATE(3813)] = 131991,
  [SMALL_STATE(3814)] = 132008,
  [SMALL_STATE(3815)] = 132023,
  [SMALL_STATE(3816)] = 132034,
  [SMALL_STATE(3817)] = 132045,
  [SMALL_STATE(3818)] = 132056,
  [SMALL_STATE(3819)] = 132067,
  [SMALL_STATE(3820)] = 132086,
  [SMALL_STATE(3821)] = 132103,
  [SMALL_STATE(3822)] = 132122,
  [SMALL_STATE(3823)] = 132139,
  [SMALL_STATE(3824)] = 132158,
  [SMALL_STATE(3825)] = 132169,
  [SMALL_STATE(3826)] = 132188,
  [SMALL_STATE(3827)] = 132207,
  [SMALL_STATE(3828)] = 132218,
  [SMALL_STATE(3829)] = 132229,
  [SMALL_STATE(3830)] = 132244,
  [SMALL_STATE(3831)] = 132255,
  [SMALL_STATE(3832)] = 132266,
  [SMALL_STATE(3833)] = 132277,
  [SMALL_STATE(3834)] = 132294,
  [SMALL_STATE(3835)] = 132311,
  [SMALL_STATE(3836)] = 132322,
  [SMALL_STATE(3837)] = 132339,
  [SMALL_STATE(3838)] = 132354,
  [SMALL_STATE(3839)] = 132368,
  [SMALL_STATE(3840)] = 132384,
  [SMALL_STATE(3841)] = 132398,
  [SMALL_STATE(3842)] = 132414,
  [SMALL_STATE(3843)] = 132430,
  [SMALL_STATE(3844)] = 132440,
  [SMALL_STATE(3845)] = 132454,
  [SMALL_STATE(3846)] = 132466,
  [SMALL_STATE(3847)] = 132482,
  [SMALL_STATE(3848)] = 132496,
  [SMALL_STATE(3849)] = 132510,
  [SMALL_STATE(3850)] = 132524,
  [SMALL_STATE(3851)] = 132538,
  [SMALL_STATE(3852)] = 132552,
  [SMALL_STATE(3853)] = 132566,
  [SMALL_STATE(3854)] = 132580,
  [SMALL_STATE(3855)] = 132596,
  [SMALL_STATE(3856)] = 132610,
  [SMALL_STATE(3857)] = 132620,
  [SMALL_STATE(3858)] = 132634,
  [SMALL_STATE(3859)] = 132648,
  [SMALL_STATE(3860)] = 132662,
  [SMALL_STATE(3861)] = 132676,
  [SMALL_STATE(3862)] = 132690,
  [SMALL_STATE(3863)] = 132706,
  [SMALL_STATE(3864)] = 132720,
  [SMALL_STATE(3865)] = 132736,
  [SMALL_STATE(3866)] = 132750,
  [SMALL_STATE(3867)] = 132764,
  [SMALL_STATE(3868)] = 132778,
  [SMALL_STATE(3869)] = 132792,
  [SMALL_STATE(3870)] = 132808,
  [SMALL_STATE(3871)] = 132822,
  [SMALL_STATE(3872)] = 132834,
  [SMALL_STATE(3873)] = 132848,
  [SMALL_STATE(3874)] = 132864,
  [SMALL_STATE(3875)] = 132880,
  [SMALL_STATE(3876)] = 132894,
  [SMALL_STATE(3877)] = 132910,
  [SMALL_STATE(3878)] = 132926,
  [SMALL_STATE(3879)] = 132940,
  [SMALL_STATE(3880)] = 132954,
  [SMALL_STATE(3881)] = 132968,
  [SMALL_STATE(3882)] = 132980,
  [SMALL_STATE(3883)] = 132996,
  [SMALL_STATE(3884)] = 133010,
  [SMALL_STATE(3885)] = 133024,
  [SMALL_STATE(3886)] = 133036,
  [SMALL_STATE(3887)] = 133052,
  [SMALL_STATE(3888)] = 133066,
  [SMALL_STATE(3889)] = 133082,
  [SMALL_STATE(3890)] = 133098,
  [SMALL_STATE(3891)] = 133112,
  [SMALL_STATE(3892)] = 133128,
  [SMALL_STATE(3893)] = 133144,
  [SMALL_STATE(3894)] = 133158,
  [SMALL_STATE(3895)] = 133172,
  [SMALL_STATE(3896)] = 133186,
  [SMALL_STATE(3897)] = 133200,
  [SMALL_STATE(3898)] = 133214,
  [SMALL_STATE(3899)] = 133228,
  [SMALL_STATE(3900)] = 133242,
  [SMALL_STATE(3901)] = 133256,
  [SMALL_STATE(3902)] = 133270,
  [SMALL_STATE(3903)] = 133284,
  [SMALL_STATE(3904)] = 133298,
  [SMALL_STATE(3905)] = 133312,
  [SMALL_STATE(3906)] = 133326,
  [SMALL_STATE(3907)] = 133340,
  [SMALL_STATE(3908)] = 133356,
  [SMALL_STATE(3909)] = 133366,
  [SMALL_STATE(3910)] = 133380,
  [SMALL_STATE(3911)] = 133396,
  [SMALL_STATE(3912)] = 133410,
  [SMALL_STATE(3913)] = 133424,
  [SMALL_STATE(3914)] = 133440,
  [SMALL_STATE(3915)] = 133456,
  [SMALL_STATE(3916)] = 133472,
  [SMALL_STATE(3917)] = 133488,
  [SMALL_STATE(3918)] = 133504,
  [SMALL_STATE(3919)] = 133520,
  [SMALL_STATE(3920)] = 133536,
  [SMALL_STATE(3921)] = 133552,
  [SMALL_STATE(3922)] = 133568,
  [SMALL_STATE(3923)] = 133578,
  [SMALL_STATE(3924)] = 133592,
  [SMALL_STATE(3925)] = 133608,
  [SMALL_STATE(3926)] = 133624,
  [SMALL_STATE(3927)] = 133640,
  [SMALL_STATE(3928)] = 133656,
  [SMALL_STATE(3929)] = 133672,
  [SMALL_STATE(3930)] = 133688,
  [SMALL_STATE(3931)] = 133702,
  [SMALL_STATE(3932)] = 133716,
  [SMALL_STATE(3933)] = 133730,
  [SMALL_STATE(3934)] = 133746,
  [SMALL_STATE(3935)] = 133762,
  [SMALL_STATE(3936)] = 133778,
  [SMALL_STATE(3937)] = 133792,
  [SMALL_STATE(3938)] = 133808,
  [SMALL_STATE(3939)] = 133822,
  [SMALL_STATE(3940)] = 133836,
  [SMALL_STATE(3941)] = 133852,
  [SMALL_STATE(3942)] = 133866,
  [SMALL_STATE(3943)] = 133882,
  [SMALL_STATE(3944)] = 133898,
  [SMALL_STATE(3945)] = 133912,
  [SMALL_STATE(3946)] = 133926,
  [SMALL_STATE(3947)] = 133942,
  [SMALL_STATE(3948)] = 133956,
  [SMALL_STATE(3949)] = 133972,
  [SMALL_STATE(3950)] = 133986,
  [SMALL_STATE(3951)] = 134000,
  [SMALL_STATE(3952)] = 134014,
  [SMALL_STATE(3953)] = 134024,
  [SMALL_STATE(3954)] = 134034,
  [SMALL_STATE(3955)] = 134050,
  [SMALL_STATE(3956)] = 134064,
  [SMALL_STATE(3957)] = 134080,
  [SMALL_STATE(3958)] = 134096,
  [SMALL_STATE(3959)] = 134112,
  [SMALL_STATE(3960)] = 134128,
  [SMALL_STATE(3961)] = 134142,
  [SMALL_STATE(3962)] = 134156,
  [SMALL_STATE(3963)] = 134172,
  [SMALL_STATE(3964)] = 134186,
  [SMALL_STATE(3965)] = 134200,
  [SMALL_STATE(3966)] = 134214,
  [SMALL_STATE(3967)] = 134228,
  [SMALL_STATE(3968)] = 134242,
  [SMALL_STATE(3969)] = 134258,
  [SMALL_STATE(3970)] = 134272,
  [SMALL_STATE(3971)] = 134288,
  [SMALL_STATE(3972)] = 134304,
  [SMALL_STATE(3973)] = 134320,
  [SMALL_STATE(3974)] = 134336,
  [SMALL_STATE(3975)] = 134350,
  [SMALL_STATE(3976)] = 134364,
  [SMALL_STATE(3977)] = 134378,
  [SMALL_STATE(3978)] = 134394,
  [SMALL_STATE(3979)] = 134406,
  [SMALL_STATE(3980)] = 134420,
  [SMALL_STATE(3981)] = 134436,
  [SMALL_STATE(3982)] = 134449,
  [SMALL_STATE(3983)] = 134462,
  [SMALL_STATE(3984)] = 134475,
  [SMALL_STATE(3985)] = 134488,
  [SMALL_STATE(3986)] = 134501,
  [SMALL_STATE(3987)] = 134512,
  [SMALL_STATE(3988)] = 134523,
  [SMALL_STATE(3989)] = 134536,
  [SMALL_STATE(3990)] = 134549,
  [SMALL_STATE(3991)] = 134560,
  [SMALL_STATE(3992)] = 134573,
  [SMALL_STATE(3993)] = 134586,
  [SMALL_STATE(3994)] = 134599,
  [SMALL_STATE(3995)] = 134612,
  [SMALL_STATE(3996)] = 134625,
  [SMALL_STATE(3997)] = 134638,
  [SMALL_STATE(3998)] = 134651,
  [SMALL_STATE(3999)] = 134664,
  [SMALL_STATE(4000)] = 134675,
  [SMALL_STATE(4001)] = 134686,
  [SMALL_STATE(4002)] = 134699,
  [SMALL_STATE(4003)] = 134708,
  [SMALL_STATE(4004)] = 134721,
  [SMALL_STATE(4005)] = 134730,
  [SMALL_STATE(4006)] = 134743,
  [SMALL_STATE(4007)] = 134756,
  [SMALL_STATE(4008)] = 134769,
  [SMALL_STATE(4009)] = 134782,
  [SMALL_STATE(4010)] = 134793,
  [SMALL_STATE(4011)] = 134806,
  [SMALL_STATE(4012)] = 134819,
  [SMALL_STATE(4013)] = 134832,
  [SMALL_STATE(4014)] = 134845,
  [SMALL_STATE(4015)] = 134858,
  [SMALL_STATE(4016)] = 134871,
  [SMALL_STATE(4017)] = 134880,
  [SMALL_STATE(4018)] = 134893,
  [SMALL_STATE(4019)] = 134902,
  [SMALL_STATE(4020)] = 134915,
  [SMALL_STATE(4021)] = 134928,
  [SMALL_STATE(4022)] = 134941,
  [SMALL_STATE(4023)] = 134954,
  [SMALL_STATE(4024)] = 134963,
  [SMALL_STATE(4025)] = 134972,
  [SMALL_STATE(4026)] = 134981,
  [SMALL_STATE(4027)] = 134994,
  [SMALL_STATE(4028)] = 135003,
  [SMALL_STATE(4029)] = 135016,
  [SMALL_STATE(4030)] = 135025,
  [SMALL_STATE(4031)] = 135038,
  [SMALL_STATE(4032)] = 135047,
  [SMALL_STATE(4033)] = 135056,
  [SMALL_STATE(4034)] = 135069,
  [SMALL_STATE(4035)] = 135082,
  [SMALL_STATE(4036)] = 135093,
  [SMALL_STATE(4037)] = 135104,
  [SMALL_STATE(4038)] = 135117,
  [SMALL_STATE(4039)] = 135126,
  [SMALL_STATE(4040)] = 135137,
  [SMALL_STATE(4041)] = 135150,
  [SMALL_STATE(4042)] = 135161,
  [SMALL_STATE(4043)] = 135174,
  [SMALL_STATE(4044)] = 135187,
  [SMALL_STATE(4045)] = 135196,
  [SMALL_STATE(4046)] = 135209,
  [SMALL_STATE(4047)] = 135222,
  [SMALL_STATE(4048)] = 135235,
  [SMALL_STATE(4049)] = 135248,
  [SMALL_STATE(4050)] = 135261,
  [SMALL_STATE(4051)] = 135274,
  [SMALL_STATE(4052)] = 135287,
  [SMALL_STATE(4053)] = 135298,
  [SMALL_STATE(4054)] = 135309,
  [SMALL_STATE(4055)] = 135322,
  [SMALL_STATE(4056)] = 135331,
  [SMALL_STATE(4057)] = 135344,
  [SMALL_STATE(4058)] = 135357,
  [SMALL_STATE(4059)] = 135370,
  [SMALL_STATE(4060)] = 135383,
  [SMALL_STATE(4061)] = 135396,
  [SMALL_STATE(4062)] = 135409,
  [SMALL_STATE(4063)] = 135422,
  [SMALL_STATE(4064)] = 135435,
  [SMALL_STATE(4065)] = 135448,
  [SMALL_STATE(4066)] = 135461,
  [SMALL_STATE(4067)] = 135474,
  [SMALL_STATE(4068)] = 135487,
  [SMALL_STATE(4069)] = 135500,
  [SMALL_STATE(4070)] = 135513,
  [SMALL_STATE(4071)] = 135526,
  [SMALL_STATE(4072)] = 135539,
  [SMALL_STATE(4073)] = 135552,
  [SMALL_STATE(4074)] = 135565,
  [SMALL_STATE(4075)] = 135576,
  [SMALL_STATE(4076)] = 135587,
  [SMALL_STATE(4077)] = 135598,
  [SMALL_STATE(4078)] = 135611,
  [SMALL_STATE(4079)] = 135624,
  [SMALL_STATE(4080)] = 135637,
  [SMALL_STATE(4081)] = 135650,
  [SMALL_STATE(4082)] = 135661,
  [SMALL_STATE(4083)] = 135674,
  [SMALL_STATE(4084)] = 135687,
  [SMALL_STATE(4085)] = 135700,
  [SMALL_STATE(4086)] = 135709,
  [SMALL_STATE(4087)] = 135722,
  [SMALL_STATE(4088)] = 135731,
  [SMALL_STATE(4089)] = 135740,
  [SMALL_STATE(4090)] = 135751,
  [SMALL_STATE(4091)] = 135764,
  [SMALL_STATE(4092)] = 135777,
  [SMALL_STATE(4093)] = 135790,
  [SMALL_STATE(4094)] = 135803,
  [SMALL_STATE(4095)] = 135816,
  [SMALL_STATE(4096)] = 135827,
  [SMALL_STATE(4097)] = 135838,
  [SMALL_STATE(4098)] = 135849,
  [SMALL_STATE(4099)] = 135860,
  [SMALL_STATE(4100)] = 135873,
  [SMALL_STATE(4101)] = 135886,
  [SMALL_STATE(4102)] = 135899,
  [SMALL_STATE(4103)] = 135912,
  [SMALL_STATE(4104)] = 135925,
  [SMALL_STATE(4105)] = 135938,
  [SMALL_STATE(4106)] = 135949,
  [SMALL_STATE(4107)] = 135962,
  [SMALL_STATE(4108)] = 135975,
  [SMALL_STATE(4109)] = 135988,
  [SMALL_STATE(4110)] = 136001,
  [SMALL_STATE(4111)] = 136014,
  [SMALL_STATE(4112)] = 136027,
  [SMALL_STATE(4113)] = 136040,
  [SMALL_STATE(4114)] = 136053,
  [SMALL_STATE(4115)] = 136066,
  [SMALL_STATE(4116)] = 136079,
  [SMALL_STATE(4117)] = 136092,
  [SMALL_STATE(4118)] = 136105,
  [SMALL_STATE(4119)] = 136118,
  [SMALL_STATE(4120)] = 136127,
  [SMALL_STATE(4121)] = 136140,
  [SMALL_STATE(4122)] = 136151,
  [SMALL_STATE(4123)] = 136164,
  [SMALL_STATE(4124)] = 136177,
  [SMALL_STATE(4125)] = 136186,
  [SMALL_STATE(4126)] = 136199,
  [SMALL_STATE(4127)] = 136212,
  [SMALL_STATE(4128)] = 136225,
  [SMALL_STATE(4129)] = 136234,
  [SMALL_STATE(4130)] = 136245,
  [SMALL_STATE(4131)] = 136254,
  [SMALL_STATE(4132)] = 136267,
  [SMALL_STATE(4133)] = 136276,
  [SMALL_STATE(4134)] = 136289,
  [SMALL_STATE(4135)] = 136298,
  [SMALL_STATE(4136)] = 136311,
  [SMALL_STATE(4137)] = 136324,
  [SMALL_STATE(4138)] = 136335,
  [SMALL_STATE(4139)] = 136348,
  [SMALL_STATE(4140)] = 136361,
  [SMALL_STATE(4141)] = 136374,
  [SMALL_STATE(4142)] = 136383,
  [SMALL_STATE(4143)] = 136396,
  [SMALL_STATE(4144)] = 136409,
  [SMALL_STATE(4145)] = 136422,
  [SMALL_STATE(4146)] = 136435,
  [SMALL_STATE(4147)] = 136446,
  [SMALL_STATE(4148)] = 136455,
  [SMALL_STATE(4149)] = 136468,
  [SMALL_STATE(4150)] = 136481,
  [SMALL_STATE(4151)] = 136490,
  [SMALL_STATE(4152)] = 136501,
  [SMALL_STATE(4153)] = 136514,
  [SMALL_STATE(4154)] = 136527,
  [SMALL_STATE(4155)] = 136540,
  [SMALL_STATE(4156)] = 136553,
  [SMALL_STATE(4157)] = 136566,
  [SMALL_STATE(4158)] = 136579,
  [SMALL_STATE(4159)] = 136588,
  [SMALL_STATE(4160)] = 136601,
  [SMALL_STATE(4161)] = 136614,
  [SMALL_STATE(4162)] = 136627,
  [SMALL_STATE(4163)] = 136640,
  [SMALL_STATE(4164)] = 136653,
  [SMALL_STATE(4165)] = 136666,
  [SMALL_STATE(4166)] = 136675,
  [SMALL_STATE(4167)] = 136686,
  [SMALL_STATE(4168)] = 136699,
  [SMALL_STATE(4169)] = 136710,
  [SMALL_STATE(4170)] = 136723,
  [SMALL_STATE(4171)] = 136736,
  [SMALL_STATE(4172)] = 136749,
  [SMALL_STATE(4173)] = 136762,
  [SMALL_STATE(4174)] = 136775,
  [SMALL_STATE(4175)] = 136788,
  [SMALL_STATE(4176)] = 136801,
  [SMALL_STATE(4177)] = 136814,
  [SMALL_STATE(4178)] = 136823,
  [SMALL_STATE(4179)] = 136834,
  [SMALL_STATE(4180)] = 136847,
  [SMALL_STATE(4181)] = 136856,
  [SMALL_STATE(4182)] = 136869,
  [SMALL_STATE(4183)] = 136878,
  [SMALL_STATE(4184)] = 136889,
  [SMALL_STATE(4185)] = 136902,
  [SMALL_STATE(4186)] = 136911,
  [SMALL_STATE(4187)] = 136924,
  [SMALL_STATE(4188)] = 136933,
  [SMALL_STATE(4189)] = 136946,
  [SMALL_STATE(4190)] = 136955,
  [SMALL_STATE(4191)] = 136968,
  [SMALL_STATE(4192)] = 136977,
  [SMALL_STATE(4193)] = 136986,
  [SMALL_STATE(4194)] = 136995,
  [SMALL_STATE(4195)] = 137004,
  [SMALL_STATE(4196)] = 137017,
  [SMALL_STATE(4197)] = 137026,
  [SMALL_STATE(4198)] = 137035,
  [SMALL_STATE(4199)] = 137044,
  [SMALL_STATE(4200)] = 137057,
  [SMALL_STATE(4201)] = 137066,
  [SMALL_STATE(4202)] = 137075,
  [SMALL_STATE(4203)] = 137084,
  [SMALL_STATE(4204)] = 137093,
  [SMALL_STATE(4205)] = 137102,
  [SMALL_STATE(4206)] = 137111,
  [SMALL_STATE(4207)] = 137120,
  [SMALL_STATE(4208)] = 137133,
  [SMALL_STATE(4209)] = 137142,
  [SMALL_STATE(4210)] = 137151,
  [SMALL_STATE(4211)] = 137164,
  [SMALL_STATE(4212)] = 137173,
  [SMALL_STATE(4213)] = 137186,
  [SMALL_STATE(4214)] = 137199,
  [SMALL_STATE(4215)] = 137212,
  [SMALL_STATE(4216)] = 137225,
  [SMALL_STATE(4217)] = 137238,
  [SMALL_STATE(4218)] = 137247,
  [SMALL_STATE(4219)] = 137256,
  [SMALL_STATE(4220)] = 137269,
  [SMALL_STATE(4221)] = 137278,
  [SMALL_STATE(4222)] = 137289,
  [SMALL_STATE(4223)] = 137302,
  [SMALL_STATE(4224)] = 137315,
  [SMALL_STATE(4225)] = 137328,
  [SMALL_STATE(4226)] = 137341,
  [SMALL_STATE(4227)] = 137354,
  [SMALL_STATE(4228)] = 137367,
  [SMALL_STATE(4229)] = 137380,
  [SMALL_STATE(4230)] = 137393,
  [SMALL_STATE(4231)] = 137406,
  [SMALL_STATE(4232)] = 137419,
  [SMALL_STATE(4233)] = 137430,
  [SMALL_STATE(4234)] = 137443,
  [SMALL_STATE(4235)] = 137456,
  [SMALL_STATE(4236)] = 137469,
  [SMALL_STATE(4237)] = 137482,
  [SMALL_STATE(4238)] = 137495,
  [SMALL_STATE(4239)] = 137508,
  [SMALL_STATE(4240)] = 137521,
  [SMALL_STATE(4241)] = 137534,
  [SMALL_STATE(4242)] = 137545,
  [SMALL_STATE(4243)] = 137554,
  [SMALL_STATE(4244)] = 137563,
  [SMALL_STATE(4245)] = 137576,
  [SMALL_STATE(4246)] = 137585,
  [SMALL_STATE(4247)] = 137598,
  [SMALL_STATE(4248)] = 137611,
  [SMALL_STATE(4249)] = 137624,
  [SMALL_STATE(4250)] = 137633,
  [SMALL_STATE(4251)] = 137642,
  [SMALL_STATE(4252)] = 137651,
  [SMALL_STATE(4253)] = 137664,
  [SMALL_STATE(4254)] = 137677,
  [SMALL_STATE(4255)] = 137690,
  [SMALL_STATE(4256)] = 137703,
  [SMALL_STATE(4257)] = 137716,
  [SMALL_STATE(4258)] = 137725,
  [SMALL_STATE(4259)] = 137738,
  [SMALL_STATE(4260)] = 137751,
  [SMALL_STATE(4261)] = 137762,
  [SMALL_STATE(4262)] = 137771,
  [SMALL_STATE(4263)] = 137780,
  [SMALL_STATE(4264)] = 137793,
  [SMALL_STATE(4265)] = 137802,
  [SMALL_STATE(4266)] = 137815,
  [SMALL_STATE(4267)] = 137828,
  [SMALL_STATE(4268)] = 137839,
  [SMALL_STATE(4269)] = 137847,
  [SMALL_STATE(4270)] = 137857,
  [SMALL_STATE(4271)] = 137865,
  [SMALL_STATE(4272)] = 137875,
  [SMALL_STATE(4273)] = 137885,
  [SMALL_STATE(4274)] = 137895,
  [SMALL_STATE(4275)] = 137905,
  [SMALL_STATE(4276)] = 137915,
  [SMALL_STATE(4277)] = 137925,
  [SMALL_STATE(4278)] = 137933,
  [SMALL_STATE(4279)] = 137943,
  [SMALL_STATE(4280)] = 137951,
  [SMALL_STATE(4281)] = 137959,
  [SMALL_STATE(4282)] = 137969,
  [SMALL_STATE(4283)] = 137979,
  [SMALL_STATE(4284)] = 137989,
  [SMALL_STATE(4285)] = 137997,
  [SMALL_STATE(4286)] = 138005,
  [SMALL_STATE(4287)] = 138013,
  [SMALL_STATE(4288)] = 138023,
  [SMALL_STATE(4289)] = 138033,
  [SMALL_STATE(4290)] = 138041,
  [SMALL_STATE(4291)] = 138051,
  [SMALL_STATE(4292)] = 138061,
  [SMALL_STATE(4293)] = 138069,
  [SMALL_STATE(4294)] = 138079,
  [SMALL_STATE(4295)] = 138089,
  [SMALL_STATE(4296)] = 138099,
  [SMALL_STATE(4297)] = 138109,
  [SMALL_STATE(4298)] = 138119,
  [SMALL_STATE(4299)] = 138129,
  [SMALL_STATE(4300)] = 138139,
  [SMALL_STATE(4301)] = 138149,
  [SMALL_STATE(4302)] = 138157,
  [SMALL_STATE(4303)] = 138167,
  [SMALL_STATE(4304)] = 138175,
  [SMALL_STATE(4305)] = 138185,
  [SMALL_STATE(4306)] = 138193,
  [SMALL_STATE(4307)] = 138201,
  [SMALL_STATE(4308)] = 138211,
  [SMALL_STATE(4309)] = 138221,
  [SMALL_STATE(4310)] = 138231,
  [SMALL_STATE(4311)] = 138241,
  [SMALL_STATE(4312)] = 138249,
  [SMALL_STATE(4313)] = 138257,
  [SMALL_STATE(4314)] = 138265,
  [SMALL_STATE(4315)] = 138273,
  [SMALL_STATE(4316)] = 138283,
  [SMALL_STATE(4317)] = 138293,
  [SMALL_STATE(4318)] = 138301,
  [SMALL_STATE(4319)] = 138311,
  [SMALL_STATE(4320)] = 138319,
  [SMALL_STATE(4321)] = 138329,
  [SMALL_STATE(4322)] = 138339,
  [SMALL_STATE(4323)] = 138349,
  [SMALL_STATE(4324)] = 138359,
  [SMALL_STATE(4325)] = 138369,
  [SMALL_STATE(4326)] = 138379,
  [SMALL_STATE(4327)] = 138389,
  [SMALL_STATE(4328)] = 138397,
  [SMALL_STATE(4329)] = 138405,
  [SMALL_STATE(4330)] = 138415,
  [SMALL_STATE(4331)] = 138423,
  [SMALL_STATE(4332)] = 138433,
  [SMALL_STATE(4333)] = 138441,
  [SMALL_STATE(4334)] = 138451,
  [SMALL_STATE(4335)] = 138459,
  [SMALL_STATE(4336)] = 138467,
  [SMALL_STATE(4337)] = 138475,
  [SMALL_STATE(4338)] = 138485,
  [SMALL_STATE(4339)] = 138495,
  [SMALL_STATE(4340)] = 138503,
  [SMALL_STATE(4341)] = 138511,
  [SMALL_STATE(4342)] = 138519,
  [SMALL_STATE(4343)] = 138527,
  [SMALL_STATE(4344)] = 138537,
  [SMALL_STATE(4345)] = 138545,
  [SMALL_STATE(4346)] = 138553,
  [SMALL_STATE(4347)] = 138563,
  [SMALL_STATE(4348)] = 138573,
  [SMALL_STATE(4349)] = 138583,
  [SMALL_STATE(4350)] = 138593,
  [SMALL_STATE(4351)] = 138603,
  [SMALL_STATE(4352)] = 138613,
  [SMALL_STATE(4353)] = 138623,
  [SMALL_STATE(4354)] = 138631,
  [SMALL_STATE(4355)] = 138641,
  [SMALL_STATE(4356)] = 138651,
  [SMALL_STATE(4357)] = 138661,
  [SMALL_STATE(4358)] = 138671,
  [SMALL_STATE(4359)] = 138681,
  [SMALL_STATE(4360)] = 138689,
  [SMALL_STATE(4361)] = 138699,
  [SMALL_STATE(4362)] = 138709,
  [SMALL_STATE(4363)] = 138719,
  [SMALL_STATE(4364)] = 138727,
  [SMALL_STATE(4365)] = 138737,
  [SMALL_STATE(4366)] = 138747,
  [SMALL_STATE(4367)] = 138755,
  [SMALL_STATE(4368)] = 138765,
  [SMALL_STATE(4369)] = 138775,
  [SMALL_STATE(4370)] = 138785,
  [SMALL_STATE(4371)] = 138795,
  [SMALL_STATE(4372)] = 138805,
  [SMALL_STATE(4373)] = 138815,
  [SMALL_STATE(4374)] = 138825,
  [SMALL_STATE(4375)] = 138835,
  [SMALL_STATE(4376)] = 138845,
  [SMALL_STATE(4377)] = 138853,
  [SMALL_STATE(4378)] = 138861,
  [SMALL_STATE(4379)] = 138871,
  [SMALL_STATE(4380)] = 138881,
  [SMALL_STATE(4381)] = 138889,
  [SMALL_STATE(4382)] = 138897,
  [SMALL_STATE(4383)] = 138907,
  [SMALL_STATE(4384)] = 138917,
  [SMALL_STATE(4385)] = 138927,
  [SMALL_STATE(4386)] = 138937,
  [SMALL_STATE(4387)] = 138945,
  [SMALL_STATE(4388)] = 138953,
  [SMALL_STATE(4389)] = 138963,
  [SMALL_STATE(4390)] = 138973,
  [SMALL_STATE(4391)] = 138983,
  [SMALL_STATE(4392)] = 138993,
  [SMALL_STATE(4393)] = 139003,
  [SMALL_STATE(4394)] = 139013,
  [SMALL_STATE(4395)] = 139021,
  [SMALL_STATE(4396)] = 139031,
  [SMALL_STATE(4397)] = 139039,
  [SMALL_STATE(4398)] = 139049,
  [SMALL_STATE(4399)] = 139057,
  [SMALL_STATE(4400)] = 139065,
  [SMALL_STATE(4401)] = 139073,
  [SMALL_STATE(4402)] = 139083,
  [SMALL_STATE(4403)] = 139093,
  [SMALL_STATE(4404)] = 139101,
  [SMALL_STATE(4405)] = 139111,
  [SMALL_STATE(4406)] = 139121,
  [SMALL_STATE(4407)] = 139131,
  [SMALL_STATE(4408)] = 139141,
  [SMALL_STATE(4409)] = 139149,
  [SMALL_STATE(4410)] = 139159,
  [SMALL_STATE(4411)] = 139167,
  [SMALL_STATE(4412)] = 139177,
  [SMALL_STATE(4413)] = 139187,
  [SMALL_STATE(4414)] = 139197,
  [SMALL_STATE(4415)] = 139205,
  [SMALL_STATE(4416)] = 139215,
  [SMALL_STATE(4417)] = 139223,
  [SMALL_STATE(4418)] = 139233,
  [SMALL_STATE(4419)] = 139241,
  [SMALL_STATE(4420)] = 139249,
  [SMALL_STATE(4421)] = 139259,
  [SMALL_STATE(4422)] = 139269,
  [SMALL_STATE(4423)] = 139279,
  [SMALL_STATE(4424)] = 139289,
  [SMALL_STATE(4425)] = 139299,
  [SMALL_STATE(4426)] = 139307,
  [SMALL_STATE(4427)] = 139317,
  [SMALL_STATE(4428)] = 139327,
  [SMALL_STATE(4429)] = 139337,
  [SMALL_STATE(4430)] = 139347,
  [SMALL_STATE(4431)] = 139355,
  [SMALL_STATE(4432)] = 139363,
  [SMALL_STATE(4433)] = 139373,
  [SMALL_STATE(4434)] = 139381,
  [SMALL_STATE(4435)] = 139391,
  [SMALL_STATE(4436)] = 139399,
  [SMALL_STATE(4437)] = 139409,
  [SMALL_STATE(4438)] = 139419,
  [SMALL_STATE(4439)] = 139429,
  [SMALL_STATE(4440)] = 139439,
  [SMALL_STATE(4441)] = 139447,
  [SMALL_STATE(4442)] = 139457,
  [SMALL_STATE(4443)] = 139467,
  [SMALL_STATE(4444)] = 139477,
  [SMALL_STATE(4445)] = 139487,
  [SMALL_STATE(4446)] = 139495,
  [SMALL_STATE(4447)] = 139505,
  [SMALL_STATE(4448)] = 139513,
  [SMALL_STATE(4449)] = 139523,
  [SMALL_STATE(4450)] = 139533,
  [SMALL_STATE(4451)] = 139543,
  [SMALL_STATE(4452)] = 139553,
  [SMALL_STATE(4453)] = 139563,
  [SMALL_STATE(4454)] = 139573,
  [SMALL_STATE(4455)] = 139583,
  [SMALL_STATE(4456)] = 139593,
  [SMALL_STATE(4457)] = 139601,
  [SMALL_STATE(4458)] = 139609,
  [SMALL_STATE(4459)] = 139619,
  [SMALL_STATE(4460)] = 139629,
  [SMALL_STATE(4461)] = 139639,
  [SMALL_STATE(4462)] = 139649,
  [SMALL_STATE(4463)] = 139659,
  [SMALL_STATE(4464)] = 139667,
  [SMALL_STATE(4465)] = 139677,
  [SMALL_STATE(4466)] = 139687,
  [SMALL_STATE(4467)] = 139697,
  [SMALL_STATE(4468)] = 139707,
  [SMALL_STATE(4469)] = 139717,
  [SMALL_STATE(4470)] = 139727,
  [SMALL_STATE(4471)] = 139737,
  [SMALL_STATE(4472)] = 139747,
  [SMALL_STATE(4473)] = 139757,
  [SMALL_STATE(4474)] = 139767,
  [SMALL_STATE(4475)] = 139777,
  [SMALL_STATE(4476)] = 139787,
  [SMALL_STATE(4477)] = 139797,
  [SMALL_STATE(4478)] = 139807,
  [SMALL_STATE(4479)] = 139817,
  [SMALL_STATE(4480)] = 139827,
  [SMALL_STATE(4481)] = 139837,
  [SMALL_STATE(4482)] = 139847,
  [SMALL_STATE(4483)] = 139855,
  [SMALL_STATE(4484)] = 139865,
  [SMALL_STATE(4485)] = 139875,
  [SMALL_STATE(4486)] = 139885,
  [SMALL_STATE(4487)] = 139895,
  [SMALL_STATE(4488)] = 139905,
  [SMALL_STATE(4489)] = 139913,
  [SMALL_STATE(4490)] = 139921,
  [SMALL_STATE(4491)] = 139931,
  [SMALL_STATE(4492)] = 139941,
  [SMALL_STATE(4493)] = 139951,
  [SMALL_STATE(4494)] = 139961,
  [SMALL_STATE(4495)] = 139971,
  [SMALL_STATE(4496)] = 139979,
  [SMALL_STATE(4497)] = 139987,
  [SMALL_STATE(4498)] = 139997,
  [SMALL_STATE(4499)] = 140007,
  [SMALL_STATE(4500)] = 140017,
  [SMALL_STATE(4501)] = 140027,
  [SMALL_STATE(4502)] = 140037,
  [SMALL_STATE(4503)] = 140047,
  [SMALL_STATE(4504)] = 140057,
  [SMALL_STATE(4505)] = 140067,
  [SMALL_STATE(4506)] = 140077,
  [SMALL_STATE(4507)] = 140087,
  [SMALL_STATE(4508)] = 140095,
  [SMALL_STATE(4509)] = 140105,
  [SMALL_STATE(4510)] = 140115,
  [SMALL_STATE(4511)] = 140125,
  [SMALL_STATE(4512)] = 140135,
  [SMALL_STATE(4513)] = 140145,
  [SMALL_STATE(4514)] = 140155,
  [SMALL_STATE(4515)] = 140165,
  [SMALL_STATE(4516)] = 140175,
  [SMALL_STATE(4517)] = 140183,
  [SMALL_STATE(4518)] = 140191,
  [SMALL_STATE(4519)] = 140201,
  [SMALL_STATE(4520)] = 140211,
  [SMALL_STATE(4521)] = 140221,
  [SMALL_STATE(4522)] = 140231,
  [SMALL_STATE(4523)] = 140241,
  [SMALL_STATE(4524)] = 140251,
  [SMALL_STATE(4525)] = 140259,
  [SMALL_STATE(4526)] = 140269,
  [SMALL_STATE(4527)] = 140277,
  [SMALL_STATE(4528)] = 140287,
  [SMALL_STATE(4529)] = 140297,
  [SMALL_STATE(4530)] = 140307,
  [SMALL_STATE(4531)] = 140315,
  [SMALL_STATE(4532)] = 140323,
  [SMALL_STATE(4533)] = 140333,
  [SMALL_STATE(4534)] = 140341,
  [SMALL_STATE(4535)] = 140349,
  [SMALL_STATE(4536)] = 140357,
  [SMALL_STATE(4537)] = 140365,
  [SMALL_STATE(4538)] = 140373,
  [SMALL_STATE(4539)] = 140383,
  [SMALL_STATE(4540)] = 140393,
  [SMALL_STATE(4541)] = 140401,
  [SMALL_STATE(4542)] = 140409,
  [SMALL_STATE(4543)] = 140419,
  [SMALL_STATE(4544)] = 140427,
  [SMALL_STATE(4545)] = 140435,
  [SMALL_STATE(4546)] = 140445,
  [SMALL_STATE(4547)] = 140455,
  [SMALL_STATE(4548)] = 140463,
  [SMALL_STATE(4549)] = 140473,
  [SMALL_STATE(4550)] = 140481,
  [SMALL_STATE(4551)] = 140489,
  [SMALL_STATE(4552)] = 140499,
  [SMALL_STATE(4553)] = 140509,
  [SMALL_STATE(4554)] = 140519,
  [SMALL_STATE(4555)] = 140529,
  [SMALL_STATE(4556)] = 140539,
  [SMALL_STATE(4557)] = 140547,
  [SMALL_STATE(4558)] = 140557,
  [SMALL_STATE(4559)] = 140567,
  [SMALL_STATE(4560)] = 140577,
  [SMALL_STATE(4561)] = 140587,
  [SMALL_STATE(4562)] = 140597,
  [SMALL_STATE(4563)] = 140607,
  [SMALL_STATE(4564)] = 140617,
  [SMALL_STATE(4565)] = 140627,
  [SMALL_STATE(4566)] = 140637,
  [SMALL_STATE(4567)] = 140647,
  [SMALL_STATE(4568)] = 140655,
  [SMALL_STATE(4569)] = 140663,
  [SMALL_STATE(4570)] = 140673,
  [SMALL_STATE(4571)] = 140683,
  [SMALL_STATE(4572)] = 140693,
  [SMALL_STATE(4573)] = 140703,
  [SMALL_STATE(4574)] = 140713,
  [SMALL_STATE(4575)] = 140723,
  [SMALL_STATE(4576)] = 140733,
  [SMALL_STATE(4577)] = 140743,
  [SMALL_STATE(4578)] = 140753,
  [SMALL_STATE(4579)] = 140763,
  [SMALL_STATE(4580)] = 140771,
  [SMALL_STATE(4581)] = 140781,
  [SMALL_STATE(4582)] = 140789,
  [SMALL_STATE(4583)] = 140799,
  [SMALL_STATE(4584)] = 140809,
  [SMALL_STATE(4585)] = 140819,
  [SMALL_STATE(4586)] = 140827,
  [SMALL_STATE(4587)] = 140837,
  [SMALL_STATE(4588)] = 140847,
  [SMALL_STATE(4589)] = 140855,
  [SMALL_STATE(4590)] = 140865,
  [SMALL_STATE(4591)] = 140873,
  [SMALL_STATE(4592)] = 140881,
  [SMALL_STATE(4593)] = 140891,
  [SMALL_STATE(4594)] = 140901,
  [SMALL_STATE(4595)] = 140911,
  [SMALL_STATE(4596)] = 140921,
  [SMALL_STATE(4597)] = 140931,
  [SMALL_STATE(4598)] = 140939,
  [SMALL_STATE(4599)] = 140947,
  [SMALL_STATE(4600)] = 140957,
  [SMALL_STATE(4601)] = 140967,
  [SMALL_STATE(4602)] = 140975,
  [SMALL_STATE(4603)] = 140985,
  [SMALL_STATE(4604)] = 140993,
  [SMALL_STATE(4605)] = 141003,
  [SMALL_STATE(4606)] = 141011,
  [SMALL_STATE(4607)] = 141019,
  [SMALL_STATE(4608)] = 141027,
  [SMALL_STATE(4609)] = 141037,
  [SMALL_STATE(4610)] = 141045,
  [SMALL_STATE(4611)] = 141055,
  [SMALL_STATE(4612)] = 141065,
  [SMALL_STATE(4613)] = 141073,
  [SMALL_STATE(4614)] = 141081,
  [SMALL_STATE(4615)] = 141091,
  [SMALL_STATE(4616)] = 141101,
  [SMALL_STATE(4617)] = 141111,
  [SMALL_STATE(4618)] = 141121,
  [SMALL_STATE(4619)] = 141131,
  [SMALL_STATE(4620)] = 141141,
  [SMALL_STATE(4621)] = 141151,
  [SMALL_STATE(4622)] = 141161,
  [SMALL_STATE(4623)] = 141171,
  [SMALL_STATE(4624)] = 141181,
  [SMALL_STATE(4625)] = 141188,
  [SMALL_STATE(4626)] = 141195,
  [SMALL_STATE(4627)] = 141202,
  [SMALL_STATE(4628)] = 141209,
  [SMALL_STATE(4629)] = 141216,
  [SMALL_STATE(4630)] = 141223,
  [SMALL_STATE(4631)] = 141230,
  [SMALL_STATE(4632)] = 141237,
  [SMALL_STATE(4633)] = 141244,
  [SMALL_STATE(4634)] = 141251,
  [SMALL_STATE(4635)] = 141258,
  [SMALL_STATE(4636)] = 141265,
  [SMALL_STATE(4637)] = 141272,
  [SMALL_STATE(4638)] = 141279,
  [SMALL_STATE(4639)] = 141286,
  [SMALL_STATE(4640)] = 141293,
  [SMALL_STATE(4641)] = 141300,
  [SMALL_STATE(4642)] = 141307,
  [SMALL_STATE(4643)] = 141314,
  [SMALL_STATE(4644)] = 141321,
  [SMALL_STATE(4645)] = 141328,
  [SMALL_STATE(4646)] = 141335,
  [SMALL_STATE(4647)] = 141342,
  [SMALL_STATE(4648)] = 141349,
  [SMALL_STATE(4649)] = 141356,
  [SMALL_STATE(4650)] = 141363,
  [SMALL_STATE(4651)] = 141370,
  [SMALL_STATE(4652)] = 141377,
  [SMALL_STATE(4653)] = 141384,
  [SMALL_STATE(4654)] = 141391,
  [SMALL_STATE(4655)] = 141398,
  [SMALL_STATE(4656)] = 141405,
  [SMALL_STATE(4657)] = 141412,
  [SMALL_STATE(4658)] = 141419,
  [SMALL_STATE(4659)] = 141426,
  [SMALL_STATE(4660)] = 141433,
  [SMALL_STATE(4661)] = 141440,
  [SMALL_STATE(4662)] = 141447,
  [SMALL_STATE(4663)] = 141454,
  [SMALL_STATE(4664)] = 141461,
  [SMALL_STATE(4665)] = 141468,
  [SMALL_STATE(4666)] = 141475,
  [SMALL_STATE(4667)] = 141482,
  [SMALL_STATE(4668)] = 141489,
  [SMALL_STATE(4669)] = 141496,
  [SMALL_STATE(4670)] = 141503,
  [SMALL_STATE(4671)] = 141510,
  [SMALL_STATE(4672)] = 141517,
  [SMALL_STATE(4673)] = 141524,
  [SMALL_STATE(4674)] = 141531,
  [SMALL_STATE(4675)] = 141538,
  [SMALL_STATE(4676)] = 141545,
  [SMALL_STATE(4677)] = 141552,
  [SMALL_STATE(4678)] = 141559,
  [SMALL_STATE(4679)] = 141566,
  [SMALL_STATE(4680)] = 141573,
  [SMALL_STATE(4681)] = 141580,
  [SMALL_STATE(4682)] = 141587,
  [SMALL_STATE(4683)] = 141594,
  [SMALL_STATE(4684)] = 141601,
  [SMALL_STATE(4685)] = 141608,
  [SMALL_STATE(4686)] = 141615,
  [SMALL_STATE(4687)] = 141622,
  [SMALL_STATE(4688)] = 141629,
  [SMALL_STATE(4689)] = 141636,
  [SMALL_STATE(4690)] = 141643,
  [SMALL_STATE(4691)] = 141650,
  [SMALL_STATE(4692)] = 141657,
  [SMALL_STATE(4693)] = 141664,
  [SMALL_STATE(4694)] = 141671,
  [SMALL_STATE(4695)] = 141678,
  [SMALL_STATE(4696)] = 141685,
  [SMALL_STATE(4697)] = 141692,
  [SMALL_STATE(4698)] = 141699,
  [SMALL_STATE(4699)] = 141706,
  [SMALL_STATE(4700)] = 141713,
  [SMALL_STATE(4701)] = 141720,
  [SMALL_STATE(4702)] = 141727,
  [SMALL_STATE(4703)] = 141734,
  [SMALL_STATE(4704)] = 141741,
  [SMALL_STATE(4705)] = 141748,
  [SMALL_STATE(4706)] = 141755,
  [SMALL_STATE(4707)] = 141762,
  [SMALL_STATE(4708)] = 141769,
  [SMALL_STATE(4709)] = 141776,
  [SMALL_STATE(4710)] = 141783,
  [SMALL_STATE(4711)] = 141790,
  [SMALL_STATE(4712)] = 141797,
  [SMALL_STATE(4713)] = 141804,
  [SMALL_STATE(4714)] = 141811,
  [SMALL_STATE(4715)] = 141818,
  [SMALL_STATE(4716)] = 141825,
  [SMALL_STATE(4717)] = 141832,
  [SMALL_STATE(4718)] = 141839,
  [SMALL_STATE(4719)] = 141846,
  [SMALL_STATE(4720)] = 141853,
  [SMALL_STATE(4721)] = 141860,
  [SMALL_STATE(4722)] = 141867,
  [SMALL_STATE(4723)] = 141874,
  [SMALL_STATE(4724)] = 141881,
  [SMALL_STATE(4725)] = 141888,
  [SMALL_STATE(4726)] = 141895,
  [SMALL_STATE(4727)] = 141902,
  [SMALL_STATE(4728)] = 141909,
  [SMALL_STATE(4729)] = 141916,
  [SMALL_STATE(4730)] = 141923,
  [SMALL_STATE(4731)] = 141930,
  [SMALL_STATE(4732)] = 141937,
  [SMALL_STATE(4733)] = 141944,
  [SMALL_STATE(4734)] = 141951,
  [SMALL_STATE(4735)] = 141958,
  [SMALL_STATE(4736)] = 141965,
  [SMALL_STATE(4737)] = 141972,
  [SMALL_STATE(4738)] = 141979,
  [SMALL_STATE(4739)] = 141986,
  [SMALL_STATE(4740)] = 141993,
  [SMALL_STATE(4741)] = 142000,
  [SMALL_STATE(4742)] = 142007,
  [SMALL_STATE(4743)] = 142014,
  [SMALL_STATE(4744)] = 142021,
  [SMALL_STATE(4745)] = 142028,
  [SMALL_STATE(4746)] = 142035,
  [SMALL_STATE(4747)] = 142042,
  [SMALL_STATE(4748)] = 142049,
  [SMALL_STATE(4749)] = 142056,
  [SMALL_STATE(4750)] = 142063,
  [SMALL_STATE(4751)] = 142070,
  [SMALL_STATE(4752)] = 142077,
  [SMALL_STATE(4753)] = 142084,
  [SMALL_STATE(4754)] = 142091,
  [SMALL_STATE(4755)] = 142098,
  [SMALL_STATE(4756)] = 142105,
  [SMALL_STATE(4757)] = 142112,
  [SMALL_STATE(4758)] = 142119,
  [SMALL_STATE(4759)] = 142126,
  [SMALL_STATE(4760)] = 142133,
  [SMALL_STATE(4761)] = 142140,
  [SMALL_STATE(4762)] = 142147,
  [SMALL_STATE(4763)] = 142154,
  [SMALL_STATE(4764)] = 142161,
  [SMALL_STATE(4765)] = 142168,
  [SMALL_STATE(4766)] = 142175,
  [SMALL_STATE(4767)] = 142182,
  [SMALL_STATE(4768)] = 142189,
  [SMALL_STATE(4769)] = 142196,
  [SMALL_STATE(4770)] = 142203,
  [SMALL_STATE(4771)] = 142210,
  [SMALL_STATE(4772)] = 142217,
  [SMALL_STATE(4773)] = 142224,
  [SMALL_STATE(4774)] = 142231,
  [SMALL_STATE(4775)] = 142238,
  [SMALL_STATE(4776)] = 142245,
  [SMALL_STATE(4777)] = 142252,
  [SMALL_STATE(4778)] = 142259,
  [SMALL_STATE(4779)] = 142266,
  [SMALL_STATE(4780)] = 142273,
  [SMALL_STATE(4781)] = 142280,
  [SMALL_STATE(4782)] = 142287,
  [SMALL_STATE(4783)] = 142294,
  [SMALL_STATE(4784)] = 142301,
  [SMALL_STATE(4785)] = 142308,
  [SMALL_STATE(4786)] = 142315,
  [SMALL_STATE(4787)] = 142322,
  [SMALL_STATE(4788)] = 142329,
  [SMALL_STATE(4789)] = 142336,
  [SMALL_STATE(4790)] = 142343,
  [SMALL_STATE(4791)] = 142350,
  [SMALL_STATE(4792)] = 142357,
  [SMALL_STATE(4793)] = 142364,
  [SMALL_STATE(4794)] = 142371,
  [SMALL_STATE(4795)] = 142378,
  [SMALL_STATE(4796)] = 142385,
  [SMALL_STATE(4797)] = 142392,
  [SMALL_STATE(4798)] = 142399,
  [SMALL_STATE(4799)] = 142406,
  [SMALL_STATE(4800)] = 142413,
  [SMALL_STATE(4801)] = 142420,
  [SMALL_STATE(4802)] = 142427,
  [SMALL_STATE(4803)] = 142434,
  [SMALL_STATE(4804)] = 142441,
  [SMALL_STATE(4805)] = 142448,
  [SMALL_STATE(4806)] = 142455,
  [SMALL_STATE(4807)] = 142462,
  [SMALL_STATE(4808)] = 142469,
  [SMALL_STATE(4809)] = 142476,
  [SMALL_STATE(4810)] = 142483,
  [SMALL_STATE(4811)] = 142490,
  [SMALL_STATE(4812)] = 142497,
  [SMALL_STATE(4813)] = 142504,
  [SMALL_STATE(4814)] = 142511,
  [SMALL_STATE(4815)] = 142518,
  [SMALL_STATE(4816)] = 142525,
  [SMALL_STATE(4817)] = 142532,
  [SMALL_STATE(4818)] = 142539,
  [SMALL_STATE(4819)] = 142546,
  [SMALL_STATE(4820)] = 142553,
  [SMALL_STATE(4821)] = 142560,
  [SMALL_STATE(4822)] = 142567,
  [SMALL_STATE(4823)] = 142574,
  [SMALL_STATE(4824)] = 142581,
  [SMALL_STATE(4825)] = 142588,
  [SMALL_STATE(4826)] = 142595,
  [SMALL_STATE(4827)] = 142602,
  [SMALL_STATE(4828)] = 142609,
  [SMALL_STATE(4829)] = 142616,
  [SMALL_STATE(4830)] = 142623,
  [SMALL_STATE(4831)] = 142630,
  [SMALL_STATE(4832)] = 142637,
  [SMALL_STATE(4833)] = 142644,
  [SMALL_STATE(4834)] = 142651,
  [SMALL_STATE(4835)] = 142658,
  [SMALL_STATE(4836)] = 142665,
  [SMALL_STATE(4837)] = 142672,
  [SMALL_STATE(4838)] = 142679,
  [SMALL_STATE(4839)] = 142686,
  [SMALL_STATE(4840)] = 142693,
  [SMALL_STATE(4841)] = 142700,
  [SMALL_STATE(4842)] = 142707,
  [SMALL_STATE(4843)] = 142714,
  [SMALL_STATE(4844)] = 142721,
  [SMALL_STATE(4845)] = 142728,
  [SMALL_STATE(4846)] = 142735,
  [SMALL_STATE(4847)] = 142742,
  [SMALL_STATE(4848)] = 142749,
  [SMALL_STATE(4849)] = 142756,
  [SMALL_STATE(4850)] = 142763,
  [SMALL_STATE(4851)] = 142770,
  [SMALL_STATE(4852)] = 142777,
  [SMALL_STATE(4853)] = 142784,
  [SMALL_STATE(4854)] = 142791,
  [SMALL_STATE(4855)] = 142798,
  [SMALL_STATE(4856)] = 142805,
  [SMALL_STATE(4857)] = 142812,
  [SMALL_STATE(4858)] = 142819,
  [SMALL_STATE(4859)] = 142826,
  [SMALL_STATE(4860)] = 142833,
  [SMALL_STATE(4861)] = 142840,
  [SMALL_STATE(4862)] = 142847,
  [SMALL_STATE(4863)] = 142854,
  [SMALL_STATE(4864)] = 142861,
  [SMALL_STATE(4865)] = 142868,
  [SMALL_STATE(4866)] = 142875,
  [SMALL_STATE(4867)] = 142882,
  [SMALL_STATE(4868)] = 142889,
  [SMALL_STATE(4869)] = 142896,
  [SMALL_STATE(4870)] = 142903,
  [SMALL_STATE(4871)] = 142910,
  [SMALL_STATE(4872)] = 142917,
  [SMALL_STATE(4873)] = 142924,
  [SMALL_STATE(4874)] = 142931,
  [SMALL_STATE(4875)] = 142938,
  [SMALL_STATE(4876)] = 142945,
  [SMALL_STATE(4877)] = 142952,
  [SMALL_STATE(4878)] = 142959,
  [SMALL_STATE(4879)] = 142966,
  [SMALL_STATE(4880)] = 142973,
  [SMALL_STATE(4881)] = 142980,
  [SMALL_STATE(4882)] = 142987,
  [SMALL_STATE(4883)] = 142994,
  [SMALL_STATE(4884)] = 143001,
  [SMALL_STATE(4885)] = 143008,
  [SMALL_STATE(4886)] = 143015,
  [SMALL_STATE(4887)] = 143022,
  [SMALL_STATE(4888)] = 143029,
  [SMALL_STATE(4889)] = 143036,
  [SMALL_STATE(4890)] = 143043,
  [SMALL_STATE(4891)] = 143050,
  [SMALL_STATE(4892)] = 143057,
  [SMALL_STATE(4893)] = 143064,
  [SMALL_STATE(4894)] = 143071,
  [SMALL_STATE(4895)] = 143078,
  [SMALL_STATE(4896)] = 143085,
  [SMALL_STATE(4897)] = 143092,
  [SMALL_STATE(4898)] = 143099,
  [SMALL_STATE(4899)] = 143106,
  [SMALL_STATE(4900)] = 143113,
  [SMALL_STATE(4901)] = 143120,
  [SMALL_STATE(4902)] = 143127,
  [SMALL_STATE(4903)] = 143134,
  [SMALL_STATE(4904)] = 143141,
  [SMALL_STATE(4905)] = 143148,
  [SMALL_STATE(4906)] = 143155,
  [SMALL_STATE(4907)] = 143162,
  [SMALL_STATE(4908)] = 143169,
  [SMALL_STATE(4909)] = 143176,
  [SMALL_STATE(4910)] = 143183,
  [SMALL_STATE(4911)] = 143190,
  [SMALL_STATE(4912)] = 143197,
  [SMALL_STATE(4913)] = 143204,
  [SMALL_STATE(4914)] = 143211,
  [SMALL_STATE(4915)] = 143218,
  [SMALL_STATE(4916)] = 143225,
  [SMALL_STATE(4917)] = 143232,
  [SMALL_STATE(4918)] = 143239,
  [SMALL_STATE(4919)] = 143246,
  [SMALL_STATE(4920)] = 143253,
  [SMALL_STATE(4921)] = 143260,
  [SMALL_STATE(4922)] = 143267,
  [SMALL_STATE(4923)] = 143274,
  [SMALL_STATE(4924)] = 143281,
  [SMALL_STATE(4925)] = 143288,
  [SMALL_STATE(4926)] = 143295,
  [SMALL_STATE(4927)] = 143302,
  [SMALL_STATE(4928)] = 143309,
  [SMALL_STATE(4929)] = 143316,
  [SMALL_STATE(4930)] = 143323,
  [SMALL_STATE(4931)] = 143330,
  [SMALL_STATE(4932)] = 143337,
  [SMALL_STATE(4933)] = 143344,
  [SMALL_STATE(4934)] = 143351,
  [SMALL_STATE(4935)] = 143358,
  [SMALL_STATE(4936)] = 143365,
  [SMALL_STATE(4937)] = 143372,
  [SMALL_STATE(4938)] = 143379,
  [SMALL_STATE(4939)] = 143386,
  [SMALL_STATE(4940)] = 143393,
  [SMALL_STATE(4941)] = 143400,
  [SMALL_STATE(4942)] = 143407,
  [SMALL_STATE(4943)] = 143414,
  [SMALL_STATE(4944)] = 143421,
  [SMALL_STATE(4945)] = 143428,
  [SMALL_STATE(4946)] = 143435,
  [SMALL_STATE(4947)] = 143442,
  [SMALL_STATE(4948)] = 143449,
  [SMALL_STATE(4949)] = 143456,
  [SMALL_STATE(4950)] = 143463,
  [SMALL_STATE(4951)] = 143470,
  [SMALL_STATE(4952)] = 143477,
  [SMALL_STATE(4953)] = 143484,
  [SMALL_STATE(4954)] = 143491,
  [SMALL_STATE(4955)] = 143498,
  [SMALL_STATE(4956)] = 143505,
  [SMALL_STATE(4957)] = 143512,
  [SMALL_STATE(4958)] = 143519,
  [SMALL_STATE(4959)] = 143526,
  [SMALL_STATE(4960)] = 143533,
  [SMALL_STATE(4961)] = 143540,
  [SMALL_STATE(4962)] = 143547,
  [SMALL_STATE(4963)] = 143554,
  [SMALL_STATE(4964)] = 143561,
  [SMALL_STATE(4965)] = 143568,
  [SMALL_STATE(4966)] = 143575,
  [SMALL_STATE(4967)] = 143582,
  [SMALL_STATE(4968)] = 143589,
  [SMALL_STATE(4969)] = 143596,
  [SMALL_STATE(4970)] = 143603,
  [SMALL_STATE(4971)] = 143610,
  [SMALL_STATE(4972)] = 143617,
  [SMALL_STATE(4973)] = 143624,
  [SMALL_STATE(4974)] = 143631,
  [SMALL_STATE(4975)] = 143638,
  [SMALL_STATE(4976)] = 143645,
  [SMALL_STATE(4977)] = 143652,
  [SMALL_STATE(4978)] = 143659,
  [SMALL_STATE(4979)] = 143666,
  [SMALL_STATE(4980)] = 143673,
  [SMALL_STATE(4981)] = 143680,
  [SMALL_STATE(4982)] = 143687,
  [SMALL_STATE(4983)] = 143694,
  [SMALL_STATE(4984)] = 143701,
  [SMALL_STATE(4985)] = 143708,
  [SMALL_STATE(4986)] = 143715,
  [SMALL_STATE(4987)] = 143722,
  [SMALL_STATE(4988)] = 143729,
  [SMALL_STATE(4989)] = 143736,
  [SMALL_STATE(4990)] = 143743,
  [SMALL_STATE(4991)] = 143750,
  [SMALL_STATE(4992)] = 143757,
  [SMALL_STATE(4993)] = 143764,
  [SMALL_STATE(4994)] = 143771,
  [SMALL_STATE(4995)] = 143778,
  [SMALL_STATE(4996)] = 143785,
  [SMALL_STATE(4997)] = 143792,
  [SMALL_STATE(4998)] = 143799,
  [SMALL_STATE(4999)] = 143806,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4994),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [23] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 10), SHIFT(391),
  [26] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 10),
  [28] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [30] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [32] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 10),
  [34] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [36] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [38] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(569),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [51] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(4844),
  [54] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [56] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [58] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [60] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [62] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10),
  [64] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [66] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 10),
  [68] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [70] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [72] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [74] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [76] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [78] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [80] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [82] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(425),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4784),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 10), SHIFT(354),
  [122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 10),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3345),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4273),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4407),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4275),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4276),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4052),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4896),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 258),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, .production_id = 258),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 87),
  [357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, .production_id = 87),
  [359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 49),
  [361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, .production_id = 49),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1240),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(612),
  [369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1222),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1104),
  [377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(7),
  [380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(558),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1377),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1239),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3345),
  [394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3329),
  [397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3221),
  [400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(558),
  [403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4273),
  [406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4407),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4051),
  [412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(139),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(556),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4429),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(53),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4275),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4276),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4052),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4053),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4430),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(232),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(308),
  [445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(700),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(101),
  [451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(192),
  [454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(953),
  [457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4896),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3107),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(640),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3327),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(307),
  [472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(546),
  [475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3890),
  [478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3853),
  [481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(3381),
  [484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(2086),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(2086),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(2038),
  [493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4030),
  [496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(630),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(1098),
  [502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4808),
  [505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4806),
  [508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(4805),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3228),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4347),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4372),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4303),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4821),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4406),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4844),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(136),
  [716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(183),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(953),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(3487),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 10),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4738),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4641),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4646),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4647),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2815),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10), REDUCE(sym_rest_pattern, 2, .production_id = 48),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, .production_id = 48),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3421),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, .production_id = 15),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, .production_id = 15),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4825),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 156),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 156),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 156),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 156),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 209),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 209),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 209),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 209),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 141),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 141),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 141),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 141),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 142),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 142),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 142),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 142),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 52),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 52),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 52),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 52),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 153),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 153),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 153),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 153),
  [1574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, .production_id = 30),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, .production_id = 30),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 246),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, .production_id = 246),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 246),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, .production_id = 246),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, .production_id = 65),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, .production_id = 65),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 86),
  [1640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 86),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 86),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 86),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 202),
  [1668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 202),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 202),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 202),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 104),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, .production_id = 104),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 104),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, .production_id = 104),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 104),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 104),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 104),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 104),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 208),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 208),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 208),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 208),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1),
  [1730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessibility_modifier, 1),
  [1760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [1763] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(3056),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [1777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1),
  [1779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_modifier, 1),
  [1781] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(2842),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [1809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [1997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(2537),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [2004] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10), REDUCE(sym__property_name, 1, .production_id = 21), SHIFT(168),
  [2008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 21), SHIFT(47),
  [2011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(485),
  [2014] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 10), REDUCE(sym__property_name, 1, .production_id = 21), SHIFT(4382),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 21),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4696),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [2064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10), REDUCE(sym__property_name, 1, .production_id = 21),
  [2067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 10), REDUCE(sym__property_name, 1, .production_id = 21),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2),
  [2146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2),
  [2148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3),
  [2150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [2166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6),
  [2170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5),
  [2172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5),
  [2174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4),
  [2176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [2188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(168),
  [2191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(4382),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, .production_id = 48),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(4988),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4923),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [2261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(4814),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4642),
  [2268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 10), SHIFT(413),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [2273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(309),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [2286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 34),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 34),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4048),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4423),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4729),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4728),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4875),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [2304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 10), SHIFT(4873),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [2311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 74),
  [2313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 74),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [2317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 259),
  [2319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 259),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 34),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 34),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [2329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 282),
  [2331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 282),
  [2333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [2335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [2337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 68),
  [2339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 68),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [2343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [2345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [2347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 86),
  [2349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 86),
  [2351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, .production_id = 14),
  [2353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, .production_id = 14),
  [2355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [2359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [2363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 281),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 281),
  [2367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 246),
  [2369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 246),
  [2371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 255),
  [2373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 255),
  [2375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 162),
  [2377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 162),
  [2379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, .production_id = 280),
  [2381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, .production_id = 280),
  [2383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 277),
  [2385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 277),
  [2387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 176),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 176),
  [2391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 104),
  [2393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 104),
  [2395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 104),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 104),
  [2399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 125),
  [2401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 125),
  [2403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, .production_id = 30),
  [2405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, .production_id = 30),
  [2407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 119),
  [2409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 119),
  [2411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3),
  [2415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 11),
  [2417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 11),
  [2419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2),
  [2421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2),
  [2423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 133),
  [2425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 133),
  [2427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 34),
  [2429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 34),
  [2431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 123),
  [2433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 123),
  [2435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 257),
  [2437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 257),
  [2439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 256),
  [2441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 256),
  [2443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [2445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [2447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 209),
  [2449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 209),
  [2451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 126),
  [2453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 126),
  [2455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 208),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 208),
  [2459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 255),
  [2461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 255),
  [2463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [2465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [2467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 162),
  [2469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 162),
  [2471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 86),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 86),
  [2475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 14),
  [2477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 14),
  [2479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 253),
  [2481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 253),
  [2483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3),
  [2487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 169),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 169),
  [2491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 202),
  [2493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 202),
  [2495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 251),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 251),
  [2499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 156),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 156),
  [2503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 248),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 248),
  [2507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 170),
  [2509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 170),
  [2511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4),
  [2513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4),
  [2515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 172),
  [2517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 172),
  [2519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 173),
  [2521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 173),
  [2523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4),
  [2525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4),
  [2527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [2529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [2531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [2533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [2535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 122),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 122),
  [2539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 122),
  [2541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 122),
  [2543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 169),
  [2545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 169),
  [2547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [2549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [2551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 121),
  [2553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 121),
  [2555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 120),
  [2557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 120),
  [2559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 226),
  [2561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 226),
  [2563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 153),
  [2565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 153),
  [2567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 225),
  [2569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 225),
  [2571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [2573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [2575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 202),
  [2577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 202),
  [2579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 222),
  [2581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 222),
  [2583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 221),
  [2585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 221),
  [2587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, .production_id = 220),
  [2589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, .production_id = 220),
  [2591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 142),
  [2593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 142),
  [2595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 141),
  [2597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 141),
  [2599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 219),
  [2601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 219),
  [2603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5),
  [2605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5),
  [2607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 215),
  [2609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 215),
  [2611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 218),
  [2613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 218),
  [2615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [2617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [2619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5),
  [2621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5),
  [2623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 215),
  [2625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 215),
  [2627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 67),
  [2629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 67),
  [2631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 69),
  [2633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 69),
  [2635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 75),
  [2637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 75),
  [2639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 76),
  [2641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 76),
  [2643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 119),
  [2645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 119),
  [2647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 175),
  [2649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 175),
  [2651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [2653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 52),
  [2657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 52),
  [2659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 117),
  [2661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 117),
  [2663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [2665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [2667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [2669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [2671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 182),
  [2673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 182),
  [2675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 118),
  [2677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 118),
  [2679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [2683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 142),
  [2685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 142),
  [2687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 141),
  [2689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 141),
  [2691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [2695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 178),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 178),
  [2699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [2701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [2703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 177),
  [2705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 177),
  [2707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 249),
  [2709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 249),
  [2711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [2713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 250),
  [2717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 250),
  [2719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 127),
  [2721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 127),
  [2723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, .production_id = 297),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, .production_id = 297),
  [2727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 276),
  [2729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, .production_id = 276),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4656),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [2957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [2959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [2961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [2973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4975),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4862),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3839),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3295),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4980),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [3098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [3124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4967),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4833),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [3162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4942),
  [3178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [3186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [3206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [3212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [3214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [3216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [3218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [3220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [3222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [3234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [3236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [3238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4107),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 44),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 44),
  [3244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 44), SHIFT_REPEAT(3988),
  [3247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 44), SHIFT(3096),
  [3250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4752),
  [3258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 95),
  [3260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 95),
  [3262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [3266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [3268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 21),
  [3271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 21),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [3278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 95),
  [3280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 95),
  [3282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 96),
  [3284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 96),
  [3286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 151),
  [3288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 151),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [3292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [3294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [3298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [3300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 19),
  [3302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 19),
  [3304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [3306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [3308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 207),
  [3310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 207),
  [3312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 41),
  [3314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 41),
  [3316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [3358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(364),
  [3361] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 35),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [3367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 35),
  [3370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(975),
  [3373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(4858),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [3378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 35),
  [3381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 35), SHIFT(4350),
  [3384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 35),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [3392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [3402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2),
  [3404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [3414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1013),
  [3417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(4952),
  [3420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10), REDUCE(sym_predefined_type, 1),
  [3423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 10), REDUCE(sym_predefined_type, 1),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(366),
  [3433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [3435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 35),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [3444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [3448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [3455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(4971),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3506] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 35), REDUCE(sym_rest_pattern, 2),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3514] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 10), REDUCE(sym_predefined_type, 1), REDUCE(sym_rest_pattern, 2, .production_id = 48),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(310),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [3533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(424),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [3542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [3559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [3563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [3565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [3569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [3571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [3573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [3577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [3581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [3585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [3587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [3591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [3597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [3601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [3605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [3607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [3609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [3611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [3613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3167),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [3617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [3621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [3623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [3625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [3627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [3633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [3637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [3639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [3641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [3643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3175),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [3651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [3653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [3655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [3657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3922),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [3689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2), SHIFT_REPEAT(3771),
  [3692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2), SHIFT_REPEAT(3639),
  [3695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2), SHIFT_REPEAT(3922),
  [3698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2),
  [3700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2), SHIFT_REPEAT(3274),
  [3703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2), SHIFT_REPEAT(3469),
  [3706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2), SHIFT_REPEAT(4291),
  [3709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2), SHIFT_REPEAT(4272),
  [3712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2), SHIFT_REPEAT(3157),
  [3715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2), SHIFT_REPEAT(3095),
  [3718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2), SHIFT_REPEAT(3461),
  [3721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2), SHIFT_REPEAT(2747),
  [3724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2), SHIFT_REPEAT(3448),
  [3727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2), SHIFT_REPEAT(4936),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [3744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [3756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 21), SHIFT(1352),
  [3759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 21), SHIFT(2323),
  [3762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 21),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [3766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 21), SHIFT(1712),
  [3769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 21), SHIFT(1795),
  [3772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 21), SHIFT(2266),
  [3775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 21), SHIFT(1636),
  [3778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 21), SHIFT(2013),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [3819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3057),
  [3822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2524),
  [3825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [3827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(289),
  [3830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1462),
  [3833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(4654),
  [3836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3945),
  [3839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3939),
  [3842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2906),
  [3845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(4210),
  [3848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1414),
  [3851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1413),
  [3854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1506),
  [3857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1400),
  [3860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1460),
  [3863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1550),
  [3866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2457),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4675),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [3883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3921] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 21), REDUCE(aux_sym_object_repeat1, 2, .production_id = 66), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 47),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [3959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 35),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3669),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [4101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1),
  [4103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [4109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [4111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 37),
  [4113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 37),
  [4115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 39),
  [4117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 39),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3941),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [4147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 78),
  [4149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 78),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [4157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 79),
  [4159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 79),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [4175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [4185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 238),
  [4187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 238),
  [4189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 193),
  [4191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 193),
  [4193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 268),
  [4195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 268),
  [4197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 267),
  [4199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 267),
  [4201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 192),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 192),
  [4205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 207),
  [4207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 207),
  [4209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, .production_id = 291),
  [4211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, .production_id = 291),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [4217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 96),
  [4219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 96),
  [4221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 239),
  [4223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 239),
  [4225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 151),
  [4227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 151),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [4231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 95),
  [4233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 95),
  [4235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3),
  [4237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 237),
  [4243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 237),
  [4245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 195),
  [4247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 195),
  [4249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 196),
  [4251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 196),
  [4253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 81),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 81),
  [4257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 91),
  [4259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 91),
  [4261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 197),
  [4263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 197),
  [4265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 241),
  [4267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 241),
  [4269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2),
  [4271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2),
  [4273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, .production_id = 270),
  [4275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, .production_id = 270),
  [4277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3),
  [4279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3),
  [4281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3),
  [4283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3),
  [4285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 240),
  [4287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 240),
  [4289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 194),
  [4291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 194),
  [4293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, .production_id = 31),
  [4295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, .production_id = 31),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [4299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3),
  [4301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3),
  [4303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 41),
  [4305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 41),
  [4307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 50),
  [4309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 50),
  [4311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5),
  [4313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5),
  [4315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2),
  [4317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2),
  [4319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2),
  [4321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [4325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [4327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [4329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, .production_id = 84),
  [4331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, .production_id = 84),
  [4333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2),
  [4335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [4339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, .production_id = 199),
  [4341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, .production_id = 199),
  [4343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 269),
  [4345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 269),
  [4347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [4349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [4351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [4353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [4355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 139),
  [4357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 139),
  [4359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1),
  [4361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1),
  [4363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2),
  [4365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2),
  [4367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4),
  [4369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4),
  [4371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 136),
  [4373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 136),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [4377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3),
  [4379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [4385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [4401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 80),
  [4403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 80),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [4411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 137),
  [4413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 137),
  [4415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [4417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [4419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1),
  [4421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1),
  [4423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [4425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [4427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [4429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [4435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 66), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 47),
  [4438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 56),
  [4440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 56),
  [4442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3), REDUCE(sym_nested_type_identifier, 3, .production_id = 56),
  [4445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [4448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [4451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, .production_id = 38),
  [4453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, .production_id = 38),
  [4455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [4457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [4459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [4461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [4464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [4467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 85),
  [4469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 85),
  [4471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, .production_id = 198),
  [4473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, .production_id = 198),
  [4475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 94),
  [4483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [4485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [4499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [4505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [4525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion, 2),
  [4527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion, 2),
  [4529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 150),
  [4531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 150),
  [4533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 66),
  [4535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 63),
  [4537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [4539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [4541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 64),
  [4543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 66),
  [4545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 47),
  [4547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 66),
  [4549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 47),
  [4551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [4553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 147),
  [4555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 147),
  [4557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 149),
  [4559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 149),
  [4561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 64),
  [4563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 92),
  [4565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [4569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [4572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [4575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 93),
  [4577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 94),
  [4579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 94),
  [4581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 94), SHIFT(99),
  [4584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 205),
  [4586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 205),
  [4588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 148),
  [4590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 148),
  [4592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 147),
  [4594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 147),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [4598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 101),
  [4600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 101),
  [4602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [4604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [4606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 146),
  [4608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 146),
  [4610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 99),
  [4612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 99),
  [4614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 145),
  [4616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 145),
  [4618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [4621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [4624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 34),
  [4626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 34),
  [4628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, .production_id = 152),
  [4630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, .production_id = 152),
  [4632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 98),
  [4634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 98),
  [4636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 41),
  [4638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 41),
  [4640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 97),
  [4642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 97),
  [4644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 40),
  [4646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 40),
  [4648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 206),
  [4650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 154),
  [4652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 154),
  [4654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 210),
  [4656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 210),
  [4658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 155),
  [4660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 155),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, .production_id = 92),
  [4666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [4668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 93),
  [4670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [4672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [4680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 140),
  [4682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 140),
  [4684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 31),
  [4686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 31),
  [4688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 31), SHIFT(99),
  [4691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 66),
  [4693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 66),
  [4695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 37),
  [4698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 37),
  [4701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [4705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 90),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 90),
  [4709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [4711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [4713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [4715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [4717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [4719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [4721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [4723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [4725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [4727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(99),
  [4730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 31),
  [4732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 31),
  [4734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 31), SHIFT(99),
  [4737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 87),
  [4739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 87),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [4743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 88),
  [4745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 88),
  [4747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, .production_id = 89),
  [4749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, .production_id = 89),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [4829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(94),
  [4832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 92), REDUCE(sym_assignment_expression, 3, .production_id = 92),
  [4835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 92),
  [4837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 94), SHIFT(94),
  [4840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 94), SHIFT(91),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 31), SHIFT(94),
  [4856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 102), REDUCE(sym_assignment_expression, 3, .production_id = 63),
  [4859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 102),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [4863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 31), SHIFT(91),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 31), SHIFT(94),
  [4871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [4884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [4886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, .production_id = 49),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [4926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [4929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 66), REDUCE(sym_object_pattern, 3, .production_id = 47),
  [4932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 31), SHIFT(91),
  [4935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 102), REDUCE(sym_assignment_expression, 3, .production_id = 92),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [4940] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [4944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [4948] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [4966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 49),
  [4968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 49), SHIFT(579),
  [4971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(91),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [4978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [4980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [4990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 92),
  [4992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 31), SHIFT(97),
  [4995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(97),
  [4998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 31), SHIFT(97),
  [5001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, .production_id = 32),
  [5003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 32),
  [5005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 32), REDUCE(sym__primary_type, 1, .production_id = 37),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [5012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [5024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [5027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [5030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 70),
  [5032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 70),
  [5034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 37), REDUCE(sym__parameter_name, 2, .production_id = 70),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [5047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 94), SHIFT(97),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [5054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 70),
  [5056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 70),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [5064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 32),
  [5067] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 32), REDUCE(sym__primary_type, 1, .production_id = 37),
  [5071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 49),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [5075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 132),
  [5077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 132),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [5081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(96),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [5086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 73),
  [5088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 73),
  [5090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [5096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [5100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [5142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [5144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [5148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 66), REDUCE(sym_object_pattern, 3, .production_id = 47),
  [5151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [5156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 94), SHIFT(96),
  [5159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [5162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 103),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [5172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, .production_id = 227),
  [5174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, .production_id = 227),
  [5176] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1), REDUCE(sym_rest_pattern, 2),
  [5180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 128),
  [5182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 128),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [5186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 185),
  [5188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 185),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [5192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 183),
  [5194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 183),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [5214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [5216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [5219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [5221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [5224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [5228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 31), SHIFT(96),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [5235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [5238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [5240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [5243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [5253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 31), SHIFT(96),
  [5256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [5258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 49), SHIFT(406),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [5269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [5273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [5279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [5295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [5301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [5311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [5317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [5325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [5333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 31), SHIFT(89),
  [5336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(89),
  [5339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 94), SHIFT(89),
  [5342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [5348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [5352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [5354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [5362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [5366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 104),
  [5368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 104),
  [5370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 52),
  [5372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 52),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [5376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [5378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 124),
  [5380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 124),
  [5382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 94), SHIFT(98),
  [5385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 217),
  [5387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 217),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [5391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 31), SHIFT(90),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [5398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [5404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [5408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 298),
  [5410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 298),
  [5412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 31), SHIFT(89),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [5423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [5429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 252),
  [5431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 252),
  [5433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 156),
  [5435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 156),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [5439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 278),
  [5441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 278),
  [5443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 279),
  [5445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 279),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [5453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 299),
  [5455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 299),
  [5457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 310),
  [5459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 310),
  [5461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 311),
  [5463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 311),
  [5465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, .production_id = 320),
  [5467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, .production_id = 320),
  [5469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 94), SHIFT(90),
  [5472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4608),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [5482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [5486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 31), SHIFT(98),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [5491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 31), SHIFT(90),
  [5494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(98),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [5499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 181),
  [5501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 181),
  [5503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(90),
  [5506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [5508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [5512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 31), SHIFT(98),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [5517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(95),
  [5520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [5522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [5524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [5538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [5548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [5556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [5560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [5562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4954),
  [5564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 31), SHIFT(95),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [5569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 141), REDUCE(sym_class, 5, .production_id = 208),
  [5572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 141), REDUCE(sym_class, 5, .production_id = 208),
  [5575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4846),
  [5577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 142), REDUCE(sym_class, 5, .production_id = 209),
  [5580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 142), REDUCE(sym_class, 5, .production_id = 209),
  [5583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 202), REDUCE(sym_class, 6, .production_id = 246),
  [5586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 202), REDUCE(sym_class, 6, .production_id = 246),
  [5589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 145), REDUCE(sym_class, 5, .production_id = 210),
  [5592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 145), REDUCE(sym_class, 5, .production_id = 210),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [5597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 31), SHIFT(95),
  [5600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 88), REDUCE(sym_class, 4, .production_id = 155),
  [5603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 88), REDUCE(sym_class, 4, .production_id = 155),
  [5606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 87), REDUCE(sym_class, 4, .production_id = 154),
  [5609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 87), REDUCE(sym_class, 4, .production_id = 154),
  [5612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 34), REDUCE(sym_class, 3, .production_id = 101),
  [5615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 34), REDUCE(sym_class, 3, .production_id = 101),
  [5618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 86), REDUCE(sym_class, 4, .production_id = 153),
  [5621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 86), REDUCE(sym_class, 4, .production_id = 153),
  [5624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 94), SHIFT(95),
  [5627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [5629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [5641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [5669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [5671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [5673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [5679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [5681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [5683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [5685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [5687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [5691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [5693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [5695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_initializer, 3),
  [5697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_initializer, 3),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [5701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [5703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [5705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [5707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [5709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [5711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [5713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition, 2, .production_id = 4),
  [5715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition, 2, .production_id = 4),
  [5717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition, 2, .production_id = 5),
  [5719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition, 2, .production_id = 5),
  [5721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_initializer, 2),
  [5723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_initializer, 2),
  [5725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [5727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [5729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ui_annotated_object_repeat1, 2, .production_id = 7),
  [5731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_annotated_object_repeat1, 2, .production_id = 7), SHIFT_REPEAT(4272),
  [5734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 4, .production_id = 55),
  [5736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 4, .production_id = 55),
  [5738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_array, 4),
  [5740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_array, 4),
  [5742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_annotated_object_member, 2, .production_id = 6),
  [5744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_annotated_object_member, 2, .production_id = 6),
  [5746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition_binding, 4, .production_id = 45),
  [5748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition_binding, 4, .production_id = 45),
  [5750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition_binding, 4, .production_id = 46),
  [5752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition_binding, 4, .production_id = 46),
  [5754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition_binding, 4, .production_id = 53),
  [5756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition_binding, 4, .production_id = 53),
  [5758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition_binding, 4, .production_id = 54),
  [5760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition_binding, 4, .production_id = 54),
  [5762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 4, .production_id = 57),
  [5764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 4, .production_id = 57),
  [5766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 4, .production_id = 58),
  [5768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 4, .production_id = 58),
  [5770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 4, .production_id = 59),
  [5772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 4, .production_id = 59),
  [5774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_signal, 4, .production_id = 60),
  [5776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal, 4, .production_id = 60),
  [5778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_inline_component, 4, .production_id = 61),
  [5780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_inline_component, 4, .production_id = 61),
  [5782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 7, .production_id = 213),
  [5784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 7, .production_id = 213),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [5788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [5790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3559),
  [5793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [5795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4994),
  [5798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 7, .production_id = 212),
  [5800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 7, .production_id = 212),
  [5802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_array, 3),
  [5804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_array, 3),
  [5806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 7, .production_id = 211),
  [5808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 7, .production_id = 211),
  [5810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_binding, 3, .production_id = 18),
  [5812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_binding, 3, .production_id = 18),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [5816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 7, .production_id = 214),
  [5818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 7, .production_id = 214),
  [5820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, .production_id = 105),
  [5822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, .production_id = 105),
  [5824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, .production_id = 106),
  [5826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, .production_id = 106),
  [5828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_binding, 3, .production_id = 24),
  [5830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_binding, 3, .production_id = 24),
  [5832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_signal, 3, .production_id = 14),
  [5834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal, 3, .production_id = 14),
  [5836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, .production_id = 108),
  [5838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, .production_id = 108),
  [5840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, .production_id = 109),
  [5842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, .production_id = 109),
  [5844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_body, 3, .production_id = 14),
  [5846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_body, 3, .production_id = 14),
  [5848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_body, 3, .production_id = 112),
  [5850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_body, 3, .production_id = 112),
  [5852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, .production_id = 113),
  [5854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, .production_id = 113),
  [5856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, .production_id = 114),
  [5858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, .production_id = 114),
  [5860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, .production_id = 115),
  [5862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, .production_id = 115),
  [5864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, .production_id = 116),
  [5866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, .production_id = 116),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [5870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_required, 3, .production_id = 25),
  [5872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_required, 3, .production_id = 25),
  [5874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 1, .production_id = 9),
  [5876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 1, .production_id = 9),
  [5878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_required, 3, .production_id = 14),
  [5880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_required, 3, .production_id = 14),
  [5882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, .production_id = 158),
  [5884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, .production_id = 158),
  [5886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, .production_id = 159),
  [5888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, .production_id = 159),
  [5890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, .production_id = 160),
  [5892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, .production_id = 160),
  [5894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_body, 4, .production_id = 162),
  [5896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_body, 4, .production_id = 162),
  [5898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_body, 4, .production_id = 164),
  [5900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_body, 4, .production_id = 164),
  [5902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, .production_id = 165),
  [5904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, .production_id = 165),
  [5906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, .production_id = 166),
  [5908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, .production_id = 166),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [5912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, .production_id = 167),
  [5914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, .production_id = 167),
  [5916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_annotated_object_member, 2, .production_id = 16),
  [5918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_annotated_object_member, 2, .production_id = 16),
  [5920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, .production_id = 168),
  [5922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, .production_id = 168),
  [5924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, .production_id = 157),
  [5926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, .production_id = 157),
  [5928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_declaration, 3, .production_id = 26),
  [5930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_declaration, 3, .production_id = 26),
  [5932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_annotation, 3, .production_id = 13),
  [5934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_annotation, 3, .production_id = 13),
  [5936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4327),
  [5940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property_modifier, 1),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [5946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_ui_property_modifier, 1), SHIFT(4327),
  [5949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [5951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ui_annotated_object_repeat1, 1, .production_id = 2),
  [5953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_annotated_object_repeat1, 1, .production_id = 2),
  [5955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 5, .production_id = 27),
  [5957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_import, 5, .production_id = 27),
  [5959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_pragma, 5, .production_id = 29),
  [5961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_pragma, 5, .production_id = 29),
  [5963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_pragma, 3, .production_id = 14),
  [5965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_pragma, 3, .production_id = 14),
  [5967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 3, .production_id = 11),
  [5969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_import, 3, .production_id = 11),
  [5971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 4, .production_id = 17),
  [5973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_import, 4, .production_id = 17),
  [5975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [5977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4013),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [5981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 6, .production_id = 62),
  [5983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_import, 6, .production_id = 62),
  [5985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [5987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [5989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4034),
  [5991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [5993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [5995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [6001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4095),
  [6003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_list_property_type, 4, .production_id = 107),
  [6005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_list_property_type, 4),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4098),
  [6009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [6011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [6013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [6043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [6101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 188),
  [6103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4707),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [6139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 234),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [6143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [6145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 15),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [6155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 14),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [6181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 266),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [6209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 14),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [6215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 35), REDUCE(sym_type_parameter, 1, .production_id = 36),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [6220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 35), SHIFT(985),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [6225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 266),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [6243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 188),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [6247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 234),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [6263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, .production_id = 15),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [6277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 188),
  [6279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 15),
  [6281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 234),
  [6283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 35), SHIFT(4350),
  [6286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 14),
  [6288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 188),
  [6290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 15),
  [6292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 266),
  [6294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 234),
  [6296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 266),
  [6298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 14),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [6308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [6314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [6320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [6324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [6328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [6338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 20),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [6342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 43),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [6352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3169),
  [6356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 15),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [6368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3160),
  [6372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2),
  [6374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [6396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property_modifier, 1),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [6404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [6406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [6408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 47),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [6416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 296),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [6420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [6422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [6424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [6434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [6452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4649),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [6456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 143),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [6460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [6466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4759),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [6470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [6472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 260),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [6494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [6496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 36),
  [6498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [6500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [6512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [6514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 236),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [6524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 190),
  [6526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 187),
  [6528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, .production_id = 135),
  [6530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 3),
  [6532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 177),
  [6534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 191),
  [6536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [6538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 220),
  [6540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 228),
  [6542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [6550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 261),
  [6552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 179),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [6556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 179),
  [6558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 287),
  [6560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 288),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [6572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 296),
  [6574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 300),
  [6576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 301),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [6582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [6584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, .production_id = 33),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [6588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 3, .production_id = 143),
  [6590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 314),
  [6592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 315),
  [6594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, .production_id = 321),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [6616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [6624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(364),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [6631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(366),
  [6634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, .production_id = 134),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [6652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 179),
  [6654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 179),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [6658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [6690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [6702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [6708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2),
  [6710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [6712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_property_repeat1, 2), SHIFT_REPEAT(3922),
  [6715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_property_repeat1, 2),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [6733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [6757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [6773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [6795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [6811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [6823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 180),
  [6825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 180),
  [6827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(4843),
  [6830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [6832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(292),
  [6835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [6851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, .production_id = 100),
  [6853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 44), SHIFT_REPEAT(4030),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [6860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2), SHIFT_REPEAT(1299),
  [6863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [6883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [6885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [6891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [6899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 42),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [6929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, .production_id = 33),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [6935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [6943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [6949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(3531),
  [6952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [6954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(346),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [6961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 22),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [6967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 43), SHIFT(1043),
  [6970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 318),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [6986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, .production_id = 77),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [6996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 312),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [7004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, .production_id = 229),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [7012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, .production_id = 230),
  [7014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [7020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 20), SHIFT(980),
  [7023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 313),
  [7025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 43), SHIFT(944),
  [7028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 231),
  [7030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 50),
  [7032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 20), SHIFT(962),
  [7035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 232),
  [7037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 43), SHIFT(983),
  [7040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 233),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [7046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 189),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [7050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [7056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 309),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [7070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 304),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [7074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 235),
  [7076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 20), SHIFT(966),
  [7079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, .production_id = 304),
  [7081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 50),
  [7083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 303),
  [7085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 302),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [7091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 290),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [7097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 289),
  [7099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 290),
  [7101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 289),
  [7103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 286),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [7107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 285),
  [7109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 283),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [7119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 189),
  [7121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 186),
  [7123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 263),
  [7125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 23),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [7133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 262),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [7139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, .production_id = 265),
  [7141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, .production_id = 264),
  [7143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 263),
  [7145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 262),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [7155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 23),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [7165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 20), SHIFT(1073),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [7174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 180),
  [7176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 180),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [7182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 43), SHIFT(947),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [7189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [7197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2),
  [7199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(973),
  [7202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(3791),
  [7205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2),
  [7207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [7209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [7217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 23),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [7223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 232),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [7233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 233),
  [7235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [7239] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [7247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_nested_identifier, 3, .production_id = 10),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [7253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_version_specifier, 1, .production_id = 12),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [7259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [7261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [7267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [7271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [7273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [7279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_nested_identifier, 3),
  [7281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 144),
  [7283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [7293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2), SHIFT_REPEAT(981),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [7308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [7310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3870),
  [7313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [7315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(3872),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [7320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [7330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [7332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [7334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1), REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [7337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 254),
  [7339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 254), SHIFT_REPEAT(3973),
  [7342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 254),
  [7344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 14),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [7366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [7368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3187),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [7382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [7390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [7402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, .production_id = 284),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [7418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 130),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [7424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [7430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 47),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [7442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(3344),
  [7445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [7453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 4, .production_id = 203),
  [7455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 83),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [7463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [7467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [7475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 204),
  [7477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 204), SHIFT_REPEAT(547),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [7482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(221),
  [7485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 224),
  [7487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 224),
  [7489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 223),
  [7491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 223),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [7495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 72),
  [7497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [7523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(3868),
  [7526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [7542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(3861),
  [7545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [7547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, .production_id = 171),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [7567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 51),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [7571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 201),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [7577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 200),
  [7579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, .production_id = 177),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [7595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [7601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(923),
  [7604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [7614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_version_specifier, 3, .production_id = 28),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [7620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [7664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [7682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [7686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [7692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(1476),
  [7695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [7701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [7705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(207),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [7712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 50),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [7716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 51),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [7758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [7812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 322),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [7816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(424),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [7823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 319),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [7829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(1592),
  [7832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [7834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 317),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [7840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 316),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [7864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3368),
  [7866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 274),
  [7868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 103),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [7880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 306),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [7884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [7886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [7900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [7904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 1, .production_id = 15),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4267),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [7912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__qml_enum_body_repeat1, 2, .production_id = 163), SHIFT_REPEAT(4520),
  [7915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__qml_enum_body_repeat1, 2, .production_id = 163),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [7929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [7931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 308),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [7941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 307),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [7953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 305),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [7961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 287),
  [7963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 295),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [7971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 242),
  [7973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 294),
  [7975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 293),
  [7977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 292),
  [7979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(184),
  [7982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [7984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 271),
  [7986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 260),
  [7988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 261),
  [7990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 273),
  [7992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 272),
  [7994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_object_array_repeat1, 2), SHIFT_REPEAT(2758),
  [7997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_object_array_repeat1, 2),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [8001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 243),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [8013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, .production_id = 171),
  [8015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 163), SHIFT_REPEAT(2471),
  [8018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 163),
  [8020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [8024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 2, .production_id = 14),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [8028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [8070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(4384),
  [8073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [8077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__qml_enum_body_repeat1, 2, .production_id = 14),
  [8079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, .production_id = 171),
  [8081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_signal_parameters_repeat1, 2), SHIFT_REPEAT(3942),
  [8084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_signal_parameters_repeat1, 2),
  [8086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 22),
  [8088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 220),
  [8090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 244),
  [8092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 245),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [8100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [8128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameter, 3, .production_id = 161),
  [8130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 228),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [8138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, .production_id = 22),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [8160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, .production_id = 174),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [8168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameter, 3, .production_id = 50),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [8180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, .production_id = 171),
  [8182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 3, .production_id = 216),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [8190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameters, 4),
  [8192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_assignment, 3, .production_id = 24),
  [8194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 4, .production_id = 247),
  [8196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__qml_enum_body_repeat1, 2, .production_id = 112),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [8202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 138),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [8220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [8222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, .production_id = 23),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [8234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 11),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [8248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [8272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, .production_id = 275),
  [8274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, .production_id = 131),
  [8276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 129),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [8286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, .production_id = 50),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [8354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameters, 3),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [8362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameter, 2, .production_id = 111),
  [8364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameter, 2, .production_id = 110),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [8370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameters, 2),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [8418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 82),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [8436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, .production_id = 184),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [8442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 71),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [8540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [8652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4820),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [8706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [8708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [8718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [8754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [8772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, .production_id = 174),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [8784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [8792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [8838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [8882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [8932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [8938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [8952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import_export, 3),
  [8954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [8970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, .production_id = 174),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [9026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, .production_id = 174),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [9044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, .production_id = 8),
  [9046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_annotated_object, 2, .production_id = 6),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [9094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, .production_id = 3),
  [9096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, .production_id = 1),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [9102] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_qmljs_external_scanner_create(void);
void tree_sitter_qmljs_external_scanner_destroy(void *);
bool tree_sitter_qmljs_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_qmljs_external_scanner_serialize(void *, char *);
void tree_sitter_qmljs_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_qmljs(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_qmljs_external_scanner_create,
      tree_sitter_qmljs_external_scanner_destroy,
      tree_sitter_qmljs_external_scanner_scan,
      tree_sitter_qmljs_external_scanner_serialize,
      tree_sitter_qmljs_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
